/* ------------------------------------------------------------------------- */
/*  Projection Engine Version 10.0                                           */
/* ------------------------------------------------------------------------- */
/*  COPYRIGHT 1999-2010 ESRI                                                 */
/*                                                                           */
/*  TRADE SECRETS: ESRI PROPRIETARY AND CONFIDENTIAL                         */
/*  Unpublished material - all rights reserved under the                     */
/*  Copyright Laws of the United States.                                     */
/*                                                                           */
/*  For additional information, contact:                                     */
/*  Environmental Systems Research Institute, Inc.                           */
/*  Attn: Contracts Dept                                                     */
/*  380 New York Street                                                      */
/*  Redlands, California, USA 92373                                          */
/*                                                                           */
/*  email: contracts@esri.com                                                */
/* ------------------------------------------------------------------------- */

#ifndef PE_NAMES_INCLUDED
#define PE_NAMES_INCLUDED

/* ------------------------------------------------------------------------- */
/* PARAMETER names                                                           */
/* ------------------------------------------------------------------------- */

#define PE_N_PAR_AUXILIARY_SPHERE_TYPE \
   "Auxiliary_Sphere_Type"
#define PE_N_PAR_AZIMUTH \
   "Azimuth"
#define PE_N_PAR_CENTRAL_MERIDIAN \
   "Central_Meridian"
#define PE_N_PAR_CENTRAL_PARALLEL \
   "Central_Parallel"
#define PE_N_PAR_DIRECTION \
   "Direction"
#define PE_N_PAR_FALSE_EASTING \
   "False_Easting"
#define PE_N_PAR_FALSE_NORTHING \
   "False_Northing"
#define PE_N_PAR_HEIGHT \
   "Height"
#define PE_N_PAR_INCLINATION_EAST \
   "Inclination_East"
#define PE_N_PAR_INCLINATION_NORTH \
   "Inclination_North"
#define PE_N_PAR_INTERPOLATION_TYPE \
   "Interpolation_Type"
#define PE_N_PAR_LATITUDE_OFFSET \
   "Latitude_Offset"
#define PE_N_PAR_LATITUDE_OF_1ST \
   "Latitude_Of_1st_Point"
#define PE_N_PAR_LATITUDE_OF_2ND \
   "Latitude_Of_2nd_Point"
#define PE_N_PAR_LATITUDE_OF_CENTER \
   "Latitude_Of_Center"
#define PE_N_PAR_LATITUDE_OF_EVALUATION \
   "Latitude_Of_Evaluation"
#define PE_N_PAR_LATITUDE_OF_ORIGIN \
   "Latitude_Of_Origin"
#define PE_N_PAR_LONGITUDE_OFFSET \
   "Longitude_Offset"
#define PE_N_PAR_LONGITUDE_OF_1ST \
   "Longitude_Of_1st_Point"
#define PE_N_PAR_LONGITUDE_OF_2ND \
   "Longitude_Of_2nd_Point"
#define PE_N_PAR_LONGITUDE_OF_CENTER \
   "Longitude_Of_Center"
#define PE_N_PAR_LONGITUDE_OF_EVALUATION \
   "Longitude_Of_Evaluation"
#define PE_N_PAR_LONGITUDE_OF_ORIGIN \
   "Longitude_Of_Origin"
#define PE_N_PAR_NAME_DATASET \
   "Dataset_"
#define PE_N_PAR_OPTION \
   "Option"
#define PE_N_PAR_PSEUDO_STANDARD_PARALLEL_1 \
   "Pseudo_Standard_Parallel_1"
#define PE_N_PAR_SCALE_DIFFERENCE \
   "Scale_Difference"
#define PE_N_PAR_SCALE_FACTOR \
   "Scale_Factor"
#define PE_N_PAR_STANDARD_PARALLEL_1 \
   "Standard_Parallel_1"
#define PE_N_PAR_STANDARD_PARALLEL_2 \
   "Standard_Parallel_2"
#define PE_N_PAR_VERTICAL_OFFSET \
   "Vertical_Offset"
#define PE_N_PAR_VERTICAL_SHIFT \
   "Vertical_Shift"
#define PE_N_PAR_XY_PLANE_ROTATION \
   "XY_Plane_Rotation"
#define PE_N_PAR_X_AXIS_ROTATION \
   "X_Axis_Rotation"
#define PE_N_PAR_X_AXIS_TRANSLATION \
   "X_Axis_Translation"
#define PE_N_PAR_X_COORD_OF_ROTATION_ORIGIN \
   "X_Coordinate_of_Rotation_Origin"
#define PE_N_PAR_X_SCALE \
   "X_Scale"
#define PE_N_PAR_Y_AXIS_ROTATION \
   "Y_Axis_Rotation"
#define PE_N_PAR_Y_AXIS_TRANSLATION \
   "Y_Axis_Translation"
#define PE_N_PAR_Y_COORD_OF_ROTATION_ORIGIN \
   "Y_Coordinate_of_Rotation_Origin"
#define PE_N_PAR_Y_SCALE \
   "Y_Scale"
#define PE_N_PAR_Z_AXIS_ROTATION \
   "Z_Axis_Rotation"
#define PE_N_PAR_Z_AXIS_TRANSLATION \
   "Z_Axis_Translation"
#define PE_N_PAR_Z_COORD_OF_ROTATION_ORIGIN \
   "Z_Coordinate_of_Rotation_Origin"

/* ------------------------------------------------------------------------- */
/* METHOD names                                                              */
/* ------------------------------------------------------------------------- */

#define PE_N_MTH_BURSA_WOLF \
   "Bursa_Wolf"
#define PE_N_MTH_COORDINATE_FRAME \
   "Coordinate_Frame"
#define PE_N_MTH_GEOCENTRIC_TRANSLATION \
   "Geocentric_Translation"
#define PE_N_MTH_GEOGRAPHIC_2D_OFFSET \
   "Geographic_2D_Offset"
#define PE_N_MTH_HARN \
   "HARN"
#define PE_N_MTH_LONGITUDE_ROTATION \
   "Longitude_Rotation"
#define PE_N_MTH_MOLODENSKY \
   "Molodensky"
#define PE_N_MTH_MOLODENSKY_ABRIDGED \
   "Molodensky_Abridged"
#define PE_N_MTH_MOLODENSKY_BADEKAS \
   "Molodensky_Badekas"
#define PE_N_MTH_NADCON \
   "NADCON"
#define PE_N_MTH_NTV2 \
   "NTv2"
#define PE_N_MTH_NULL \
   "Null"
#define PE_N_MTH_POSITION_VECTOR \
   "Position_Vector"
#define PE_N_MTH_UNIT_CHANGE \
   "Unit_Change"

/* ------------------------------------------------------------------------- */
/* HTMETHOD names                                                            */
/* ------------------------------------------------------------------------- */

#define PE_N_HTMTH_2D_PROJECTIVE_PARAMETRIC \
   "2D_Projective_Parametric"
#define PE_N_HTMTH_AFFINE_PARAMETRIC \
   "Affine_Parametric"

/* ------------------------------------------------------------------------- */
/* VTMETHOD names                                                            */
/* ------------------------------------------------------------------------- */

#define PE_N_VTMTH_EGM84 \
   "EGM84"
#define PE_N_VTMTH_EGM84_NS \
   "EGM84_Natural_Spline"
#define PE_N_VTMTH_EGM96 \
   "EGM96"
#define PE_N_VTMTH_EGM96_NS \
   "EGM96_Natural_Spline"
#define PE_N_VTMTH_GEOID \
   "GEOID"
#define PE_N_VTMTH_VERTCON \
   "VERTCON"
#define PE_N_VTMTH_VERTICAL_OFFSET \
   "Vertical_Offset"
#define PE_N_VTMTH_VERTICAL_OFFSET_SLOPE \
   "Vertical_Offset_and_Slope"
#define PE_N_VTMTH_VTGRIDFILE \
   "VTGridFile"

/* ------------------------------------------------------------------------- */
/* PROJECTION names                                                          */
/* ------------------------------------------------------------------------- */

#define PE_N_PRJ_AITOFF \
   "Aitoff"
#define PE_N_PRJ_ALBERS \
   "Albers"
#define PE_N_PRJ_AZIMUTHAL_EQUIDISTANT \
   "Azimuthal_Equidistant"
#define PE_N_PRJ_AZIMUTHAL_EQUIDISTANT_AUXS \
   "Azimuthal_Equidistant_Auxiliary_Sphere"
#define PE_N_PRJ_BEHRMANN \
   "Behrmann"
#define PE_N_PRJ_BERGHAUS_STAR \
   "Berghaus_Star"
#define PE_N_PRJ_BONNE \
   "Bonne"
#define PE_N_PRJ_CASSINI \
   "Cassini"
#define PE_N_PRJ_CRASTER_PARABOLIC \
   "Craster_Parabolic"
#define PE_N_PRJ_CUBE \
   "Cube"
#define PE_N_PRJ_CYLINDRICAL_EQAREA \
   "Cylindrical_Equal_Area"
#define PE_N_PRJ_DOUBLE_STEREOGRAPHIC \
   "Double_Stereographic"
#define PE_N_PRJ_ECKERT_I \
   "Eckert_I"
#define PE_N_PRJ_ECKERT_II \
   "Eckert_II"
#define PE_N_PRJ_ECKERT_III \
   "Eckert_III"
#define PE_N_PRJ_ECKERT_IV \
   "Eckert_IV"
#define PE_N_PRJ_ECKERT_IV_AUXS \
   "Eckert_IV_Auxiliary_Sphere"
#define PE_N_PRJ_ECKERT_V \
   "Eckert_V"
#define PE_N_PRJ_ECKERT_VI \
   "Eckert_VI"
#define PE_N_PRJ_ECKERT_VI_AUXS \
   "Eckert_VI_Auxiliary_Sphere"
#define PE_N_PRJ_EQUIDISTANT_CONIC \
   "Equidistant_Conic"
#define PE_N_PRJ_EQUIDISTANT_CYLINDRICAL \
   "Equidistant_Cylindrical"
#define PE_N_PRJ_EQUIDISTANT_CYLINDRICAL_AUXS \
   "Equidistant_Cylindrical_Auxiliary_Sphere"
#define PE_N_PRJ_EQUIDISTANT_CYLINDRICAL_ELLIPSOIDAL \
   "Equidistant_Cylindrical_Ellipsoidal"
#define PE_N_PRJ_FLAT_POLAR_QUARTIC \
   "Flat_Polar_Quartic"
#define PE_N_PRJ_FULLER \
   "Fuller"
#define PE_N_PRJ_GALL_STEREOGRAPHIC \
   "Gall_Stereographic"
#define PE_N_PRJ_GAUSS_KRUGER \
   "Gauss_Kruger"
#define PE_N_PRJ_GNOMONIC \
   "Gnomonic"
#define PE_N_PRJ_GNOMONIC_AUXS \
   "Gnomonic_Auxiliary_Sphere"
#define PE_N_PRJ_GOODE_HOMOLOSINE \
   "Goode_Homolosine"
#define PE_N_PRJ_HAMMER_AITOFF \
   "Hammer_Aitoff"
#define PE_N_PRJ_HOTINE_AZIMUTH_CENTER \
   "Hotine_Oblique_Mercator_Azimuth_Center"
#define PE_N_PRJ_HOTINE_AZIMUTH_NATORIGIN \
   "Hotine_Oblique_Mercator_Azimuth_Natural_Origin"
#define PE_N_PRJ_HOTINE_TWO_POINT_CENTER \
   "Hotine_Oblique_Mercator_Two_Point_Center"
#define PE_N_PRJ_HOTINE_TWO_POINT_NATORIGIN \
   "Hotine_Oblique_Mercator_Two_Point_Natural_Origin"
#define PE_N_PRJ_KROVAK \
   "Krovak"
#define PE_N_PRJ_LABORDE \
   "Laborde_Oblique_Mercator"
#define PE_N_PRJ_LAMBERT_AZIMUTHAL_EQAREA \
   "Lambert_Azimuthal_Equal_Area"
#define PE_N_PRJ_LAMBERT_AZIMUTHAL_EQAREA_AUXS \
   "Lambert_Azimuthal_Equal_Area_Auxiliary_Sphere"
#define PE_N_PRJ_LAMBERT_CONFORMAL_CONIC \
   "Lambert_Conformal_Conic"
#define PE_N_PRJ_LOCAL \
   "Local"
#define PE_N_PRJ_LOXIMUTHAL \
   "Loximuthal"
#define PE_N_PRJ_MERCATOR \
   "Mercator"
#define PE_N_PRJ_MERCATOR_AUXS \
   "Mercator_Auxiliary_Sphere"
#define PE_N_PRJ_MILLER_CYLINDRICAL \
   "Miller_Cylindrical"
#define PE_N_PRJ_MILLER_CYLINDRICAL_AUXS \
   "Miller_Cylindrical_Auxiliary_Sphere"
#define PE_N_PRJ_MOLLWEIDE \
   "Mollweide"
#define PE_N_PRJ_MOLLWEIDE_AUXS \
   "Mollweide_Auxiliary_Sphere"
#define PE_N_PRJ_NEW_ZEALAND_MAP_GRID \
   "New_Zealand_Map_Grid"
#define PE_N_PRJ_NEY \
   "Ney_Modified_Conic"
#define PE_N_PRJ_ORTHOGRAPHIC \
   "Orthographic"
#define PE_N_PRJ_ORTHOGRAPHIC_AUXS \
   "Orthographic_Auxiliary_Sphere"
#define PE_N_PRJ_PLATE_CARREE \
   "Plate_Carree"
#define PE_N_PRJ_POLYCONIC \
   "Polyconic"
#define PE_N_PRJ_QUARTIC_AUTHALIC \
   "Quartic_Authalic"
#define PE_N_PRJ_ROBINSON \
   "Robinson"
#define PE_N_PRJ_ROBINSON_AI \
   "Robinson_ARC_INFO"
#define PE_N_PRJ_RSO_CENTER \
   "Rectified_Skew_Orthomorphic_Center"
#define PE_N_PRJ_RSO_NATORIGIN \
   "Rectified_Skew_Orthomorphic_Natural_Origin"
#define PE_N_PRJ_SINUSOIDAL \
   "Sinusoidal"
#define PE_N_PRJ_STEREOGRAPHIC \
   "Stereographic"
#define PE_N_PRJ_STEREOGRAPHIC_AUXS \
   "Stereographic_Auxiliary_Sphere"
#define PE_N_PRJ_STEREOGRAPHIC_NORTH_POLE \
   "Stereographic_North_Pole"
#define PE_N_PRJ_STEREOGRAPHIC_SOUTH_POLE \
   "Stereographic_South_Pole"
#define PE_N_PRJ_TIMES \
   "Times"
#define PE_N_PRJ_TRANSVERSE_MERCATOR \
   "Transverse_Mercator"
#define PE_N_PRJ_TRANSVERSE_MERCATOR_COMPLEX \
   "Transverse_Mercator_Complex"
#define PE_N_PRJ_TWO_POINT_EQUIDISTANT \
   "Two_Point_Equidistant"
#define PE_N_PRJ_VAN_DER_GRINTEN_I \
   "Van_der_Grinten_I"
#define PE_N_PRJ_VAN_DER_GRINTEN_I_AUXS \
   "Van_der_Grinten_I_Auxiliary_Sphere"
#define PE_N_PRJ_VERTICAL_NEAR_SIDE_PERSPECTIVE \
   "Vertical_Near_Side_Perspective"
#define PE_N_PRJ_WINKEL_I \
   "Winkel_I"
#define PE_N_PRJ_WINKEL_II \
   "Winkel_II"
#define PE_N_PRJ_WINKEL_TRIPEL \
   "Winkel_Tripel"

/* ------------------------------------------------------------------------- */
/* GEOGCS names                                                              */
/* ------------------------------------------------------------------------- */

#define PE_N_GCS_ABIDJAN_1987 \
   "GCS_Abidjan_1987"
#define PE_N_GCS_ACCRA \
   "GCS_Accra"
#define PE_N_GCS_ADINDAN \
   "GCS_Adindan"
#define PE_N_GCS_AFGOOYE \
   "GCS_Afgooye"
#define PE_N_GCS_AGADEZ \
   "GCS_Agadez"
#define PE_N_GCS_AGD_1966 \
   "GCS_Australian_1966"
#define PE_N_GCS_AGD_1984 \
   "GCS_Australian_1984"
#define PE_N_GCS_AIN_EL_ABD_1970 \
   "GCS_Ain_el_Abd_1970"
#define PE_N_GCS_AIRY_1830 \
   "GCS_Airy_1830"
#define PE_N_GCS_AIRY_MOD \
   "GCS_Airy_Modified"
#define PE_N_GCS_ALASKAN_ISLANDS \
   "GCS_Alaskan_Islands"
#define PE_N_GCS_ALBANIAN_1987 \
   "GCS_Albanian_1987"
#define PE_N_GCS_AMERSFOORT \
   "GCS_Amersfoort"
#define PE_N_GCS_AMMASSALIK_1958 \
   "GCS_Ammassalik_1958"
#define PE_N_GCS_ANGUILLA_1957 \
   "GCS_Anguilla_1957"
#define PE_N_GCS_ANNA_1_1965 \
   "GCS_Anna_1_1965"
#define PE_N_GCS_ANTIGUA_1943 \
   "GCS_Antigua_1943"
#define PE_N_GCS_ARATU \
   "GCS_Aratu"
#define PE_N_GCS_ARC_1950 \
   "GCS_Arc_1950"
#define PE_N_GCS_ARC_1960 \
   "GCS_Arc_1960"
#define PE_N_GCS_ASCENSION_ISLAND_1958 \
   "GCS_Ascension_Island_1958"
#define PE_N_GCS_ASSUMED_GEOGRAPHIC_1 \
   "GCS_Assumed_Geographic_1"
#define PE_N_GCS_ASTRO_1952 \
   "GCS_Astro_1952"
#define PE_N_GCS_ATF_PARIS \
   "GCS_ATF_Paris"
#define PE_N_GCS_ATS_1977 \
   "GCS_ATS_1977"
#define PE_N_GCS_AUSTRALIAN \
   "GCS_Australian"
#define PE_N_GCS_AUSTRALIAN_ANTARCTIC_1998 \
   "GCS_Australian_Antarctic_1998"
#define PE_N_GCS_AYABELLE \
   "GCS_Ayabelle"
#define PE_N_GCS_AZORES_CENTRAL_1948 \
   "GCS_Azores_Central_1948"
#define PE_N_GCS_AZORES_CENTRAL_1995 \
   "GCS_Azores_Central_1995"
#define PE_N_GCS_AZORES_OCCIDENTAL_1939 \
   "GCS_Azores_Occidental_1939"
#define PE_N_GCS_AZORES_ORIENTAL_1940 \
   "GCS_Azores_Oriental_1940"
#define PE_N_GCS_AZORES_ORIENTAL_1995 \
   "GCS_Azores_Oriental_1995"
#define PE_N_GCS_BAB_SOUTH \
   "GCS_Bab_South"
#define PE_N_GCS_BARBADOS_1938 \
   "GCS_Barbados_1938"
#define PE_N_GCS_BATAVIA \
   "GCS_Batavia"
#define PE_N_GCS_BATAVIA_JAKARTA \
   "GCS_Batavia_Jakarta"
#define PE_N_GCS_BEACON_E_1945 \
   "GCS_Beacon_E_1945"
#define PE_N_GCS_BEDUARAM \
   "GCS_Beduaram"
#define PE_N_GCS_BEIJING_1954 \
   "GCS_Beijing_1954"
#define PE_N_GCS_BELGE_1950 \
   "GCS_Belge_1950"
#define PE_N_GCS_BELGE_1950_BRUSSELS \
   "GCS_Belge_1950_Brussels"
#define PE_N_GCS_BELGE_1972 \
   "GCS_Belge_1972"
#define PE_N_GCS_BELLEVUE \
   "GCS_Bellevue_IGN"
#define PE_N_GCS_BERMUDA_1957 \
   "GCS_Bermuda_1957"
#define PE_N_GCS_BERMUDA_2000 \
   "GCS_Bermuda_2000"
#define PE_N_GCS_BERN_1898 \
   "GCS_Bern_1898"
#define PE_N_GCS_BERN_1898_BERN \
   "GCS_Bern_1898_Bern"
#define PE_N_GCS_BERN_1938 \
   "GCS_Bern_1938"
#define PE_N_GCS_BESSEL_1841 \
   "GCS_Bessel_1841"
#define PE_N_GCS_BESSEL_MOD \
   "GCS_Bessel_Modified"
#define PE_N_GCS_BESSEL_NAMIBIA \
   "GCS_Bessel_Namibia"
#define PE_N_GCS_BISSAU \
   "GCS_Bissau"
#define PE_N_GCS_BOGOTA \
   "GCS_Bogota"
#define PE_N_GCS_BOGOTA_BOGOTA \
   "GCS_Bogota_Bogota"
#define PE_N_GCS_BUKIT_RIMPAH \
   "GCS_Bukit_Rimpah"
#define PE_N_GCS_CADASTRE_1997 \
   "GCS_Cadastre_1997"
#define PE_N_GCS_CAMACUPA \
   "GCS_Camacupa"
#define PE_N_GCS_CAMPO_INCHAUSPE \
   "GCS_Campo_Inchauspe"
#define PE_N_GCS_CAMP_AREA \
   "GCS_Camp_Area"
#define PE_N_GCS_CANTON_1966 \
   "GCS_Canton_1966"
#define PE_N_GCS_CAPE \
   "GCS_Cape"
#define PE_N_GCS_CAPE_CANAVERAL \
   "GCS_Cape_Canaveral"
#define PE_N_GCS_CARTHAGE \
   "GCS_Carthage"
#define PE_N_GCS_CARTHAGE_GRAD \
   "GCS_Carthage_Grad"
#define PE_N_GCS_CARTHAGE_PARIS \
   "GCS_Carthage_Paris"
#define PE_N_GCS_CGRS_1993 \
   "GCS_CGRS_1993"
#define PE_N_GCS_CH1903 \
   "GCS_CH1903"
#define PE_N_GCS_CH1903_PLUS \
   "GCS_CH1903+"
#define PE_N_GCS_CHATHAM_ISLANDS_1979 \
   "GCS_Chatham_Islands_1979"
#define PE_N_GCS_CHATHAM_ISLAND_1971 \
   "GCS_Chatham_Island_1971"
#define PE_N_GCS_CHINA_2000 \
   "GCS_China_Geodetic_Coordinate_System_2000"
#define PE_N_GCS_CHOS_MALAL_1914 \
   "GCS_Chos_Malal_1914"
#define PE_N_GCS_CHTRF_1995 \
   "GCS_Swiss_TRF_1995"
#define PE_N_GCS_CHUA \
   "GCS_Chua"
#define PE_N_GCS_CLARKE_1858 \
   "GCS_Clarke_1858"
#define PE_N_GCS_CLARKE_1866 \
   "GCS_Clarke_1866"
#define PE_N_GCS_CLARKE_1866_MICH \
   "GCS_Clarke_1866_Michigan"
#define PE_N_GCS_CLARKE_1880 \
   "GCS_Clarke_1880"
#define PE_N_GCS_CLARKE_1880_ARC \
   "GCS_Clarke_1880_Arc"
#define PE_N_GCS_CLARKE_1880_BENOIT \
   "GCS_Clarke_1880_Benoit"
#define PE_N_GCS_CLARKE_1880_IGN \
   "GCS_Clarke_1880_IGN"
#define PE_N_GCS_CLARKE_1880_RGS \
   "GCS_Clarke_1880_RGS"
#define PE_N_GCS_CLARKE_1880_SGA \
   "GCS_Clarke_1880_SGA"
#define PE_N_GCS_COMBANI_1950 \
   "GCS_Combani_1950"
#define PE_N_GCS_CONAKRY_1905 \
   "GCS_Conakry_1905"
#define PE_N_GCS_CORREGO_ALEGRE \
   "GCS_Corrego_Alegre"
#define PE_N_GCS_COTE_D_IVOIRE \
   "GCS_Cote_d_Ivoire"
#define PE_N_GCS_CR05 \
   "GCS_CR05"
#define PE_N_GCS_CSG_1967 \
   "GCS_CSG_1967"
#define PE_N_GCS_D48 \
   "GCS_D48"
#define PE_N_GCS_DABOLA_1981 \
   "GCS_Dabola_1981"
#define PE_N_GCS_DATUM_73 \
   "GCS_Datum_73"
#define PE_N_GCS_DEALUL_PISCULUI_1933 \
   "GCS_Dealul_Piscului_1933"
#define PE_N_GCS_DEALUL_PISCULUI_1970 \
   "GCS_Dealul_Piscului_1970"
#define PE_N_GCS_DECEPTION_ISLAND \
   "GCS_Deception_Island"
#define PE_N_GCS_DEIR_EZ_ZOR \
   "GCS_Deir_ez_Zor"
#define PE_N_GCS_DGN_1995 \
   "GCS_DGN_1995"
#define PE_N_GCS_DHDN \
   "GCS_Deutsches_Hauptdreiecksnetz"
#define PE_N_GCS_DOMINICA_1945 \
   "GCS_Dominica_1945"
#define PE_N_GCS_DOS_1968 \
   "GCS_DOS_1968"
#define PE_N_GCS_DOS_71_4 \
   "GCS_DOS_71_4"
#define PE_N_GCS_DOUALA \
   "GCS_Douala"
#define PE_N_GCS_DOUALA_1948 \
   "GCS_Douala_1948"
#define PE_N_GCS_EASTER_ISLAND_1967 \
   "GCS_Easter_Island_1967"
#define PE_N_GCS_ED_1950 \
   "GCS_European_1950"
#define PE_N_GCS_ED_1950_ED77 \
   "GCS_European_1950_ED77"
#define PE_N_GCS_ED_1987 \
   "GCS_European_1987"
#define PE_N_GCS_EGYPT_1907 \
   "GCS_Egypt_1907"
#define PE_N_GCS_EGYPT_1930 \
   "GCS_Egypt_1930"
#define PE_N_GCS_EGYPT_GULF_SUEZ_S_650_TL \
   "GCS_Egypt_Gulf_of_Suez_S-650_TL"
#define PE_N_GCS_ESTONIA_1937 \
   "GCS_Estonia_1937"
#define PE_N_GCS_ESTONIA_1992 \
   "GCS_Estonia_1992"
#define PE_N_GCS_ESTONIA_1997 \
   "GCS_Estonia_1997"
#define PE_N_GCS_ETRF_1989 \
   "GCS_ETRF_1989"
#define PE_N_GCS_ETRS_1989 \
   "GCS_ETRS_1989"
#define PE_N_GCS_EUREF_FIN \
   "GCS_EUREF_FIN"
#define PE_N_GCS_EUROPEAN_1979 \
   "GCS_European_1979"
#define PE_N_GCS_EUROPEAN_LIBYAN_1979 \
   "GCS_European_Libyan_Datum_1979"
#define PE_N_GCS_EVEREST_1830 \
   "GCS_Everest_1830"
#define PE_N_GCS_EVEREST_ADJ_1937 \
   "GCS_Everest_Adj_1937"
#define PE_N_GCS_EVEREST_BANGLADESH \
   "GCS_Everest_Bangladesh"
#define PE_N_GCS_EVEREST_DEF_1962 \
   "GCS_Everest_def_1962"
#define PE_N_GCS_EVEREST_DEF_1967 \
   "GCS_Everest_def_1967"
#define PE_N_GCS_EVEREST_DEF_1975 \
   "GCS_Everest_def_1975"
#define PE_N_GCS_EVEREST_INDIA_NEPAL \
   "GCS_Everest_India_Nepal"
#define PE_N_GCS_EVEREST_MOD \
   "GCS_Everest_Modified"
#define PE_N_GCS_EVEREST_MOD_1969 \
   "GCS_Everest_Modified_1969"
#define PE_N_GCS_FAHUD \
   "GCS_Fahud"
#define PE_N_GCS_FATU_IVA_1972 \
   "GCS_Fatu_Iva_1972"
#define PE_N_GCS_FD_1954 \
   "GCS_FD_1954"
#define PE_N_GCS_FD_1958 \
   "GCS_FD_1958"
#define PE_N_GCS_FIJI_1956 \
   "GCS_Fiji_1956"
#define PE_N_GCS_FIJI_1986 \
   "GCS_Fiji_1986"
#define PE_N_GCS_FISCHER_1960 \
   "GCS_Fischer_1960"
#define PE_N_GCS_FISCHER_1968 \
   "GCS_Fischer_1968"
#define PE_N_GCS_FISCHER_MOD \
   "GCS_Fischer_Modified"
#define PE_N_GCS_FK_1989 \
   "GCS_fk89"
#define PE_N_GCS_FORT_DESAIX \
   "GCS_Fort_Desaix"
#define PE_N_GCS_FORT_MARIGOT \
   "GCS_Fort_Marigot"
#define PE_N_GCS_FORT_THOMAS_1955 \
   "GCS_Fort_Thomas_1955"
#define PE_N_GCS_GANDAJIKA_1970 \
   "GCS_Gandajika_1970"
#define PE_N_GCS_GAN_1970 \
   "GCS_Gan_1970"
#define PE_N_GCS_GAROUA \
   "GCS_Garoua"
#define PE_N_GCS_GDA_1994 \
   "GCS_GDA_1994"
#define PE_N_GCS_GDBD2009 \
   "GCS_GDBD2009"
#define PE_N_GCS_GDM_2000 \
   "GCS_GDM_2000"
#define PE_N_GCS_GEM_10C \
   "GCS_GEM_10C"
#define PE_N_GCS_GGRS_1987 \
   "GCS_GGRS_1987"
#define PE_N_GCS_GRACIOSA_1948 \
   "GCS_Graciosa_Base_SW_1948"
#define PE_N_GCS_GRAND_CAYMAN_1959 \
   "GCS_Grand_Cayman_1959"
#define PE_N_GCS_GRAND_COMOROS \
   "GCS_Grand_Comoros"
#define PE_N_GCS_GREEK \
   "GCS_Greek"
#define PE_N_GCS_GREEK_ATHENS \
   "GCS_Greek_Athens"
#define PE_N_GCS_GREENLAND_1996 \
   "GCS_Greenland_1996"
#define PE_N_GCS_GRENADA_1953 \
   "GCS_Grenada_1953"
#define PE_N_GCS_GRS_1967 \
   "GCS_GRS_1967"
#define PE_N_GCS_GRS_1980 \
   "GCS_GRS_1980"
#define PE_N_GCS_GUAM_1963 \
   "GCS_Guam_1963"
#define PE_N_GCS_GULSHAN_303 \
   "GCS_Gulshan_303"
#define PE_N_GCS_GUNUNG_SEGARA \
   "GCS_Gunung_Segara"
#define PE_N_GCS_GUNUNG_SEGARA_JAKARTA \
   "GCS_Gunung_Segara_Jakarta"
#define PE_N_GCS_GUX_1 \
   "GCS_GUX_1"
#define PE_N_GCS_GUYANE_FRANCAISE \
   "GCS_Guyane_Francaise"
#define PE_N_GCS_HANOI_1972 \
   "GCS_Hanoi_1972"
#define PE_N_GCS_HARTEBEESTHOEK94 \
   "GCS_Hartebeesthoek_1994"
#define PE_N_GCS_HD1909 \
   "GCS_HD1909"
#define PE_N_GCS_HELLE_1954 \
   "GCS_Helle_1954"
#define PE_N_GCS_HELMERT_1906 \
   "GCS_Helmert_1906"
#define PE_N_GCS_HERAT_NORTH \
   "GCS_Herat_North"
#define PE_N_GCS_HERMANNSKOGEL \
   "GCS_Hermannskogel"
#define PE_N_GCS_HITO_XVIII_1963 \
   "GCS_Hito_XVIII_1963"
#define PE_N_GCS_HJORSEY_1955 \
   "GCS_Hjorsey_1955"
#define PE_N_GCS_HONG_KONG_1963 \
   "GCS_Hong_Kong_1963"
#define PE_N_GCS_HONG_KONG_1963_67 \
   "GCS_Hong_Kong_1963_67"
#define PE_N_GCS_HONG_KONG_1980 \
   "GCS_Hong_Kong_1980"
#define PE_N_GCS_HOUGH_1960 \
   "GCS_Hough_1960"
#define PE_N_GCS_HTRS96 \
   "GCS_HTRS96"
#define PE_N_GCS_HUGHES_1980 \
   "GCS_Hughes_1980"
#define PE_N_GCS_HUNGARIAN_1972 \
   "GCS_Hungarian_1972"
#define PE_N_GCS_HU_TZU_SHAN \
   "GCS_Hu_Tzu_Shan"
#define PE_N_GCS_IGCB_1955 \
   "GCS_IGCB_1955"
#define PE_N_GCS_IGC_1962_6TH_PARALLEL_S \
   "GCS_IGC_1962_6th_Parallel_South"
#define PE_N_GCS_IGM_1995 \
   "GCS_IGM_1995"
#define PE_N_GCS_IGN53_MARE \
   "GCS_IGN53_Mare"
#define PE_N_GCS_IGN56_LIFOU \
   "GCS_IGN56_Lifou"
#define PE_N_GCS_IGN63_HIVA_OA \
   "GCS_IGN63_Hiva_Oa"
#define PE_N_GCS_IGN72_GRANDE_TERRE \
   "GCS_IGN72_Grande_Terre"
#define PE_N_GCS_IGN72_NUKU_HIVA \
   "GCS_IGN72_Nuku_Hiva"
#define PE_N_GCS_IGN_ASTRO_1960 \
   "GCS_IGN_Astro_1960"
#define PE_N_GCS_IGRS \
   "GCS_IGRS"
#define PE_N_GCS_IKBD_1992 \
   "GCS_IKBD_1992"
#define PE_N_GCS_INDIAN_1954 \
   "GCS_Indian_1954"
#define PE_N_GCS_INDIAN_1960 \
   "GCS_Indian_1960"
#define PE_N_GCS_INDIAN_1975 \
   "GCS_Indian_1975"
#define PE_N_GCS_INDONESIAN \
   "GCS_Indonesian"
#define PE_N_GCS_INDONESIAN_1974 \
   "GCS_Indonesian_1974"
#define PE_N_GCS_INTERNATIONAL_1924 \
   "GCS_International_1924"
#define PE_N_GCS_INTERNATIONAL_1967 \
   "GCS_International_1967"
#define PE_N_GCS_IRENET95 \
   "GCS_IRENET95"
#define PE_N_GCS_ISN_1993 \
   "GCS_ISN_1993"
#define PE_N_GCS_ISN_2004 \
   "GCS_ISN_2004"
#define PE_N_GCS_ISRAEL \
   "GCS_Israel"
#define PE_N_GCS_ISTS_061_1968 \
   "GCS_ISTS_061_1968"
#define PE_N_GCS_ISTS_073_1969 \
   "GCS_ISTS_073_1969"
#define PE_N_GCS_ITRF_1988 \
   "GCS_ITRF_1988"
#define PE_N_GCS_ITRF_1989 \
   "GCS_ITRF_1989"
#define PE_N_GCS_ITRF_1990 \
   "GCS_ITRF_1990"
#define PE_N_GCS_ITRF_1991 \
   "GCS_ITRF_1991"
#define PE_N_GCS_ITRF_1992 \
   "GCS_ITRF_1992"
#define PE_N_GCS_ITRF_1993 \
   "GCS_ITRF_1993"
#define PE_N_GCS_ITRF_1994 \
   "GCS_ITRF_1994"
#define PE_N_GCS_ITRF_1996 \
   "GCS_ITRF_1996"
#define PE_N_GCS_ITRF_1997 \
   "GCS_ITRF_1997"
#define PE_N_GCS_ITRF_2000 \
   "GCS_ITRF_2000"
#define PE_N_GCS_ITRF_2005 \
   "GCS_ITRF_2005"
#define PE_N_GCS_JAD_2001 \
   "GCS_JAD_2001"
#define PE_N_GCS_JAMAICA_1875 \
   "GCS_Jamaica_1875"
#define PE_N_GCS_JAMAICA_1969 \
   "GCS_Jamaica_1969"
#define PE_N_GCS_JGD_2000 \
   "GCS_JGD_2000"
#define PE_N_GCS_JOHNSTON_ISLAND_1961 \
   "GCS_Johnston_Island_1961"
#define PE_N_GCS_JORDAN \
   "GCS_Jordan"
#define PE_N_GCS_JOUIK_1961 \
   "GCS_Jouik_1961"
#define PE_N_GCS_KALIANPUR_1880 \
   "GCS_Kalianpur_1880"
#define PE_N_GCS_KALIANPUR_1937 \
   "GCS_Kalianpur_1937"
#define PE_N_GCS_KALIANPUR_1962 \
   "GCS_Kalianpur_1962"
#define PE_N_GCS_KALIANPUR_1975 \
   "GCS_Kalianpur_1975"
#define PE_N_GCS_KANDAWALA \
   "GCS_Kandawala"
#define PE_N_GCS_KARBALA_1979_POLSERVICE \
   "GCS_Karbala_1979_Polservice"
#define PE_N_GCS_KASAI_1953 \
   "GCS_Kasai_1955"
#define PE_N_GCS_KATANGA_1955 \
   "GCS_Katanga_1955"
#define PE_N_GCS_KERGUELEN_ISLAND_1949 \
   "GCS_Kerguelen_Island_1949"
#define PE_N_GCS_KERTAU \
   "GCS_Kertau"
#define PE_N_GCS_KERTAU_RSO \
   "GCS_Kertau_RSO"
#define PE_N_GCS_KKJ \
   "GCS_KKJ"
#define PE_N_GCS_KOC \
   "GCS_Kuwait_Oil_Company"
#define PE_N_GCS_KOREAN_1985 \
   "GCS_Korean_Datum_1985"
#define PE_N_GCS_KOREAN_1995 \
   "GCS_Korean_Datum_1995"
#define PE_N_GCS_KOREA_2000 \
   "GCS_Korea_2000"
#define PE_N_GCS_KOUSSERI \
   "GCS_Kousseri"
#define PE_N_GCS_KRASOVSKY_1940 \
   "GCS_Krasovsky_1940"
#define PE_N_GCS_KUDAMS \
   "GCS_KUDAMS"
#define PE_N_GCS_KUSAIE_1951 \
   "GCS_Kusaie_1951"
#define PE_N_GCS_LAKE \
   "GCS_Lake"
#define PE_N_GCS_LAO_1993 \
   "GCS_Lao_1993"
#define PE_N_GCS_LAO_1997 \
   "GCS_Lao_1997"
#define PE_N_GCS_LA_CANOA \
   "GCS_La_Canoa"
#define PE_N_GCS_LC5_1961 \
   "GCS_LC5_1961"
#define PE_N_GCS_LEIGON \
   "GCS_Leigon"
#define PE_N_GCS_LE_POUCE_1934 \
   "GCS_Le_Pouce_1934"
#define PE_N_GCS_LGD2006 \
   "GCS_LGD2006"
#define PE_N_GCS_LIBERIA_1964 \
   "GCS_Liberia_1964"
#define PE_N_GCS_LISBOA_BESSEL \
   "GCS_Datum_Lisboa_Bessel"
#define PE_N_GCS_LISBOA_HAYFORD \
   "GCS_Datum_Lisboa_Hayford"
#define PE_N_GCS_LISBON \
   "GCS_Lisbon"
#define PE_N_GCS_LISBON_1890 \
   "GCS_Lisbon_1890"
#define PE_N_GCS_LISBON_1890_LISBON \
   "GCS_Lisbon_1890_Lisbon"
#define PE_N_GCS_LISBON_LISBON \
   "GCS_Lisbon_Lisbon"
#define PE_N_GCS_LITTLE_CAYMAN_1961 \
   "GCS_Little_Cayman_1961"
#define PE_N_GCS_LKS_1992 \
   "GCS_LKS_1992"
#define PE_N_GCS_LKS_1994 \
   "GCS_LKS_1994"
#define PE_N_GCS_LOCODJO_1965 \
   "GCS_Locodjo_1965"
#define PE_N_GCS_LOMA_QUINTANA \
   "GCS_Loma_Quintana"
#define PE_N_GCS_LOME \
   "GCS_Lome"
#define PE_N_GCS_LUXEMBOURG_1930 \
   "GCS_Luxembourg_1930"
#define PE_N_GCS_LUZON_1911 \
   "GCS_Luzon_1911"
#define PE_N_GCS_MADEIRA_1936 \
   "GCS_Madeira_1936"
#define PE_N_GCS_MADRID_1870_MADRID \
   "GCS_Madrid_1870_Madrid"
#define PE_N_GCS_MADZANSUA \
   "GCS_Madzansua"
#define PE_N_GCS_MAGNA \
   "GCS_MAGNA"
#define PE_N_GCS_MAHE_1971 \
   "GCS_Mahe_1971"
#define PE_N_GCS_MAJURO \
   "GCS_Majuro"
#define PE_N_GCS_MAKASSAR \
   "GCS_Makassar"
#define PE_N_GCS_MAKASSAR_JAKARTA \
   "GCS_Makassar_Jakarta"
#define PE_N_GCS_MALONGO_1987 \
   "GCS_Malongo_1987"
#define PE_N_GCS_MANOCA \
   "GCS_Manoca"
#define PE_N_GCS_MANOCA_1962 \
   "GCS_Manoca_1962"
#define PE_N_GCS_MASSAWA \
   "GCS_Massawa"
#define PE_N_GCS_MAUPITI_1983 \
   "GCS_Maupiti_1983"
#define PE_N_GCS_MAURITANIA_1999 \
   "GCS_Mauritania_1999"
#define PE_N_GCS_MERCHICH \
   "GCS_Merchich"
#define PE_N_GCS_MERCHICH_DEGREE \
   "GCS_Merchich_Degree"
#define PE_N_GCS_MEXICAN_DATUM_1993 \
   "GCS_Mexican_Datum_of_1993"
#define PE_N_GCS_MGI \
   "GCS_MGI"
#define PE_N_GCS_MGI_1901 \
   "GCS_MGI_1901"
#define PE_N_GCS_MGI_FERRO \
   "GCS_MGI_Ferro"
#define PE_N_GCS_MHAST \
   "GCS_Mhast"
#define PE_N_GCS_MHAST_1951 \
   "GCS_Mhast_1951"
#define PE_N_GCS_MHAST_OFFSHORE \
   "GCS_Mhast_Offshore"
#define PE_N_GCS_MHAST_ONSHORE \
   "GCS_Mhast_Onshore"
#define PE_N_GCS_MIDWAY_1961 \
   "GCS_Midway_1961"
#define PE_N_GCS_MINNA \
   "GCS_Minna"
#define PE_N_GCS_MOLDREF99 \
   "GCS_MOLDREF99"
#define PE_N_GCS_MONREF_1997 \
   "GCS_MONREF_1997"
#define PE_N_GCS_MONTE_MARIO \
   "GCS_Monte_Mario"
#define PE_N_GCS_MONTE_MARIO_ROME \
   "GCS_Monte_Mario_Rome"
#define PE_N_GCS_MONTSERRAT_1958 \
   "GCS_Montserrat_1958"
#define PE_N_GCS_MOOREA_1987 \
   "GCS_Moorea_1987"
#define PE_N_GCS_MOP78 \
   "GCS_MOP78"
#define PE_N_GCS_MOUNT_DILLON \
   "GCS_Mount_Dillon"
#define PE_N_GCS_MOZNET \
   "GCS_Moznet"
#define PE_N_GCS_MPORALOKO \
   "GCS_Mporaloko"
#define PE_N_GCS_MSK_1942 \
   "GCS_MSK_1942"
#define PE_N_GCS_NAD_1927 \
   "GCS_North_American_1927"
#define PE_N_GCS_NAD_1927_CGQ77 \
   "GCS_NAD_1927_CGQ77"
#define PE_N_GCS_NAD_1927_DEF_1976 \
   "GCS_NAD_1927_Definition_1976"
#define PE_N_GCS_NAD_1983 \
   "GCS_North_American_1983"
#define PE_N_GCS_NAD_1983_CORS96 \
   "GCS_NAD_1983_CORS96"
#define PE_N_GCS_NAD_1983_CSRS \
   "GCS_North_American_1983_CSRS"
#define PE_N_GCS_NAD_1983_HARN \
   "GCS_North_American_1983_HARN"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_ANOKA \
   "GCS_NAD_1983_HARN_Adj_MN_Anoka"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_BECKER \
   "GCS_NAD_1983_HARN_Adj_MN_Becker"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_BELTRAMI_N \
   "GCS_NAD_1983_HARN_Adj_MN_Beltrami_North"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_BELTRAMI_S \
   "GCS_NAD_1983_HARN_Adj_MN_Beltrami_South"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_BENTON \
   "GCS_NAD_1983_HARN_Adj_MN_Benton"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_BIG_STONE \
   "GCS_NAD_1983_HARN_Adj_MN_Big_Stone"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_BLUE_EARTH \
   "GCS_NAD_1983_HARN_Adj_MN_Blue_Earth"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_BROWN \
   "GCS_NAD_1983_HARN_Adj_MN_Brown"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_CARLTON \
   "GCS_NAD_1983_HARN_Adj_MN_Carlton"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_CARVER \
   "GCS_NAD_1983_HARN_Adj_MN_Carver"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_CASS_N \
   "GCS_NAD_1983_HARN_Adj_MN_Cass_North"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_CASS_S \
   "GCS_NAD_1983_HARN_Adj_MN_Cass_South"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_CHIPPEWA \
   "GCS_NAD_1983_HARN_Adj_MN_Chippewa"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_CHISAGO \
   "GCS_NAD_1983_HARN_Adj_MN_Chisago"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_COOK_N \
   "GCS_NAD_1983_HARN_Adj_MN_Cook_North"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_COOK_S \
   "GCS_NAD_1983_HARN_Adj_MN_Cook_South"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_COTTONWOOD \
   "GCS_NAD_1983_HARN_Adj_MN_Cottonwood"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_CROW_WING \
   "GCS_NAD_1983_HARN_Adj_MN_Crow_Wing"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_DAKOTA \
   "GCS_NAD_1983_HARN_Adj_MN_Dakota"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_DODGE \
   "GCS_NAD_1983_HARN_Adj_MN_Dodge"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_DOUGLAS \
   "GCS_NAD_1983_HARN_Adj_MN_Douglas"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_FARIBAULT \
   "GCS_NAD_1983_HARN_Adj_MN_Faribault"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_FILLMORE \
   "GCS_NAD_1983_HARN_Adj_MN_Fillmore"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_FREEBORN \
   "GCS_NAD_1983_HARN_Adj_MN_Freeborn"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_GOODHUE \
   "GCS_NAD_1983_HARN_Adj_MN_Goodhue"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_GRANT \
   "GCS_NAD_1983_HARN_Adj_MN_Grant"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_HENNEPIN \
   "GCS_NAD_1983_HARN_Adj_MN_Hennepin"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_HOUSTON \
   "GCS_NAD_1983_HARN_Adj_MN_Houston"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_ISANTI \
   "GCS_NAD_1983_HARN_Adj_MN_Isanti"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_ITASCA_N \
   "GCS_NAD_1983_HARN_Adj_MN_Itasca_North"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_ITASCA_S \
   "GCS_NAD_1983_HARN_Adj_MN_Itasca_South"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_JACKSON \
   "GCS_NAD_1983_HARN_Adj_MN_Jackson"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_KANABEC \
   "GCS_NAD_1983_HARN_Adj_MN_Kanabec"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_KANDIYOHI \
   "GCS_NAD_1983_HARN_Adj_MN_Kandiyohi"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_KITTSON \
   "GCS_NAD_1983_HARN_Adj_MN_Kittson"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_KOOCHICHING \
   "GCS_NAD_1983_HARN_Adj_MN_Koochiching"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_LAC_QUI_PARLE \
   "GCS_NAD_1983_HARN_Adj_MN_Lac_Qui_Parle"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_N \
   "GCS_NAD_1983_HARN_Adj_MN_Lake_of_the_Woods_North"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_S \
   "GCS_NAD_1983_HARN_Adj_MN_Lake_of_the_Woods_South"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_LE_SUEUR \
   "GCS_NAD_1983_HARN_Adj_MN_Le_Sueur"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_LINCOLN \
   "GCS_NAD_1983_HARN_Adj_MN_Lincoln"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_LYON \
   "GCS_NAD_1983_HARN_Adj_MN_Lyon"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_MAHNOMEN \
   "GCS_NAD_1983_HARN_Adj_MN_Mahnomen"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_MARSHALL \
   "GCS_NAD_1983_HARN_Adj_MN_Marshall"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_MARTIN \
   "GCS_NAD_1983_HARN_Adj_MN_Martin"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_MCLEOD \
   "GCS_NAD_1983_HARN_Adj_MN_McLeod"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_MEEKER \
   "GCS_NAD_1983_HARN_Adj_MN_Meeker"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_MORRISON \
   "GCS_NAD_1983_HARN_Adj_MN_Morrison"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_MOWER \
   "GCS_NAD_1983_HARN_Adj_MN_Mower"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_MURRAY \
   "GCS_NAD_1983_HARN_Adj_MN_Murray"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_NICOLLET \
   "GCS_NAD_1983_HARN_Adj_MN_Nicollet"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_NOBLES \
   "GCS_NAD_1983_HARN_Adj_MN_Nobles"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_NORMAN \
   "GCS_NAD_1983_HARN_Adj_MN_Norman"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_OLMSTED \
   "GCS_NAD_1983_HARN_Adj_MN_Olmsted"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_OTTERTAIL \
   "GCS_NAD_1983_HARN_Adj_MN_Ottertail"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_PENNINGTON \
   "GCS_NAD_1983_HARN_Adj_MN_Pennington"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_PINE \
   "GCS_NAD_1983_HARN_Adj_MN_Pine"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_PIPESTONE \
   "GCS_NAD_1983_HARN_Adj_MN_Pipestone"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_POLK \
   "GCS_NAD_1983_HARN_Adj_MN_Polk"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_POPE \
   "GCS_NAD_1983_HARN_Adj_MN_Pope"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_RAMSEY \
   "GCS_NAD_1983_HARN_Adj_MN_Ramsey"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_REDWOOD \
   "GCS_NAD_1983_HARN_Adj_MN_Redwood"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_RED_LAKE \
   "GCS_NAD_1983_HARN_Adj_MN_Red_Lake"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_RENVILLE \
   "GCS_NAD_1983_HARN_Adj_MN_Renville"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_RICE \
   "GCS_NAD_1983_HARN_Adj_MN_Rice"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_ROCK \
   "GCS_NAD_1983_HARN_Adj_MN_Rock"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_ROSEAU \
   "GCS_NAD_1983_HARN_Adj_MN_Roseau"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_SCOTT \
   "GCS_NAD_1983_HARN_Adj_MN_Scott"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_SHERBURNE \
   "GCS_NAD_1983_HARN_Adj_MN_Sherburne"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_SIBLEY \
   "GCS_NAD_1983_HARN_Adj_MN_Sibley"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_STEARNS \
   "GCS_NAD_1983_HARN_Adj_MN_Stearns"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_STEELE \
   "GCS_NAD_1983_HARN_Adj_MN_Steele"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_STEVENS \
   "GCS_NAD_1983_HARN_Adj_MN_Stevens"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS \
   "GCS_NAD_1983_HARN_Adj_MN_St_Louis"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_C \
   "GCS_NAD_1983_HARN_Adj_MN_St_Louis_Central"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_N \
   "GCS_NAD_1983_HARN_Adj_MN_St_Louis_North"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_S \
   "GCS_NAD_1983_HARN_Adj_MN_St_Louis_South"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_SWIFT \
   "GCS_NAD_1983_HARN_Adj_MN_Swift"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_TODD \
   "GCS_NAD_1983_HARN_Adj_MN_Todd"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_TRAVERSE \
   "GCS_NAD_1983_HARN_Adj_MN_Traverse"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_WABASHA \
   "GCS_NAD_1983_HARN_Adj_MN_Wabasha"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_WADENA \
   "GCS_NAD_1983_HARN_Adj_MN_Wadena"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_WASECA \
   "GCS_NAD_1983_HARN_Adj_MN_Waseca"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_WATONWAN \
   "GCS_NAD_1983_HARN_Adj_MN_Watonwan"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_WINONA \
   "GCS_NAD_1983_HARN_Adj_MN_Winona"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_WRIGHT \
   "GCS_NAD_1983_HARN_Adj_MN_Wright"
#define PE_N_GCS_NAD_1983_HARN_ADJ_MN_YELLOW_MEDICINE \
   "GCS_NAD_1983_HARN_Adj_MN_Yellow_Medicine"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_AD \
   "GCS_NAD_1983_HARN_Adj_WI_Adams"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_AL \
   "GCS_NAD_1983_HARN_Adj_WI_Ashland"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_BA \
   "GCS_NAD_1983_HARN_Adj_WI_Barron"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_BF \
   "GCS_NAD_1983_HARN_Adj_WI_Bayfield"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_BN \
   "GCS_NAD_1983_HARN_Adj_WI_Burnett"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_BR \
   "GCS_NAD_1983_HARN_Adj_WI_Brown"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_BU \
   "GCS_NAD_1983_HARN_Adj_WI_Buffalo"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_CK \
   "GCS_NAD_1983_HARN_Adj_WI_Clark"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_CL \
   "GCS_NAD_1983_HARN_Adj_WI_Calumet"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_CO \
   "GCS_NAD_1983_HARN_Adj_WI_Columbia"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_CP \
   "GCS_NAD_1983_HARN_Adj_WI_Chippewa"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_CR \
   "GCS_NAD_1983_HARN_Adj_WI_Crawford"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_DD \
   "GCS_NAD_1983_HARN_Adj_WI_Dodge"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_DG \
   "GCS_NAD_1983_HARN_Adj_WI_Douglas"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_DN \
   "GCS_NAD_1983_HARN_Adj_WI_Dane"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_DR \
   "GCS_NAD_1983_HARN_Adj_WI_Door"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_DU \
   "GCS_NAD_1983_HARN_Adj_WI_Dunn"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_EC \
   "GCS_NAD_1983_HARN_Adj_WI_EauClaire"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_FL \
   "GCS_NAD_1983_HARN_Adj_WI_FondduLac"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_FN \
   "GCS_NAD_1983_HARN_Adj_WI_Florence"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_FR \
   "GCS_NAD_1983_HARN_Adj_WI_Forest"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_GL \
   "GCS_NAD_1983_HARN_Adj_WI_GreenLake"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_GR \
   "GCS_NAD_1983_HARN_Adj_WI_Green"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_GT \
   "GCS_NAD_1983_HARN_Adj_WI_Grant"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_IA \
   "GCS_NAD_1983_HARN_Adj_WI_Iowa"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_IR \
   "GCS_NAD_1983_HARN_Adj_WI_Iron"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_JA \
   "GCS_NAD_1983_HARN_Adj_WI_Jackson"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_JF \
   "GCS_NAD_1983_HARN_Adj_WI_Jefferson"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_JN \
   "GCS_NAD_1983_HARN_Adj_WI_Juneau"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_KN \
   "GCS_NAD_1983_HARN_Adj_WI_Kenosha"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_KW \
   "GCS_NAD_1983_HARN_Adj_WI_Kewaunee"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_LC \
   "GCS_NAD_1983_HARN_Adj_WI_LaCrosse"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_LF \
   "GCS_NAD_1983_HARN_Adj_WI_Lafayette"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_LG \
   "GCS_NAD_1983_HARN_Adj_WI_Langlade"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_LN \
   "GCS_NAD_1983_HARN_Adj_WI_Lincoln"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_MA \
   "GCS_NAD_1983_HARN_Adj_WI_Marathon"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_ME \
   "GCS_NAD_1983_HARN_Adj_WI_Menominee"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_MN \
   "GCS_NAD_1983_HARN_Adj_WI_Marinette"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_MQ \
   "GCS_NAD_1983_HARN_Adj_WI_Marquette"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_MR \
   "GCS_NAD_1983_HARN_Adj_WI_Monroe"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_MT \
   "GCS_NAD_1983_HARN_Adj_WI_Manitowoc"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_MW \
   "GCS_NAD_1983_HARN_Adj_WI_Milwaukee"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_OC \
   "GCS_NAD_1983_HARN_Adj_WI_Oconto"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_OG \
   "GCS_NAD_1983_HARN_Adj_WI_Outagamie"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_ON \
   "GCS_NAD_1983_HARN_Adj_WI_Oneida"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_OZ \
   "GCS_NAD_1983_HARN_Adj_WI_Ozaukee"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_PC \
   "GCS_NAD_1983_HARN_Adj_WI_Pierce"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_PK \
   "GCS_NAD_1983_HARN_Adj_WI_Polk"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_PP \
   "GCS_NAD_1983_HARN_Adj_WI_Pepin"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_PR \
   "GCS_NAD_1983_HARN_Adj_WI_Price"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_PT \
   "GCS_NAD_1983_HARN_Adj_WI_Portage"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_RA \
   "GCS_NAD_1983_HARN_Adj_WI_Racine"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_RC \
   "GCS_NAD_1983_HARN_Adj_WI_Richland"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_RK \
   "GCS_NAD_1983_HARN_Adj_WI_Rock"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_RS \
   "GCS_NAD_1983_HARN_Adj_WI_Rusk"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_SC \
   "GCS_NAD_1983_HARN_Adj_WI_StCroix"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_SG \
   "GCS_NAD_1983_HARN_Adj_WI_Sheboygan"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_SH \
   "GCS_NAD_1983_HARN_Adj_WI_Shawano"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_SK \
   "GCS_NAD_1983_HARN_Adj_WI_Sauk"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_SW \
   "GCS_NAD_1983_HARN_Adj_WI_Sawyer"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_TA \
   "GCS_NAD_1983_HARN_Adj_WI_Taylor"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_TR \
   "GCS_NAD_1983_HARN_Adj_WI_Trempealeau"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_VI \
   "GCS_NAD_1983_HARN_Adj_WI_Vilas"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_VR \
   "GCS_NAD_1983_HARN_Adj_WI_Vernon"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_WA \
   "GCS_NAD_1983_HARN_Adj_WI_Washington"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_WB \
   "GCS_NAD_1983_HARN_Adj_WI_Washburn"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_WD \
   "GCS_NAD_1983_HARN_Adj_WI_Wood"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_WK \
   "GCS_NAD_1983_HARN_Adj_WI_Waukesha"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_WN \
   "GCS_NAD_1983_HARN_Adj_WI_Winnebago"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_WP \
   "GCS_NAD_1983_HARN_Adj_WI_Waupaca"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_WS \
   "GCS_NAD_1983_HARN_Adj_WI_Waushara"
#define PE_N_GCS_NAD_1983_HARN_ADJ_WI_WW \
   "GCS_NAD_1983_HARN_Adj_WI_Walworth"
#define PE_N_GCS_NAD_1983_MARP00 \
   "GCS_NAD_1983_MARP00"
#define PE_N_GCS_NAD_1983_NSRS2007 \
   "GCS_NAD_1983_NSRS2007"
#define PE_N_GCS_NAD_1983_PACP00 \
   "GCS_NAD_1983_PACP00"
#define PE_N_GCS_NAD_MICH \
   "GCS_North_American_Michigan"
#define PE_N_GCS_NAHRWAN_1934 \
   "GCS_Nahrwan_1934"
#define PE_N_GCS_NAHRWAN_1967 \
   "GCS_Nahrwan_1967"
#define PE_N_GCS_NAKHL_E_GHANEM \
   "GCS_Nakhl-e_Ghanem"
#define PE_N_GCS_NAPARIMA_1955 \
   "GCS_Naparima_1955"
#define PE_N_GCS_NAPARIMA_1972 \
   "GCS_Naparima_1972"
#define PE_N_GCS_NDG_PARIS \
   "GCS_Nord_de_Guerre_Paris"
#define PE_N_GCS_NEA74_NOUMEA \
   "GCS_NEA74_Noumea"
#define PE_N_GCS_NEPAL_NAGARKOT \
   "GCS_Nepal_Nagarkot"
#define PE_N_GCS_NEW_BEIJING \
   "GCS_New_Beijing"
#define PE_N_GCS_NGN \
   "GCS_NGN"
#define PE_N_GCS_NGO_1948 \
   "GCS_NGO_1948"
#define PE_N_GCS_NGO_1948_OSLO \
   "GCS_NGO_1948_Oslo"
#define PE_N_GCS_NORD_SAHARA_1959 \
   "GCS_Nord_Sahara_1959"
#define PE_N_GCS_NORD_SAHARA_1959_PARIS \
   "GCS_Nord_Sahara_1959_Paris"
#define PE_N_GCS_NOUAKCHOTT_1965 \
   "GCS_Nouakchott_1965"
#define PE_N_GCS_NSWC_9Z_2 \
   "GCS_NSWC_9Z_2"
#define PE_N_GCS_NTF \
   "GCS_NTF"
#define PE_N_GCS_NTF_PARIS \
   "GCS_NTF_Paris"
#define PE_N_GCS_NWL_9D \
   "GCS_NWL_9D"
#define PE_N_GCS_NZGD_1949 \
   "GCS_New_Zealand_1949"
#define PE_N_GCS_NZGD_2000 \
   "GCS_NZGD_2000"
#define PE_N_GCS_OBSERVATARIO \
   "GCS_Observatario"
#define PE_N_GCS_OBSERV_METEOR_1939 \
   "GCS_Observatorio_Meteorologico_1939"
#define PE_N_GCS_OBSERV_METEOR_1965 \
   "GCS_Observatorio_Meteorologico_1965"
#define PE_N_GCS_OCOTEPEQUE_1935 \
   "GCS_Ocotepeque_1935"
#define PE_N_GCS_OLD_HAWAIIAN \
   "GCS_Old_Hawaiian"
#define PE_N_GCS_OLD_HAWAIIAN_INTL_1924 \
   "GCS_Old_Hawaiian_Intl_1924"
#define PE_N_GCS_OMAN \
   "GCS_Oman"
#define PE_N_GCS_OSGB_1936 \
   "GCS_OSGB_1936"
#define PE_N_GCS_OSGB_1970_SN \
   "GCS_OSGB_1970_SN"
#define PE_N_GCS_OSNI_1952 \
   "GCS_OSNI_1952"
#define PE_N_GCS_OSU_86F \
   "GCS_OSU_86F"
#define PE_N_GCS_OSU_91A \
   "GCS_OSU_91A"
#define PE_N_GCS_OS_SN_1980 \
   "GCS_OS_SN_1980"
#define PE_N_GCS_PADANG_1884 \
   "GCS_Padang_1884"
#define PE_N_GCS_PADANG_1884_JAKARTA \
   "GCS_Padang_1884_Jakarta"
#define PE_N_GCS_PALESTINE_1923 \
   "GCS_Palestine_1923"
#define PE_N_GCS_PAMPA_DEL_CASTILLO \
   "GCS_Pampa_del_Castillo"
#define PE_N_GCS_PDO_1993 \
   "GCS_PDO_1993"
#define PE_N_GCS_PETRELS_1972 \
   "GCS_Petrels_1972"
#define PE_N_GCS_PICO_DE_LAS_NIEVES \
   "GCS_Pico_de_Las_Nieves"
#define PE_N_GCS_PITCAIRN_1967 \
   "GCS_Pitcairn_1967"
#define PE_N_GCS_PITCAIRN_2006 \
   "GCS_Pitcairn_2006"
#define PE_N_GCS_PLESSIS_1817 \
   "GCS_Plessis_1817"
#define PE_N_GCS_POHNPEI \
   "GCS_Pohnpei"
#define PE_N_GCS_POINT58 \
   "GCS_Point_58"
#define PE_N_GCS_POINTE_GEOLOGIE_PERROUD_1950 \
   "GCS_Pointe_Geologie_Perroud_1950"
#define PE_N_GCS_POINTE_NOIRE \
   "GCS_Pointe_Noire"
#define PE_N_GCS_PORTO_SANTO_1936 \
   "GCS_Porto_Santo_1936"
#define PE_N_GCS_PORTO_SANTO_1995 \
   "GCS_Porto_Santo_1995"
#define PE_N_GCS_POSGAR \
   "GCS_POSGAR"
#define PE_N_GCS_POSGAR_1994 \
   "GCS_POSGAR_1994"
#define PE_N_GCS_POSGAR_1998 \
   "GCS_POSGAR_1998"
#define PE_N_GCS_POTSDAM_DATUM_1983 \
   "GCS_PD/83"
#define PE_N_GCS_PRINCIPE \
   "GCS_Principe"
#define PE_N_GCS_PRS_1992 \
   "GCS_PRS_1992"
#define PE_N_GCS_PSAD_1956 \
   "GCS_Provisional_S_American_1956"
#define PE_N_GCS_PTRA08 \
   "GCS_PTRA08"
#define PE_N_GCS_PUERTO_RICO \
   "GCS_Puerto_Rico"
#define PE_N_GCS_PULKOVO_1942 \
   "GCS_Pulkovo_1942"
#define PE_N_GCS_PULKOVO_1942_ADJ_1958 \
   "GCS_Pulkovo_1942_Adj_1958"
#define PE_N_GCS_PULKOVO_1942_ADJ_1983 \
   "GCS_Pulkovo_1942_Adj_1983"
#define PE_N_GCS_PULKOVO_1995 \
   "GCS_Pulkovo_1995"
#define PE_N_GCS_PZ_1990 \
   "GCS_PZ_1990"
#define PE_N_GCS_QATAR_1948 \
   "GCS_Qatar_1948"
#define PE_N_GCS_QATAR_1974 \
   "GCS_Qatar_1974"
#define PE_N_GCS_QND_1995 \
   "GCS_QND_1995"
#define PE_N_GCS_QORNOQ \
   "GCS_Qornoq"
#define PE_N_GCS_QORNOQ_1927 \
   "GCS_Qornoq_1927"
#define PE_N_GCS_RASSADIRAN \
   "GCS_Rassadiran"
#define PE_N_GCS_RAUENBERG_DATUM_1983 \
   "GCS_RD/83"
#define PE_N_GCS_REGCAN95 \
   "GCS_REGCAN95"
#define PE_N_GCS_REGVEN \
   "GCS_REGVEN"
#define PE_N_GCS_REUNION_1947 \
   "GCS_Reunion_1947"
#define PE_N_GCS_REYKJAVIK_1900 \
   "GCS_Reykjavik_1900"
#define PE_N_GCS_RGFG_1995 \
   "GCS_RGFG_1995"
#define PE_N_GCS_RGF_1993 \
   "GCS_RGF_1993"
#define PE_N_GCS_RGM_2004 \
   "GCS_RGM_2004"
#define PE_N_GCS_RGNC_1991 \
   "GCS_RGNC_1991"
#define PE_N_GCS_RGNC_1991_93 \
   "GCS_RGNC_1991-93"
#define PE_N_GCS_RGPF \
   "GCS_RGPF"
#define PE_N_GCS_RGRDC_2005 \
   "GCS_RGRDC_2005"
#define PE_N_GCS_RGR_1992 \
   "GCS_RGR_1992"
#define PE_N_GCS_RGSPM_2006 \
   "GCS_RGSPM_2006"
#define PE_N_GCS_ROMA_1940 \
   "GCS_Roma_1940"
#define PE_N_GCS_RRAF_1991 \
   "GCS_RRAF_1991"
#define PE_N_GCS_RSRGD2000 \
   "GCS_RSRGD2000"
#define PE_N_GCS_RT38 \
   "GCS_RT38"
#define PE_N_GCS_RT38_STOCKHOLM \
   "GCS_RT38_Stockholm"
#define PE_N_GCS_RT90 \
   "GCS_RT_1990"
#define PE_N_GCS_S42_HUNGARY \
   "GCS_S42_Hungary"
#define PE_N_GCS_SAD_1969 \
   "GCS_South_American_1969"
#define PE_N_GCS_SAINTE_ANNE \
   "GCS_Sainte_Anne"
#define PE_N_GCS_SAINT_PIERRE_ET_MIQUELON_1950 \
   "GCS_Saint_Pierre_et_Miquelon_1950"
#define PE_N_GCS_SAMBOJA \
   "GCS_Samboja"
#define PE_N_GCS_SAMOA_1962 \
   "GCS_American_Samoa_1962"
#define PE_N_GCS_SANTO_DOS_1965 \
   "GCS_Santo_DOS_1965"
#define PE_N_GCS_SAO_BRAZ \
   "GCS_Sao_Braz"
#define PE_N_GCS_SAO_TOME \
   "GCS_Sao_Tome"
#define PE_N_GCS_SAPPER_HILL_1943 \
   "GCS_Sapper_Hill_1943"
#define PE_N_GCS_SCHWARZECK \
   "GCS_Schwarzeck"
#define PE_N_GCS_SCORESBYSUND_1952 \
   "GCS_Scoresbysund_1952"
#define PE_N_GCS_SEGORA \
   "GCS_Segora"
#define PE_N_GCS_SELVAGEM_GRANDE_1938 \
   "GCS_Selvagem_Grande_1938"
#define PE_N_GCS_SERINDUNG \
   "GCS_Serindung"
#define PE_N_GCS_SIERRA_LEONE_1924 \
   "GCS_Sierra_Leone_1924"
#define PE_N_GCS_SIERRA_LEONE_1960 \
   "GCS_Sierra_Leone_1960"
#define PE_N_GCS_SIERRA_LEONE_1968 \
   "GCS_Sierra_Leone_1968"
#define PE_N_GCS_SIRGAS \
   "GCS_SIRGAS"
#define PE_N_GCS_SIRGAS_2000 \
   "GCS_SIRGAS_2000"
#define PE_N_GCS_SLOVENIA_1996 \
   "GCS_Slovenia_1996"
#define PE_N_GCS_SOLOMON_1968 \
   "GCS_Solomon_1968"
#define PE_N_GCS_SOUTH_YEMEN \
   "GCS_South_Yemen"
#define PE_N_GCS_SPHERE \
   "GCS_Sphere"
#define PE_N_GCS_SPHERE_AI \
   "GCS_Sphere_ARC_INFO"
#define PE_N_GCS_SPHERE_CLARKE_1866_AUTHALIC \
   "GCS_Sphere_Clarke_1866_Authalic"
#define PE_N_GCS_SPHERE_EMEP \
   "GCS_Sphere_EMEP"
#define PE_N_GCS_SPHERE_GRS_1980_AUTHALIC \
   "GCS_Sphere_GRS_1980_Authalic"
#define PE_N_GCS_SPHERE_INTL_1924_AUTHALIC \
   "GCS_Sphere_International_1924_Authalic"
#define PE_N_GCS_SPHERE_WGS_1984_MAJOR_AUXILIARY \
   "GCS_WGS_1984_Major_Auxiliary_Sphere"
#define PE_N_GCS_SREF98 \
   "GCS_SREF98"
#define PE_N_GCS_ST71_BELEP \
   "GCS_ST71_Belep"
#define PE_N_GCS_ST84_ILE_DES_PINS \
   "GCS_ST84_Ile_des_Pins"
#define PE_N_GCS_ST87_OUVEA \
   "GCS_ST87_Ouvea"
#define PE_N_GCS_STRUVE_1860 \
   "GCS_Struve_1860"
#define PE_N_GCS_ST_GEORGE_ISLAND \
   "GCS_St_George_Island"
#define PE_N_GCS_ST_KITTS_1955 \
   "GCS_St_Kitts_1955"
#define PE_N_GCS_ST_LAWRENCE_ISLAND \
   "GCS_St_Lawrence_Island"
#define PE_N_GCS_ST_LUCIA_1955 \
   "GCS_St_Lucia_1955"
#define PE_N_GCS_ST_PAUL_ISLAND \
   "GCS_St_Paul_Island"
#define PE_N_GCS_ST_VINCENT_1945 \
   "GCS_St_Vincent_1945"
#define PE_N_GCS_SUDAN \
   "GCS_Sudan"
#define PE_N_GCS_SVY21 \
   "GCS_SVY21"
#define PE_N_GCS_SWEREF99 \
   "GCS_SWEREF99"
#define PE_N_GCS_S_ASIA_SINGAPORE \
   "GCS_South_Asia_Singapore"
#define PE_N_GCS_S_JTSK \
   "GCS_S_JTSK"
#define PE_N_GCS_S_JTSK_FERRO \
   "GCS_S_JTSK_Ferro"
#define PE_N_GCS_TAHAA_1954 \
   "GCS_Tahaa_1954"
#define PE_N_GCS_TAHITI_1952 \
   "GCS_Tahiti_1952"
#define PE_N_GCS_TAHITI_1979 \
   "GCS_Tahiti_1979"
#define PE_N_GCS_TANANARIVE_1925 \
   "GCS_Tananarive_1925"
#define PE_N_GCS_TANANARIVE_1925_PARIS \
   "GCS_Tananarive_1925_Paris"
#define PE_N_GCS_TERN_ISLAND_1961 \
   "GCS_Tern_Island_1961"
#define PE_N_GCS_TETE \
   "GCS_Tete"
#define PE_N_GCS_TIMBALAI_1948 \
   "GCS_Timbalai_1948"
#define PE_N_GCS_TM65 \
   "GCS_TM65"
#define PE_N_GCS_TM75 \
   "GCS_TM75"
#define PE_N_GCS_TOKYO \
   "GCS_Tokyo"
#define PE_N_GCS_TRINIDAD_1903 \
   "GCS_Trinidad_1903"
#define PE_N_GCS_TRISTAN_1968 \
   "GCS_Tristan_1968"
#define PE_N_GCS_TRUCIAL_COAST_1948 \
   "GCS_Trucial_Coast_1948"
#define PE_N_GCS_TWD_1967 \
   "GCS_TWD_1967"
#define PE_N_GCS_TWD_1997 \
   "GCS_TWD_1997"
#define PE_N_GCS_VANUA_LEVU_1915 \
   "GCS_Vanua_Levu_1915"
#define PE_N_GCS_VIENTIANE_1982 \
   "GCS_Vientiane_1982"
#define PE_N_GCS_VITI_LEVU_1912 \
   "GCS_Viti_Levu_1912"
#define PE_N_GCS_VITI_LEVU_1916 \
   "GCS_Viti_Levu_1916"
#define PE_N_GCS_VN_2000 \
   "GCS_VN_2000"
#define PE_N_GCS_VOIROL_1875 \
   "GCS_Voirol_1875"
#define PE_N_GCS_VOIROL_1875_GRAD \
   "GCS_Voirol_1875_Grad"
#define PE_N_GCS_VOIROL_1875_PARIS \
   "GCS_Voirol_1875_Paris"
#define PE_N_GCS_VOIROL_1879 \
   "GCS_Voirol_1879"
#define PE_N_GCS_VOIROL_1879_GRAD \
   "GCS_Voirol_1879_Grad"
#define PE_N_GCS_VOIROL_1879_PARIS \
   "GCS_Voirol_1879_Paris"
#define PE_N_GCS_VOIROL_UNIFIE_1960 \
   "GCS_Voirol_Unifie_1960"
#define PE_N_GCS_VOIROL_UNIFIE_1960_DEGREE \
   "GCS_Voirol_Unifie_1960_Degree"
#define PE_N_GCS_VOIROL_UNIFIE_1960_PARIS \
   "GCS_Voirol_Unifie_1960_Paris"
#define PE_N_GCS_WAKE_ENIWETOK_1960 \
   "GCS_Wake_Eniwetok_1960"
#define PE_N_GCS_WAKE_ISLAND_1952 \
   "GCS_Wake_Island_1952"
#define PE_N_GCS_WALBECK \
   "GCS_Walbeck"
#define PE_N_GCS_WAR_OFFICE \
   "GCS_War_Office"
#define PE_N_GCS_WGS_1966 \
   "GCS_WGS_1966"
#define PE_N_GCS_WGS_1972 \
   "GCS_WGS_1972"
#define PE_N_GCS_WGS_1972_BE \
   "GCS_WGS_1972_BE"
#define PE_N_GCS_WGS_1984 \
   "GCS_WGS_1984"
#define PE_N_GCS_XIAN_1980 \
   "GCS_Xian_1980"
#define PE_N_GCS_XT_ADRASTEA_2000 \
   "GCS_Adrastea_2000"
#define PE_N_GCS_XT_AMALTHEA_2000 \
   "GCS_Amalthea_2000"
#define PE_N_GCS_XT_ANANKE_2000 \
   "GCS_Ananke_2000"
#define PE_N_GCS_XT_ARIEL_2000 \
   "GCS_Ariel_2000"
#define PE_N_GCS_XT_ATLAS_2000 \
   "GCS_Atlas_2000"
#define PE_N_GCS_XT_BELINDA_2000 \
   "GCS_Belinda_2000"
#define PE_N_GCS_XT_BIANCA_2000 \
   "GCS_Bianca_2000"
#define PE_N_GCS_XT_CALLISTO_2000 \
   "GCS_Callisto_2000"
#define PE_N_GCS_XT_CALYPSO_2000 \
   "GCS_Calypso_2000"
#define PE_N_GCS_XT_CARME_2000 \
   "GCS_Carme_2000"
#define PE_N_GCS_XT_CHARON_2000 \
   "GCS_Charon_2000"
#define PE_N_GCS_XT_CORDELIA_2000 \
   "GCS_Cordelia_2000"
#define PE_N_GCS_XT_CRESSIDA_2000 \
   "GCS_Cressida_2000"
#define PE_N_GCS_XT_DEIMOS_2000 \
   "GCS_Deimos_2000"
#define PE_N_GCS_XT_DESDEMONA_2000 \
   "GCS_Desdemona_2000"
#define PE_N_GCS_XT_DESPINA_2000 \
   "GCS_Despina_2000"
#define PE_N_GCS_XT_DIONE_2000 \
   "GCS_Dione_2000"
#define PE_N_GCS_XT_ELARA_2000 \
   "GCS_Elara_2000"
#define PE_N_GCS_XT_ENCELADUS_2000 \
   "GCS_Enceladus_2000"
#define PE_N_GCS_XT_EPIMETHEUS_2000 \
   "GCS_Epimetheus_2000"
#define PE_N_GCS_XT_EUROPA_2000 \
   "GCS_Europa_2000"
#define PE_N_GCS_XT_GALATEA_2000 \
   "GCS_Galatea_2000"
#define PE_N_GCS_XT_GANYMEDE_2000 \
   "GCS_Ganymede_2000"
#define PE_N_GCS_XT_HELENE_2000 \
   "GCS_Helene_2000"
#define PE_N_GCS_XT_HIMALIA_2000 \
   "GCS_Himalia_2000"
#define PE_N_GCS_XT_HYPERION_2000 \
   "GCS_Hyperion_2000"
#define PE_N_GCS_XT_IAPETUS_2000 \
   "GCS_Iapetus_2000"
#define PE_N_GCS_XT_IO_2000 \
   "GCS_Io_2000"
#define PE_N_GCS_XT_JANUS_2000 \
   "GCS_Janus_2000"
#define PE_N_GCS_XT_JULIET_2000 \
   "GCS_Juliet_2000"
#define PE_N_GCS_XT_JUPITER_2000 \
   "GCS_Jupiter_2000"
#define PE_N_GCS_XT_LARISSA_2000 \
   "GCS_Larissa_2000"
#define PE_N_GCS_XT_LEDA_2000 \
   "GCS_Leda_2000"
#define PE_N_GCS_XT_LYSITHEA_2000 \
   "GCS_Lysithea_2000"
#define PE_N_GCS_XT_MARS_1979 \
   "GCS_Mars_1979"
#define PE_N_GCS_XT_MARS_2000 \
   "GCS_Mars_2000"
#define PE_N_GCS_XT_MERCURY_2000 \
   "GCS_Mercury_2000"
#define PE_N_GCS_XT_METIS_2000 \
   "GCS_Metis_2000"
#define PE_N_GCS_XT_MIMAS_2000 \
   "GCS_Mimas_2000"
#define PE_N_GCS_XT_MIRANDA_2000 \
   "GCS_Miranda_2000"
#define PE_N_GCS_XT_MOON_2000 \
   "GCS_Moon_2000"
#define PE_N_GCS_XT_NAIAD_2000 \
   "GCS_Naiad_2000"
#define PE_N_GCS_XT_NEPTUNE_2000 \
   "GCS_Neptune_2000"
#define PE_N_GCS_XT_NEREID_2000 \
   "GCS_Nereid_2000"
#define PE_N_GCS_XT_OBERON_2000 \
   "GCS_Oberon_2000"
#define PE_N_GCS_XT_OPHELIA_2000 \
   "GCS_Ophelia_2000"
#define PE_N_GCS_XT_PANDORA_2000 \
   "GCS_Pandora_2000"
#define PE_N_GCS_XT_PAN_2000 \
   "GCS_Pan_2000"
#define PE_N_GCS_XT_PASIPHAE_2000 \
   "GCS_Pasiphae_2000"
#define PE_N_GCS_XT_PHOBOS_2000 \
   "GCS_Phobos_2000"
#define PE_N_GCS_XT_PHOEBE_2000 \
   "GCS_Phoebe_2000"
#define PE_N_GCS_XT_PLUTO_2000 \
   "GCS_Pluto_2000"
#define PE_N_GCS_XT_PORTIA_2000 \
   "GCS_Portia_2000"
#define PE_N_GCS_XT_PROMETHEUS_2000 \
   "GCS_Prometheus_2000"
#define PE_N_GCS_XT_PROTEUS_2000 \
   "GCS_Proteus_2000"
#define PE_N_GCS_XT_PUCK_2000 \
   "GCS_Puck_2000"
#define PE_N_GCS_XT_RHEA_2000 \
   "GCS_Rhea_2000"
#define PE_N_GCS_XT_ROSALIND_2000 \
   "GCS_Rosalind_2000"
#define PE_N_GCS_XT_SATURN_2000 \
   "GCS_Saturn_2000"
#define PE_N_GCS_XT_SINOPE_2000 \
   "GCS_Sinope_2000"
#define PE_N_GCS_XT_TELESTO_2000 \
   "GCS_Telesto_2000"
#define PE_N_GCS_XT_TETHYS_2000 \
   "GCS_Tethys_2000"
#define PE_N_GCS_XT_THALASSA_2000 \
   "GCS_Thalassa_2000"
#define PE_N_GCS_XT_THEBE_2000 \
   "GCS_Thebe_2000"
#define PE_N_GCS_XT_TITANIA_2000 \
   "GCS_Titania_2000"
#define PE_N_GCS_XT_TITAN_2000 \
   "GCS_Titan_2000"
#define PE_N_GCS_XT_TRITON_2000 \
   "GCS_Triton_2000"
#define PE_N_GCS_XT_UMBRIEL_2000 \
   "GCS_Umbriel_2000"
#define PE_N_GCS_XT_URANUS_2000 \
   "GCS_Uranus_2000"
#define PE_N_GCS_XT_VENUS_1985 \
   "GCS_Venus_1985"
#define PE_N_GCS_XT_VENUS_2000 \
   "GCS_Venus_2000"
#define PE_N_GCS_YACARE \
   "GCS_Yacare"
#define PE_N_GCS_YEMEN_NGN_1996 \
   "GCS_Yemen_NGN_1996"
#define PE_N_GCS_YOFF \
   "GCS_Yoff"
#define PE_N_GCS_ZANDERIJ \
   "GCS_Zanderij"

/* ------------------------------------------------------------------------- */
/* PROJCS names                                                              */
/* ------------------------------------------------------------------------- */

#define PE_N_PCS_ABIDJAN_1987_TM_5_NW \
   "Abidjan_1987_TM_5_NW"
#define PE_N_PCS_ABIDJAN_1987_UTM_29N \
   "Abidjan_1987_UTM_Zone_29N"
#define PE_N_PCS_ABIDJAN_1987_UTM_30N \
   "Abidjan_1987_UTM_Zone_30N"
#define PE_N_PCS_ACCRA_GHANA_GRID \
   "Accra_Ghana_Grid"
#define PE_N_PCS_ACCRA_TM_1_NW \
   "Accra_TM_1_NW"
#define PE_N_PCS_ADINDAN_UTM_35N \
   "Adindan_UTM_Zone_35N"
#define PE_N_PCS_ADINDAN_UTM_36N \
   "Adindan_UTM_Zone_36N"
#define PE_N_PCS_ADINDAN_UTM_37N \
   "Adindan_UTM_Zone_37N"
#define PE_N_PCS_ADINDAN_UTM_38N \
   "Adindan_UTM_Zone_38N"
#define PE_N_PCS_AFGOOYE_UTM_38N \
   "Afgooye_UTM_Zone_38N"
#define PE_N_PCS_AFGOOYE_UTM_39N \
   "Afgooye_UTM_Zone_39N"
#define PE_N_PCS_AGD_1966_ACT_GRID_AGC \
   "AGD_1966_ACT_Grid_AGC_Zone"
#define PE_N_PCS_AGD_1966_AMG_48 \
   "AGD_1966_AMG_Zone_48"
#define PE_N_PCS_AGD_1966_AMG_49 \
   "AGD_1966_AMG_Zone_49"
#define PE_N_PCS_AGD_1966_AMG_50 \
   "AGD_1966_AMG_Zone_50"
#define PE_N_PCS_AGD_1966_AMG_51 \
   "AGD_1966_AMG_Zone_51"
#define PE_N_PCS_AGD_1966_AMG_52 \
   "AGD_1966_AMG_Zone_52"
#define PE_N_PCS_AGD_1966_AMG_53 \
   "AGD_1966_AMG_Zone_53"
#define PE_N_PCS_AGD_1966_AMG_54 \
   "AGD_1966_AMG_Zone_54"
#define PE_N_PCS_AGD_1966_AMG_55 \
   "AGD_1966_AMG_Zone_55"
#define PE_N_PCS_AGD_1966_AMG_56 \
   "AGD_1966_AMG_Zone_56"
#define PE_N_PCS_AGD_1966_AMG_57 \
   "AGD_1966_AMG_Zone_57"
#define PE_N_PCS_AGD_1966_AMG_58 \
   "AGD_1966_AMG_Zone_58"
#define PE_N_PCS_AGD_1966_ISG_54_2 \
   "AGD_1966_ISG_54_2"
#define PE_N_PCS_AGD_1966_ISG_54_3 \
   "AGD_1966_ISG_54_3"
#define PE_N_PCS_AGD_1966_ISG_55_1 \
   "AGD_1966_ISG_55_1"
#define PE_N_PCS_AGD_1966_ISG_55_2 \
   "AGD_1966_ISG_55_2"
#define PE_N_PCS_AGD_1966_ISG_55_3 \
   "AGD_1966_ISG_55_3"
#define PE_N_PCS_AGD_1966_ISG_56_1 \
   "AGD_1966_ISG_56_1"
#define PE_N_PCS_AGD_1966_ISG_56_2 \
   "AGD_1966_ISG_56_2"
#define PE_N_PCS_AGD_1966_ISG_56_3 \
   "AGD_1966_ISG_56_3"
#define PE_N_PCS_AGD_1966_VICGRID \
   "AGD_1966_VICGRID"
#define PE_N_PCS_AGD_1984_AMG_48 \
   "AGD_1984_AMG_Zone_48"
#define PE_N_PCS_AGD_1984_AMG_49 \
   "AGD_1984_AMG_Zone_49"
#define PE_N_PCS_AGD_1984_AMG_50 \
   "AGD_1984_AMG_Zone_50"
#define PE_N_PCS_AGD_1984_AMG_51 \
   "AGD_1984_AMG_Zone_51"
#define PE_N_PCS_AGD_1984_AMG_52 \
   "AGD_1984_AMG_Zone_52"
#define PE_N_PCS_AGD_1984_AMG_53 \
   "AGD_1984_AMG_Zone_53"
#define PE_N_PCS_AGD_1984_AMG_54 \
   "AGD_1984_AMG_Zone_54"
#define PE_N_PCS_AGD_1984_AMG_55 \
   "AGD_1984_AMG_Zone_55"
#define PE_N_PCS_AGD_1984_AMG_56 \
   "AGD_1984_AMG_Zone_56"
#define PE_N_PCS_AGD_1984_AMG_57 \
   "AGD_1984_AMG_Zone_57"
#define PE_N_PCS_AGD_1984_AMG_58 \
   "AGD_1984_AMG_Zone_58"
#define PE_N_PCS_AIN_EL_ABD_1970_ARAMCO_LAMBERT_2 \
   "Ain_el_Abd_1970_Aramco_Lambert_2"
#define PE_N_PCS_AIN_EL_ABD_ARAMCO_LAMBERT \
   "Ain_el_Abd_Aramco_Lambert"
#define PE_N_PCS_AIN_EL_ABD_BAHRAIN_GRID \
   "Bahrain_State_Grid"
#define PE_N_PCS_AIN_EL_ABD_UTM_36N \
   "Ain_el_Abd_UTM_Zone_36N"
#define PE_N_PCS_AIN_EL_ABD_UTM_37N \
   "Ain_el_Abd_UTM_Zone_37N"
#define PE_N_PCS_AIN_EL_ABD_UTM_38N \
   "Ain_el_Abd_UTM_Zone_38N"
#define PE_N_PCS_AIN_EL_ABD_UTM_39N \
   "Ain_el_Abd_UTM_Zone_39N"
#define PE_N_PCS_AIN_EL_ABD_UTM_40N \
   "Ain_el_Abd_UTM_Zone_40N"
#define PE_N_PCS_ALBANIAN_1987_GK_4 \
   "Albanian_1987_GK_Zone_4"
#define PE_N_PCS_AMERSFOORT_RD_NEW \
   "RD_New"
#define PE_N_PCS_AMERSFOORT_RD_OLD \
   "RD_Old"
#define PE_N_PCS_ANGUILLA_1957_BRITISH_W_INDIES \
   "Anguilla_1957_British_West_Indies_Grid"
#define PE_N_PCS_ANTIGUA_1943_BRITISH_W_INDIES \
   "Antigua_1943_British_West_Indies_Grid"
#define PE_N_PCS_ARATU_UTM_22S \
   "Aratu_UTM_Zone_22S"
#define PE_N_PCS_ARATU_UTM_23S \
   "Aratu_UTM_Zone_23S"
#define PE_N_PCS_ARATU_UTM_24S \
   "Aratu_UTM_Zone_24S"
#define PE_N_PCS_ARC_1950_UTM_34S \
   "Arc_1950_UTM_Zone_34S"
#define PE_N_PCS_ARC_1950_UTM_35S \
   "Arc_1950_UTM_Zone_35S"
#define PE_N_PCS_ARC_1950_UTM_36S \
   "Arc_1950_UTM_Zone_36S"
#define PE_N_PCS_ARC_1960_UTM_35N \
   "Arc_1960_UTM_Zone_35N"
#define PE_N_PCS_ARC_1960_UTM_35S \
   "Arc_1960_UTM_Zone_35S"
#define PE_N_PCS_ARC_1960_UTM_36N \
   "Arc_1960_UTM_Zone_36N"
#define PE_N_PCS_ARC_1960_UTM_36S \
   "Arc_1960_UTM_Zone_36S"
#define PE_N_PCS_ARC_1960_UTM_37N \
   "Arc_1960_UTM_Zone_37N"
#define PE_N_PCS_ARC_1960_UTM_37S \
   "Arc_1960_UTM_Zone_37S"
#define PE_N_PCS_ATF_NORD_DE_GUERRE \
   "Nord_de_Guerre"
#define PE_N_PCS_ATS_1977_MTM_4_NS \
   "ATS_1977_MTM_4_Nova_Scotia"
#define PE_N_PCS_ATS_1977_MTM_5_NS \
   "ATS_1977_MTM_5_Nova_Scotia"
#define PE_N_PCS_ATS_1977_NEW_BRUNSWICK \
   "ATS_1977_New_Brunswick_Stereographic"
#define PE_N_PCS_ATS_1977_PRINCE_EDWARD_ISLAND \
   "Prince_Edward_Island_Stereographic"
#define PE_N_PCS_ATS_1977_UTM_19N \
   "ATS_1977_UTM_Zone_19N"
#define PE_N_PCS_ATS_1977_UTM_20N \
   "ATS_1977_UTM_Zone_20N"
#define PE_N_PCS_AZORES_CENTRAL_1948_UTM_26N \
   "Azores_Central_1948_UTM_Zone_26N"
#define PE_N_PCS_AZORES_CENTRAL_1995_UTM_26N \
   "Azores_Central_1995_UTM_Zone_26N"
#define PE_N_PCS_AZORES_OCCIDENTAL_1939_UTM_25N \
   "Azores_Occidental_1939_UTM_Zone_25N"
#define PE_N_PCS_AZORES_ORIENTAL_1940_UTM_26N \
   "Azores_Oriental_1940_UTM_Zone_26N"
#define PE_N_PCS_AZORES_ORIENTAL_1995_UTM_26N \
   "Azores_Oriental_1995_UTM_Zone_26N"
#define PE_N_PCS_BAB_SOUTH_PALAU_AZI_EQUI \
   "Bab_South_Palau_Azimuthal_Equidistant"
#define PE_N_PCS_BARBADOS_1938_BARBADOS_GRID \
   "Barbados_1938_Barbados_Grid"
#define PE_N_PCS_BARBADOS_1938_BRITISH_W_INDIES \
   "Barbados_1938_British_West_Indies_Grid"
#define PE_N_PCS_BATAVIA_NEIEZ \
   "Batavia_NEIEZ"
#define PE_N_PCS_BATAVIA_TM_109_SE \
   "Batavia_TM_109_SE"
#define PE_N_PCS_BATAVIA_UTM_48S \
   "Batavia_UTM_Zone_48S"
#define PE_N_PCS_BATAVIA_UTM_49S \
   "Batavia_UTM_Zone_49S"
#define PE_N_PCS_BATAVIA_UTM_50S \
   "Batavia_UTM_Zone_50S"
#define PE_N_PCS_BEDUARAM_TM_13_NE \
   "Beduaram_TM_13_NE"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_102E \
   "Beijing_1954_3_Degree_GK_CM_102E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_105E \
   "Beijing_1954_3_Degree_GK_CM_105E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_108E \
   "Beijing_1954_3_Degree_GK_CM_108E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_111E \
   "Beijing_1954_3_Degree_GK_CM_111E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_114E \
   "Beijing_1954_3_Degree_GK_CM_114E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_117E \
   "Beijing_1954_3_Degree_GK_CM_117E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_120E \
   "Beijing_1954_3_Degree_GK_CM_120E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_123E \
   "Beijing_1954_3_Degree_GK_CM_123E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_126E \
   "Beijing_1954_3_Degree_GK_CM_126E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_129E \
   "Beijing_1954_3_Degree_GK_CM_129E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_132E \
   "Beijing_1954_3_Degree_GK_CM_132E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_135E \
   "Beijing_1954_3_Degree_GK_CM_135E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_25 \
   "Beijing_1954_3_Degree_GK_Zone_25"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_26 \
   "Beijing_1954_3_Degree_GK_Zone_26"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_27 \
   "Beijing_1954_3_Degree_GK_Zone_27"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_28 \
   "Beijing_1954_3_Degree_GK_Zone_28"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_29 \
   "Beijing_1954_3_Degree_GK_Zone_29"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_30 \
   "Beijing_1954_3_Degree_GK_Zone_30"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_31 \
   "Beijing_1954_3_Degree_GK_Zone_31"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_32 \
   "Beijing_1954_3_Degree_GK_Zone_32"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_33 \
   "Beijing_1954_3_Degree_GK_Zone_33"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_34 \
   "Beijing_1954_3_Degree_GK_Zone_34"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_35 \
   "Beijing_1954_3_Degree_GK_Zone_35"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_36 \
   "Beijing_1954_3_Degree_GK_Zone_36"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_37 \
   "Beijing_1954_3_Degree_GK_Zone_37"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_38 \
   "Beijing_1954_3_Degree_GK_Zone_38"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_39 \
   "Beijing_1954_3_Degree_GK_Zone_39"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_40 \
   "Beijing_1954_3_Degree_GK_Zone_40"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_41 \
   "Beijing_1954_3_Degree_GK_Zone_41"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_42 \
   "Beijing_1954_3_Degree_GK_Zone_42"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_43 \
   "Beijing_1954_3_Degree_GK_Zone_43"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_44 \
   "Beijing_1954_3_Degree_GK_Zone_44"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_45 \
   "Beijing_1954_3_Degree_GK_Zone_45"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_75E \
   "Beijing_1954_3_Degree_GK_CM_75E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_78E \
   "Beijing_1954_3_Degree_GK_CM_78E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_81E \
   "Beijing_1954_3_Degree_GK_CM_81E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_84E \
   "Beijing_1954_3_Degree_GK_CM_84E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_87E \
   "Beijing_1954_3_Degree_GK_CM_87E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_90E \
   "Beijing_1954_3_Degree_GK_CM_90E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_93E \
   "Beijing_1954_3_Degree_GK_CM_93E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_96E \
   "Beijing_1954_3_Degree_GK_CM_96E"
#define PE_N_PCS_BEIJING_1954_3_DEGREE_GK_99E \
   "Beijing_1954_3_Degree_GK_CM_99E"
#define PE_N_PCS_BEIJING_1954_GK_13 \
   "Beijing_1954_GK_Zone_13"
#define PE_N_PCS_BEIJING_1954_GK_13N \
   "Beijing_1954_GK_Zone_13N"
#define PE_N_PCS_BEIJING_1954_GK_14 \
   "Beijing_1954_GK_Zone_14"
#define PE_N_PCS_BEIJING_1954_GK_14N \
   "Beijing_1954_GK_Zone_14N"
#define PE_N_PCS_BEIJING_1954_GK_15 \
   "Beijing_1954_GK_Zone_15"
#define PE_N_PCS_BEIJING_1954_GK_15N \
   "Beijing_1954_GK_Zone_15N"
#define PE_N_PCS_BEIJING_1954_GK_16 \
   "Beijing_1954_GK_Zone_16"
#define PE_N_PCS_BEIJING_1954_GK_16N \
   "Beijing_1954_GK_Zone_16N"
#define PE_N_PCS_BEIJING_1954_GK_17 \
   "Beijing_1954_GK_Zone_17"
#define PE_N_PCS_BEIJING_1954_GK_17N \
   "Beijing_1954_GK_Zone_17N"
#define PE_N_PCS_BEIJING_1954_GK_18 \
   "Beijing_1954_GK_Zone_18"
#define PE_N_PCS_BEIJING_1954_GK_18N \
   "Beijing_1954_GK_Zone_18N"
#define PE_N_PCS_BEIJING_1954_GK_19 \
   "Beijing_1954_GK_Zone_19"
#define PE_N_PCS_BEIJING_1954_GK_19N \
   "Beijing_1954_GK_Zone_19N"
#define PE_N_PCS_BEIJING_1954_GK_20 \
   "Beijing_1954_GK_Zone_20"
#define PE_N_PCS_BEIJING_1954_GK_20N \
   "Beijing_1954_GK_Zone_20N"
#define PE_N_PCS_BEIJING_1954_GK_21 \
   "Beijing_1954_GK_Zone_21"
#define PE_N_PCS_BEIJING_1954_GK_21N \
   "Beijing_1954_GK_Zone_21N"
#define PE_N_PCS_BEIJING_1954_GK_22 \
   "Beijing_1954_GK_Zone_22"
#define PE_N_PCS_BEIJING_1954_GK_22N \
   "Beijing_1954_GK_Zone_22N"
#define PE_N_PCS_BEIJING_1954_GK_23 \
   "Beijing_1954_GK_Zone_23"
#define PE_N_PCS_BEIJING_1954_GK_23N \
   "Beijing_1954_GK_Zone_23N"
#define PE_N_PCS_BELGE_LAMBERT_1950 \
   "Belge_Lambert_1950"
#define PE_N_PCS_BELGE_LAMBERT_1972 \
   "Belge_Lambert_1972"
#define PE_N_PCS_BERGHAUS_STAR_AAG \
   "Berghaus_Star_AAG"
#define PE_N_PCS_BERMUDA_1957_UTM_20N \
   "Bermuda_1957_UTM_Zone_20N"
#define PE_N_PCS_BERMUDA_2000_NATIONAL_GRID \
   "Bermuda_2000_National_Grid"
#define PE_N_PCS_BERN_1898_BERN_LV03C \
   "Bern_1898_Bern_LV03C"
#define PE_N_PCS_BISSAU_UTM_28N \
   "Bissau_UTM_Zone_28N"
#define PE_N_PCS_BOGOTA_CIUDAD_BOGOTA \
   "Bogota_Ciudad_Bogota"
#define PE_N_PCS_BOGOTA_COLOMBIA_BOGOTA \
   "Colombia_Bogota_Zone"
#define PE_N_PCS_BOGOTA_COLOMBIA_EAST \
   "Colombia_East_Zone"
#define PE_N_PCS_BOGOTA_COLOMBIA_E_CENTRAL \
   "Colombia_East_Central_Zone"
#define PE_N_PCS_BOGOTA_COLOMBIA_WEST \
   "Colombia_West_Zone"
#define PE_N_PCS_BOGOTA_COLOMBIA_WEST_WEST \
   "Colombia_West_West_Zone"
#define PE_N_PCS_BOGOTA_UTM_17N \
   "Bogota_UTM_Zone_17N"
#define PE_N_PCS_BOGOTA_UTM_18N \
   "Bogota_UTM_Zone_18N"
#define PE_N_PCS_CAMACUPA_TM_11_30_SE \
   "Camacupa_TM_11_30_SE"
#define PE_N_PCS_CAMACUPA_TM_12_SE \
   "Camacupa_TM_12_SE"
#define PE_N_PCS_CAMACUPA_UTM_32S \
   "Camacupa_UTM_Zone_32S"
#define PE_N_PCS_CAMACUPA_UTM_33S \
   "Camacupa_UTM_Zone_33S"
#define PE_N_PCS_CAMPO_INCHAUSPE_UTM_19S \
   "Campo_Inchauspe_UTM_19S"
#define PE_N_PCS_CAMPO_INCHAUSPE_UTM_20S \
   "Campo_Inchauspe_UTM_20S"
#define PE_N_PCS_CAPE_LO15 \
   "Cape_Lo15"
#define PE_N_PCS_CAPE_LO17 \
   "Cape_Lo17"
#define PE_N_PCS_CAPE_LO19 \
   "Cape_Lo19"
#define PE_N_PCS_CAPE_LO21 \
   "Cape_Lo21"
#define PE_N_PCS_CAPE_LO23 \
   "Cape_Lo23"
#define PE_N_PCS_CAPE_LO25 \
   "Cape_Lo25"
#define PE_N_PCS_CAPE_LO27 \
   "Cape_Lo27"
#define PE_N_PCS_CAPE_LO29 \
   "Cape_Lo29"
#define PE_N_PCS_CAPE_LO31 \
   "Cape_Lo31"
#define PE_N_PCS_CAPE_LO33 \
   "Cape_Lo33"
#define PE_N_PCS_CAPE_UTM_34S \
   "Cape_UTM_Zone_34S"
#define PE_N_PCS_CAPE_UTM_35S \
   "Cape_UTM_Zone_35S"
#define PE_N_PCS_CAPE_UTM_36S \
   "Cape_UTM_Zone_36S"
#define PE_N_PCS_CARTHAGE_NORD_TUNISIE \
   "Nord_Tunisie"
#define PE_N_PCS_CARTHAGE_SUD_TUNISIE \
   "Sud_Tunisie"
#define PE_N_PCS_CARTHAGE_TM_11_NE \
   "Carthage_TM_11_NE"
#define PE_N_PCS_CARTHAGE_UTM_32N \
   "Carthage_UTM_Zone_32N"
#define PE_N_PCS_CGRS_1993_LTM \
   "CGRS_1993_LTM"
#define PE_N_PCS_CH1903_LV03 \
   "CH1903_LV03"
#define PE_N_PCS_CH1903_LV03C_G \
   "CH1903_LV03C-G"
#define PE_N_PCS_CH1903_PLUS_LV95 \
   "CH1903+_LV95"
#define PE_N_PCS_CHATHAM_ISLANDS_1979_MAP_GRID \
   "Chatham_Islands_1979_Map_Grid"
#define PE_N_PCS_CHOS_MALAL_1914_ARGENTINA_2 \
   "Chos_Malal_1914_Argentina_2"
#define PE_N_PCS_CHUA_UTM_23S \
   "Chua_UTM_Zone_23S"
#define PE_N_PCS_COMBANI_1950_UTM_38S \
   "Combani_1950_UTM_38S"
#define PE_N_PCS_CONAKRY_1905_UTM_28N \
   "Conakry_1905_UTM_Zone_28N"
#define PE_N_PCS_CONAKRY_1905_UTM_29N \
   "Conakry_1905_UTM_Zone_29N"
#define PE_N_PCS_CORREGO_ALEGRE_UTM_21S \
   "Corrego_Alegre_UTM_Zone_21S"
#define PE_N_PCS_CORREGO_ALEGRE_UTM_22S \
   "Corrego_Alegre_UTM_Zone_22S"
#define PE_N_PCS_CORREGO_ALEGRE_UTM_23S \
   "Corrego_Alegre_UTM_Zone_23S"
#define PE_N_PCS_CORREGO_ALEGRE_UTM_24S \
   "Corrego_Alegre_UTM_Zone_24S"
#define PE_N_PCS_CORREGO_ALEGRE_UTM_25S \
   "Corrego_Alegre_UTM_Zone_25S"
#define PE_N_PCS_CRTM05 \
   "CRTM05"
#define PE_N_PCS_CSG_1967_UTM_21N \
   "CSG_1967_UTM_Zone_21N"
#define PE_N_PCS_CSG_1967_UTM_22N \
   "CSG_1967_UTM_22N"
#define PE_N_PCS_C_INCHAUSPE_ARGENTINA_1 \
   "Argentina_Zone_1"
#define PE_N_PCS_C_INCHAUSPE_ARGENTINA_2 \
   "Argentina_Zone_2"
#define PE_N_PCS_C_INCHAUSPE_ARGENTINA_3 \
   "Argentina_Zone_3"
#define PE_N_PCS_C_INCHAUSPE_ARGENTINA_4 \
   "Argentina_Zone_4"
#define PE_N_PCS_C_INCHAUSPE_ARGENTINA_5 \
   "Argentina_Zone_5"
#define PE_N_PCS_C_INCHAUSPE_ARGENTINA_6 \
   "Argentina_Zone_6"
#define PE_N_PCS_C_INCHAUSPE_ARGENTINA_7 \
   "Argentina_Zone_7"
#define PE_N_PCS_D48_SLOVENIA_TM \
   "D48_Slovenia_TM"
#define PE_N_PCS_DABOLA_1981_UTM_28N \
   "Dabola_1981_UTM_Zone_28N"
#define PE_N_PCS_DABOLA_1981_UTM_29N \
   "Dabola_1981_UTM_Zone_29N"
#define PE_N_PCS_DATUM_73_HAYFORD_GAUSS_IGEOE \
   "Datum_73_Hayford_Gauss_IGeoE"
#define PE_N_PCS_DATUM_73_HAYFORD_GAUSS_IPCC \
   "Datum_73_Hayford_Gauss_IPCC"
#define PE_N_PCS_DATUM_73_MODIFIED_PORTUGUESE_GRID \
   "Datum_73_Modified_Portuguese_Grid"
#define PE_N_PCS_DATUM_73_UTM_ZONE_29N \
   "Datum_73_UTM_Zone_29N"
#define PE_N_PCS_DEALUL_PISCULUI_1933_STEREO_33 \
   "Stereo_33"
#define PE_N_PCS_DEALUL_PISCULUI_1970_STEREO_70 \
   "Stereo_70"
#define PE_N_PCS_DEIR_EZ_ZOR_LEVANT \
   "Deir_ez_Zor_Levant_Zone"
#define PE_N_PCS_DEIR_EZ_ZOR_LEVANT_STEREO \
   "Deir_ez_Zor_Levant_Stereographic"
#define PE_N_PCS_DEIR_EZ_ZOR_SYRIA \
   "Deir_ez_Zor_Syria_Lambert"
#define PE_N_PCS_DGN_1995_TM_3_46_2 \
   "DGN_1995_Indonesia_TM-3_Zone_46.2"
#define PE_N_PCS_DGN_1995_TM_3_47_1 \
   "DGN_1995_Indonesia_TM-3_Zone_47.1"
#define PE_N_PCS_DGN_1995_TM_3_47_2 \
   "DGN_1995_Indonesia_TM-3_Zone_47.2"
#define PE_N_PCS_DGN_1995_TM_3_48_1 \
   "DGN_1995_Indonesia_TM-3_Zone_48.1"
#define PE_N_PCS_DGN_1995_TM_3_48_2 \
   "DGN_1995_Indonesia_TM-3_Zone_48.2"
#define PE_N_PCS_DGN_1995_TM_3_49_1 \
   "DGN_1995_Indonesia_TM-3_Zone_49.1"
#define PE_N_PCS_DGN_1995_TM_3_49_2 \
   "DGN_1995_Indonesia_TM-3_Zone_49.2"
#define PE_N_PCS_DGN_1995_TM_3_50_1 \
   "DGN_1995_Indonesia_TM-3_Zone_50.1"
#define PE_N_PCS_DGN_1995_TM_3_50_2 \
   "DGN_1995_Indonesia_TM-3_Zone_50.2"
#define PE_N_PCS_DGN_1995_TM_3_51_1 \
   "DGN_1995_Indonesia_TM-3_Zone_51.1"
#define PE_N_PCS_DGN_1995_TM_3_51_2 \
   "DGN_1995_Indonesia_TM-3_Zone_51.2"
#define PE_N_PCS_DGN_1995_TM_3_52_1 \
   "DGN_1995_Indonesia_TM-3_Zone_52.1"
#define PE_N_PCS_DGN_1995_TM_3_52_2 \
   "DGN_1995_Indonesia_TM-3_Zone_52.2"
#define PE_N_PCS_DGN_1995_TM_3_53_1 \
   "DGN_1995_Indonesia_TM-3_Zone_53.1"
#define PE_N_PCS_DGN_1995_TM_3_53_2 \
   "DGN_1995_Indonesia_TM-3_Zone_53.2"
#define PE_N_PCS_DGN_1995_TM_3_54_1 \
   "DGN_1995_Indonesia_TM-3_Zone_54.1"
#define PE_N_PCS_DGN_1995_UTM_46N \
   "DGN_1995_UTM_Zone_46N"
#define PE_N_PCS_DGN_1995_UTM_47N \
   "DGN_1995_UTM_Zone_47N"
#define PE_N_PCS_DGN_1995_UTM_47S \
   "DGN_1995_UTM_Zone_47S"
#define PE_N_PCS_DGN_1995_UTM_48N \
   "DGN_1995_UTM_Zone_48N"
#define PE_N_PCS_DGN_1995_UTM_48S \
   "DGN_1995_UTM_Zone_48S"
#define PE_N_PCS_DGN_1995_UTM_49N \
   "DGN_1995_UTM_Zone_49N"
#define PE_N_PCS_DGN_1995_UTM_49S \
   "DGN_1995_UTM_Zone_49S"
#define PE_N_PCS_DGN_1995_UTM_50N \
   "DGN_1995_UTM_Zone_50N"
#define PE_N_PCS_DGN_1995_UTM_50S \
   "DGN_1995_UTM_Zone_50S"
#define PE_N_PCS_DGN_1995_UTM_51N \
   "DGN_1995_UTM_Zone_51N"
#define PE_N_PCS_DGN_1995_UTM_51S \
   "DGN_1995_UTM_Zone_51S"
#define PE_N_PCS_DGN_1995_UTM_52N \
   "DGN_1995_UTM_Zone_52N"
#define PE_N_PCS_DGN_1995_UTM_52S \
   "DGN_1995_UTM_Zone_52S"
#define PE_N_PCS_DGN_1995_UTM_53S \
   "DGN_1995_UTM_Zone_53S"
#define PE_N_PCS_DGN_1995_UTM_54S \
   "DGN_1995_UTM_Zone_54S"
#define PE_N_PCS_DHDN_3_DEGREE_GAUSS_1 \
   "DHDN_3_Degree_Gauss_Zone_1"
#define PE_N_PCS_DHDN_3_DEGREE_GAUSS_2 \
   "DHDN_3_Degree_Gauss_Zone_2"
#define PE_N_PCS_DHDN_3_DEGREE_GAUSS_3 \
   "DHDN_3_Degree_Gauss_Zone_3"
#define PE_N_PCS_DHDN_3_DEGREE_GAUSS_4 \
   "DHDN_3_Degree_Gauss_Zone_4"
#define PE_N_PCS_DHDN_3_DEGREE_GAUSS_5 \
   "DHDN_3_Degree_Gauss_Zone_5"
#define PE_N_PCS_DHDN_GERMANY_1 \
   "Germany_Zone_1"
#define PE_N_PCS_DHDN_GERMANY_2 \
   "Germany_Zone_2"
#define PE_N_PCS_DHDN_GERMANY_3 \
   "Germany_Zone_3"
#define PE_N_PCS_DHDN_GERMANY_4 \
   "Germany_Zone_4"
#define PE_N_PCS_DHDN_GERMANY_5 \
   "Germany_Zone_5"
#define PE_N_PCS_DHDN_SOLDNER_BERLIN \
   "DHDN_Soldner_Berlin"
#define PE_N_PCS_DOMINICA_1945_BRITISH_W_INDIES \
   "Dominica_1945_British_West_Indies_Grid"
#define PE_N_PCS_DOUALA_1948_AEF_WEST \
   "Douala_1948_AEF_West"
#define PE_N_PCS_DOUALA_UTM_32N \
   "Douala_UTM_Zone_32N"
#define PE_N_PCS_ED_1950_3_DEGREE_GK_10 \
   "ED_1950_3_Degree_GK_Zone_10"
#define PE_N_PCS_ED_1950_3_DEGREE_GK_11 \
   "ED_1950_3_Degree_GK_Zone_11"
#define PE_N_PCS_ED_1950_3_DEGREE_GK_12 \
   "ED_1950_3_Degree_GK_Zone_12"
#define PE_N_PCS_ED_1950_3_DEGREE_GK_13 \
   "ED_1950_3_Degree_GK_Zone_13"
#define PE_N_PCS_ED_1950_3_DEGREE_GK_14 \
   "ED_1950_3_Degree_GK_Zone_14"
#define PE_N_PCS_ED_1950_3_DEGREE_GK_15 \
   "ED_1950_3_Degree_GK_Zone_15"
#define PE_N_PCS_ED_1950_3_DEGREE_GK_9 \
   "ED_1950_3_Degree_GK_Zone_9"
#define PE_N_PCS_ED_1950_ED77_UTM_38N \
   "ED_1950_ED77_UTM_Zone_38N"
#define PE_N_PCS_ED_1950_ED77_UTM_39N \
   "ED_1950_ED77_UTM_Zone_39N"
#define PE_N_PCS_ED_1950_ED77_UTM_40N \
   "ED_1950_ED77_UTM_Zone_40N"
#define PE_N_PCS_ED_1950_ED77_UTM_41N \
   "ED_1950_ED77_UTM_Zone_41N"
#define PE_N_PCS_ED_1950_EUROPE_ALBERS \
   "Europe_Albers_Equal_Area_Conic"
#define PE_N_PCS_ED_1950_EUROPE_EQUI_CONIC \
   "Europe_Equidistant_Conic"
#define PE_N_PCS_ED_1950_EUROPE_LAMBERT \
   "Europe_Lambert_Conformal_Conic"
#define PE_N_PCS_ED_1950_FRANCE_EUROLAMBERT \
   "ED_1950_France_EuroLambert"
#define PE_N_PCS_ED_1950_IRAQ_NATIONAL_GRID \
   "ED_1950_Iraq_National_Grid"
#define PE_N_PCS_ED_1950_JORDAN_TM \
   "ED_1950_Jordan_TM"
#define PE_N_PCS_ED_1950_TM27 \
   "ED_1950_TM27"
#define PE_N_PCS_ED_1950_TM30 \
   "ED_1950_TM30"
#define PE_N_PCS_ED_1950_TM33 \
   "ED_1950_TM33"
#define PE_N_PCS_ED_1950_TM36 \
   "ED_1950_TM36"
#define PE_N_PCS_ED_1950_TM39 \
   "ED_1950_TM39"
#define PE_N_PCS_ED_1950_TM42 \
   "ED_1950_TM42"
#define PE_N_PCS_ED_1950_TM45 \
   "ED_1950_TM45"
#define PE_N_PCS_ED_1950_TM_0_N \
   "ED_1950_TM_0_N"
#define PE_N_PCS_ED_1950_TM_5_NE \
   "ED_1950_TM_5_NE"
#define PE_N_PCS_ED_1950_TURKEY_10 \
   "ED_1950_Turkey_10"
#define PE_N_PCS_ED_1950_TURKEY_11 \
   "ED_1950_Turkey_11"
#define PE_N_PCS_ED_1950_TURKEY_12 \
   "ED_1950_Turkey_12"
#define PE_N_PCS_ED_1950_TURKEY_13 \
   "ED_1950_Turkey_13"
#define PE_N_PCS_ED_1950_TURKEY_14 \
   "ED_1950_Turkey_14"
#define PE_N_PCS_ED_1950_TURKEY_15 \
   "ED_1950_Turkey_15"
#define PE_N_PCS_ED_1950_TURKEY_9 \
   "ED_1950_Turkey_9"
#define PE_N_PCS_ED_1950_UTM_28N \
   "ED_1950_UTM_Zone_28N"
#define PE_N_PCS_ED_1950_UTM_29N \
   "ED_1950_UTM_Zone_29N"
#define PE_N_PCS_ED_1950_UTM_30N \
   "ED_1950_UTM_Zone_30N"
#define PE_N_PCS_ED_1950_UTM_31N \
   "ED_1950_UTM_Zone_31N"
#define PE_N_PCS_ED_1950_UTM_32N \
   "ED_1950_UTM_Zone_32N"
#define PE_N_PCS_ED_1950_UTM_33N \
   "ED_1950_UTM_Zone_33N"
#define PE_N_PCS_ED_1950_UTM_34N \
   "ED_1950_UTM_Zone_34N"
#define PE_N_PCS_ED_1950_UTM_35N \
   "ED_1950_UTM_Zone_35N"
#define PE_N_PCS_ED_1950_UTM_36N \
   "ED_1950_UTM_Zone_36N"
#define PE_N_PCS_ED_1950_UTM_37N \
   "ED_1950_UTM_Zone_37N"
#define PE_N_PCS_ED_1950_UTM_38N \
   "ED_1950_UTM_Zone_38N"
#define PE_N_PCS_EGYPT_BLUE_BELT \
   "Egypt_Blue_Belt"
#define PE_N_PCS_EGYPT_EXT_PURPLE_BELT \
   "Egypt_Extended_Purple_Belt"
#define PE_N_PCS_EGYPT_GULF_SUEZ_S_650_TL_RED_BELT \
   "Egypt_Gulf_of_Suez_S-650_TL_Red_Belt"
#define PE_N_PCS_EGYPT_PURPLE_BELT \
   "Egypt_Purple_Belt"
#define PE_N_PCS_EGYPT_RED_BELT \
   "Egypt_Red_Belt"
#define PE_N_PCS_ELD_1979_LIBYA_10 \
   "ELD_1979_Libya_10"
#define PE_N_PCS_ELD_1979_LIBYA_11 \
   "ELD_1979_Libya_11"
#define PE_N_PCS_ELD_1979_LIBYA_12 \
   "ELD_1979_Libya_12"
#define PE_N_PCS_ELD_1979_LIBYA_13 \
   "ELD_1979_Libya_13"
#define PE_N_PCS_ELD_1979_LIBYA_5 \
   "ELD_1979_Libya_5"
#define PE_N_PCS_ELD_1979_LIBYA_6 \
   "ELD_1979_Libya_6"
#define PE_N_PCS_ELD_1979_LIBYA_7 \
   "ELD_1979_Libya_7"
#define PE_N_PCS_ELD_1979_LIBYA_8 \
   "ELD_1979_Libya_8"
#define PE_N_PCS_ELD_1979_LIBYA_9 \
   "ELD_1979_Libya_9"
#define PE_N_PCS_ELD_1979_TM_12_NE \
   "ELD_1979_TM_12_NE"
#define PE_N_PCS_ELD_1979_UTM_32N \
   "ELD_1979_UTM_Zone_32N"
#define PE_N_PCS_ELD_1979_UTM_33N \
   "ELD_1979_UTM_Zone_33N"
#define PE_N_PCS_ELD_1979_UTM_34N \
   "ELD_1979_UTM_Zone_34N"
#define PE_N_PCS_ELD_1979_UTM_35N \
   "ELD_1979_UTM_Zone_35N"
#define PE_N_PCS_EMEP_150KM \
   "EMEP_150_Kilometer_Grid"
#define PE_N_PCS_EMEP_50KM \
   "EMEP_50_Kilometer_Grid"
#define PE_N_PCS_ESTONIAN_COORDINATE_SYSTEM_1992 \
   "Estonian_Coordinate_System_of_1992"
#define PE_N_PCS_ESTONIA_1997_ESTONIA_GRID \
   "Estonia_1997_Estonia_National_Grid"
#define PE_N_PCS_ETRF_1989_TM_BALTIC_1993 \
   "ETRF_1989_TM_Baltic_1993"
#define PE_N_PCS_ETRF_1989_UTM_28N \
   "ETRF_1989_UTM_Zone_28N"
#define PE_N_PCS_ETRF_1989_UTM_29N \
   "ETRF_1989_UTM_Zone_29N"
#define PE_N_PCS_ETRF_1989_UTM_30N \
   "ETRF_1989_UTM_Zone_30N"
#define PE_N_PCS_ETRF_1989_UTM_31N \
   "ETRF_1989_UTM_Zone_31N"
#define PE_N_PCS_ETRF_1989_UTM_32N \
   "ETRF_1989_UTM_Zone_32N"
#define PE_N_PCS_ETRF_1989_UTM_33N \
   "ETRF_1989_UTM_Zone_33N"
#define PE_N_PCS_ETRF_1989_UTM_34N \
   "ETRF_1989_UTM_Zone_34N"
#define PE_N_PCS_ETRF_1989_UTM_35N \
   "ETRF_1989_UTM_Zone_35N"
#define PE_N_PCS_ETRF_1989_UTM_36N \
   "ETRF_1989_UTM_Zone_36N"
#define PE_N_PCS_ETRF_1989_UTM_37N \
   "ETRF_1989_UTM_Zone_37N"
#define PE_N_PCS_ETRF_1989_UTM_38N \
   "ETRF_1989_UTM_Zone_38N"
#define PE_N_PCS_ETRS_1989_AUSTRIA_LAMBERT \
   "ETRS_1989_Austria_Lambert"
#define PE_N_PCS_ETRS_1989_BELGE_LAMBERT_2005 \
   "Belge_Lambert_2005"
#define PE_N_PCS_ETRS_1989_BELGE_LAMBERT_2008 \
   "Belge_Lambert_2008"
#define PE_N_PCS_ETRS_1989_DKTM1 \
   "ETRS_1989_DKTM1"
#define PE_N_PCS_ETRS_1989_DKTM2 \
   "ETRS_1989_DKTM2"
#define PE_N_PCS_ETRS_1989_DKTM3 \
   "ETRS_1989_DKTM3"
#define PE_N_PCS_ETRS_1989_DKTM4 \
   "ETRS_1989_DKTM4"
#define PE_N_PCS_ETRS_1989_ETRS_GK19FIN \
   "ETRS_1989_ETRS-GK19FIN"
#define PE_N_PCS_ETRS_1989_ETRS_GK20FIN \
   "ETRS_1989_ETRS-GK20FIN"
#define PE_N_PCS_ETRS_1989_ETRS_GK21FIN \
   "ETRS_1989_ETRS-GK21FIN"
#define PE_N_PCS_ETRS_1989_ETRS_GK22FIN \
   "ETRS_1989_ETRS-GK22FIN"
#define PE_N_PCS_ETRS_1989_ETRS_GK23FIN \
   "ETRS_1989_ETRS-GK23FIN"
#define PE_N_PCS_ETRS_1989_ETRS_GK24FIN \
   "ETRS_1989_ETRS-GK24FIN"
#define PE_N_PCS_ETRS_1989_ETRS_GK25FIN \
   "ETRS_1989_ETRS-GK25FIN"
#define PE_N_PCS_ETRS_1989_ETRS_GK26FIN \
   "ETRS_1989_ETRS-GK26FIN"
#define PE_N_PCS_ETRS_1989_ETRS_GK27FIN \
   "ETRS_1989_ETRS-GK27FIN"
#define PE_N_PCS_ETRS_1989_ETRS_GK28FIN \
   "ETRS_1989_ETRS-GK28FIN"
#define PE_N_PCS_ETRS_1989_ETRS_GK29FIN \
   "ETRS_1989_ETRS-GK29FIN"
#define PE_N_PCS_ETRS_1989_ETRS_GK30FIN \
   "ETRS_1989_ETRS-GK30FIN"
#define PE_N_PCS_ETRS_1989_ETRS_GK31FIN \
   "ETRS_1989_ETRS-GK31FIN"
#define PE_N_PCS_ETRS_1989_GUERNSEY_GRID \
   "ETRS_1989_Guernsey_Grid"
#define PE_N_PCS_ETRS_1989_JERSEY_TM \
   "ETRS_1989_Jersey_Transverse_Mercator"
#define PE_N_PCS_ETRS_1989_KOSOVO_GRID \
   "ETRS_1989_Kosovo_Grid"
#define PE_N_PCS_ETRS_1989_KP2000_BORNHOLM \
   "ETRS_1989_Kp2000_Bornholm"
#define PE_N_PCS_ETRS_1989_KP2000_JUTLAND \
   "ETRS_1989_Kp2000_Jutland"
#define PE_N_PCS_ETRS_1989_KP2000_ZEALAND \
   "ETRS_1989_Kp2000_Zealand"
#define PE_N_PCS_ETRS_1989_LAEA \
   "ETRS_1989_LAEA"
#define PE_N_PCS_ETRS_1989_LCC \
   "ETRS_1989_LCC"
#define PE_N_PCS_ETRS_1989_POLAND_CS2000_5 \
   "ETRS_1989_Poland_CS2000_Zone_5"
#define PE_N_PCS_ETRS_1989_POLAND_CS2000_6 \
   "ETRS_1989_Poland_CS2000_Zone_6"
#define PE_N_PCS_ETRS_1989_POLAND_CS2000_7 \
   "ETRS_1989_Poland_CS2000_Zone_7"
#define PE_N_PCS_ETRS_1989_POLAND_CS2000_8 \
   "ETRS_1989_Poland_CS2000_Zone_8"
#define PE_N_PCS_ETRS_1989_POLAND_CS92 \
   "ETRS_1989_Poland_CS92"
#define PE_N_PCS_ETRS_1989_PT_TM06 \
   "ETRS_1989_Portugal_TM06"
#define PE_N_PCS_ETRS_1989_SLOVENIA_TM \
   "ETRS_1989_Slovenia_TM"
#define PE_N_PCS_ETRS_1989_TM26 \
   "ETRS_1989_ETRS-TM26"
#define PE_N_PCS_ETRS_1989_TM27 \
   "ETRS_1989_ETRS-TM27"
#define PE_N_PCS_ETRS_1989_TM28 \
   "ETRS_1989_ETRS-TM28"
#define PE_N_PCS_ETRS_1989_TM29 \
   "ETRS_1989_ETRS-TM29"
#define PE_N_PCS_ETRS_1989_TM30 \
   "ETRS_1989_ETRS-TM30"
#define PE_N_PCS_ETRS_1989_TM31 \
   "ETRS_1989_ETRS-TM31"
#define PE_N_PCS_ETRS_1989_TM32 \
   "ETRS_1989_ETRS-TM32"
#define PE_N_PCS_ETRS_1989_TM33 \
   "ETRS_1989_ETRS-TM33"
#define PE_N_PCS_ETRS_1989_TM34 \
   "ETRS_1989_ETRS-TM34"
#define PE_N_PCS_ETRS_1989_TM35 \
   "ETRS_1989_ETRS-TM35"
#define PE_N_PCS_ETRS_1989_TM36 \
   "ETRS_1989_ETRS-TM36"
#define PE_N_PCS_ETRS_1989_TM37 \
   "ETRS_1989_ETRS-TM37"
#define PE_N_PCS_ETRS_1989_TM38 \
   "ETRS_1989_ETRS-TM38"
#define PE_N_PCS_ETRS_1989_TM39 \
   "ETRS_1989_ETRS-TM39"
#define PE_N_PCS_ETRS_1989_TM_30_NE \
   "ETRS_1989_TM_30_NE"
#define PE_N_PCS_ETRS_1989_TM_BALTIC_1993 \
   "ETRS_1989_TM_Baltic_1993"
#define PE_N_PCS_ETRS_1989_UTM_26N \
   "ETRS_1989_UTM_Zone_26N"
#define PE_N_PCS_ETRS_1989_UTM_27N \
   "ETRS_1989_UTM_Zone_27N"
#define PE_N_PCS_ETRS_1989_UTM_28N \
   "ETRS_1989_UTM_Zone_28N"
#define PE_N_PCS_ETRS_1989_UTM_29N \
   "ETRS_1989_UTM_Zone_29N"
#define PE_N_PCS_ETRS_1989_UTM_30N \
   "ETRS_1989_UTM_Zone_30N"
#define PE_N_PCS_ETRS_1989_UTM_31N \
   "ETRS_1989_UTM_Zone_31N"
#define PE_N_PCS_ETRS_1989_UTM_32N \
   "ETRS_1989_UTM_Zone_32N"
#define PE_N_PCS_ETRS_1989_UTM_32N_7STELLEN \
   "ETRS_1989_UTM_Zone_32N_7stellen"
#define PE_N_PCS_ETRS_1989_UTM_32N_8STELLEN \
   "ETRS_1989_UTM_Zone_32N_8stellen"
#define PE_N_PCS_ETRS_1989_UTM_33N \
   "ETRS_1989_UTM_Zone_33N"
#define PE_N_PCS_ETRS_1989_UTM_33N_7STELLEN \
   "ETRS_1989_UTM_Zone_33N_7stellen"
#define PE_N_PCS_ETRS_1989_UTM_33N_8STELLEN \
   "ETRS_1989_UTM_Zone_33N_8stellen"
#define PE_N_PCS_ETRS_1989_UTM_34N \
   "ETRS_1989_UTM_Zone_34N"
#define PE_N_PCS_ETRS_1989_UTM_35N \
   "ETRS_1989_UTM_Zone_35N"
#define PE_N_PCS_ETRS_1989_UTM_36N \
   "ETRS_1989_UTM_Zone_36N"
#define PE_N_PCS_ETRS_1989_UTM_37N \
   "ETRS_1989_UTM_Zone_37N"
#define PE_N_PCS_ETRS_1989_UTM_38N \
   "ETRS_1989_UTM_Zone_38N"
#define PE_N_PCS_ETRS_1989_UTM_39N \
   "ETRS_1989_UTM_Zone_39N"
#define PE_N_PCS_ETRS_1989_UTM_N32 \
   "ETRS_1989_UTM_Zone_N32"
#define PE_N_PCS_ETRS_1989_UWPP_1992 \
   "ETRS_1989_UWPP_1992"
#define PE_N_PCS_ETRS_1989_UWPP_2000_PAS_5 \
   "ETRS_1989_UWPP_2000_PAS_5"
#define PE_N_PCS_ETRS_1989_UWPP_2000_PAS_6 \
   "ETRS_1989_UWPP_2000_PAS_6"
#define PE_N_PCS_ETRS_1989_UWPP_2000_PAS_7 \
   "ETRS_1989_UWPP_2000_PAS_7"
#define PE_N_PCS_ETRS_1989_UWPP_2000_PAS_8 \
   "ETRS_1989_UWPP_2000_PAS_8"
#define PE_N_PCS_EUREF_FIN_TM35FIN \
   "EUREF_FIN_TM35FIN"
#define PE_N_PCS_EVEREST_MOD_1969_RSO_MALAYA_M \
   "Everest_Modified_1969_RSO_Malaya_Meters"
#define PE_N_PCS_FAHUD_UTM_39N \
   "Fahud_UTM_Zone_39N"
#define PE_N_PCS_FAHUD_UTM_40N \
   "Fahud_UTM_Zone_40N"
#define PE_N_PCS_FATU_IVA_1972_UTM_7S \
   "Fatu_Iva_1972_UTM_Zone_7S"
#define PE_N_PCS_FD_1954_UTM_29N \
   "FD_1954_UTM_Zone_29N"
#define PE_N_PCS_FD_1958_IRAQ \
   "FD_1958_Iraq"
#define PE_N_PCS_FIJI_1956_UTM_1S \
   "Fiji_1956_UTM_Zone_1S"
#define PE_N_PCS_FIJI_1956_UTM_60S \
   "Fiji_1956_UTM_Zone_60S"
#define PE_N_PCS_FIJI_1986_FIJI_MAP_GRID \
   "Fiji_1986_Fiji_Map_Grid"
#define PE_N_PCS_FORT_DESAIX_UTM_20N \
   "Fort_Desaix_UTM_20N"
#define PE_N_PCS_FORT_MARIGOT_UTM_20N \
   "Fort_Marigot_UTM_20N"
#define PE_N_PCS_GAROUA_UTM_33N \
   "Garoua_UTM_Zone_33N"
#define PE_N_PCS_GDA_1994_AUSTRALIA_ALBERS \
   "GDA_1994_Australia_Albers"
#define PE_N_PCS_GDA_1994_BCSG02 \
   "GDA_1994_BCSG02"
#define PE_N_PCS_GDA_1994_GEOSCIENCE_AUSTRALIA_LAMBERT \
   "GDA_1994_Geoscience_Australia_Lambert"
#define PE_N_PCS_GDA_1994_MGA_48 \
   "GDA_1994_MGA_Zone_48"
#define PE_N_PCS_GDA_1994_MGA_49 \
   "GDA_1994_MGA_Zone_49"
#define PE_N_PCS_GDA_1994_MGA_50 \
   "GDA_1994_MGA_Zone_50"
#define PE_N_PCS_GDA_1994_MGA_51 \
   "GDA_1994_MGA_Zone_51"
#define PE_N_PCS_GDA_1994_MGA_52 \
   "GDA_1994_MGA_Zone_52"
#define PE_N_PCS_GDA_1994_MGA_53 \
   "GDA_1994_MGA_Zone_53"
#define PE_N_PCS_GDA_1994_MGA_54 \
   "GDA_1994_MGA_Zone_54"
#define PE_N_PCS_GDA_1994_MGA_55 \
   "GDA_1994_MGA_Zone_55"
#define PE_N_PCS_GDA_1994_MGA_56 \
   "GDA_1994_MGA_Zone_56"
#define PE_N_PCS_GDA_1994_MGA_57 \
   "GDA_1994_MGA_Zone_57"
#define PE_N_PCS_GDA_1994_MGA_58 \
   "GDA_1994_MGA_Zone_58"
#define PE_N_PCS_GDA_1994_NSW_LAMBERT \
   "GDA_1994_NSW_Lambert"
#define PE_N_PCS_GDA_1994_PCG94 \
   "GDA_1994_Perth_Coastal_Grid_1994"
#define PE_N_PCS_GDA_1994_SOUTH_AUSTRALIA \
   "GDA_1994_South_Australia_Lambert"
#define PE_N_PCS_GDA_1994_VICGRID94 \
   "GDA_1994_VICGRID94"
#define PE_N_PCS_GDBD2009_GEORSO \
   "GDBD2009_GEORSO"
#define PE_N_PCS_GDM_2000_BRSO_EAST_MALAYSIA \
   "GDM_2000_BRSO_East_Malaysia"
#define PE_N_PCS_GDM_2000_MRSO_PENINSULAR_MALAYSIA \
   "GDM_2000_MRSO_Peninsular_Malaysia"
#define PE_N_PCS_GDM_2000_STATE_CASSINI_JOHOR \
   "GDM_2000_State_Cassini_Johor"
#define PE_N_PCS_GDM_2000_STATE_CASSINI_KEDAH_PERLIS \
   "GDM_2000_State_Cassini_Perlis"
#define PE_N_PCS_GDM_2000_STATE_CASSINI_KELANTAN \
   "GDM_2000_State_Cassini_Kelantan"
#define PE_N_PCS_GDM_2000_STATE_CASSINI_N_SEMBILAN_MELAKA \
   "GDM_2000_State_Cassini_Negeri_Sembilan_and_Melaka"
#define PE_N_PCS_GDM_2000_STATE_CASSINI_PAHANG \
   "GDM_2000_State_Cassini_Pahang"
#define PE_N_PCS_GDM_2000_STATE_CASSINI_PERAK \
   "GDM_2000_State_Cassini_Perak"
#define PE_N_PCS_GDM_2000_STATE_CASSINI_P_PINANG_S_PERAI \
   "GDM_2000_State_Cassini_Pulau_Pinang_and_Seberang_Perai"
#define PE_N_PCS_GDM_2000_STATE_CASSINI_SELANGOR \
   "GDM_2000_State_Cassini_Selangor"
#define PE_N_PCS_GDM_2000_STATE_CASSINI_TERENGGANU \
   "GDM_2000_State_Cassini_Terengganu"
#define PE_N_PCS_GGRS_1987_GREEK_GRID \
   "Greek_Grid"
#define PE_N_PCS_GRACIOSA_1948_UTM_26N \
   "Graciosa_Base_SW_1948_UTM_Zone_26N"
#define PE_N_PCS_GRAND_CAYMAN_1959_UTM_17N \
   "Grand_Cayman_1959_UTM_Zone_17N"
#define PE_N_PCS_GRAND_COMOROS_UTM_38S \
   "Grand_Comoros_UTM_38S"
#define PE_N_PCS_GREENLAND_1996_UTM_18N \
   "Greenland_1996_UTM_Zone_18N"
#define PE_N_PCS_GREENLAND_1996_UTM_19N \
   "Greenland_1996_UTM_Zone_19N"
#define PE_N_PCS_GREENLAND_1996_UTM_20N \
   "Greenland_1996_UTM_Zone_20N"
#define PE_N_PCS_GREENLAND_1996_UTM_21N \
   "Greenland_1996_UTM_Zone_21N"
#define PE_N_PCS_GREENLAND_1996_UTM_22N \
   "Greenland_1996_UTM_Zone_22N"
#define PE_N_PCS_GREENLAND_1996_UTM_23N \
   "Greenland_1996_UTM_Zone_23N"
#define PE_N_PCS_GREENLAND_1996_UTM_24N \
   "Greenland_1996_UTM_Zone_24N"
#define PE_N_PCS_GREENLAND_1996_UTM_25N \
   "Greenland_1996_UTM_Zone_25N"
#define PE_N_PCS_GREENLAND_1996_UTM_26N \
   "Greenland_1996_UTM_Zone_26N"
#define PE_N_PCS_GREENLAND_1996_UTM_27N \
   "Greenland_1996_UTM_Zone_27N"
#define PE_N_PCS_GREENLAND_1996_UTM_28N \
   "Greenland_1996_UTM_Zone_28N"
#define PE_N_PCS_GREENLAND_1996_UTM_29N \
   "Greenland_1996_UTM_Zone_29N"
#define PE_N_PCS_GRENADA_1953_BRITISH_W_INDIES \
   "Grenada_1953_British_West_Indies_Grid"
#define PE_N_PCS_GUAM_1963_YAP_ISLANDS \
   "Guam_1963_Yap_Islands"
#define PE_N_PCS_GUAM_GEODETIC_NETWORK_1993 \
   "Guam_Geodetic_Network_1993"
#define PE_N_PCS_GUAM_GEODETIC_TRIANGULATION_NETWORK_1963 \
   "Guam_Geodetic_Triangulation_Network_1963"
#define PE_N_PCS_GUERNSEY_GRID \
   "Guernsey_Grid"
#define PE_N_PCS_GULSHAN_303_BANGLADESH_TM \
   "Gulshan_303_Bangladesh_TM"
#define PE_N_PCS_GUNUNG_SEGARA_NEIEZ \
   "Gunung_Segara_NEIEZ"
#define PE_N_PCS_GUNUNG_SEGARA_UTM_50S \
   "Gunung_Segara_UTM_Zone_50S"
#define PE_N_PCS_HANOI_1972_GK_106_NE \
   "Hanoi_1972_GK_106_NE"
#define PE_N_PCS_HANOI_1972_GK_18 \
   "Hanoi_1972_GK_Zone_18"
#define PE_N_PCS_HANOI_1972_GK_19 \
   "Hanoi_1972_GK_Zone_19"
#define PE_N_PCS_HARTEBEESTHOEK94_LO15 \
   "Hartebeesthoek94_Lo15"
#define PE_N_PCS_HARTEBEESTHOEK94_LO17 \
   "Hartebeesthoek94_Lo17"
#define PE_N_PCS_HARTEBEESTHOEK94_LO19 \
   "Hartebeesthoek94_Lo19"
#define PE_N_PCS_HARTEBEESTHOEK94_LO21 \
   "Hartebeesthoek94_Lo21"
#define PE_N_PCS_HARTEBEESTHOEK94_LO23 \
   "Hartebeesthoek94_Lo23"
#define PE_N_PCS_HARTEBEESTHOEK94_LO25 \
   "Hartebeesthoek94_Lo25"
#define PE_N_PCS_HARTEBEESTHOEK94_LO27 \
   "Hartebeesthoek94_Lo27"
#define PE_N_PCS_HARTEBEESTHOEK94_LO29 \
   "Hartebeesthoek94_Lo29"
#define PE_N_PCS_HARTEBEESTHOEK94_LO31 \
   "Hartebeesthoek94_Lo31"
#define PE_N_PCS_HARTEBEESTHOEK94_LO33 \
   "Hartebeesthoek94_Lo33"
#define PE_N_PCS_HELLE_1954_JAN_MAYEN_GRID \
   "Helle_1954_Jan_Mayen_Grid"
#define PE_N_PCS_HITO_XVIII_1963_ARGENTINA_2 \
   "Hito_XVIII_1963_Argentina_2"
#define PE_N_PCS_HITO_XVIII_1963_UTM_19S \
   "Hito_XVIII_1963_UTM_19S"
#define PE_N_PCS_HJORSEY_1955_UTM_26N \
   "Hjorsey_1955_UTM_Zone_26N"
#define PE_N_PCS_HJORSEY_1955_UTM_27N \
   "Hjorsey_1955_UTM_Zone_27N"
#define PE_N_PCS_HJORSEY_1955_UTM_28N \
   "Hjorsey_1955_UTM_Zone_28N"
#define PE_N_PCS_HONG_KONG_1963_GRID \
   "Hong_Kong_1963_Grid_System"
#define PE_N_PCS_HONG_KONG_1980_GRID \
   "Hong_Kong_1980_Grid"
#define PE_N_PCS_HONG_KONG_1980_UTM_49N \
   "Hong_Kong_1980_UTM_Zone_49N"
#define PE_N_PCS_HONG_KONG_1980_UTM_50N \
   "Hong_Kong_1980_UTM_Zone_50N"
#define PE_N_PCS_HTRS96_CROATIA_LCC \
   "HTRS96_Croatia_LCC"
#define PE_N_PCS_HTRS96_CROATIA_TM \
   "HTRS96_Croatia_TM"
#define PE_N_PCS_HTRS96_UTM_33N \
   "HTRS96_UTM_Zone_33N"
#define PE_N_PCS_HTRS96_UTM_34N \
   "HTRS96_UTM_Zone_34N"
#define PE_N_PCS_HUNGARIAN_1972_EOV \
   "Hungarian_1972_Egyseges_Orszagos_Vetuleti"
#define PE_N_PCS_ID_1974_UTM_46N \
   "Indonesian_1974_UTM_Zone_46N"
#define PE_N_PCS_ID_1974_UTM_46S \
   "Indonesian_1974_UTM_Zone_46S"
#define PE_N_PCS_ID_1974_UTM_47N \
   "Indonesian_1974_UTM_Zone_47N"
#define PE_N_PCS_ID_1974_UTM_47S \
   "Indonesian_1974_UTM_Zone_47S"
#define PE_N_PCS_ID_1974_UTM_48N \
   "Indonesian_1974_UTM_Zone_48N"
#define PE_N_PCS_ID_1974_UTM_48S \
   "Indonesian_1974_UTM_Zone_48S"
#define PE_N_PCS_ID_1974_UTM_49N \
   "Indonesian_1974_UTM_Zone_49N"
#define PE_N_PCS_ID_1974_UTM_49S \
   "Indonesian_1974_UTM_Zone_49S"
#define PE_N_PCS_ID_1974_UTM_50N \
   "Indonesian_1974_UTM_Zone_50N"
#define PE_N_PCS_ID_1974_UTM_50S \
   "Indonesian_1974_UTM_Zone_50S"
#define PE_N_PCS_ID_1974_UTM_51N \
   "Indonesian_1974_UTM_Zone_51N"
#define PE_N_PCS_ID_1974_UTM_51S \
   "Indonesian_1974_UTM_Zone_51S"
#define PE_N_PCS_ID_1974_UTM_52N \
   "Indonesian_1974_UTM_Zone_52N"
#define PE_N_PCS_ID_1974_UTM_52S \
   "Indonesian_1974_UTM_Zone_52S"
#define PE_N_PCS_ID_1974_UTM_53N \
   "Indonesian_1974_UTM_Zone_53N"
#define PE_N_PCS_ID_1974_UTM_53S \
   "Indonesian_1974_UTM_Zone_53S"
#define PE_N_PCS_ID_1974_UTM_54S \
   "Indonesian_1974_UTM_Zone_54S"
#define PE_N_PCS_IGCB_1955_CONGO_TM_12 \
   "IGCB_1955_Congo_TM_Zone_12"
#define PE_N_PCS_IGCB_1955_CONGO_TM_14 \
   "IGCB_1955_Congo_TM_Zone_14"
#define PE_N_PCS_IGCB_1955_CONGO_TM_16 \
   "IGCB_1955_Congo_TM_Zone_16"
#define PE_N_PCS_IGCB_1955_UTM_33S \
   "IGCB_1955_UTM_Zone_33S"
#define PE_N_PCS_IGC_1962_CONGO_TM_12 \
   "IGC_1962_Congo_TM_Zone_12"
#define PE_N_PCS_IGC_1962_CONGO_TM_14 \
   "IGC_1962_Congo_TM_Zone_14"
#define PE_N_PCS_IGC_1962_CONGO_TM_16 \
   "IGC_1962_Congo_TM_Zone_16"
#define PE_N_PCS_IGC_1962_CONGO_TM_18 \
   "IGC_1962_Congo_TM_Zone_18"
#define PE_N_PCS_IGC_1962_CONGO_TM_20 \
   "IGC_1962_Congo_TM_Zone_20"
#define PE_N_PCS_IGC_1962_CONGO_TM_22 \
   "IGC_1962_Congo_TM_Zone_22"
#define PE_N_PCS_IGC_1962_CONGO_TM_24 \
   "IGC_1962_Congo_TM_Zone_24"
#define PE_N_PCS_IGC_1962_CONGO_TM_26 \
   "IGC_1962_Congo_TM_Zone_26"
#define PE_N_PCS_IGC_1962_CONGO_TM_28 \
   "IGC_1962_Congo_TM_Zone_28"
#define PE_N_PCS_IGC_1962_CONGO_TM_30 \
   "IGC_1962_Congo_TM_Zone_30"
#define PE_N_PCS_IGM_1995_UTM_32N \
   "IGM_1995_UTM_Zone_32N"
#define PE_N_PCS_IGM_1995_UTM_33N \
   "IGM_1995_UTM_Zone_33N"
#define PE_N_PCS_IGN53_MARE_UTM_58S \
   "IGN53_Mare_UTM_58S"
#define PE_N_PCS_IGN53_MARE_UTM_59S \
   "IGN53_Mare_UTM_Zone_59S"
#define PE_N_PCS_IGN56_LIFOU_UTM_58S \
   "IGN56_Lifou_UTM_58S"
#define PE_N_PCS_IGN63_HIVA_OA_UTM_7S \
   "IGN63_Hiva_Oa_UTM_Zone_7S"
#define PE_N_PCS_IGN72_GRANDE_TERRE_UTM_58S \
   "IGN72_Grande_Terre_UTM_58S"
#define PE_N_PCS_IGN72_NUKU_HIVA_UTM_7S \
   "IGN72_Nuku_Hiva_UTM_7S"
#define PE_N_PCS_IGN_ASTRO_1960_UTM_28N \
   "IGN_Astro_1960_UTM_Zone_28N"
#define PE_N_PCS_IGN_ASTRO_1960_UTM_29N \
   "IGN_Astro_1960_UTM_Zone_29N"
#define PE_N_PCS_IGN_ASTRO_1960_UTM_30N \
   "IGN_Astro_1960_UTM_Zone_30N"
#define PE_N_PCS_IGRS_UTM_37N \
   "IGRS_UTM_Zone_37N"
#define PE_N_PCS_IGRS_UTM_38N \
   "IGRS_UTM_Zone_38N"
#define PE_N_PCS_IGRS_UTM_39N \
   "IGRS_UTM_Zone_39N"
#define PE_N_PCS_INDIAN_1954_UTM_46N \
   "Indian_1954_UTM_Zone_46N"
#define PE_N_PCS_INDIAN_1954_UTM_47N \
   "Indian_1954_UTM_Zone_47N"
#define PE_N_PCS_INDIAN_1954_UTM_48N \
   "Indian_1954_UTM_Zone_48N"
#define PE_N_PCS_INDIAN_1960_TM_106NE \
   "Indian_1960_TM_106NE"
#define PE_N_PCS_INDIAN_1960_UTM_48N \
   "Indian_1960_UTM_Zone_48N"
#define PE_N_PCS_INDIAN_1960_UTM_49N \
   "Indian_1960_UTM_Zone_49N"
#define PE_N_PCS_INDIAN_1975_UTM_47N \
   "Indian_1975_UTM_Zone_47N"
#define PE_N_PCS_INDIAN_1975_UTM_48N \
   "Indian_1975_UTM_Zone_48N"
#define PE_N_PCS_IRENET95_IRISH_TM \
   "IRENET95_Irish_Transverse_Mercator"
#define PE_N_PCS_IRENET95_UTM_29N \
   "IRENET95_UTM_Zone_29N"
#define PE_N_PCS_ISN_1993_LAMBERT_1993 \
   "ISN_1993_Lambert_1993"
#define PE_N_PCS_ISN_2004_LAMBERT_2004 \
   "ISN_2004_Lambert_2004"
#define PE_N_PCS_ISRAEL_ISRAEL_TM_GRID \
   "Israel_TM_Grid"
#define PE_N_PCS_JAD_1969_JAMAICA_GRID \
   "Jamaica_Grid"
#define PE_N_PCS_JAD_2001_JAMAICA_GRID \
   "JAD_2001_Jamaica_Grid"
#define PE_N_PCS_JAD_2001_UTM_17N \
   "JAD_2001_UTM_Zone_17N"
#define PE_N_PCS_JAD_2001_UTM_18N \
   "JAD_2001_UTM_Zone_18N"
#define PE_N_PCS_JAMAICA_1875_OLD_GRID \
   "Jamaica_1875_Old_Grid"
#define PE_N_PCS_JGD_2000_JAPAN_1 \
   "JGD_2000_Japan_Zone_1"
#define PE_N_PCS_JGD_2000_JAPAN_10 \
   "JGD_2000_Japan_Zone_10"
#define PE_N_PCS_JGD_2000_JAPAN_11 \
   "JGD_2000_Japan_Zone_11"
#define PE_N_PCS_JGD_2000_JAPAN_12 \
   "JGD_2000_Japan_Zone_12"
#define PE_N_PCS_JGD_2000_JAPAN_13 \
   "JGD_2000_Japan_Zone_13"
#define PE_N_PCS_JGD_2000_JAPAN_14 \
   "JGD_2000_Japan_Zone_14"
#define PE_N_PCS_JGD_2000_JAPAN_15 \
   "JGD_2000_Japan_Zone_15"
#define PE_N_PCS_JGD_2000_JAPAN_16 \
   "JGD_2000_Japan_Zone_16"
#define PE_N_PCS_JGD_2000_JAPAN_17 \
   "JGD_2000_Japan_Zone_17"
#define PE_N_PCS_JGD_2000_JAPAN_18 \
   "JGD_2000_Japan_Zone_18"
#define PE_N_PCS_JGD_2000_JAPAN_19 \
   "JGD_2000_Japan_Zone_19"
#define PE_N_PCS_JGD_2000_JAPAN_2 \
   "JGD_2000_Japan_Zone_2"
#define PE_N_PCS_JGD_2000_JAPAN_3 \
   "JGD_2000_Japan_Zone_3"
#define PE_N_PCS_JGD_2000_JAPAN_4 \
   "JGD_2000_Japan_Zone_4"
#define PE_N_PCS_JGD_2000_JAPAN_5 \
   "JGD_2000_Japan_Zone_5"
#define PE_N_PCS_JGD_2000_JAPAN_6 \
   "JGD_2000_Japan_Zone_6"
#define PE_N_PCS_JGD_2000_JAPAN_7 \
   "JGD_2000_Japan_Zone_7"
#define PE_N_PCS_JGD_2000_JAPAN_8 \
   "JGD_2000_Japan_Zone_8"
#define PE_N_PCS_JGD_2000_JAPAN_9 \
   "JGD_2000_Japan_Zone_9"
#define PE_N_PCS_JGD_2000_UTM_51N \
   "JGD_2000_UTM_Zone_51N"
#define PE_N_PCS_JGD_2000_UTM_52N \
   "JGD_2000_UTM_Zone_52N"
#define PE_N_PCS_JGD_2000_UTM_53N \
   "JGD_2000_UTM_Zone_53N"
#define PE_N_PCS_JGD_2000_UTM_54N \
   "JGD_2000_UTM_Zone_54N"
#define PE_N_PCS_JGD_2000_UTM_55N \
   "JGD_2000_UTM_Zone_55N"
#define PE_N_PCS_JGD_2000_UTM_56N \
   "JGD_2000_UTM_Zone_56N"
#define PE_N_PCS_JORDAN_JTM \
   "Jordan_JTM"
#define PE_N_PCS_KALIANPUR_1880_INDIA_0 \
   "Kalianpur_1880_India_Zone_0"
#define PE_N_PCS_KALIANPUR_1880_INDIA_I \
   "Kalianpur_1880_India_Zone_I"
#define PE_N_PCS_KALIANPUR_1880_INDIA_IIA \
   "Kalianpur_1880_India_Zone_IIa"
#define PE_N_PCS_KALIANPUR_1880_INDIA_IIB \
   "Kalianpur_1880_India_Zone_IIb"
#define PE_N_PCS_KALIANPUR_1880_INDIA_III \
   "Kalianpur_1880_India_Zone_III"
#define PE_N_PCS_KALIANPUR_1880_INDIA_IV \
   "Kalianpur_1880_India_Zone_IV"
#define PE_N_PCS_KALIANPUR_1937_INDIA_IIB \
   "Kalianpur_1937_India_Zone_IIb"
#define PE_N_PCS_KALIANPUR_1937_UTM_45N \
   "Kalianpur_1937_UTM_Zone_45N"
#define PE_N_PCS_KALIANPUR_1937_UTM_46N \
   "Kalianpur_1937_UTM_Zone_46N"
#define PE_N_PCS_KALIANPUR_1962_INDIA_I \
   "Kalianpur_1962_India_Zone_I"
#define PE_N_PCS_KALIANPUR_1962_INDIA_IIA \
   "Kalianpur_1962_India_Zone_IIa"
#define PE_N_PCS_KALIANPUR_1962_UTM_41N \
   "Kalianpur_1962_UTM_Zone_41N"
#define PE_N_PCS_KALIANPUR_1962_UTM_42N \
   "Kalianpur_1962_UTM_Zone_42N"
#define PE_N_PCS_KALIANPUR_1962_UTM_43N \
   "Kalianpur_1962_UTM_Zone_43N"
#define PE_N_PCS_KALIANPUR_1975_INDIA_I \
   "Kalianpur_1975_India_Zone_I"
#define PE_N_PCS_KALIANPUR_1975_INDIA_IIA \
   "Kalianpur_1975_India_Zone_IIa"
#define PE_N_PCS_KALIANPUR_1975_INDIA_IIB \
   "Kalianpur_1975_India_Zone_IIb"
#define PE_N_PCS_KALIANPUR_1975_INDIA_III \
   "Kalianpur_1975_India_Zone_III"
#define PE_N_PCS_KALIANPUR_1975_INDIA_IV \
   "Kalianpur_1975_India_Zone_IV"
#define PE_N_PCS_KALIANPUR_1975_UTM_42N \
   "Kalianpur_1975_UTM_Zone_42N"
#define PE_N_PCS_KALIANPUR_1975_UTM_43N \
   "Kalianpur_1975_UTM_Zone_43N"
#define PE_N_PCS_KALIANPUR_1975_UTM_44N \
   "Kalianpur_1975_UTM_Zone_44N"
#define PE_N_PCS_KALIANPUR_1975_UTM_45N \
   "Kalianpur_1975_UTM_Zone_45N"
#define PE_N_PCS_KALIANPUR_1975_UTM_46N \
   "Kalianpur_1975_UTM_Zone_46N"
#define PE_N_PCS_KALIANPUR_1975_UTM_47N \
   "Kalianpur_1975_UTM_Zone_47N"
#define PE_N_PCS_KANDAWALA_CEYLON_BELT_M \
   "Kandawala_Ceylon_Belt_Meters"
#define PE_N_PCS_KANDAWALA_CEYLON_BELT_YD1937 \
   "Kandawala_Ceylon_Belt_Indian_Yards_1937"
#define PE_N_PCS_KARBALA_1979_POLSERVICE_UTM_37N \
   "Karbala_1979_Polservice_UTM_Zone_37N"
#define PE_N_PCS_KARBALA_1979_POLSERVICE_UTM_38N \
   "Karbala_1979_Polservice_UTM_Zone_38N"
#define PE_N_PCS_KARBALA_1979_POLSERVICE_UTM_39N \
   "Karbala_1979_Polservice_UTM_Zone_39N"
#define PE_N_PCS_KASAI_1953_CONGO_TM_22 \
   "Kasai_1953_Congo_TM_Zone_22"
#define PE_N_PCS_KASAI_1953_CONGO_TM_24 \
   "Kasai_1953_Congo_TM_Zone_24"
#define PE_N_PCS_KATANGA_1955_KATANGA_GAUSS_A \
   "Katanga_1955_Katanga_Gauss_Zone_A"
#define PE_N_PCS_KATANGA_1955_KATANGA_GAUSS_B \
   "Katanga_1955_Katanga_Gauss_Zone_B"
#define PE_N_PCS_KATANGA_1955_KATANGA_GAUSS_C \
   "Katanga_1955_Katanga_Gauss_Zone_C"
#define PE_N_PCS_KATANGA_1955_KATANGA_GAUSS_D \
   "Katanga_1955_Katanga_Gauss_Zone_D"
#define PE_N_PCS_KATANGA_1955_KATANGA_LAMBERT \
   "Katanga_1955_Katanga_Lambert"
#define PE_N_PCS_KATANGA_1955_KATANGA_TM \
   "Katanga_1955_Katanga_TM"
#define PE_N_PCS_KERGUELEN_ISLAND_1949_UTM_42S \
   "Kerguelen_Island_1949_UTM_42S"
#define PE_N_PCS_KERTAU_RSO_MALAYA_CH \
   "Kertau_RSO_Malaya_Chains"
#define PE_N_PCS_KERTAU_RSO_MALAYA_M \
   "Kertau_RSO_Malaya_Meters"
#define PE_N_PCS_KERTAU_RSO_RSO_MALAYA \
   "Kertau_RSO_RSO_Malaya"
#define PE_N_PCS_KERTAU_RSO_RSO_MALAYA_CH \
   "Kertau_RSO_RSO_Malaya_ChSears1922trunc"
#define PE_N_PCS_KERTAU_SINGAPORE_GRID \
   "Kertau_Singapore_Grid"
#define PE_N_PCS_KERTAU_UTM_47N \
   "Kertau_UTM_Zone_47N"
#define PE_N_PCS_KERTAU_UTM_48N \
   "Kertau_UTM_Zone_48N"
#define PE_N_PCS_KKJ_FINLAND_0 \
   "KKJ_Finland_Zone_0"
#define PE_N_PCS_KKJ_FINLAND_1 \
   "Finland_Zone_1"
#define PE_N_PCS_KKJ_FINLAND_2 \
   "Finland_Zone_2"
#define PE_N_PCS_KKJ_FINLAND_3 \
   "Finland_Zone_3"
#define PE_N_PCS_KKJ_FINLAND_4 \
   "Finland_Zone_4"
#define PE_N_PCS_KKJ_FINLAND_5 \
   "KKJ_Finland_Zone_5"
#define PE_N_PCS_KOC_LAMBERT \
   "KOC_Lambert"
#define PE_N_PCS_KOREAN_1985_CENTRAL_BELT \
   "Korean_1985_Korea_Central_Belt"
#define PE_N_PCS_KOREAN_1985_EAST_BELT \
   "Korean_1985_Korea_East_Belt"
#define PE_N_PCS_KOREAN_1985_MOD_CENTRAL_BELT \
   "Korean_1985_Modified_Korea_Central_Belt"
#define PE_N_PCS_KOREAN_1985_MOD_CENTRAL_BELT_JEJU \
   "Korean_1985_Modified_Korea_Central_Belt_Jeju"
#define PE_N_PCS_KOREAN_1985_MOD_EAST_BELT \
   "Korean_1985_Modified_Korea_East_Belt"
#define PE_N_PCS_KOREAN_1985_MOD_EAST_SEA_BELT \
   "Korean_1985_Modified_Korea_East_Sea_Belt"
#define PE_N_PCS_KOREAN_1985_MOD_WEST_BELT \
   "Korean_1985_Modified_Korea_West_Belt"
#define PE_N_PCS_KOREAN_1985_UNIFIED_CS \
   "Korean_1985_Korea_Unified_Coordinate_System"
#define PE_N_PCS_KOREAN_1985_WEST_BELT \
   "Korean_1985_Korea_West_Belt"
#define PE_N_PCS_KOREA_2000_CENTRAL_BELT_2010 \
   "Korea_2000_Korea_Central_Belt_2010"
#define PE_N_PCS_KOREA_2000_EAST_BELT_2010 \
   "Korea_2000_Korea_East_Belt_2010"
#define PE_N_PCS_KOREA_2000_EAST_SEA_BELT_2010 \
   "Korea_2000_Korea_East_Sea_Belt_2010"
#define PE_N_PCS_KOREA_2000_UNIFIED_CS \
   "Korea_2000_Korea_Unified_Coordinate_System"
#define PE_N_PCS_KOREA_2000_WEST_BELT_2010 \
   "Korea_2000_Korea_West_Belt_2010"
#define PE_N_PCS_KOUSSERI_UTM_33N \
   "Kousseri_UTM_Zone_33N"
#define PE_N_PCS_KUDAMS_KTM \
   "KUDAMS_KTM"
#define PE_N_PCS_LAKE_MARACAIBO \
   "Lake_Maracaibo_Grid"
#define PE_N_PCS_LAKE_MARACAIBO_LA_ROSA_GRID \
   "Lake_Maracaibo_La_Rosa_Grid"
#define PE_N_PCS_LAKE_MARACAIBO_M1 \
   "Lake_Maracaibo_Grid_M1"
#define PE_N_PCS_LAKE_MARACAIBO_M3 \
   "Lake_Maracaibo_Grid_M3"
#define PE_N_PCS_LA_CANOA_UTM_18N \
   "La_Canoa_UTM_Zone_18N"
#define PE_N_PCS_LA_CANOA_UTM_19N \
   "La_Canoa_UTM_Zone_19N"
#define PE_N_PCS_LA_CANOA_UTM_20N \
   "La_Canoa_UTM_Zone_20N"
#define PE_N_PCS_LA_CANOA_UTM_21N \
   "La_Canoa_UTM_Zone_21N"
#define PE_N_PCS_LEIGON_GHANA_GRID \
   "Ghana_Metre_Grid"
#define PE_N_PCS_LE_POUCE_1934_MAURITIUS_GRID \
   "Le_Pouce_1934_Mauritius_Grid"
#define PE_N_PCS_LGD2006_LIBYA_10 \
   "LGD2006_Libya_TM_Zone_10"
#define PE_N_PCS_LGD2006_LIBYA_11 \
   "LGD2006_Libya_TM_Zone_11"
#define PE_N_PCS_LGD2006_LIBYA_12 \
   "LGD2006_Libya_TM_Zone_12"
#define PE_N_PCS_LGD2006_LIBYA_13 \
   "LGD2006_Libya_TM_Zone_13"
#define PE_N_PCS_LGD2006_LIBYA_5 \
   "LGD2006_Libya_TM_Zone_5"
#define PE_N_PCS_LGD2006_LIBYA_6 \
   "LGD2006_Libya_TM_Zone_6"
#define PE_N_PCS_LGD2006_LIBYA_7 \
   "LGD2006_Libya_TM_Zone_7"
#define PE_N_PCS_LGD2006_LIBYA_8 \
   "LGD2006_Libya_TM_Zone_8"
#define PE_N_PCS_LGD2006_LIBYA_9 \
   "LGD2006_Libya_TM_Zone_9"
#define PE_N_PCS_LGD2006_LIBYA_TM \
   "LGD2006_Libya_TM"
#define PE_N_PCS_LGD2006_UTM_32N \
   "LGD2006_UTM_Zone_32N"
#define PE_N_PCS_LGD2006_UTM_33N \
   "LGD2006_UTM_Zone_33N"
#define PE_N_PCS_LGD2006_UTM_34N \
   "LGD2006_UTM_Zone_34N"
#define PE_N_PCS_LGD2006_UTM_35N \
   "LGD2006_UTM_Zone_35N"
#define PE_N_PCS_LISBOA_BESSEL_BONNE \
   "Lisboa_Bessel_Bonne"
#define PE_N_PCS_LISBOA_HAYFORD_GAUSS_IGEOE \
   "Lisboa_Hayford_Gauss_IGeoE"
#define PE_N_PCS_LISBOA_HAYFORD_GAUSS_IPCC \
   "Lisboa_Hayford_Gauss_IPCC"
#define PE_N_PCS_LISBON_PORTUGUESE_GRID \
   "Portuguese_National_Grid"
#define PE_N_PCS_LITTLE_CAYMAN_1961_UTM_17N \
   "Little_Cayman_1961_UTM_Zone_17N"
#define PE_N_PCS_LKS_1992_LATVIA_TM \
   "LKS_1992_Latvia_TM"
#define PE_N_PCS_LKS_1992_LATVIA_TM_0 \
   "LKS_1992_Latvia_TM_0"
#define PE_N_PCS_LKS_1994_LITHUANIA_TM \
   "LKS_1994_Lithuania_TM"
#define PE_N_PCS_LOCODJO_1965_TM_5_NW \
   "Locodjo_1965_TM_5_NW"
#define PE_N_PCS_LOCODJO_1965_UTM_29N \
   "Locodjo_1965_UTM_Zone_29N"
#define PE_N_PCS_LOCODJO_1965_UTM_30N \
   "Locodjo_1965_UTM_Zone_30N"
#define PE_N_PCS_LOME_UTM_31N \
   "Lome_UTM_Zone_31N"
#define PE_N_PCS_LUXEMBOURG_1930_GAUSS \
   "Luxembourg_1930_Gauss"
#define PE_N_PCS_LUZON_PHILIPPINES_I \
   "Philippines_Zone_I"
#define PE_N_PCS_LUZON_PHILIPPINES_II \
   "Philippines_Zone_II"
#define PE_N_PCS_LUZON_PHILIPPINES_III \
   "Philippines_Zone_III"
#define PE_N_PCS_LUZON_PHILIPPINES_IV \
   "Philippines_Zone_IV"
#define PE_N_PCS_LUZON_PHILIPPINES_V \
   "Philippines_Zone_V"
#define PE_N_PCS_MADEIRA_1936_UTM_28N \
   "Madeira_1936_UTM_Zone_28N"
#define PE_N_PCS_MADRID_1870_MADRID_SPAIN \
   "Madrid_1870_Madrid_Spain"
#define PE_N_PCS_MAGNA_CIUDAD_BOGOTA \
   "MAGNA_Ciudad_Bogota"
#define PE_N_PCS_MAGNA_COLOMBIA_BOGOTA \
   "MAGNA_Colombia_Bogota"
#define PE_N_PCS_MAGNA_COLOMBIA_ESTE \
   "MAGNA_Colombia_Este"
#define PE_N_PCS_MAGNA_COLOMBIA_ESTE_ESTE \
   "MAGNA_Colombia_Este_Este"
#define PE_N_PCS_MAGNA_COLOMBIA_OESTE \
   "MAGNA_Colombia_Oeste"
#define PE_N_PCS_MAGNA_COLOMBIA_OESTE_OESTE \
   "MAGNA_Colombia_Oeste_Oeste"
#define PE_N_PCS_MAKASSAR_NEIEZ \
   "Makassar_NEIEZ"
#define PE_N_PCS_MALONGO_1987_UTM_32S \
   "Malongo_1987_UTM_Zone_32S"
#define PE_N_PCS_MANOCA_1962_UTM_32N \
   "Manoca_1962_UTM_Zone_32N"
#define PE_N_PCS_MASSAWA_UTM_37N \
   "Massawa_UTM_Zone_37N"
#define PE_N_PCS_MAUPITI_1983_UTM_5S \
   "Maupiti_1983_UTM_Zone_5S"
#define PE_N_PCS_MAURITANIA_1999_UTM_28N \
   "Mauritania_1999_UTM_Zone_28N"
#define PE_N_PCS_MAURITANIA_1999_UTM_29N \
   "Mauritania_1999_UTM_Zone_29N"
#define PE_N_PCS_MAURITANIA_1999_UTM_30N \
   "Mauritania_1999_UTM_Zone_30N"
#define PE_N_PCS_MERCHICH_DEGREE_NORD_MAROC \
   "Nord_Maroc_Degree"
#define PE_N_PCS_MERCHICH_DEGREE_SAHARA \
   "Sahara_Degree"
#define PE_N_PCS_MERCHICH_DEGREE_SUD_MAROC \
   "Sud_Maroc_Degree"
#define PE_N_PCS_MERCHICH_DEGREE_UTM_28N \
   "Merchich_Degree_UTM_Zone_28N"
#define PE_N_PCS_MERCHICH_NORD_MAROC \
   "Nord_Maroc"
#define PE_N_PCS_MERCHICH_SAHARA \
   "Sahara"
#define PE_N_PCS_MERCHICH_SAHARA_NORD \
   "Merchich_Sahara_Nord"
#define PE_N_PCS_MERCHICH_SAHARA_SUD \
   "Merchich_Sahara_Sud"
#define PE_N_PCS_MERCHICH_SUD_MAROC \
   "Sud_Maroc"
#define PE_N_PCS_MEXICAN_DATUM_1993_UTM_11N \
   "Mexican_Datum_1993_UTM_Zone_11N"
#define PE_N_PCS_MEXICAN_DATUM_1993_UTM_12N \
   "Mexican_Datum_1993_UTM_Zone_12N"
#define PE_N_PCS_MEXICAN_DATUM_1993_UTM_13N \
   "Mexican_Datum_1993_UTM_Zone_13N"
#define PE_N_PCS_MEXICAN_DATUM_1993_UTM_14N \
   "Mexican_Datum_1993_UTM_Zone_14N"
#define PE_N_PCS_MEXICAN_DATUM_1993_UTM_15N \
   "Mexican_Datum_1993_UTM_Zone_15N"
#define PE_N_PCS_MEXICAN_DATUM_1993_UTM_16N \
   "Mexican_Datum_1993_UTM_Zone_16N"
#define PE_N_PCS_MGI_1901_SLOVENE_NATIONAL_GRID \
   "MGI_1901_Slovene_National_Grid"
#define PE_N_PCS_MGI_3_DEGREE_GAUSS_5 \
   "MGI_3_Degree_Gauss_Zone_5"
#define PE_N_PCS_MGI_3_DEGREE_GAUSS_6 \
   "MGI_3_Degree_Gauss_Zone_6"
#define PE_N_PCS_MGI_3_DEGREE_GAUSS_7 \
   "MGI_3_Degree_Gauss_Zone_7"
#define PE_N_PCS_MGI_3_DEGREE_GAUSS_8 \
   "MGI_3_Degree_Gauss_Zone_8"
#define PE_N_PCS_MGI_AUSTRIA_GK_CENTRAL \
   "MGI_Austria_GK_Central"
#define PE_N_PCS_MGI_AUSTRIA_GK_EAST \
   "MGI_Austria_GK_East"
#define PE_N_PCS_MGI_AUSTRIA_GK_M28 \
   "MGI_Austria_GK_M28"
#define PE_N_PCS_MGI_AUSTRIA_GK_M31 \
   "MGI_Austria_GK_M31"
#define PE_N_PCS_MGI_AUSTRIA_GK_M34 \
   "MGI_Austria_GK_M34"
#define PE_N_PCS_MGI_AUSTRIA_GK_WEST \
   "MGI_Austria_GK_West"
#define PE_N_PCS_MGI_AUSTRIA_LAMBERT \
   "MGI_Austria_Lambert"
#define PE_N_PCS_MGI_BALKANS_5 \
   "MGI_Balkans_5"
#define PE_N_PCS_MGI_BALKANS_6 \
   "MGI_Balkans_6"
#define PE_N_PCS_MGI_BALKANS_7 \
   "MGI_Balkans_7"
#define PE_N_PCS_MGI_BALKANS_8 \
   "MGI_Balkans_8"
#define PE_N_PCS_MGI_FERRO_AUSTRIA_CENTRAL \
   "Austria_Central_Zone"
#define PE_N_PCS_MGI_FERRO_AUSTRIA_EAST \
   "Austria_East_Zone"
#define PE_N_PCS_MGI_FERRO_AUSTRIA_GK_CENTRAL \
   "MGI_Ferro_Austria_GK_Central"
#define PE_N_PCS_MGI_FERRO_AUSTRIA_GK_EAST \
   "MGI_Ferro_Austria_GK_East"
#define PE_N_PCS_MGI_FERRO_AUSTRIA_GK_WEST \
   "MGI_Ferro_Austria_GK_West"
#define PE_N_PCS_MGI_FERRO_AUSTRIA_WEST \
   "Austria_West_Zone"
#define PE_N_PCS_MGI_FERRO_M28 \
   "MGI_Ferro_M28"
#define PE_N_PCS_MGI_FERRO_M31 \
   "MGI_Ferro_M31"
#define PE_N_PCS_MGI_FERRO_M34 \
   "MGI_Ferro_M34"
#define PE_N_PCS_MGI_M28 \
   "MGI_M28"
#define PE_N_PCS_MGI_M31 \
   "MGI_M31"
#define PE_N_PCS_MGI_M34 \
   "MGI_M34"
#define PE_N_PCS_MGI_SLOVENIA_GRID \
   "MGI_Slovenia_Grid"
#define PE_N_PCS_MHAST_OFFSHORE_UTM_32S \
   "Mhast_Offshore_UTM_Zone_32S"
#define PE_N_PCS_MHAST_ONSHORE_UTM_32S \
   "Mhast_Onshore_UTM_Zone_32S"
#define PE_N_PCS_MHAST_UTM_32S \
   "Mhast_UTM_Zone_32S"
#define PE_N_PCS_MINNA_NIGERIA_EAST_BELT \
   "Nigeria_East_Belt"
#define PE_N_PCS_MINNA_NIGERIA_MID_BELT \
   "Nigeria_Mid_Belt"
#define PE_N_PCS_MINNA_NIGERIA_WEST_BELT \
   "Nigeria_West_Belt"
#define PE_N_PCS_MINNA_UTM_31N \
   "Minna_UTM_Zone_31N"
#define PE_N_PCS_MINNA_UTM_32N \
   "Minna_UTM_Zone_32N"
#define PE_N_PCS_MONREF_1997_UTM_46N \
   "MONREF_1997_UTM_Zone_46N"
#define PE_N_PCS_MONREF_1997_UTM_47N \
   "MONREF_1997_UTM_Zone_47N"
#define PE_N_PCS_MONREF_1997_UTM_48N \
   "MONREF_1997_UTM_Zone_48N"
#define PE_N_PCS_MONREF_1997_UTM_49N \
   "MONREF_1997_UTM_Zone_49N"
#define PE_N_PCS_MONREF_1997_UTM_50N \
   "MONREF_1997_UTM_Zone_50N"
#define PE_N_PCS_MONTE_MARIO_ITALY_1 \
   "Monte_Mario_Italy_1"
#define PE_N_PCS_MONTE_MARIO_ITALY_2 \
   "Monte_Mario_Italy_2"
#define PE_N_PCS_MONTE_MARIO_ROME_ITALY_1 \
   "Monte_Mario_Rome_Italy_1"
#define PE_N_PCS_MONTE_MARIO_ROME_ITALY_2 \
   "Monte_Mario_Rome_Italy_2"
#define PE_N_PCS_MONTSERRAT_1958_BRITISH_W_INDIES \
   "Montserrat_1958_British_West_Indies_Grid"
#define PE_N_PCS_MOOREA_1987_UTM_6S \
   "Moorea_1987_UTM_Zone_6S"
#define PE_N_PCS_MOP78_UTM_1S \
   "MOP78_UTM_1S"
#define PE_N_PCS_MOUNT_DILLON_TOBAGO_GRID \
   "Mount_Dillon_Tobago_Grid"
#define PE_N_PCS_MOZNET_UTM_36S \
   "Moznet_UTM_Zone_36S"
#define PE_N_PCS_MOZNET_UTM_37S \
   "Moznet_UTM_Zone_37S"
#define PE_N_PCS_MPORALOKO_UTM_32N \
   "Mporaloko_UTM_Zone_32N"
#define PE_N_PCS_MPORALOKO_UTM_32S \
   "Mporaloko_UTM_Zone_32S"
#define PE_N_PCS_NAD_1927_10TM_AEP_FOREST \
   "NAD_1927_10TM_AEP_Forest"
#define PE_N_PCS_NAD_1927_10TM_AEP_RESOURCE \
   "NAD_1927_10TM_AEP_Resource"
#define PE_N_PCS_NAD_1927_3TM_111 \
   "NAD_1927_3TM_111"
#define PE_N_PCS_NAD_1927_3TM_114 \
   "NAD_1927_3TM_114"
#define PE_N_PCS_NAD_1927_3TM_117 \
   "NAD_1927_3TM_117"
#define PE_N_PCS_NAD_1927_3TM_120 \
   "NAD_1927_3TM_120"
#define PE_N_PCS_NAD_1927_AK_1 \
   "NAD_1927_StatePlane_Alaska_1_FIPS_5001"
#define PE_N_PCS_NAD_1927_AK_10 \
   "NAD_1927_StatePlane_Alaska_10_FIPS_5010"
#define PE_N_PCS_NAD_1927_AK_2 \
   "NAD_1927_StatePlane_Alaska_2_FIPS_5002"
#define PE_N_PCS_NAD_1927_AK_3 \
   "NAD_1927_StatePlane_Alaska_3_FIPS_5003"
#define PE_N_PCS_NAD_1927_AK_4 \
   "NAD_1927_StatePlane_Alaska_4_FIPS_5004"
#define PE_N_PCS_NAD_1927_AK_5 \
   "NAD_1927_StatePlane_Alaska_5_FIPS_5005"
#define PE_N_PCS_NAD_1927_AK_6 \
   "NAD_1927_StatePlane_Alaska_6_FIPS_5006"
#define PE_N_PCS_NAD_1927_AK_7 \
   "NAD_1927_StatePlane_Alaska_7_FIPS_5007"
#define PE_N_PCS_NAD_1927_AK_8 \
   "NAD_1927_StatePlane_Alaska_8_FIPS_5008"
#define PE_N_PCS_NAD_1927_AK_9 \
   "NAD_1927_StatePlane_Alaska_9_FIPS_5009"
#define PE_N_PCS_NAD_1927_ALASKA_ALBERS_FT \
   "NAD_1927_Alaska_Albers_Feet"
#define PE_N_PCS_NAD_1927_ALASKA_ALBERS_METERS \
   "NAD_1927_Alaska_Albers_Meters"
#define PE_N_PCS_NAD_1927_AL_E \
   "NAD_1927_StatePlane_Alabama_East_FIPS_0101"
#define PE_N_PCS_NAD_1927_AL_W \
   "NAD_1927_StatePlane_Alabama_West_FIPS_0102"
#define PE_N_PCS_NAD_1927_AR_N \
   "NAD_1927_StatePlane_Arkansas_North_FIPS_0301"
#define PE_N_PCS_NAD_1927_AR_S \
   "NAD_1927_StatePlane_Arkansas_South_FIPS_0302"
#define PE_N_PCS_NAD_1927_AZ_C \
   "NAD_1927_StatePlane_Arizona_Central_FIPS_0202"
#define PE_N_PCS_NAD_1927_AZ_E \
   "NAD_1927_StatePlane_Arizona_East_FIPS_0201"
#define PE_N_PCS_NAD_1927_AZ_W \
   "NAD_1927_StatePlane_Arizona_West_FIPS_0203"
#define PE_N_PCS_NAD_1927_BLM_14N \
   "NAD_1927_BLM_Zone_14N"
#define PE_N_PCS_NAD_1927_BLM_15N \
   "NAD_1927_BLM_Zone_15N"
#define PE_N_PCS_NAD_1927_BLM_16N \
   "NAD_1927_BLM_Zone_16N"
#define PE_N_PCS_NAD_1927_BLM_17N \
   "NAD_1927_BLM_Zone_17N"
#define PE_N_PCS_NAD_1927_CA_I \
   "NAD_1927_StatePlane_California_I_FIPS_0401"
#define PE_N_PCS_NAD_1927_CA_II \
   "NAD_1927_StatePlane_California_II_FIPS_0402"
#define PE_N_PCS_NAD_1927_CA_III \
   "NAD_1927_StatePlane_California_III_FIPS_0403"
#define PE_N_PCS_NAD_1927_CA_IV \
   "NAD_1927_StatePlane_California_IV_FIPS_0404"
#define PE_N_PCS_NAD_1927_CA_TEALE_ALBERS \
   "NAD_1927_California_Teale_Albers"
#define PE_N_PCS_NAD_1927_CA_V \
   "NAD_1927_StatePlane_California_V_FIPS_0405"
#define PE_N_PCS_NAD_1927_CA_VI \
   "NAD_1927_StatePlane_California_VI_FIPS_0406"
#define PE_N_PCS_NAD_1927_CA_VII \
   "NAD_1927_StatePlane_California_VII_FIPS_0407"
#define PE_N_PCS_NAD_1927_CA_V_VENTURA \
   "NAD_1927_StatePlane_California_V_Ventura"
#define PE_N_PCS_NAD_1927_CGQ77_MTM_10_SCOPQ \
   "NAD_1927_CGQ77_MTM_10_SCoPQ"
#define PE_N_PCS_NAD_1927_CGQ77_MTM_2_SCOPQ \
   "NAD_1927_CGQ77_MTM_2_SCoPQ"
#define PE_N_PCS_NAD_1927_CGQ77_MTM_3_SCOPQ \
   "NAD_1927_CGQ77_MTM_3_SCoPQ"
#define PE_N_PCS_NAD_1927_CGQ77_MTM_4_SCOPQ \
   "NAD_1927_CGQ77_MTM_4_SCoPQ"
#define PE_N_PCS_NAD_1927_CGQ77_MTM_5_SCOPQ \
   "NAD_1927_CGQ77_MTM_5_SCoPQ"
#define PE_N_PCS_NAD_1927_CGQ77_MTM_6_SCOPQ \
   "NAD_1927_CGQ77_MTM_6_SCoPQ"
#define PE_N_PCS_NAD_1927_CGQ77_MTM_7_SCOPQ \
   "NAD_1927_CGQ77_MTM_7_SCoPQ"
#define PE_N_PCS_NAD_1927_CGQ77_MTM_8_SCOPQ \
   "NAD_1927_CGQ77_MTM_8_SCoPQ"
#define PE_N_PCS_NAD_1927_CGQ77_MTM_9_SCOPQ \
   "NAD_1927_CGQ77_MTM_9_SCoPQ"
#define PE_N_PCS_NAD_1927_CGQ77_QUEBEC_LAMBERT \
   "NAD_1927_CGQ77_Quebec_Lambert"
#define PE_N_PCS_NAD_1927_CGQ77_UTM_17N \
   "NAD_1927_CGQ77_UTM_Zone_17N"
#define PE_N_PCS_NAD_1927_CGQ77_UTM_18N \
   "NAD_1927_CGQ77_UTM_Zone_18N"
#define PE_N_PCS_NAD_1927_CGQ77_UTM_19N \
   "NAD_1927_CGQ77_UTM_Zone_19N"
#define PE_N_PCS_NAD_1927_CGQ77_UTM_20N \
   "NAD_1927_CGQ77_UTM_Zone_20N"
#define PE_N_PCS_NAD_1927_CGQ77_UTM_21N \
   "NAD_1927_CGQ77_UTM_Zone_21N"
#define PE_N_PCS_NAD_1927_CO_C \
   "NAD_1927_StatePlane_Colorado_Central_FIPS_0502"
#define PE_N_PCS_NAD_1927_CO_N \
   "NAD_1927_StatePlane_Colorado_North_FIPS_0501"
#define PE_N_PCS_NAD_1927_CO_S \
   "NAD_1927_StatePlane_Colorado_South_FIPS_0503"
#define PE_N_PCS_NAD_1927_CT \
   "NAD_1927_StatePlane_Connecticut_FIPS_0600"
#define PE_N_PCS_NAD_1927_CUBA_NORTE \
   "NAD_1927_Cuba_Norte"
#define PE_N_PCS_NAD_1927_CUBA_SUR \
   "NAD_1927_Cuba_Sur"
#define PE_N_PCS_NAD_1927_DE \
   "NAD_1927_StatePlane_Delaware_FIPS_0700"
#define PE_N_PCS_NAD_1927_DEF_1976_MTM_10 \
   "NAD_1927_DEF_1976_MTM_10"
#define PE_N_PCS_NAD_1927_DEF_1976_MTM_11 \
   "NAD_1927_DEF_1976_MTM_11"
#define PE_N_PCS_NAD_1927_DEF_1976_MTM_12 \
   "NAD_1927_DEF_1976_MTM_12"
#define PE_N_PCS_NAD_1927_DEF_1976_MTM_13 \
   "NAD_1927_DEF_1976_MTM_13"
#define PE_N_PCS_NAD_1927_DEF_1976_MTM_14 \
   "NAD_1927_DEF_1976_MTM_14"
#define PE_N_PCS_NAD_1927_DEF_1976_MTM_15 \
   "NAD_1927_DEF_1976_MTM_15"
#define PE_N_PCS_NAD_1927_DEF_1976_MTM_16 \
   "NAD_1927_DEF_1976_MTM_16"
#define PE_N_PCS_NAD_1927_DEF_1976_MTM_17 \
   "NAD_1927_DEF_1976_MTM_17"
#define PE_N_PCS_NAD_1927_DEF_1976_MTM_8 \
   "NAD_1927_DEF_1976_MTM_8"
#define PE_N_PCS_NAD_1927_DEF_1976_MTM_9 \
   "NAD_1927_DEF_1976_MTM_9"
#define PE_N_PCS_NAD_1927_DEF_1976_UTM_15N \
   "NAD_1927_DEF_1976_UTM_Zone_15N"
#define PE_N_PCS_NAD_1927_DEF_1976_UTM_16N \
   "NAD_1927_DEF_1976_UTM_Zone_16N"
#define PE_N_PCS_NAD_1927_DEF_1976_UTM_17N \
   "NAD_1927_DEF_1976_UTM_Zone_17N"
#define PE_N_PCS_NAD_1927_DEF_1976_UTM_18N \
   "NAD_1927_DEF_1976_UTM_Zone_18N"
#define PE_N_PCS_NAD_1927_FL_E \
   "NAD_1927_StatePlane_Florida_East_FIPS_0901"
#define PE_N_PCS_NAD_1927_FL_N \
   "NAD_1927_StatePlane_Florida_North_FIPS_0903"
#define PE_N_PCS_NAD_1927_FL_W \
   "NAD_1927_StatePlane_Florida_West_FIPS_0902"
#define PE_N_PCS_NAD_1927_GA_E \
   "NAD_1927_StatePlane_Georgia_East_FIPS_1001"
#define PE_N_PCS_NAD_1927_GA_W \
   "NAD_1927_StatePlane_Georgia_West_FIPS_1002"
#define PE_N_PCS_NAD_1927_GEORGIA_ALBERS \
   "NAD_1927_Georgia_Statewide_Albers"
#define PE_N_PCS_NAD_1927_GU \
   "NAD_1927_StatePlane_Guam_FIPS_5400"
#define PE_N_PCS_NAD_1927_GUATEMALA_NORTE \
   "NAD_1927_Guatemala_Norte"
#define PE_N_PCS_NAD_1927_GUATEMALA_SUR \
   "NAD_1927_Guatemala_Sur"
#define PE_N_PCS_NAD_1927_HI_1 \
   "NAD_1927_StatePlane_Hawaii_1_FIPS_5101"
#define PE_N_PCS_NAD_1927_HI_2 \
   "NAD_1927_StatePlane_Hawaii_2_FIPS_5102"
#define PE_N_PCS_NAD_1927_HI_3 \
   "NAD_1927_StatePlane_Hawaii_3_FIPS_5103"
#define PE_N_PCS_NAD_1927_HI_4 \
   "NAD_1927_StatePlane_Hawaii_4_FIPS_5104"
#define PE_N_PCS_NAD_1927_HI_5 \
   "NAD_1927_StatePlane_Hawaii_5_FIPS_5105"
#define PE_N_PCS_NAD_1927_IA_N \
   "NAD_1927_StatePlane_Iowa_North_FIPS_1401"
#define PE_N_PCS_NAD_1927_IA_S \
   "NAD_1927_StatePlane_Iowa_South_FIPS_1402"
#define PE_N_PCS_NAD_1927_ID_C \
   "NAD_1927_StatePlane_Idaho_Central_FIPS_1102"
#define PE_N_PCS_NAD_1927_ID_E \
   "NAD_1927_StatePlane_Idaho_East_FIPS_1101"
#define PE_N_PCS_NAD_1927_ID_W \
   "NAD_1927_StatePlane_Idaho_West_FIPS_1103"
#define PE_N_PCS_NAD_1927_IL_E \
   "NAD_1927_StatePlane_Illinois_East_FIPS_1201"
#define PE_N_PCS_NAD_1927_IL_W \
   "NAD_1927_StatePlane_Illinois_West_FIPS_1202"
#define PE_N_PCS_NAD_1927_IN_E \
   "NAD_1927_StatePlane_Indiana_East_FIPS_1301"
#define PE_N_PCS_NAD_1927_IN_W \
   "NAD_1927_StatePlane_Indiana_West_FIPS_1302"
#define PE_N_PCS_NAD_1927_KS_N \
   "NAD_1927_StatePlane_Kansas_North_FIPS_1501"
#define PE_N_PCS_NAD_1927_KS_S \
   "NAD_1927_StatePlane_Kansas_South_FIPS_1502"
#define PE_N_PCS_NAD_1927_KY_N \
   "NAD_1927_StatePlane_Kentucky_North_FIPS_1601"
#define PE_N_PCS_NAD_1927_KY_S \
   "NAD_1927_StatePlane_Kentucky_South_FIPS_1602"
#define PE_N_PCS_NAD_1927_LA_N \
   "NAD_1927_StatePlane_Louisiana_North_FIPS_1701"
#define PE_N_PCS_NAD_1927_LA_O \
   "NAD_1927_StatePlane_Louisiana_Offshore_FIPS_1703"
#define PE_N_PCS_NAD_1927_LA_S \
   "NAD_1927_StatePlane_Louisiana_South_FIPS_1702"
#define PE_N_PCS_NAD_1927_MA_I \
   "NAD_1927_StatePlane_Massachusetts_Island_FIPS_2002"
#define PE_N_PCS_NAD_1927_MA_M \
   "NAD_1927_StatePlane_Massachusetts_Mainland_FIPS_2001"
#define PE_N_PCS_NAD_1927_MD \
   "NAD_1927_StatePlane_Maryland_FIPS_1900"
#define PE_N_PCS_NAD_1927_ME_E \
   "NAD_1927_StatePlane_Maine_East_FIPS_1801"
#define PE_N_PCS_NAD_1927_ME_W \
   "NAD_1927_StatePlane_Maine_West_FIPS_1802"
#define PE_N_PCS_NAD_1927_MICHIGAN_GEOREF \
   "NAD_1927_Michigan_GeoRef_Feet_US"
#define PE_N_PCS_NAD_1927_MICHIGAN_GEOREF_M \
   "NAD_1927_Michigan_GeoRef_Meters"
#define PE_N_PCS_NAD_1927_MI_C \
   "NAD_1927_StatePlane_Michigan_Central_FIPS_2112"
#define PE_N_PCS_NAD_1927_MI_N \
   "NAD_1927_StatePlane_Michigan_North_FIPS_2111"
#define PE_N_PCS_NAD_1927_MI_S \
   "NAD_1927_StatePlane_Michigan_South_FIPS_2113"
#define PE_N_PCS_NAD_1927_MN_C \
   "NAD_1927_StatePlane_Minnesota_Central_FIPS_2202"
#define PE_N_PCS_NAD_1927_MN_N \
   "NAD_1927_StatePlane_Minnesota_North_FIPS_2201"
#define PE_N_PCS_NAD_1927_MN_S \
   "NAD_1927_StatePlane_Minnesota_South_FIPS_2203"
#define PE_N_PCS_NAD_1927_MO_C \
   "NAD_1927_StatePlane_Missouri_Central_FIPS_2402"
#define PE_N_PCS_NAD_1927_MO_E \
   "NAD_1927_StatePlane_Missouri_East_FIPS_2401"
#define PE_N_PCS_NAD_1927_MO_W \
   "NAD_1927_StatePlane_Missouri_West_FIPS_2403"
#define PE_N_PCS_NAD_1927_MS_E \
   "NAD_1927_StatePlane_Mississippi_East_FIPS_2301"
#define PE_N_PCS_NAD_1927_MS_W \
   "NAD_1927_StatePlane_Mississippi_West_FIPS_2302"
#define PE_N_PCS_NAD_1927_MTM_1 \
   "NAD_1927_MTM_1"
#define PE_N_PCS_NAD_1927_MTM_2 \
   "NAD_1927_MTM_2"
#define PE_N_PCS_NAD_1927_MTM_3 \
   "NAD_1927_MTM_3"
#define PE_N_PCS_NAD_1927_MTM_4 \
   "NAD_1927_MTM_4"
#define PE_N_PCS_NAD_1927_MTM_5 \
   "NAD_1927_MTM_5"
#define PE_N_PCS_NAD_1927_MTM_6 \
   "NAD_1927_MTM_6"
#define PE_N_PCS_NAD_1927_MTQ_LAMBERT \
   "NAD_1927_MTQ_Lambert"
#define PE_N_PCS_NAD_1927_MT_C \
   "NAD_1927_StatePlane_Montana_Central_FIPS_2502"
#define PE_N_PCS_NAD_1927_MT_N \
   "NAD_1927_StatePlane_Montana_North_FIPS_2501"
#define PE_N_PCS_NAD_1927_MT_S \
   "NAD_1927_StatePlane_Montana_South_FIPS_2503"
#define PE_N_PCS_NAD_1927_NC \
   "NAD_1927_StatePlane_North_Carolina_FIPS_3200"
#define PE_N_PCS_NAD_1927_ND_N \
   "NAD_1927_StatePlane_North_Dakota_North_FIPS_3301"
#define PE_N_PCS_NAD_1927_ND_S \
   "NAD_1927_StatePlane_North_Dakota_South_FIPS_3302"
#define PE_N_PCS_NAD_1927_NE_N \
   "NAD_1927_StatePlane_Nebraska_North_FIPS_2601"
#define PE_N_PCS_NAD_1927_NE_S \
   "NAD_1927_StatePlane_Nebraska_South_FIPS_2602"
#define PE_N_PCS_NAD_1927_NH \
   "NAD_1927_StatePlane_New_Hampshire_FIPS_2800"
#define PE_N_PCS_NAD_1927_NJ \
   "NAD_1927_StatePlane_New_Jersey_FIPS_2900"
#define PE_N_PCS_NAD_1927_NM_C \
   "NAD_1927_StatePlane_New_Mexico_Central_FIPS_3002"
#define PE_N_PCS_NAD_1927_NM_E \
   "NAD_1927_StatePlane_New_Mexico_East_FIPS_3001"
#define PE_N_PCS_NAD_1927_NM_W \
   "NAD_1927_StatePlane_New_Mexico_West_FIPS_3003"
#define PE_N_PCS_NAD_1927_NV_C \
   "NAD_1927_StatePlane_Nevada_Central_FIPS_2702"
#define PE_N_PCS_NAD_1927_NV_E \
   "NAD_1927_StatePlane_Nevada_East_FIPS_2701"
#define PE_N_PCS_NAD_1927_NV_W \
   "NAD_1927_StatePlane_Nevada_West_FIPS_2703"
#define PE_N_PCS_NAD_1927_NY_C \
   "NAD_1927_StatePlane_New_York_Central_FIPS_3102"
#define PE_N_PCS_NAD_1927_NY_E \
   "NAD_1927_StatePlane_New_York_East_FIPS_3101"
#define PE_N_PCS_NAD_1927_NY_LI \
   "NAD_1927_StatePlane_New_York_Long_Island_FIPS_3104"
#define PE_N_PCS_NAD_1927_NY_W \
   "NAD_1927_StatePlane_New_York_West_FIPS_3103"
#define PE_N_PCS_NAD_1927_OH_N \
   "NAD_1927_StatePlane_Ohio_North_FIPS_3401"
#define PE_N_PCS_NAD_1927_OH_S \
   "NAD_1927_StatePlane_Ohio_South_FIPS_3402"
#define PE_N_PCS_NAD_1927_OK_N \
   "NAD_1927_StatePlane_Oklahoma_North_FIPS_3501"
#define PE_N_PCS_NAD_1927_OK_S \
   "NAD_1927_StatePlane_Oklahoma_South_FIPS_3502"
#define PE_N_PCS_NAD_1927_OR_N \
   "NAD_1927_StatePlane_Oregon_North_FIPS_3601"
#define PE_N_PCS_NAD_1927_OR_S \
   "NAD_1927_StatePlane_Oregon_South_FIPS_3602"
#define PE_N_PCS_NAD_1927_PA_N \
   "NAD_1927_StatePlane_Pennsylvania_North_FIPS_3701"
#define PE_N_PCS_NAD_1927_PA_S \
   "NAD_1927_StatePlane_Pennsylvania_South_FIPS_3702"
#define PE_N_PCS_NAD_1927_PR \
   "NAD_1927_StatePlane_Puerto_Rico_FIPS_5201"
#define PE_N_PCS_NAD_1927_QUEBEC_LAMBERT \
   "NAD_1927_Quebec_Lambert"
#define PE_N_PCS_NAD_1927_RI \
   "NAD_1927_StatePlane_Rhode_Island_FIPS_3800"
#define PE_N_PCS_NAD_1927_SC_N \
   "NAD_1927_StatePlane_South_Carolina_North_FIPS_3901"
#define PE_N_PCS_NAD_1927_SC_S \
   "NAD_1927_StatePlane_South_Carolina_South_FIPS_3902"
#define PE_N_PCS_NAD_1927_SD_N \
   "NAD_1927_StatePlane_South_Dakota_North_FIPS_4001"
#define PE_N_PCS_NAD_1927_SD_S \
   "NAD_1927_StatePlane_South_Dakota_South_FIPS_4002"
#define PE_N_PCS_NAD_1927_TEXAS_STATEWIDE \
   "NAD_1927_Texas_Statewide_Mapping_System"
#define PE_N_PCS_NAD_1927_TN \
   "NAD_1927_StatePlane_Tennessee_FIPS_4100"
#define PE_N_PCS_NAD_1927_TX_C \
   "NAD_1927_StatePlane_Texas_Central_FIPS_4203"
#define PE_N_PCS_NAD_1927_TX_N \
   "NAD_1927_StatePlane_Texas_North_FIPS_4201"
#define PE_N_PCS_NAD_1927_TX_NC \
   "NAD_1927_StatePlane_Texas_North_Central_FIPS_4202"
#define PE_N_PCS_NAD_1927_TX_S \
   "NAD_1927_StatePlane_Texas_South_FIPS_4205"
#define PE_N_PCS_NAD_1927_TX_SC \
   "NAD_1927_StatePlane_Texas_South_Central_FIPS_4204"
#define PE_N_PCS_NAD_1927_UTM_10N \
   "NAD_1927_UTM_Zone_10N"
#define PE_N_PCS_NAD_1927_UTM_11N \
   "NAD_1927_UTM_Zone_11N"
#define PE_N_PCS_NAD_1927_UTM_12N \
   "NAD_1927_UTM_Zone_12N"
#define PE_N_PCS_NAD_1927_UTM_13N \
   "NAD_1927_UTM_Zone_13N"
#define PE_N_PCS_NAD_1927_UTM_14N \
   "NAD_1927_UTM_Zone_14N"
#define PE_N_PCS_NAD_1927_UTM_15N \
   "NAD_1927_UTM_Zone_15N"
#define PE_N_PCS_NAD_1927_UTM_16N \
   "NAD_1927_UTM_Zone_16N"
#define PE_N_PCS_NAD_1927_UTM_17N \
   "NAD_1927_UTM_Zone_17N"
#define PE_N_PCS_NAD_1927_UTM_18N \
   "NAD_1927_UTM_Zone_18N"
#define PE_N_PCS_NAD_1927_UTM_19N \
   "NAD_1927_UTM_Zone_19N"
#define PE_N_PCS_NAD_1927_UTM_1N \
   "NAD_1927_UTM_Zone_1N"
#define PE_N_PCS_NAD_1927_UTM_20N \
   "NAD_1927_UTM_Zone_20N"
#define PE_N_PCS_NAD_1927_UTM_21N \
   "NAD_1927_UTM_Zone_21N"
#define PE_N_PCS_NAD_1927_UTM_22N \
   "NAD_1927_UTM_Zone_22N"
#define PE_N_PCS_NAD_1927_UTM_2N \
   "NAD_1927_UTM_Zone_2N"
#define PE_N_PCS_NAD_1927_UTM_3N \
   "NAD_1927_UTM_Zone_3N"
#define PE_N_PCS_NAD_1927_UTM_4N \
   "NAD_1927_UTM_Zone_4N"
#define PE_N_PCS_NAD_1927_UTM_59N \
   "NAD_1927_UTM_Zone_59N"
#define PE_N_PCS_NAD_1927_UTM_5N \
   "NAD_1927_UTM_Zone_5N"
#define PE_N_PCS_NAD_1927_UTM_60N \
   "NAD_1927_UTM_Zone_60N"
#define PE_N_PCS_NAD_1927_UTM_6N \
   "NAD_1927_UTM_Zone_6N"
#define PE_N_PCS_NAD_1927_UTM_7N \
   "NAD_1927_UTM_Zone_7N"
#define PE_N_PCS_NAD_1927_UTM_8N \
   "NAD_1927_UTM_Zone_8N"
#define PE_N_PCS_NAD_1927_UTM_9N \
   "NAD_1927_UTM_Zone_9N"
#define PE_N_PCS_NAD_1927_UT_C \
   "NAD_1927_StatePlane_Utah_Central_FIPS_4302"
#define PE_N_PCS_NAD_1927_UT_N \
   "NAD_1927_StatePlane_Utah_North_FIPS_4301"
#define PE_N_PCS_NAD_1927_UT_S \
   "NAD_1927_StatePlane_Utah_South_FIPS_4303"
#define PE_N_PCS_NAD_1927_VA_N \
   "NAD_1927_StatePlane_Virginia_North_FIPS_4501"
#define PE_N_PCS_NAD_1927_VA_S \
   "NAD_1927_StatePlane_Virginia_South_FIPS_4502"
#define PE_N_PCS_NAD_1927_VI \
   "NAD_1927_StatePlane_Virgin_Islands_St_Croix_FIPS_5202"
#define PE_N_PCS_NAD_1927_VT \
   "NAD_1927_StatePlane_Vermont_FIPS_4400"
#define PE_N_PCS_NAD_1927_WA_N \
   "NAD_1927_StatePlane_Washington_North_FIPS_4601"
#define PE_N_PCS_NAD_1927_WA_S \
   "NAD_1927_StatePlane_Washington_South_FIPS_4602"
#define PE_N_PCS_NAD_1927_WISCONSIN_TM \
   "NAD_1927_Wisconsin_TM"
#define PE_N_PCS_NAD_1927_WI_C \
   "NAD_1927_StatePlane_Wisconsin_Central_FIPS_4802"
#define PE_N_PCS_NAD_1927_WI_N \
   "NAD_1927_StatePlane_Wisconsin_North_FIPS_4801"
#define PE_N_PCS_NAD_1927_WI_S \
   "NAD_1927_StatePlane_Wisconsin_South_FIPS_4803"
#define PE_N_PCS_NAD_1927_WV_N \
   "NAD_1927_StatePlane_West_Virginia_North_FIPS_4701"
#define PE_N_PCS_NAD_1927_WV_S \
   "NAD_1927_StatePlane_West_Virginia_South_FIPS_4702"
#define PE_N_PCS_NAD_1927_WY_E \
   "NAD_1927_StatePlane_Wyoming_East_FIPS_4901"
#define PE_N_PCS_NAD_1927_WY_EC \
   "NAD_1927_StatePlane_Wyoming_East_Central_FIPS_4902"
#define PE_N_PCS_NAD_1927_WY_W \
   "NAD_1927_StatePlane_Wyoming_West_FIPS_4904"
#define PE_N_PCS_NAD_1927_WY_WC \
   "NAD_1927_StatePlane_Wyoming_West_Central_FIPS_4903"
#define PE_N_PCS_NAD_1983_10TM_AEP_FOREST \
   "NAD_1983_10TM_AEP_Forest"
#define PE_N_PCS_NAD_1983_10TM_AEP_RESOURCE \
   "NAD_1983_10TM_AEP_Resource"
#define PE_N_PCS_NAD_1983_3TM_111 \
   "NAD_1983_3TM_111"
#define PE_N_PCS_NAD_1983_3TM_114 \
   "NAD_1983_3TM_114"
#define PE_N_PCS_NAD_1983_3TM_117 \
   "NAD_1983_3TM_117"
#define PE_N_PCS_NAD_1983_3TM_120 \
   "NAD_1983_3TM_120"
#define PE_N_PCS_NAD_1983_AK_1 \
   "NAD_1983_StatePlane_Alaska_1_FIPS_5001"
#define PE_N_PCS_NAD_1983_AK_10 \
   "NAD_1983_StatePlane_Alaska_10_FIPS_5010"
#define PE_N_PCS_NAD_1983_AK_10_FT \
   "NAD_1983_StatePlane_Alaska_10_FIPS_5010_Feet"
#define PE_N_PCS_NAD_1983_AK_1_FT \
   "NAD_1983_StatePlane_Alaska_1_FIPS_5001_Feet"
#define PE_N_PCS_NAD_1983_AK_2 \
   "NAD_1983_StatePlane_Alaska_2_FIPS_5002"
#define PE_N_PCS_NAD_1983_AK_2_FT \
   "NAD_1983_StatePlane_Alaska_2_FIPS_5002_Feet"
#define PE_N_PCS_NAD_1983_AK_3 \
   "NAD_1983_StatePlane_Alaska_3_FIPS_5003"
#define PE_N_PCS_NAD_1983_AK_3_FT \
   "NAD_1983_StatePlane_Alaska_3_FIPS_5003_Feet"
#define PE_N_PCS_NAD_1983_AK_4 \
   "NAD_1983_StatePlane_Alaska_4_FIPS_5004"
#define PE_N_PCS_NAD_1983_AK_4_FT \
   "NAD_1983_StatePlane_Alaska_4_FIPS_5004_Feet"
#define PE_N_PCS_NAD_1983_AK_5 \
   "NAD_1983_StatePlane_Alaska_5_FIPS_5005"
#define PE_N_PCS_NAD_1983_AK_5_FT \
   "NAD_1983_StatePlane_Alaska_5_FIPS_5005_Feet"
#define PE_N_PCS_NAD_1983_AK_6 \
   "NAD_1983_StatePlane_Alaska_6_FIPS_5006"
#define PE_N_PCS_NAD_1983_AK_6_FT \
   "NAD_1983_StatePlane_Alaska_6_FIPS_5006_Feet"
#define PE_N_PCS_NAD_1983_AK_7 \
   "NAD_1983_StatePlane_Alaska_7_FIPS_5007"
#define PE_N_PCS_NAD_1983_AK_7_FT \
   "NAD_1983_StatePlane_Alaska_7_FIPS_5007_Feet"
#define PE_N_PCS_NAD_1983_AK_8 \
   "NAD_1983_StatePlane_Alaska_8_FIPS_5008"
#define PE_N_PCS_NAD_1983_AK_8_FT \
   "NAD_1983_StatePlane_Alaska_8_FIPS_5008_Feet"
#define PE_N_PCS_NAD_1983_AK_9 \
   "NAD_1983_StatePlane_Alaska_9_FIPS_5009"
#define PE_N_PCS_NAD_1983_AK_9_FT \
   "NAD_1983_StatePlane_Alaska_9_FIPS_5009_Feet"
#define PE_N_PCS_NAD_1983_ALASKA_ALBERS \
   "NAD_1983_Alaska_Albers"
#define PE_N_PCS_NAD_1983_AL_E \
   "NAD_1983_StatePlane_Alabama_East_FIPS_0101"
#define PE_N_PCS_NAD_1983_AL_E_FT \
   "NAD_1983_StatePlane_Alabama_East_FIPS_0101_Feet"
#define PE_N_PCS_NAD_1983_AL_W \
   "NAD_1983_StatePlane_Alabama_West_FIPS_0102"
#define PE_N_PCS_NAD_1983_AL_W_FT \
   "NAD_1983_StatePlane_Alabama_West_FIPS_0102_Feet"
#define PE_N_PCS_NAD_1983_AR_N \
   "NAD_1983_StatePlane_Arkansas_North_FIPS_0301"
#define PE_N_PCS_NAD_1983_AR_N_FT \
   "NAD_1983_StatePlane_Arkansas_North_FIPS_0301_Feet"
#define PE_N_PCS_NAD_1983_AR_S \
   "NAD_1983_StatePlane_Arkansas_South_FIPS_0302"
#define PE_N_PCS_NAD_1983_AR_S_FT \
   "NAD_1983_StatePlane_Arkansas_South_FIPS_0302_Feet"
#define PE_N_PCS_NAD_1983_AZ_C \
   "NAD_1983_StatePlane_Arizona_Central_FIPS_0202"
#define PE_N_PCS_NAD_1983_AZ_C_FT \
   "NAD_1983_StatePlane_Arizona_Central_FIPS_0202_Feet"
#define PE_N_PCS_NAD_1983_AZ_C_FT_INTL \
   "NAD_1983_StatePlane_Arizona_Central_FIPS_0202_Feet_Intl"
#define PE_N_PCS_NAD_1983_AZ_E \
   "NAD_1983_StatePlane_Arizona_East_FIPS_0201"
#define PE_N_PCS_NAD_1983_AZ_E_FT \
   "NAD_1983_StatePlane_Arizona_East_FIPS_0201_Feet"
#define PE_N_PCS_NAD_1983_AZ_E_FT_INTL \
   "NAD_1983_StatePlane_Arizona_East_FIPS_0201_Feet_Intl"
#define PE_N_PCS_NAD_1983_AZ_W \
   "NAD_1983_StatePlane_Arizona_West_FIPS_0203"
#define PE_N_PCS_NAD_1983_AZ_W_FT \
   "NAD_1983_StatePlane_Arizona_West_FIPS_0203_Feet"
#define PE_N_PCS_NAD_1983_AZ_W_FT_INTL \
   "NAD_1983_StatePlane_Arizona_West_FIPS_0203_Feet_Intl"
#define PE_N_PCS_NAD_1983_BC_ENVIRONMENT_ALBERS \
   "NAD_1983_BC_Environment_Albers"
#define PE_N_PCS_NAD_1983_BLM_14N_FT_US \
   "NAD_1983_BLM_Zone_14N_ftUS"
#define PE_N_PCS_NAD_1983_BLM_15N_FT_US \
   "NAD_1983_BLM_Zone_15N_ftUS"
#define PE_N_PCS_NAD_1983_BLM_16N_FT_US \
   "NAD_1983_BLM_Zone_16N_ftUS"
#define PE_N_PCS_NAD_1983_BLM_17N_FT_US \
   "NAD_1983_BLM_Zone_17N_ftUS"
#define PE_N_PCS_NAD_1983_CANADA_ALBERS \
   "Canada_Albers_Equal_Area_Conic"
#define PE_N_PCS_NAD_1983_CANADA_ATLAS_LAMBERT \
   "NAD_1983_Canada_Atlas_Lambert"
#define PE_N_PCS_NAD_1983_CANADA_LAMBERT \
   "Canada_Lambert_Conformal_Conic"
#define PE_N_PCS_NAD_1983_CA_I \
   "NAD_1983_StatePlane_California_I_FIPS_0401"
#define PE_N_PCS_NAD_1983_CA_II \
   "NAD_1983_StatePlane_California_II_FIPS_0402"
#define PE_N_PCS_NAD_1983_CA_III \
   "NAD_1983_StatePlane_California_III_FIPS_0403"
#define PE_N_PCS_NAD_1983_CA_III_FT \
   "NAD_1983_StatePlane_California_III_FIPS_0403_Feet"
#define PE_N_PCS_NAD_1983_CA_II_FT \
   "NAD_1983_StatePlane_California_II_FIPS_0402_Feet"
#define PE_N_PCS_NAD_1983_CA_IV \
   "NAD_1983_StatePlane_California_IV_FIPS_0404"
#define PE_N_PCS_NAD_1983_CA_IV_FT \
   "NAD_1983_StatePlane_California_IV_FIPS_0404_Feet"
#define PE_N_PCS_NAD_1983_CA_I_FT \
   "NAD_1983_StatePlane_California_I_FIPS_0401_Feet"
#define PE_N_PCS_NAD_1983_CA_TEALE_ALBERS \
   "NAD_1983_California_Teale_Albers"
#define PE_N_PCS_NAD_1983_CA_V \
   "NAD_1983_StatePlane_California_V_FIPS_0405"
#define PE_N_PCS_NAD_1983_CA_VI \
   "NAD_1983_StatePlane_California_VI_FIPS_0406"
#define PE_N_PCS_NAD_1983_CA_VI_FT \
   "NAD_1983_StatePlane_California_VI_FIPS_0406_Feet"
#define PE_N_PCS_NAD_1983_CA_V_FT \
   "NAD_1983_StatePlane_California_V_FIPS_0405_Feet"
#define PE_N_PCS_NAD_1983_CORS96_AK_1 \
   "NAD_1983_CORS96_StatePlane_Alaska_1_FIPS_5001"
#define PE_N_PCS_NAD_1983_CORS96_AK_10 \
   "NAD_1983_CORS96_StatePlane_Alaska_10_FIPS_5010"
#define PE_N_PCS_NAD_1983_CORS96_AK_2 \
   "NAD_1983_CORS96_StatePlane_Alaska_2_FIPS_5002"
#define PE_N_PCS_NAD_1983_CORS96_AK_3 \
   "NAD_1983_CORS96_StatePlane_Alaska_3_FIPS_5003"
#define PE_N_PCS_NAD_1983_CORS96_AK_4 \
   "NAD_1983_CORS96_StatePlane_Alaska_4_FIPS_5004"
#define PE_N_PCS_NAD_1983_CORS96_AK_5 \
   "NAD_1983_CORS96_StatePlane_Alaska_5_FIPS_5005"
#define PE_N_PCS_NAD_1983_CORS96_AK_6 \
   "NAD_1983_CORS96_StatePlane_Alaska_6_FIPS_5006"
#define PE_N_PCS_NAD_1983_CORS96_AK_7 \
   "NAD_1983_CORS96_StatePlane_Alaska_7_FIPS_5007"
#define PE_N_PCS_NAD_1983_CORS96_AK_8 \
   "NAD_1983_CORS96_StatePlane_Alaska_8_FIPS_5008"
#define PE_N_PCS_NAD_1983_CORS96_AK_9 \
   "NAD_1983_CORS96_StatePlane_Alaska_9_FIPS_5009"
#define PE_N_PCS_NAD_1983_CORS96_ALASKA_ALBERS \
   "NAD_1983_CORS96_Alaska_Albers"
#define PE_N_PCS_NAD_1983_CORS96_AL_E \
   "NAD_1983_CORS96_StatePlane_Alabama_East_FIPS_0101"
#define PE_N_PCS_NAD_1983_CORS96_AL_W \
   "NAD_1983_CORS96_StatePlane_Alabama_West_FIPS_0102"
#define PE_N_PCS_NAD_1983_CORS96_AR_N \
   "NAD_1983_CORS96_StatePlane_Arkansas_North_FIPS_0301"
#define PE_N_PCS_NAD_1983_CORS96_AR_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Arkansas_North_FIPS_0301_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_AR_S \
   "NAD_1983_CORS96_StatePlane_Arkansas_South_FIPS_0302"
#define PE_N_PCS_NAD_1983_CORS96_AR_S_FT_US \
   "NAD_1983_CORS96_StatePlane_Arkansas_South_FIPS_0302_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_AZ_C \
   "NAD_1983_CORS96_StatePlane_Arizona_Central_FIPS_0202"
#define PE_N_PCS_NAD_1983_CORS96_AZ_C_FT_INTL \
   "NAD_1983_CORS96_StatePlane_Arizona_Central_FIPS_0202_Ft_Intl"
#define PE_N_PCS_NAD_1983_CORS96_AZ_E \
   "NAD_1983_CORS96_StatePlane_Arizona_East_FIPS_0201"
#define PE_N_PCS_NAD_1983_CORS96_AZ_E_FT_INTL \
   "NAD_1983_CORS96_StatePlane_Arizona_East_FIPS_0201_Ft_Intl"
#define PE_N_PCS_NAD_1983_CORS96_AZ_W \
   "NAD_1983_CORS96_StatePlane_Arizona_West_FIPS_0203"
#define PE_N_PCS_NAD_1983_CORS96_AZ_W_FT_INTL \
   "NAD_1983_CORS96_StatePlane_Arizona_West_FIPS_0203_Ft_Intl"
#define PE_N_PCS_NAD_1983_CORS96_CA_I \
   "NAD_1983_CORS96_StatePlane_California_I_FIPS_0401"
#define PE_N_PCS_NAD_1983_CORS96_CA_II \
   "NAD_1983_CORS96_StatePlane_California_II_FIPS_0402"
#define PE_N_PCS_NAD_1983_CORS96_CA_III \
   "NAD_1983_CORS96_StatePlane_California_III_FIPS_0403"
#define PE_N_PCS_NAD_1983_CORS96_CA_III_FT_US \
   "NAD_1983_CORS96_StatePlane_California_III_FIPS_0403_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_CA_II_FT_US \
   "NAD_1983_CORS96_StatePlane_California_II_FIPS_0402_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_CA_IV \
   "NAD_1983_CORS96_StatePlane_California_IV_FIPS_0404"
#define PE_N_PCS_NAD_1983_CORS96_CA_IV_FT_US \
   "NAD_1983_CORS96_StatePlane_California_IV_FIPS_0404_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_CA_I_FT_US \
   "NAD_1983_CORS96_StatePlane_California_I_FIPS_0401_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_CA_V \
   "NAD_1983_CORS96_StatePlane_California_V_FIPS_0405"
#define PE_N_PCS_NAD_1983_CORS96_CA_VI \
   "NAD_1983_CORS96_StatePlane_California_VI_FIPS_0406"
#define PE_N_PCS_NAD_1983_CORS96_CA_VI_FT_US \
   "NAD_1983_CORS96_StatePlane_California_VI_FIPS_0406_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_CA_V_FT_US \
   "NAD_1983_CORS96_StatePlane_California_V_FIPS_0405_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_CO_C \
   "NAD_1983_CORS96_StatePlane_Colorado_Central_FIPS_0502"
#define PE_N_PCS_NAD_1983_CORS96_CO_C_FT_US \
   "NAD_1983_CORS96_StatePlane_Colorado_Central_FIPS_0502_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_CO_N \
   "NAD_1983_CORS96_StatePlane_Colorado_North_FIPS_0501"
#define PE_N_PCS_NAD_1983_CORS96_CO_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Colorado_North_FIPS_0501_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_CO_S \
   "NAD_1983_CORS96_StatePlane_Colorado_South_FIPS_0503"
#define PE_N_PCS_NAD_1983_CORS96_CO_S_FT_US \
   "NAD_1983_CORS96_StatePlane_Colorado_South_FIPS_0503_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_CT \
   "NAD_1983_CORS96_StatePlane_Connecticut_FIPS_0600"
#define PE_N_PCS_NAD_1983_CORS96_CT_FT_US \
   "NAD_1983_CORS96_StatePlane_Connecticut_FIPS_0600_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_DE \
   "NAD_1983_CORS96_StatePlane_Delaware_FIPS_0700"
#define PE_N_PCS_NAD_1983_CORS96_DE_FT_US \
   "NAD_1983_CORS96_StatePlane_Delaware_FIPS_0700_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_FL_E \
   "NAD_1983_CORS96_StatePlane_Florida_East_FIPS_0901"
#define PE_N_PCS_NAD_1983_CORS96_FL_E_FT_US \
   "NAD_1983_CORS96_StatePlane_Florida_East_FIPS_0901_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_FL_N \
   "NAD_1983_CORS96_StatePlane_Florida_North_FIPS_0903"
#define PE_N_PCS_NAD_1983_CORS96_FL_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Florida_North_FIPS_0903_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_FL_W \
   "NAD_1983_CORS96_StatePlane_Florida_West_FIPS_0902"
#define PE_N_PCS_NAD_1983_CORS96_FL_W_FT_US \
   "NAD_1983_CORS96_StatePlane_Florida_West_FIPS_0902_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_GA_E \
   "NAD_1983_CORS96_StatePlane_Georgia_East_FIPS_1001"
#define PE_N_PCS_NAD_1983_CORS96_GA_E_FT_US \
   "NAD_1983_CORS96_StatePlane_Georgia_East_FIPS_1001_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_GA_W \
   "NAD_1983_CORS96_StatePlane_Georgia_West_FIPS_1002"
#define PE_N_PCS_NAD_1983_CORS96_GA_W_FT_US \
   "NAD_1983_CORS96_StatePlane_Georgia_West_FIPS_1002_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_IA_N \
   "NAD_1983_CORS96_StatePlane_Iowa_North_FIPS_1401"
#define PE_N_PCS_NAD_1983_CORS96_IA_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Iowa_North_FIPS_1401_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_IA_S \
   "NAD_1983_CORS96_StatePlane_Iowa_South_FIPS_1402"
#define PE_N_PCS_NAD_1983_CORS96_IA_S_FT_US \
   "NAD_1983_CORS96_StatePlane_Iowa_South_FIPS_1402_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_ID_C \
   "NAD_1983_CORS96_StatePlane_Idaho_Central_FIPS_1102"
#define PE_N_PCS_NAD_1983_CORS96_ID_C_FT_US \
   "NAD_1983_CORS96_StatePlane_Idaho_Central_FIPS_1102_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_ID_E \
   "NAD_1983_CORS96_StatePlane_Idaho_East_FIPS_1101"
#define PE_N_PCS_NAD_1983_CORS96_ID_E_FT_US \
   "NAD_1983_CORS96_StatePlane_Idaho_East_FIPS_1101_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_ID_W \
   "NAD_1983_CORS96_StatePlane_Idaho_West_FIPS_1103"
#define PE_N_PCS_NAD_1983_CORS96_ID_W_FT_US \
   "NAD_1983_CORS96_StatePlane_Idaho_West_FIPS_1103_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_IL_E \
   "NAD_1983_CORS96_StatePlane_Illinois_East_FIPS_1201"
#define PE_N_PCS_NAD_1983_CORS96_IL_E_FT_US \
   "NAD_1983_CORS96_StatePlane_Illinois_East_FIPS_1201_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_IL_W \
   "NAD_1983_CORS96_StatePlane_Illinois_West_FIPS_1202"
#define PE_N_PCS_NAD_1983_CORS96_IL_W_FT_US \
   "NAD_1983_CORS96_StatePlane_Illinois_West_FIPS_1202_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_IN_E \
   "NAD_1983_CORS96_StatePlane_Indiana_East_FIPS_1301"
#define PE_N_PCS_NAD_1983_CORS96_IN_E_FT_US \
   "NAD_1983_CORS96_StatePlane_Indiana_East_FIPS_1301_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_IN_W \
   "NAD_1983_CORS96_StatePlane_Indiana_West_FIPS_1302"
#define PE_N_PCS_NAD_1983_CORS96_IN_W_FT_US \
   "NAD_1983_CORS96_StatePlane_Indiana_West_FIPS_1302_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_KS_N \
   "NAD_1983_CORS96_StatePlane_Kansas_North_FIPS_1501"
#define PE_N_PCS_NAD_1983_CORS96_KS_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Kansas_North_FIPS_1501_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_KS_S \
   "NAD_1983_CORS96_StatePlane_Kansas_South_FIPS_1502"
#define PE_N_PCS_NAD_1983_CORS96_KS_S_FT_US \
   "NAD_1983_CORS96_StatePlane_Kansas_South_FIPS_1502_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_KY \
   "NAD_1983_CORS96_StatePlane_Kentucky_FIPS_1600"
#define PE_N_PCS_NAD_1983_CORS96_KY_FT_US \
   "NAD_1983_CORS96_StatePlane_Kentucky_FIPS_1600_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_KY_N \
   "NAD_1983_CORS96_StatePlane_Kentucky_North_FIPS_1601"
#define PE_N_PCS_NAD_1983_CORS96_KY_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Kentucky_North_FIPS_1601_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_KY_S \
   "NAD_1983_CORS96_StatePlane_Kentucky_South_FIPS_1602"
#define PE_N_PCS_NAD_1983_CORS96_KY_S_FT_US \
   "NAD_1983_CORS96_StatePlane_Kentucky_South_FIPS_1602_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_LA_N \
   "NAD_1983_CORS96_StatePlane_Louisiana_North_FIPS_1701"
#define PE_N_PCS_NAD_1983_CORS96_LA_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Louisiana_North_FIPS_1701_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_LA_S \
   "NAD_1983_CORS96_StatePlane_Louisiana_South_FIPS_1702"
#define PE_N_PCS_NAD_1983_CORS96_LA_S_FT_US \
   "NAD_1983_CORS96_StatePlane_Louisiana_South_FIPS_1702_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_MAINE_2000_CENTRAL \
   "NAD_1983_CORS96_Maine_2000_Central_Zone"
#define PE_N_PCS_NAD_1983_CORS96_MAINE_2000_EAST \
   "NAD_1983_CORS96_Maine_2000_East_Zone"
#define PE_N_PCS_NAD_1983_CORS96_MAINE_2000_WEST \
   "NAD_1983_CORS96_Maine_2000_West_Zone"
#define PE_N_PCS_NAD_1983_CORS96_MA_I \
   "NAD_1983_CORS96_StatePlane_Massachusetts_Island_FIPS_2002"
#define PE_N_PCS_NAD_1983_CORS96_MA_I_FT_US \
   "NAD_1983_CORS96_StatePlane_Massachusetts_Isl_FIPS_2002_FtUS"
#define PE_N_PCS_NAD_1983_CORS96_MA_M \
   "NAD_1983_CORS96_StatePlane_Massachusetts_Mainland_FIPS_2001"
#define PE_N_PCS_NAD_1983_CORS96_MA_M_FT_US \
   "NAD_1983_CORS96_StatePlane_Massachusetts_Mnld_FIPS_2001_FtUS"
#define PE_N_PCS_NAD_1983_CORS96_MD \
   "NAD_1983_CORS96_StatePlane_Maryland_FIPS_1900"
#define PE_N_PCS_NAD_1983_CORS96_MD_FT_US \
   "NAD_1983_CORS96_StatePlane_Maryland_FIPS_1900_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_ME_E \
   "NAD_1983_CORS96_StatePlane_Maine_East_FIPS_1801"
#define PE_N_PCS_NAD_1983_CORS96_ME_E_FT_US \
   "NAD_1983_CORS96_StatePlane_Maine_East_FIPS_1801_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_ME_W \
   "NAD_1983_CORS96_StatePlane_Maine_West_FIPS_1802"
#define PE_N_PCS_NAD_1983_CORS96_ME_W_FT_US \
   "NAD_1983_CORS96_StatePlane_Maine_West_FIPS_1802_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_MI_C \
   "NAD_1983_CORS96_StatePlane_Michigan_Central_FIPS_2112"
#define PE_N_PCS_NAD_1983_CORS96_MI_C_FT_INTL \
   "NAD_1983_CORS96_StatePlane_Michigan_Central_FIPS_2112_Ft_Intl"
#define PE_N_PCS_NAD_1983_CORS96_MI_N \
   "NAD_1983_CORS96_StatePlane_Michigan_North_FIPS_2111"
#define PE_N_PCS_NAD_1983_CORS96_MI_N_FT_INTL \
   "NAD_1983_CORS96_StatePlane_Michigan_North_FIPS_2111_Ft_Intl"
#define PE_N_PCS_NAD_1983_CORS96_MI_S \
   "NAD_1983_CORS96_StatePlane_Michigan_South_FIPS_2113"
#define PE_N_PCS_NAD_1983_CORS96_MI_S_FT_INTL \
   "NAD_1983_CORS96_StatePlane_Michigan_South_FIPS_2113_Ft_Intl"
#define PE_N_PCS_NAD_1983_CORS96_MN_C \
   "NAD_1983_CORS96_StatePlane_Minnesota_Central_FIPS_2202"
#define PE_N_PCS_NAD_1983_CORS96_MN_C_FT_US \
   "NAD_1983_CORS96_StatePlane_Minnesota_Central_FIPS_2202_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_MN_N \
   "NAD_1983_CORS96_StatePlane_Minnesota_North_FIPS_2201"
#define PE_N_PCS_NAD_1983_CORS96_MN_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Minnesota_North_FIPS_2201_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_MN_S \
   "NAD_1983_CORS96_StatePlane_Minnesota_South_FIPS_2203"
#define PE_N_PCS_NAD_1983_CORS96_MN_S_FT_US \
   "NAD_1983_CORS96_StatePlane_Minnesota_South_FIPS_2203_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_MO_C \
   "NAD_1983_CORS96_StatePlane_Missouri_Central_FIPS_2402"
#define PE_N_PCS_NAD_1983_CORS96_MO_E \
   "NAD_1983_CORS96_StatePlane_Missouri_East_FIPS_2401"
#define PE_N_PCS_NAD_1983_CORS96_MO_W \
   "NAD_1983_CORS96_StatePlane_Missouri_West_FIPS_2403"
#define PE_N_PCS_NAD_1983_CORS96_MS_E \
   "NAD_1983_CORS96_StatePlane_Mississippi_East_FIPS_2301"
#define PE_N_PCS_NAD_1983_CORS96_MS_E_FT_US \
   "NAD_1983_CORS96_StatePlane_Mississippi_East_FIPS_2301_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_MS_W \
   "NAD_1983_CORS96_StatePlane_Mississippi_West_FIPS_2302"
#define PE_N_PCS_NAD_1983_CORS96_MS_W_FT_US \
   "NAD_1983_CORS96_StatePlane_Mississippi_West_FIPS_2302_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_MT \
   "NAD_1983_CORS96_StatePlane_Montana_FIPS_2500"
#define PE_N_PCS_NAD_1983_CORS96_MT_FT_INTL \
   "NAD_1983_CORS96_StatePlane_Montana_FIPS_2500_Ft_Intl"
#define PE_N_PCS_NAD_1983_CORS96_NC \
   "NAD_1983_CORS96_StatePlane_North_Carolina_FIPS_3200"
#define PE_N_PCS_NAD_1983_CORS96_NC_FT_US \
   "NAD_1983_CORS96_StatePlane_North_Carolina_FIPS_3200_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_ND_N \
   "NAD_1983_CORS96_StatePlane_North_Dakota_North_FIPS_3301"
#define PE_N_PCS_NAD_1983_CORS96_ND_N_FT_INTL \
   "NAD_1983_CORS96_StatePlane_North_Dakota_North_FIPS_3301_FtI"
#define PE_N_PCS_NAD_1983_CORS96_ND_S \
   "NAD_1983_CORS96_StatePlane_North_Dakota_South_FIPS_3302"
#define PE_N_PCS_NAD_1983_CORS96_ND_S_FT_INTL \
   "NAD_1983_CORS96_StatePlane_North_Dakota_South_FIPS_3302_FtI"
#define PE_N_PCS_NAD_1983_CORS96_NE \
   "NAD_1983_CORS96_StatePlane_Nebraska_FIPS_2600"
#define PE_N_PCS_NAD_1983_CORS96_NE_FT_US \
   "NAD_1983_CORS96_StatePlane_Nebraska_FIPS_2600_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_NH \
   "NAD_1983_CORS96_StatePlane_New_Hampshire_FIPS_2800"
#define PE_N_PCS_NAD_1983_CORS96_NH_FT_US \
   "NAD_1983_CORS96_StatePlane_New_Hampshire_FIPS_2800_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_NJ \
   "NAD_1983_CORS96_StatePlane_New_Jersey_FIPS_2900"
#define PE_N_PCS_NAD_1983_CORS96_NJ_FT_US \
   "NAD_1983_CORS96_StatePlane_New_Jersey_FIPS_2900_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_NM_C \
   "NAD_1983_CORS96_StatePlane_New_Mexico_Central_FIPS_3002"
#define PE_N_PCS_NAD_1983_CORS96_NM_C_FT_US \
   "NAD_1983_CORS96_StatePlane_New_Mexico_Central_FIPS_3002_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_NM_E \
   "NAD_1983_CORS96_StatePlane_New_Mexico_East_FIPS_3001"
#define PE_N_PCS_NAD_1983_CORS96_NM_E_FT_US \
   "NAD_1983_CORS96_StatePlane_New_Mexico_East_FIPS_3001_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_NM_W \
   "NAD_1983_CORS96_StatePlane_New_Mexico_West_FIPS_3003"
#define PE_N_PCS_NAD_1983_CORS96_NM_W_FT_US \
   "NAD_1983_CORS96_StatePlane_New_Mexico_West_FIPS_3003_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_NV_C \
   "NAD_1983_CORS96_StatePlane_Nevada_Central_FIPS_2702"
#define PE_N_PCS_NAD_1983_CORS96_NV_C_FT_US \
   "NAD_1983_CORS96_StatePlane_Nevada_Central_FIPS_2702_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_NV_E \
   "NAD_1983_CORS96_StatePlane_Nevada_East_FIPS_2701"
#define PE_N_PCS_NAD_1983_CORS96_NV_E_FT_US \
   "NAD_1983_CORS96_StatePlane_Nevada_East_FIPS_2701_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_NV_W \
   "NAD_1983_CORS96_StatePlane_Nevada_West_FIPS_2703"
#define PE_N_PCS_NAD_1983_CORS96_NV_W_FT_US \
   "NAD_1983_CORS96_StatePlane_Nevada_West_FIPS_2703_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_NY_C \
   "NAD_1983_CORS96_StatePlane_New_York_Central_FIPS_3102"
#define PE_N_PCS_NAD_1983_CORS96_NY_C_FT_US \
   "NAD_1983_CORS96_StatePlane_New_York_Central_FIPS_3102_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_NY_E \
   "NAD_1983_CORS96_StatePlane_New_York_East_FIPS_3101"
#define PE_N_PCS_NAD_1983_CORS96_NY_E_FT_US \
   "NAD_1983_CORS96_StatePlane_New_York_East_FIPS_3101_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_NY_LI \
   "NAD_1983_CORS96_StatePlane_New_York_Long_Island_FIPS_3104"
#define PE_N_PCS_NAD_1983_CORS96_NY_LI_FT_US \
   "NAD_1983_CORS96_StatePlane_New_York_Long_Isl_FIPS_3104_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_NY_W \
   "NAD_1983_CORS96_StatePlane_New_York_West_FIPS_3103"
#define PE_N_PCS_NAD_1983_CORS96_NY_W_FT_US \
   "NAD_1983_CORS96_StatePlane_New_York_West_FIPS_3103_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_OH_N \
   "NAD_1983_CORS96_StatePlane_Ohio_North_FIPS_3401"
#define PE_N_PCS_NAD_1983_CORS96_OH_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Ohio_North_FIPS_3401_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_OH_S \
   "NAD_1983_CORS96_StatePlane_Ohio_South_FIPS_3402"
#define PE_N_PCS_NAD_1983_CORS96_OH_S_FT_US \
   "NAD_1983_CORS96_StatePlane_Ohio_South_FIPS_3402_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_OK_N \
   "NAD_1983_CORS96_StatePlane_Oklahoma_North_FIPS_3501"
#define PE_N_PCS_NAD_1983_CORS96_OK_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Oklahoma_North_FIPS_3501_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_OK_S \
   "NAD_1983_CORS96_StatePlane_Oklahoma_South_FIPS_3502"
#define PE_N_PCS_NAD_1983_CORS96_OK_S_FT_US \
   "NAD_1983_CORS96_StatePlane_Oklahoma_South_FIPS_3502_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_OREGON_LAMBERT \
   "NAD_1983_CORS96_Oregon_Statewide_Lambert"
#define PE_N_PCS_NAD_1983_CORS96_OREGON_LAMBERT_FT_INTL \
   "NAD_1983_CORS96_Oregon_Statewide_Lambert_Ft_Intl"
#define PE_N_PCS_NAD_1983_CORS96_OR_N \
   "NAD_1983_CORS96_StatePlane_Oregon_North_FIPS_3601"
#define PE_N_PCS_NAD_1983_CORS96_OR_N_FT_INTL \
   "NAD_1983_CORS96_StatePlane_Oregon_North_FIPS_3601_Ft_Intl"
#define PE_N_PCS_NAD_1983_CORS96_OR_S \
   "NAD_1983_CORS96_StatePlane_Oregon_South_FIPS_3602"
#define PE_N_PCS_NAD_1983_CORS96_OR_S_FT_INTL \
   "NAD_1983_CORS96_StatePlane_Oregon_South_FIPS_3602_Ft_Intl"
#define PE_N_PCS_NAD_1983_CORS96_PA_N \
   "NAD_1983_CORS96_StatePlane_Pennsylvania_North_FIPS_3701"
#define PE_N_PCS_NAD_1983_CORS96_PA_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Pennsylvania_North_FIPS_3701_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_PA_S \
   "NAD_1983_CORS96_StatePlane_Pennsylvania_South_FIPS_3702"
#define PE_N_PCS_NAD_1983_CORS96_PA_S_FT_US \
   "NAD_1983_CORS96_StatePlane_Pennsylvania_South_FIPS_3702_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_RI \
   "NAD_1983_CORS96_StatePlane_Rhode_Island_FIPS_3800"
#define PE_N_PCS_NAD_1983_CORS96_RI_FT_US \
   "NAD_1983_CORS96_StatePlane_Rhode_Island_FIPS_3800_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_SC \
   "NAD_1983_CORS96_StatePlane_South_Carolina_FIPS_3900"
#define PE_N_PCS_NAD_1983_CORS96_SC_FT_INTL \
   "NAD_1983_CORS96_StatePlane_South_Carolina_FIPS_3900_Ft_Intl"
#define PE_N_PCS_NAD_1983_CORS96_SD_N \
   "NAD_1983_CORS96_StatePlane_South_Dakota_North_FIPS_4001"
#define PE_N_PCS_NAD_1983_CORS96_SD_N_FT_US \
   "NAD_1983_CORS96_StatePlane_South_Dakota_North_FIPS_4001_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_SD_S \
   "NAD_1983_CORS96_StatePlane_South_Dakota_South_FIPS_4002"
#define PE_N_PCS_NAD_1983_CORS96_SD_S_FT_US \
   "NAD_1983_CORS96_StatePlane_South_Dakota_South_FIPS_4002_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_TN \
   "NAD_1983_CORS96_StatePlane_Tennessee_FIPS_4100"
#define PE_N_PCS_NAD_1983_CORS96_TN_FT_US \
   "NAD_1983_CORS96_StatePlane_Tennessee_FIPS_4100_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_TX_C \
   "NAD_1983_CORS96_StatePlane_Texas_Central_FIPS_4203"
#define PE_N_PCS_NAD_1983_CORS96_TX_C_FT_US \
   "NAD_1983_CORS96_StatePlane_Texas_Central_FIPS_4203_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_TX_N \
   "NAD_1983_CORS96_StatePlane_Texas_North_FIPS_4201"
#define PE_N_PCS_NAD_1983_CORS96_TX_NC \
   "NAD_1983_CORS96_StatePlane_Texas_North_Central_FIPS_4202"
#define PE_N_PCS_NAD_1983_CORS96_TX_NC_FT_US \
   "NAD_1983_CORS96_StatePlane_Texas_North_Central_FIPS_4202_FtUS"
#define PE_N_PCS_NAD_1983_CORS96_TX_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Texas_North_FIPS_4201_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_TX_S \
   "NAD_1983_CORS96_StatePlane_Texas_South_FIPS_4205"
#define PE_N_PCS_NAD_1983_CORS96_TX_SC \
   "NAD_1983_CORS96_StatePlane_Texas_South_Central_FIPS_4204"
#define PE_N_PCS_NAD_1983_CORS96_TX_SC_FT_US \
   "NAD_1983_CORS96_StatePlane_Texas_South_Central_FIPS_4204_FtUS"
#define PE_N_PCS_NAD_1983_CORS96_TX_S_FT_US \
   "NAD_1983_CORS96_StatePlane_Texas_South_FIPS_4205_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_UTM_10N \
   "NAD_1983_CORS96_UTM_Zone_10N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_11N \
   "NAD_1983_CORS96_UTM_Zone_11N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_12N \
   "NAD_1983_CORS96_UTM_Zone_12N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_13N \
   "NAD_1983_CORS96_UTM_Zone_13N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_14N \
   "NAD_1983_CORS96_UTM_Zone_14N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_15N \
   "NAD_1983_CORS96_UTM_Zone_15N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_16N \
   "NAD_1983_CORS96_UTM_Zone_16N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_17N \
   "NAD_1983_CORS96_UTM_Zone_17N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_18N \
   "NAD_1983_CORS96_UTM_Zone_18N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_19N \
   "NAD_1983_CORS96_UTM_Zone_19N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_1N \
   "NAD_1983_CORS96_UTM_Zone_1N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_2N \
   "NAD_1983_CORS96_UTM_Zone_2N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_3N \
   "NAD_1983_CORS96_UTM_Zone_3N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_4N \
   "NAD_1983_CORS96_UTM_Zone_4N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_59N \
   "NAD_1983_CORS96_UTM_Zone_59N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_5N \
   "NAD_1983_CORS96_UTM_Zone_5N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_60N \
   "NAD_1983_CORS96_UTM_Zone_60N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_6N \
   "NAD_1983_CORS96_UTM_Zone_6N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_7N \
   "NAD_1983_CORS96_UTM_Zone_7N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_8N \
   "NAD_1983_CORS96_UTM_Zone_8N"
#define PE_N_PCS_NAD_1983_CORS96_UTM_9N \
   "NAD_1983_CORS96_UTM_Zone_9N"
#define PE_N_PCS_NAD_1983_CORS96_UT_C \
   "NAD_1983_CORS96_StatePlane_Utah_Central_FIPS_4302"
#define PE_N_PCS_NAD_1983_CORS96_UT_C_FT_INTL \
   "NAD_1983_CORS96_StatePlane_Utah_Central_FIPS_4302_Ft_Intl"
#define PE_N_PCS_NAD_1983_CORS96_UT_C_FT_US \
   "NAD_1983_CORS96_StatePlane_Utah_Central_FIPS_4302_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_UT_N \
   "NAD_1983_CORS96_StatePlane_Utah_North_FIPS_4301"
#define PE_N_PCS_NAD_1983_CORS96_UT_N_FT_INTL \
   "NAD_1983_CORS96_StatePlane_Utah_North_FIPS_4301_Ft_Intl"
#define PE_N_PCS_NAD_1983_CORS96_UT_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Utah_North_FIPS_4301_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_UT_S \
   "NAD_1983_CORS96_StatePlane_Utah_South_FIPS_4303"
#define PE_N_PCS_NAD_1983_CORS96_UT_S_FT_INTL \
   "NAD_1983_CORS96_StatePlane_Utah_South_FIPS_4303_Ft_Intl"
#define PE_N_PCS_NAD_1983_CORS96_UT_S_FT_US \
   "NAD_1983_CORS96_StatePlane_Utah_South_FIPS_4303_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_VA_N \
   "NAD_1983_CORS96_StatePlane_Virginia_North_FIPS_4501"
#define PE_N_PCS_NAD_1983_CORS96_VA_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Virginia_North_FIPS_4501_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_VA_S \
   "NAD_1983_CORS96_StatePlane_Virginia_South_FIPS_4502"
#define PE_N_PCS_NAD_1983_CORS96_VA_S_FT_US \
   "NAD_1983_CORS96_StatePlane_Virginia_South_FIPS_4502_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_VT \
   "NAD_1983_CORS96_StatePlane_Vermont_FIPS_4400"
#define PE_N_PCS_NAD_1983_CORS96_WA_N \
   "NAD_1983_CORS96_StatePlane_Washington_North_FIPS_4601"
#define PE_N_PCS_NAD_1983_CORS96_WA_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Washington_North_FIPS_4601_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_WA_S \
   "NAD_1983_CORS96_StatePlane_Washington_South_FIPS_4602"
#define PE_N_PCS_NAD_1983_CORS96_WA_S_FT_US \
   "NAD_1983_CORS96_StatePlane_Washington_South_FIPS_4602_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_WI_C \
   "NAD_1983_CORS96_StatePlane_Wisconsin_Central_FIPS_4802"
#define PE_N_PCS_NAD_1983_CORS96_WI_C_FT_US \
   "NAD_1983_CORS96_StatePlane_Wisconsin_Central_FIPS_4802_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_WI_N \
   "NAD_1983_CORS96_StatePlane_Wisconsin_North_FIPS_4801"
#define PE_N_PCS_NAD_1983_CORS96_WI_N_FT_US \
   "NAD_1983_CORS96_StatePlane_Wisconsin_North_FIPS_4801_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_WI_S \
   "NAD_1983_CORS96_StatePlane_Wisconsin_South_FIPS_4803"
#define PE_N_PCS_NAD_1983_CORS96_WI_S_FT_US \
   "NAD_1983_CORS96_StatePlane_Wisconsin_South_FIPS_4803_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_WV_N \
   "NAD_1983_CORS96_StatePlane_West_Virginia_North_FIPS_4701"
#define PE_N_PCS_NAD_1983_CORS96_WV_N_FT_US \
   "NAD_1983_CORS96_StatePlane_West_Virginia_North_FIPS_4701_FtUS"
#define PE_N_PCS_NAD_1983_CORS96_WV_S \
   "NAD_1983_CORS96_StatePlane_West_Virginia_South_FIPS_4702"
#define PE_N_PCS_NAD_1983_CORS96_WV_S_FT_US \
   "NAD_1983_CORS96_StatePlane_West_Virginia_South_FIPS_4702_FtUS"
#define PE_N_PCS_NAD_1983_CORS96_WY_E \
   "NAD_1983_CORS96_StatePlane_Wyoming_East_FIPS_4901"
#define PE_N_PCS_NAD_1983_CORS96_WY_EC \
   "NAD_1983_CORS96_StatePlane_Wyoming_East_Central_FIPS_4902"
#define PE_N_PCS_NAD_1983_CORS96_WY_EC_FT_US \
   "NAD_1983_CORS96_StatePlane_Wyoming_E_Central_FIPS_4902_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_WY_E_FT_US \
   "NAD_1983_CORS96_StatePlane_Wyoming_East_FIPS_4901_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_WY_W \
   "NAD_1983_CORS96_StatePlane_Wyoming_West_FIPS_4904"
#define PE_N_PCS_NAD_1983_CORS96_WY_WC \
   "NAD_1983_CORS96_StatePlane_Wyoming_West_Central_FIPS_4903"
#define PE_N_PCS_NAD_1983_CORS96_WY_WC_FT_US \
   "NAD_1983_CORS96_StatePlane_Wyoming_W_Central_FIPS_4903_Ft_US"
#define PE_N_PCS_NAD_1983_CORS96_WY_W_FT_US \
   "NAD_1983_CORS96_StatePlane_Wyoming_West_FIPS_4904_Ft_US"
#define PE_N_PCS_NAD_1983_CO_C \
   "NAD_1983_StatePlane_Colorado_Central_FIPS_0502"
#define PE_N_PCS_NAD_1983_CO_C_FT \
   "NAD_1983_StatePlane_Colorado_Central_FIPS_0502_Feet"
#define PE_N_PCS_NAD_1983_CO_N \
   "NAD_1983_StatePlane_Colorado_North_FIPS_0501"
#define PE_N_PCS_NAD_1983_CO_N_FT \
   "NAD_1983_StatePlane_Colorado_North_FIPS_0501_Feet"
#define PE_N_PCS_NAD_1983_CO_S \
   "NAD_1983_StatePlane_Colorado_South_FIPS_0503"
#define PE_N_PCS_NAD_1983_CO_S_FT \
   "NAD_1983_StatePlane_Colorado_South_FIPS_0503_Feet"
#define PE_N_PCS_NAD_1983_CSRS_10TM_AEP_FOREST \
   "NAD_1983_CSRS_10TM_AEP_Forest"
#define PE_N_PCS_NAD_1983_CSRS_10TM_AEP_RESOURCE \
   "NAD_1983_CSRS_10TM_AEP_Resource"
#define PE_N_PCS_NAD_1983_CSRS_3TM_111 \
   "NAD_1983_CSRS_3TM_111"
#define PE_N_PCS_NAD_1983_CSRS_3TM_114 \
   "NAD_1983_CSRS_3TM_114"
#define PE_N_PCS_NAD_1983_CSRS_3TM_117 \
   "NAD_1983_CSRS_3TM_117"
#define PE_N_PCS_NAD_1983_CSRS_3TM_120 \
   "NAD_1983_CSRS_3TM_120"
#define PE_N_PCS_NAD_1983_CSRS_BC_ENVIRONMENT_ALBERS \
   "NAD_1983_CSRS_BC_Environment_Albers"
#define PE_N_PCS_NAD_1983_CSRS_CANADA_ATLAS_LAMBERT \
   "NAD_1983_CSRS_Canada_Atlas_Lambert"
#define PE_N_PCS_NAD_1983_CSRS_MTM_1 \
   "NAD_1983_CSRS_MTM_1"
#define PE_N_PCS_NAD_1983_CSRS_MTM_10 \
   "NAD_1983_CSRS_MTM_10"
#define PE_N_PCS_NAD_1983_CSRS_MTM_11 \
   "NAD_1983_CSRS_MTM_11"
#define PE_N_PCS_NAD_1983_CSRS_MTM_12 \
   "NAD_1983_CSRS_MTM_12"
#define PE_N_PCS_NAD_1983_CSRS_MTM_13 \
   "NAD_1983_CSRS_MTM_13"
#define PE_N_PCS_NAD_1983_CSRS_MTM_14 \
   "NAD_1983_CSRS_MTM_14"
#define PE_N_PCS_NAD_1983_CSRS_MTM_15 \
   "NAD_1983_CSRS_MTM_15"
#define PE_N_PCS_NAD_1983_CSRS_MTM_16 \
   "NAD_1983_CSRS_MTM_16"
#define PE_N_PCS_NAD_1983_CSRS_MTM_17 \
   "NAD_1983_CSRS_MTM_17"
#define PE_N_PCS_NAD_1983_CSRS_MTM_2 \
   "NAD_1983_CSRS_MTM_2"
#define PE_N_PCS_NAD_1983_CSRS_MTM_2_SCOPQ \
   "NAD_1983_CSRS_MTM_2_SCoPQ"
#define PE_N_PCS_NAD_1983_CSRS_MTM_3 \
   "NAD_1983_CSRS_MTM_3"
#define PE_N_PCS_NAD_1983_CSRS_MTM_4 \
   "NAD_1983_CSRS_MTM_4"
#define PE_N_PCS_NAD_1983_CSRS_MTM_5 \
   "NAD_1983_CSRS_MTM_5"
#define PE_N_PCS_NAD_1983_CSRS_MTM_6 \
   "NAD_1983_CSRS_MTM_6"
#define PE_N_PCS_NAD_1983_CSRS_MTM_7 \
   "NAD_1983_CSRS_MTM_7"
#define PE_N_PCS_NAD_1983_CSRS_MTM_8 \
   "NAD_1983_CSRS_MTM_8"
#define PE_N_PCS_NAD_1983_CSRS_MTM_9 \
   "NAD_1983_CSRS_MTM_9"
#define PE_N_PCS_NAD_1983_CSRS_MTQ_LAMBERT \
   "NAD_1983_CSRS_MTQ_Lambert"
#define PE_N_PCS_NAD_1983_CSRS_NEW_BRUNSWICK \
   "NAD_1983_CSRS_New_Brunswick_Stereographic"
#define PE_N_PCS_NAD_1983_CSRS_NWT_LAMBERT \
   "NAD_1983_CSRS_Northwest_Territories_Lambert"
#define PE_N_PCS_NAD_1983_CSRS_ONTARIO_MNR_LAMBERT \
   "NAD_1983_CSRS_Ontario_MNR_Lambert"
#define PE_N_PCS_NAD_1983_CSRS_PEI \
   "NAD_1983_CSRS_Prince_Edward_Island"
#define PE_N_PCS_NAD_1983_CSRS_STATISTICS_CANADA_LAMBERT \
   "NAD_1983_CSRS_Statistics_Canada_Lambert"
#define PE_N_PCS_NAD_1983_CSRS_UTM_10N \
   "NAD_1983_CSRS_UTM_Zone_10N"
#define PE_N_PCS_NAD_1983_CSRS_UTM_11N \
   "NAD_1983_CSRS_UTM_Zone_11N"
#define PE_N_PCS_NAD_1983_CSRS_UTM_12N \
   "NAD_1983_CSRS_UTM_Zone_12N"
#define PE_N_PCS_NAD_1983_CSRS_UTM_13N \
   "NAD_1983_CSRS_UTM_Zone_13N"
#define PE_N_PCS_NAD_1983_CSRS_UTM_14N \
   "NAD_1983_CSRS_UTM_Zone_14N"
#define PE_N_PCS_NAD_1983_CSRS_UTM_15N \
   "NAD_1983_CSRS_UTM_Zone_15N"
#define PE_N_PCS_NAD_1983_CSRS_UTM_16N \
   "NAD_1983_CSRS_UTM_Zone_16N"
#define PE_N_PCS_NAD_1983_CSRS_UTM_17N \
   "NAD_1983_CSRS_UTM_Zone_17N"
#define PE_N_PCS_NAD_1983_CSRS_UTM_18N \
   "NAD_1983_CSRS_UTM_Zone_18N"
#define PE_N_PCS_NAD_1983_CSRS_UTM_19N \
   "NAD_1983_CSRS_UTM_Zone_19N"
#define PE_N_PCS_NAD_1983_CSRS_UTM_20N \
   "NAD_1983_CSRS_UTM_Zone_20N"
#define PE_N_PCS_NAD_1983_CSRS_UTM_21N \
   "NAD_1983_CSRS_UTM_Zone_21N"
#define PE_N_PCS_NAD_1983_CSRS_UTM_22N \
   "NAD_1983_CSRS_UTM_Zone_22N"
#define PE_N_PCS_NAD_1983_CSRS_UTM_7N \
   "NAD_1983_CSRS_UTM_Zone_7N"
#define PE_N_PCS_NAD_1983_CSRS_UTM_8N \
   "NAD_1983_CSRS_UTM_Zone_8N"
#define PE_N_PCS_NAD_1983_CSRS_UTM_9N \
   "NAD_1983_CSRS_UTM_Zone_9N"
#define PE_N_PCS_NAD_1983_CSRS_YUKON_ALBERS \
   "NAD_1983_CSRS_Yukon_Albers"
#define PE_N_PCS_NAD_1983_CT \
   "NAD_1983_StatePlane_Connecticut_FIPS_0600"
#define PE_N_PCS_NAD_1983_CT_FT \
   "NAD_1983_StatePlane_Connecticut_FIPS_0600_Feet"
#define PE_N_PCS_NAD_1983_DE \
   "NAD_1983_StatePlane_Delaware_FIPS_0700"
#define PE_N_PCS_NAD_1983_DE_FT \
   "NAD_1983_StatePlane_Delaware_FIPS_0700_Feet"
#define PE_N_PCS_NAD_1983_FLORIDA_GDL_ALBERS \
   "NAD_1983_Florida_GDL_Albers"
#define PE_N_PCS_NAD_1983_FL_E \
   "NAD_1983_StatePlane_Florida_East_FIPS_0901"
#define PE_N_PCS_NAD_1983_FL_E_FT \
   "NAD_1983_StatePlane_Florida_East_FIPS_0901_Feet"
#define PE_N_PCS_NAD_1983_FL_N \
   "NAD_1983_StatePlane_Florida_North_FIPS_0903"
#define PE_N_PCS_NAD_1983_FL_N_FT \
   "NAD_1983_StatePlane_Florida_North_FIPS_0903_Feet"
#define PE_N_PCS_NAD_1983_FL_W \
   "NAD_1983_StatePlane_Florida_West_FIPS_0902"
#define PE_N_PCS_NAD_1983_FL_W_FT \
   "NAD_1983_StatePlane_Florida_West_FIPS_0902_Feet"
#define PE_N_PCS_NAD_1983_GA_E \
   "NAD_1983_StatePlane_Georgia_East_FIPS_1001"
#define PE_N_PCS_NAD_1983_GA_E_FT \
   "NAD_1983_StatePlane_Georgia_East_FIPS_1001_Feet"
#define PE_N_PCS_NAD_1983_GA_W \
   "NAD_1983_StatePlane_Georgia_West_FIPS_1002"
#define PE_N_PCS_NAD_1983_GA_W_FT \
   "NAD_1983_StatePlane_Georgia_West_FIPS_1002_Feet"
#define PE_N_PCS_NAD_1983_GEORGIA_LAMBERT \
   "NAD_1983_Georgia_Statewide_Lambert"
#define PE_N_PCS_NAD_1983_GREAT_LAKES_ALBERS \
   "NAD_1983_Great_Lakes_Basin_Albers"
#define PE_N_PCS_NAD_1983_GREAT_LAKES_ST_LAWRENCE_ALBERS \
   "NAD_1983_Great_Lakes_and_St_Lawrence_Albers"
#define PE_N_PCS_NAD_1983_GU \
   "NAD_1983_StatePlane_Guam_FIPS_5400"
#define PE_N_PCS_NAD_1983_GU_FT \
   "NAD_1983_StatePlane_Guam_FIPS_5400_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_AITKIN_FT \
   "NAD_1983_HARN_Adj_MN_Aitkin_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_AITKIN_M \
   "NAD_1983_HARN_Adj_MN_Aitkin_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ANOKA_FT \
   "NAD_1983_HARN_Adj_MN_Anoka_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ANOKA_M \
   "NAD_1983_HARN_Adj_MN_Anoka_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_BECKER_FT \
   "NAD_1983_HARN_Adj_MN_Becker_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_BECKER_M \
   "NAD_1983_HARN_Adj_MN_Becker_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_BELTRAMI_N_FT \
   "NAD_1983_HARN_Adj_MN_Beltrami_North_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_BELTRAMI_N_M \
   "NAD_1983_HARN_Adj_MN_Beltrami_North_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_BELTRAMI_S_FT \
   "NAD_1983_HARN_Adj_MN_Beltrami_South_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_BELTRAMI_S_M \
   "NAD_1983_HARN_Adj_MN_Beltrami_South_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_BENTON_FT \
   "NAD_1983_HARN_Adj_MN_Benton_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_BENTON_M \
   "NAD_1983_HARN_Adj_MN_Benton_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_BIG_STONE_FT \
   "NAD_1983_HARN_Adj_MN_Big_Stone_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_BIG_STONE_M \
   "NAD_1983_HARN_Adj_MN_Big_Stone_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_BLUE_EARTH_FT \
   "NAD_1983_HARN_Adj_MN_Blue_Earth_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_BLUE_EARTH_M \
   "NAD_1983_HARN_Adj_MN_Blue_Earth_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_BROWN_FT \
   "NAD_1983_HARN_Adj_MN_Brown_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_BROWN_M \
   "NAD_1983_HARN_Adj_MN_Brown_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CARLTON_FT \
   "NAD_1983_HARN_Adj_MN_Carlton_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CARLTON_M \
   "NAD_1983_HARN_Adj_MN_Carlton_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CARVER_FT \
   "NAD_1983_HARN_Adj_MN_Carver_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CARVER_M \
   "NAD_1983_HARN_Adj_MN_Carver_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CASS_N_FT \
   "NAD_1983_HARN_Adj_MN_Cass_North_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CASS_N_M \
   "NAD_1983_HARN_Adj_MN_Cass_North_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CASS_S_FT \
   "NAD_1983_HARN_Adj_MN_Cass_South_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CASS_S_M \
   "NAD_1983_HARN_Adj_MN_Cass_South_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CHIPPEWA_FT \
   "NAD_1983_HARN_Adj_MN_Chippewa_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CHIPPEWA_M \
   "NAD_1983_HARN_Adj_MN_Chippewa_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CHISAGO_FT \
   "NAD_1983_HARN_Adj_MN_Chisago_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CHISAGO_M \
   "NAD_1983_HARN_Adj_MN_Chisago_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CLAY_FT \
   "NAD_1983_HARN_Adj_MN_Clay_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CLAY_M \
   "NAD_1983_HARN_Adj_MN_Clay_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CLEARWATER_FT \
   "NAD_1983_HARN_Adj_MN_Clearwater_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CLEARWATER_M \
   "NAD_1983_HARN_Adj_MN_Clearwater_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_COOK_N_FT \
   "NAD_1983_HARN_Adj_MN_Cook_North_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_COOK_N_M \
   "NAD_1983_HARN_Adj_MN_Cook_North_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_COOK_S_FT \
   "NAD_1983_HARN_Adj_MN_Cook_South_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_COOK_S_M \
   "NAD_1983_HARN_Adj_MN_Cook_South_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_COTTONWOOD_FT \
   "NAD_1983_HARN_Adj_MN_Cottonwood_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_COTTONWOOD_M \
   "NAD_1983_HARN_Adj_MN_Cottonwood_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CROW_WING_FT \
   "NAD_1983_HARN_Adj_MN_Crow_Wing_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_CROW_WING_M \
   "NAD_1983_HARN_Adj_MN_Crow_Wing_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_DAKOTA_FT \
   "NAD_1983_HARN_Adj_MN_Dakota_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_DAKOTA_M \
   "NAD_1983_HARN_Adj_MN_Dakota_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_DODGE_FT \
   "NAD_1983_HARN_Adj_MN_Dodge_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_DODGE_M \
   "NAD_1983_HARN_Adj_MN_Dodge_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_DOUGLAS_FT \
   "NAD_1983_HARN_Adj_MN_Douglas_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_DOUGLAS_M \
   "NAD_1983_HARN_Adj_MN_Douglas_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_FARIBAULT_FT \
   "NAD_1983_HARN_Adj_MN_Faribault_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_FARIBAULT_M \
   "NAD_1983_HARN_Adj_MN_Faribault_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_FILLMORE_FT \
   "NAD_1983_HARN_Adj_MN_Fillmore_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_FILLMORE_M \
   "NAD_1983_HARN_Adj_MN_Fillmore_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_FREEBORN_FT \
   "NAD_1983_HARN_Adj_MN_Freeborn_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_FREEBORN_M \
   "NAD_1983_HARN_Adj_MN_Freeborn_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_GOODHUE_FT \
   "NAD_1983_HARN_Adj_MN_Goodhue_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_GOODHUE_M \
   "NAD_1983_HARN_Adj_MN_Goodhue_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_GRANT_FT \
   "NAD_1983_HARN_Adj_MN_Grant_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_GRANT_M \
   "NAD_1983_HARN_Adj_MN_Grant_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_HENNEPIN_FT \
   "NAD_1983_HARN_Adj_MN_Hennepin_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_HENNEPIN_M \
   "NAD_1983_HARN_Adj_MN_Hennepin_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_HOUSTON_FT \
   "NAD_1983_HARN_Adj_MN_Houston_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_HOUSTON_M \
   "NAD_1983_HARN_Adj_MN_Houston_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_HUBBARD_FT \
   "NAD_1983_HARN_Adj_MN_Hubbard_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_HUBBARD_M \
   "NAD_1983_HARN_Adj_MN_Hubbard_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ISANTI_FT \
   "NAD_1983_HARN_Adj_MN_Isanti_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ISANTI_M \
   "NAD_1983_HARN_Adj_MN_Isanti_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ITASCA_N_FT \
   "NAD_1983_HARN_Adj_MN_Itasca_North_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ITASCA_N_M \
   "NAD_1983_HARN_Adj_MN_Itasca_North_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ITASCA_S_FT \
   "NAD_1983_HARN_Adj_MN_Itasca_South_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ITASCA_S_M \
   "NAD_1983_HARN_Adj_MN_Itasca_South_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_JACKSON_FT \
   "NAD_1983_HARN_Adj_MN_Jackson_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_JACKSON_M \
   "NAD_1983_HARN_Adj_MN_Jackson_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_KANABEC_FT \
   "NAD_1983_HARN_Adj_MN_Kanabec_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_KANABEC_M \
   "NAD_1983_HARN_Adj_MN_Kanabec_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_KANDIYOHI_FT \
   "NAD_1983_HARN_Adj_MN_Kandiyohi_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_KANDIYOHI_M \
   "NAD_1983_HARN_Adj_MN_Kandiyohi_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_KITTSON_FT \
   "NAD_1983_HARN_Adj_MN_Kittson_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_KITTSON_M \
   "NAD_1983_HARN_Adj_MN_Kittson_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_KOOCHICHING_FT \
   "NAD_1983_HARN_Adj_MN_Koochiching_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_KOOCHICHING_M \
   "NAD_1983_HARN_Adj_MN_Koochiching_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_LAC_QUI_PARLE_FT \
   "NAD_1983_HARN_Adj_MN_Lac_Qui_Parle_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_LAC_QUI_PARLE_M \
   "NAD_1983_HARN_Adj_MN_Lac_Qui_Parle_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_LAKE_FT \
   "NAD_1983_HARN_Adj_MN_Lake_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_LAKE_M \
   "NAD_1983_HARN_Adj_MN_Lake_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_N_FT \
   "NAD_1983_HARN_Adj_MN_Lake_of_the_Woods_North_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_N_M \
   "NAD_1983_HARN_Adj_MN_Lake_of_the_Woods_North_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_S_FT \
   "NAD_1983_HARN_Adj_MN_Lake_of_the_Woods_South_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_S_M \
   "NAD_1983_HARN_Adj_MN_Lake_of_the_Woods_South_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_LE_SUEUR_FT \
   "NAD_1983_HARN_Adj_MN_Le_Sueur_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_LE_SUEUR_M \
   "NAD_1983_HARN_Adj_MN_Le_Sueur_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_LINCOLN_FT \
   "NAD_1983_HARN_Adj_MN_Lincoln_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_LINCOLN_M \
   "NAD_1983_HARN_Adj_MN_Lincoln_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_LYON_FT \
   "NAD_1983_HARN_Adj_MN_Lyon_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_LYON_M \
   "NAD_1983_HARN_Adj_MN_Lyon_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MAHNOMEN_FT \
   "NAD_1983_HARN_Adj_MN_Mahnomen_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MAHNOMEN_M \
   "NAD_1983_HARN_Adj_MN_Mahnomen_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MARSHALL_FT \
   "NAD_1983_HARN_Adj_MN_Marshall_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MARSHALL_M \
   "NAD_1983_HARN_Adj_MN_Marshall_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MARTIN_FT \
   "NAD_1983_HARN_Adj_MN_Martin_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MARTIN_M \
   "NAD_1983_HARN_Adj_MN_Martin_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MCLEOD_FT \
   "NAD_1983_HARN_Adj_MN_McLeod_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MCLEOD_M \
   "NAD_1983_HARN_Adj_MN_McLeod_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MEEKER_FT \
   "NAD_1983_HARN_Adj_MN_Meeker_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MEEKER_M \
   "NAD_1983_HARN_Adj_MN_Meeker_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MILLE_LACS_FT \
   "NAD_1983_HARN_Adj_MN_Mille_Lacs_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MILLE_LACS_M \
   "NAD_1983_HARN_Adj_MN_Mille_Lacs_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MORRISON_FT \
   "NAD_1983_HARN_Adj_MN_Morrison_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MORRISON_M \
   "NAD_1983_HARN_Adj_MN_Morrison_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MOWER_FT \
   "NAD_1983_HARN_Adj_MN_Mower_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MOWER_M \
   "NAD_1983_HARN_Adj_MN_Mower_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MURRAY_FT \
   "NAD_1983_HARN_Adj_MN_Murray_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_MURRAY_M \
   "NAD_1983_HARN_Adj_MN_Murray_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_NICOLLET_FT \
   "NAD_1983_HARN_Adj_MN_Nicollet_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_NICOLLET_M \
   "NAD_1983_HARN_Adj_MN_Nicollet_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_NOBLES_FT \
   "NAD_1983_HARN_Adj_MN_Nobles_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_NOBLES_M \
   "NAD_1983_HARN_Adj_MN_Nobles_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_NORMAN_FT \
   "NAD_1983_HARN_Adj_MN_Norman_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_NORMAN_M \
   "NAD_1983_HARN_Adj_MN_Norman_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_OLMSTED_FT \
   "NAD_1983_HARN_Adj_MN_Olmsted_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_OLMSTED_M \
   "NAD_1983_HARN_Adj_MN_Olmsted_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_OTTERTAIL_FT \
   "NAD_1983_HARN_Adj_MN_Ottertail_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_OTTERTAIL_M \
   "NAD_1983_HARN_Adj_MN_Ottertail_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_PENNINGTON_FT \
   "NAD_1983_HARN_Adj_MN_Pennington_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_PENNINGTON_M \
   "NAD_1983_HARN_Adj_MN_Pennington_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_PINE_FT \
   "NAD_1983_HARN_Adj_MN_Pine_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_PINE_M \
   "NAD_1983_HARN_Adj_MN_Pine_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_PIPESTONE_FT \
   "NAD_1983_HARN_Adj_MN_Pipestone_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_PIPESTONE_M \
   "NAD_1983_HARN_Adj_MN_Pipestone_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_POLK_FT \
   "NAD_1983_HARN_Adj_MN_Polk_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_POLK_M \
   "NAD_1983_HARN_Adj_MN_Polk_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_POPE_FT \
   "NAD_1983_HARN_Adj_MN_Pope_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_POPE_M \
   "NAD_1983_HARN_Adj_MN_Pope_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_RAMSEY_FT \
   "NAD_1983_HARN_Adj_MN_Ramsey_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_RAMSEY_M \
   "NAD_1983_HARN_Adj_MN_Ramsey_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_REDWOOD_FT \
   "NAD_1983_HARN_Adj_MN_Redwood_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_REDWOOD_M \
   "NAD_1983_HARN_Adj_MN_Redwood_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_RED_LAKE_FT \
   "NAD_1983_HARN_Adj_MN_Red_Lake_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_RED_LAKE_M \
   "NAD_1983_HARN_Adj_MN_Red_Lake_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_RENVILLE_FT \
   "NAD_1983_HARN_Adj_MN_Renville_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_RENVILLE_M \
   "NAD_1983_HARN_Adj_MN_Renville_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_RICE_FT \
   "NAD_1983_HARN_Adj_MN_Rice_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_RICE_M \
   "NAD_1983_HARN_Adj_MN_Rice_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ROCK_FT \
   "NAD_1983_HARN_Adj_MN_Rock_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ROCK_M \
   "NAD_1983_HARN_Adj_MN_Rock_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ROSEAU_FT \
   "NAD_1983_HARN_Adj_MN_Roseau_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ROSEAU_M \
   "NAD_1983_HARN_Adj_MN_Roseau_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_SCOTT_FT \
   "NAD_1983_HARN_Adj_MN_Scott_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_SCOTT_M \
   "NAD_1983_HARN_Adj_MN_Scott_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_SHERBURNE_FT \
   "NAD_1983_HARN_Adj_MN_Sherburne_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_SHERBURNE_M \
   "NAD_1983_HARN_Adj_MN_Sherburne_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_SIBLEY_FT \
   "NAD_1983_HARN_Adj_MN_Sibley_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_SIBLEY_M \
   "NAD_1983_HARN_Adj_MN_Sibley_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_STEARNS_FT \
   "NAD_1983_HARN_Adj_MN_Stearns_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_STEARNS_M \
   "NAD_1983_HARN_Adj_MN_Stearns_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_STEELE_FT \
   "NAD_1983_HARN_Adj_MN_Steele_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_STEELE_M \
   "NAD_1983_HARN_Adj_MN_Steele_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_STEVENS_FT \
   "NAD_1983_HARN_Adj_MN_Stevens_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_STEVENS_M \
   "NAD_1983_HARN_Adj_MN_Stevens_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_C_FT \
   "NAD_1983_HARN_Adj_MN_St_Louis_Central_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_C_M \
   "NAD_1983_HARN_Adj_MN_St_Louis_Central_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_FT \
   "NAD_1983_HARN_Adj_MN_St_Louis_CS96_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_M \
   "NAD_1983_HARN_Adj_MN_St_Louis_CS96_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_N_FT \
   "NAD_1983_HARN_Adj_MN_St_Louis_North_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_N_M \
   "NAD_1983_HARN_Adj_MN_St_Louis_North_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_S_FT \
   "NAD_1983_HARN_Adj_MN_St_Louis_South_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_S_M \
   "NAD_1983_HARN_Adj_MN_St_Louis_South_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_SWIFT_FT \
   "NAD_1983_HARN_Adj_MN_Swift_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_SWIFT_M \
   "NAD_1983_HARN_Adj_MN_Swift_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_TODD_FT \
   "NAD_1983_HARN_Adj_MN_Todd_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_TODD_M \
   "NAD_1983_HARN_Adj_MN_Todd_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_TRAVERSE_FT \
   "NAD_1983_HARN_Adj_MN_Traverse_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_TRAVERSE_M \
   "NAD_1983_HARN_Adj_MN_Traverse_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WABASHA_FT \
   "NAD_1983_HARN_Adj_MN_Wabasha_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WABASHA_M \
   "NAD_1983_HARN_Adj_MN_Wabasha_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WADENA_FT \
   "NAD_1983_HARN_Adj_MN_Wadena_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WADENA_M \
   "NAD_1983_HARN_Adj_MN_Wadena_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WASECA_FT \
   "NAD_1983_HARN_Adj_MN_Waseca_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WASECA_M \
   "NAD_1983_HARN_Adj_MN_Waseca_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WASHINGTON_FT \
   "NAD_1983_HARN_Adj_MN_Washington_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WASHINGTON_M \
   "NAD_1983_HARN_Adj_MN_Washington_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WATONWAN_FT \
   "NAD_1983_HARN_Adj_MN_Watonwan_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WATONWAN_M \
   "NAD_1983_HARN_Adj_MN_Watonwan_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WILKIN_FT \
   "NAD_1983_HARN_Adj_MN_Wilkin_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WILKIN_M \
   "NAD_1983_HARN_Adj_MN_Wilkin_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WINONA_FT \
   "NAD_1983_HARN_Adj_MN_Winona_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WINONA_M \
   "NAD_1983_HARN_Adj_MN_Winona_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WRIGHT_FT \
   "NAD_1983_HARN_Adj_MN_Wright_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_WRIGHT_M \
   "NAD_1983_HARN_Adj_MN_Wright_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_YELLOW_MEDICINE_FT \
   "NAD_1983_HARN_Adj_MN_Yellow_Medicine_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_MN_YELLOW_MEDICINE_M \
   "NAD_1983_HARN_Adj_MN_Yellow_Medicine_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_AD_FT \
   "NAD_1983_HARN_Adj_WI_Adams_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_AD_M \
   "NAD_1983_HARN_Adj_WI_Adams_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_AL_FT \
   "NAD_1983_HARN_Adj_WI_Ashland_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_AL_M \
   "NAD_1983_HARN_Adj_WI_Ashland_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_BA_FT \
   "NAD_1983_HARN_Adj_WI_Barron_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_BA_M \
   "NAD_1983_HARN_Adj_WI_Barron_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_BF_FT \
   "NAD_1983_HARN_Adj_WI_Bayfield_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_BF_M \
   "NAD_1983_HARN_Adj_WI_Bayfield_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_BN_FT \
   "NAD_1983_HARN_Adj_WI_Burnett_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_BN_M \
   "NAD_1983_HARN_Adj_WI_Burnett_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_BR_FT \
   "NAD_1983_HARN_Adj_WI_Brown_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_BR_M \
   "NAD_1983_HARN_Adj_WI_Brown_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_BU_FT \
   "NAD_1983_HARN_Adj_WI_Buffalo_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_BU_M \
   "NAD_1983_HARN_Adj_WI_Buffalo_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_CK_FT \
   "NAD_1983_HARN_Adj_WI_Clark_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_CK_M \
   "NAD_1983_HARN_Adj_WI_Clark_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_CL_FT \
   "NAD_1983_HARN_Adj_WI_Calumet_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_CL_M \
   "NAD_1983_HARN_Adj_WI_Calumet_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_CO_FT \
   "NAD_1983_HARN_Adj_WI_Columbia_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_CO_M \
   "NAD_1983_HARN_Adj_WI_Columbia_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_CP_FT \
   "NAD_1983_HARN_Adj_WI_Chippewa_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_CP_M \
   "NAD_1983_HARN_Adj_WI_Chippewa_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_CR_FT \
   "NAD_1983_HARN_Adj_WI_Crawford_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_CR_M \
   "NAD_1983_HARN_Adj_WI_Crawford_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_DD_FT \
   "NAD_1983_HARN_Adj_WI_Dodge_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_DD_M \
   "NAD_1983_HARN_Adj_WI_Dodge_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_DG_FT \
   "NAD_1983_HARN_Adj_WI_Douglas_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_DG_M \
   "NAD_1983_HARN_Adj_WI_Douglas_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_DN_FT \
   "NAD_1983_HARN_Adj_WI_Dane_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_DN_M \
   "NAD_1983_HARN_Adj_WI_Dane_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_DR_FT \
   "NAD_1983_HARN_Adj_WI_Door_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_DR_M \
   "NAD_1983_HARN_Adj_WI_Door_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_DU_FT \
   "NAD_1983_HARN_Adj_WI_Dunn_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_DU_M \
   "NAD_1983_HARN_Adj_WI_Dunn_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_EC_FT \
   "NAD_1983_HARN_Adj_WI_EauClaire_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_EC_M \
   "NAD_1983_HARN_Adj_WI_EauClaire_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_FL_FT \
   "NAD_1983_HARN_Adj_WI_Fond_du_Lac_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_FL_M \
   "NAD_1983_HARN_Adj_WI_Fond_du_Lac_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_FN_FT \
   "NAD_1983_HARN_Adj_WI_Florence_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_FN_M \
   "NAD_1983_HARN_Adj_WI_Florence_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_FR_FT \
   "NAD_1983_HARN_Adj_WI_Forest_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_FR_M \
   "NAD_1983_HARN_Adj_WI_Forest_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_GL_FT \
   "NAD_1983_HARN_Adj_WI_GreenLake_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_GL_M \
   "NAD_1983_HARN_Adj_WI_GreenLake_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_GR_FT \
   "NAD_1983_HARN_Adj_WI_Green_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_GR_M \
   "NAD_1983_HARN_Adj_WI_Green_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_GT_FT \
   "NAD_1983_HARN_Adj_WI_Grant_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_GT_M \
   "NAD_1983_HARN_Adj_WI_Grant_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_IA_FT \
   "NAD_1983_HARN_Adj_WI_Iowa_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_IA_M \
   "NAD_1983_HARN_Adj_WI_Iowa_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_IR_FT \
   "NAD_1983_HARN_Adj_WI_Iron_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_IR_M \
   "NAD_1983_HARN_Adj_WI_Iron_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_JA_FT \
   "NAD_1983_HARN_Adj_WI_Jackson_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_JA_M \
   "NAD_1983_HARN_Adj_WI_Jackson_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_JF_FT \
   "NAD_1983_HARN_Adj_WI_Jefferson_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_JF_M \
   "NAD_1983_HARN_Adj_WI_Jefferson_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_JN_FT \
   "NAD_1983_HARN_Adj_WI_Juneau_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_JN_M \
   "NAD_1983_HARN_Adj_WI_Juneau_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_KN_FT \
   "NAD_1983_HARN_Adj_WI_Kenosha_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_KN_M \
   "NAD_1983_HARN_Adj_WI_Kenosha_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_KW_FT \
   "NAD_1983_HARN_Adj_WI_Kewaunee_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_KW_M \
   "NAD_1983_HARN_Adj_WI_Kewaunee_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_LC_FT \
   "NAD_1983_HARN_Adj_WI_LaCrosse_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_LC_M \
   "NAD_1983_HARN_Adj_WI_LaCrosse_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_LF_FT \
   "NAD_1983_HARN_Adj_WI_Lafayette_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_LF_M \
   "NAD_1983_HARN_Adj_WI_Lafayette_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_LG_FT \
   "NAD_1983_HARN_Adj_WI_Langlade_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_LG_M \
   "NAD_1983_HARN_Adj_WI_Langlade_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_LN_FT \
   "NAD_1983_HARN_Adj_WI_Lincoln_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_LN_M \
   "NAD_1983_HARN_Adj_WI_Lincoln_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_MA_FT \
   "NAD_1983_HARN_Adj_WI_Marathon_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_MA_M \
   "NAD_1983_HARN_Adj_WI_Marathon_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_ME_FT \
   "NAD_1983_HARN_Adj_WI_Menominee_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_ME_M \
   "NAD_1983_HARN_Adj_WI_Menominee_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_MN_FT \
   "NAD_1983_HARN_Adj_WI_Marinette_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_MN_M \
   "NAD_1983_HARN_Adj_WI_Marinette_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_MQ_FT \
   "NAD_1983_HARN_Adj_WI_Marquette_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_MQ_M \
   "NAD_1983_HARN_Adj_WI_Marquette_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_MR_FT \
   "NAD_1983_HARN_Adj_WI_Monroe_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_MR_M \
   "NAD_1983_HARN_Adj_WI_Monroe_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_MT_FT \
   "NAD_1983_HARN_Adj_WI_Manitowoc_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_MT_M \
   "NAD_1983_HARN_Adj_WI_Manitowoc_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_MW_FT \
   "NAD_1983_HARN_Adj_WI_Milwaukee_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_MW_M \
   "NAD_1983_HARN_Adj_WI_Milwaukee_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_OC_FT \
   "NAD_1983_HARN_Adj_WI_Oconto_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_OC_M \
   "NAD_1983_HARN_Adj_WI_Oconto_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_OG_FT \
   "NAD_1983_HARN_Adj_WI_Outagamie_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_OG_M \
   "NAD_1983_HARN_Adj_WI_Outagamie_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_ON_FT \
   "NAD_1983_HARN_Adj_WI_Oneida_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_ON_M \
   "NAD_1983_HARN_Adj_WI_Oneida_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_OZ_FT \
   "NAD_1983_HARN_Adj_WI_Ozaukee_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_OZ_M \
   "NAD_1983_HARN_Adj_WI_Ozaukee_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_PC_FT \
   "NAD_1983_HARN_Adj_WI_Pierce_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_PC_M \
   "NAD_1983_HARN_Adj_WI_Pierce_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_PK_FT \
   "NAD_1983_HARN_Adj_WI_Polk_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_PK_M \
   "NAD_1983_HARN_Adj_WI_Polk_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_PP_FT \
   "NAD_1983_HARN_Adj_WI_Pepin_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_PP_M \
   "NAD_1983_HARN_Adj_WI_Pepin_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_PR_FT \
   "NAD_1983_HARN_Adj_WI_Price_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_PR_M \
   "NAD_1983_HARN_Adj_WI_Price_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_PT_FT \
   "NAD_1983_HARN_Adj_WI_Portage_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_PT_M \
   "NAD_1983_HARN_Adj_WI_Portage_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_RA_FT \
   "NAD_1983_HARN_Adj_WI_Racine_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_RA_M \
   "NAD_1983_HARN_Adj_WI_Racine_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_RC_FT \
   "NAD_1983_HARN_Adj_WI_Richland_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_RC_M \
   "NAD_1983_HARN_Adj_WI_Richland_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_RK_FT \
   "NAD_1983_HARN_Adj_WI_Rock_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_RK_M \
   "NAD_1983_HARN_Adj_WI_Rock_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_RS_FT \
   "NAD_1983_HARN_Adj_WI_Rusk_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_RS_M \
   "NAD_1983_HARN_Adj_WI_Rusk_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_SC_FT \
   "NAD_1983_HARN_Adj_WI_St_Croix_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_SC_M \
   "NAD_1983_HARN_Adj_WI_St_Croix_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_SG_FT \
   "NAD_1983_HARN_Adj_WI_Sheboygan_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_SG_M \
   "NAD_1983_HARN_Adj_WI_Sheboygan_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_SH_FT \
   "NAD_1983_HARN_Adj_WI_Shawano_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_SH_M \
   "NAD_1983_HARN_Adj_WI_Shawano_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_SK_FT \
   "NAD_1983_HARN_Adj_WI_Sauk_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_SK_M \
   "NAD_1983_HARN_Adj_WI_Sauk_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_SW_FT \
   "NAD_1983_HARN_Adj_WI_Sawyer_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_SW_M \
   "NAD_1983_HARN_Adj_WI_Sawyer_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_TA_FT \
   "NAD_1983_HARN_Adj_WI_Taylor_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_TA_M \
   "NAD_1983_HARN_Adj_WI_Taylor_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_TR_FT \
   "NAD_1983_HARN_Adj_WI_Trempealeau_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_TR_M \
   "NAD_1983_HARN_Adj_WI_Trempealeau_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_VI_FT \
   "NAD_1983_HARN_Adj_WI_Vilas_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_VI_M \
   "NAD_1983_HARN_Adj_WI_Vilas_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_VR_FT \
   "NAD_1983_HARN_Adj_WI_Vernon_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_VR_M \
   "NAD_1983_HARN_Adj_WI_Vernon_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WA_FT \
   "NAD_1983_HARN_Adj_WI_Washington_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WA_M \
   "NAD_1983_HARN_Adj_WI_Washington_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WB_FT \
   "NAD_1983_HARN_Adj_WI_Washburn_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WB_M \
   "NAD_1983_HARN_Adj_WI_Washburn_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WD_FT \
   "NAD_1983_HARN_Adj_WI_Wood_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WD_M \
   "NAD_1983_HARN_Adj_WI_Wood_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WK_FT \
   "NAD_1983_HARN_Adj_WI_Waukesha_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WK_M \
   "NAD_1983_HARN_Adj_WI_Waukesha_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WN_FT \
   "NAD_1983_HARN_Adj_WI_Winnebago_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WN_M \
   "NAD_1983_HARN_Adj_WI_Winnebago_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WP_FT \
   "NAD_1983_HARN_Adj_WI_Waupaca_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WP_M \
   "NAD_1983_HARN_Adj_WI_Waupaca_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WS_FT \
   "NAD_1983_HARN_Adj_WI_Waushara_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WS_M \
   "NAD_1983_HARN_Adj_WI_Waushara_Meters"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WW_FT \
   "NAD_1983_HARN_Adj_WI_Walworth_Feet"
#define PE_N_PCS_NAD_1983_HARN_ADJ_WI_WW_M \
   "NAD_1983_HARN_Adj_WI_Walworth_Meters"
#define PE_N_PCS_NAD_1983_HARN_AL_E \
   "NAD_1983_HARN_StatePlane_Alabama_East_FIPS_0101"
#define PE_N_PCS_NAD_1983_HARN_AL_W \
   "NAD_1983_HARN_StatePlane_Alabama_West_FIPS_0102"
#define PE_N_PCS_NAD_1983_HARN_AR_N \
   "NAD_1983_HARN_StatePlane_Arkansas_North_FIPS_0301"
#define PE_N_PCS_NAD_1983_HARN_AR_N_FT \
   "NAD_1983_HARN_StatePlane_Arkansas_North_FIPS_0301_Feet"
#define PE_N_PCS_NAD_1983_HARN_AR_S \
   "NAD_1983_HARN_StatePlane_Arkansas_South_FIPS_0302"
#define PE_N_PCS_NAD_1983_HARN_AR_S_FT \
   "NAD_1983_HARN_StatePlane_Arkansas_South_FIPS_0302_Feet"
#define PE_N_PCS_NAD_1983_HARN_AZ_C \
   "NAD_1983_HARN_StatePlane_Arizona_Central_FIPS_0202"
#define PE_N_PCS_NAD_1983_HARN_AZ_C_FT_INTL \
   "NAD_1983_HARN_StatePlane_Arizona_Central_FIPS_0202_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_AZ_E \
   "NAD_1983_HARN_StatePlane_Arizona_East_FIPS_0201"
#define PE_N_PCS_NAD_1983_HARN_AZ_E_FT_INTL \
   "NAD_1983_HARN_StatePlane_Arizona_East_FIPS_0201_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_AZ_W \
   "NAD_1983_HARN_StatePlane_Arizona_West_FIPS_0203"
#define PE_N_PCS_NAD_1983_HARN_AZ_W_FT_INTL \
   "NAD_1983_HARN_StatePlane_Arizona_West_FIPS_0203_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_CA_I \
   "NAD_1983_HARN_StatePlane_California_I_FIPS_0401"
#define PE_N_PCS_NAD_1983_HARN_CA_II \
   "NAD_1983_HARN_StatePlane_California_II_FIPS_0402"
#define PE_N_PCS_NAD_1983_HARN_CA_III \
   "NAD_1983_HARN_StatePlane_California_III_FIPS_0403"
#define PE_N_PCS_NAD_1983_HARN_CA_III_FT \
   "NAD_1983_HARN_StatePlane_California_III_FIPS_0403_Feet"
#define PE_N_PCS_NAD_1983_HARN_CA_II_FT \
   "NAD_1983_HARN_StatePlane_California_II_FIPS_0402_Feet"
#define PE_N_PCS_NAD_1983_HARN_CA_IV \
   "NAD_1983_HARN_StatePlane_California_IV_FIPS_0404"
#define PE_N_PCS_NAD_1983_HARN_CA_IV_FT \
   "NAD_1983_HARN_StatePlane_California_IV_FIPS_0404_Feet"
#define PE_N_PCS_NAD_1983_HARN_CA_I_FT \
   "NAD_1983_HARN_StatePlane_California_I_FIPS_0401_Feet"
#define PE_N_PCS_NAD_1983_HARN_CA_TEALE_ALBERS \
   "NAD_1983_HARN_California_Teale_Albers"
#define PE_N_PCS_NAD_1983_HARN_CA_V \
   "NAD_1983_HARN_StatePlane_California_V_FIPS_0405"
#define PE_N_PCS_NAD_1983_HARN_CA_VI \
   "NAD_1983_HARN_StatePlane_California_VI_FIPS_0406"
#define PE_N_PCS_NAD_1983_HARN_CA_VI_FT \
   "NAD_1983_HARN_StatePlane_California_VI_FIPS_0406_Feet"
#define PE_N_PCS_NAD_1983_HARN_CA_V_FT \
   "NAD_1983_HARN_StatePlane_California_V_FIPS_0405_Feet"
#define PE_N_PCS_NAD_1983_HARN_CO_C \
   "NAD_1983_HARN_StatePlane_Colorado_Central_FIPS_0502"
#define PE_N_PCS_NAD_1983_HARN_CO_C_FT \
   "NAD_1983_HARN_StatePlane_Colorado_Central_FIPS_0502_Feet"
#define PE_N_PCS_NAD_1983_HARN_CO_N \
   "NAD_1983_HARN_StatePlane_Colorado_North_FIPS_0501"
#define PE_N_PCS_NAD_1983_HARN_CO_N_FT \
   "NAD_1983_HARN_StatePlane_Colorado_North_FIPS_0501_Feet"
#define PE_N_PCS_NAD_1983_HARN_CO_S \
   "NAD_1983_HARN_StatePlane_Colorado_South_FIPS_0503"
#define PE_N_PCS_NAD_1983_HARN_CO_S_FT \
   "NAD_1983_HARN_StatePlane_Colorado_South_FIPS_0503_Feet"
#define PE_N_PCS_NAD_1983_HARN_CT \
   "NAD_1983_HARN_StatePlane_Connecticut_FIPS_0600"
#define PE_N_PCS_NAD_1983_HARN_CT_FT \
   "NAD_1983_HARN_StatePlane_Connecticut_FIPS_0600_Feet"
#define PE_N_PCS_NAD_1983_HARN_DE \
   "NAD_1983_HARN_StatePlane_Delaware_FIPS_0700"
#define PE_N_PCS_NAD_1983_HARN_DE_FT \
   "NAD_1983_HARN_StatePlane_Delaware_FIPS_0700_Feet"
#define PE_N_PCS_NAD_1983_HARN_FLORIDA_GDL_ALBERS \
   "NAD_1983_HARN_Florida_GDL_Albers"
#define PE_N_PCS_NAD_1983_HARN_FL_E \
   "NAD_1983_HARN_StatePlane_Florida_East_FIPS_0901"
#define PE_N_PCS_NAD_1983_HARN_FL_E_FT \
   "NAD_1983_HARN_StatePlane_Florida_East_FIPS_0901_Feet"
#define PE_N_PCS_NAD_1983_HARN_FL_N \
   "NAD_1983_HARN_StatePlane_Florida_North_FIPS_0903"
#define PE_N_PCS_NAD_1983_HARN_FL_N_FT \
   "NAD_1983_HARN_StatePlane_Florida_North_FIPS_0903_Feet"
#define PE_N_PCS_NAD_1983_HARN_FL_W \
   "NAD_1983_HARN_StatePlane_Florida_West_FIPS_0902"
#define PE_N_PCS_NAD_1983_HARN_FL_W_FT \
   "NAD_1983_HARN_StatePlane_Florida_West_FIPS_0902_Feet"
#define PE_N_PCS_NAD_1983_HARN_GA_E \
   "NAD_1983_HARN_StatePlane_Georgia_East_FIPS_1001"
#define PE_N_PCS_NAD_1983_HARN_GA_E_FT \
   "NAD_1983_HARN_StatePlane_Georgia_East_FIPS_1001_Feet"
#define PE_N_PCS_NAD_1983_HARN_GA_W \
   "NAD_1983_HARN_StatePlane_Georgia_West_FIPS_1002"
#define PE_N_PCS_NAD_1983_HARN_GA_W_FT \
   "NAD_1983_HARN_StatePlane_Georgia_West_FIPS_1002_Feet"
#define PE_N_PCS_NAD_1983_HARN_GUAM_MAP_GRID \
   "NAD_1983_HARN_Guam_Map_Grid"
#define PE_N_PCS_NAD_1983_HARN_HI_1 \
   "NAD_1983_HARN_StatePlane_Hawaii_1_FIPS_5101"
#define PE_N_PCS_NAD_1983_HARN_HI_1_FT \
   "NAD_1983_HARN_StatePlane_Hawaii_1_FIPS_5101_Feet"
#define PE_N_PCS_NAD_1983_HARN_HI_2 \
   "NAD_1983_HARN_StatePlane_Hawaii_2_FIPS_5102"
#define PE_N_PCS_NAD_1983_HARN_HI_2_FT \
   "NAD_1983_HARN_StatePlane_Hawaii_2_FIPS_5102_Feet"
#define PE_N_PCS_NAD_1983_HARN_HI_3 \
   "NAD_1983_HARN_StatePlane_Hawaii_3_FIPS_5103"
#define PE_N_PCS_NAD_1983_HARN_HI_3_FT \
   "NAD_1983_HARN_StatePlane_Hawaii_3_FIPS_5103_Feet"
#define PE_N_PCS_NAD_1983_HARN_HI_4 \
   "NAD_1983_HARN_StatePlane_Hawaii_4_FIPS_5104"
#define PE_N_PCS_NAD_1983_HARN_HI_4_FT \
   "NAD_1983_HARN_StatePlane_Hawaii_4_FIPS_5104_Feet"
#define PE_N_PCS_NAD_1983_HARN_HI_5 \
   "NAD_1983_HARN_StatePlane_Hawaii_5_FIPS_5105"
#define PE_N_PCS_NAD_1983_HARN_HI_5_FT \
   "NAD_1983_HARN_StatePlane_Hawaii_5_FIPS_5105_Feet"
#define PE_N_PCS_NAD_1983_HARN_IA_N \
   "NAD_1983_HARN_StatePlane_Iowa_North_FIPS_1401"
#define PE_N_PCS_NAD_1983_HARN_IA_N_FT \
   "NAD_1983_HARN_StatePlane_Iowa_North_FIPS_1401_Feet"
#define PE_N_PCS_NAD_1983_HARN_IA_S \
   "NAD_1983_HARN_StatePlane_Iowa_South_FIPS_1402"
#define PE_N_PCS_NAD_1983_HARN_IA_S_FT \
   "NAD_1983_HARN_StatePlane_Iowa_South_FIPS_1402_Feet"
#define PE_N_PCS_NAD_1983_HARN_ID_C \
   "NAD_1983_HARN_StatePlane_Idaho_Central_FIPS_1102"
#define PE_N_PCS_NAD_1983_HARN_ID_C_FT \
   "NAD_1983_HARN_StatePlane_Idaho_Central_FIPS_1102_Feet"
#define PE_N_PCS_NAD_1983_HARN_ID_E \
   "NAD_1983_HARN_StatePlane_Idaho_East_FIPS_1101"
#define PE_N_PCS_NAD_1983_HARN_ID_E_FT \
   "NAD_1983_HARN_StatePlane_Idaho_East_FIPS_1101_Feet"
#define PE_N_PCS_NAD_1983_HARN_ID_W \
   "NAD_1983_HARN_StatePlane_Idaho_West_FIPS_1103"
#define PE_N_PCS_NAD_1983_HARN_ID_W_FT \
   "NAD_1983_HARN_StatePlane_Idaho_West_FIPS_1103_Feet"
#define PE_N_PCS_NAD_1983_HARN_IL_E \
   "NAD_1983_HARN_StatePlane_Illinois_East_FIPS_1201"
#define PE_N_PCS_NAD_1983_HARN_IL_E_FT \
   "NAD_1983_HARN_StatePlane_Illinois_East_FIPS_1201_Feet"
#define PE_N_PCS_NAD_1983_HARN_IL_W \
   "NAD_1983_HARN_StatePlane_Illinois_West_FIPS_1202"
#define PE_N_PCS_NAD_1983_HARN_IL_W_FT \
   "NAD_1983_HARN_StatePlane_Illinois_West_FIPS_1202_Feet"
#define PE_N_PCS_NAD_1983_HARN_IN_E \
   "NAD_1983_HARN_StatePlane_Indiana_East_FIPS_1301"
#define PE_N_PCS_NAD_1983_HARN_IN_E_FT \
   "NAD_1983_HARN_StatePlane_Indiana_East_FIPS_1301_Feet"
#define PE_N_PCS_NAD_1983_HARN_IN_W \
   "NAD_1983_HARN_StatePlane_Indiana_West_FIPS_1302"
#define PE_N_PCS_NAD_1983_HARN_IN_W_FT \
   "NAD_1983_HARN_StatePlane_Indiana_West_FIPS_1302_Feet"
#define PE_N_PCS_NAD_1983_HARN_KS_N \
   "NAD_1983_HARN_StatePlane_Kansas_North_FIPS_1501"
#define PE_N_PCS_NAD_1983_HARN_KS_N_FT \
   "NAD_1983_HARN_StatePlane_Kansas_North_FIPS_1501_Feet"
#define PE_N_PCS_NAD_1983_HARN_KS_S \
   "NAD_1983_HARN_StatePlane_Kansas_South_FIPS_1502"
#define PE_N_PCS_NAD_1983_HARN_KS_S_FT \
   "NAD_1983_HARN_StatePlane_Kansas_South_FIPS_1502_Feet"
#define PE_N_PCS_NAD_1983_HARN_KY \
   "NAD_1983_HARN_StatePlane_Kentucky_FIPS_1600"
#define PE_N_PCS_NAD_1983_HARN_KY_FT \
   "NAD_1983_HARN_StatePlane_Kentucky_FIPS_1600_Feet"
#define PE_N_PCS_NAD_1983_HARN_KY_N \
   "NAD_1983_HARN_StatePlane_Kentucky_North_FIPS_1601"
#define PE_N_PCS_NAD_1983_HARN_KY_N_FT \
   "NAD_1983_HARN_StatePlane_Kentucky_North_FIPS_1601_Feet"
#define PE_N_PCS_NAD_1983_HARN_KY_S \
   "NAD_1983_HARN_StatePlane_Kentucky_South_FIPS_1602"
#define PE_N_PCS_NAD_1983_HARN_KY_S_FT \
   "NAD_1983_HARN_StatePlane_Kentucky_South_FIPS_1602_Feet"
#define PE_N_PCS_NAD_1983_HARN_LA_N \
   "NAD_1983_HARN_StatePlane_Louisiana_North_FIPS_1701"
#define PE_N_PCS_NAD_1983_HARN_LA_N_FT \
   "NAD_1983_HARN_StatePlane_Louisiana_North_FIPS_1701_Feet"
#define PE_N_PCS_NAD_1983_HARN_LA_S \
   "NAD_1983_HARN_StatePlane_Louisiana_South_FIPS_1702"
#define PE_N_PCS_NAD_1983_HARN_LA_S_FT \
   "NAD_1983_HARN_StatePlane_Louisiana_South_FIPS_1702_Feet"
#define PE_N_PCS_NAD_1983_HARN_MAINE_2000_CENTRAL \
   "NAD_1983_HARN_Maine_2000_Central_Zone"
#define PE_N_PCS_NAD_1983_HARN_MAINE_2000_EAST \
   "NAD_1983_HARN_Maine_2000_East_Zone"
#define PE_N_PCS_NAD_1983_HARN_MAINE_2000_WEST \
   "NAD_1983_HARN_Maine_2000_West_Zone"
#define PE_N_PCS_NAD_1983_HARN_MA_I \
   "NAD_1983_HARN_StatePlane_Massachusetts_Island_FIPS_2002"
#define PE_N_PCS_NAD_1983_HARN_MA_I_FT \
   "NAD_1983_HARN_StatePlane_Massachusetts_Island_FIPS_2002_Feet"
#define PE_N_PCS_NAD_1983_HARN_MA_M \
   "NAD_1983_HARN_StatePlane_Massachusetts_Mainland_FIPS_2001"
#define PE_N_PCS_NAD_1983_HARN_MA_M_FT \
   "NAD_1983_HARN_StatePlane_Massachusetts_Mainland_FIPS_2001_Feet"
#define PE_N_PCS_NAD_1983_HARN_MD \
   "NAD_1983_HARN_StatePlane_Maryland_FIPS_1900"
#define PE_N_PCS_NAD_1983_HARN_MD_FT \
   "NAD_1983_HARN_StatePlane_Maryland_FIPS_1900_Feet"
#define PE_N_PCS_NAD_1983_HARN_ME_E \
   "NAD_1983_HARN_StatePlane_Maine_East_FIPS_1801"
#define PE_N_PCS_NAD_1983_HARN_ME_E_FT \
   "NAD_1983_HARN_StatePlane_Maine_East_FIPS_1801_Feet"
#define PE_N_PCS_NAD_1983_HARN_ME_W \
   "NAD_1983_HARN_StatePlane_Maine_West_FIPS_1802"
#define PE_N_PCS_NAD_1983_HARN_ME_W_FT \
   "NAD_1983_HARN_StatePlane_Maine_West_FIPS_1802_Feet"
#define PE_N_PCS_NAD_1983_HARN_MICHIGAN_GEOREF_M \
   "NAD_1983_HARN_Michigan_GeoRef_Meters"
#define PE_N_PCS_NAD_1983_HARN_MISSISSIPPI_TM \
   "NAD_1983_HARN_Mississippi_TM"
#define PE_N_PCS_NAD_1983_HARN_MI_C \
   "NAD_1983_HARN_StatePlane_Michigan_Central_FIPS_2112"
#define PE_N_PCS_NAD_1983_HARN_MI_C_FT_INTL \
   "NAD_1983_HARN_StatePlane_Michigan_Central_FIPS_2112_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_MI_N \
   "NAD_1983_HARN_StatePlane_Michigan_North_FIPS_2111"
#define PE_N_PCS_NAD_1983_HARN_MI_N_FT_INTL \
   "NAD_1983_HARN_StatePlane_Michigan_North_FIPS_2111_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_MI_S \
   "NAD_1983_HARN_StatePlane_Michigan_South_FIPS_2113"
#define PE_N_PCS_NAD_1983_HARN_MI_S_FT_INTL \
   "NAD_1983_HARN_StatePlane_Michigan_South_FIPS_2113_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_MN_C \
   "NAD_1983_HARN_StatePlane_Minnesota_Central_FIPS_2202"
#define PE_N_PCS_NAD_1983_HARN_MN_C_FT \
   "NAD_1983_HARN_StatePlane_Minnesota_Central_FIPS_2202_Feet"
#define PE_N_PCS_NAD_1983_HARN_MN_N \
   "NAD_1983_HARN_StatePlane_Minnesota_North_FIPS_2201"
#define PE_N_PCS_NAD_1983_HARN_MN_N_FT \
   "NAD_1983_HARN_StatePlane_Minnesota_North_FIPS_2201_Feet"
#define PE_N_PCS_NAD_1983_HARN_MN_S \
   "NAD_1983_HARN_StatePlane_Minnesota_South_FIPS_2203"
#define PE_N_PCS_NAD_1983_HARN_MN_S_FT \
   "NAD_1983_HARN_StatePlane_Minnesota_South_FIPS_2203_Feet"
#define PE_N_PCS_NAD_1983_HARN_MO_C \
   "NAD_1983_HARN_StatePlane_Missouri_Central_FIPS_2402"
#define PE_N_PCS_NAD_1983_HARN_MO_E \
   "NAD_1983_HARN_StatePlane_Missouri_East_FIPS_2401"
#define PE_N_PCS_NAD_1983_HARN_MO_W \
   "NAD_1983_HARN_StatePlane_Missouri_West_FIPS_2403"
#define PE_N_PCS_NAD_1983_HARN_MS_E \
   "NAD_1983_HARN_StatePlane_Mississippi_East_FIPS_2301"
#define PE_N_PCS_NAD_1983_HARN_MS_E_FT \
   "NAD_1983_HARN_StatePlane_Mississippi_East_FIPS_2301_Feet"
#define PE_N_PCS_NAD_1983_HARN_MS_W \
   "NAD_1983_HARN_StatePlane_Mississippi_West_FIPS_2302"
#define PE_N_PCS_NAD_1983_HARN_MS_W_FT \
   "NAD_1983_HARN_StatePlane_Mississippi_West_FIPS_2302_Feet"
#define PE_N_PCS_NAD_1983_HARN_MT \
   "NAD_1983_HARN_StatePlane_Montana_FIPS_2500"
#define PE_N_PCS_NAD_1983_HARN_MT_FT_INTL \
   "NAD_1983_HARN_StatePlane_Montana_FIPS_2500_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_NC \
   "NAD_1983_HARN_StatePlane_North_Carolina_FIPS_3200"
#define PE_N_PCS_NAD_1983_HARN_NC_FT \
   "NAD_1983_HARN_StatePlane_North_Carolina_FIPS_3200_Feet"
#define PE_N_PCS_NAD_1983_HARN_ND_N \
   "NAD_1983_HARN_StatePlane_North_Dakota_North_FIPS_3301"
#define PE_N_PCS_NAD_1983_HARN_ND_N_FT_INTL \
   "NAD_1983_HARN_StatePlane_North_Dakota_North_FIPS_3301_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_ND_S \
   "NAD_1983_HARN_StatePlane_North_Dakota_South_FIPS_3302"
#define PE_N_PCS_NAD_1983_HARN_ND_S_FT_INTL \
   "NAD_1983_HARN_StatePlane_North_Dakota_South_FIPS_3302_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_NE \
   "NAD_1983_HARN_StatePlane_Nebraska_FIPS_2600"
#define PE_N_PCS_NAD_1983_HARN_NE_FT \
   "NAD_1983_HARN_StatePlane_Nebraska_FIPS_2600_Feet"
#define PE_N_PCS_NAD_1983_HARN_NH \
   "NAD_1983_HARN_StatePlane_New_Hampshire_FIPS_2800"
#define PE_N_PCS_NAD_1983_HARN_NH_FT \
   "NAD_1983_HARN_StatePlane_New_Hampshire_FIPS_2800_Feet"
#define PE_N_PCS_NAD_1983_HARN_NJ \
   "NAD_1983_HARN_StatePlane_New_Jersey_FIPS_2900"
#define PE_N_PCS_NAD_1983_HARN_NJ_FT \
   "NAD_1983_HARN_StatePlane_New_Jersey_FIPS_2900_Feet"
#define PE_N_PCS_NAD_1983_HARN_NM_C \
   "NAD_1983_HARN_StatePlane_New_Mexico_Central_FIPS_3002"
#define PE_N_PCS_NAD_1983_HARN_NM_C_FT \
   "NAD_1983_HARN_StatePlane_New_Mexico_Central_FIPS_3002_Feet"
#define PE_N_PCS_NAD_1983_HARN_NM_E \
   "NAD_1983_HARN_StatePlane_New_Mexico_East_FIPS_3001"
#define PE_N_PCS_NAD_1983_HARN_NM_E_FT \
   "NAD_1983_HARN_StatePlane_New_Mexico_East_FIPS_3001_Feet"
#define PE_N_PCS_NAD_1983_HARN_NM_W \
   "NAD_1983_HARN_StatePlane_New_Mexico_West_FIPS_3003"
#define PE_N_PCS_NAD_1983_HARN_NM_W_FT \
   "NAD_1983_HARN_StatePlane_New_Mexico_West_FIPS_3003_Feet"
#define PE_N_PCS_NAD_1983_HARN_NV_C \
   "NAD_1983_HARN_StatePlane_Nevada_Central_FIPS_2702"
#define PE_N_PCS_NAD_1983_HARN_NV_C_FT \
   "NAD_1983_HARN_StatePlane_Nevada_Central_FIPS_2702_Feet"
#define PE_N_PCS_NAD_1983_HARN_NV_E \
   "NAD_1983_HARN_StatePlane_Nevada_East_FIPS_2701"
#define PE_N_PCS_NAD_1983_HARN_NV_E_FT \
   "NAD_1983_HARN_StatePlane_Nevada_East_FIPS_2701_Feet"
#define PE_N_PCS_NAD_1983_HARN_NV_W \
   "NAD_1983_HARN_StatePlane_Nevada_West_FIPS_2703"
#define PE_N_PCS_NAD_1983_HARN_NV_W_FT \
   "NAD_1983_HARN_StatePlane_Nevada_West_FIPS_2703_Feet"
#define PE_N_PCS_NAD_1983_HARN_NY_C \
   "NAD_1983_HARN_StatePlane_New_York_Central_FIPS_3102"
#define PE_N_PCS_NAD_1983_HARN_NY_C_FT \
   "NAD_1983_HARN_StatePlane_New_York_Central_FIPS_3102_Feet"
#define PE_N_PCS_NAD_1983_HARN_NY_E \
   "NAD_1983_HARN_StatePlane_New_York_East_FIPS_3101"
#define PE_N_PCS_NAD_1983_HARN_NY_E_FT \
   "NAD_1983_HARN_StatePlane_New_York_East_FIPS_3101_Feet"
#define PE_N_PCS_NAD_1983_HARN_NY_LI \
   "NAD_1983_HARN_StatePlane_New_York_Long_Island_FIPS_3104"
#define PE_N_PCS_NAD_1983_HARN_NY_LI_FT \
   "NAD_1983_HARN_StatePlane_New_York_Long_Island_FIPS_3104_Feet"
#define PE_N_PCS_NAD_1983_HARN_NY_W \
   "NAD_1983_HARN_StatePlane_New_York_West_FIPS_3103"
#define PE_N_PCS_NAD_1983_HARN_NY_W_FT \
   "NAD_1983_HARN_StatePlane_New_York_West_FIPS_3103_Feet"
#define PE_N_PCS_NAD_1983_HARN_OH_N \
   "NAD_1983_HARN_StatePlane_Ohio_North_FIPS_3401"
#define PE_N_PCS_NAD_1983_HARN_OH_N_FT \
   "NAD_1983_HARN_StatePlane_Ohio_North_FIPS_3401_Feet"
#define PE_N_PCS_NAD_1983_HARN_OH_S \
   "NAD_1983_HARN_StatePlane_Ohio_South_FIPS_3402"
#define PE_N_PCS_NAD_1983_HARN_OH_S_FT \
   "NAD_1983_HARN_StatePlane_Ohio_South_FIPS_3402_Feet"
#define PE_N_PCS_NAD_1983_HARN_OK_N \
   "NAD_1983_HARN_StatePlane_Oklahoma_North_FIPS_3501"
#define PE_N_PCS_NAD_1983_HARN_OK_N_FT \
   "NAD_1983_HARN_StatePlane_Oklahoma_North_FIPS_3501_Feet"
#define PE_N_PCS_NAD_1983_HARN_OK_S \
   "NAD_1983_HARN_StatePlane_Oklahoma_South_FIPS_3502"
#define PE_N_PCS_NAD_1983_HARN_OK_S_FT \
   "NAD_1983_HARN_StatePlane_Oklahoma_South_FIPS_3502_Feet"
#define PE_N_PCS_NAD_1983_HARN_OREGON_LAMBERT \
   "NAD_1983_HARN_Oregon_Statewide_Lambert"
#define PE_N_PCS_NAD_1983_HARN_OREGON_LAMBERT_FT_INTL \
   "NAD_1983_HARN_Oregon_Statewide_Lambert_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_OR_N \
   "NAD_1983_HARN_StatePlane_Oregon_North_FIPS_3601"
#define PE_N_PCS_NAD_1983_HARN_OR_N_FT_INTL \
   "NAD_1983_HARN_StatePlane_Oregon_North_FIPS_3601_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_OR_S \
   "NAD_1983_HARN_StatePlane_Oregon_South_FIPS_3602"
#define PE_N_PCS_NAD_1983_HARN_OR_S_FT_INTL \
   "NAD_1983_HARN_StatePlane_Oregon_South_FIPS_3602_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_PA_N \
   "NAD_1983_HARN_StatePlane_Pennsylvania_North_FIPS_3701"
#define PE_N_PCS_NAD_1983_HARN_PA_N_FT \
   "NAD_1983_HARN_StatePlane_Pennsylvania_North_FIPS_3701_Feet"
#define PE_N_PCS_NAD_1983_HARN_PA_S \
   "NAD_1983_HARN_StatePlane_Pennsylvania_South_FIPS_3702"
#define PE_N_PCS_NAD_1983_HARN_PA_S_FT \
   "NAD_1983_HARN_StatePlane_Pennsylvania_South_FIPS_3702_Feet"
#define PE_N_PCS_NAD_1983_HARN_PR_VI \
   "NAD_1983_HARN_StatePlane_Puerto_Rico_Virgin_Islands_FIPS_5200"
#define PE_N_PCS_NAD_1983_HARN_RI \
   "NAD_1983_HARN_StatePlane_Rhode_Island_FIPS_3800"
#define PE_N_PCS_NAD_1983_HARN_RI_FT \
   "NAD_1983_HARN_StatePlane_Rhode_Island_FIPS_3800_Feet"
#define PE_N_PCS_NAD_1983_HARN_SC \
   "NAD_1983_HARN_StatePlane_South_Carolina_FIPS_3900"
#define PE_N_PCS_NAD_1983_HARN_SC_FT_INTL \
   "NAD_1983_HARN_StatePlane_South_Carolina_FIPS_3900_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_SD_N \
   "NAD_1983_HARN_StatePlane_South_Dakota_North_FIPS_4001"
#define PE_N_PCS_NAD_1983_HARN_SD_N_FT \
   "NAD_1983_HARN_StatePlane_South_Dakota_North_FIPS_4001_Feet"
#define PE_N_PCS_NAD_1983_HARN_SD_S \
   "NAD_1983_HARN_StatePlane_South_Dakota_South_FIPS_4002"
#define PE_N_PCS_NAD_1983_HARN_SD_S_FT \
   "NAD_1983_HARN_StatePlane_South_Dakota_South_FIPS_4002_Feet"
#define PE_N_PCS_NAD_1983_HARN_TEXAS_CENTRIC_ALBERS \
   "NAD_1983_HARN_Texas_Centric_Mapping_System_Albers"
#define PE_N_PCS_NAD_1983_HARN_TEXAS_CENTRIC_LAMBERT \
   "NAD_1983_HARN_Texas_Centric_Mapping_System_Lambert"
#define PE_N_PCS_NAD_1983_HARN_TN \
   "NAD_1983_HARN_StatePlane_Tennessee_FIPS_4100"
#define PE_N_PCS_NAD_1983_HARN_TN_FT \
   "NAD_1983_HARN_StatePlane_Tennessee_FIPS_4100_Feet"
#define PE_N_PCS_NAD_1983_HARN_TX_C \
   "NAD_1983_HARN_StatePlane_Texas_Central_FIPS_4203"
#define PE_N_PCS_NAD_1983_HARN_TX_C_FT \
   "NAD_1983_HARN_StatePlane_Texas_Central_FIPS_4203_Feet"
#define PE_N_PCS_NAD_1983_HARN_TX_N \
   "NAD_1983_HARN_StatePlane_Texas_North_FIPS_4201"
#define PE_N_PCS_NAD_1983_HARN_TX_NC \
   "NAD_1983_HARN_StatePlane_Texas_North_Central_FIPS_4202"
#define PE_N_PCS_NAD_1983_HARN_TX_NC_FT \
   "NAD_1983_HARN_StatePlane_Texas_North_Central_FIPS_4202_Feet"
#define PE_N_PCS_NAD_1983_HARN_TX_N_FT \
   "NAD_1983_HARN_StatePlane_Texas_North_FIPS_4201_Feet"
#define PE_N_PCS_NAD_1983_HARN_TX_S \
   "NAD_1983_HARN_StatePlane_Texas_South_FIPS_4205"
#define PE_N_PCS_NAD_1983_HARN_TX_SC \
   "NAD_1983_HARN_StatePlane_Texas_South_Central_FIPS_4204"
#define PE_N_PCS_NAD_1983_HARN_TX_SC_FT \
   "NAD_1983_HARN_StatePlane_Texas_South_Central_FIPS_4204_Feet"
#define PE_N_PCS_NAD_1983_HARN_TX_S_FT \
   "NAD_1983_HARN_StatePlane_Texas_South_FIPS_4205_Feet"
#define PE_N_PCS_NAD_1983_HARN_UTM_10N \
   "NAD_1983_HARN_UTM_Zone_10N"
#define PE_N_PCS_NAD_1983_HARN_UTM_11N \
   "NAD_1983_HARN_UTM_Zone_11N"
#define PE_N_PCS_NAD_1983_HARN_UTM_12N \
   "NAD_1983_HARN_UTM_Zone_12N"
#define PE_N_PCS_NAD_1983_HARN_UTM_13N \
   "NAD_1983_HARN_UTM_Zone_13N"
#define PE_N_PCS_NAD_1983_HARN_UTM_14N \
   "NAD_1983_HARN_UTM_Zone_14N"
#define PE_N_PCS_NAD_1983_HARN_UTM_15N \
   "NAD_1983_HARN_UTM_Zone_15N"
#define PE_N_PCS_NAD_1983_HARN_UTM_16N \
   "NAD_1983_HARN_UTM_Zone_16N"
#define PE_N_PCS_NAD_1983_HARN_UTM_17N \
   "NAD_1983_HARN_UTM_Zone_17N"
#define PE_N_PCS_NAD_1983_HARN_UTM_18N \
   "NAD_1983_HARN_UTM_Zone_18N"
#define PE_N_PCS_NAD_1983_HARN_UTM_19N \
   "NAD_1983_HARN_UTM_Zone_19N"
#define PE_N_PCS_NAD_1983_HARN_UTM_2S \
   "NAD_1983_HARN_UTM_Zone_2S"
#define PE_N_PCS_NAD_1983_HARN_UTM_4N \
   "NAD_1983_HARN_UTM_Zone_4N"
#define PE_N_PCS_NAD_1983_HARN_UTM_5N \
   "NAD_1983_HARN_UTM_Zone_5N"
#define PE_N_PCS_NAD_1983_HARN_UT_C \
   "NAD_1983_HARN_StatePlane_Utah_Central_FIPS_4302"
#define PE_N_PCS_NAD_1983_HARN_UT_C_FT \
   "NAD_1983_HARN_StatePlane_Utah_Central_FIPS_4302_Feet"
#define PE_N_PCS_NAD_1983_HARN_UT_C_FT_INTL \
   "NAD_1983_HARN_StatePlane_Utah_Central_FIPS_4302_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_UT_N \
   "NAD_1983_HARN_StatePlane_Utah_North_FIPS_4301"
#define PE_N_PCS_NAD_1983_HARN_UT_N_FT \
   "NAD_1983_HARN_StatePlane_Utah_North_FIPS_4301_Feet"
#define PE_N_PCS_NAD_1983_HARN_UT_N_FT_INTL \
   "NAD_1983_HARN_StatePlane_Utah_North_FIPS_4301_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_UT_S \
   "NAD_1983_HARN_StatePlane_Utah_South_FIPS_4303"
#define PE_N_PCS_NAD_1983_HARN_UT_S_FT \
   "NAD_1983_HARN_StatePlane_Utah_South_FIPS_4303_Feet"
#define PE_N_PCS_NAD_1983_HARN_UT_S_FT_INTL \
   "NAD_1983_HARN_StatePlane_Utah_South_FIPS_4303_Feet_Intl"
#define PE_N_PCS_NAD_1983_HARN_VA_N \
   "NAD_1983_HARN_StatePlane_Virginia_North_FIPS_4501"
#define PE_N_PCS_NAD_1983_HARN_VA_N_FT \
   "NAD_1983_HARN_StatePlane_Virginia_North_FIPS_4501_Feet"
#define PE_N_PCS_NAD_1983_HARN_VA_S \
   "NAD_1983_HARN_StatePlane_Virginia_South_FIPS_4502"
#define PE_N_PCS_NAD_1983_HARN_VA_S_FT \
   "NAD_1983_HARN_StatePlane_Virginia_South_FIPS_4502_Feet"
#define PE_N_PCS_NAD_1983_HARN_VIRGINIA_LAMBERT \
   "NAD_1983_HARN_Virginia_Lambert"
#define PE_N_PCS_NAD_1983_HARN_VT \
   "NAD_1983_HARN_StatePlane_Vermont_FIPS_4400"
#define PE_N_PCS_NAD_1983_HARN_WA_N \
   "NAD_1983_HARN_StatePlane_Washington_North_FIPS_4601"
#define PE_N_PCS_NAD_1983_HARN_WA_N_BELLEVUE_FTUS \
   "COB_NAD83_2007"
#define PE_N_PCS_NAD_1983_HARN_WA_N_FT \
   "NAD_1983_HARN_StatePlane_Washington_North_FIPS_4601_Feet"
#define PE_N_PCS_NAD_1983_HARN_WA_S \
   "NAD_1983_HARN_StatePlane_Washington_South_FIPS_4602"
#define PE_N_PCS_NAD_1983_HARN_WA_S_FT \
   "NAD_1983_HARN_StatePlane_Washington_South_FIPS_4602_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCONSIN_TM \
   "NAD_1983_HARN_Wisconsin_TM"
#define PE_N_PCS_NAD_1983_HARN_WISCONSIN_TM_FT_US \
   "NAD_1983_HARN_Wisconsin_TM_US_Ft"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_AD_FT \
   "NAD_1983_HARN_WISCRS_Adams_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_AD_M \
   "NAD_1983_HARN_WISCRS_Adams_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_AL_FT \
   "NAD_1983_HARN_WISCRS_Ashland_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_AL_M \
   "NAD_1983_HARN_WISCRS_Ashland_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_BA_FT \
   "NAD_1983_HARN_WISCRS_Barron_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_BA_M \
   "NAD_1983_HARN_WISCRS_Barron_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_BF_FT \
   "NAD_1983_HARN_WISCRS_Bayfield_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_BF_M \
   "NAD_1983_HARN_WISCRS_Bayfield_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_BN_FT \
   "NAD_1983_HARN_WISCRS_Burnett_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_BN_M \
   "NAD_1983_HARN_WISCRS_Burnett_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_BR_FT \
   "NAD_1983_HARN_WISCRS_Brown_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_BR_M \
   "NAD_1983_HARN_WISCRS_Brown_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_BU_FT \
   "NAD_1983_HARN_WISCRS_Buffalo_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_BU_M \
   "NAD_1983_HARN_WISCRS_Buffalo_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_CK_FT \
   "NAD_1983_HARN_WISCRS_Clark_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_CK_M \
   "NAD_1983_HARN_WISCRS_Clark_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_CL_FT \
   "NAD_1983_HARN_WISCRS_Calumet_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_CL_M \
   "NAD_1983_HARN_WISCRS_Calumet_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_CO_FT \
   "NAD_1983_HARN_WISCRS_Columbia_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_CO_M \
   "NAD_1983_HARN_WISCRS_Columbia_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_CP_FT \
   "NAD_1983_HARN_WISCRS_Chippewa_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_CP_M \
   "NAD_1983_HARN_WISCRS_Chippewa_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_CR_FT \
   "NAD_1983_HARN_WISCRS_Crawford_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_CR_M \
   "NAD_1983_HARN_WISCRS_Crawford_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_DD_FT \
   "NAD_1983_HARN_WISCRS_Dodge_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_DD_M \
   "NAD_1983_HARN_WISCRS_Dodge_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_DG_FT \
   "NAD_1983_HARN_WISCRS_Douglas_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_DG_M \
   "NAD_1983_HARN_WISCRS_Douglas_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_DN_FT \
   "NAD_1983_HARN_WISCRS_Dane_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_DN_M \
   "NAD_1983_HARN_WISCRS_Dane_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_DR_FT \
   "NAD_1983_HARN_WISCRS_Door_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_DR_M \
   "NAD_1983_HARN_WISCRS_Door_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_DU_FT \
   "NAD_1983_HARN_WISCRS_Dunn_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_DU_M \
   "NAD_1983_HARN_WISCRS_Dunn_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_EC_FT \
   "NAD_1983_HARN_WISCRS_EauClaire_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_EC_M \
   "NAD_1983_HARN_WISCRS_EauClaire_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_FL_FT \
   "NAD_1983_HARN_WISCRS_Fond_du_Lac_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_FL_M \
   "NAD_1983_HARN_WISCRS_Fond_du_Lac_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_FN_FT \
   "NAD_1983_HARN_WISCRS_Florence_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_FN_M \
   "NAD_1983_HARN_WISCRS_Florence_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_FR_FT \
   "NAD_1983_HARN_WISCRS_Forest_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_FR_M \
   "NAD_1983_HARN_WISCRS_Forest_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_GL_FT \
   "NAD_1983_HARN_WISCRS_GreenLake_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_GL_M \
   "NAD_1983_HARN_WISCRS_GreenLake_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_GR_FT \
   "NAD_1983_HARN_WISCRS_Green_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_GR_M \
   "NAD_1983_HARN_WISCRS_Green_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_GT_FT \
   "NAD_1983_HARN_WISCRS_Grant_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_GT_M \
   "NAD_1983_HARN_WISCRS_Grant_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_IA_FT \
   "NAD_1983_HARN_WISCRS_Iowa_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_IA_M \
   "NAD_1983_HARN_WISCRS_Iowa_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_IR_FT \
   "NAD_1983_HARN_WISCRS_Iron_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_IR_M \
   "NAD_1983_HARN_WISCRS_Iron_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_JA_FT \
   "NAD_1983_HARN_WISCRS_Jackson_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_JA_M \
   "NAD_1983_HARN_WISCRS_Jackson_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_JF_FT \
   "NAD_1983_HARN_WISCRS_Jefferson_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_JF_M \
   "NAD_1983_HARN_WISCRS_Jefferson_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_JN_FT \
   "NAD_1983_HARN_WISCRS_Juneau_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_JN_M \
   "NAD_1983_HARN_WISCRS_Juneau_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_KN_FT \
   "NAD_1983_HARN_WISCRS_Kenosha_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_KN_M \
   "NAD_1983_HARN_WISCRS_Kenosha_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_KW_FT \
   "NAD_1983_HARN_WISCRS_Kewaunee_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_KW_M \
   "NAD_1983_HARN_WISCRS_Kewaunee_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_LC_FT \
   "NAD_1983_HARN_WISCRS_LaCrosse_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_LC_M \
   "NAD_1983_HARN_WISCRS_LaCrosse_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_LF_FT \
   "NAD_1983_HARN_WISCRS_Lafayette_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_LF_M \
   "NAD_1983_HARN_WISCRS_Lafayette_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_LG_FT \
   "NAD_1983_HARN_WISCRS_Langlade_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_LG_M \
   "NAD_1983_HARN_WISCRS_Langlade_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_LN_FT \
   "NAD_1983_HARN_WISCRS_Lincoln_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_LN_M \
   "NAD_1983_HARN_WISCRS_Lincoln_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_MA_FT \
   "NAD_1983_HARN_WISCRS_Marathon_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_MA_M \
   "NAD_1983_HARN_WISCRS_Marathon_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_ME_FT \
   "NAD_1983_HARN_WISCRS_Menominee_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_ME_M \
   "NAD_1983_HARN_WISCRS_Menominee_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_MN_FT \
   "NAD_1983_HARN_WISCRS_Marinette_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_MN_M \
   "NAD_1983_HARN_WISCRS_Marinette_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_MQ_FT \
   "NAD_1983_HARN_WISCRS_Marquette_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_MQ_M \
   "NAD_1983_HARN_WISCRS_Marquette_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_MR_FT \
   "NAD_1983_HARN_WISCRS_Monroe_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_MR_M \
   "NAD_1983_HARN_WISCRS_Monroe_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_MT_FT \
   "NAD_1983_HARN_WISCRS_Manitowoc_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_MT_M \
   "NAD_1983_HARN_WISCRS_Manitowoc_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_MW_FT \
   "NAD_1983_HARN_WISCRS_Milwaukee_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_MW_M \
   "NAD_1983_HARN_WISCRS_Milwaukee_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_OC_FT \
   "NAD_1983_HARN_WISCRS_Oconto_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_OC_M \
   "NAD_1983_HARN_WISCRS_Oconto_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_OG_FT \
   "NAD_1983_HARN_WISCRS_Outagamie_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_OG_M \
   "NAD_1983_HARN_WISCRS_Outagamie_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_ON_FT \
   "NAD_1983_HARN_WISCRS_Oneida_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_ON_M \
   "NAD_1983_HARN_WISCRS_Oneida_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_OZ_FT \
   "NAD_1983_HARN_WISCRS_Ozaukee_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_OZ_M \
   "NAD_1983_HARN_WISCRS_Ozaukee_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_PC_FT \
   "NAD_1983_HARN_WISCRS_Pierce_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_PC_M \
   "NAD_1983_HARN_WISCRS_Pierce_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_PK_FT \
   "NAD_1983_HARN_WISCRS_Polk_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_PK_M \
   "NAD_1983_HARN_WISCRS_Polk_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_PP_FT \
   "NAD_1983_HARN_WISCRS_Pepin_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_PP_M \
   "NAD_1983_HARN_WISCRS_Pepin_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_PR_FT \
   "NAD_1983_HARN_WISCRS_Price_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_PR_M \
   "NAD_1983_HARN_WISCRS_Price_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_PT_FT \
   "NAD_1983_HARN_WISCRS_Portage_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_PT_M \
   "NAD_1983_HARN_WISCRS_Portage_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_RA_FT \
   "NAD_1983_HARN_WISCRS_Racine_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_RA_M \
   "NAD_1983_HARN_WISCRS_Racine_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_RC_FT \
   "NAD_1983_HARN_WISCRS_Richland_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_RC_M \
   "NAD_1983_HARN_WISCRS_Richland_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_RK_FT \
   "NAD_1983_HARN_WISCRS_Rock_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_RK_M \
   "NAD_1983_HARN_WISCRS_Rock_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_RS_FT \
   "NAD_1983_HARN_WISCRS_Rusk_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_RS_M \
   "NAD_1983_HARN_WISCRS_Rusk_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_SC_FT \
   "NAD_1983_HARN_WISCRS_St_Croix_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_SC_M \
   "NAD_1983_HARN_WISCRS_St_Croix_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_SG_FT \
   "NAD_1983_HARN_WISCRS_Sheboygan_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_SG_M \
   "NAD_1983_HARN_WISCRS_Sheboygan_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_SH_FT \
   "NAD_1983_HARN_WISCRS_Shawano_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_SH_M \
   "NAD_1983_HARN_WISCRS_Shawano_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_SK_FT \
   "NAD_1983_HARN_WISCRS_Sauk_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_SK_M \
   "NAD_1983_HARN_WISCRS_Sauk_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_SW_FT \
   "NAD_1983_HARN_WISCRS_Sawyer_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_SW_M \
   "NAD_1983_HARN_WISCRS_Sawyer_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_TA_FT \
   "NAD_1983_HARN_WISCRS_Taylor_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_TA_M \
   "NAD_1983_HARN_WISCRS_Taylor_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_TR_FT \
   "NAD_1983_HARN_WISCRS_Trempealeau_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_TR_M \
   "NAD_1983_HARN_WISCRS_Trempealeau_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_VI_FT \
   "NAD_1983_HARN_WISCRS_Vilas_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_VI_M \
   "NAD_1983_HARN_WISCRS_Vilas_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_VR_FT \
   "NAD_1983_HARN_WISCRS_Vernon_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_VR_M \
   "NAD_1983_HARN_WISCRS_Vernon_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WA_FT \
   "NAD_1983_HARN_WISCRS_Washington_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WA_M \
   "NAD_1983_HARN_WISCRS_Washington_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WB_FT \
   "NAD_1983_HARN_WISCRS_Washburn_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WB_M \
   "NAD_1983_HARN_WISCRS_Washburn_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WD_FT \
   "NAD_1983_HARN_WISCRS_Wood_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WD_M \
   "NAD_1983_HARN_WISCRS_Wood_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WK_FT \
   "NAD_1983_HARN_WISCRS_Waukesha_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WK_M \
   "NAD_1983_HARN_WISCRS_Waukesha_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WN_FT \
   "NAD_1983_HARN_WISCRS_Winnebago_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WN_M \
   "NAD_1983_HARN_WISCRS_Winnebago_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WP_FT \
   "NAD_1983_HARN_WISCRS_Waupaca_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WP_M \
   "NAD_1983_HARN_WISCRS_Waupaca_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WS_FT \
   "NAD_1983_HARN_WISCRS_Waushara_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WS_M \
   "NAD_1983_HARN_WISCRS_Waushara_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WW_FT \
   "NAD_1983_HARN_WISCRS_Walworth_County_Feet"
#define PE_N_PCS_NAD_1983_HARN_WISCRS_WW_M \
   "NAD_1983_HARN_WISCRS_Walworth_County_Meters"
#define PE_N_PCS_NAD_1983_HARN_WI_C \
   "NAD_1983_HARN_StatePlane_Wisconsin_Central_FIPS_4802"
#define PE_N_PCS_NAD_1983_HARN_WI_C_FT \
   "NAD_1983_HARN_StatePlane_Wisconsin_Central_FIPS_4802_Feet"
#define PE_N_PCS_NAD_1983_HARN_WI_N \
   "NAD_1983_HARN_StatePlane_Wisconsin_North_FIPS_4801"
#define PE_N_PCS_NAD_1983_HARN_WI_N_FT \
   "NAD_1983_HARN_StatePlane_Wisconsin_North_FIPS_4801_Feet"
#define PE_N_PCS_NAD_1983_HARN_WI_S \
   "NAD_1983_HARN_StatePlane_Wisconsin_South_FIPS_4803"
#define PE_N_PCS_NAD_1983_HARN_WI_S_FT \
   "NAD_1983_HARN_StatePlane_Wisconsin_South_FIPS_4803_Feet"
#define PE_N_PCS_NAD_1983_HARN_WV_N \
   "NAD_1983_HARN_StatePlane_West_Virginia_North_FIPS_4701"
#define PE_N_PCS_NAD_1983_HARN_WV_N_FT \
   "NAD_1983_HARN_StatePlane_West_Virginia_North_FIPS_4701_Feet"
#define PE_N_PCS_NAD_1983_HARN_WV_S \
   "NAD_1983_HARN_StatePlane_West_Virginia_South_FIPS_4702"
#define PE_N_PCS_NAD_1983_HARN_WV_S_FT \
   "NAD_1983_HARN_StatePlane_West_Virginia_South_FIPS_4702_Feet"
#define PE_N_PCS_NAD_1983_HARN_WY_E \
   "NAD_1983_HARN_StatePlane_Wyoming_East_FIPS_4901"
#define PE_N_PCS_NAD_1983_HARN_WY_EC \
   "NAD_1983_HARN_StatePlane_Wyoming_East_Central_FIPS_4902"
#define PE_N_PCS_NAD_1983_HARN_WY_EC_FT \
   "NAD_1983_HARN_StatePlane_Wyoming_East_Central_FIPS_4902_Feet"
#define PE_N_PCS_NAD_1983_HARN_WY_E_FT \
   "NAD_1983_HARN_StatePlane_Wyoming_East_FIPS_4901_Feet"
#define PE_N_PCS_NAD_1983_HARN_WY_W \
   "NAD_1983_HARN_StatePlane_Wyoming_West_FIPS_4904"
#define PE_N_PCS_NAD_1983_HARN_WY_WC \
   "NAD_1983_HARN_StatePlane_Wyoming_West_Central_FIPS_4903"
#define PE_N_PCS_NAD_1983_HARN_WY_WC_FT \
   "NAD_1983_HARN_StatePlane_Wyoming_West_Central_FIPS_4903_Feet"
#define PE_N_PCS_NAD_1983_HARN_WY_W_FT \
   "NAD_1983_HARN_StatePlane_Wyoming_West_FIPS_4904_Feet"
#define PE_N_PCS_NAD_1983_HAWAII_ALBERS \
   "Hawaii_Albers_Equal_Area_Conic"
#define PE_N_PCS_NAD_1983_HI_1 \
   "NAD_1983_StatePlane_Hawaii_1_FIPS_5101"
#define PE_N_PCS_NAD_1983_HI_1_FT \
   "NAD_1983_StatePlane_Hawaii_1_FIPS_5101_Feet"
#define PE_N_PCS_NAD_1983_HI_2 \
   "NAD_1983_StatePlane_Hawaii_2_FIPS_5102"
#define PE_N_PCS_NAD_1983_HI_2_FT \
   "NAD_1983_StatePlane_Hawaii_2_FIPS_5102_Feet"
#define PE_N_PCS_NAD_1983_HI_3 \
   "NAD_1983_StatePlane_Hawaii_3_FIPS_5103"
#define PE_N_PCS_NAD_1983_HI_3_FT \
   "NAD_1983_StatePlane_Hawaii_3_FIPS_5103_Feet"
#define PE_N_PCS_NAD_1983_HI_4 \
   "NAD_1983_StatePlane_Hawaii_4_FIPS_5104"
#define PE_N_PCS_NAD_1983_HI_4_FT \
   "NAD_1983_StatePlane_Hawaii_4_FIPS_5104_Feet"
#define PE_N_PCS_NAD_1983_HI_5 \
   "NAD_1983_StatePlane_Hawaii_5_FIPS_5105"
#define PE_N_PCS_NAD_1983_HI_5_FT \
   "NAD_1983_StatePlane_Hawaii_5_FIPS_5105_Feet"
#define PE_N_PCS_NAD_1983_IA_N \
   "NAD_1983_StatePlane_Iowa_North_FIPS_1401"
#define PE_N_PCS_NAD_1983_IA_N_FT \
   "NAD_1983_StatePlane_Iowa_North_FIPS_1401_Feet"
#define PE_N_PCS_NAD_1983_IA_S \
   "NAD_1983_StatePlane_Iowa_South_FIPS_1402"
#define PE_N_PCS_NAD_1983_IA_S_FT \
   "NAD_1983_StatePlane_Iowa_South_FIPS_1402_Feet"
#define PE_N_PCS_NAD_1983_IDAHO_TM \
   "NAD_1983_Idaho_TM"
#define PE_N_PCS_NAD_1983_ID_C \
   "NAD_1983_StatePlane_Idaho_Central_FIPS_1102"
#define PE_N_PCS_NAD_1983_ID_C_FT \
   "NAD_1983_StatePlane_Idaho_Central_FIPS_1102_Feet"
#define PE_N_PCS_NAD_1983_ID_E \
   "NAD_1983_StatePlane_Idaho_East_FIPS_1101"
#define PE_N_PCS_NAD_1983_ID_E_FT \
   "NAD_1983_StatePlane_Idaho_East_FIPS_1101_Feet"
#define PE_N_PCS_NAD_1983_ID_W \
   "NAD_1983_StatePlane_Idaho_West_FIPS_1103"
#define PE_N_PCS_NAD_1983_ID_W_FT \
   "NAD_1983_StatePlane_Idaho_West_FIPS_1103_Feet"
#define PE_N_PCS_NAD_1983_IL_E \
   "NAD_1983_StatePlane_Illinois_East_FIPS_1201"
#define PE_N_PCS_NAD_1983_IL_E_FT \
   "NAD_1983_StatePlane_Illinois_East_FIPS_1201_Feet"
#define PE_N_PCS_NAD_1983_IL_W \
   "NAD_1983_StatePlane_Illinois_West_FIPS_1202"
#define PE_N_PCS_NAD_1983_IL_W_FT \
   "NAD_1983_StatePlane_Illinois_West_FIPS_1202_Feet"
#define PE_N_PCS_NAD_1983_IN_E \
   "NAD_1983_StatePlane_Indiana_East_FIPS_1301"
#define PE_N_PCS_NAD_1983_IN_E_FT \
   "NAD_1983_StatePlane_Indiana_East_FIPS_1301_Feet"
#define PE_N_PCS_NAD_1983_IN_W \
   "NAD_1983_StatePlane_Indiana_West_FIPS_1302"
#define PE_N_PCS_NAD_1983_IN_W_FT \
   "NAD_1983_StatePlane_Indiana_West_FIPS_1302_Feet"
#define PE_N_PCS_NAD_1983_KS_N \
   "NAD_1983_StatePlane_Kansas_North_FIPS_1501"
#define PE_N_PCS_NAD_1983_KS_N_FT \
   "NAD_1983_StatePlane_Kansas_North_FIPS_1501_Feet"
#define PE_N_PCS_NAD_1983_KS_S \
   "NAD_1983_StatePlane_Kansas_South_FIPS_1502"
#define PE_N_PCS_NAD_1983_KS_S_FT \
   "NAD_1983_StatePlane_Kansas_South_FIPS_1502_Feet"
#define PE_N_PCS_NAD_1983_KY \
   "NAD_1983_StatePlane_Kentucky_FIPS_1600"
#define PE_N_PCS_NAD_1983_KY_FT \
   "NAD_1983_StatePlane_Kentucky_FIPS_1600_Feet"
#define PE_N_PCS_NAD_1983_KY_N \
   "NAD_1983_StatePlane_Kentucky_North_FIPS_1601"
#define PE_N_PCS_NAD_1983_KY_N_FT \
   "NAD_1983_StatePlane_Kentucky_North_FIPS_1601_Feet"
#define PE_N_PCS_NAD_1983_KY_S \
   "NAD_1983_StatePlane_Kentucky_South_FIPS_1602"
#define PE_N_PCS_NAD_1983_KY_S_FT \
   "NAD_1983_StatePlane_Kentucky_South_FIPS_1602_Feet"
#define PE_N_PCS_NAD_1983_LA_N \
   "NAD_1983_StatePlane_Louisiana_North_FIPS_1701"
#define PE_N_PCS_NAD_1983_LA_N_FT \
   "NAD_1983_StatePlane_Louisiana_North_FIPS_1701_Feet"
#define PE_N_PCS_NAD_1983_LA_O \
   "NAD_1983_StatePlane_Louisiana_Offshore_FIPS_1703"
#define PE_N_PCS_NAD_1983_LA_O_FT \
   "NAD_1983_StatePlane_Louisiana_Offshore_FIPS_1703_Feet"
#define PE_N_PCS_NAD_1983_LA_S \
   "NAD_1983_StatePlane_Louisiana_South_FIPS_1702"
#define PE_N_PCS_NAD_1983_LA_S_FT \
   "NAD_1983_StatePlane_Louisiana_South_FIPS_1702_Feet"
#define PE_N_PCS_NAD_1983_MAINE_2000_CENTRAL \
   "NAD_1983_Maine_2000_Central_Zone"
#define PE_N_PCS_NAD_1983_MAINE_2000_EAST \
   "NAD_1983_Maine_2000_East_Zone"
#define PE_N_PCS_NAD_1983_MAINE_2000_WEST \
   "NAD_1983_Maine_2000_West_Zone"
#define PE_N_PCS_NAD_1983_MA_I \
   "NAD_1983_StatePlane_Massachusetts_Island_FIPS_2002"
#define PE_N_PCS_NAD_1983_MA_I_FT \
   "NAD_1983_StatePlane_Massachusetts_Island_FIPS_2002_Feet"
#define PE_N_PCS_NAD_1983_MA_M \
   "NAD_1983_StatePlane_Massachusetts_Mainland_FIPS_2001"
#define PE_N_PCS_NAD_1983_MA_M_FT \
   "NAD_1983_StatePlane_Massachusetts_Mainland_FIPS_2001_Feet"
#define PE_N_PCS_NAD_1983_MD \
   "NAD_1983_StatePlane_Maryland_FIPS_1900"
#define PE_N_PCS_NAD_1983_MD_FT \
   "NAD_1983_StatePlane_Maryland_FIPS_1900_Feet"
#define PE_N_PCS_NAD_1983_ME_E \
   "NAD_1983_StatePlane_Maine_East_FIPS_1801"
#define PE_N_PCS_NAD_1983_ME_E_FT \
   "NAD_1983_StatePlane_Maine_East_FIPS_1801_Feet"
#define PE_N_PCS_NAD_1983_ME_W \
   "NAD_1983_StatePlane_Maine_West_FIPS_1802"
#define PE_N_PCS_NAD_1983_ME_W_FT \
   "NAD_1983_StatePlane_Maine_West_FIPS_1802_Feet"
#define PE_N_PCS_NAD_1983_MICHIGAN_GEOREF \
   "NAD_1983_Michigan_GeoRef_Feet_US"
#define PE_N_PCS_NAD_1983_MICHIGAN_GEOREF_M \
   "NAD_1983_Michigan_GeoRef_Meters"
#define PE_N_PCS_NAD_1983_MISSISSIPPI_TM \
   "NAD_1983_Mississippi_TM"
#define PE_N_PCS_NAD_1983_MI_C \
   "NAD_1983_StatePlane_Michigan_Central_FIPS_2112"
#define PE_N_PCS_NAD_1983_MI_C_FT \
   "NAD_1983_StatePlane_Michigan_Central_FIPS_2112_Feet"
#define PE_N_PCS_NAD_1983_MI_C_FT_INTL \
   "NAD_1983_StatePlane_Michigan_Central_FIPS_2112_Feet_Intl"
#define PE_N_PCS_NAD_1983_MI_N \
   "NAD_1983_StatePlane_Michigan_North_FIPS_2111"
#define PE_N_PCS_NAD_1983_MI_N_FT \
   "NAD_1983_StatePlane_Michigan_North_FIPS_2111_Feet"
#define PE_N_PCS_NAD_1983_MI_N_FT_INTL \
   "NAD_1983_StatePlane_Michigan_North_FIPS_2111_Feet_Intl"
#define PE_N_PCS_NAD_1983_MI_S \
   "NAD_1983_StatePlane_Michigan_South_FIPS_2113"
#define PE_N_PCS_NAD_1983_MI_S_FT \
   "NAD_1983_StatePlane_Michigan_South_FIPS_2113_Feet"
#define PE_N_PCS_NAD_1983_MI_S_FT_INTL \
   "NAD_1983_StatePlane_Michigan_South_FIPS_2113_Feet_Intl"
#define PE_N_PCS_NAD_1983_MN_C \
   "NAD_1983_StatePlane_Minnesota_Central_FIPS_2202"
#define PE_N_PCS_NAD_1983_MN_C_FT \
   "NAD_1983_StatePlane_Minnesota_Central_FIPS_2202_Feet"
#define PE_N_PCS_NAD_1983_MN_N \
   "NAD_1983_StatePlane_Minnesota_North_FIPS_2201"
#define PE_N_PCS_NAD_1983_MN_N_FT \
   "NAD_1983_StatePlane_Minnesota_North_FIPS_2201_Feet"
#define PE_N_PCS_NAD_1983_MN_S \
   "NAD_1983_StatePlane_Minnesota_South_FIPS_2203"
#define PE_N_PCS_NAD_1983_MN_S_FT \
   "NAD_1983_StatePlane_Minnesota_South_FIPS_2203_Feet"
#define PE_N_PCS_NAD_1983_MO_C \
   "NAD_1983_StatePlane_Missouri_Central_FIPS_2402"
#define PE_N_PCS_NAD_1983_MO_C_FT \
   "NAD_1983_StatePlane_Missouri_Central_FIPS_2402_Feet"
#define PE_N_PCS_NAD_1983_MO_E \
   "NAD_1983_StatePlane_Missouri_East_FIPS_2401"
#define PE_N_PCS_NAD_1983_MO_E_FT \
   "NAD_1983_StatePlane_Missouri_East_FIPS_2401_Feet"
#define PE_N_PCS_NAD_1983_MO_W \
   "NAD_1983_StatePlane_Missouri_West_FIPS_2403"
#define PE_N_PCS_NAD_1983_MO_W_FT \
   "NAD_1983_StatePlane_Missouri_West_FIPS_2403_Feet"
#define PE_N_PCS_NAD_1983_MS_E \
   "NAD_1983_StatePlane_Mississippi_East_FIPS_2301"
#define PE_N_PCS_NAD_1983_MS_E_FT \
   "NAD_1983_StatePlane_Mississippi_East_FIPS_2301_Feet"
#define PE_N_PCS_NAD_1983_MS_W \
   "NAD_1983_StatePlane_Mississippi_West_FIPS_2302"
#define PE_N_PCS_NAD_1983_MS_W_FT \
   "NAD_1983_StatePlane_Mississippi_West_FIPS_2302_Feet"
#define PE_N_PCS_NAD_1983_MT \
   "NAD_1983_StatePlane_Montana_FIPS_2500"
#define PE_N_PCS_NAD_1983_MTM_1 \
   "NAD_1983_MTM_1"
#define PE_N_PCS_NAD_1983_MTM_10 \
   "NAD_1983_MTM_10"
#define PE_N_PCS_NAD_1983_MTM_11 \
   "NAD_1983_MTM_11"
#define PE_N_PCS_NAD_1983_MTM_12 \
   "NAD_1983_MTM_12"
#define PE_N_PCS_NAD_1983_MTM_13 \
   "NAD_1983_MTM_13"
#define PE_N_PCS_NAD_1983_MTM_14 \
   "NAD_1983_MTM_14"
#define PE_N_PCS_NAD_1983_MTM_15 \
   "NAD_1983_MTM_15"
#define PE_N_PCS_NAD_1983_MTM_16 \
   "NAD_1983_MTM_16"
#define PE_N_PCS_NAD_1983_MTM_17 \
   "NAD_1983_MTM_17"
#define PE_N_PCS_NAD_1983_MTM_2 \
   "NAD_1983_MTM_2"
#define PE_N_PCS_NAD_1983_MTM_2_SCOPQ \
   "NAD_1983_MTM_2_SCoPQ"
#define PE_N_PCS_NAD_1983_MTM_3 \
   "NAD_1983_MTM_3"
#define PE_N_PCS_NAD_1983_MTM_4 \
   "NAD_1983_MTM_4"
#define PE_N_PCS_NAD_1983_MTM_5 \
   "NAD_1983_MTM_5"
#define PE_N_PCS_NAD_1983_MTM_6 \
   "NAD_1983_MTM_6"
#define PE_N_PCS_NAD_1983_MTM_7 \
   "NAD_1983_MTM_7"
#define PE_N_PCS_NAD_1983_MTM_8 \
   "NAD_1983_MTM_8"
#define PE_N_PCS_NAD_1983_MTM_9 \
   "NAD_1983_MTM_9"
#define PE_N_PCS_NAD_1983_MTQ_LAMBERT \
   "NAD_1983_MTQ_Lambert"
#define PE_N_PCS_NAD_1983_MT_FT \
   "NAD_1983_StatePlane_Montana_FIPS_2500_Feet"
#define PE_N_PCS_NAD_1983_MT_FT_INTL \
   "NAD_1983_StatePlane_Montana_FIPS_2500_Feet_Intl"
#define PE_N_PCS_NAD_1983_NC \
   "NAD_1983_StatePlane_North_Carolina_FIPS_3200"
#define PE_N_PCS_NAD_1983_NC_FT \
   "NAD_1983_StatePlane_North_Carolina_FIPS_3200_Feet"
#define PE_N_PCS_NAD_1983_ND_N \
   "NAD_1983_StatePlane_North_Dakota_North_FIPS_3301"
#define PE_N_PCS_NAD_1983_ND_N_FT \
   "NAD_1983_StatePlane_North_Dakota_North_FIPS_3301_Feet"
#define PE_N_PCS_NAD_1983_ND_N_FT_INTL \
   "NAD_1983_StatePlane_North_Dakota_North_FIPS_3301_Feet_Intl"
#define PE_N_PCS_NAD_1983_ND_S \
   "NAD_1983_StatePlane_North_Dakota_South_FIPS_3302"
#define PE_N_PCS_NAD_1983_ND_S_FT \
   "NAD_1983_StatePlane_North_Dakota_South_FIPS_3302_Feet"
#define PE_N_PCS_NAD_1983_ND_S_FT_INTL \
   "NAD_1983_StatePlane_North_Dakota_South_FIPS_3302_Feet_Intl"
#define PE_N_PCS_NAD_1983_NE \
   "NAD_1983_StatePlane_Nebraska_FIPS_2600"
#define PE_N_PCS_NAD_1983_NE_FT \
   "NAD_1983_StatePlane_Nebraska_FIPS_2600_Feet"
#define PE_N_PCS_NAD_1983_NH \
   "NAD_1983_StatePlane_New_Hampshire_FIPS_2800"
#define PE_N_PCS_NAD_1983_NH_FT \
   "NAD_1983_StatePlane_New_Hampshire_FIPS_2800_Feet"
#define PE_N_PCS_NAD_1983_NJ \
   "NAD_1983_StatePlane_New_Jersey_FIPS_2900"
#define PE_N_PCS_NAD_1983_NJ_FT \
   "NAD_1983_StatePlane_New_Jersey_FIPS_2900_Feet"
#define PE_N_PCS_NAD_1983_NM_C \
   "NAD_1983_StatePlane_New_Mexico_Central_FIPS_3002"
#define PE_N_PCS_NAD_1983_NM_C_FT \
   "NAD_1983_StatePlane_New_Mexico_Central_FIPS_3002_Feet"
#define PE_N_PCS_NAD_1983_NM_E \
   "NAD_1983_StatePlane_New_Mexico_East_FIPS_3001"
#define PE_N_PCS_NAD_1983_NM_E_FT \
   "NAD_1983_StatePlane_New_Mexico_East_FIPS_3001_Feet"
#define PE_N_PCS_NAD_1983_NM_W \
   "NAD_1983_StatePlane_New_Mexico_West_FIPS_3003"
#define PE_N_PCS_NAD_1983_NM_W_FT \
   "NAD_1983_StatePlane_New_Mexico_West_FIPS_3003_Feet"
#define PE_N_PCS_NAD_1983_NSRS2007_AK_1 \
   "NAD_1983_NSRS2007_StatePlane_Alaska_1_FIPS_5001"
#define PE_N_PCS_NAD_1983_NSRS2007_AK_10 \
   "NAD_1983_NSRS2007_StatePlane_Alaska_10_FIPS_5010"
#define PE_N_PCS_NAD_1983_NSRS2007_AK_2 \
   "NAD_1983_NSRS2007_StatePlane_Alaska_2_FIPS_5002"
#define PE_N_PCS_NAD_1983_NSRS2007_AK_3 \
   "NAD_1983_NSRS2007_StatePlane_Alaska_3_FIPS_5003"
#define PE_N_PCS_NAD_1983_NSRS2007_AK_4 \
   "NAD_1983_NSRS2007_StatePlane_Alaska_4_FIPS_5004"
#define PE_N_PCS_NAD_1983_NSRS2007_AK_5 \
   "NAD_1983_NSRS2007_StatePlane_Alaska_5_FIPS_5005"
#define PE_N_PCS_NAD_1983_NSRS2007_AK_6 \
   "NAD_1983_NSRS2007_StatePlane_Alaska_6_FIPS_5006"
#define PE_N_PCS_NAD_1983_NSRS2007_AK_7 \
   "NAD_1983_NSRS2007_StatePlane_Alaska_7_FIPS_5007"
#define PE_N_PCS_NAD_1983_NSRS2007_AK_8 \
   "NAD_1983_NSRS2007_StatePlane_Alaska_8_FIPS_5008"
#define PE_N_PCS_NAD_1983_NSRS2007_AK_9 \
   "NAD_1983_NSRS2007_StatePlane_Alaska_9_FIPS_5009"
#define PE_N_PCS_NAD_1983_NSRS2007_ALASKA_ALBERS \
   "NAD_1983_NSRS2007_Alaska_Albers"
#define PE_N_PCS_NAD_1983_NSRS2007_AL_E \
   "NAD_1983_NSRS2007_StatePlane_Alabama_East_FIPS_0101"
#define PE_N_PCS_NAD_1983_NSRS2007_AL_W \
   "NAD_1983_NSRS2007_StatePlane_Alabama_West_FIPS_0102"
#define PE_N_PCS_NAD_1983_NSRS2007_AR_N \
   "NAD_1983_NSRS2007_StatePlane_Arkansas_North_FIPS_0301"
#define PE_N_PCS_NAD_1983_NSRS2007_AR_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Arkansas_North_FIPS_0301_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_AR_S \
   "NAD_1983_NSRS2007_StatePlane_Arkansas_South_FIPS_0302"
#define PE_N_PCS_NAD_1983_NSRS2007_AR_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Arkansas_South_FIPS_0302_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_AZ_C \
   "NAD_1983_NSRS2007_StatePlane_Arizona_Central_FIPS_0202"
#define PE_N_PCS_NAD_1983_NSRS2007_AZ_C_FT_INTL \
   "NAD_1983_NSRS2007_StatePlane_Arizona_Central_FIPS_0202_Ft_Intl"
#define PE_N_PCS_NAD_1983_NSRS2007_AZ_E \
   "NAD_1983_NSRS2007_StatePlane_Arizona_East_FIPS_0201"
#define PE_N_PCS_NAD_1983_NSRS2007_AZ_E_FT_INTL \
   "NAD_1983_NSRS2007_StatePlane_Arizona_East_FIPS_0201_Ft_Intl"
#define PE_N_PCS_NAD_1983_NSRS2007_AZ_W \
   "NAD_1983_NSRS2007_StatePlane_Arizona_West_FIPS_0203"
#define PE_N_PCS_NAD_1983_NSRS2007_AZ_W_FT_INTL \
   "NAD_1983_NSRS2007_StatePlane_Arizona_West_FIPS_0203_Ft_Intl"
#define PE_N_PCS_NAD_1983_NSRS2007_CA_I \
   "NAD_1983_NSRS2007_StatePlane_California_I_FIPS_0401"
#define PE_N_PCS_NAD_1983_NSRS2007_CA_II \
   "NAD_1983_NSRS2007_StatePlane_California_II_FIPS_0402"
#define PE_N_PCS_NAD_1983_NSRS2007_CA_III \
   "NAD_1983_NSRS2007_StatePlane_California_III_FIPS_0403"
#define PE_N_PCS_NAD_1983_NSRS2007_CA_III_FT_US \
   "NAD_1983_NSRS2007_StatePlane_California_III_FIPS_0403_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_CA_II_FT_US \
   "NAD_1983_NSRS2007_StatePlane_California_II_FIPS_0402_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_CA_IV \
   "NAD_1983_NSRS2007_StatePlane_California_IV_FIPS_0404"
#define PE_N_PCS_NAD_1983_NSRS2007_CA_IV_FT_US \
   "NAD_1983_NSRS2007_StatePlane_California_IV_FIPS_0404_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_CA_I_FT_US \
   "NAD_1983_NSRS2007_StatePlane_California_I_FIPS_0401_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_CA_V \
   "NAD_1983_NSRS2007_StatePlane_California_V_FIPS_0405"
#define PE_N_PCS_NAD_1983_NSRS2007_CA_VI \
   "NAD_1983_NSRS2007_StatePlane_California_VI_FIPS_0406"
#define PE_N_PCS_NAD_1983_NSRS2007_CA_VI_FT_US \
   "NAD_1983_NSRS2007_StatePlane_California_VI_FIPS_0406_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_CA_V_FT_US \
   "NAD_1983_NSRS2007_StatePlane_California_V_FIPS_0405_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_CO_C \
   "NAD_1983_NSRS2007_StatePlane_Colorado_Central_FIPS_0502"
#define PE_N_PCS_NAD_1983_NSRS2007_CO_C_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Colorado_Central_FIPS_0502_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_CO_N \
   "NAD_1983_NSRS2007_StatePlane_Colorado_North_FIPS_0501"
#define PE_N_PCS_NAD_1983_NSRS2007_CO_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Colorado_North_FIPS_0501_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_CO_S \
   "NAD_1983_NSRS2007_StatePlane_Colorado_South_FIPS_0503"
#define PE_N_PCS_NAD_1983_NSRS2007_CO_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Colorado_South_FIPS_0503_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_CT \
   "NAD_1983_NSRS2007_StatePlane_Connecticut_FIPS_0600"
#define PE_N_PCS_NAD_1983_NSRS2007_CT_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Connecticut_FIPS_0600_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_DE \
   "NAD_1983_NSRS2007_StatePlane_Delaware_FIPS_0700"
#define PE_N_PCS_NAD_1983_NSRS2007_DE_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Delaware_FIPS_0700_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_FLORIDA_GDL_ALBERS \
   "NAD_1983_NSRS2007_Florida_GDL_Albers"
#define PE_N_PCS_NAD_1983_NSRS2007_FL_E \
   "NAD_1983_NSRS2007_StatePlane_Florida_East_FIPS_0901"
#define PE_N_PCS_NAD_1983_NSRS2007_FL_E_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Florida_East_FIPS_0901_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_FL_N \
   "NAD_1983_NSRS2007_StatePlane_Florida_North_FIPS_0903"
#define PE_N_PCS_NAD_1983_NSRS2007_FL_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Florida_North_FIPS_0903_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_FL_W \
   "NAD_1983_NSRS2007_StatePlane_Florida_West_FIPS_0902"
#define PE_N_PCS_NAD_1983_NSRS2007_FL_W_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Florida_West_FIPS_0902_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_GA_E \
   "NAD_1983_NSRS2007_StatePlane_Georgia_East_FIPS_1001"
#define PE_N_PCS_NAD_1983_NSRS2007_GA_E_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Georgia_East_FIPS_1001_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_GA_W \
   "NAD_1983_NSRS2007_StatePlane_Georgia_West_FIPS_1002"
#define PE_N_PCS_NAD_1983_NSRS2007_GA_W_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Georgia_West_FIPS_1002_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_IA_N \
   "NAD_1983_NSRS2007_StatePlane_Iowa_North_FIPS_1401"
#define PE_N_PCS_NAD_1983_NSRS2007_IA_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Iowa_North_FIPS_1401_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_IA_S \
   "NAD_1983_NSRS2007_StatePlane_Iowa_South_FIPS_1402"
#define PE_N_PCS_NAD_1983_NSRS2007_IA_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Iowa_South_FIPS_1402_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_ID_C \
   "NAD_1983_NSRS2007_StatePlane_Idaho_Central_FIPS_1102"
#define PE_N_PCS_NAD_1983_NSRS2007_ID_C_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Idaho_Central_FIPS_1102_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_ID_E \
   "NAD_1983_NSRS2007_StatePlane_Idaho_East_FIPS_1101"
#define PE_N_PCS_NAD_1983_NSRS2007_ID_E_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Idaho_East_FIPS_1101_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_ID_W \
   "NAD_1983_NSRS2007_StatePlane_Idaho_West_FIPS_1103"
#define PE_N_PCS_NAD_1983_NSRS2007_ID_W_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Idaho_West_FIPS_1103_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_IL_E \
   "NAD_1983_NSRS2007_StatePlane_Illinois_East_FIPS_1201"
#define PE_N_PCS_NAD_1983_NSRS2007_IL_E_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Illinois_East_FIPS_1201_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_IL_W \
   "NAD_1983_NSRS2007_StatePlane_Illinois_West_FIPS_1202"
#define PE_N_PCS_NAD_1983_NSRS2007_IL_W_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Illinois_West_FIPS_1202_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_IN_E \
   "NAD_1983_NSRS2007_StatePlane_Indiana_East_FIPS_1301"
#define PE_N_PCS_NAD_1983_NSRS2007_IN_E_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Indiana_East_FIPS_1301_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_IN_W \
   "NAD_1983_NSRS2007_StatePlane_Indiana_West_FIPS_1302"
#define PE_N_PCS_NAD_1983_NSRS2007_IN_W_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Indiana_West_FIPS_1302_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_KS_N \
   "NAD_1983_NSRS2007_StatePlane_Kansas_North_FIPS_1501"
#define PE_N_PCS_NAD_1983_NSRS2007_KS_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Kansas_North_FIPS_1501_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_KS_S \
   "NAD_1983_NSRS2007_StatePlane_Kansas_South_FIPS_1502"
#define PE_N_PCS_NAD_1983_NSRS2007_KS_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Kansas_South_FIPS_1502_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_KY \
   "NAD_1983_NSRS2007_StatePlane_Kentucky_FIPS_1600"
#define PE_N_PCS_NAD_1983_NSRS2007_KY_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Kentucky_FIPS_1600_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_KY_N \
   "NAD_1983_NSRS2007_StatePlane_Kentucky_North_FIPS_1601"
#define PE_N_PCS_NAD_1983_NSRS2007_KY_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Kentucky_North_FIPS_1601_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_KY_S \
   "NAD_1983_NSRS2007_StatePlane_Kentucky_South_FIPS_1602"
#define PE_N_PCS_NAD_1983_NSRS2007_KY_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Kentucky_South_FIPS_1602_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_LA_N \
   "NAD_1983_NSRS2007_StatePlane_Louisiana_North_FIPS_1701"
#define PE_N_PCS_NAD_1983_NSRS2007_LA_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Louisiana_North_FIPS_1701_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_LA_S \
   "NAD_1983_NSRS2007_StatePlane_Louisiana_South_FIPS_1702"
#define PE_N_PCS_NAD_1983_NSRS2007_LA_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Louisiana_South_FIPS_1702_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_MAINE_2000_CENTRAL \
   "NAD_1983_NSRS2007_Maine_2000_Central_Zone"
#define PE_N_PCS_NAD_1983_NSRS2007_MAINE_2000_EAST \
   "NAD_1983_NSRS2007_Maine_2000_East_Zone"
#define PE_N_PCS_NAD_1983_NSRS2007_MAINE_2000_WEST \
   "NAD_1983_NSRS2007_Maine_2000_West_Zone"
#define PE_N_PCS_NAD_1983_NSRS2007_MA_I \
   "NAD_1983_NSRS2007_StatePlane_Massachusetts_Island_FIPS_2002"
#define PE_N_PCS_NAD_1983_NSRS2007_MA_I_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Massachusetts_Isl_FIPS_2002_FtUS"
#define PE_N_PCS_NAD_1983_NSRS2007_MA_M \
   "NAD_1983_NSRS2007_StatePlane_Massachusetts_Mainland_FIPS_2001"
#define PE_N_PCS_NAD_1983_NSRS2007_MA_M_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Massachusetts_Mnld_FIPS_2001_FtUS"
#define PE_N_PCS_NAD_1983_NSRS2007_MD \
   "NAD_1983_NSRS2007_StatePlane_Maryland_FIPS_1900"
#define PE_N_PCS_NAD_1983_NSRS2007_MD_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Maryland_FIPS_1900_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_ME_E \
   "NAD_1983_NSRS2007_StatePlane_Maine_East_FIPS_1801"
#define PE_N_PCS_NAD_1983_NSRS2007_ME_E_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Maine_East_FIPS_1801_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_ME_W \
   "NAD_1983_NSRS2007_StatePlane_Maine_West_FIPS_1802"
#define PE_N_PCS_NAD_1983_NSRS2007_ME_W_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Maine_West_FIPS_1802_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_MICHIGAN_GEOREF_M \
   "NAD_1983_NSRS2007_Michigan_GeoRef_Meters"
#define PE_N_PCS_NAD_1983_NSRS2007_MISSISSIPPI_TM \
   "NAD_1983_NSRS2007_Mississippi_TM"
#define PE_N_PCS_NAD_1983_NSRS2007_MI_C \
   "NAD_1983_NSRS2007_StatePlane_Michigan_Central_FIPS_2112"
#define PE_N_PCS_NAD_1983_NSRS2007_MI_C_FT_INTL \
   "NAD_1983_NSRS2007_StatePlane_Michigan_Central_FIPS_2112_Ft_Intl"
#define PE_N_PCS_NAD_1983_NSRS2007_MI_N \
   "NAD_1983_NSRS2007_StatePlane_Michigan_North_FIPS_2111"
#define PE_N_PCS_NAD_1983_NSRS2007_MI_N_FT_INTL \
   "NAD_1983_NSRS2007_StatePlane_Michigan_North_FIPS_2111_Ft_Intl"
#define PE_N_PCS_NAD_1983_NSRS2007_MI_S \
   "NAD_1983_NSRS2007_StatePlane_Michigan_South_FIPS_2113"
#define PE_N_PCS_NAD_1983_NSRS2007_MI_S_FT_INTL \
   "NAD_1983_NSRS2007_StatePlane_Michigan_South_FIPS_2113_Ft_Intl"
#define PE_N_PCS_NAD_1983_NSRS2007_MN_C \
   "NAD_1983_NSRS2007_StatePlane_Minnesota_Central_FIPS_2202"
#define PE_N_PCS_NAD_1983_NSRS2007_MN_C_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Minnesota_Central_FIPS_2202_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_MN_N \
   "NAD_1983_NSRS2007_StatePlane_Minnesota_North_FIPS_2201"
#define PE_N_PCS_NAD_1983_NSRS2007_MN_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Minnesota_North_FIPS_2201_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_MN_S \
   "NAD_1983_NSRS2007_StatePlane_Minnesota_South_FIPS_2203"
#define PE_N_PCS_NAD_1983_NSRS2007_MN_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Minnesota_South_FIPS_2203_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_MO_C \
   "NAD_1983_NSRS2007_StatePlane_Missouri_Central_FIPS_2402"
#define PE_N_PCS_NAD_1983_NSRS2007_MO_E \
   "NAD_1983_NSRS2007_StatePlane_Missouri_East_FIPS_2401"
#define PE_N_PCS_NAD_1983_NSRS2007_MO_W \
   "NAD_1983_NSRS2007_StatePlane_Missouri_West_FIPS_2403"
#define PE_N_PCS_NAD_1983_NSRS2007_MS_E \
   "NAD_1983_NSRS2007_StatePlane_Mississippi_East_FIPS_2301"
#define PE_N_PCS_NAD_1983_NSRS2007_MS_E_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Mississippi_East_FIPS_2301_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_MS_W \
   "NAD_1983_NSRS2007_StatePlane_Mississippi_West_FIPS_2302"
#define PE_N_PCS_NAD_1983_NSRS2007_MS_W_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Mississippi_West_FIPS_2302_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_MT \
   "NAD_1983_NSRS2007_StatePlane_Montana_FIPS_2500"
#define PE_N_PCS_NAD_1983_NSRS2007_MT_FT_INTL \
   "NAD_1983_NSRS2007_StatePlane_Montana_FIPS_2500_Ft_Intl"
#define PE_N_PCS_NAD_1983_NSRS2007_NC \
   "NAD_1983_NSRS2007_StatePlane_North_Carolina_FIPS_3200"
#define PE_N_PCS_NAD_1983_NSRS2007_NC_FT_US \
   "NAD_1983_NSRS2007_StatePlane_North_Carolina_FIPS_3200_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_ND_N \
   "NAD_1983_NSRS2007_StatePlane_North_Dakota_North_FIPS_3301"
#define PE_N_PCS_NAD_1983_NSRS2007_ND_N_FT_INTL \
   "NAD_1983_NSRS2007_StatePlane_North_Dakota_North_FIPS_3301_FtI"
#define PE_N_PCS_NAD_1983_NSRS2007_ND_S \
   "NAD_1983_NSRS2007_StatePlane_North_Dakota_South_FIPS_3302"
#define PE_N_PCS_NAD_1983_NSRS2007_ND_S_FT_INTL \
   "NAD_1983_NSRS2007_StatePlane_North_Dakota_South_FIPS_3302_FtI"
#define PE_N_PCS_NAD_1983_NSRS2007_NE \
   "NAD_1983_NSRS2007_StatePlane_Nebraska_FIPS_2600"
#define PE_N_PCS_NAD_1983_NSRS2007_NE_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Nebraska_FIPS_2600_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_NH \
   "NAD_1983_NSRS2007_StatePlane_New_Hampshire_FIPS_2800"
#define PE_N_PCS_NAD_1983_NSRS2007_NH_FT_US \
   "NAD_1983_NSRS2007_StatePlane_New_Hampshire_FIPS_2800_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_NJ \
   "NAD_1983_NSRS2007_StatePlane_New_Jersey_FIPS_2900"
#define PE_N_PCS_NAD_1983_NSRS2007_NJ_FT_US \
   "NAD_1983_NSRS2007_StatePlane_New_Jersey_FIPS_2900_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_NM_C \
   "NAD_1983_NSRS2007_StatePlane_New_Mexico_Central_FIPS_3002"
#define PE_N_PCS_NAD_1983_NSRS2007_NM_C_FT_US \
   "NAD_1983_NSRS2007_StatePlane_New_Mexico_Central_FIPS_3002_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_NM_E \
   "NAD_1983_NSRS2007_StatePlane_New_Mexico_East_FIPS_3001"
#define PE_N_PCS_NAD_1983_NSRS2007_NM_E_FT_US \
   "NAD_1983_NSRS2007_StatePlane_New_Mexico_East_FIPS_3001_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_NM_W \
   "NAD_1983_NSRS2007_StatePlane_New_Mexico_West_FIPS_3003"
#define PE_N_PCS_NAD_1983_NSRS2007_NM_W_FT_US \
   "NAD_1983_NSRS2007_StatePlane_New_Mexico_West_FIPS_3003_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_NV_C \
   "NAD_1983_NSRS2007_StatePlane_Nevada_Central_FIPS_2702"
#define PE_N_PCS_NAD_1983_NSRS2007_NV_C_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Nevada_Central_FIPS_2702_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_NV_E \
   "NAD_1983_NSRS2007_StatePlane_Nevada_East_FIPS_2701"
#define PE_N_PCS_NAD_1983_NSRS2007_NV_E_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Nevada_East_FIPS_2701_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_NV_W \
   "NAD_1983_NSRS2007_StatePlane_Nevada_West_FIPS_2703"
#define PE_N_PCS_NAD_1983_NSRS2007_NV_W_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Nevada_West_FIPS_2703_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_NY_C \
   "NAD_1983_NSRS2007_StatePlane_New_York_Central_FIPS_3102"
#define PE_N_PCS_NAD_1983_NSRS2007_NY_C_FT_US \
   "NAD_1983_NSRS2007_StatePlane_New_York_Central_FIPS_3102_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_NY_E \
   "NAD_1983_NSRS2007_StatePlane_New_York_East_FIPS_3101"
#define PE_N_PCS_NAD_1983_NSRS2007_NY_E_FT_US \
   "NAD_1983_NSRS2007_StatePlane_New_York_East_FIPS_3101_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_NY_LI \
   "NAD_1983_NSRS2007_StatePlane_New_York_Long_Island_FIPS_3104"
#define PE_N_PCS_NAD_1983_NSRS2007_NY_LI_FT_US \
   "NAD_1983_NSRS2007_StatePlane_New_York_Long_Isl_FIPS_3104_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_NY_W \
   "NAD_1983_NSRS2007_StatePlane_New_York_West_FIPS_3103"
#define PE_N_PCS_NAD_1983_NSRS2007_NY_W_FT_US \
   "NAD_1983_NSRS2007_StatePlane_New_York_West_FIPS_3103_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_OH_N \
   "NAD_1983_NSRS2007_StatePlane_Ohio_North_FIPS_3401"
#define PE_N_PCS_NAD_1983_NSRS2007_OH_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Ohio_North_FIPS_3401_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_OH_S \
   "NAD_1983_NSRS2007_StatePlane_Ohio_South_FIPS_3402"
#define PE_N_PCS_NAD_1983_NSRS2007_OH_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Ohio_South_FIPS_3402_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_OK_N \
   "NAD_1983_NSRS2007_StatePlane_Oklahoma_North_FIPS_3501"
#define PE_N_PCS_NAD_1983_NSRS2007_OK_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Oklahoma_North_FIPS_3501_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_OK_S \
   "NAD_1983_NSRS2007_StatePlane_Oklahoma_South_FIPS_3502"
#define PE_N_PCS_NAD_1983_NSRS2007_OK_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Oklahoma_South_FIPS_3502_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_OREGON_LAMBERT \
   "NAD_1983_NSRS2007_Oregon_Statewide_Lambert"
#define PE_N_PCS_NAD_1983_NSRS2007_OREGON_LAMBERT_FT_INTL \
   "NAD_1983_NSRS2007_Oregon_Statewide_Lambert_Ft_Intl"
#define PE_N_PCS_NAD_1983_NSRS2007_OR_N \
   "NAD_1983_NSRS2007_StatePlane_Oregon_North_FIPS_3601"
#define PE_N_PCS_NAD_1983_NSRS2007_OR_N_FT_INTL \
   "NAD_1983_NSRS2007_StatePlane_Oregon_North_FIPS_3601_Ft_Intl"
#define PE_N_PCS_NAD_1983_NSRS2007_OR_S \
   "NAD_1983_NSRS2007_StatePlane_Oregon_South_FIPS_3602"
#define PE_N_PCS_NAD_1983_NSRS2007_OR_S_FT_INTL \
   "NAD_1983_NSRS2007_StatePlane_Oregon_South_FIPS_3602_Ft_Intl"
#define PE_N_PCS_NAD_1983_NSRS2007_PA_N \
   "NAD_1983_NSRS2007_StatePlane_Pennsylvania_North_FIPS_3701"
#define PE_N_PCS_NAD_1983_NSRS2007_PA_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Pennsylvania_North_FIPS_3701_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_PA_S \
   "NAD_1983_NSRS2007_StatePlane_Pennsylvania_South_FIPS_3702"
#define PE_N_PCS_NAD_1983_NSRS2007_PA_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Pennsylvania_South_FIPS_3702_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_PR_VI \
   "NAD_1983_NSRS2007_StatePlane_Puerto_Rico_Virgin_Isls_FIPS_5200"
#define PE_N_PCS_NAD_1983_NSRS2007_RI \
   "NAD_1983_NSRS2007_StatePlane_Rhode_Island_FIPS_3800"
#define PE_N_PCS_NAD_1983_NSRS2007_RI_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Rhode_Island_FIPS_3800_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_SC \
   "NAD_1983_NSRS2007_StatePlane_South_Carolina_FIPS_3900"
#define PE_N_PCS_NAD_1983_NSRS2007_SC_FT_INTL \
   "NAD_1983_NSRS2007_StatePlane_South_Carolina_FIPS_3900_Ft_Intl"
#define PE_N_PCS_NAD_1983_NSRS2007_SD_N \
   "NAD_1983_NSRS2007_StatePlane_South_Dakota_North_FIPS_4001"
#define PE_N_PCS_NAD_1983_NSRS2007_SD_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_South_Dakota_North_FIPS_4001_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_SD_S \
   "NAD_1983_NSRS2007_StatePlane_South_Dakota_South_FIPS_4002"
#define PE_N_PCS_NAD_1983_NSRS2007_SD_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_South_Dakota_South_FIPS_4002_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_TEXAS_CENTRIC_ALBERS \
   "NAD_1983_NSRS2007_Texas_Centric_Mapping_System_Albers"
#define PE_N_PCS_NAD_1983_NSRS2007_TEXAS_CENTRIC_LAMBERT \
   "NAD_1983_NSRS2007_Texas_Centric_Mapping_System_Lambert"
#define PE_N_PCS_NAD_1983_NSRS2007_TN \
   "NAD_1983_NSRS2007_StatePlane_Tennessee_FIPS_4100"
#define PE_N_PCS_NAD_1983_NSRS2007_TN_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Tennessee_FIPS_4100_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_TX_C \
   "NAD_1983_NSRS2007_StatePlane_Texas_Central_FIPS_4203"
#define PE_N_PCS_NAD_1983_NSRS2007_TX_C_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Texas_Central_FIPS_4203_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_TX_N \
   "NAD_1983_NSRS2007_StatePlane_Texas_North_FIPS_4201"
#define PE_N_PCS_NAD_1983_NSRS2007_TX_NC \
   "NAD_1983_NSRS2007_StatePlane_Texas_North_Central_FIPS_4202"
#define PE_N_PCS_NAD_1983_NSRS2007_TX_NC_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Texas_North_Central_FIPS_4202_FtUS"
#define PE_N_PCS_NAD_1983_NSRS2007_TX_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Texas_North_FIPS_4201_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_TX_S \
   "NAD_1983_NSRS2007_StatePlane_Texas_South_FIPS_4205"
#define PE_N_PCS_NAD_1983_NSRS2007_TX_SC \
   "NAD_1983_NSRS2007_StatePlane_Texas_South_Central_FIPS_4204"
#define PE_N_PCS_NAD_1983_NSRS2007_TX_SC_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Texas_South_Central_FIPS_4204_FtUS"
#define PE_N_PCS_NAD_1983_NSRS2007_TX_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Texas_South_FIPS_4205_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_10N \
   "NAD_1983_NSRS2007_UTM_Zone_10N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_11N \
   "NAD_1983_NSRS2007_UTM_Zone_11N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_12N \
   "NAD_1983_NSRS2007_UTM_Zone_12N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_13N \
   "NAD_1983_NSRS2007_UTM_Zone_13N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_14N \
   "NAD_1983_NSRS2007_UTM_Zone_14N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_15N \
   "NAD_1983_NSRS2007_UTM_Zone_15N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_16N \
   "NAD_1983_NSRS2007_UTM_Zone_16N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_17N \
   "NAD_1983_NSRS2007_UTM_Zone_17N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_18N \
   "NAD_1983_NSRS2007_UTM_Zone_18N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_19N \
   "NAD_1983_NSRS2007_UTM_Zone_19N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_1N \
   "NAD_1983_NSRS2007_UTM_Zone_1N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_2N \
   "NAD_1983_NSRS2007_UTM_Zone_2N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_3N \
   "NAD_1983_NSRS2007_UTM_Zone_3N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_4N \
   "NAD_1983_NSRS2007_UTM_Zone_4N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_59N \
   "NAD_1983_NSRS2007_UTM_Zone_59N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_5N \
   "NAD_1983_NSRS2007_UTM_Zone_5N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_60N \
   "NAD_1983_NSRS2007_UTM_Zone_60N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_6N \
   "NAD_1983_NSRS2007_UTM_Zone_6N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_7N \
   "NAD_1983_NSRS2007_UTM_Zone_7N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_8N \
   "NAD_1983_NSRS2007_UTM_Zone_8N"
#define PE_N_PCS_NAD_1983_NSRS2007_UTM_9N \
   "NAD_1983_NSRS2007_UTM_Zone_9N"
#define PE_N_PCS_NAD_1983_NSRS2007_UT_C \
   "NAD_1983_NSRS2007_StatePlane_Utah_Central_FIPS_4302"
#define PE_N_PCS_NAD_1983_NSRS2007_UT_C_FT_INTL \
   "NAD_1983_NSRS2007_StatePlane_Utah_Central_FIPS_4302_Ft_Intl"
#define PE_N_PCS_NAD_1983_NSRS2007_UT_C_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Utah_Central_FIPS_4302_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_UT_N \
   "NAD_1983_NSRS2007_StatePlane_Utah_North_FIPS_4301"
#define PE_N_PCS_NAD_1983_NSRS2007_UT_N_FT_INTL \
   "NAD_1983_NSRS2007_StatePlane_Utah_North_FIPS_4301_Ft_Intl"
#define PE_N_PCS_NAD_1983_NSRS2007_UT_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Utah_North_FIPS_4301_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_UT_S \
   "NAD_1983_NSRS2007_StatePlane_Utah_South_FIPS_4303"
#define PE_N_PCS_NAD_1983_NSRS2007_UT_S_FT_INTL \
   "NAD_1983_NSRS2007_StatePlane_Utah_South_FIPS_4303_Ft_Intl"
#define PE_N_PCS_NAD_1983_NSRS2007_UT_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Utah_South_FIPS_4303_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_VA_N \
   "NAD_1983_NSRS2007_StatePlane_Virginia_North_FIPS_4501"
#define PE_N_PCS_NAD_1983_NSRS2007_VA_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Virginia_North_FIPS_4501_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_VA_S \
   "NAD_1983_NSRS2007_StatePlane_Virginia_South_FIPS_4502"
#define PE_N_PCS_NAD_1983_NSRS2007_VA_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Virginia_South_FIPS_4502_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_VIRGINIA_LAMBERT \
   "NAD_1983_NSRS2007_Virginia_Lambert"
#define PE_N_PCS_NAD_1983_NSRS2007_VT \
   "NAD_1983_NSRS2007_StatePlane_Vermont_FIPS_4400"
#define PE_N_PCS_NAD_1983_NSRS2007_WA_N \
   "NAD_1983_NSRS2007_StatePlane_Washington_North_FIPS_4601"
#define PE_N_PCS_NAD_1983_NSRS2007_WA_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Washington_North_FIPS_4601_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_WA_S \
   "NAD_1983_NSRS2007_StatePlane_Washington_South_FIPS_4602"
#define PE_N_PCS_NAD_1983_NSRS2007_WA_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Washington_South_FIPS_4602_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_WISCONSIN_TM \
   "NAD_1983_NSRS2007_Wisconsin_TM"
#define PE_N_PCS_NAD_1983_NSRS2007_WISCONSIN_TM_FT_US \
   "NAD_1983_NSRS2007_Wisconsin_TM_US_Ft"
#define PE_N_PCS_NAD_1983_NSRS2007_WI_C \
   "NAD_1983_NSRS2007_StatePlane_Wisconsin_Central_FIPS_4802"
#define PE_N_PCS_NAD_1983_NSRS2007_WI_C_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Wisconsin_Central_FIPS_4802_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_WI_N \
   "NAD_1983_NSRS2007_StatePlane_Wisconsin_North_FIPS_4801"
#define PE_N_PCS_NAD_1983_NSRS2007_WI_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Wisconsin_North_FIPS_4801_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_WI_S \
   "NAD_1983_NSRS2007_StatePlane_Wisconsin_South_FIPS_4803"
#define PE_N_PCS_NAD_1983_NSRS2007_WI_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Wisconsin_South_FIPS_4803_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_WV_N \
   "NAD_1983_NSRS2007_StatePlane_West_Virginia_North_FIPS_4701"
#define PE_N_PCS_NAD_1983_NSRS2007_WV_N_FT_US \
   "NAD_1983_NSRS2007_StatePlane_West_Virginia_North_FIPS_4701_FtUS"
#define PE_N_PCS_NAD_1983_NSRS2007_WV_S \
   "NAD_1983_NSRS2007_StatePlane_West_Virginia_South_FIPS_4702"
#define PE_N_PCS_NAD_1983_NSRS2007_WV_S_FT_US \
   "NAD_1983_NSRS2007_StatePlane_West_Virginia_South_FIPS_4702_FtUS"
#define PE_N_PCS_NAD_1983_NSRS2007_WY_E \
   "NAD_1983_NSRS2007_StatePlane_Wyoming_East_FIPS_4901"
#define PE_N_PCS_NAD_1983_NSRS2007_WY_EC \
   "NAD_1983_NSRS2007_StatePlane_Wyoming_East_Central_FIPS_4902"
#define PE_N_PCS_NAD_1983_NSRS2007_WY_EC_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Wyoming_E_Central_FIPS_4902_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_WY_E_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Wyoming_East_FIPS_4901_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_WY_W \
   "NAD_1983_NSRS2007_StatePlane_Wyoming_West_FIPS_4904"
#define PE_N_PCS_NAD_1983_NSRS2007_WY_WC \
   "NAD_1983_NSRS2007_StatePlane_Wyoming_West_Central_FIPS_4903"
#define PE_N_PCS_NAD_1983_NSRS2007_WY_WC_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Wyoming_W_Central_FIPS_4903_Ft_US"
#define PE_N_PCS_NAD_1983_NSRS2007_WY_W_FT_US \
   "NAD_1983_NSRS2007_StatePlane_Wyoming_West_FIPS_4904_Ft_US"
#define PE_N_PCS_NAD_1983_NV_C \
   "NAD_1983_StatePlane_Nevada_Central_FIPS_2702"
#define PE_N_PCS_NAD_1983_NV_C_FT \
   "NAD_1983_StatePlane_Nevada_Central_FIPS_2702_Feet"
#define PE_N_PCS_NAD_1983_NV_E \
   "NAD_1983_StatePlane_Nevada_East_FIPS_2701"
#define PE_N_PCS_NAD_1983_NV_E_FT \
   "NAD_1983_StatePlane_Nevada_East_FIPS_2701_Feet"
#define PE_N_PCS_NAD_1983_NV_W \
   "NAD_1983_StatePlane_Nevada_West_FIPS_2703"
#define PE_N_PCS_NAD_1983_NV_W_FT \
   "NAD_1983_StatePlane_Nevada_West_FIPS_2703_Feet"
#define PE_N_PCS_NAD_1983_NWT_LAMBERT \
   "NAD_1983_Northwest_Territories_Lambert"
#define PE_N_PCS_NAD_1983_NY_C \
   "NAD_1983_StatePlane_New_York_Central_FIPS_3102"
#define PE_N_PCS_NAD_1983_NY_C_FT \
   "NAD_1983_StatePlane_New_York_Central_FIPS_3102_Feet"
#define PE_N_PCS_NAD_1983_NY_E \
   "NAD_1983_StatePlane_New_York_East_FIPS_3101"
#define PE_N_PCS_NAD_1983_NY_E_FT \
   "NAD_1983_StatePlane_New_York_East_FIPS_3101_Feet"
#define PE_N_PCS_NAD_1983_NY_LI \
   "NAD_1983_StatePlane_New_York_Long_Island_FIPS_3104"
#define PE_N_PCS_NAD_1983_NY_LI_FT \
   "NAD_1983_StatePlane_New_York_Long_Island_FIPS_3104_Feet"
#define PE_N_PCS_NAD_1983_NY_W \
   "NAD_1983_StatePlane_New_York_West_FIPS_3103"
#define PE_N_PCS_NAD_1983_NY_W_FT \
   "NAD_1983_StatePlane_New_York_West_FIPS_3103_Feet"
#define PE_N_PCS_NAD_1983_N_AMERICA_ALBERS \
   "North_America_Albers_Equal_Area_Conic"
#define PE_N_PCS_NAD_1983_N_AMERICA_EQUI_CONIC \
   "North_America_Equidistant_Conic"
#define PE_N_PCS_NAD_1983_N_AMERICA_LAMBERT \
   "North_America_Lambert_Conformal_Conic"
#define PE_N_PCS_NAD_1983_OH_N \
   "NAD_1983_StatePlane_Ohio_North_FIPS_3401"
#define PE_N_PCS_NAD_1983_OH_N_FT \
   "NAD_1983_StatePlane_Ohio_North_FIPS_3401_Feet"
#define PE_N_PCS_NAD_1983_OH_S \
   "NAD_1983_StatePlane_Ohio_South_FIPS_3402"
#define PE_N_PCS_NAD_1983_OH_S_FT \
   "NAD_1983_StatePlane_Ohio_South_FIPS_3402_Feet"
#define PE_N_PCS_NAD_1983_OK_N \
   "NAD_1983_StatePlane_Oklahoma_North_FIPS_3501"
#define PE_N_PCS_NAD_1983_OK_N_FT \
   "NAD_1983_StatePlane_Oklahoma_North_FIPS_3501_Feet"
#define PE_N_PCS_NAD_1983_OK_S \
   "NAD_1983_StatePlane_Oklahoma_South_FIPS_3502"
#define PE_N_PCS_NAD_1983_OK_S_FT \
   "NAD_1983_StatePlane_Oklahoma_South_FIPS_3502_Feet"
#define PE_N_PCS_NAD_1983_ONTARIO_MNR_LAMBERT \
   "NAD_1983_Ontario_MNR_Lambert"
#define PE_N_PCS_NAD_1983_OREGON_LAMBERT \
   "NAD_1983_Oregon_Statewide_Lambert"
#define PE_N_PCS_NAD_1983_OREGON_LAMBERT_FT_INTL \
   "NAD_1983_Oregon_Statewide_Lambert_Feet_Intl"
#define PE_N_PCS_NAD_1983_OR_N \
   "NAD_1983_StatePlane_Oregon_North_FIPS_3601"
#define PE_N_PCS_NAD_1983_OR_N_FT \
   "NAD_1983_StatePlane_Oregon_North_FIPS_3601_Feet"
#define PE_N_PCS_NAD_1983_OR_N_FT_INTL \
   "NAD_1983_StatePlane_Oregon_North_FIPS_3601_Feet_Intl"
#define PE_N_PCS_NAD_1983_OR_S \
   "NAD_1983_StatePlane_Oregon_South_FIPS_3602"
#define PE_N_PCS_NAD_1983_OR_S_FT \
   "NAD_1983_StatePlane_Oregon_South_FIPS_3602_Feet"
#define PE_N_PCS_NAD_1983_OR_S_FT_INTL \
   "NAD_1983_StatePlane_Oregon_South_FIPS_3602_Feet_Intl"
#define PE_N_PCS_NAD_1983_PACP00_UTM_2S \
   "NAD_1983_PACP00_UTM_Zone_2S"
#define PE_N_PCS_NAD_1983_PACP00_UTM_4N \
   "NAD_1983_PACP00_UTM_Zone_4N"
#define PE_N_PCS_NAD_1983_PACP00_UTM_5N \
   "NAD_1983_PACP00_UTM_Zone_5N"
#define PE_N_PCS_NAD_1983_PA_N \
   "NAD_1983_StatePlane_Pennsylvania_North_FIPS_3701"
#define PE_N_PCS_NAD_1983_PA_N_FT \
   "NAD_1983_StatePlane_Pennsylvania_North_FIPS_3701_Feet"
#define PE_N_PCS_NAD_1983_PA_S \
   "NAD_1983_StatePlane_Pennsylvania_South_FIPS_3702"
#define PE_N_PCS_NAD_1983_PA_S_FT \
   "NAD_1983_StatePlane_Pennsylvania_South_FIPS_3702_Feet"
#define PE_N_PCS_NAD_1983_PR_VI \
   "NAD_1983_StatePlane_Puerto_Rico_Virgin_Islands_FIPS_5200"
#define PE_N_PCS_NAD_1983_PR_VI_FT \
   "NAD_1983_StatePlane_Puerto_Rico_Virgin_Islands_FIPS_5200_Feet"
#define PE_N_PCS_NAD_1983_QUEBEC_LAMBERT \
   "NAD_1983_Quebec_Lambert"
#define PE_N_PCS_NAD_1983_RI \
   "NAD_1983_StatePlane_Rhode_Island_FIPS_3800"
#define PE_N_PCS_NAD_1983_RI_FT \
   "NAD_1983_StatePlane_Rhode_Island_FIPS_3800_Feet"
#define PE_N_PCS_NAD_1983_SC \
   "NAD_1983_StatePlane_South_Carolina_FIPS_3900"
#define PE_N_PCS_NAD_1983_SC_FT \
   "NAD_1983_StatePlane_South_Carolina_FIPS_3900_Feet"
#define PE_N_PCS_NAD_1983_SC_FT_INTL \
   "NAD_1983_StatePlane_South_Carolina_FIPS_3900_Feet_Intl"
#define PE_N_PCS_NAD_1983_SD_N \
   "NAD_1983_StatePlane_South_Dakota_North_FIPS_4001"
#define PE_N_PCS_NAD_1983_SD_N_FT \
   "NAD_1983_StatePlane_South_Dakota_North_FIPS_4001_Feet"
#define PE_N_PCS_NAD_1983_SD_S \
   "NAD_1983_StatePlane_South_Dakota_South_FIPS_4002"
#define PE_N_PCS_NAD_1983_SD_S_FT \
   "NAD_1983_StatePlane_South_Dakota_South_FIPS_4002_Feet"
#define PE_N_PCS_NAD_1983_STATISTICS_CANADA_LAMBERT \
   "NAD_1983_Statistics_Canada_Lambert"
#define PE_N_PCS_NAD_1983_TEXAS_CENTRIC_ALBERS \
   "NAD_1983_Texas_Centric_Mapping_System_Albers"
#define PE_N_PCS_NAD_1983_TEXAS_CENTRIC_LAMBERT \
   "NAD_1983_Texas_Centric_Mapping_System_Lambert"
#define PE_N_PCS_NAD_1983_TEXAS_STATEWIDE \
   "NAD_1983_Texas_Statewide_Mapping_System"
#define PE_N_PCS_NAD_1983_TN \
   "NAD_1983_StatePlane_Tennessee_FIPS_4100"
#define PE_N_PCS_NAD_1983_TN_FT \
   "NAD_1983_StatePlane_Tennessee_FIPS_4100_Feet"
#define PE_N_PCS_NAD_1983_TX_C \
   "NAD_1983_StatePlane_Texas_Central_FIPS_4203"
#define PE_N_PCS_NAD_1983_TX_C_FT \
   "NAD_1983_StatePlane_Texas_Central_FIPS_4203_Feet"
#define PE_N_PCS_NAD_1983_TX_N \
   "NAD_1983_StatePlane_Texas_North_FIPS_4201"
#define PE_N_PCS_NAD_1983_TX_NC \
   "NAD_1983_StatePlane_Texas_North_Central_FIPS_4202"
#define PE_N_PCS_NAD_1983_TX_NC_FT \
   "NAD_1983_StatePlane_Texas_North_Central_FIPS_4202_Feet"
#define PE_N_PCS_NAD_1983_TX_N_FT \
   "NAD_1983_StatePlane_Texas_North_FIPS_4201_Feet"
#define PE_N_PCS_NAD_1983_TX_S \
   "NAD_1983_StatePlane_Texas_South_FIPS_4205"
#define PE_N_PCS_NAD_1983_TX_SC \
   "NAD_1983_StatePlane_Texas_South_Central_FIPS_4204"
#define PE_N_PCS_NAD_1983_TX_SC_FT \
   "NAD_1983_StatePlane_Texas_South_Central_FIPS_4204_Feet"
#define PE_N_PCS_NAD_1983_TX_S_FT \
   "NAD_1983_StatePlane_Texas_South_FIPS_4205_Feet"
#define PE_N_PCS_NAD_1983_USA_ALBERS \
   "USA_Contiguous_Albers_Equal_Area_Conic"
#define PE_N_PCS_NAD_1983_USA_EQUI_CONIC \
   "USA_Contiguous_Equidistant_Conic"
#define PE_N_PCS_NAD_1983_USA_LAMBERT \
   "USA_Contiguous_Lambert_Conformal_Conic"
#define PE_N_PCS_NAD_1983_USFS_R6_ALBERS \
   "NAD_1983_USFS_R6_Albers"
#define PE_N_PCS_NAD_1983_USGS_USA_ALBERS \
   "USA_Contiguous_Albers_Equal_Area_Conic_USGS_version"
#define PE_N_PCS_NAD_1983_UTM_10N \
   "NAD_1983_UTM_Zone_10N"
#define PE_N_PCS_NAD_1983_UTM_11N \
   "NAD_1983_UTM_Zone_11N"
#define PE_N_PCS_NAD_1983_UTM_12N \
   "NAD_1983_UTM_Zone_12N"
#define PE_N_PCS_NAD_1983_UTM_13N \
   "NAD_1983_UTM_Zone_13N"
#define PE_N_PCS_NAD_1983_UTM_14N \
   "NAD_1983_UTM_Zone_14N"
#define PE_N_PCS_NAD_1983_UTM_15N \
   "NAD_1983_UTM_Zone_15N"
#define PE_N_PCS_NAD_1983_UTM_16N \
   "NAD_1983_UTM_Zone_16N"
#define PE_N_PCS_NAD_1983_UTM_17N \
   "NAD_1983_UTM_Zone_17N"
#define PE_N_PCS_NAD_1983_UTM_18N \
   "NAD_1983_UTM_Zone_18N"
#define PE_N_PCS_NAD_1983_UTM_19N \
   "NAD_1983_UTM_Zone_19N"
#define PE_N_PCS_NAD_1983_UTM_1N \
   "NAD_1983_UTM_Zone_1N"
#define PE_N_PCS_NAD_1983_UTM_20N \
   "NAD_1983_UTM_Zone_20N"
#define PE_N_PCS_NAD_1983_UTM_21N \
   "NAD_1983_UTM_Zone_21N"
#define PE_N_PCS_NAD_1983_UTM_22N \
   "NAD_1983_UTM_Zone_22N"
#define PE_N_PCS_NAD_1983_UTM_23N \
   "NAD_1983_UTM_Zone_23N"
#define PE_N_PCS_NAD_1983_UTM_2N \
   "NAD_1983_UTM_Zone_2N"
#define PE_N_PCS_NAD_1983_UTM_3N \
   "NAD_1983_UTM_Zone_3N"
#define PE_N_PCS_NAD_1983_UTM_4N \
   "NAD_1983_UTM_Zone_4N"
#define PE_N_PCS_NAD_1983_UTM_58N \
   "NAD_1983_UTM_Zone_58N"
#define PE_N_PCS_NAD_1983_UTM_59N \
   "NAD_1983_UTM_Zone_59N"
#define PE_N_PCS_NAD_1983_UTM_5N \
   "NAD_1983_UTM_Zone_5N"
#define PE_N_PCS_NAD_1983_UTM_60N \
   "NAD_1983_UTM_Zone_60N"
#define PE_N_PCS_NAD_1983_UTM_6N \
   "NAD_1983_UTM_Zone_6N"
#define PE_N_PCS_NAD_1983_UTM_7N \
   "NAD_1983_UTM_Zone_7N"
#define PE_N_PCS_NAD_1983_UTM_8N \
   "NAD_1983_UTM_Zone_8N"
#define PE_N_PCS_NAD_1983_UTM_9N \
   "NAD_1983_UTM_Zone_9N"
#define PE_N_PCS_NAD_1983_UT_C \
   "NAD_1983_StatePlane_Utah_Central_FIPS_4302"
#define PE_N_PCS_NAD_1983_UT_C_FT \
   "NAD_1983_StatePlane_Utah_Central_FIPS_4302_Feet"
#define PE_N_PCS_NAD_1983_UT_C_FT_INTL \
   "NAD_1983_StatePlane_Utah_Central_FIPS_4302_Feet_Intl"
#define PE_N_PCS_NAD_1983_UT_N \
   "NAD_1983_StatePlane_Utah_North_FIPS_4301"
#define PE_N_PCS_NAD_1983_UT_N_FT \
   "NAD_1983_StatePlane_Utah_North_FIPS_4301_Feet"
#define PE_N_PCS_NAD_1983_UT_N_FT_INTL \
   "NAD_1983_StatePlane_Utah_North_FIPS_4301_Feet_Intl"
#define PE_N_PCS_NAD_1983_UT_S \
   "NAD_1983_StatePlane_Utah_South_FIPS_4303"
#define PE_N_PCS_NAD_1983_UT_S_FT \
   "NAD_1983_StatePlane_Utah_South_FIPS_4303_Feet"
#define PE_N_PCS_NAD_1983_UT_S_FT_INTL \
   "NAD_1983_StatePlane_Utah_South_FIPS_4303_Feet_Intl"
#define PE_N_PCS_NAD_1983_VA_N \
   "NAD_1983_StatePlane_Virginia_North_FIPS_4501"
#define PE_N_PCS_NAD_1983_VA_N_FT \
   "NAD_1983_StatePlane_Virginia_North_FIPS_4501_Feet"
#define PE_N_PCS_NAD_1983_VA_S \
   "NAD_1983_StatePlane_Virginia_South_FIPS_4502"
#define PE_N_PCS_NAD_1983_VA_S_FT \
   "NAD_1983_StatePlane_Virginia_South_FIPS_4502_Feet"
#define PE_N_PCS_NAD_1983_VIRGINIA_LAMBERT \
   "NAD_1983_Virginia_Lambert"
#define PE_N_PCS_NAD_1983_VT \
   "NAD_1983_StatePlane_Vermont_FIPS_4400"
#define PE_N_PCS_NAD_1983_VT_FT \
   "NAD_1983_StatePlane_Vermont_FIPS_4400_Feet"
#define PE_N_PCS_NAD_1983_WA_N \
   "NAD_1983_StatePlane_Washington_North_FIPS_4601"
#define PE_N_PCS_NAD_1983_WA_N_FT \
   "NAD_1983_StatePlane_Washington_North_FIPS_4601_Feet"
#define PE_N_PCS_NAD_1983_WA_S \
   "NAD_1983_StatePlane_Washington_South_FIPS_4602"
#define PE_N_PCS_NAD_1983_WA_S_FT \
   "NAD_1983_StatePlane_Washington_South_FIPS_4602_Feet"
#define PE_N_PCS_NAD_1983_WISCONSIN_TM \
   "NAD_1983_Wisconsin_TM"
#define PE_N_PCS_NAD_1983_WISCONSIN_TM_FT_US \
   "NAD_1983_Wisconsin_TM_US_Ft"
#define PE_N_PCS_NAD_1983_WI_C \
   "NAD_1983_StatePlane_Wisconsin_Central_FIPS_4802"
#define PE_N_PCS_NAD_1983_WI_C_FT \
   "NAD_1983_StatePlane_Wisconsin_Central_FIPS_4802_Feet"
#define PE_N_PCS_NAD_1983_WI_N \
   "NAD_1983_StatePlane_Wisconsin_North_FIPS_4801"
#define PE_N_PCS_NAD_1983_WI_N_FT \
   "NAD_1983_StatePlane_Wisconsin_North_FIPS_4801_Feet"
#define PE_N_PCS_NAD_1983_WI_S \
   "NAD_1983_StatePlane_Wisconsin_South_FIPS_4803"
#define PE_N_PCS_NAD_1983_WI_S_FT \
   "NAD_1983_StatePlane_Wisconsin_South_FIPS_4803_Feet"
#define PE_N_PCS_NAD_1983_WV_N \
   "NAD_1983_StatePlane_West_Virginia_North_FIPS_4701"
#define PE_N_PCS_NAD_1983_WV_N_FT \
   "NAD_1983_StatePlane_West_Virginia_North_FIPS_4701_Feet"
#define PE_N_PCS_NAD_1983_WV_S \
   "NAD_1983_StatePlane_West_Virginia_South_FIPS_4702"
#define PE_N_PCS_NAD_1983_WV_S_FT \
   "NAD_1983_StatePlane_West_Virginia_South_FIPS_4702_Feet"
#define PE_N_PCS_NAD_1983_WY_E \
   "NAD_1983_StatePlane_Wyoming_East_FIPS_4901"
#define PE_N_PCS_NAD_1983_WY_EC \
   "NAD_1983_StatePlane_Wyoming_East_Central_FIPS_4902"
#define PE_N_PCS_NAD_1983_WY_EC_FT \
   "NAD_1983_StatePlane_Wyoming_East_Central_FIPS_4902_Feet"
#define PE_N_PCS_NAD_1983_WY_E_FT \
   "NAD_1983_StatePlane_Wyoming_East_FIPS_4901_Feet"
#define PE_N_PCS_NAD_1983_WY_LAM \
   "NAD_1983_WyLAM"
#define PE_N_PCS_NAD_1983_WY_W \
   "NAD_1983_StatePlane_Wyoming_West_FIPS_4904"
#define PE_N_PCS_NAD_1983_WY_WC \
   "NAD_1983_StatePlane_Wyoming_West_Central_FIPS_4903"
#define PE_N_PCS_NAD_1983_WY_WC_FT \
   "NAD_1983_StatePlane_Wyoming_West_Central_FIPS_4903_Feet"
#define PE_N_PCS_NAD_1983_WY_W_FT \
   "NAD_1983_StatePlane_Wyoming_West_FIPS_4904_Feet"
#define PE_N_PCS_NAD_1983_YUKON_ALBERS \
   "NAD_1983_Yukon_Albers"
#define PE_N_PCS_NAD_MICH_MI_C \
   "NAD_Michigan_StatePlane_Michigan_Central_FIPS_2112"
#define PE_N_PCS_NAD_MICH_MI_C_OLD \
   "NAD_Michigan_StatePlane_Michigan_Central_Old_FIPS_2102"
#define PE_N_PCS_NAD_MICH_MI_E_OLD \
   "NAD_Michigan_StatePlane_Michigan_East_Old_FIPS_2101"
#define PE_N_PCS_NAD_MICH_MI_N \
   "NAD_Michigan_StatePlane_Michigan_North_FIPS_2111"
#define PE_N_PCS_NAD_MICH_MI_S \
   "NAD_Michigan_StatePlane_Michigan_South_FIPS_2113"
#define PE_N_PCS_NAD_MICH_MI_W_OLD \
   "NAD_Michigan_StatePlane_Michigan_West_Old_FIPS_2103"
#define PE_N_PCS_NAHRWAN_1934_IRAQ_ZONE \
   "Nahrwan_1934_Iraq_Zone"
#define PE_N_PCS_NAHRWAN_1967_UTM_37N \
   "Nahrwan_1967_UTM_Zone_37N"
#define PE_N_PCS_NAHRWAN_1967_UTM_38N \
   "Nahrwan_1967_UTM_Zone_38N"
#define PE_N_PCS_NAHRWAN_1967_UTM_39N \
   "Nahrwan_1967_UTM_Zone_39N"
#define PE_N_PCS_NAHRWAN_1967_UTM_40N \
   "Nahrwan_1967_UTM_Zone_40N"
#define PE_N_PCS_NAKHL_E_GHANEM_UTM_39N \
   "Nakhl-e_Ghanem_UTM_Zone_39N"
#define PE_N_PCS_NAPARIMA_1955_UTM_20N \
   "Naparima_1955_UTM_Zone_20N"
#define PE_N_PCS_NAPARIMA_1972_UTM_20N \
   "Naparima_1972_UTM_Zone_20N"
#define PE_N_PCS_NEA74_NOUMEA_LAMBERT \
   "NEA74_Noumea_Lambert"
#define PE_N_PCS_NEA74_NOUMEA_LAMBERT_2 \
   "NEA74_Noumea_Lambert_2"
#define PE_N_PCS_NEA74_NOUMEA_UTM_58S \
   "NEA74_Noumea_UTM_58S"
#define PE_N_PCS_NEPAL_NAGARKOT_TM \
   "Nepal_Nagarkot_TM"
#define PE_N_PCS_NGN_UTM_38N \
   "NGN_UTM_Zone_38N"
#define PE_N_PCS_NGN_UTM_39N \
   "NGN_UTM_Zone_39N"
#define PE_N_PCS_NGO_1948_BAERUM_KOMMUNE \
   "NGO_1948_Baerum_Kommune"
#define PE_N_PCS_NGO_1948_BERGENHALVOEN \
   "NGO_1948_Bergenhalvoen"
#define PE_N_PCS_NGO_1948_NORWAY_1 \
   "NGO_1948_Norway_Zone_1"
#define PE_N_PCS_NGO_1948_NORWAY_2 \
   "NGO_1948_Norway_Zone_2"
#define PE_N_PCS_NGO_1948_NORWAY_3 \
   "NGO_1948_Norway_Zone_3"
#define PE_N_PCS_NGO_1948_NORWAY_4 \
   "NGO_1948_Norway_Zone_4"
#define PE_N_PCS_NGO_1948_NORWAY_5 \
   "NGO_1948_Norway_Zone_5"
#define PE_N_PCS_NGO_1948_NORWAY_6 \
   "NGO_1948_Norway_Zone_6"
#define PE_N_PCS_NGO_1948_NORWAY_7 \
   "NGO_1948_Norway_Zone_7"
#define PE_N_PCS_NGO_1948_NORWAY_8 \
   "NGO_1948_Norway_Zone_8"
#define PE_N_PCS_NGO_1948_OSLO_BAERUM_KOMMUNE \
   "NGO_1948_Oslo_Baerum_Kommune"
#define PE_N_PCS_NGO_1948_OSLO_BERGENHALVOEN \
   "NGO_1948_Oslo_Bergenhalvoen"
#define PE_N_PCS_NGO_1948_OSLO_KOMMUNE \
   "NGO_1948_Oslo_Kommune"
#define PE_N_PCS_NGO_1948_OSLO_NORWAY_1 \
   "NGO_1948_Oslo_Norway_Zone_1"
#define PE_N_PCS_NGO_1948_OSLO_NORWAY_2 \
   "NGO_1948_Oslo_Norway_Zone_2"
#define PE_N_PCS_NGO_1948_OSLO_NORWAY_3 \
   "NGO_1948_Oslo_Norway_Zone_3"
#define PE_N_PCS_NGO_1948_OSLO_NORWAY_4 \
   "NGO_1948_Oslo_Norway_Zone_4"
#define PE_N_PCS_NGO_1948_OSLO_NORWAY_5 \
   "NGO_1948_Oslo_Norway_Zone_5"
#define PE_N_PCS_NGO_1948_OSLO_NORWAY_6 \
   "NGO_1948_Oslo_Norway_Zone_6"
#define PE_N_PCS_NGO_1948_OSLO_NORWAY_7 \
   "NGO_1948_Oslo_Norway_Zone_7"
#define PE_N_PCS_NGO_1948_OSLO_NORWAY_8 \
   "NGO_1948_Oslo_Norway_Zone_8"
#define PE_N_PCS_NGO_1948_OSLO_OSLO_KOMMUNE \
   "NGO_1948_Oslo_Oslo_Kommune"
#define PE_N_PCS_NGO_1948_UTM_32N \
   "NGO_1948_UTM_Zone_32N"
#define PE_N_PCS_NGO_1948_UTM_33N \
   "NGO_1948_UTM_Zone_33N"
#define PE_N_PCS_NGO_1948_UTM_34N \
   "NGO_1948_UTM_Zone_34N"
#define PE_N_PCS_NGO_1948_UTM_35N \
   "NGO_1948_UTM_Zone_35N"
#define PE_N_PCS_NORD_SAHARA_1959_VOIROL_UNIFIE_NORD \
   "Nord_Sahara_1959_Voirol_Unifie_Nord"
#define PE_N_PCS_NORD_SAHARA_1959_VOIROL_UNIFIE_SUD \
   "Nord_Sahara_1959_Voirol_Unifie_Sud"
#define PE_N_PCS_NORD_SAHARA_UTM_29N \
   "Nord_Sahara_1959_UTM_Zone_29N"
#define PE_N_PCS_NORD_SAHARA_UTM_30N \
   "Nord_Sahara_1959_UTM_Zone_30N"
#define PE_N_PCS_NORD_SAHARA_UTM_31N \
   "Nord_Sahara_1959_UTM_Zone_31N"
#define PE_N_PCS_NORD_SAHARA_UTM_32N \
   "Nord_Sahara_1959_UTM_Zone_32N"
#define PE_N_PCS_NSIDC_EASE_GRID_GLOBAL \
   "NSIDC_EASE_Grid_Global"
#define PE_N_PCS_NSIDC_EASE_GRID_NORTH \
   "NSIDC_EASE_Grid_North"
#define PE_N_PCS_NSIDC_EASE_GRID_SOUTH \
   "NSIDC_EASE_Grid_South"
#define PE_N_PCS_NSIDC_SEA_ICE_POLAR_STEREO_N \
   "NSIDC_Sea_Ice_Polar_Stereographic_North"
#define PE_N_PCS_NSIDC_SEA_ICE_POLAR_STEREO_S \
   "NSIDC_Sea_Ice_Polar_Stereographic_South"
#define PE_N_PCS_NTF_CENTRE_FRANCE \
   "NTF_Paris_Centre_France"
#define PE_N_PCS_NTF_CORSE \
   "NTF_Paris_Corse"
#define PE_N_PCS_NTF_FRANCE_I \
   "NTF_Paris_France_I"
#define PE_N_PCS_NTF_FRANCE_II \
   "NTF_Paris_France_II"
#define PE_N_PCS_NTF_FRANCE_III \
   "NTF_Paris_France_III"
#define PE_N_PCS_NTF_FRANCE_III_DEG \
   "NTF_France_III_degrees"
#define PE_N_PCS_NTF_FRANCE_II_DEG \
   "NTF_France_II_degrees"
#define PE_N_PCS_NTF_FRANCE_IV \
   "NTF_Paris_France_IV"
#define PE_N_PCS_NTF_FRANCE_IV_DEG \
   "NTF_France_IV_degrees"
#define PE_N_PCS_NTF_FRANCE_I_DEG \
   "NTF_France_I_degrees"
#define PE_N_PCS_NTF_LAMBERT_I \
   "NTF_Lambert_Zone_I"
#define PE_N_PCS_NTF_LAMBERT_II \
   "NTF_Lambert_Zone_II"
#define PE_N_PCS_NTF_LAMBERT_III \
   "NTF_Lambert_Zone_III"
#define PE_N_PCS_NTF_LAMBERT_IV \
   "NTF_Lambert_Zone_IV"
#define PE_N_PCS_NTF_NORD_FRANCE \
   "NTF_Paris_Nord_France"
#define PE_N_PCS_NTF_PARIS_LAMBERT_CENTRE_FRANCE \
   "NTF_Paris_Lambert_Centre_France"
#define PE_N_PCS_NTF_PARIS_LAMBERT_CORSE \
   "NTF_Paris_Lambert_Corse"
#define PE_N_PCS_NTF_PARIS_LAMBERT_I \
   "NTF_Paris_Lambert_Zone_I"
#define PE_N_PCS_NTF_PARIS_LAMBERT_II \
   "NTF_Paris_Lambert_Zone_II"
#define PE_N_PCS_NTF_PARIS_LAMBERT_III \
   "NTF_Paris_Lambert_Zone_III"
#define PE_N_PCS_NTF_PARIS_LAMBERT_IV \
   "NTF_Paris_Lambert_Zone_IV"
#define PE_N_PCS_NTF_PARIS_LAMBERT_NORD_FRANCE \
   "NTF_Paris_Lambert_Nord_France"
#define PE_N_PCS_NTF_PARIS_LAMBERT_SUD_FRANCE \
   "NTF_Paris_Lambert_Sud_France"
#define PE_N_PCS_NTF_SUD_FRANCE \
   "NTF_Paris_Sud_France"
#define PE_N_PCS_NZGD_1949_AMURI_CIRCUIT \
   "NZGD_1949_Amuri_Circuit"
#define PE_N_PCS_NZGD_1949_BAY_OF_PLENTY_CIRCUIT \
   "NZGD_1949_Bay_of_Plenty_Circuit"
#define PE_N_PCS_NZGD_1949_BLUFF_CIRCUIT \
   "NZGD_1949_Bluff_Circuit"
#define PE_N_PCS_NZGD_1949_BULLER_CIRCUIT \
   "NZGD_1949_Buller_Circuit"
#define PE_N_PCS_NZGD_1949_COLLINGWOOD_CIRCUIT \
   "NZGD_1949_Collingwood_Circuit"
#define PE_N_PCS_NZGD_1949_GAWLER_CIRCUIT \
   "NZGD_1949_Gawler_Circuit"
#define PE_N_PCS_NZGD_1949_GREY_CIRCUIT \
   "NZGD_1949_Grey_Circuit"
#define PE_N_PCS_NZGD_1949_HAWKES_BAY_CIRCUIT \
   "NZGD_1949_Hawkes_Bay_Circuit"
#define PE_N_PCS_NZGD_1949_HOKITIKA_CIRCUIT \
   "NZGD_1949_Hokitika_Circuit"
#define PE_N_PCS_NZGD_1949_JACKSONS_BAY_CIRCUIT \
   "NZGD_1949_Jacksons_Bay_Circuit"
#define PE_N_PCS_NZGD_1949_KARAMEA_CIRCUIT \
   "NZGD_1949_Karamea_Circuit"
#define PE_N_PCS_NZGD_1949_LINDIS_PEAK_CIRCUIT \
   "NZGD_1949_Lindis_Peak_Circuit"
#define PE_N_PCS_NZGD_1949_MARLBOROUGH_CIRCUIT \
   "NZGD_1949_Marlborough_Circuit"
#define PE_N_PCS_NZGD_1949_MOUNT_EDEN_CIRCUIT \
   "NZGD_1949_Mount_Eden_Circuit"
#define PE_N_PCS_NZGD_1949_MOUNT_NICHOLAS_CIRCUIT \
   "NZGD_1949_Mount_Nicholas_Circuit"
#define PE_N_PCS_NZGD_1949_MOUNT_PLEASANT_CIRCUIT \
   "NZGD_1949_Mount_Pleasant_Circuit"
#define PE_N_PCS_NZGD_1949_MOUNT_YORK_CIRCUIT \
   "NZGD_1949_Mount_York_Circuit"
#define PE_N_PCS_NZGD_1949_NELSON_CIRCUIT \
   "NZGD_1949_Nelson_Circuit"
#define PE_N_PCS_NZGD_1949_NEW_ZEALAND_MAP_GRID \
   "GD_1949_New_Zealand_Map_Grid"
#define PE_N_PCS_NZGD_1949_NORTH_ISLAND \
   "New_Zealand_North_Island"
#define PE_N_PCS_NZGD_1949_NORTH_TAIERI_CIRCUIT \
   "NZGD_1949_North_Taieri_Circuit"
#define PE_N_PCS_NZGD_1949_OBSERVATION_PT_CIRCUIT \
   "NZGD_1949_Observation_Point_Circuit"
#define PE_N_PCS_NZGD_1949_OKARITO_CIRCUIT \
   "NZGD_1949_Okarito_Circuit"
#define PE_N_PCS_NZGD_1949_POVERTY_BAY_CIRCUIT \
   "NZGD_1949_Poverty_Bay_Circuit"
#define PE_N_PCS_NZGD_1949_SOUTH_ISLAND \
   "New_Zealand_South_Island"
#define PE_N_PCS_NZGD_1949_TARANAKI_CIRCUIT \
   "NZGD_1949_Taranaki_Circuit"
#define PE_N_PCS_NZGD_1949_TIMARU_CIRCUIT \
   "NZGD_1949_Timaru_Circuit"
#define PE_N_PCS_NZGD_1949_TUHIRANGI_CIRCUIT \
   "NZGD_1949_Tuhirangi_Circuit"
#define PE_N_PCS_NZGD_1949_UTM_58S \
   "NZGD_1949_UTM_Zone_58S"
#define PE_N_PCS_NZGD_1949_UTM_59S \
   "NZGD_1949_UTM_Zone_59S"
#define PE_N_PCS_NZGD_1949_UTM_60S \
   "NZGD_1949_UTM_Zone_60S"
#define PE_N_PCS_NZGD_1949_WAIRARAPA_CIRCUIT \
   "NZGD_1949_Wairarapa_Circuit"
#define PE_N_PCS_NZGD_1949_WANGANUI_CIRCUIT \
   "NZGD_1949_Wanganui_Circuit"
#define PE_N_PCS_NZGD_1949_WELLINGTON_CIRCUIT \
   "NZGD_1949_Wellington_Circuit"
#define PE_N_PCS_NZGD_2000_AMURI_CIRCUIT \
   "NZGD_2000_Amuri_Circuit"
#define PE_N_PCS_NZGD_2000_ANTIPODES_ISLANDS_TM_2000 \
   "NZGD_2000_Antipodes_Islands_TM_2000"
#define PE_N_PCS_NZGD_2000_AUCKLAND_ISLANDS_TM_2000 \
   "NZGD_2000_Auckland_Islands_TM_2000"
#define PE_N_PCS_NZGD_2000_BAY_OF_PLENTY_CIRCUIT \
   "NZGD_2000_Bay_of_Plenty_Circuit"
#define PE_N_PCS_NZGD_2000_BLUFF_CIRCUIT \
   "NZGD_2000_Bluff_Circuit"
#define PE_N_PCS_NZGD_2000_BULLER_CIRCUIT \
   "NZGD_2000_Buller_Circuit"
#define PE_N_PCS_NZGD_2000_CAMPBELL_ISLAND_TM_2000 \
   "NZGD_2000_Campbell_Island_TM_2000"
#define PE_N_PCS_NZGD_2000_CHATHAM_ISLANDS_TM_2000 \
   "NZGD_2000_Chatham_Islands_TM_2000"
#define PE_N_PCS_NZGD_2000_CHATHAM_ISLAND_CIRCUIT \
   "NZGD_2000_Chatham_Island_Circuit"
#define PE_N_PCS_NZGD_2000_COLLINGWOOD_CIRCUIT \
   "NZGD_2000_Collingwood_Circuit"
#define PE_N_PCS_NZGD_2000_GAWLER_CIRCUIT \
   "NZGD_2000_Gawler_Circuit"
#define PE_N_PCS_NZGD_2000_GREY_CIRCUIT \
   "NZGD_2000_Grey_Circuit"
#define PE_N_PCS_NZGD_2000_HAWKES_BAY_CIRCUIT \
   "NZGD_2000_Hawkes_Bay_Circuit"
#define PE_N_PCS_NZGD_2000_HOKITIKA_CIRCUIT \
   "NZGD_2000_Hokitika_Circuit"
#define PE_N_PCS_NZGD_2000_JACKSONS_BAY_CIRCUIT \
   "NZGD_2000_Jacksons_Bay_Circuit"
#define PE_N_PCS_NZGD_2000_KARAMEA_CIRCUIT \
   "NZGD_2000_Karamea_Circuit"
#define PE_N_PCS_NZGD_2000_LINDIS_PEAK_CIRCUIT \
   "NZGD_2000_Lindis_Peak_Circuit"
#define PE_N_PCS_NZGD_2000_MARLBOROUGH_CIRCUIT \
   "NZGD_2000_Marlborough_Circuit"
#define PE_N_PCS_NZGD_2000_MOUNT_EDEN_CIRCUIT \
   "NZGD_2000_Mount_Eden_Circuit"
#define PE_N_PCS_NZGD_2000_MOUNT_NICHOLAS_CIRCUIT \
   "NZGD_2000_Mount_Nicholas_Circuit"
#define PE_N_PCS_NZGD_2000_MOUNT_PLEASANT_CIRCUIT \
   "NZGD_2000_Mount_Pleasant_Circuit"
#define PE_N_PCS_NZGD_2000_MOUNT_YORK_CIRCUIT \
   "NZGD_2000_Mount_York_Circuit"
#define PE_N_PCS_NZGD_2000_NELSON_CIRCUIT \
   "NZGD_2000_Nelson_Circuit"
#define PE_N_PCS_NZGD_2000_NORTH_TAIERI_CIRCUIT \
   "NZGD_2000_North_Taieri_Circuit"
#define PE_N_PCS_NZGD_2000_NZCS2000 \
   "NZGD_2000_NZ_Continental_Shelf_2000"
#define PE_N_PCS_NZGD_2000_OBSERVATION_PT_CIRCUIT \
   "NZGD_2000_Observation_Point_Circuit"
#define PE_N_PCS_NZGD_2000_OKARITO_CIRCUIT \
   "NZGD_2000_Okarito_Circuit"
#define PE_N_PCS_NZGD_2000_POVERTY_BAY_CIRCUIT \
   "NZGD_2000_Poverty_Bay_Circuit"
#define PE_N_PCS_NZGD_2000_RAOUL_ISLAND_TM_2000 \
   "NZGD_2000_Raoul_Island_TM_2000"
#define PE_N_PCS_NZGD_2000_TARANAKI_CIRCUIT \
   "NZGD_2000_Taranaki_Circuit"
#define PE_N_PCS_NZGD_2000_TIMARU_CIRCUIT \
   "NZGD_2000_Timaru_Circuit"
#define PE_N_PCS_NZGD_2000_TRANSVERSE_MERCATOR \
   "NZGD_2000_New_Zealand_Transverse_Mercator"
#define PE_N_PCS_NZGD_2000_TUHIRANGI_CIRCUIT \
   "NZGD_2000_Tuhirangi_Circuit"
#define PE_N_PCS_NZGD_2000_UTM_58S \
   "NZGD_2000_UTM_Zone_58S"
#define PE_N_PCS_NZGD_2000_UTM_59S \
   "NZGD_2000_UTM_Zone_59S"
#define PE_N_PCS_NZGD_2000_UTM_60S \
   "NZGD_2000_UTM_Zone_60S"
#define PE_N_PCS_NZGD_2000_WAIRARAPA_CIRCUIT \
   "NZGD_2000_Wairarapa_Circuit"
#define PE_N_PCS_NZGD_2000_WANGANUI_CIRCUIT \
   "NZGD_2000_Wanganui_Circuit"
#define PE_N_PCS_NZGD_2000_WELLINGTON_CIRCUIT \
   "NZGD_2000_Wellington_Circuit"
#define PE_N_PCS_OBSERV_METEOR_1939_UTM_25N \
   "Observatorio_Meteorologico_1939_UTM_Zone_25N"
#define PE_N_PCS_OBSERV_METEOR_1965_MACAU_GRID \
   "Observatorio_Meteorologico_1965_Macau_Grid"
#define PE_N_PCS_OCOTEPEQUE_1935_COSTA_RICA_LAMBERT_NORTE \
   "Ocotepeque_1935_Costa_Rica_Lambert_Norte"
#define PE_N_PCS_OCOTEPEQUE_1935_COSTA_RICA_LAMBERT_SUR \
   "Ocotepeque_1935_Costa_Rica_Lambert_Sur"
#define PE_N_PCS_OLD_HAWAIIAN_HI_1 \
   "Old_Hawaiian_StatePlane_Hawaii_1_FIPS_5101"
#define PE_N_PCS_OLD_HAWAIIAN_HI_2 \
   "Old_Hawaiian_StatePlane_Hawaii_2_FIPS_5102"
#define PE_N_PCS_OLD_HAWAIIAN_HI_3 \
   "Old_Hawaiian_StatePlane_Hawaii_3_FIPS_5103"
#define PE_N_PCS_OLD_HAWAIIAN_HI_4 \
   "Old_Hawaiian_StatePlane_Hawaii_4_FIPS_5104"
#define PE_N_PCS_OLD_HAWAIIAN_HI_5 \
   "Old_Hawaiian_StatePlane_Hawaii_5_FIPS_5105"
#define PE_N_PCS_OLD_HAWAIIAN_UTM_4N \
   "Old_Hawaiian_UTM_Zone_4N"
#define PE_N_PCS_OLD_HAWAIIAN_UTM_5N \
   "Old_Hawaiian_UTM_Zone_5N"
#define PE_N_PCS_OSGB_1936_BRITISH_GRID \
   "British_National_Grid"
#define PE_N_PCS_OSNI_1952_IRISH_NATIONAL_GRID \
   "OSNI_1952_Irish_National_Grid"
#define PE_N_PCS_PALESTINE_1923_ISRAEL_CS_GRID \
   "Palestine_1923_Israel_CS_Grid"
#define PE_N_PCS_PALESTINE_1923_PALESTINE_BELT \
   "Palestine_1923_Palestine_Belt"
#define PE_N_PCS_PALESTINE_1923_PALESTINE_GRID \
   "Palestine_1923_Palestine_Grid"
#define PE_N_PCS_PAMPA_DEL_CASTILLO_ARGENTINA_2 \
   "Pampa_del_Castillo_Argentina_2"
#define PE_N_PCS_PANHANDLE_ENERGY_ALBERS \
   "Panhandle_Energy_Albers"
#define PE_N_PCS_PDO_1993_UTM_39N \
   "PDO_1993_UTM_Zone_39N"
#define PE_N_PCS_PDO_1993_UTM_40N \
   "PDO_1993_UTM_Zone_40N"
#define PE_N_PCS_PERROUD_1950_TERRE_ADELIE_POLAR_STEREOGRAPHIC \
   "Perroud_1950_Terre_Adelie_Polar_Stereographic"
#define PE_N_PCS_PETRELS_1972_TERRE_ADELIE_POLAR_STEREOGRAPHIC \
   "Petrels_1972_Terre_Adelie_Polar_Stereographic"
#define PE_N_PCS_PITCAIRN_1967_UTM_9S \
   "Pitcairn_1967_UTM_Zone_9S"
#define PE_N_PCS_PITCAIRN_2006_TM_2006 \
   "Pitcairn_2006_Pitcairn_TM_2006"
#define PE_N_PCS_POHNPEI_AZ_EQ_1971 \
   "Pohnpei_Az_Eq_1971"
#define PE_N_PCS_POINTE_NOIRE_UTM_32S \
   "Pointe_Noire_UTM_Zone_32S"
#define PE_N_PCS_PORTO_SANTO_1936_UTM_28N \
   "Porto_Santo_1936_UTM_Zone_28N"
#define PE_N_PCS_PORTO_SANTO_1995_UTM_28N \
   "Porto_Santo_1995_UTM_Zone_28N"
#define PE_N_PCS_POSGAR_1994_ARGENTINA_1 \
   "POSGAR_1994_Argentina_Zone_1"
#define PE_N_PCS_POSGAR_1994_ARGENTINA_2 \
   "POSGAR_1994_Argentina_Zone_2"
#define PE_N_PCS_POSGAR_1994_ARGENTINA_3 \
   "POSGAR_1994_Argentina_Zone_3"
#define PE_N_PCS_POSGAR_1994_ARGENTINA_4 \
   "POSGAR_1994_Argentina_Zone_4"
#define PE_N_PCS_POSGAR_1994_ARGENTINA_5 \
   "POSGAR_1994_Argentina_Zone_5"
#define PE_N_PCS_POSGAR_1994_ARGENTINA_6 \
   "POSGAR_1994_Argentina_Zone_6"
#define PE_N_PCS_POSGAR_1994_ARGENTINA_7 \
   "POSGAR_1994_Argentina_Zone_7"
#define PE_N_PCS_POSGAR_1998_ARGENTINA_1 \
   "POSGAR_1998_Argentina_Zone_1"
#define PE_N_PCS_POSGAR_1998_ARGENTINA_2 \
   "POSGAR_1998_Argentina_Zone_2"
#define PE_N_PCS_POSGAR_1998_ARGENTINA_3 \
   "POSGAR_1998_Argentina_Zone_3"
#define PE_N_PCS_POSGAR_1998_ARGENTINA_4 \
   "POSGAR_1998_Argentina_Zone_4"
#define PE_N_PCS_POSGAR_1998_ARGENTINA_5 \
   "POSGAR_1998_Argentina_Zone_5"
#define PE_N_PCS_POSGAR_1998_ARGENTINA_6 \
   "POSGAR_1998_Argentina_Zone_6"
#define PE_N_PCS_POSGAR_1998_ARGENTINA_7 \
   "POSGAR_1998_Argentina_Zone_7"
#define PE_N_PCS_POTSDAM_DATUM_1983_GK_3 \
   "PD/83_GK_Zone_3"
#define PE_N_PCS_POTSDAM_DATUM_1983_GK_4 \
   "PD/83_GK_Zone_4"
#define PE_N_PCS_PRS_1992_PHILIPPINES_1 \
   "PRS_1992_Philippines_Zone_I"
#define PE_N_PCS_PRS_1992_PHILIPPINES_2 \
   "PRS_1992_Philippines_Zone_II"
#define PE_N_PCS_PRS_1992_PHILIPPINES_3 \
   "PRS_1992_Philippines_Zone_III"
#define PE_N_PCS_PRS_1992_PHILIPPINES_4 \
   "PRS_1992_Philippines_Zone_IV"
#define PE_N_PCS_PRS_1992_PHILIPPINES_5 \
   "PRS_1992_Philippines_Zone_V"
#define PE_N_PCS_PSAD_1956_ICN_REGIONAL \
   "PSAD_1956_ICN_Regional"
#define PE_N_PCS_PSAD_1956_PERU_CENTRAL \
   "Peru_Central_Zone"
#define PE_N_PCS_PSAD_1956_PERU_EAST \
   "Peru_East_Zone"
#define PE_N_PCS_PSAD_1956_PERU_WEST \
   "Peru_West_Zone"
#define PE_N_PCS_PSAD_1956_UTM_17N \
   "PSAD_1956_UTM_Zone_17N"
#define PE_N_PCS_PSAD_1956_UTM_17S \
   "PSAD_1956_UTM_Zone_17S"
#define PE_N_PCS_PSAD_1956_UTM_18N \
   "PSAD_1956_UTM_Zone_18N"
#define PE_N_PCS_PSAD_1956_UTM_18S \
   "PSAD_1956_UTM_Zone_18S"
#define PE_N_PCS_PSAD_1956_UTM_19N \
   "PSAD_1956_UTM_Zone_19N"
#define PE_N_PCS_PSAD_1956_UTM_19S \
   "PSAD_1956_UTM_Zone_19S"
#define PE_N_PCS_PSAD_1956_UTM_20N \
   "PSAD_1956_UTM_Zone_20N"
#define PE_N_PCS_PSAD_1956_UTM_20S \
   "PSAD_1956_UTM_Zone_20S"
#define PE_N_PCS_PSAD_1956_UTM_21N \
   "PSAD_1956_UTM_Zone_21N"
#define PE_N_PCS_PSAD_1956_UTM_21S \
   "PSAD_1956_UTM_Zone_21S"
#define PE_N_PCS_PSAD_1956_UTM_22S \
   "PSAD_1956_UTM_Zone_22S"
#define PE_N_PCS_PTRA08_UTM_25N \
   "PTRA08_UTM_Zone_25N"
#define PE_N_PCS_PTRA08_UTM_26N \
   "PTRA08_UTM_Zone_26N"
#define PE_N_PCS_PTRA08_UTM_28N \
   "PTRA08_UTM_Zone_28N"
#define PE_N_PCS_PUERTO_RICO_PR \
   "Puerto_Rico_StatePlane_Puerto_Rico_FIPS_5201"
#define PE_N_PCS_PUERTO_RICO_UTM_20N \
   "Puerto_Rico_UTM_Zone_20N"
#define PE_N_PCS_PUERTO_RICO_VI \
   "Puerto_Rico_StatePlane_Virgin_Islands_St_Croix_FIPS_5202"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_10 \
   "Pulkovo_1942_3_Degree_GK_Zone_10"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_102E \
   "Pulkovo_1942_3_Degree_GK_CM_102E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_105E \
   "Pulkovo_1942_3_Degree_GK_CM_105E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_108E \
   "Pulkovo_1942_3_Degree_GK_CM_108E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_11 \
   "Pulkovo_1942_3_Degree_GK_Zone_11"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_111E \
   "Pulkovo_1942_3_Degree_GK_CM_111E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_114E \
   "Pulkovo_1942_3_Degree_GK_CM_114E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_117E \
   "Pulkovo_1942_3_Degree_GK_CM_117E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_12 \
   "Pulkovo_1942_3_Degree_GK_Zone_12"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_120E \
   "Pulkovo_1942_3_Degree_GK_CM_120E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_123E \
   "Pulkovo_1942_3_Degree_GK_CM_123E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_126E \
   "Pulkovo_1942_3_Degree_GK_CM_126E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_129E \
   "Pulkovo_1942_3_Degree_GK_CM_129E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_13 \
   "Pulkovo_1942_3_Degree_GK_Zone_13"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_132E \
   "Pulkovo_1942_3_Degree_GK_CM_132E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_135E \
   "Pulkovo_1942_3_Degree_GK_CM_135E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_138E \
   "Pulkovo_1942_3_Degree_GK_CM_138E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_14 \
   "Pulkovo_1942_3_Degree_GK_Zone_14"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_141E \
   "Pulkovo_1942_3_Degree_GK_CM_141E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_144E \
   "Pulkovo_1942_3_Degree_GK_CM_144E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_147E \
   "Pulkovo_1942_3_Degree_GK_CM_147E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_15 \
   "Pulkovo_1942_3_Degree_GK_Zone_15"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_150E \
   "Pulkovo_1942_3_Degree_GK_CM_150E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_153E \
   "Pulkovo_1942_3_Degree_GK_CM_153E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_156E \
   "Pulkovo_1942_3_Degree_GK_CM_156E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_159E \
   "Pulkovo_1942_3_Degree_GK_CM_159E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_16 \
   "Pulkovo_1942_3_Degree_GK_Zone_16"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_162E \
   "Pulkovo_1942_3_Degree_GK_CM_162E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_165E \
   "Pulkovo_1942_3_Degree_GK_CM_165E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_168E \
   "Pulkovo_1942_3_Degree_GK_CM_168E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_168W \
   "Pulkovo_1942_3_Degree_GK_CM_168W"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_17 \
   "Pulkovo_1942_3_Degree_GK_Zone_17"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_171E \
   "Pulkovo_1942_3_Degree_GK_CM_171E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_171W \
   "Pulkovo_1942_3_Degree_GK_CM_171W"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_174E \
   "Pulkovo_1942_3_Degree_GK_CM_174E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_174W \
   "Pulkovo_1942_3_Degree_GK_CM_174W"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_177E \
   "Pulkovo_1942_3_Degree_GK_CM_177E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_177W \
   "Pulkovo_1942_3_Degree_GK_CM_177W"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_18 \
   "Pulkovo_1942_3_Degree_GK_Zone_18"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_180E \
   "Pulkovo_1942_3_Degree_GK_CM_180E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_19 \
   "Pulkovo_1942_3_Degree_GK_Zone_19"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_20 \
   "Pulkovo_1942_3_Degree_GK_Zone_20"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_21 \
   "Pulkovo_1942_3_Degree_GK_Zone_21"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_21E \
   "Pulkovo_1942_3_Degree_GK_CM_21E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_22 \
   "Pulkovo_1942_3_Degree_GK_Zone_22"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_23 \
   "Pulkovo_1942_3_Degree_GK_Zone_23"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_24 \
   "Pulkovo_1942_3_Degree_GK_Zone_24"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_24E \
   "Pulkovo_1942_3_Degree_GK_CM_24E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_25 \
   "Pulkovo_1942_3_Degree_GK_Zone_25"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_26 \
   "Pulkovo_1942_3_Degree_GK_Zone_26"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_27 \
   "Pulkovo_1942_3_Degree_GK_Zone_27"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_27E \
   "Pulkovo_1942_3_Degree_GK_CM_27E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_28 \
   "Pulkovo_1942_3_Degree_GK_Zone_28"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_29 \
   "Pulkovo_1942_3_Degree_GK_Zone_29"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_30 \
   "Pulkovo_1942_3_Degree_GK_Zone_30"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_30E \
   "Pulkovo_1942_3_Degree_GK_CM_30E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_31 \
   "Pulkovo_1942_3_Degree_GK_Zone_31"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_32 \
   "Pulkovo_1942_3_Degree_GK_Zone_32"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_33 \
   "Pulkovo_1942_3_Degree_GK_Zone_33"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_33E \
   "Pulkovo_1942_3_Degree_GK_CM_33E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_34 \
   "Pulkovo_1942_3_Degree_GK_Zone_34"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_35 \
   "Pulkovo_1942_3_Degree_GK_Zone_35"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_36 \
   "Pulkovo_1942_3_Degree_GK_Zone_36"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_36E \
   "Pulkovo_1942_3_Degree_GK_CM_36E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_37 \
   "Pulkovo_1942_3_Degree_GK_Zone_37"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_38 \
   "Pulkovo_1942_3_Degree_GK_Zone_38"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_39 \
   "Pulkovo_1942_3_Degree_GK_Zone_39"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_39E \
   "Pulkovo_1942_3_Degree_GK_CM_39E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_40 \
   "Pulkovo_1942_3_Degree_GK_Zone_40"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_41 \
   "Pulkovo_1942_3_Degree_GK_Zone_41"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_42 \
   "Pulkovo_1942_3_Degree_GK_Zone_42"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_42E \
   "Pulkovo_1942_3_Degree_GK_CM_42E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_43 \
   "Pulkovo_1942_3_Degree_GK_Zone_43"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_44 \
   "Pulkovo_1942_3_Degree_GK_Zone_44"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_45 \
   "Pulkovo_1942_3_Degree_GK_Zone_45"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_45E \
   "Pulkovo_1942_3_Degree_GK_CM_45E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_46 \
   "Pulkovo_1942_3_Degree_GK_Zone_46"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_47 \
   "Pulkovo_1942_3_Degree_GK_Zone_47"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_48 \
   "Pulkovo_1942_3_Degree_GK_Zone_48"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_48E \
   "Pulkovo_1942_3_Degree_GK_CM_48E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_49 \
   "Pulkovo_1942_3_Degree_GK_Zone_49"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_50 \
   "Pulkovo_1942_3_Degree_GK_Zone_50"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_51 \
   "Pulkovo_1942_3_Degree_GK_Zone_51"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_51E \
   "Pulkovo_1942_3_Degree_GK_CM_51E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_52 \
   "Pulkovo_1942_3_Degree_GK_Zone_52"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_53 \
   "Pulkovo_1942_3_Degree_GK_Zone_53"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_54 \
   "Pulkovo_1942_3_Degree_GK_Zone_54"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_54E \
   "Pulkovo_1942_3_Degree_GK_CM_54E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_55 \
   "Pulkovo_1942_3_Degree_GK_Zone_55"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_56 \
   "Pulkovo_1942_3_Degree_GK_Zone_56"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_57 \
   "Pulkovo_1942_3_Degree_GK_Zone_57"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_57E \
   "Pulkovo_1942_3_Degree_GK_CM_57E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_58 \
   "Pulkovo_1942_3_Degree_GK_Zone_58"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_59 \
   "Pulkovo_1942_3_Degree_GK_Zone_59"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_60 \
   "Pulkovo_1942_3_Degree_GK_Zone_60"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_60E \
   "Pulkovo_1942_3_Degree_GK_CM_60E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_61 \
   "Pulkovo_1942_3_Degree_GK_Zone_61"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_62 \
   "Pulkovo_1942_3_Degree_GK_Zone_62"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_63 \
   "Pulkovo_1942_3_Degree_GK_Zone_63"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_63E \
   "Pulkovo_1942_3_Degree_GK_CM_63E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_64 \
   "Pulkovo_1942_3_Degree_GK_Zone_64"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_66E \
   "Pulkovo_1942_3_Degree_GK_CM_66E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_69E \
   "Pulkovo_1942_3_Degree_GK_CM_69E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_7 \
   "Pulkovo_1942_3_Degree_GK_Zone_7"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_72E \
   "Pulkovo_1942_3_Degree_GK_CM_72E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_75E \
   "Pulkovo_1942_3_Degree_GK_CM_75E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_78E \
   "Pulkovo_1942_3_Degree_GK_CM_78E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_8 \
   "Pulkovo_1942_3_Degree_GK_Zone_8"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_81E \
   "Pulkovo_1942_3_Degree_GK_CM_81E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_84E \
   "Pulkovo_1942_3_Degree_GK_CM_84E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_87E \
   "Pulkovo_1942_3_Degree_GK_CM_87E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_9 \
   "Pulkovo_1942_3_Degree_GK_Zone_9"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_90E \
   "Pulkovo_1942_3_Degree_GK_CM_90E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_93E \
   "Pulkovo_1942_3_Degree_GK_CM_93E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_96E \
   "Pulkovo_1942_3_Degree_GK_CM_96E"
#define PE_N_PCS_PULKOVO_1942_3_DEG_GK_99E \
   "Pulkovo_1942_3_Degree_GK_CM_99E"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_10 \
   "Pulkovo_1942_Adj_1958_3_Degree_GK_Zone_10"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_3 \
   "Pulkovo_1942_Adj_1958_3_Degree_GK_Zone_3"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_4 \
   "Pulkovo_1942_Adj_1958_3_Degree_GK_Zone_4"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_5 \
   "Pulkovo_1942_Adj_1958_3_Degree_GK_Zone_5"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_6 \
   "Pulkovo_1942_Adj_1958_3_Degree_GK_Zone_6"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_7 \
   "Pulkovo_1942_Adj_1958_3_Degree_GK_Zone_7"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_8 \
   "Pulkovo_1942_Adj_1958_3_Degree_GK_Zone_8"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_9 \
   "Pulkovo_1942_Adj_1958_3_Degree_GK_Zone_9"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_GK_2 \
   "Pulkovo_1942_Adj_1958_GK_Zone_2"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_GK_3 \
   "Pulkovo_1942_Adj_1958_GK_Zone_3"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_GK_4 \
   "Pulkovo_1942_Adj_1958_GK_Zone_4"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_GK_5 \
   "Pulkovo_1942_Adj_1958_GK_Zone_5"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_GUGIK_80 \
   "Pulkovo_1942_Adj_1958_GUGiK-80"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_POLAND_ZONE_I \
   "Pulkovo_1942_Adj_1958_Poland_Zone_I"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_POLAND_ZONE_II \
   "Pulkovo_1942_Adj_1958_Poland_Zone_II"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_POLAND_ZONE_III \
   "Pulkovo_1942_Adj_1958_Poland_Zone_III"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_POLAND_ZONE_IV \
   "Pulkovo_1942_Adj_1958_Poland_Zone_IV"
#define PE_N_PCS_PULKOVO_1942_ADJ_1958_POLAND_ZONE_V \
   "Pulkovo_1942_Adj_1958_Poland_Zone_V"
#define PE_N_PCS_PULKOVO_1942_ADJ_1983_3_DEG_GK_3 \
   "Pulkovo_1942_Adj_1983_3_Degree_GK_Zone_3"
#define PE_N_PCS_PULKOVO_1942_ADJ_1983_3_DEG_GK_4 \
   "Pulkovo_1942_Adj_1983_3_Degree_GK_Zone_4"
#define PE_N_PCS_PULKOVO_1942_ADJ_1983_3_DEG_GK_5 \
   "Pulkovo_1942_Adj_1983_3_Degree_GK_Zone_5"
#define PE_N_PCS_PULKOVO_1942_ADJ_1983_3_DEG_GK_6 \
   "Pulkovo_1942_Adj_1983_3_Degree_GK_Zone_6"
#define PE_N_PCS_PULKOVO_1942_ADJ_1983_3_DEG_GK_7 \
   "Pulkovo_1942_Adj_1983_3_Degree_GK_Zone_7"
#define PE_N_PCS_PULKOVO_1942_ADJ_1983_3_DEG_GK_8 \
   "Pulkovo_1942_Adj_1983_3_Degree_GK_Zone_8"
#define PE_N_PCS_PULKOVO_1942_ADJ_1983_GK_2 \
   "Pulkovo_1942_Adj_1983_GK_Zone_2"
#define PE_N_PCS_PULKOVO_1942_ADJ_1983_GK_3 \
   "Pulkovo_1942_Adj_1983_GK_Zone_3"
#define PE_N_PCS_PULKOVO_1942_ADJ_1983_GK_4 \
   "Pulkovo_1942_Adj_1983_GK_Zone_4"
#define PE_N_PCS_PULKOVO_1942_CASPIAN_SEA_MERCATOR \
   "Pulkovo_1942_Caspian_Sea_Mercator"
#define PE_N_PCS_PULKOVO_1942_CS63_A1 \
   "Pulkovo_1942_CS63_Zone_A1"
#define PE_N_PCS_PULKOVO_1942_CS63_A2 \
   "Pulkovo_1942_CS63_Zone_A2"
#define PE_N_PCS_PULKOVO_1942_CS63_A3 \
   "Pulkovo_1942_CS63_Zone_A3"
#define PE_N_PCS_PULKOVO_1942_CS63_A4 \
   "Pulkovo_1942_CS63_Zone_A4"
#define PE_N_PCS_PULKOVO_1942_CS63_C0 \
   "Pulkovo_1942_CS63_Zone_C0"
#define PE_N_PCS_PULKOVO_1942_CS63_C1 \
   "Pulkovo_1942_CS63_Zone_C1"
#define PE_N_PCS_PULKOVO_1942_CS63_C2 \
   "Pulkovo_1942_CS63_Zone_C2"
#define PE_N_PCS_PULKOVO_1942_CS63_K2 \
   "Pulkovo_1942_CS63_Zone_K2"
#define PE_N_PCS_PULKOVO_1942_CS63_K3 \
   "Pulkovo_1942_CS63_Zone_K3"
#define PE_N_PCS_PULKOVO_1942_CS63_K4 \
   "Pulkovo_1942_CS63_Zone_K4"
#define PE_N_PCS_PULKOVO_1942_GK_10 \
   "Pulkovo_1942_GK_Zone_10"
#define PE_N_PCS_PULKOVO_1942_GK_10N \
   "Pulkovo_1942_GK_Zone_10N"
#define PE_N_PCS_PULKOVO_1942_GK_11 \
   "Pulkovo_1942_GK_Zone_11"
#define PE_N_PCS_PULKOVO_1942_GK_11N \
   "Pulkovo_1942_GK_Zone_11N"
#define PE_N_PCS_PULKOVO_1942_GK_12 \
   "Pulkovo_1942_GK_Zone_12"
#define PE_N_PCS_PULKOVO_1942_GK_12N \
   "Pulkovo_1942_GK_Zone_12N"
#define PE_N_PCS_PULKOVO_1942_GK_13 \
   "Pulkovo_1942_GK_Zone_13"
#define PE_N_PCS_PULKOVO_1942_GK_13N \
   "Pulkovo_1942_GK_Zone_13N"
#define PE_N_PCS_PULKOVO_1942_GK_14 \
   "Pulkovo_1942_GK_Zone_14"
#define PE_N_PCS_PULKOVO_1942_GK_14N \
   "Pulkovo_1942_GK_Zone_14N"
#define PE_N_PCS_PULKOVO_1942_GK_15 \
   "Pulkovo_1942_GK_Zone_15"
#define PE_N_PCS_PULKOVO_1942_GK_15N \
   "Pulkovo_1942_GK_Zone_15N"
#define PE_N_PCS_PULKOVO_1942_GK_16 \
   "Pulkovo_1942_GK_Zone_16"
#define PE_N_PCS_PULKOVO_1942_GK_16N \
   "Pulkovo_1942_GK_Zone_16N"
#define PE_N_PCS_PULKOVO_1942_GK_17 \
   "Pulkovo_1942_GK_Zone_17"
#define PE_N_PCS_PULKOVO_1942_GK_17N \
   "Pulkovo_1942_GK_Zone_17N"
#define PE_N_PCS_PULKOVO_1942_GK_18 \
   "Pulkovo_1942_GK_Zone_18"
#define PE_N_PCS_PULKOVO_1942_GK_18N \
   "Pulkovo_1942_GK_Zone_18N"
#define PE_N_PCS_PULKOVO_1942_GK_19 \
   "Pulkovo_1942_GK_Zone_19"
#define PE_N_PCS_PULKOVO_1942_GK_19N \
   "Pulkovo_1942_GK_Zone_19N"
#define PE_N_PCS_PULKOVO_1942_GK_2 \
   "Pulkovo_1942_GK_Zone_2"
#define PE_N_PCS_PULKOVO_1942_GK_20 \
   "Pulkovo_1942_GK_Zone_20"
#define PE_N_PCS_PULKOVO_1942_GK_20N \
   "Pulkovo_1942_GK_Zone_20N"
#define PE_N_PCS_PULKOVO_1942_GK_21 \
   "Pulkovo_1942_GK_Zone_21"
#define PE_N_PCS_PULKOVO_1942_GK_21N \
   "Pulkovo_1942_GK_Zone_21N"
#define PE_N_PCS_PULKOVO_1942_GK_22 \
   "Pulkovo_1942_GK_Zone_22"
#define PE_N_PCS_PULKOVO_1942_GK_22N \
   "Pulkovo_1942_GK_Zone_22N"
#define PE_N_PCS_PULKOVO_1942_GK_23 \
   "Pulkovo_1942_GK_Zone_23"
#define PE_N_PCS_PULKOVO_1942_GK_23N \
   "Pulkovo_1942_GK_Zone_23N"
#define PE_N_PCS_PULKOVO_1942_GK_24 \
   "Pulkovo_1942_GK_Zone_24"
#define PE_N_PCS_PULKOVO_1942_GK_24N \
   "Pulkovo_1942_GK_Zone_24N"
#define PE_N_PCS_PULKOVO_1942_GK_25 \
   "Pulkovo_1942_GK_Zone_25"
#define PE_N_PCS_PULKOVO_1942_GK_25N \
   "Pulkovo_1942_GK_Zone_25N"
#define PE_N_PCS_PULKOVO_1942_GK_26 \
   "Pulkovo_1942_GK_Zone_26"
#define PE_N_PCS_PULKOVO_1942_GK_26N \
   "Pulkovo_1942_GK_Zone_26N"
#define PE_N_PCS_PULKOVO_1942_GK_27 \
   "Pulkovo_1942_GK_Zone_27"
#define PE_N_PCS_PULKOVO_1942_GK_27N \
   "Pulkovo_1942_GK_Zone_27N"
#define PE_N_PCS_PULKOVO_1942_GK_28 \
   "Pulkovo_1942_GK_Zone_28"
#define PE_N_PCS_PULKOVO_1942_GK_28N \
   "Pulkovo_1942_GK_Zone_28N"
#define PE_N_PCS_PULKOVO_1942_GK_29 \
   "Pulkovo_1942_GK_Zone_29"
#define PE_N_PCS_PULKOVO_1942_GK_29N \
   "Pulkovo_1942_GK_Zone_29N"
#define PE_N_PCS_PULKOVO_1942_GK_2N \
   "Pulkovo_1942_GK_Zone_2N"
#define PE_N_PCS_PULKOVO_1942_GK_3 \
   "Pulkovo_1942_GK_Zone_3"
#define PE_N_PCS_PULKOVO_1942_GK_30 \
   "Pulkovo_1942_GK_Zone_30"
#define PE_N_PCS_PULKOVO_1942_GK_30N \
   "Pulkovo_1942_GK_Zone_30N"
#define PE_N_PCS_PULKOVO_1942_GK_31 \
   "Pulkovo_1942_GK_Zone_31"
#define PE_N_PCS_PULKOVO_1942_GK_31N \
   "Pulkovo_1942_GK_Zone_31N"
#define PE_N_PCS_PULKOVO_1942_GK_32 \
   "Pulkovo_1942_GK_Zone_32"
#define PE_N_PCS_PULKOVO_1942_GK_32N \
   "Pulkovo_1942_GK_Zone_32N"
#define PE_N_PCS_PULKOVO_1942_GK_3N \
   "Pulkovo_1942_GK_Zone_3N"
#define PE_N_PCS_PULKOVO_1942_GK_4 \
   "Pulkovo_1942_GK_Zone_4"
#define PE_N_PCS_PULKOVO_1942_GK_4N \
   "Pulkovo_1942_GK_Zone_4N"
#define PE_N_PCS_PULKOVO_1942_GK_5 \
   "Pulkovo_1942_GK_Zone_5"
#define PE_N_PCS_PULKOVO_1942_GK_5N \
   "Pulkovo_1942_GK_Zone_5N"
#define PE_N_PCS_PULKOVO_1942_GK_6 \
   "Pulkovo_1942_GK_Zone_6"
#define PE_N_PCS_PULKOVO_1942_GK_6N \
   "Pulkovo_1942_GK_Zone_6N"
#define PE_N_PCS_PULKOVO_1942_GK_7 \
   "Pulkovo_1942_GK_Zone_7"
#define PE_N_PCS_PULKOVO_1942_GK_7N \
   "Pulkovo_1942_GK_Zone_7N"
#define PE_N_PCS_PULKOVO_1942_GK_8 \
   "Pulkovo_1942_GK_Zone_8"
#define PE_N_PCS_PULKOVO_1942_GK_8N \
   "Pulkovo_1942_GK_Zone_8N"
#define PE_N_PCS_PULKOVO_1942_GK_9 \
   "Pulkovo_1942_GK_Zone_9"
#define PE_N_PCS_PULKOVO_1942_GK_9N \
   "Pulkovo_1942_GK_Zone_9N"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_10 \
   "Pulkovo_1995_3_Degree_GK_Zone_10"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_102E \
   "Pulkovo_1995_3_Degree_GK_CM_102E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_105E \
   "Pulkovo_1995_3_Degree_GK_CM_105E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_108E \
   "Pulkovo_1995_3_Degree_GK_CM_108E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_11 \
   "Pulkovo_1995_3_Degree_GK_Zone_11"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_111E \
   "Pulkovo_1995_3_Degree_GK_CM_111E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_114E \
   "Pulkovo_1995_3_Degree_GK_CM_114E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_117E \
   "Pulkovo_1995_3_Degree_GK_CM_117E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_12 \
   "Pulkovo_1995_3_Degree_GK_Zone_12"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_120E \
   "Pulkovo_1995_3_Degree_GK_CM_120E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_123E \
   "Pulkovo_1995_3_Degree_GK_CM_123E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_126E \
   "Pulkovo_1995_3_Degree_GK_CM_126E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_129E \
   "Pulkovo_1995_3_Degree_GK_CM_129E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_13 \
   "Pulkovo_1995_3_Degree_GK_Zone_13"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_132E \
   "Pulkovo_1995_3_Degree_GK_CM_132E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_135E \
   "Pulkovo_1995_3_Degree_GK_CM_135E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_138E \
   "Pulkovo_1995_3_Degree_GK_CM_138E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_14 \
   "Pulkovo_1995_3_Degree_GK_Zone_14"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_141E \
   "Pulkovo_1995_3_Degree_GK_CM_141E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_144E \
   "Pulkovo_1995_3_Degree_GK_CM_144E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_147E \
   "Pulkovo_1995_3_Degree_GK_CM_147E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_15 \
   "Pulkovo_1995_3_Degree_GK_Zone_15"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_150E \
   "Pulkovo_1995_3_Degree_GK_CM_150E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_153E \
   "Pulkovo_1995_3_Degree_GK_CM_153E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_156E \
   "Pulkovo_1995_3_Degree_GK_CM_156E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_159E \
   "Pulkovo_1995_3_Degree_GK_CM_159E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_16 \
   "Pulkovo_1995_3_Degree_GK_Zone_16"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_162E \
   "Pulkovo_1995_3_Degree_GK_CM_162E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_165E \
   "Pulkovo_1995_3_Degree_GK_CM_165E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_168E \
   "Pulkovo_1995_3_Degree_GK_CM_168E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_168W \
   "Pulkovo_1995_3_Degree_GK_CM_168W"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_17 \
   "Pulkovo_1995_3_Degree_GK_Zone_17"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_171E \
   "Pulkovo_1995_3_Degree_GK_CM_171E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_171W \
   "Pulkovo_1995_3_Degree_GK_CM_171W"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_174E \
   "Pulkovo_1995_3_Degree_GK_CM_174E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_174W \
   "Pulkovo_1995_3_Degree_GK_CM_174W"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_177E \
   "Pulkovo_1995_3_Degree_GK_CM_177E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_177W \
   "Pulkovo_1995_3_Degree_GK_CM_177W"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_18 \
   "Pulkovo_1995_3_Degree_GK_Zone_18"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_180E \
   "Pulkovo_1995_3_Degree_GK_CM_180E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_19 \
   "Pulkovo_1995_3_Degree_GK_Zone_19"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_20 \
   "Pulkovo_1995_3_Degree_GK_Zone_20"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_21 \
   "Pulkovo_1995_3_Degree_GK_Zone_21"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_21E \
   "Pulkovo_1995_3_Degree_GK_CM_21E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_22 \
   "Pulkovo_1995_3_Degree_GK_Zone_22"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_23 \
   "Pulkovo_1995_3_Degree_GK_Zone_23"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_24 \
   "Pulkovo_1995_3_Degree_GK_Zone_24"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_24E \
   "Pulkovo_1995_3_Degree_GK_CM_24E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_25 \
   "Pulkovo_1995_3_Degree_GK_Zone_25"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_26 \
   "Pulkovo_1995_3_Degree_GK_Zone_26"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_27 \
   "Pulkovo_1995_3_Degree_GK_Zone_27"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_27E \
   "Pulkovo_1995_3_Degree_GK_CM_27E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_28 \
   "Pulkovo_1995_3_Degree_GK_Zone_28"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_29 \
   "Pulkovo_1995_3_Degree_GK_Zone_29"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_30 \
   "Pulkovo_1995_3_Degree_GK_Zone_30"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_30E \
   "Pulkovo_1995_3_Degree_GK_CM_30E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_31 \
   "Pulkovo_1995_3_Degree_GK_Zone_31"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_32 \
   "Pulkovo_1995_3_Degree_GK_Zone_32"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_33 \
   "Pulkovo_1995_3_Degree_GK_Zone_33"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_33E \
   "Pulkovo_1995_3_Degree_GK_CM_33E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_34 \
   "Pulkovo_1995_3_Degree_GK_Zone_34"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_35 \
   "Pulkovo_1995_3_Degree_GK_Zone_35"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_36 \
   "Pulkovo_1995_3_Degree_GK_Zone_36"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_36E \
   "Pulkovo_1995_3_Degree_GK_CM_36E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_37 \
   "Pulkovo_1995_3_Degree_GK_Zone_37"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_38 \
   "Pulkovo_1995_3_Degree_GK_Zone_38"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_39 \
   "Pulkovo_1995_3_Degree_GK_Zone_39"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_39E \
   "Pulkovo_1995_3_Degree_GK_CM_39E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_40 \
   "Pulkovo_1995_3_Degree_GK_Zone_40"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_41 \
   "Pulkovo_1995_3_Degree_GK_Zone_41"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_42 \
   "Pulkovo_1995_3_Degree_GK_Zone_42"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_42E \
   "Pulkovo_1995_3_Degree_GK_CM_42E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_43 \
   "Pulkovo_1995_3_Degree_GK_Zone_43"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_44 \
   "Pulkovo_1995_3_Degree_GK_Zone_44"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_45 \
   "Pulkovo_1995_3_Degree_GK_Zone_45"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_45E \
   "Pulkovo_1995_3_Degree_GK_CM_45E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_46 \
   "Pulkovo_1995_3_Degree_GK_Zone_46"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_47 \
   "Pulkovo_1995_3_Degree_GK_Zone_47"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_48 \
   "Pulkovo_1995_3_Degree_GK_Zone_48"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_48E \
   "Pulkovo_1995_3_Degree_GK_CM_48E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_49 \
   "Pulkovo_1995_3_Degree_GK_Zone_49"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_50 \
   "Pulkovo_1995_3_Degree_GK_Zone_50"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_51 \
   "Pulkovo_1995_3_Degree_GK_Zone_51"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_51E \
   "Pulkovo_1995_3_Degree_GK_CM_51E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_52 \
   "Pulkovo_1995_3_Degree_GK_Zone_52"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_53 \
   "Pulkovo_1995_3_Degree_GK_Zone_53"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_54 \
   "Pulkovo_1995_3_Degree_GK_Zone_54"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_54E \
   "Pulkovo_1995_3_Degree_GK_CM_54E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_55 \
   "Pulkovo_1995_3_Degree_GK_Zone_55"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_56 \
   "Pulkovo_1995_3_Degree_GK_Zone_56"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_57 \
   "Pulkovo_1995_3_Degree_GK_Zone_57"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_57E \
   "Pulkovo_1995_3_Degree_GK_CM_57E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_58 \
   "Pulkovo_1995_3_Degree_GK_Zone_58"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_59 \
   "Pulkovo_1995_3_Degree_GK_Zone_59"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_60 \
   "Pulkovo_1995_3_Degree_GK_Zone_60"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_60E \
   "Pulkovo_1995_3_Degree_GK_CM_60E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_61 \
   "Pulkovo_1995_3_Degree_GK_Zone_61"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_62 \
   "Pulkovo_1995_3_Degree_GK_Zone_62"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_63 \
   "Pulkovo_1995_3_Degree_GK_Zone_63"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_63E \
   "Pulkovo_1995_3_Degree_GK_CM_63E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_64 \
   "Pulkovo_1995_3_Degree_GK_Zone_64"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_66E \
   "Pulkovo_1995_3_Degree_GK_CM_66E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_69E \
   "Pulkovo_1995_3_Degree_GK_CM_69E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_7 \
   "Pulkovo_1995_3_Degree_GK_Zone_7"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_72E \
   "Pulkovo_1995_3_Degree_GK_CM_72E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_75E \
   "Pulkovo_1995_3_Degree_GK_CM_75E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_78E \
   "Pulkovo_1995_3_Degree_GK_CM_78E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_8 \
   "Pulkovo_1995_3_Degree_GK_Zone_8"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_81E \
   "Pulkovo_1995_3_Degree_GK_CM_81E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_84E \
   "Pulkovo_1995_3_Degree_GK_CM_84E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_87E \
   "Pulkovo_1995_3_Degree_GK_CM_87E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_9 \
   "Pulkovo_1995_3_Degree_GK_Zone_9"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_90E \
   "Pulkovo_1995_3_Degree_GK_CM_90E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_93E \
   "Pulkovo_1995_3_Degree_GK_CM_93E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_96E \
   "Pulkovo_1995_3_Degree_GK_CM_96E"
#define PE_N_PCS_PULKOVO_1995_3_DEG_GK_99E \
   "Pulkovo_1995_3_Degree_GK_CM_99E"
#define PE_N_PCS_PULKOVO_1995_GK_10 \
   "Pulkovo_1995_GK_Zone_10"
#define PE_N_PCS_PULKOVO_1995_GK_10N \
   "Pulkovo_1995_GK_Zone_10N"
#define PE_N_PCS_PULKOVO_1995_GK_11 \
   "Pulkovo_1995_GK_Zone_11"
#define PE_N_PCS_PULKOVO_1995_GK_11N \
   "Pulkovo_1995_GK_Zone_11N"
#define PE_N_PCS_PULKOVO_1995_GK_12 \
   "Pulkovo_1995_GK_Zone_12"
#define PE_N_PCS_PULKOVO_1995_GK_12N \
   "Pulkovo_1995_GK_Zone_12N"
#define PE_N_PCS_PULKOVO_1995_GK_13 \
   "Pulkovo_1995_GK_Zone_13"
#define PE_N_PCS_PULKOVO_1995_GK_13N \
   "Pulkovo_1995_GK_Zone_13N"
#define PE_N_PCS_PULKOVO_1995_GK_14 \
   "Pulkovo_1995_GK_Zone_14"
#define PE_N_PCS_PULKOVO_1995_GK_14N \
   "Pulkovo_1995_GK_Zone_14N"
#define PE_N_PCS_PULKOVO_1995_GK_15 \
   "Pulkovo_1995_GK_Zone_15"
#define PE_N_PCS_PULKOVO_1995_GK_15N \
   "Pulkovo_1995_GK_Zone_15N"
#define PE_N_PCS_PULKOVO_1995_GK_16 \
   "Pulkovo_1995_GK_Zone_16"
#define PE_N_PCS_PULKOVO_1995_GK_16N \
   "Pulkovo_1995_GK_Zone_16N"
#define PE_N_PCS_PULKOVO_1995_GK_17 \
   "Pulkovo_1995_GK_Zone_17"
#define PE_N_PCS_PULKOVO_1995_GK_17N \
   "Pulkovo_1995_GK_Zone_17N"
#define PE_N_PCS_PULKOVO_1995_GK_18 \
   "Pulkovo_1995_GK_Zone_18"
#define PE_N_PCS_PULKOVO_1995_GK_18N \
   "Pulkovo_1995_GK_Zone_18N"
#define PE_N_PCS_PULKOVO_1995_GK_19 \
   "Pulkovo_1995_GK_Zone_19"
#define PE_N_PCS_PULKOVO_1995_GK_19N \
   "Pulkovo_1995_GK_Zone_19N"
#define PE_N_PCS_PULKOVO_1995_GK_2 \
   "Pulkovo_1995_GK_Zone_2"
#define PE_N_PCS_PULKOVO_1995_GK_20 \
   "Pulkovo_1995_GK_Zone_20"
#define PE_N_PCS_PULKOVO_1995_GK_20N \
   "Pulkovo_1995_GK_Zone_20N"
#define PE_N_PCS_PULKOVO_1995_GK_21 \
   "Pulkovo_1995_GK_Zone_21"
#define PE_N_PCS_PULKOVO_1995_GK_21N \
   "Pulkovo_1995_GK_Zone_21N"
#define PE_N_PCS_PULKOVO_1995_GK_22 \
   "Pulkovo_1995_GK_Zone_22"
#define PE_N_PCS_PULKOVO_1995_GK_22N \
   "Pulkovo_1995_GK_Zone_22N"
#define PE_N_PCS_PULKOVO_1995_GK_23 \
   "Pulkovo_1995_GK_Zone_23"
#define PE_N_PCS_PULKOVO_1995_GK_23N \
   "Pulkovo_1995_GK_Zone_23N"
#define PE_N_PCS_PULKOVO_1995_GK_24 \
   "Pulkovo_1995_GK_Zone_24"
#define PE_N_PCS_PULKOVO_1995_GK_24N \
   "Pulkovo_1995_GK_Zone_24N"
#define PE_N_PCS_PULKOVO_1995_GK_25 \
   "Pulkovo_1995_GK_Zone_25"
#define PE_N_PCS_PULKOVO_1995_GK_25N \
   "Pulkovo_1995_GK_Zone_25N"
#define PE_N_PCS_PULKOVO_1995_GK_26 \
   "Pulkovo_1995_GK_Zone_26"
#define PE_N_PCS_PULKOVO_1995_GK_26N \
   "Pulkovo_1995_GK_Zone_26N"
#define PE_N_PCS_PULKOVO_1995_GK_27 \
   "Pulkovo_1995_GK_Zone_27"
#define PE_N_PCS_PULKOVO_1995_GK_27N \
   "Pulkovo_1995_GK_Zone_27N"
#define PE_N_PCS_PULKOVO_1995_GK_28 \
   "Pulkovo_1995_GK_Zone_28"
#define PE_N_PCS_PULKOVO_1995_GK_28N \
   "Pulkovo_1995_GK_Zone_28N"
#define PE_N_PCS_PULKOVO_1995_GK_29 \
   "Pulkovo_1995_GK_Zone_29"
#define PE_N_PCS_PULKOVO_1995_GK_29N \
   "Pulkovo_1995_GK_Zone_29N"
#define PE_N_PCS_PULKOVO_1995_GK_2N \
   "Pulkovo_1995_GK_Zone_2N"
#define PE_N_PCS_PULKOVO_1995_GK_3 \
   "Pulkovo_1995_GK_Zone_3"
#define PE_N_PCS_PULKOVO_1995_GK_30 \
   "Pulkovo_1995_GK_Zone_30"
#define PE_N_PCS_PULKOVO_1995_GK_30N \
   "Pulkovo_1995_GK_Zone_30N"
#define PE_N_PCS_PULKOVO_1995_GK_31 \
   "Pulkovo_1995_GK_Zone_31"
#define PE_N_PCS_PULKOVO_1995_GK_31N \
   "Pulkovo_1995_GK_Zone_31N"
#define PE_N_PCS_PULKOVO_1995_GK_32 \
   "Pulkovo_1995_GK_Zone_32"
#define PE_N_PCS_PULKOVO_1995_GK_32N \
   "Pulkovo_1995_GK_Zone_32N"
#define PE_N_PCS_PULKOVO_1995_GK_3N \
   "Pulkovo_1995_GK_Zone_3N"
#define PE_N_PCS_PULKOVO_1995_GK_4 \
   "Pulkovo_1995_GK_Zone_4"
#define PE_N_PCS_PULKOVO_1995_GK_4N \
   "Pulkovo_1995_GK_Zone_4N"
#define PE_N_PCS_PULKOVO_1995_GK_5 \
   "Pulkovo_1995_GK_Zone_5"
#define PE_N_PCS_PULKOVO_1995_GK_5N \
   "Pulkovo_1995_GK_Zone_5N"
#define PE_N_PCS_PULKOVO_1995_GK_6 \
   "Pulkovo_1995_GK_Zone_6"
#define PE_N_PCS_PULKOVO_1995_GK_6N \
   "Pulkovo_1995_GK_Zone_6N"
#define PE_N_PCS_PULKOVO_1995_GK_7 \
   "Pulkovo_1995_GK_Zone_7"
#define PE_N_PCS_PULKOVO_1995_GK_7N \
   "Pulkovo_1995_GK_Zone_7N"
#define PE_N_PCS_PULKOVO_1995_GK_8 \
   "Pulkovo_1995_GK_Zone_8"
#define PE_N_PCS_PULKOVO_1995_GK_8N \
   "Pulkovo_1995_GK_Zone_8N"
#define PE_N_PCS_PULKOVO_1995_GK_9 \
   "Pulkovo_1995_GK_Zone_9"
#define PE_N_PCS_PULKOVO_1995_GK_9N \
   "Pulkovo_1995_GK_Zone_9N"
#define PE_N_PCS_QATAR_1948_QATAR_GRID \
   "Qatar_1948_Qatar_Grid"
#define PE_N_PCS_QATAR_GRID \
   "Qatar_National_Grid"
#define PE_N_PCS_QND_1995_QATAR_GRID \
   "QND_1995_Qatar_National_Grid"
#define PE_N_PCS_QND_1995_UTM_39N \
   "QND_1995_UTM_39N"
#define PE_N_PCS_QORNOQ_1927_UTM_22N \
   "Qornoq_1927_UTM_Zone_22N"
#define PE_N_PCS_QORNOQ_1927_UTM_23N \
   "Qornoq_1927_UTM_Zone_23N"
#define PE_N_PCS_RASSADIRAN_NAKHL_E_TAQI \
   "Rassadiran_Nakhl_e_Taqi"
#define PE_N_PCS_RAUENBERG_DATUM_1983_GK_4 \
   "RD/83_GK_Zone_4"
#define PE_N_PCS_RAUENBERG_DATUM_1983_GK_5 \
   "RD/83_GK_Zone_5"
#define PE_N_PCS_REGCAN95_UTM_27N \
   "REGCAN95_UTM_Zone_27N"
#define PE_N_PCS_REGCAN95_UTM_28N \
   "REGCAN95_UTM_Zone_28N"
#define PE_N_PCS_REGVEN_UTM_18N \
   "REGVEN_UTM_Zone_18N"
#define PE_N_PCS_REGVEN_UTM_19N \
   "REGVEN_UTM_Zone_19N"
#define PE_N_PCS_REGVEN_UTM_20N \
   "REGVEN_UTM_Zone_20N"
#define PE_N_PCS_REUNION_1947_TM_REUNION \
   "Reunion_1947_TM_Reunion"
#define PE_N_PCS_RGFG_1995_UTM_21N \
   "RGFG_1995_UTM_Zone_21N"
#define PE_N_PCS_RGFG_1995_UTM_22N \
   "RGFG_1995_UTM_22N"
#define PE_N_PCS_RGF_1993_CC42 \
   "RGF_1993_CC42"
#define PE_N_PCS_RGF_1993_CC43 \
   "RGF_1993_CC43"
#define PE_N_PCS_RGF_1993_CC44 \
   "RGF_1993_CC44"
#define PE_N_PCS_RGF_1993_CC45 \
   "RGF_1993_CC45"
#define PE_N_PCS_RGF_1993_CC46 \
   "RGF_1993_CC46"
#define PE_N_PCS_RGF_1993_CC47 \
   "RGF_1993_CC47"
#define PE_N_PCS_RGF_1993_CC48 \
   "RGF_1993_CC48"
#define PE_N_PCS_RGF_1993_CC49 \
   "RGF_1993_CC49"
#define PE_N_PCS_RGF_1993_CC50 \
   "RGF_1993_CC50"
#define PE_N_PCS_RGF_1993_LAMBERT_93 \
   "RGF_1993_Lambert_93"
#define PE_N_PCS_RGNC_1991_93_LAMBERT_NEW_CALEDONIA \
   "RGNC_1991_93_Lambert_New_Caledonia"
#define PE_N_PCS_RGNC_1991_93_UTM_57S \
   "RGNC_1991-93_UTM_Zone_57S"
#define PE_N_PCS_RGNC_1991_93_UTM_58S \
   "RGNC_1991-93_UTM_Zone_58S"
#define PE_N_PCS_RGNC_1991_93_UTM_59S \
   "RGNC_1991-93_UTM_Zone_59S"
#define PE_N_PCS_RGNC_1991_LAMBERT_NEW_CALEDONIA \
   "RGNC_1991_Lambert_New_Caledonia"
#define PE_N_PCS_RGPF_UTM_5S \
   "RGPF_UTM_Zone_5S"
#define PE_N_PCS_RGPF_UTM_6S \
   "RGPF_UTM_Zone_6S"
#define PE_N_PCS_RGPF_UTM_7S \
   "RGPF_UTM_Zone_7S"
#define PE_N_PCS_RGPF_UTM_8S \
   "RGPF_UTM_Zone_8S"
#define PE_N_PCS_RGRDC_2005_CONGO_TM_12 \
   "RGRDC_2005_Congo_TM_Zone_12"
#define PE_N_PCS_RGRDC_2005_CONGO_TM_14 \
   "RGRDC_2005_Congo_TM_Zone_14"
#define PE_N_PCS_RGRDC_2005_CONGO_TM_16 \
   "RGRDC_2005_Congo_TM_Zone_16"
#define PE_N_PCS_RGRDC_2005_CONGO_TM_18 \
   "RGRDC_2005_Congo_TM_Zone_18"
#define PE_N_PCS_RGRDC_2005_CONGO_TM_20 \
   "RGRDC_2005_Congo_TM_Zone_20"
#define PE_N_PCS_RGRDC_2005_CONGO_TM_22 \
   "RGRDC_2005_Congo_TM_Zone_22"
#define PE_N_PCS_RGRDC_2005_CONGO_TM_24 \
   "RGRDC_2005_Congo_TM_Zone_24"
#define PE_N_PCS_RGRDC_2005_CONGO_TM_26 \
   "RGRDC_2005_Congo_TM_Zone_26"
#define PE_N_PCS_RGRDC_2005_CONGO_TM_28 \
   "RGRDC_2005_Congo_TM_Zone_28"
#define PE_N_PCS_RGRDC_2005_UTM_33S \
   "RGRDC_2005_UTM_Zone_33S"
#define PE_N_PCS_RGRDC_2005_UTM_34S \
   "RGRDC_2005_UTM_Zone_34S"
#define PE_N_PCS_RGRDC_2005_UTM_35S \
   "RGRDC_2005_UTM_Zone_35S"
#define PE_N_PCS_RGR_1992_UTM_40S \
   "RGR_1992_UTM_40S"
#define PE_N_PCS_ROMA_1940_GAUSS_BOAGA_EST \
   "Roma_1940_Gauss_Boaga_Est"
#define PE_N_PCS_ROMA_1940_GAUSS_BOAGA_OVEST \
   "Roma_1940_Gauss_Boaga_Ovest"
#define PE_N_PCS_RRAF_1991_UTM_20N \
   "RRAF_1991_UTM_20N"
#define PE_N_PCS_RSRGD2000_DGLC2000 \
   "RSRGD2000_DGLC2000"
#define PE_N_PCS_RT38_0_GON \
   "RT38_0_gon"
#define PE_N_PCS_RT38_25_GON_O \
   "RT38_25_gon_O"
#define PE_N_PCS_RT38_25_GON_V \
   "RT38_25_gon_V"
#define PE_N_PCS_RT38_5_GON_O \
   "RT38_5_gon_O"
#define PE_N_PCS_RT38_5_GON_V \
   "RT38_5_gon_V"
#define PE_N_PCS_RT38_75_GON_V \
   "RT38_75_gon_V"
#define PE_N_PCS_RT38_STOCKHOLM_SWEDISH_GRID \
   "Swedish_National_Grid"
#define PE_N_PCS_RT90_0_GON \
   "RT90_0_gon"
#define PE_N_PCS_RT90_25_GON_O \
   "RT90_25_gon_O"
#define PE_N_PCS_RT90_25_GON_V \
   "RT90_25_gon_V"
#define PE_N_PCS_RT90_25_GON_W \
   "RT90_25_gon_W"
#define PE_N_PCS_RT90_5_GON_O \
   "RT90_5_gon_O"
#define PE_N_PCS_RT90_5_GON_V \
   "RT90_5_gon_V"
#define PE_N_PCS_RT90_75_GON_V \
   "RT90_75_gon_V"
#define PE_N_PCS_SAD_1969_BRAZIL_POLYCONIC \
   "SAD_1969_Brazil_Polyconic"
#define PE_N_PCS_SAD_1969_S_AMERICA_ALBERS \
   "South_America_Albers_Equal_Area_Conic"
#define PE_N_PCS_SAD_1969_S_AMERICA_EQUI_CONIC \
   "South_America_Equidistant_Conic"
#define PE_N_PCS_SAD_1969_S_AMERICA_LAMBERT \
   "South_America_Lambert_Conformal_Conic"
#define PE_N_PCS_SAD_1969_UTM_17S \
   "SAD_1969_UTM_Zone_17S"
#define PE_N_PCS_SAD_1969_UTM_18N \
   "SAD_1969_UTM_Zone_18N"
#define PE_N_PCS_SAD_1969_UTM_18S \
   "SAD_1969_UTM_Zone_18S"
#define PE_N_PCS_SAD_1969_UTM_19N \
   "SAD_1969_UTM_Zone_19N"
#define PE_N_PCS_SAD_1969_UTM_19S \
   "SAD_1969_UTM_Zone_19S"
#define PE_N_PCS_SAD_1969_UTM_20N \
   "SAD_1969_UTM_Zone_20N"
#define PE_N_PCS_SAD_1969_UTM_20S \
   "SAD_1969_UTM_Zone_20S"
#define PE_N_PCS_SAD_1969_UTM_21N \
   "SAD_1969_UTM_Zone_21N"
#define PE_N_PCS_SAD_1969_UTM_21S \
   "SAD_1969_UTM_Zone_21S"
#define PE_N_PCS_SAD_1969_UTM_22N \
   "SAD_1969_UTM_Zone_22N"
#define PE_N_PCS_SAD_1969_UTM_22S \
   "SAD_1969_UTM_Zone_22S"
#define PE_N_PCS_SAD_1969_UTM_23S \
   "SAD_1969_UTM_Zone_23S"
#define PE_N_PCS_SAD_1969_UTM_24S \
   "SAD_1969_UTM_Zone_24S"
#define PE_N_PCS_SAD_1969_UTM_25S \
   "SAD_1969_UTM_Zone_25S"
#define PE_N_PCS_SAINTE_ANNE_UTM_20N \
   "Sainte_Anne_UTM_20N"
#define PE_N_PCS_SAINT_PIERRE_ET_MIQUELON_1950_UTM_21N \
   "Saint_Pierre_et_Miquelon_1950_UTM_21N"
#define PE_N_PCS_SAIPAN_AZ_EQ_1969 \
   "Saipan_Az_Eq_1969"
#define PE_N_PCS_SAMBOJA_UTM_50S \
   "Samboja_UTM_Zone_50S"
#define PE_N_PCS_SAMOA_1962_AS \
   "American_Samoa_1962_StatePlane_American_Samoa_FIPS_5300"
#define PE_N_PCS_SAMOA_1962_SAMOA_LAMBERT \
   "Samoa_1962_Samoa_Lambert"
#define PE_N_PCS_SAMOA_1962_UTM_2S \
   "American_Samoa_1962_UTM_Zone_2S"
#define PE_N_PCS_SAO_BRAZ_UTM_26N \
   "Sao_Braz_UTM_Zone_26N"
#define PE_N_PCS_SAPPER_HILL_UTM_20S \
   "Sapper_Hill_1943_UTM_Zone_20S"
#define PE_N_PCS_SAPPER_HILL_UTM_21S \
   "Sapper_Hill_1943_UTM_Zone_21S"
#define PE_N_PCS_SCHWARZECK_UTM_33S \
   "Schwarzeck_UTM_Zone_33S"
#define PE_N_PCS_SEGARA_JAKARTA_NEIEZ \
   "Segara_(Jakarta)_NEIEZ"
#define PE_N_PCS_SELVAGEM_GRANDE_1938_UTM_28N \
   "Selvagem_Grande_1938_UTM_Zone_28N"
#define PE_N_PCS_SIERRA_LEONE_1924_NEW_COLONY_GRID \
   "Sierra_Leone_1924_New_Colony_Grid"
#define PE_N_PCS_SIERRA_LEONE_1924_NEW_WAR_OFFICE_GRID \
   "Sierra_Leone_1924_New_War_Office_Grid"
#define PE_N_PCS_SIERRA_LEONE_1968_UTM_28N \
   "Sierra_Leone_1968_UTM_Zone_28N"
#define PE_N_PCS_SIERRA_LEONE_1968_UTM_29N \
   "Sierra_Leone_1968_UTM_Zone_29N"
#define PE_N_PCS_SIRGAS_2000_UTM_11N \
   "SIRGAS_2000_UTM_Zone_11N"
#define PE_N_PCS_SIRGAS_2000_UTM_12N \
   "SIRGAS_2000_UTM_Zone_12N"
#define PE_N_PCS_SIRGAS_2000_UTM_13N \
   "SIRGAS_2000_UTM_Zone_13N"
#define PE_N_PCS_SIRGAS_2000_UTM_14N \
   "SIRGAS_2000_UTM_Zone_14N"
#define PE_N_PCS_SIRGAS_2000_UTM_15N \
   "SIRGAS_2000_UTM_Zone_15N"
#define PE_N_PCS_SIRGAS_2000_UTM_16N \
   "SIRGAS_2000_UTM_Zone_16N"
#define PE_N_PCS_SIRGAS_2000_UTM_17N \
   "SIRGAS_2000_UTM_Zone_17N"
#define PE_N_PCS_SIRGAS_2000_UTM_17S \
   "SIRGAS_2000_UTM_Zone_17S"
#define PE_N_PCS_SIRGAS_2000_UTM_18N \
   "SIRGAS_2000_UTM_Zone_18N"
#define PE_N_PCS_SIRGAS_2000_UTM_18S \
   "SIRGAS_2000_UTM_Zone_18S"
#define PE_N_PCS_SIRGAS_2000_UTM_19N \
   "SIRGAS_2000_UTM_Zone_19N"
#define PE_N_PCS_SIRGAS_2000_UTM_19S \
   "SIRGAS_2000_UTM_Zone_19S"
#define PE_N_PCS_SIRGAS_2000_UTM_20N \
   "SIRGAS_2000_UTM_Zone_20N"
#define PE_N_PCS_SIRGAS_2000_UTM_20S \
   "SIRGAS_2000_UTM_Zone_20S"
#define PE_N_PCS_SIRGAS_2000_UTM_21N \
   "SIRGAS_2000_UTM_Zone_21N"
#define PE_N_PCS_SIRGAS_2000_UTM_21S \
   "SIRGAS_2000_UTM_Zone_21S"
#define PE_N_PCS_SIRGAS_2000_UTM_22N \
   "SIRGAS_2000_UTM_Zone_22N"
#define PE_N_PCS_SIRGAS_2000_UTM_22S \
   "SIRGAS_2000_UTM_Zone_22S"
#define PE_N_PCS_SIRGAS_2000_UTM_23S \
   "SIRGAS_2000_UTM_Zone_23S"
#define PE_N_PCS_SIRGAS_2000_UTM_24S \
   "SIRGAS_2000_UTM_Zone_24S"
#define PE_N_PCS_SIRGAS_2000_UTM_25S \
   "SIRGAS_2000_UTM_Zone_25S"
#define PE_N_PCS_SIRGAS_UTM_17N \
   "SIRGAS_UTM_Zone_17N"
#define PE_N_PCS_SIRGAS_UTM_17S \
   "SIRGAS_UTM_Zone_17S"
#define PE_N_PCS_SIRGAS_UTM_18N \
   "SIRGAS_UTM_Zone_18N"
#define PE_N_PCS_SIRGAS_UTM_18S \
   "SIRGAS_UTM_Zone_18S"
#define PE_N_PCS_SIRGAS_UTM_19N \
   "SIRGAS_UTM_Zone_19N"
#define PE_N_PCS_SIRGAS_UTM_19S \
   "SIRGAS_UTM_Zone_19S"
#define PE_N_PCS_SIRGAS_UTM_20N \
   "SIRGAS_UTM_Zone_20N"
#define PE_N_PCS_SIRGAS_UTM_20S \
   "SIRGAS_UTM_Zone_20S"
#define PE_N_PCS_SIRGAS_UTM_21N \
   "SIRGAS_UTM_Zone_21N"
#define PE_N_PCS_SIRGAS_UTM_21S \
   "SIRGAS_UTM_Zone_21S"
#define PE_N_PCS_SIRGAS_UTM_22N \
   "SIRGAS_UTM_Zone_22N"
#define PE_N_PCS_SIRGAS_UTM_22S \
   "SIRGAS_UTM_Zone_22S"
#define PE_N_PCS_SIRGAS_UTM_23S \
   "SIRGAS_UTM_Zone_23S"
#define PE_N_PCS_SIRGAS_UTM_24S \
   "SIRGAS_UTM_Zone_24S"
#define PE_N_PCS_SIRGAS_UTM_25S \
   "SIRGAS_UTM_Zone_25S"
#define PE_N_PCS_SLOVENIA_1996_SLOVENE_NATIONAL_GRID \
   "Slovenia_1996_Slovene_National_Grid"
#define PE_N_PCS_SOUTH_YEMEN_GK_8 \
   "South_Yemen_GK_Zone_8"
#define PE_N_PCS_SOUTH_YEMEN_GK_9 \
   "South_Yemen_GK_Zone_9"
#define PE_N_PCS_SPHERE_AITOFF \
   "Sphere_Aitoff"
#define PE_N_PCS_SPHERE_AZIMUTHAL_EQUIDISTANT \
   "Sphere_Azimuthal_Equidistant"
#define PE_N_PCS_SPHERE_BEHRMANN \
   "Sphere_Behrmann"
#define PE_N_PCS_SPHERE_BONNE \
   "Sphere_Bonne"
#define PE_N_PCS_SPHERE_CASSINI \
   "Sphere_Cassini"
#define PE_N_PCS_SPHERE_CRASTER_PARABOLIC \
   "Sphere_Craster_Parabolic"
#define PE_N_PCS_SPHERE_CYLINDRICAL_EQAREA \
   "Sphere_Cylindrical_Equal_Area"
#define PE_N_PCS_SPHERE_ECKERT_I \
   "Sphere_Eckert_I"
#define PE_N_PCS_SPHERE_ECKERT_II \
   "Sphere_Eckert_II"
#define PE_N_PCS_SPHERE_ECKERT_III \
   "Sphere_Eckert_III"
#define PE_N_PCS_SPHERE_ECKERT_IV \
   "Sphere_Eckert_IV"
#define PE_N_PCS_SPHERE_ECKERT_V \
   "Sphere_Eckert_V"
#define PE_N_PCS_SPHERE_ECKERT_VI \
   "Sphere_Eckert_VI"
#define PE_N_PCS_SPHERE_EQUIDISTANT_CONIC \
   "Sphere_Equidistant_Conic"
#define PE_N_PCS_SPHERE_EQUIDISTANT_CYLINDRICAL \
   "Sphere_Equidistant_Cylindrical"
#define PE_N_PCS_SPHERE_FLAT_POLAR_QUARTIC \
   "Sphere_Flat_Polar_Quartic"
#define PE_N_PCS_SPHERE_GALL_STEREOGRAPHIC \
   "Sphere_Gall_Stereographic"
#define PE_N_PCS_SPHERE_HAMMER_AITOFF \
   "Sphere_Hammer_Aitoff"
#define PE_N_PCS_SPHERE_HOTINE \
   "Sphere_Hotine"
#define PE_N_PCS_SPHERE_LOXIMUTHAL \
   "Sphere_Loximuthal"
#define PE_N_PCS_SPHERE_MERCATOR \
   "Sphere_Mercator"
#define PE_N_PCS_SPHERE_MILLER_CYLINDRICAL \
   "Sphere_Miller_Cylindrical"
#define PE_N_PCS_SPHERE_MOLLWEIDE \
   "Sphere_Mollweide"
#define PE_N_PCS_SPHERE_PLATE_CARREE \
   "Sphere_Plate_Carree"
#define PE_N_PCS_SPHERE_POLYCONIC \
   "Sphere_Polyconic"
#define PE_N_PCS_SPHERE_QUARTIC_AUTHALIC \
   "Sphere_Quartic_Authalic"
#define PE_N_PCS_SPHERE_ROBINSON \
   "Sphere_Robinson"
#define PE_N_PCS_SPHERE_SINUSOIDAL \
   "Sphere_Sinusoidal"
#define PE_N_PCS_SPHERE_STEREOGRAPHIC \
   "Sphere_Stereographic"
#define PE_N_PCS_SPHERE_TIMES \
   "Sphere_Times"
#define PE_N_PCS_SPHERE_TWO_POINT_EQUIDISTANT \
   "Sphere_Two_Point_Equidistant"
#define PE_N_PCS_SPHERE_VAN_DER_GRINTEN_I \
   "Sphere_Van_der_Grinten_I"
#define PE_N_PCS_SPHERE_VERTICAL_PERSPECTIVE \
   "Sphere_Vertical_Perspective"
#define PE_N_PCS_SPHERE_WINKEL_I \
   "Sphere_Winkel_I"
#define PE_N_PCS_SPHERE_WINKEL_II \
   "Sphere_Winkel_II"
#define PE_N_PCS_SPHERE_WINKEL_TRIPEL_NGS \
   "Sphere_Winkel_Tripel_NGS"
#define PE_N_PCS_ST71_BELEP_UTM_58S \
   "ST71_Belep_UTM_58S"
#define PE_N_PCS_ST84_ILE_DES_PINS_UTM_58S \
   "ST84_Ile_des_Pins_UTM_58S"
#define PE_N_PCS_ST87_OUVEA_UTM_58S \
   "ST87_Ouvea_UTM_58S"
#define PE_N_PCS_ST_KITTS_1955_BRITISH_W_INDIES \
   "St_Kitts_1955_British_West_Indies_Grid"
#define PE_N_PCS_ST_LUCIA_1955_BRITISH_W_INDIES \
   "St_Lucia_1955_British_West_Indies_Grid"
#define PE_N_PCS_ST_VINCENT_1945_BRITISH_W_INDIES \
   "St_Vincent_1945_British_West_Indies_Grid"
#define PE_N_PCS_SUDAN_UTM_35N \
   "Sudan_UTM_Zone_35N"
#define PE_N_PCS_SUDAN_UTM_36N \
   "Sudan_UTM_Zone_36N"
#define PE_N_PCS_SVY21 \
   "SVY21_Singapore_TM"
#define PE_N_PCS_SWEREF99_12_00 \
   "SWEREF99_12_00"
#define PE_N_PCS_SWEREF99_13_30 \
   "SWEREF99_13_30"
#define PE_N_PCS_SWEREF99_14_15 \
   "SWEREF99_14_15"
#define PE_N_PCS_SWEREF99_15_00 \
   "SWEREF99_15_00"
#define PE_N_PCS_SWEREF99_15_45 \
   "SWEREF99_15_45"
#define PE_N_PCS_SWEREF99_16_30 \
   "SWEREF99_16_30"
#define PE_N_PCS_SWEREF99_17_15 \
   "SWEREF99_17_15"
#define PE_N_PCS_SWEREF99_18_00 \
   "SWEREF99_18_00"
#define PE_N_PCS_SWEREF99_18_45 \
   "SWEREF99_18_45"
#define PE_N_PCS_SWEREF99_20_15 \
   "SWEREF99_20_15"
#define PE_N_PCS_SWEREF99_21_45 \
   "SWEREF99_21_45"
#define PE_N_PCS_SWEREF99_23_15 \
   "SWEREF99_23_15"
#define PE_N_PCS_SWEREF99_TM \
   "SWEREF99_TM"
#define PE_N_PCS_S_JTSK_FERRO_KROVAK \
   "S-JTSK_Ferro_Krovak"
#define PE_N_PCS_S_JTSK_FERRO_KROVAK_EN \
   "S-JTSK_Ferro_Krovak_East_North"
#define PE_N_PCS_S_JTSK_KROVAK \
   "S-JTSK_Krovak"
#define PE_N_PCS_S_JTSK_KROVAK_EN \
   "S-JTSK_Krovak_East_North"
#define PE_N_PCS_TAHAA_1954_UTM_5S \
   "Tahaa_1954_UTM_5S"
#define PE_N_PCS_TAHITI_1952_UTM_6S \
   "Tahiti_1952_UTM_6S"
#define PE_N_PCS_TAHITI_1979_UTM_6S \
   "Tahiti_1979_UTM_Zone_6S"
#define PE_N_PCS_TANANARIVE_1925_LABORDE_GRID \
   "Tananarive_1925_Laborde_Grid"
#define PE_N_PCS_TANANARIVE_1925_PARIS_LABORDE_GRID \
   "Tananarive_1925_Paris_Laborde_Grid"
#define PE_N_PCS_TANANARIVE_UTM_38S \
   "Tananarive_1925_UTM_Zone_38S"
#define PE_N_PCS_TANANARIVE_UTM_39S \
   "Tananarive_1925_UTM_Zone_39S"
#define PE_N_PCS_TC_1948_UTM_39N \
   "TC_1948_UTM_Zone_39N"
#define PE_N_PCS_TC_1948_UTM_40N \
   "TC_1948_UTM_Zone_40N"
#define PE_N_PCS_TETE_UTM_36S \
   "Tete_UTM_Zone_36S"
#define PE_N_PCS_TETE_UTM_37S \
   "Tete_UTM_Zone_37S"
#define PE_N_PCS_THE_WORLD_FROM_SPACE \
   "The_World_From_Space"
#define PE_N_PCS_TIMBALAI_1948_RSO_BORNEO_CH \
   "Timbalai_1948_RSO_Borneo_Chains"
#define PE_N_PCS_TIMBALAI_1948_RSO_BORNEO_FT \
   "Timbalai_1948_RSO_Borneo_Feet"
#define PE_N_PCS_TIMBALAI_1948_RSO_BORNEO_M \
   "Timbalai_1948_RSO_Borneo_Meters"
#define PE_N_PCS_TIMBALAI_1948_UTM_49N \
   "Timbalai_1948_UTM_Zone_49N"
#define PE_N_PCS_TIMBALAI_1948_UTM_50N \
   "Timbalai_1948_UTM_Zone_50N"
#define PE_N_PCS_TM65_IRISH_GRID \
   "TM65_Irish_Grid"
#define PE_N_PCS_TM75_IRISH_GRID \
   "TM75_Irish_Grid"
#define PE_N_PCS_TOKYO_JAPAN_1 \
   "Japan_Zone_1"
#define PE_N_PCS_TOKYO_JAPAN_10 \
   "Japan_Zone_10"
#define PE_N_PCS_TOKYO_JAPAN_11 \
   "Japan_Zone_11"
#define PE_N_PCS_TOKYO_JAPAN_12 \
   "Japan_Zone_12"
#define PE_N_PCS_TOKYO_JAPAN_13 \
   "Japan_Zone_13"
#define PE_N_PCS_TOKYO_JAPAN_14 \
   "Japan_Zone_14"
#define PE_N_PCS_TOKYO_JAPAN_15 \
   "Japan_Zone_15"
#define PE_N_PCS_TOKYO_JAPAN_16 \
   "Japan_Zone_16"
#define PE_N_PCS_TOKYO_JAPAN_17 \
   "Japan_Zone_17"
#define PE_N_PCS_TOKYO_JAPAN_18 \
   "Japan_Zone_18"
#define PE_N_PCS_TOKYO_JAPAN_19 \
   "Japan_Zone_19"
#define PE_N_PCS_TOKYO_JAPAN_2 \
   "Japan_Zone_2"
#define PE_N_PCS_TOKYO_JAPAN_3 \
   "Japan_Zone_3"
#define PE_N_PCS_TOKYO_JAPAN_4 \
   "Japan_Zone_4"
#define PE_N_PCS_TOKYO_JAPAN_5 \
   "Japan_Zone_5"
#define PE_N_PCS_TOKYO_JAPAN_6 \
   "Japan_Zone_6"
#define PE_N_PCS_TOKYO_JAPAN_7 \
   "Japan_Zone_7"
#define PE_N_PCS_TOKYO_JAPAN_8 \
   "Japan_Zone_8"
#define PE_N_PCS_TOKYO_JAPAN_9 \
   "Japan_Zone_9"
#define PE_N_PCS_TOKYO_UTM_51N \
   "Tokyo_UTM_Zone_51N"
#define PE_N_PCS_TOKYO_UTM_52N \
   "Tokyo_UTM_Zone_52N"
#define PE_N_PCS_TOKYO_UTM_53N \
   "Tokyo_UTM_Zone_53N"
#define PE_N_PCS_TOKYO_UTM_54N \
   "Tokyo_UTM_Zone_54N"
#define PE_N_PCS_TOKYO_UTM_55N \
   "Tokyo_UTM_Zone_55N"
#define PE_N_PCS_TOKYO_UTM_56N \
   "Tokyo_UTM_Zone_56N"
#define PE_N_PCS_TRINIDAD_1903_TRINIDAD_GRID \
   "Trinidad_1903_Trinidad_Grid"
#define PE_N_PCS_TRINIDAD_1903_TRINIDAD_GRID_FT_CLA \
   "Trinidad_1903_Trinidad_Grid_Feet_Clarke"
#define PE_N_PCS_TWD_1967_TM_PENGHU \
   "TWD_1967_TM_Penghu"
#define PE_N_PCS_TWD_1967_TM_TAIWAN \
   "TWD_1967_TM_Taiwan"
#define PE_N_PCS_TWD_1997_TM_PENGHU \
   "TWD_1997_TM_Penghu"
#define PE_N_PCS_TWD_1997_TM_TAIWAN \
   "TWD_1997_TM_Taiwan"
#define PE_N_PCS_US_NATIONAL_ATLAS_EQUAL_AREA \
   "US_National_Atlas_Equal_Area"
#define PE_N_PCS_UWPP_1992 \
   "UWPP_1992"
#define PE_N_PCS_UWPP_2000_PAS_5 \
   "UWPP_2000_PAS_5"
#define PE_N_PCS_UWPP_2000_PAS_6 \
   "UWPP_2000_PAS_6"
#define PE_N_PCS_UWPP_2000_PAS_7 \
   "UWPP_2000_PAS_7"
#define PE_N_PCS_UWPP_2000_PAS_8 \
   "UWPP_2000_PAS_8"
#define PE_N_PCS_VN_2000_UTM_48N \
   "VN_2000_UTM_Zone_48N"
#define PE_N_PCS_VN_2000_UTM_49N \
   "VN_2000_UTM_Zone_49N"
#define PE_N_PCS_VOIROL_1879_N_ALGERIE_ANCIENNE \
   "Voirol_1879_Nord_Algerie_Ancienne"
#define PE_N_PCS_VOIROL_1879_S_ALGERIE_ANCIENNE \
   "Voirol_1879_Sud_Algerie_Ancienne"
#define PE_N_PCS_VOIROL_DEGREE_N_ALGERIE_ANCIENNE \
   "Nord_Algerie_Ancienne_Degree"
#define PE_N_PCS_VOIROL_DEGREE_S_ALGERIE_ANCIENNE \
   "Sud_Algerie_Ancienne_Degree"
#define PE_N_PCS_VOIROL_N_ALGERIE_ANCIENNE \
   "Nord_Algerie_Ancienne"
#define PE_N_PCS_VOIROL_S_ALGERIE_ANCIENNE \
   "Sud_Algerie_Ancienne"
#define PE_N_PCS_VOIROL_UNIFIE_DEGREE_N_ALGERIE \
   "Nord_Algerie_Degree"
#define PE_N_PCS_VOIROL_UNIFIE_DEGREE_S_ALGERIE \
   "Sud_Algerie_Degree"
#define PE_N_PCS_VOIROL_UNIFIE_N_ALGERIE \
   "Nord_Algerie"
#define PE_N_PCS_VOIROL_UNIFIE_S_ALGERIE \
   "Sud_Algerie"
#define PE_N_PCS_WGS_1972_BE_SOUTH_CHINA_SEA_LAMBERT \
   "WGS_1972_BE_South_China_Sea_Lambert"
#define PE_N_PCS_WGS_1972_BE_TM_106_NE \
   "WGS_1972_BE_TM_106_NE"
#define PE_N_PCS_WGS_1972_UTM_10N \
   "WGS_1972_UTM_Zone_10N"
#define PE_N_PCS_WGS_1972_UTM_10S \
   "WGS_1972_UTM_Zone_10S"
#define PE_N_PCS_WGS_1972_UTM_11N \
   "WGS_1972_UTM_Zone_11N"
#define PE_N_PCS_WGS_1972_UTM_11S \
   "WGS_1972_UTM_Zone_11S"
#define PE_N_PCS_WGS_1972_UTM_12N \
   "WGS_1972_UTM_Zone_12N"
#define PE_N_PCS_WGS_1972_UTM_12S \
   "WGS_1972_UTM_Zone_12S"
#define PE_N_PCS_WGS_1972_UTM_13N \
   "WGS_1972_UTM_Zone_13N"
#define PE_N_PCS_WGS_1972_UTM_13S \
   "WGS_1972_UTM_Zone_13S"
#define PE_N_PCS_WGS_1972_UTM_14N \
   "WGS_1972_UTM_Zone_14N"
#define PE_N_PCS_WGS_1972_UTM_14S \
   "WGS_1972_UTM_Zone_14S"
#define PE_N_PCS_WGS_1972_UTM_15N \
   "WGS_1972_UTM_Zone_15N"
#define PE_N_PCS_WGS_1972_UTM_15S \
   "WGS_1972_UTM_Zone_15S"
#define PE_N_PCS_WGS_1972_UTM_16N \
   "WGS_1972_UTM_Zone_16N"
#define PE_N_PCS_WGS_1972_UTM_16S \
   "WGS_1972_UTM_Zone_16S"
#define PE_N_PCS_WGS_1972_UTM_17N \
   "WGS_1972_UTM_Zone_17N"
#define PE_N_PCS_WGS_1972_UTM_17S \
   "WGS_1972_UTM_Zone_17S"
#define PE_N_PCS_WGS_1972_UTM_18N \
   "WGS_1972_UTM_Zone_18N"
#define PE_N_PCS_WGS_1972_UTM_18S \
   "WGS_1972_UTM_Zone_18S"
#define PE_N_PCS_WGS_1972_UTM_19N \
   "WGS_1972_UTM_Zone_19N"
#define PE_N_PCS_WGS_1972_UTM_19S \
   "WGS_1972_UTM_Zone_19S"
#define PE_N_PCS_WGS_1972_UTM_1N \
   "WGS_1972_UTM_Zone_1N"
#define PE_N_PCS_WGS_1972_UTM_1S \
   "WGS_1972_UTM_Zone_1S"
#define PE_N_PCS_WGS_1972_UTM_20N \
   "WGS_1972_UTM_Zone_20N"
#define PE_N_PCS_WGS_1972_UTM_20S \
   "WGS_1972_UTM_Zone_20S"
#define PE_N_PCS_WGS_1972_UTM_21N \
   "WGS_1972_UTM_Zone_21N"
#define PE_N_PCS_WGS_1972_UTM_21S \
   "WGS_1972_UTM_Zone_21S"
#define PE_N_PCS_WGS_1972_UTM_22N \
   "WGS_1972_UTM_Zone_22N"
#define PE_N_PCS_WGS_1972_UTM_22S \
   "WGS_1972_UTM_Zone_22S"
#define PE_N_PCS_WGS_1972_UTM_23N \
   "WGS_1972_UTM_Zone_23N"
#define PE_N_PCS_WGS_1972_UTM_23S \
   "WGS_1972_UTM_Zone_23S"
#define PE_N_PCS_WGS_1972_UTM_24N \
   "WGS_1972_UTM_Zone_24N"
#define PE_N_PCS_WGS_1972_UTM_24S \
   "WGS_1972_UTM_Zone_24S"
#define PE_N_PCS_WGS_1972_UTM_25N \
   "WGS_1972_UTM_Zone_25N"
#define PE_N_PCS_WGS_1972_UTM_25S \
   "WGS_1972_UTM_Zone_25S"
#define PE_N_PCS_WGS_1972_UTM_26N \
   "WGS_1972_UTM_Zone_26N"
#define PE_N_PCS_WGS_1972_UTM_26S \
   "WGS_1972_UTM_Zone_26S"
#define PE_N_PCS_WGS_1972_UTM_27N \
   "WGS_1972_UTM_Zone_27N"
#define PE_N_PCS_WGS_1972_UTM_27S \
   "WGS_1972_UTM_Zone_27S"
#define PE_N_PCS_WGS_1972_UTM_28N \
   "WGS_1972_UTM_Zone_28N"
#define PE_N_PCS_WGS_1972_UTM_28S \
   "WGS_1972_UTM_Zone_28S"
#define PE_N_PCS_WGS_1972_UTM_29N \
   "WGS_1972_UTM_Zone_29N"
#define PE_N_PCS_WGS_1972_UTM_29S \
   "WGS_1972_UTM_Zone_29S"
#define PE_N_PCS_WGS_1972_UTM_2N \
   "WGS_1972_UTM_Zone_2N"
#define PE_N_PCS_WGS_1972_UTM_2S \
   "WGS_1972_UTM_Zone_2S"
#define PE_N_PCS_WGS_1972_UTM_30N \
   "WGS_1972_UTM_Zone_30N"
#define PE_N_PCS_WGS_1972_UTM_30S \
   "WGS_1972_UTM_Zone_30S"
#define PE_N_PCS_WGS_1972_UTM_31N \
   "WGS_1972_UTM_Zone_31N"
#define PE_N_PCS_WGS_1972_UTM_31S \
   "WGS_1972_UTM_Zone_31S"
#define PE_N_PCS_WGS_1972_UTM_32N \
   "WGS_1972_UTM_Zone_32N"
#define PE_N_PCS_WGS_1972_UTM_32S \
   "WGS_1972_UTM_Zone_32S"
#define PE_N_PCS_WGS_1972_UTM_33N \
   "WGS_1972_UTM_Zone_33N"
#define PE_N_PCS_WGS_1972_UTM_33S \
   "WGS_1972_UTM_Zone_33S"
#define PE_N_PCS_WGS_1972_UTM_34N \
   "WGS_1972_UTM_Zone_34N"
#define PE_N_PCS_WGS_1972_UTM_34S \
   "WGS_1972_UTM_Zone_34S"
#define PE_N_PCS_WGS_1972_UTM_35N \
   "WGS_1972_UTM_Zone_35N"
#define PE_N_PCS_WGS_1972_UTM_35S \
   "WGS_1972_UTM_Zone_35S"
#define PE_N_PCS_WGS_1972_UTM_36N \
   "WGS_1972_UTM_Zone_36N"
#define PE_N_PCS_WGS_1972_UTM_36S \
   "WGS_1972_UTM_Zone_36S"
#define PE_N_PCS_WGS_1972_UTM_37N \
   "WGS_1972_UTM_Zone_37N"
#define PE_N_PCS_WGS_1972_UTM_37S \
   "WGS_1972_UTM_Zone_37S"
#define PE_N_PCS_WGS_1972_UTM_38N \
   "WGS_1972_UTM_Zone_38N"
#define PE_N_PCS_WGS_1972_UTM_38S \
   "WGS_1972_UTM_Zone_38S"
#define PE_N_PCS_WGS_1972_UTM_39N \
   "WGS_1972_UTM_Zone_39N"
#define PE_N_PCS_WGS_1972_UTM_39S \
   "WGS_1972_UTM_Zone_39S"
#define PE_N_PCS_WGS_1972_UTM_3N \
   "WGS_1972_UTM_Zone_3N"
#define PE_N_PCS_WGS_1972_UTM_3S \
   "WGS_1972_UTM_Zone_3S"
#define PE_N_PCS_WGS_1972_UTM_40N \
   "WGS_1972_UTM_Zone_40N"
#define PE_N_PCS_WGS_1972_UTM_40S \
   "WGS_1972_UTM_Zone_40S"
#define PE_N_PCS_WGS_1972_UTM_41N \
   "WGS_1972_UTM_Zone_41N"
#define PE_N_PCS_WGS_1972_UTM_41S \
   "WGS_1972_UTM_Zone_41S"
#define PE_N_PCS_WGS_1972_UTM_42N \
   "WGS_1972_UTM_Zone_42N"
#define PE_N_PCS_WGS_1972_UTM_42S \
   "WGS_1972_UTM_Zone_42S"
#define PE_N_PCS_WGS_1972_UTM_43N \
   "WGS_1972_UTM_Zone_43N"
#define PE_N_PCS_WGS_1972_UTM_43S \
   "WGS_1972_UTM_Zone_43S"
#define PE_N_PCS_WGS_1972_UTM_44N \
   "WGS_1972_UTM_Zone_44N"
#define PE_N_PCS_WGS_1972_UTM_44S \
   "WGS_1972_UTM_Zone_44S"
#define PE_N_PCS_WGS_1972_UTM_45N \
   "WGS_1972_UTM_Zone_45N"
#define PE_N_PCS_WGS_1972_UTM_45S \
   "WGS_1972_UTM_Zone_45S"
#define PE_N_PCS_WGS_1972_UTM_46N \
   "WGS_1972_UTM_Zone_46N"
#define PE_N_PCS_WGS_1972_UTM_46S \
   "WGS_1972_UTM_Zone_46S"
#define PE_N_PCS_WGS_1972_UTM_47N \
   "WGS_1972_UTM_Zone_47N"
#define PE_N_PCS_WGS_1972_UTM_47S \
   "WGS_1972_UTM_Zone_47S"
#define PE_N_PCS_WGS_1972_UTM_48N \
   "WGS_1972_UTM_Zone_48N"
#define PE_N_PCS_WGS_1972_UTM_48S \
   "WGS_1972_UTM_Zone_48S"
#define PE_N_PCS_WGS_1972_UTM_49N \
   "WGS_1972_UTM_Zone_49N"
#define PE_N_PCS_WGS_1972_UTM_49S \
   "WGS_1972_UTM_Zone_49S"
#define PE_N_PCS_WGS_1972_UTM_4N \
   "WGS_1972_UTM_Zone_4N"
#define PE_N_PCS_WGS_1972_UTM_4S \
   "WGS_1972_UTM_Zone_4S"
#define PE_N_PCS_WGS_1972_UTM_50N \
   "WGS_1972_UTM_Zone_50N"
#define PE_N_PCS_WGS_1972_UTM_50S \
   "WGS_1972_UTM_Zone_50S"
#define PE_N_PCS_WGS_1972_UTM_51N \
   "WGS_1972_UTM_Zone_51N"
#define PE_N_PCS_WGS_1972_UTM_51S \
   "WGS_1972_UTM_Zone_51S"
#define PE_N_PCS_WGS_1972_UTM_52N \
   "WGS_1972_UTM_Zone_52N"
#define PE_N_PCS_WGS_1972_UTM_52S \
   "WGS_1972_UTM_Zone_52S"
#define PE_N_PCS_WGS_1972_UTM_53N \
   "WGS_1972_UTM_Zone_53N"
#define PE_N_PCS_WGS_1972_UTM_53S \
   "WGS_1972_UTM_Zone_53S"
#define PE_N_PCS_WGS_1972_UTM_54N \
   "WGS_1972_UTM_Zone_54N"
#define PE_N_PCS_WGS_1972_UTM_54S \
   "WGS_1972_UTM_Zone_54S"
#define PE_N_PCS_WGS_1972_UTM_55N \
   "WGS_1972_UTM_Zone_55N"
#define PE_N_PCS_WGS_1972_UTM_55S \
   "WGS_1972_UTM_Zone_55S"
#define PE_N_PCS_WGS_1972_UTM_56N \
   "WGS_1972_UTM_Zone_56N"
#define PE_N_PCS_WGS_1972_UTM_56S \
   "WGS_1972_UTM_Zone_56S"
#define PE_N_PCS_WGS_1972_UTM_57N \
   "WGS_1972_UTM_Zone_57N"
#define PE_N_PCS_WGS_1972_UTM_57S \
   "WGS_1972_UTM_Zone_57S"
#define PE_N_PCS_WGS_1972_UTM_58N \
   "WGS_1972_UTM_Zone_58N"
#define PE_N_PCS_WGS_1972_UTM_58S \
   "WGS_1972_UTM_Zone_58S"
#define PE_N_PCS_WGS_1972_UTM_59N \
   "WGS_1972_UTM_Zone_59N"
#define PE_N_PCS_WGS_1972_UTM_59S \
   "WGS_1972_UTM_Zone_59S"
#define PE_N_PCS_WGS_1972_UTM_5N \
   "WGS_1972_UTM_Zone_5N"
#define PE_N_PCS_WGS_1972_UTM_5S \
   "WGS_1972_UTM_Zone_5S"
#define PE_N_PCS_WGS_1972_UTM_60N \
   "WGS_1972_UTM_Zone_60N"
#define PE_N_PCS_WGS_1972_UTM_60S \
   "WGS_1972_UTM_Zone_60S"
#define PE_N_PCS_WGS_1972_UTM_6N \
   "WGS_1972_UTM_Zone_6N"
#define PE_N_PCS_WGS_1972_UTM_6S \
   "WGS_1972_UTM_Zone_6S"
#define PE_N_PCS_WGS_1972_UTM_7N \
   "WGS_1972_UTM_Zone_7N"
#define PE_N_PCS_WGS_1972_UTM_7S \
   "WGS_1972_UTM_Zone_7S"
#define PE_N_PCS_WGS_1972_UTM_8N \
   "WGS_1972_UTM_Zone_8N"
#define PE_N_PCS_WGS_1972_UTM_8S \
   "WGS_1972_UTM_Zone_8S"
#define PE_N_PCS_WGS_1972_UTM_9N \
   "WGS_1972_UTM_Zone_9N"
#define PE_N_PCS_WGS_1972_UTM_9S \
   "WGS_1972_UTM_Zone_9S"
#define PE_N_PCS_WGS_1984_AFRICA_ALBERS \
   "Africa_Albers_Equal_Area_Conic"
#define PE_N_PCS_WGS_1984_AFRICA_EQUI_CONIC \
   "Africa_Equidistant_Conic"
#define PE_N_PCS_WGS_1984_AFRICA_LAMBERT \
   "Africa_Lambert_Conformal_Conic"
#define PE_N_PCS_WGS_1984_AFRICA_SINUSOIDAL \
   "Africa_Sinusoidal"
#define PE_N_PCS_WGS_1984_ANTARCTIC_P_STEREO \
   "WGS_1984_Antarctic_Polar_Stereographic"
#define PE_N_PCS_WGS_1984_ARCTIC_POLAR_STEREO \
   "WGS_1984_Arctic_Polar_Stereographic"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_1 \
   "WGS_1984_ARC_System_Zone_01"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_10 \
   "WGS_1984_ARC_System_Zone_10"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_11 \
   "WGS_1984_ARC_System_Zone_11"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_12 \
   "WGS_1984_ARC_System_Zone_12"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_13 \
   "WGS_1984_ARC_System_Zone_13"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_14 \
   "WGS_1984_ARC_System_Zone_14"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_15 \
   "WGS_1984_ARC_System_Zone_15"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_16 \
   "WGS_1984_ARC_System_Zone_16"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_17 \
   "WGS_1984_ARC_System_Zone_17"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_18 \
   "WGS_1984_ARC_System_Zone_18"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_2 \
   "WGS_1984_ARC_System_Zone_02"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_3 \
   "WGS_1984_ARC_System_Zone_03"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_4 \
   "WGS_1984_ARC_System_Zone_04"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_5 \
   "WGS_1984_ARC_System_Zone_05"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_6 \
   "WGS_1984_ARC_System_Zone_06"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_7 \
   "WGS_1984_ARC_System_Zone_07"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_8 \
   "WGS_1984_ARC_System_Zone_08"
#define PE_N_PCS_WGS_1984_ARC_SYSTEM_ZONE_9 \
   "WGS_1984_ARC_System_Zone_09"
#define PE_N_PCS_WGS_1984_ASIA_LAMBERT \
   "Asia_Lambert_Conformal_Conic"
#define PE_N_PCS_WGS_1984_ASIA_NORTH_ALBERS \
   "Asia_North_Albers_Equal_Area_Conic"
#define PE_N_PCS_WGS_1984_ASIA_NORTH_EQUI_CONIC \
   "Asia_North_Equidistant_Conic"
#define PE_N_PCS_WGS_1984_ASIA_NORTH_LAMBERT \
   "Asia_North_Lambert_Conformal_Conic"
#define PE_N_PCS_WGS_1984_ASIA_SOUTH_ALBERS \
   "Asia_South_Albers_Equal_Area_Conic"
#define PE_N_PCS_WGS_1984_ASIA_SOUTH_EQUI_CONIC \
   "Asia_South_Equidistant_Conic"
#define PE_N_PCS_WGS_1984_ASIA_SOUTH_LAMBERT \
   "Asia_South_Lambert_Conformal_Conic"
#define PE_N_PCS_WGS_1984_AUSTRALIAN_ANTARCTIC_LAMBERT \
   "WGS_1984_Australian_Antarctic_Lambert"
#define PE_N_PCS_WGS_1984_AUSTRALIAN_ANTARCTIC_P_STEREO \
   "WGS_1984_Australian_Antarctic_Polar_Stereographic"
#define PE_N_PCS_WGS_1984_AUSTRALIAN_CRS_LAMBERT \
   "WGS_1984_Australian_Centre_for_Remote_Sensing_Lambert"
#define PE_N_PCS_WGS_1984_BLM_14N_FT_US \
   "WGS_1984_BLM_Zone_14N_ftUS"
#define PE_N_PCS_WGS_1984_BLM_15N_FT_US \
   "WGS_1984_BLM_Zone_15N_ftUS"
#define PE_N_PCS_WGS_1984_BLM_16N_FT_US \
   "WGS_1984_BLM_Zone_16N_ftUS"
#define PE_N_PCS_WGS_1984_BLM_17N_FT_US \
   "WGS_1984_BLM_Zone_17N_ftUS"
#define PE_N_PCS_WGS_1984_CANADA_ATLAS_LCC \
   "WGS_1984_Canada_Atlas_LCC"
#define PE_N_PCS_WGS_1984_CAPE_VERDE_GRID \
   "WGS_1984_Cape_Verde_Grid"
#define PE_N_PCS_WGS_1984_COMPLEX_UTM_20N \
   "WGS_1984_Complex_UTM_Zone_20N"
#define PE_N_PCS_WGS_1984_COMPLEX_UTM_21N \
   "WGS_1984_Complex_UTM_Zone_21N"
#define PE_N_PCS_WGS_1984_COMPLEX_UTM_22N \
   "WGS_1984_Complex_UTM_Zone_22N"
#define PE_N_PCS_WGS_1984_COMPLEX_UTM_23N \
   "WGS_1984_Complex_UTM_Zone_23N"
#define PE_N_PCS_WGS_1984_COMPLEX_UTM_24N \
   "WGS_1984_Complex_UTM_Zone_24N"
#define PE_N_PCS_WGS_1984_COMPLEX_UTM_25N \
   "WGS_1984_Complex_UTM_Zone_25N"
#define PE_N_PCS_WGS_1984_COMPLEX_UTM_26N \
   "WGS_1984_Complex_UTM_Zone_26N"
#define PE_N_PCS_WGS_1984_COMPLEX_UTM_27N \
   "WGS_1984_Complex_UTM_Zone_27N"
#define PE_N_PCS_WGS_1984_COMPLEX_UTM_28N \
   "WGS_1984_Complex_UTM_Zone_28N"
#define PE_N_PCS_WGS_1984_COMPLEX_UTM_29N \
   "WGS_1984_Complex_UTM_Zone_29N"
#define PE_N_PCS_WGS_1984_COMPLEX_UTM_30N \
   "WGS_1984_Complex_UTM_Zone_30N"
#define PE_N_PCS_WGS_1984_COSTA_RICA_TM_90 \
   "WGS_1984_Costa_Rica_TM_90"
#define PE_N_PCS_WGS_1984_DUBAI_LOCAL_TM \
   "WGS_1984_Dubai_Local_TM"
#define PE_N_PCS_WGS_1984_EASE_GRID_GLOBAL \
   "WGS_1984_EASE_Grid_Global"
#define PE_N_PCS_WGS_1984_EASE_GRID_NORTH \
   "WGS_1984_EASE_Grid_North"
#define PE_N_PCS_WGS_1984_EASE_GRID_SOUTH \
   "WGS_1984_EASE_Grid_South"
#define PE_N_PCS_WGS_1984_IBCAO_POLAR_STEREO \
   "WGS_1984_IBCAO_Polar_Stereographic"
#define PE_N_PCS_WGS_1984_MERCATOR_41 \
   "WGS_1984_Mercator_41"
#define PE_N_PCS_WGS_1984_NP_LAEA_ALASKA \
   "WGS_1984_North_Pole_LAEA_Alaska"
#define PE_N_PCS_WGS_1984_NP_LAEA_ATLANTIC \
   "WGS_1984_North_Pole_LAEA_Atlantic"
#define PE_N_PCS_WGS_1984_NP_LAEA_BERING_SEA \
   "WGS_1984_North_Pole_LAEA_Bering_Sea"
#define PE_N_PCS_WGS_1984_NP_LAEA_CANADA \
   "WGS_1984_North_Pole_LAEA_Canada"
#define PE_N_PCS_WGS_1984_NP_LAEA_EUROPE \
   "WGS_1984_North_Pole_LAEA_Europe"
#define PE_N_PCS_WGS_1984_NP_LAEA_RUSSIA \
   "WGS_1984_North_Pole_LAEA_Russia"
#define PE_N_PCS_WGS_1984_NSIDC_SEA_ICE_POLAR_STEREO_N \
   "WGS_1984_NSIDC_Sea_Ice_Polar_Stereographic_North"
#define PE_N_PCS_WGS_1984_N_POLE_AZI_EQUI \
   "North_Pole_Azimuthal_Equidistant"
#define PE_N_PCS_WGS_1984_N_POLE_GNOMONIC \
   "North_Pole_Gnomonic"
#define PE_N_PCS_WGS_1984_N_POLE_LAMBERT_AZI_EQAREA \
   "North_Pole_Lambert_Azimuthal_Equal_Area"
#define PE_N_PCS_WGS_1984_N_POLE_ORTHOGRAPHIC \
   "North_Pole_Orthographic"
#define PE_N_PCS_WGS_1984_N_POLE_STEREOGRAPHIC \
   "North_Pole_Stereographic"
#define PE_N_PCS_WGS_1984_PDC_MERCATOR \
   "WGS_1984_PDC_Mercator"
#define PE_N_PCS_WGS_1984_PLATE_CARREE \
   "WGS_1984_Plate_Carree"
#define PE_N_PCS_WGS_1984_SEA_ICE_POLAR_STEREO_S \
   "WGS_1984_NSIDC_Sea_Ice_Polar_Stereographic_South"
#define PE_N_PCS_WGS_1984_SOUTH_GEORGIA_LAMBERT \
   "WGS_1984_South_Georgia_Lambert"
#define PE_N_PCS_WGS_1984_S_POLE_AZI_EQUI \
   "South_Pole_Azimuthal_Equidistant"
#define PE_N_PCS_WGS_1984_S_POLE_GNOMONIC \
   "South_Pole_Gnomonic"
#define PE_N_PCS_WGS_1984_S_POLE_LAMBERT_AZI_EQAREA \
   "South_Pole_Lambert_Azimuthal_Equal_Area"
#define PE_N_PCS_WGS_1984_S_POLE_ORTHOGRAPHIC \
   "South_Pole_Orthographic"
#define PE_N_PCS_WGS_1984_S_POLE_STEREOGRAPHIC \
   "South_Pole_Stereographic"
#define PE_N_PCS_WGS_1984_TM_116_SE \
   "WGS_1984_TM_116_SE"
#define PE_N_PCS_WGS_1984_TM_132_SE \
   "WGS_1984_TM_132_SE"
#define PE_N_PCS_WGS_1984_TM_36_SE \
   "WGS_1984_TM_36_SE"
#define PE_N_PCS_WGS_1984_TM_6_NE \
   "WGS_1984_TM_6_NE"
#define PE_N_PCS_WGS_1984_UPS_NORTH \
   "UPS_North"
#define PE_N_PCS_WGS_1984_UPS_SOUTH \
   "UPS_South"
#define PE_N_PCS_WGS_1984_USGS_TRANSANTARCTIC_MTS \
   "WGS_1984_USGS_Transantarctic_Mountains"
#define PE_N_PCS_WGS_1984_UTM_10N \
   "WGS_1984_UTM_Zone_10N"
#define PE_N_PCS_WGS_1984_UTM_10S \
   "WGS_1984_UTM_Zone_10S"
#define PE_N_PCS_WGS_1984_UTM_11N \
   "WGS_1984_UTM_Zone_11N"
#define PE_N_PCS_WGS_1984_UTM_11S \
   "WGS_1984_UTM_Zone_11S"
#define PE_N_PCS_WGS_1984_UTM_12N \
   "WGS_1984_UTM_Zone_12N"
#define PE_N_PCS_WGS_1984_UTM_12S \
   "WGS_1984_UTM_Zone_12S"
#define PE_N_PCS_WGS_1984_UTM_13N \
   "WGS_1984_UTM_Zone_13N"
#define PE_N_PCS_WGS_1984_UTM_13S \
   "WGS_1984_UTM_Zone_13S"
#define PE_N_PCS_WGS_1984_UTM_14N \
   "WGS_1984_UTM_Zone_14N"
#define PE_N_PCS_WGS_1984_UTM_14S \
   "WGS_1984_UTM_Zone_14S"
#define PE_N_PCS_WGS_1984_UTM_15N \
   "WGS_1984_UTM_Zone_15N"
#define PE_N_PCS_WGS_1984_UTM_15S \
   "WGS_1984_UTM_Zone_15S"
#define PE_N_PCS_WGS_1984_UTM_16N \
   "WGS_1984_UTM_Zone_16N"
#define PE_N_PCS_WGS_1984_UTM_16S \
   "WGS_1984_UTM_Zone_16S"
#define PE_N_PCS_WGS_1984_UTM_17N \
   "WGS_1984_UTM_Zone_17N"
#define PE_N_PCS_WGS_1984_UTM_17S \
   "WGS_1984_UTM_Zone_17S"
#define PE_N_PCS_WGS_1984_UTM_18N \
   "WGS_1984_UTM_Zone_18N"
#define PE_N_PCS_WGS_1984_UTM_18S \
   "WGS_1984_UTM_Zone_18S"
#define PE_N_PCS_WGS_1984_UTM_19N \
   "WGS_1984_UTM_Zone_19N"
#define PE_N_PCS_WGS_1984_UTM_19S \
   "WGS_1984_UTM_Zone_19S"
#define PE_N_PCS_WGS_1984_UTM_1N \
   "WGS_1984_UTM_Zone_1N"
#define PE_N_PCS_WGS_1984_UTM_1S \
   "WGS_1984_UTM_Zone_1S"
#define PE_N_PCS_WGS_1984_UTM_20N \
   "WGS_1984_UTM_Zone_20N"
#define PE_N_PCS_WGS_1984_UTM_20S \
   "WGS_1984_UTM_Zone_20S"
#define PE_N_PCS_WGS_1984_UTM_21N \
   "WGS_1984_UTM_Zone_21N"
#define PE_N_PCS_WGS_1984_UTM_21S \
   "WGS_1984_UTM_Zone_21S"
#define PE_N_PCS_WGS_1984_UTM_22N \
   "WGS_1984_UTM_Zone_22N"
#define PE_N_PCS_WGS_1984_UTM_22S \
   "WGS_1984_UTM_Zone_22S"
#define PE_N_PCS_WGS_1984_UTM_23N \
   "WGS_1984_UTM_Zone_23N"
#define PE_N_PCS_WGS_1984_UTM_23S \
   "WGS_1984_UTM_Zone_23S"
#define PE_N_PCS_WGS_1984_UTM_24N \
   "WGS_1984_UTM_Zone_24N"
#define PE_N_PCS_WGS_1984_UTM_24S \
   "WGS_1984_UTM_Zone_24S"
#define PE_N_PCS_WGS_1984_UTM_25N \
   "WGS_1984_UTM_Zone_25N"
#define PE_N_PCS_WGS_1984_UTM_25S \
   "WGS_1984_UTM_Zone_25S"
#define PE_N_PCS_WGS_1984_UTM_26N \
   "WGS_1984_UTM_Zone_26N"
#define PE_N_PCS_WGS_1984_UTM_26S \
   "WGS_1984_UTM_Zone_26S"
#define PE_N_PCS_WGS_1984_UTM_27N \
   "WGS_1984_UTM_Zone_27N"
#define PE_N_PCS_WGS_1984_UTM_27S \
   "WGS_1984_UTM_Zone_27S"
#define PE_N_PCS_WGS_1984_UTM_28N \
   "WGS_1984_UTM_Zone_28N"
#define PE_N_PCS_WGS_1984_UTM_28S \
   "WGS_1984_UTM_Zone_28S"
#define PE_N_PCS_WGS_1984_UTM_29N \
   "WGS_1984_UTM_Zone_29N"
#define PE_N_PCS_WGS_1984_UTM_29S \
   "WGS_1984_UTM_Zone_29S"
#define PE_N_PCS_WGS_1984_UTM_2N \
   "WGS_1984_UTM_Zone_2N"
#define PE_N_PCS_WGS_1984_UTM_2S \
   "WGS_1984_UTM_Zone_2S"
#define PE_N_PCS_WGS_1984_UTM_30N \
   "WGS_1984_UTM_Zone_30N"
#define PE_N_PCS_WGS_1984_UTM_30S \
   "WGS_1984_UTM_Zone_30S"
#define PE_N_PCS_WGS_1984_UTM_31N \
   "WGS_1984_UTM_Zone_31N"
#define PE_N_PCS_WGS_1984_UTM_31S \
   "WGS_1984_UTM_Zone_31S"
#define PE_N_PCS_WGS_1984_UTM_32N \
   "WGS_1984_UTM_Zone_32N"
#define PE_N_PCS_WGS_1984_UTM_32S \
   "WGS_1984_UTM_Zone_32S"
#define PE_N_PCS_WGS_1984_UTM_33N \
   "WGS_1984_UTM_Zone_33N"
#define PE_N_PCS_WGS_1984_UTM_33S \
   "WGS_1984_UTM_Zone_33S"
#define PE_N_PCS_WGS_1984_UTM_34N \
   "WGS_1984_UTM_Zone_34N"
#define PE_N_PCS_WGS_1984_UTM_34S \
   "WGS_1984_UTM_Zone_34S"
#define PE_N_PCS_WGS_1984_UTM_35N \
   "WGS_1984_UTM_Zone_35N"
#define PE_N_PCS_WGS_1984_UTM_35S \
   "WGS_1984_UTM_Zone_35S"
#define PE_N_PCS_WGS_1984_UTM_36N \
   "WGS_1984_UTM_Zone_36N"
#define PE_N_PCS_WGS_1984_UTM_36S \
   "WGS_1984_UTM_Zone_36S"
#define PE_N_PCS_WGS_1984_UTM_37N \
   "WGS_1984_UTM_Zone_37N"
#define PE_N_PCS_WGS_1984_UTM_37S \
   "WGS_1984_UTM_Zone_37S"
#define PE_N_PCS_WGS_1984_UTM_38N \
   "WGS_1984_UTM_Zone_38N"
#define PE_N_PCS_WGS_1984_UTM_38S \
   "WGS_1984_UTM_Zone_38S"
#define PE_N_PCS_WGS_1984_UTM_39N \
   "WGS_1984_UTM_Zone_39N"
#define PE_N_PCS_WGS_1984_UTM_39S \
   "WGS_1984_UTM_Zone_39S"
#define PE_N_PCS_WGS_1984_UTM_3N \
   "WGS_1984_UTM_Zone_3N"
#define PE_N_PCS_WGS_1984_UTM_3S \
   "WGS_1984_UTM_Zone_3S"
#define PE_N_PCS_WGS_1984_UTM_40N \
   "WGS_1984_UTM_Zone_40N"
#define PE_N_PCS_WGS_1984_UTM_40S \
   "WGS_1984_UTM_Zone_40S"
#define PE_N_PCS_WGS_1984_UTM_41N \
   "WGS_1984_UTM_Zone_41N"
#define PE_N_PCS_WGS_1984_UTM_41S \
   "WGS_1984_UTM_Zone_41S"
#define PE_N_PCS_WGS_1984_UTM_42N \
   "WGS_1984_UTM_Zone_42N"
#define PE_N_PCS_WGS_1984_UTM_42S \
   "WGS_1984_UTM_Zone_42S"
#define PE_N_PCS_WGS_1984_UTM_43N \
   "WGS_1984_UTM_Zone_43N"
#define PE_N_PCS_WGS_1984_UTM_43S \
   "WGS_1984_UTM_Zone_43S"
#define PE_N_PCS_WGS_1984_UTM_44N \
   "WGS_1984_UTM_Zone_44N"
#define PE_N_PCS_WGS_1984_UTM_44S \
   "WGS_1984_UTM_Zone_44S"
#define PE_N_PCS_WGS_1984_UTM_45N \
   "WGS_1984_UTM_Zone_45N"
#define PE_N_PCS_WGS_1984_UTM_45S \
   "WGS_1984_UTM_Zone_45S"
#define PE_N_PCS_WGS_1984_UTM_46N \
   "WGS_1984_UTM_Zone_46N"
#define PE_N_PCS_WGS_1984_UTM_46S \
   "WGS_1984_UTM_Zone_46S"
#define PE_N_PCS_WGS_1984_UTM_47N \
   "WGS_1984_UTM_Zone_47N"
#define PE_N_PCS_WGS_1984_UTM_47S \
   "WGS_1984_UTM_Zone_47S"
#define PE_N_PCS_WGS_1984_UTM_48N \
   "WGS_1984_UTM_Zone_48N"
#define PE_N_PCS_WGS_1984_UTM_48S \
   "WGS_1984_UTM_Zone_48S"
#define PE_N_PCS_WGS_1984_UTM_49N \
   "WGS_1984_UTM_Zone_49N"
#define PE_N_PCS_WGS_1984_UTM_49S \
   "WGS_1984_UTM_Zone_49S"
#define PE_N_PCS_WGS_1984_UTM_4N \
   "WGS_1984_UTM_Zone_4N"
#define PE_N_PCS_WGS_1984_UTM_4S \
   "WGS_1984_UTM_Zone_4S"
#define PE_N_PCS_WGS_1984_UTM_50N \
   "WGS_1984_UTM_Zone_50N"
#define PE_N_PCS_WGS_1984_UTM_50S \
   "WGS_1984_UTM_Zone_50S"
#define PE_N_PCS_WGS_1984_UTM_51N \
   "WGS_1984_UTM_Zone_51N"
#define PE_N_PCS_WGS_1984_UTM_51S \
   "WGS_1984_UTM_Zone_51S"
#define PE_N_PCS_WGS_1984_UTM_52N \
   "WGS_1984_UTM_Zone_52N"
#define PE_N_PCS_WGS_1984_UTM_52S \
   "WGS_1984_UTM_Zone_52S"
#define PE_N_PCS_WGS_1984_UTM_53N \
   "WGS_1984_UTM_Zone_53N"
#define PE_N_PCS_WGS_1984_UTM_53S \
   "WGS_1984_UTM_Zone_53S"
#define PE_N_PCS_WGS_1984_UTM_54N \
   "WGS_1984_UTM_Zone_54N"
#define PE_N_PCS_WGS_1984_UTM_54S \
   "WGS_1984_UTM_Zone_54S"
#define PE_N_PCS_WGS_1984_UTM_55N \
   "WGS_1984_UTM_Zone_55N"
#define PE_N_PCS_WGS_1984_UTM_55S \
   "WGS_1984_UTM_Zone_55S"
#define PE_N_PCS_WGS_1984_UTM_56N \
   "WGS_1984_UTM_Zone_56N"
#define PE_N_PCS_WGS_1984_UTM_56S \
   "WGS_1984_UTM_Zone_56S"
#define PE_N_PCS_WGS_1984_UTM_57N \
   "WGS_1984_UTM_Zone_57N"
#define PE_N_PCS_WGS_1984_UTM_57S \
   "WGS_1984_UTM_Zone_57S"
#define PE_N_PCS_WGS_1984_UTM_58N \
   "WGS_1984_UTM_Zone_58N"
#define PE_N_PCS_WGS_1984_UTM_58S \
   "WGS_1984_UTM_Zone_58S"
#define PE_N_PCS_WGS_1984_UTM_59N \
   "WGS_1984_UTM_Zone_59N"
#define PE_N_PCS_WGS_1984_UTM_59S \
   "WGS_1984_UTM_Zone_59S"
#define PE_N_PCS_WGS_1984_UTM_5N \
   "WGS_1984_UTM_Zone_5N"
#define PE_N_PCS_WGS_1984_UTM_5S \
   "WGS_1984_UTM_Zone_5S"
#define PE_N_PCS_WGS_1984_UTM_60N \
   "WGS_1984_UTM_Zone_60N"
#define PE_N_PCS_WGS_1984_UTM_60S \
   "WGS_1984_UTM_Zone_60S"
#define PE_N_PCS_WGS_1984_UTM_6N \
   "WGS_1984_UTM_Zone_6N"
#define PE_N_PCS_WGS_1984_UTM_6S \
   "WGS_1984_UTM_Zone_6S"
#define PE_N_PCS_WGS_1984_UTM_7N \
   "WGS_1984_UTM_Zone_7N"
#define PE_N_PCS_WGS_1984_UTM_7S \
   "WGS_1984_UTM_Zone_7S"
#define PE_N_PCS_WGS_1984_UTM_8N \
   "WGS_1984_UTM_Zone_8N"
#define PE_N_PCS_WGS_1984_UTM_8S \
   "WGS_1984_UTM_Zone_8S"
#define PE_N_PCS_WGS_1984_UTM_9N \
   "WGS_1984_UTM_Zone_9N"
#define PE_N_PCS_WGS_1984_UTM_9S \
   "WGS_1984_UTM_Zone_9S"
#define PE_N_PCS_WGS_1984_WEB_MERCATOR \
   "WGS_1984_Web_Mercator"
#define PE_N_PCS_WGS_1984_WEB_MERCATOR_AUXSPHERE \
   "WGS_1984_Web_Mercator_Auxiliary_Sphere"
#define PE_N_PCS_WGS_1984_WORLD_MERCATOR \
   "WGS_1984_World_Mercator"
#define PE_N_PCS_WORLD_AITOFF \
   "World_Aitoff"
#define PE_N_PCS_WORLD_AZIMUTHAL_EQUIDISTANT \
   "World_Azimuthal_Equidistant"
#define PE_N_PCS_WORLD_BEHRMANN \
   "World_Behrmann"
#define PE_N_PCS_WORLD_BONNE \
   "World_Bonne"
#define PE_N_PCS_WORLD_CASSINI \
   "World_Cassini"
#define PE_N_PCS_WORLD_CRASTER_PARABOLIC \
   "World_Craster_Parabolic"
#define PE_N_PCS_WORLD_CUBE \
   "World_Cube"
#define PE_N_PCS_WORLD_CYLINDRICAL_EQAREA \
   "World_Cylindrical_Equal_Area"
#define PE_N_PCS_WORLD_ECKERT_I \
   "World_Eckert_I"
#define PE_N_PCS_WORLD_ECKERT_II \
   "World_Eckert_II"
#define PE_N_PCS_WORLD_ECKERT_III \
   "World_Eckert_III"
#define PE_N_PCS_WORLD_ECKERT_IV \
   "World_Eckert_IV"
#define PE_N_PCS_WORLD_ECKERT_V \
   "World_Eckert_V"
#define PE_N_PCS_WORLD_ECKERT_VI \
   "World_Eckert_VI"
#define PE_N_PCS_WORLD_EQUIDISTANT_CONIC \
   "World_Equidistant_Conic"
#define PE_N_PCS_WORLD_EQUIDISTANT_CYLINDRICAL \
   "World_Equidistant_Cylindrical"
#define PE_N_PCS_WORLD_FLAT_POLAR_QUARTIC \
   "World_Flat_Polar_Quartic"
#define PE_N_PCS_WORLD_FULLER \
   "World_Fuller"
#define PE_N_PCS_WORLD_GALL_STEREOGRAPHIC \
   "World_Gall_Stereographic"
#define PE_N_PCS_WORLD_GOODE_HOMOLOSINE_LAND \
   "World_Goode_Homolosine_Land"
#define PE_N_PCS_WORLD_GOODE_HOMOLOSINE_OCEAN \
   "World_Goode_Homolosine_Ocean"
#define PE_N_PCS_WORLD_HAMMER_AITOFF \
   "World_Hammer_Aitoff"
#define PE_N_PCS_WORLD_HOTINE \
   "World_Hotine"
#define PE_N_PCS_WORLD_LOXIMUTHAL \
   "World_Loximuthal"
#define PE_N_PCS_WORLD_MERCATOR \
   "World_Mercator"
#define PE_N_PCS_WORLD_MILLER_CYLINDRICAL \
   "World_Miller_Cylindrical"
#define PE_N_PCS_WORLD_MOLLWEIDE \
   "World_Mollweide"
#define PE_N_PCS_WORLD_PLATE_CARREE \
   "World_Plate_Carree"
#define PE_N_PCS_WORLD_POLYCONIC \
   "World_Polyconic"
#define PE_N_PCS_WORLD_QUARTIC_AUTHALIC \
   "World_Quartic_Authalic"
#define PE_N_PCS_WORLD_ROBINSON \
   "World_Robinson"
#define PE_N_PCS_WORLD_SINUSOIDAL \
   "World_Sinusoidal"
#define PE_N_PCS_WORLD_STEREOGRAPHIC \
   "World_Stereographic"
#define PE_N_PCS_WORLD_TIMES \
   "World_Times"
#define PE_N_PCS_WORLD_TWO_POINT_EQUIDISTANT \
   "World_Two_Point_Equidistant"
#define PE_N_PCS_WORLD_VAN_DER_GRINTEN_I \
   "World_Van_der_Grinten_I"
#define PE_N_PCS_WORLD_VERTICAL_PERSPECTIVE \
   "World_Vertical_Perspective"
#define PE_N_PCS_WORLD_WINKEL_I \
   "World_Winkel_I"
#define PE_N_PCS_WORLD_WINKEL_II \
   "World_Winkel_II"
#define PE_N_PCS_WORLD_WINKEL_TRIPEL_NGS \
   "World_Winkel_Tripel_NGS"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_102E \
   "Xian_1980_3_Degree_GK_CM_102E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_105E \
   "Xian_1980_3_Degree_GK_CM_105E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_108E \
   "Xian_1980_3_Degree_GK_CM_108E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_111E \
   "Xian_1980_3_Degree_GK_CM_111E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_114E \
   "Xian_1980_3_Degree_GK_CM_114E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_117E \
   "Xian_1980_3_Degree_GK_CM_117E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_120E \
   "Xian_1980_3_Degree_GK_CM_120E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_123E \
   "Xian_1980_3_Degree_GK_CM_123E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_126E \
   "Xian_1980_3_Degree_GK_CM_126E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_129E \
   "Xian_1980_3_Degree_GK_CM_129E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_132E \
   "Xian_1980_3_Degree_GK_CM_132E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_135E \
   "Xian_1980_3_Degree_GK_CM_135E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_25 \
   "Xian_1980_3_Degree_GK_Zone_25"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_26 \
   "Xian_1980_3_Degree_GK_Zone_26"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_27 \
   "Xian_1980_3_Degree_GK_Zone_27"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_28 \
   "Xian_1980_3_Degree_GK_Zone_28"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_29 \
   "Xian_1980_3_Degree_GK_Zone_29"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_30 \
   "Xian_1980_3_Degree_GK_Zone_30"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_31 \
   "Xian_1980_3_Degree_GK_Zone_31"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_32 \
   "Xian_1980_3_Degree_GK_Zone_32"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_33 \
   "Xian_1980_3_Degree_GK_Zone_33"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_34 \
   "Xian_1980_3_Degree_GK_Zone_34"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_35 \
   "Xian_1980_3_Degree_GK_Zone_35"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_36 \
   "Xian_1980_3_Degree_GK_Zone_36"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_37 \
   "Xian_1980_3_Degree_GK_Zone_37"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_38 \
   "Xian_1980_3_Degree_GK_Zone_38"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_39 \
   "Xian_1980_3_Degree_GK_Zone_39"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_40 \
   "Xian_1980_3_Degree_GK_Zone_40"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_41 \
   "Xian_1980_3_Degree_GK_Zone_41"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_42 \
   "Xian_1980_3_Degree_GK_Zone_42"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_43 \
   "Xian_1980_3_Degree_GK_Zone_43"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_44 \
   "Xian_1980_3_Degree_GK_Zone_44"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_45 \
   "Xian_1980_3_Degree_GK_Zone_45"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_75E \
   "Xian_1980_3_Degree_GK_CM_75E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_78E \
   "Xian_1980_3_Degree_GK_CM_78E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_81E \
   "Xian_1980_3_Degree_GK_CM_81E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_84E \
   "Xian_1980_3_Degree_GK_CM_84E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_87E \
   "Xian_1980_3_Degree_GK_CM_87E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_90E \
   "Xian_1980_3_Degree_GK_CM_90E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_93E \
   "Xian_1980_3_Degree_GK_CM_93E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_96E \
   "Xian_1980_3_Degree_GK_CM_96E"
#define PE_N_PCS_XIAN_1980_3_DEGREE_GK_99E \
   "Xian_1980_3_Degree_GK_CM_99E"
#define PE_N_PCS_XIAN_1980_GK_105E \
   "Xian_1980_GK_CM_105E"
#define PE_N_PCS_XIAN_1980_GK_111E \
   "Xian_1980_GK_CM_111E"
#define PE_N_PCS_XIAN_1980_GK_117E \
   "Xian_1980_GK_CM_117E"
#define PE_N_PCS_XIAN_1980_GK_123E \
   "Xian_1980_GK_CM_123E"
#define PE_N_PCS_XIAN_1980_GK_129E \
   "Xian_1980_GK_CM_129E"
#define PE_N_PCS_XIAN_1980_GK_13 \
   "Xian_1980_GK_Zone_13"
#define PE_N_PCS_XIAN_1980_GK_135E \
   "Xian_1980_GK_CM_135E"
#define PE_N_PCS_XIAN_1980_GK_14 \
   "Xian_1980_GK_Zone_14"
#define PE_N_PCS_XIAN_1980_GK_15 \
   "Xian_1980_GK_Zone_15"
#define PE_N_PCS_XIAN_1980_GK_16 \
   "Xian_1980_GK_Zone_16"
#define PE_N_PCS_XIAN_1980_GK_17 \
   "Xian_1980_GK_Zone_17"
#define PE_N_PCS_XIAN_1980_GK_18 \
   "Xian_1980_GK_Zone_18"
#define PE_N_PCS_XIAN_1980_GK_19 \
   "Xian_1980_GK_Zone_19"
#define PE_N_PCS_XIAN_1980_GK_20 \
   "Xian_1980_GK_Zone_20"
#define PE_N_PCS_XIAN_1980_GK_21 \
   "Xian_1980_GK_Zone_21"
#define PE_N_PCS_XIAN_1980_GK_22 \
   "Xian_1980_GK_Zone_22"
#define PE_N_PCS_XIAN_1980_GK_23 \
   "Xian_1980_GK_Zone_23"
#define PE_N_PCS_XIAN_1980_GK_75E \
   "Xian_1980_GK_CM_75E"
#define PE_N_PCS_XIAN_1980_GK_81E \
   "Xian_1980_GK_CM_81E"
#define PE_N_PCS_XIAN_1980_GK_87E \
   "Xian_1980_GK_CM_87E"
#define PE_N_PCS_XIAN_1980_GK_93E \
   "Xian_1980_GK_CM_93E"
#define PE_N_PCS_XIAN_1980_GK_99E \
   "Xian_1980_GK_CM_99E"
#define PE_N_PCS_YEMEN_NGN_1996_UTM_38N \
   "Yemen_NGN_1996_UTM_Zone_38N"
#define PE_N_PCS_YEMEN_NGN_1996_UTM_39N \
   "Yemen_NGN_1996_UTM_Zone_39N"
#define PE_N_PCS_YOFF_1972_UTM_28N \
   "Yoff_1972_UTM_Zone_28N"
#define PE_N_PCS_ZANDERIJ_1972_UTM_21N \
   "Zanderij_1972_UTM_Zone_21N"
#define PE_N_PCS_ZANDERIJ_SURINAME_OLD_TM \
   "Zanderij_Suriname_Old_TM"
#define PE_N_PCS_ZANDERIJ_SURINAME_TM \
   "Zanderij_Suriname_TM"
#define PE_N_PCS_ZANDERIJ_TM_54_NW \
   "Zanderij_TM_54_NW"

/* ------------------------------------------------------------------------- */
/* VERTCS names                                                              */
/* ------------------------------------------------------------------------- */

#define PE_N_VCS_AHD \
   "AHD"
#define PE_N_VCS_AHD_TASMANIA \
   "AHD_Tasmania"
#define PE_N_VCS_AIOC95_DEPTH \
   "AIOC95_Depth"
#define PE_N_VCS_AIOC95_HEIGHT \
   "AIOC95_Height"
#define PE_N_VCS_ALICANTE \
   "Alicante"
#define PE_N_VCS_ANTALYA \
   "Antalya"
#define PE_N_VCS_AUCKLAND \
   "Auckland"
#define PE_N_VCS_BALTIC \
   "Baltic"
#define PE_N_VCS_BALTIC_1982 \
   "Baltic_1982"
#define PE_N_VCS_BALTIC_DEPTH \
   "Baltic_depth"
#define PE_N_VCS_BANDAR_ABBAS \
   "Bandar_Abbas"
#define PE_N_VCS_BELFAST \
   "Belfast"
#define PE_N_VCS_BLACK_SEA \
   "Black_Sea"
#define PE_N_VCS_BLUFF \
   "Bluff"
#define PE_N_VCS_BORA_BORA_SAU_2001 \
   "Bora_Bora_SAU_2001"
#define PE_N_VCS_CASCAIS \
   "Cascais"
#define PE_N_VCS_CASPIAN \
   "Caspian"
#define PE_N_VCS_CASPIAN_HEIGHT \
   "Caspian_height"
#define PE_N_VCS_CGVD_1928 \
   "CGVD_1928"
#define PE_N_VCS_CHATHAM_ISLAND \
   "Chatham_Island"
#define PE_N_VCS_CONSTANTA \
   "Constanta"
#define PE_N_VCS_DANGER_1950 \
   "Danger_1950"
#define PE_N_VCS_DANSK_NORMAL_NUL \
   "Dansk_Normal_Nul"
#define PE_N_VCS_DANSK_VERT_REF_1990 \
   "DVR90"
#define PE_N_VCS_DHHN85 \
   "DHHN85"
#define PE_N_VCS_DHHN92 \
   "DHHN92"
#define PE_N_VCS_DOUGLAS \
   "Douglas"
#define PE_N_VCS_DUNEDIN \
   "Dunedin"
#define PE_N_VCS_DUNEDIN_BLUFF_1960 \
   "Dunedin_Bluff_1960_height"
#define PE_N_VCS_DURRES \
   "Durres"
#define PE_N_VCS_EGM2008_GEOID \
   "EGM2008_Geoid"
#define PE_N_VCS_EGM84_GEOID \
   "EGM84_Geoid"
#define PE_N_VCS_EGM96_GEOID \
   "EGM96_Geoid"
#define PE_N_VCS_EOMA_1980 \
   "EOMA_1980"
#define PE_N_VCS_ETRS_1989 \
   "ETRS_1989"
#define PE_N_VCS_EVRF_2007 \
   "EVRF_2007"
#define PE_N_VCS_EVRS_2000 \
   "EVRS_2000"
#define PE_N_VCS_FAHUD_HEIGHT_DATUM_1993 \
   "Fahud_Height_Datum_1993"
#define PE_N_VCS_FAIR_ISLE \
   "Fair_Isle"
#define PE_N_VCS_FAO \
   "Fao"
#define PE_N_VCS_FAO_1979 \
   "Fao_1979"
#define PE_N_VCS_FLANNAN_ISLES \
   "Flannan_Isles"
#define PE_N_VCS_FOULA \
   "Foula"
#define PE_N_VCS_GHA \
   "GHA"
#define PE_N_VCS_GISBORNE \
   "Gisborne"
#define PE_N_VCS_GUADELOUPE_1951 \
   "Guadeloupe_1951"
#define PE_N_VCS_HA_TIEN_1960 \
   "Ha_Tien_1960"
#define PE_N_VCS_HONG_KONG_CHART_DATUM \
   "Hong_Kong_Chart_Datum"
#define PE_N_VCS_HONG_KONG_PRINCIPAL_DATUM \
   "Hong_Kong_Principal_Datum"
#define PE_N_VCS_HON_DAU_1992 \
   "Hon_Dau_1992"
#define PE_N_VCS_HUAHINE_SAU_2001 \
   "Huahine_SAU_2001"
#define PE_N_VCS_HVRS_1971 \
   "HVRS_1971"
#define PE_N_VCS_IGLD_1955 \
   "IGLD_1955"
#define PE_N_VCS_IGLD_1985 \
   "IGLD_1985"
#define PE_N_VCS_IGN_1966 \
   "IGN_1966"
#define PE_N_VCS_IGN_1987 \
   "IGN_1987"
#define PE_N_VCS_IGN_1988 \
   "IGN_1988"
#define PE_N_VCS_IGN_1988_LS \
   "IGN_1988_LS"
#define PE_N_VCS_IGN_1988_MG \
   "IGN_1988_MG"
#define PE_N_VCS_IGN_1988_SB \
   "IGN_1988_SB"
#define PE_N_VCS_IGN_1988_SM \
   "IGN_1988_SM"
#define PE_N_VCS_IGN_1989 \
   "IGN_1989"
#define PE_N_VCS_IGN_1992_LD \
   "IGN_1992_LD"
#define PE_N_VCS_JAPAN_STD_LEVEL_DATUM_1949 \
   "Japanese_Standard_Levelling_Datum_1949"
#define PE_N_VCS_KOC_CONSTRUCTION_DATUM \
   "KOC_Construction_Datum"
#define PE_N_VCS_KOC_WD_DEPTH_FT \
   "KOC_WD_depth_ft"
#define PE_N_VCS_KOC_WELL_DATUM \
   "KOC_Well_Datum"
#define PE_N_VCS_KUWAIT_PWD \
   "Kuwait_PWD"
#define PE_N_VCS_LAGOS_1955 \
   "Lagos_1955"
#define PE_N_VCS_LERWICK \
   "Lerwick"
#define PE_N_VCS_LHN95 \
   "LHN95"
#define PE_N_VCS_LN_1902 \
   "LN_1902"
#define PE_N_VCS_LYTTLETON \
   "Lyttleton"
#define PE_N_VCS_MALIN_HEAD \
   "Malin_Head"
#define PE_N_VCS_MAPUTO \
   "Maputo"
#define PE_N_VCS_MARTINIQUE_1955 \
   "Martinique_1955"
#define PE_N_VCS_MAUPITI_SAU_2001 \
   "Maupiti_SAU_2001"
#define PE_N_VCS_MAYOTTE_1950 \
   "Mayotte_1950"
#define PE_N_VCS_MOOREA_SAU_1981 \
   "Moorea_SAU_1981"
#define PE_N_VCS_MOTURIKI \
   "Moturiki"
#define PE_N_VCS_MSL_DEPTH \
   "MSL_Depth"
#define PE_N_VCS_MSL_HEIGHT \
   "MSL_Height"
#define PE_N_VCS_N2000 \
   "N2000_height"
#define PE_N_VCS_N60 \
   "N60"
#define PE_N_VCS_NAD_1983 \
   "NAD_1983"
#define PE_N_VCS_NAP \
   "NAP"
#define PE_N_VCS_NAPIER \
   "Napier"
#define PE_N_VCS_NAVD_1988 \
   "NAVD_1988"
#define PE_N_VCS_NELSON \
   "Nelson"
#define PE_N_VCS_NEWLYN \
   "Newlyn"
#define PE_N_VCS_NEWLYN_ORKNEY_ISLES \
   "Newlyn_Orkney_Isles"
#define PE_N_VCS_NGC_1948 \
   "NGC_1948"
#define PE_N_VCS_NGF_IGN69 \
   "NGF_IGN69"
#define PE_N_VCS_NGF_IGN78 \
   "NGF_IGN78"
#define PE_N_VCS_NGF_LALLEMAND \
   "NGF_Lallemand"
#define PE_N_VCS_NGG_1977 \
   "NGG_1977"
#define PE_N_VCS_NGNC \
   "NGNC"
#define PE_N_VCS_NGPF \
   "NGPF"
#define PE_N_VCS_NGVD_1929 \
   "NGVD_1929"
#define PE_N_VCS_NG_L \
   "NG_L"
#define PE_N_VCS_NN54 \
   "NN54"
#define PE_N_VCS_NORTH_RONA \
   "North_Rona"
#define PE_N_VCS_NVN99 \
   "NVN99"
#define PE_N_VCS_NZVD2009 \
   "NZVD2009_height"
#define PE_N_VCS_ONE_TREE_POINT \
   "One_Tree_Point"
#define PE_N_VCS_OOSTENDE \
   "Oostende"
#define PE_N_VCS_PDO_HEIGHT_DATUM_1993 \
   "PDO_Height_Datum_1993"
#define PE_N_VCS_PIRAEUS \
   "Piraeus"
#define PE_N_VCS_POOLBEG \
   "Poolbeg"
#define PE_N_VCS_RAIATEA_SAU_2001 \
   "Raiatea_SAU_2001"
#define PE_N_VCS_RH1900 \
   "RH1900"
#define PE_N_VCS_RH2000 \
   "RH2000"
#define PE_N_VCS_RH70 \
   "RH70"
#define PE_N_VCS_SNN76 \
   "SNN76"
#define PE_N_VCS_STEWART_ISLAND \
   "Stewart_Island"
#define PE_N_VCS_STORNOWAY \
   "Stornoway"
#define PE_N_VCS_ST_KILDA \
   "St_Kilda"
#define PE_N_VCS_ST_MARYS \
   "St_Marys"
#define PE_N_VCS_SULE_SKERRY \
   "Sule_Skerry"
#define PE_N_VCS_TAHAA_SAU_2001 \
   "Tahaa_SAU_2001"
#define PE_N_VCS_TARANAKI \
   "Taranaki"
#define PE_N_VCS_TARARU \
   "Tararu"
#define PE_N_VCS_WELLINGTON \
   "Wellington"
#define PE_N_VCS_WGS_1984 \
   "WGS_1984"
#define PE_N_VCS_WGS_1984_GEOID \
   "WGS_1984_Geoid"
#define PE_N_VCS_YELLOW_SEA_1956 \
   "Yellow_Sea_1956"
#define PE_N_VCS_YELLOW_SEA_1985 \
   "Yellow_Sea_1985"

/* ------------------------------------------------------------------------- */
/* HVCOORDSYS names                                                          */
/* ------------------------------------------------------------------------- */

#define PE_N_HVC_AMERSFOORT_RD_NEW_AND_NAP_HEIGHT \
   "HVC_Amersfoort_RD_New_and_NAP_Height"
#define PE_N_HVC_ETRS89_AND_EVRF2000_HEIGHT \
   "HVC_ETRF89_and_EVRF2000_Height"
#define PE_N_HVC_ETRS89_KP2000_BORNHOLM_AND_DVR90_HEIGHT \
   "HVC_ETRF89_KP2000_Bornholm_and_DVR90_Height"
#define PE_N_HVC_ETRS89_KP2000_ZEALAND_AND_DVR90_HEIGHT \
   "HVC_ETRF89_KP2000_Zealand_and_DVR90_Height"
#define PE_N_HVC_ETRS89_UTM_ZONE_32N_AND_DVR90_HEIGHT \
   "HVC_ETRF89_UTM_Zone_32N_and_DVR90_Height"
#define PE_N_HVC_ETRS89_UTM_ZONE_33N_AND_DVR90_HEIGHT \
   "HVC_ETRF89_UTM_Zone_33N_and_DVR90_Height"
#define PE_N_HVC_ETRS90_KP2000_JUTLAND_AND_DVR90_HEIGHT \
   "HVC_ETRF89_KP2000_Jutland_and_DVR90_Height"
#define PE_N_HVC_NAD27_AND_NGVD29_HEIGHT \
   "HVC_NAD27_and_NGVD29_Height"
#define PE_N_HVC_NAD27_TEXAS_NORTH_AND_NGVD29_HEIGHT \
   "HVC_NAD27_Texas_North_and_NGVD29_Height"
#define PE_N_HVC_NTF_PARIS_AND_NGF_IGN69_HEIGHT \
   "HVC_NTF_Paris_and_NGF_IGN69_Height"
#define PE_N_HVC_NTF_PARIS_LAMBERT_ZONE_III_AND_NGF_IGN69_HEIGHT \
   "HVC_NTF_Paris_Lambert_Zone_III_and_NGF_IGN69_Height"
#define PE_N_HVC_NTF_PARIS_LAMBERT_ZONE_II_AND_NGF_IGN69_HEIGHT \
   "HVC_NTF_Paris_Lambert_Zone_II_and_NGF_IGN69_Height"
#define PE_N_HVC_NTF_PARIS_LAMBERT_ZONE_II_AND_NGF_LALLEMAND_HEIGHT \
   "HVC_NTF_Paris_Lambert_Zone_II_and_NGF_Lallemand_Height"
#define PE_N_HVC_OSGB36_BRITISH_NATIONAL_GRID_AND_ODN_HEIGHT \
   "HVC_OSGB36_British_National_Grid_and_ODN_Height"
#define PE_N_HVC_PSD93_AND_PHD93 \
   "HVC_PSD93_and_PHD93"
#define PE_N_HVC_RT90_AND_RH70_HEIGHT \
   "HVC_RT90_and_RH70_Height"
#define PE_N_HVC_TOKYO_AND_JSLD_HEIGHT \
   "HVC_Tokyo_and_JSLD_Height"

/* ------------------------------------------------------------------------- */
/* DATUM names                                                               */
/* ------------------------------------------------------------------------- */

#define PE_N_D_ABIDJAN_1987 \
   "D_Abidjan_1987"
#define PE_N_D_ACCRA \
   "D_Accra"
#define PE_N_D_ADINDAN \
   "D_Adindan"
#define PE_N_D_AFGOOYE \
   "D_Afgooye"
#define PE_N_D_AGADEZ \
   "D_Agadez"
#define PE_N_D_AGD_1966 \
   "D_Australian_1966"
#define PE_N_D_AGD_1984 \
   "D_Australian_1984"
#define PE_N_D_AIN_EL_ABD_1970 \
   "D_Ain_el_Abd_1970"
#define PE_N_D_AIRY_1830 \
   "D_Airy_1830"
#define PE_N_D_AIRY_MOD \
   "D_Airy_Modified"
#define PE_N_D_ALASKAN_ISLANDS \
   "D_Alaskan_Islands"
#define PE_N_D_ALBANIAN_1987 \
   "D_Albanian_1987"
#define PE_N_D_AMERSFOORT \
   "D_Amersfoort"
#define PE_N_D_AMMASSALIK_1958 \
   "D_Ammassalik_1958"
#define PE_N_D_ANGUILLA_1957 \
   "D_Anguilla_1957"
#define PE_N_D_ANNA_1_1965 \
   "D_Anna_1_1965"
#define PE_N_D_ANTIGUA_1943 \
   "D_Antigua_1943"
#define PE_N_D_ARATU \
   "D_Aratu"
#define PE_N_D_ARC_1950 \
   "D_Arc_1950"
#define PE_N_D_ARC_1960 \
   "D_Arc_1960"
#define PE_N_D_ASCENSION_ISLAND_1958 \
   "D_Ascension_Island_1958"
#define PE_N_D_ASTRO_1952 \
   "D_Astro_1952"
#define PE_N_D_ATF \
   "D_ATF"
#define PE_N_D_ATS_1977 \
   "D_ATS_1977"
#define PE_N_D_AUSTRALIAN \
   "D_Australian"
#define PE_N_D_AUSTRALIAN_ANTARCTIC_1998 \
   "D_Australian_Antarctic_1998"
#define PE_N_D_AYABELLE \
   "D_Ayabelle"
#define PE_N_D_AZORES_CENTRAL_ISLANDS_1948 \
   "D_Azores_Central_Islands_1948"
#define PE_N_D_AZORES_CENTRAL_ISLANDS_1995 \
   "D_Azores_Central_Islands_1995"
#define PE_N_D_AZORES_OCCIDENTAL_ISLANDS_1939 \
   "D_Azores_Occidental_Islands_1939"
#define PE_N_D_AZORES_ORIENTAL_ISLANDS_1940 \
   "D_Azores_Oriental_Islands_1940"
#define PE_N_D_AZORES_ORIENTAL_ISLANDS_1995 \
   "D_Azores_Oriental_Islands_1995"
#define PE_N_D_BAB_SOUTH \
   "D_Bab_South"
#define PE_N_D_BARBADOS_1938 \
   "D_Barbados_1938"
#define PE_N_D_BATAVIA \
   "D_Batavia"
#define PE_N_D_BEACON_E_1945 \
   "D_Beacon_E_1945"
#define PE_N_D_BEDUARAM \
   "D_Beduaram"
#define PE_N_D_BEIJING_1954 \
   "D_Beijing_1954"
#define PE_N_D_BELGE_1950 \
   "D_Belge_1950"
#define PE_N_D_BELGE_1972 \
   "D_Belge_1972"
#define PE_N_D_BELLEVUE \
   "D_Bellevue_IGN"
#define PE_N_D_BERMUDA_1957 \
   "D_Bermuda_1957"
#define PE_N_D_BERMUDA_2000 \
   "D_Bermuda_2000"
#define PE_N_D_BERN_1898 \
   "D_Bern_1898"
#define PE_N_D_BERN_1938 \
   "D_Bern_1938"
#define PE_N_D_BESSEL_1841 \
   "D_Bessel_1841"
#define PE_N_D_BESSEL_MOD \
   "D_Bessel_Modified"
#define PE_N_D_BESSEL_NAMIBIA \
   "D_Bessel_Namibia"
#define PE_N_D_BISSAU \
   "D_Bissau"
#define PE_N_D_BOGOTA \
   "D_Bogota"
#define PE_N_D_BUKIT_RIMPAH \
   "D_Bukit_Rimpah"
#define PE_N_D_CADASTRE_1997 \
   "D_Cadastre_1997"
#define PE_N_D_CAMACUPA \
   "D_Camacupa"
#define PE_N_D_CAMPO_INCHAUSPE \
   "D_Campo_Inchauspe"
#define PE_N_D_CAMP_AREA \
   "D_Camp_Area"
#define PE_N_D_CANTON_1966 \
   "D_Canton_1966"
#define PE_N_D_CAPE \
   "D_Cape"
#define PE_N_D_CAPE_CANAVERAL \
   "D_Cape_Canaveral"
#define PE_N_D_CARTHAGE \
   "D_Carthage"
#define PE_N_D_CH1903 \
   "D_CH1903"
#define PE_N_D_CH1903_PLUS \
   "D_CH1903+"
#define PE_N_D_CHATHAM_ISLANDS_1979 \
   "D_Chatham_Islands_1979"
#define PE_N_D_CHATHAM_ISLAND_1971 \
   "D_Chatham_Island_1971"
#define PE_N_D_CHINA_2000 \
   "D_China_2000"
#define PE_N_D_CHOS_MALAL_1914 \
   "D_Chos_Malal_1914"
#define PE_N_D_CHTRF_1995 \
   "D_Swiss_TRF_1995"
#define PE_N_D_CHUA \
   "D_Chua"
#define PE_N_D_CLARKE_1858 \
   "D_Clarke_1858"
#define PE_N_D_CLARKE_1866 \
   "D_Clarke_1866"
#define PE_N_D_CLARKE_1866_MICH \
   "D_Clarke_1866_Michigan"
#define PE_N_D_CLARKE_1880 \
   "D_Clarke_1880"
#define PE_N_D_CLARKE_1880_ARC \
   "D_Clarke_1880_Arc"
#define PE_N_D_CLARKE_1880_BENOIT \
   "D_Clarke_1880_Benoit"
#define PE_N_D_CLARKE_1880_IGN \
   "D_Clarke_1880_IGN"
#define PE_N_D_CLARKE_1880_RGS \
   "D_Clarke_1880_RGS"
#define PE_N_D_CLARKE_1880_SGA \
   "D_Clarke_1880_SGA"
#define PE_N_D_COMBANI_1950 \
   "D_Combani_1950"
#define PE_N_D_CONAKRY_1905 \
   "D_Conakry_1905"
#define PE_N_D_CORREGO_ALEGRE \
   "D_Corrego_Alegre"
#define PE_N_D_COSTA_RICA_2005 \
   "D_Costa_Rica_2005"
#define PE_N_D_COTE_D_IVOIRE \
   "D_Cote_d_Ivoire"
#define PE_N_D_CROATIAN_TERRESTRIAL_REFERENCE_SYSTEM \
   "D_Croatian_Terrestrial_Reference_System"
#define PE_N_D_CSG_1967 \
   "D_CSG_1967"
#define PE_N_D_CYPRUS_GRS_1993 \
   "D_Cyprus_Geodetic_Reference_System_1993"
#define PE_N_D_D48 \
   "D_D48"
#define PE_N_D_DABOLA_1981 \
   "D_Dabola_1981"
#define PE_N_D_DATUM_73 \
   "D_Datum_73"
#define PE_N_D_DATUM_GEODESI_NASIONAL_1995 \
   "D_Datum_Geodesi_Nasional_1995"
#define PE_N_D_DEALUL_PISCULUI_1933 \
   "D_Dealul_Piscului_1933"
#define PE_N_D_DEALUL_PISCULUI_1970 \
   "D_Dealul_Piscului_1970"
#define PE_N_D_DECEPTION_ISLAND \
   "D_Deception_Island"
#define PE_N_D_DEIR_EZ_ZOR \
   "D_Deir_ez_Zor"
#define PE_N_D_DHDN \
   "D_Deutsches_Hauptdreiecksnetz"
#define PE_N_D_DOMINICA_1945 \
   "D_Dominica_1945"
#define PE_N_D_DOS_1968 \
   "D_DOS_1968"
#define PE_N_D_DOS_71_4 \
   "D_DOS_71_4"
#define PE_N_D_DOUALA \
   "D_Douala"
#define PE_N_D_DOUALA_1948 \
   "D_Douala_1948"
#define PE_N_D_EASTER_ISLAND_1967 \
   "D_Easter_Island_1967"
#define PE_N_D_ED_1950 \
   "D_European_1950"
#define PE_N_D_ED_1950_ED77 \
   "D_European_1950_ED77"
#define PE_N_D_ED_1987 \
   "D_European_1987"
#define PE_N_D_EGYPT_1907 \
   "D_Egypt_1907"
#define PE_N_D_EGYPT_1930 \
   "D_Egypt_1930"
#define PE_N_D_EGYPT_GULF_SUEZ_S_650_TL \
   "D_Egypt_Gulf_of_Suez_S-650_TL"
#define PE_N_D_ESTONIA_1937 \
   "D_Estonia_1937"
#define PE_N_D_ESTONIA_1992 \
   "D_Estonia_1992"
#define PE_N_D_ESTONIA_1997 \
   "D_Estonia_1997"
#define PE_N_D_ETRF_1989 \
   "D_ETRF_1989"
#define PE_N_D_ETRS_1989 \
   "D_ETRS_1989"
#define PE_N_D_EUROPEAN_1979 \
   "D_European_1979"
#define PE_N_D_EUROPEAN_LIBYAN_1979 \
   "D_European_Libyan_1979"
#define PE_N_D_EVEREST_1830 \
   "D_Everest_1830"
#define PE_N_D_EVEREST_ADJ_1937 \
   "D_Everest_Adj_1937"
#define PE_N_D_EVEREST_BANGLADESH \
   "D_Everest_Bangladesh"
#define PE_N_D_EVEREST_DEF_1962 \
   "D_Everest_Def_1962"
#define PE_N_D_EVEREST_DEF_1967 \
   "D_Everest_Def_1967"
#define PE_N_D_EVEREST_DEF_1975 \
   "D_Everest_Def_1975"
#define PE_N_D_EVEREST_INDIA_NEPAL \
   "D_Everest_India_Nepal"
#define PE_N_D_EVEREST_MOD \
   "D_Everest_Modified"
#define PE_N_D_EVEREST_MOD_1969 \
   "D_Everest_Modified_1969"
#define PE_N_D_FAHUD \
   "D_Fahud"
#define PE_N_D_FAROE_DATUM_1954 \
   "D_Faroe_Datum_1954"
#define PE_N_D_FATU_IVA_1972 \
   "D_Fatu_Iva_1972"
#define PE_N_D_FD_1958 \
   "D_FD_1958"
#define PE_N_D_FIJI_1956 \
   "D_Fiji_1956"
#define PE_N_D_FIJI_1986 \
   "D_Fiji_1986"
#define PE_N_D_FISCHER_1960 \
   "D_Fischer_1960"
#define PE_N_D_FISCHER_1968 \
   "D_Fischer_1968"
#define PE_N_D_FISCHER_MOD \
   "D_Fischer_Modified"
#define PE_N_D_FK_1989 \
   "D_fk89"
#define PE_N_D_FORT_DESAIX \
   "D_Fort_Desaix"
#define PE_N_D_FORT_MARIGOT \
   "D_Fort_Marigot"
#define PE_N_D_FORT_THOMAS_1955 \
   "D_Fort_Thomas_1955"
#define PE_N_D_GANDAJIKA_1970 \
   "D_Gandajika_1970"
#define PE_N_D_GAN_1970 \
   "D_Gan_1970"
#define PE_N_D_GAROUA \
   "D_Garoua"
#define PE_N_D_GDA_1994 \
   "D_GDA_1994"
#define PE_N_D_GDBD2009 \
   "D_GDBD2009"
#define PE_N_D_GDM_2000 \
   "D_GDM_2000"
#define PE_N_D_GEM_10C \
   "D_GEM_10C"
#define PE_N_D_GGRS_1987 \
   "D_GGRS_1987"
#define PE_N_D_GRACIOSA_1948 \
   "D_Graciosa_Base_SW_1948"
#define PE_N_D_GRAND_CAYMAN_1959 \
   "D_Grand_Cayman_1959"
#define PE_N_D_GRAND_COMOROS \
   "D_Grand_Comoros"
#define PE_N_D_GREEK \
   "D_Greek"
#define PE_N_D_GREENLAND_1996 \
   "D_Greenland_1996"
#define PE_N_D_GRENADA_1953 \
   "D_Grenada_1953"
#define PE_N_D_GRS_1967 \
   "D_GRS_1967"
#define PE_N_D_GRS_1980 \
   "D_GRS_1980"
#define PE_N_D_GUAM_1963 \
   "D_Guam_1963"
#define PE_N_D_GULSHAN_303 \
   "D_Gulshan_303"
#define PE_N_D_GUNUNG_SEGARA \
   "D_Gunung_Segara"
#define PE_N_D_GUX_1 \
   "D_GUX_1"
#define PE_N_D_GUYANE_FRANCAISE \
   "D_Guyane_Francaise"
#define PE_N_D_HANOI_1972 \
   "D_Hanoi_1972"
#define PE_N_D_HARTEBEESTHOEK94 \
   "D_Hartebeesthoek_1994"
#define PE_N_D_HELLE_1954 \
   "D_Helle_1954"
#define PE_N_D_HELMERT_1906 \
   "D_Helmert_1906"
#define PE_N_D_HERAT_NORTH \
   "D_Herat_North"
#define PE_N_D_HERMANNSKOGEL \
   "D_Hermannskogel"
#define PE_N_D_HITO_XVIII_1963 \
   "D_Hito_XVIII_1963"
#define PE_N_D_HJORSEY_1955 \
   "D_Hjorsey_1955"
#define PE_N_D_HONG_KONG_1963 \
   "D_Hong_Kong_1963"
#define PE_N_D_HONG_KONG_1963_67 \
   "D_Hong_Kong_1963_67"
#define PE_N_D_HONG_KONG_1980 \
   "D_Hong_Kong_1980"
#define PE_N_D_HOUGH_1960 \
   "D_Hough_1960"
#define PE_N_D_HUGHES_1980 \
   "D_Hughes_1980"
#define PE_N_D_HUNGARIAN_1972 \
   "D_Hungarian_1972"
#define PE_N_D_HUNGARIAN_DATUM_1909 \
   "D_Hungarian_Datum_1909"
#define PE_N_D_HU_TZU_SHAN \
   "D_Hu_Tzu_Shan"
#define PE_N_D_IGCB_1955 \
   "D_Institut_Geographique_du_Congo_Belge_1955"
#define PE_N_D_IGC_1962_6TH_PARALLEL_S \
   "D_IGC_1962_Arc_of_the_6th_Parallel_South"
#define PE_N_D_IGM_1995 \
   "D_IGM_1995"
#define PE_N_D_IGN53_MARE \
   "D_IGN53_Mare"
#define PE_N_D_IGN56_LIFOU \
   "D_IGN56_Lifou"
#define PE_N_D_IGN63_HIVA_OA \
   "D_IGN63_Hiva_Oa"
#define PE_N_D_IGN72_GRANDE_TERRE \
   "D_IGN72_Grande_Terre"
#define PE_N_D_IGN72_NUKU_HIVA \
   "D_IGN72_Nuku_Hiva"
#define PE_N_D_IGN_ASTRO_1960 \
   "D_IGN_Astro_1960"
#define PE_N_D_INDIAN_1954 \
   "D_Indian_1954"
#define PE_N_D_INDIAN_1960 \
   "D_Indian_1960"
#define PE_N_D_INDIAN_1975 \
   "D_Indian_1975"
#define PE_N_D_INDONESIAN \
   "D_Indonesian"
#define PE_N_D_INDONESIAN_1974 \
   "D_Indonesian_1974"
#define PE_N_D_INTERNATIONAL_1924 \
   "D_International_1924"
#define PE_N_D_INTERNATIONAL_1967 \
   "D_International_1967"
#define PE_N_D_IRAQI_GEOSPATIAL_REFERENCE_SYSTEM \
   "D_Iraqi_Geospatial_Reference_System"
#define PE_N_D_IRAQ_KUWAIT_BOUNDARY_1992 \
   "D_Iraq_Kuwait_Boundary_1992"
#define PE_N_D_IRENET95 \
   "D_IRENET95"
#define PE_N_D_ISLANDS_NETWORK_1993 \
   "D_Islands_Network_1993"
#define PE_N_D_ISLANDS_NETWORK_2004 \
   "D_Islands_Network_2004"
#define PE_N_D_ISRAEL \
   "D_Israel"
#define PE_N_D_ISTS_061_1968 \
   "D_ISTS_061_1968"
#define PE_N_D_ISTS_073_1969 \
   "D_ISTS_073_1969"
#define PE_N_D_ITRF_1988 \
   "D_ITRF_1988"
#define PE_N_D_ITRF_1989 \
   "D_ITRF_1989"
#define PE_N_D_ITRF_1990 \
   "D_ITRF_1990"
#define PE_N_D_ITRF_1991 \
   "D_ITRF_1991"
#define PE_N_D_ITRF_1992 \
   "D_ITRF_1992"
#define PE_N_D_ITRF_1993 \
   "D_ITRF_1993"
#define PE_N_D_ITRF_1994 \
   "D_ITRF_1994"
#define PE_N_D_ITRF_1996 \
   "D_ITRF_1996"
#define PE_N_D_ITRF_1997 \
   "D_ITRF_1997"
#define PE_N_D_ITRF_2000 \
   "D_ITRF_2000"
#define PE_N_D_ITRF_2005 \
   "D_ITRF_2005"
#define PE_N_D_JAMAICA_1875 \
   "D_Jamaica_1875"
#define PE_N_D_JAMAICA_1969 \
   "D_Jamaica_1969"
#define PE_N_D_JAMAICA_2001 \
   "D_Jamaica_2001"
#define PE_N_D_JGD_2000 \
   "D_JGD_2000"
#define PE_N_D_JOHNSTON_ISLAND_1961 \
   "D_Johnston_Island_1961"
#define PE_N_D_JORDAN \
   "D_Jordan"
#define PE_N_D_JOUIK_1961 \
   "D_Jouik_1961"
#define PE_N_D_KALIANPUR_1880 \
   "D_Kalianpur_1880"
#define PE_N_D_KALIANPUR_1937 \
   "D_Kalianpur_1937"
#define PE_N_D_KALIANPUR_1962 \
   "D_Kalianpur_1962"
#define PE_N_D_KALIANPUR_1975 \
   "D_Kalianpur_1975"
#define PE_N_D_KANDAWALA \
   "D_Kandawala"
#define PE_N_D_KARBALA_1979_POLSERVICE \
   "D_Karbala_1979_Polservice"
#define PE_N_D_KASAI_1953 \
   "D_Kasai_1955"
#define PE_N_D_KATANGA_1955 \
   "D_Katanga_1955"
#define PE_N_D_KERGUELEN_ISLAND_1949 \
   "D_Kerguelen_Island_1949"
#define PE_N_D_KERTAU \
   "D_Kertau"
#define PE_N_D_KERTAU_RSO \
   "D_Kertau_RSO"
#define PE_N_D_KKJ \
   "D_KKJ"
#define PE_N_D_KOC \
   "D_Kuwait_Oil_Company"
#define PE_N_D_KOREAN_1985 \
   "D_Korean_Datum_1985"
#define PE_N_D_KOREAN_1995 \
   "D_Korean_Datum_1995"
#define PE_N_D_KOREA_2000 \
   "D_Korea_2000"
#define PE_N_D_KOUSSERI \
   "D_Kousseri"
#define PE_N_D_KRASOVSKY_1940 \
   "D_Krasovsky_1940"
#define PE_N_D_KUDAMS \
   "D_Kuwait_Utility"
#define PE_N_D_KUSAIE_1951 \
   "D_Kusaie_1951"
#define PE_N_D_LAKE \
   "D_Lake"
#define PE_N_D_LAO_1993 \
   "D_Lao_1993"
#define PE_N_D_LAO_1997 \
   "D_Lao_National_Datum_1997"
#define PE_N_D_LATVIA_1992 \
   "D_Latvia_1992"
#define PE_N_D_LA_CANOA \
   "D_La_Canoa"
#define PE_N_D_LC5_1961 \
   "D_LC5_1961"
#define PE_N_D_LEIGON \
   "D_Leigon"
#define PE_N_D_LE_POUCE_1934 \
   "D_Le_Pouce_1934"
#define PE_N_D_LIBERIA_1964 \
   "D_Liberia_1964"
#define PE_N_D_LIBYAN_GEODETIC_DATUM_2006 \
   "D_Libyan_Geodetic_Datum_2006"
#define PE_N_D_LISBOA_BESSEL \
   "D_Datum_Lisboa_Bessel"
#define PE_N_D_LISBOA_HAYFORD \
   "D_Datum_Lisboa_Hayford"
#define PE_N_D_LISBON \
   "D_Lisbon"
#define PE_N_D_LISBON_1890 \
   "D_Lisbon_1890"
#define PE_N_D_LITHUANIA_1994 \
   "D_Lithuania_1994"
#define PE_N_D_LITTLE_CAYMAN_1961 \
   "D_Little_Cayman_1961"
#define PE_N_D_LOCODJO_1965 \
   "D_Locodjo_1965"
#define PE_N_D_LOMA_QUINTANA \
   "D_Loma_Quintana"
#define PE_N_D_LOME \
   "D_Lome"
#define PE_N_D_LUXEMBOURG_1930 \
   "D_Luxembourg_1930"
#define PE_N_D_LUZON_1911 \
   "D_Luzon_1911"
#define PE_N_D_MADEIRA_1936 \
   "D_Madeira_1936"
#define PE_N_D_MADRID_1870 \
   "D_Madrid_1870"
#define PE_N_D_MADZANSUA \
   "D_Madzansua"
#define PE_N_D_MAGNA \
   "D_MAGNA"
#define PE_N_D_MAHE_1971 \
   "D_Mahe_1971"
#define PE_N_D_MAJURO \
   "D_Majuro"
#define PE_N_D_MAKASSAR \
   "D_Makassar"
#define PE_N_D_MALONGO_1987 \
   "D_Malongo_1987"
#define PE_N_D_MANOCA \
   "D_Manoca"
#define PE_N_D_MANOCA_1962 \
   "D_Manoca_1962"
#define PE_N_D_MASSAWA \
   "D_Massawa"
#define PE_N_D_MAUPITI_1983 \
   "D_Maupiti_1983"
#define PE_N_D_MAURITANIA_1999 \
   "D_Mauritania_1999"
#define PE_N_D_MERCHICH \
   "D_Merchich"
#define PE_N_D_MEXICAN_DATUM_1993 \
   "D_Mexican_Datum_of_1993"
#define PE_N_D_MGI \
   "D_MGI"
#define PE_N_D_MGI_1901 \
   "D_MGI_1901"
#define PE_N_D_MHAST \
   "D_Mhast"
#define PE_N_D_MHAST_1951 \
   "D_Mhast_1951"
#define PE_N_D_MHAST_OFFSHORE \
   "D_Mhast_Offshore"
#define PE_N_D_MHAST_ONSHORE \
   "D_Mhast_Onshore"
#define PE_N_D_MIDWAY_1961 \
   "D_Midway_1961"
#define PE_N_D_MINNA \
   "D_Minna"
#define PE_N_D_MOLDREF99 \
   "D_MOLDREF99"
#define PE_N_D_MONTE_MARIO \
   "D_Monte_Mario"
#define PE_N_D_MONTSERRAT_1958 \
   "D_Montserrat_1958"
#define PE_N_D_MOOREA_1987 \
   "D_Moorea_1987"
#define PE_N_D_MOP78 \
   "D_MOP78"
#define PE_N_D_MOUNT_DILLON \
   "D_Mount_Dillon"
#define PE_N_D_MOZNET \
   "D_Moznet"
#define PE_N_D_MPORALOKO \
   "D_Mporaloko"
#define PE_N_D_NAD_1927 \
   "D_North_American_1927"
#define PE_N_D_NAD_1927_CGQ77 \
   "D_NAD_1927_CGQ77"
#define PE_N_D_NAD_1927_DEF_1976 \
   "D_NAD_1927_Definition_1976"
#define PE_N_D_NAD_1983 \
   "D_North_American_1983"
#define PE_N_D_NAD_1983_CORS96 \
   "D_NAD_1983_CORS96"
#define PE_N_D_NAD_1983_CSRS \
   "D_North_American_1983_CSRS"
#define PE_N_D_NAD_1983_HARN \
   "D_North_American_1983_HARN"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_ANOKA \
   "D_NAD_1983_HARN_Adj_MN_Anoka"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_BECKER \
   "D_NAD_1983_HARN_Adj_MN_Becker"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_BELTRAMI_N \
   "D_NAD_1983_HARN_Adj_MN_Beltrami_North"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_BELTRAMI_S \
   "D_NAD_1983_HARN_Adj_MN_Beltrami_South"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_BENTON \
   "D_NAD_1983_HARN_Adj_MN_Benton"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_BIG_STONE \
   "D_NAD_1983_HARN_Adj_MN_Big_Stone"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_BLUE_EARTH \
   "D_NAD_1983_HARN_Adj_MN_Blue_Earth"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_BROWN \
   "D_NAD_1983_HARN_Adj_MN_Brown"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_CARLTON \
   "D_NAD_1983_HARN_Adj_MN_Carlton"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_CARVER \
   "D_NAD_1983_HARN_Adj_MN_Carver"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_CASS_N \
   "D_NAD_1983_HARN_Adj_MN_Cass_North"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_CASS_S \
   "D_NAD_1983_HARN_Adj_MN_Cass_South"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_CHIPPEWA \
   "D_NAD_1983_HARN_Adj_MN_Chippewa"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_CHISAGO \
   "D_NAD_1983_HARN_Adj_MN_Chisago"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_COOK_N \
   "D_NAD_1983_HARN_Adj_MN_Cook_North"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_COOK_S \
   "D_NAD_1983_HARN_Adj_MN_Cook_South"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_COTTONWOOD \
   "D_NAD_1983_HARN_Adj_MN_Cottonwood"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_CROW_WING \
   "D_NAD_1983_HARN_Adj_MN_Crow_Wing"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_DAKOTA \
   "D_NAD_1983_HARN_Adj_MN_Dakota"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_DODGE \
   "D_NAD_1983_HARN_Adj_MN_Dodge"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_DOUGLAS \
   "D_NAD_1983_HARN_Adj_MN_Douglas"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_FARIBAULT \
   "D_NAD_1983_HARN_Adj_MN_Faribault"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_FILLMORE \
   "D_NAD_1983_HARN_Adj_MN_Fillmore"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_FREEBORN \
   "D_NAD_1983_HARN_Adj_MN_Freeborn"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_GOODHUE \
   "D_NAD_1983_HARN_Adj_MN_Goodhue"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_GRANT \
   "D_NAD_1983_HARN_Adj_MN_Grant"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_HENNEPIN \
   "D_NAD_1983_HARN_Adj_MN_Hennepin"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_HOUSTON \
   "D_NAD_1983_HARN_Adj_MN_Houston"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_ISANTI \
   "D_NAD_1983_HARN_Adj_MN_Isanti"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_ITASCA_N \
   "D_NAD_1983_HARN_Adj_MN_Itasca_North"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_ITASCA_S \
   "D_NAD_1983_HARN_Adj_MN_Itasca_South"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_JACKSON \
   "D_NAD_1983_HARN_Adj_MN_Jackson"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_KANABEC \
   "D_NAD_1983_HARN_Adj_MN_Kanabec"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_KANDIYOHI \
   "D_NAD_1983_HARN_Adj_MN_Kandiyohi"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_KITTSON \
   "D_NAD_1983_HARN_Adj_MN_Kittson"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_KOOCHICHING \
   "D_NAD_1983_HARN_Adj_MN_Koochiching"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_LAC_QUI_PARLE \
   "D_NAD_1983_HARN_Adj_MN_Lac_Qui_Parle"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_N \
   "D_NAD_1983_HARN_Adj_MN_Lake_of_the_Woods_North"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_S \
   "D_NAD_1983_HARN_Adj_MN_Lake_of_the_Woods_South"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_LE_SUEUR \
   "D_NAD_1983_HARN_Adj_MN_Le_Sueur"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_LINCOLN \
   "D_NAD_1983_HARN_Adj_MN_Lincoln"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_LYON \
   "D_NAD_1983_HARN_Adj_MN_Lyon"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_MAHNOMEN \
   "D_NAD_1983_HARN_Adj_MN_Mahnomen"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_MARSHALL \
   "D_NAD_1983_HARN_Adj_MN_Marshall"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_MARTIN \
   "D_NAD_1983_HARN_Adj_MN_Martin"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_MCLEOD \
   "D_NAD_1983_HARN_Adj_MN_McLeod"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_MEEKER \
   "D_NAD_1983_HARN_Adj_MN_Meeker"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_MORRISON \
   "D_NAD_1983_HARN_Adj_MN_Morrison"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_MOWER \
   "D_NAD_1983_HARN_Adj_MN_Mower"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_MURRAY \
   "D_NAD_1983_HARN_Adj_MN_Murray"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_NICOLLET \
   "D_NAD_1983_HARN_Adj_MN_Nicollet"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_NOBLES \
   "D_NAD_1983_HARN_Adj_MN_Nobles"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_NORMAN \
   "D_NAD_1983_HARN_Adj_MN_Norman"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_OLMSTED \
   "D_NAD_1983_HARN_Adj_MN_Olmsted"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_OTTERTAIL \
   "D_NAD_1983_HARN_Adj_MN_Ottertail"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_PENNINGTON \
   "D_NAD_1983_HARN_Adj_MN_Pennington"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_PINE \
   "D_NAD_1983_HARN_Adj_MN_Pine"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_PIPESTONE \
   "D_NAD_1983_HARN_Adj_MN_Pipestone"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_POLK \
   "D_NAD_1983_HARN_Adj_MN_Polk"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_POPE \
   "D_NAD_1983_HARN_Adj_MN_Pope"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_RAMSEY \
   "D_NAD_1983_HARN_Adj_MN_Ramsey"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_REDWOOD \
   "D_NAD_1983_HARN_Adj_MN_Redwood"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_RED_LAKE \
   "D_NAD_1983_HARN_Adj_MN_Red_Lake"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_RENVILLE \
   "D_NAD_1983_HARN_Adj_MN_Renville"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_RICE \
   "D_NAD_1983_HARN_Adj_MN_Rice"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_ROCK \
   "D_NAD_1983_HARN_Adj_MN_Rock"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_ROSEAU \
   "D_NAD_1983_HARN_Adj_MN_Roseau"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_SCOTT \
   "D_NAD_1983_HARN_Adj_MN_Scott"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_SHERBURNE \
   "D_NAD_1983_HARN_Adj_MN_Sherburne"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_SIBLEY \
   "D_NAD_1983_HARN_Adj_MN_Sibley"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_STEARNS \
   "D_NAD_1983_HARN_Adj_MN_Stearns"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_STEELE \
   "D_NAD_1983_HARN_Adj_MN_Steele"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_STEVENS \
   "D_NAD_1983_HARN_Adj_MN_Stevens"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_ST_LOUIS \
   "D_NAD_1983_HARN_Adj_MN_St_Louis"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_ST_LOUIS_C \
   "D_NAD_1983_HARN_Adj_MN_St_Louis_Central"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_ST_LOUIS_N \
   "D_NAD_1983_HARN_Adj_MN_St_Louis_North"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_ST_LOUIS_S \
   "D_NAD_1983_HARN_Adj_MN_St_Louis_South"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_SWIFT \
   "D_NAD_1983_HARN_Adj_MN_Swift"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_TODD \
   "D_NAD_1983_HARN_Adj_MN_Todd"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_TRAVERSE \
   "D_NAD_1983_HARN_Adj_MN_Traverse"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_WABASHA \
   "D_NAD_1983_HARN_Adj_MN_Wabasha"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_WADENA \
   "D_NAD_1983_HARN_Adj_MN_Wadena"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_WASECA \
   "D_NAD_1983_HARN_Adj_MN_Waseca"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_WATONWAN \
   "D_NAD_1983_HARN_Adj_MN_Watonwan"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_WINONA \
   "D_NAD_1983_HARN_Adj_MN_Winona"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_WRIGHT \
   "D_NAD_1983_HARN_Adj_MN_Wright"
#define PE_N_D_NAD_1983_HARN_ADJ_MN_YELLOW_MEDICINE \
   "D_NAD_1983_HARN_Adj_MN_Yellow_Medicine"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_AD_JN \
   "D_NAD_1983_HARN_Adj_WI_AD_JN"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_AL \
   "D_NAD_1983_HARN_Adj_WI_AL"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_BA \
   "D_NAD_1983_HARN_Adj_WI_BA"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_BF \
   "D_NAD_1983_HARN_Adj_WI_BF"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_BN \
   "D_NAD_1983_HARN_Adj_WI_BN"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_BR \
   "D_NAD_1983_HARN_Adj_WI_BR"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_BU \
   "D_NAD_1983_HARN_Adj_WI_BU"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_CK \
   "D_NAD_1983_HARN_Adj_WI_CK"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_CL_FL_OG_WN \
   "D_NAD_1983_HARN_Adj_WI_CL_FL_OG_WN"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_CO \
   "D_NAD_1983_HARN_Adj_WI_CO"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_CP \
   "D_NAD_1983_HARN_Adj_WI_CP"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_CR \
   "D_NAD_1983_HARN_Adj_WI_CR"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_DD_JF \
   "D_NAD_1983_HARN_Adj_WI_DD_JF"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_DG \
   "D_NAD_1983_HARN_Adj_WI_DG"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_DN \
   "D_NAD_1983_HARN_Adj_WI_DN"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_DR \
   "D_NAD_1983_HARN_Adj_WI_DR"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_DU \
   "D_NAD_1983_HARN_Adj_WI_DU"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_EC \
   "D_NAD_1983_HARN_Adj_WI_EC"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_FN \
   "D_NAD_1983_HARN_Adj_WI_FN"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_FR \
   "D_NAD_1983_HARN_Adj_WI_FR"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_GL_MQ \
   "D_NAD_1983_HARN_Adj_WI_GL_MQ"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_GR_LF \
   "D_NAD_1983_HARN_Adj_WI_GR_LF"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_GT \
   "D_NAD_1983_HARN_Adj_WI_GT"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_IA \
   "D_NAD_1983_HARN_Adj_WI_IA"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_IR \
   "D_NAD_1983_HARN_Adj_WI_IR"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_JA \
   "D_NAD_1983_HARN_Adj_WI_JA"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_KN_MW_OZ_RA \
   "D_NAD_1983_HARN_Adj_WI_KN_MW_OZ_RA"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_KW_MT_SG \
   "D_NAD_1983_HARN_Adj_WI_KW_MT_SG"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_LC \
   "D_NAD_1983_HARN_Adj_WI_LC"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_LG \
   "D_NAD_1983_HARN_Adj_WI_LG"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_LN \
   "D_NAD_1983_HARN_Adj_WI_LN"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_MA \
   "D_NAD_1983_HARN_Adj_WI_MA"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_ME \
   "D_NAD_1983_HARN_Adj_WI_ME"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_MN \
   "D_NAD_1983_HARN_Adj_WI_MN"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_MR \
   "D_NAD_1983_HARN_Adj_WI_MR"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_OC \
   "D_NAD_1983_HARN_Adj_WI_OC"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_ON \
   "D_NAD_1983_HARN_Adj_WI_ON"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_PK \
   "D_NAD_1983_HARN_Adj_WI_PK"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_PP_PC \
   "D_NAD_1983_HARN_Adj_WI_PP_PC"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_PR \
   "D_NAD_1983_HARN_Adj_WI_PR"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_PT \
   "D_NAD_1983_HARN_Adj_WI_PT"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_RC \
   "D_NAD_1983_HARN_Adj_WI_RC"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_RK \
   "D_NAD_1983_HARN_Adj_WI_RK"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_RS \
   "D_NAD_1983_HARN_Adj_WI_RS"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_SC \
   "D_NAD_1983_HARN_Adj_WI_SC"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_SH \
   "D_NAD_1983_HARN_Adj_WI_SH"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_SK \
   "D_NAD_1983_HARN_Adj_WI_SK"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_SW \
   "D_NAD_1983_HARN_Adj_WI_SW"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_TA \
   "D_NAD_1983_HARN_Adj_WI_TA"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_TR \
   "D_NAD_1983_HARN_Adj_WI_TR"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_VI \
   "D_NAD_1983_HARN_Adj_WI_VI"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_VR \
   "D_NAD_1983_HARN_Adj_WI_VR"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_WA \
   "D_NAD_1983_HARN_Adj_WI_WA"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_WB \
   "D_NAD_1983_HARN_Adj_WI_WB"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_WD \
   "D_NAD_1983_HARN_Adj_WI_WD"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_WK \
   "D_NAD_1983_HARN_Adj_WI_WK"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_WP \
   "D_NAD_1983_HARN_Adj_WI_WP"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_WS \
   "D_NAD_1983_HARN_Adj_WI_WS"
#define PE_N_D_NAD_1983_HARN_ADJ_WI_WW \
   "D_NAD_1983_HARN_Adj_WI_WW"
#define PE_N_D_NAD_1983_MARP00 \
   "D_NAD_1983_MARP00"
#define PE_N_D_NAD_1983_NSRS2007 \
   "D_NAD_1983_NSRS2007"
#define PE_N_D_NAD_1983_PACP00 \
   "D_NAD_1983_PACP00"
#define PE_N_D_NAD_MICH \
   "D_North_American_Michigan"
#define PE_N_D_NAHRWAN_1934 \
   "D_Nahrwan_1934"
#define PE_N_D_NAHRWAN_1967 \
   "D_Nahrwan_1967"
#define PE_N_D_NAKHL_E_GHANEM \
   "D_Nakhl-e_Ghanem"
#define PE_N_D_NAPARIMA_1955 \
   "D_Naparima_1955"
#define PE_N_D_NAPARIMA_1972 \
   "D_Naparima_1972"
#define PE_N_D_NDG \
   "D_Nord_de_Guerre"
#define PE_N_D_NEA74_NOUMEA \
   "D_NEA74_Noumea"
#define PE_N_D_NEPAL_NAGARKOT \
   "D_Nepal_Nagarkot"
#define PE_N_D_NEW_BEIJING \
   "D_New_Beijing"
#define PE_N_D_NGN \
   "D_NGN"
#define PE_N_D_NGO_1948 \
   "D_NGO_1948"
#define PE_N_D_NORD_SAHARA_1959 \
   "D_Nord_Sahara_1959"
#define PE_N_D_NOUAKCHOTT_1965 \
   "D_Nouakchott_1965"
#define PE_N_D_NSWC_9Z_2 \
   "D_NSWC_9Z_2"
#define PE_N_D_NTF \
   "D_NTF"
#define PE_N_D_NWL_9D \
   "D_NWL_9D"
#define PE_N_D_NZGD_1949 \
   "D_New_Zealand_1949"
#define PE_N_D_NZGD_2000 \
   "D_NZGD_2000"
#define PE_N_D_OBSERVATARIO \
   "D_Observatario"
#define PE_N_D_OBSERV_METEOR_1939 \
   "D_Observatorio_Meteorologico_1939"
#define PE_N_D_OBSERV_METEOR_1965 \
   "D_Observatorio_Meteorologico_1965"
#define PE_N_D_OCOTEPEQUE_1935 \
   "D_Ocotepeque_1935"
#define PE_N_D_OLD_HAWAIIAN \
   "D_Old_Hawaiian"
#define PE_N_D_OLD_HAWAIIAN_INTL_1924 \
   "D_Old_Hawaiian_Intl_1924"
#define PE_N_D_OMAN \
   "D_Oman"
#define PE_N_D_OSGB_1936 \
   "D_OSGB_1936"
#define PE_N_D_OSGB_1970_SN \
   "D_OSGB_1970_SN"
#define PE_N_D_OSNI_1952 \
   "D_OSNI_1952"
#define PE_N_D_OSU_86F \
   "D_OSU_86F"
#define PE_N_D_OSU_91A \
   "D_OSU_91A"
#define PE_N_D_OS_SN_1980 \
   "D_OS_SN_1980"
#define PE_N_D_PADANG_1884 \
   "D_Padang_1884"
#define PE_N_D_PALESTINE_1923 \
   "D_Palestine_1923"
#define PE_N_D_PAMPA_DEL_CASTILLO \
   "D_Pampa_del_Castillo"
#define PE_N_D_PDO_1993 \
   "D_PDO_1993"
#define PE_N_D_PETRELS_1972 \
   "D_Petrels_1972"
#define PE_N_D_PICO_DE_LAS_NIEVES \
   "D_Pico_de_Las_Nieves"
#define PE_N_D_PITCAIRN_1967 \
   "D_Pitcairn_1967"
#define PE_N_D_PITCAIRN_2006 \
   "D_Pitcairn_2006"
#define PE_N_D_PLESSIS_1817 \
   "D_Plessis_1817"
#define PE_N_D_POHNPEI \
   "D_Pohnpei"
#define PE_N_D_POINT58 \
   "D_Point_58"
#define PE_N_D_POINTE_GEOLOGIE_PERROUD_1950 \
   "D_Pointe_Geologie_Perroud_1950"
#define PE_N_D_POINTE_NOIRE \
   "D_Pointe_Noire"
#define PE_N_D_PORTO_SANTO_1936 \
   "D_Porto_Santo_1936"
#define PE_N_D_PORTO_SANTO_1995 \
   "D_Porto_Santo_1995"
#define PE_N_D_POSGAR \
   "D_POSGAR"
#define PE_N_D_POSGAR_1994 \
   "D_POSGAR_1994"
#define PE_N_D_POSGAR_1998 \
   "D_POSGAR_1998"
#define PE_N_D_POTSDAM_DATUM_1983 \
   "D_Potsdam_1983"
#define PE_N_D_PRINCIPE \
   "D_Principe"
#define PE_N_D_PRS_1992 \
   "D_Philippine_Reference_System_1992"
#define PE_N_D_PSAD_1956 \
   "D_Provisional_S_American_1956"
#define PE_N_D_PTRA08 \
   "D_PTRA08"
#define PE_N_D_PUERTO_RICO \
   "D_Puerto_Rico"
#define PE_N_D_PULKOVO_1942 \
   "D_Pulkovo_1942"
#define PE_N_D_PULKOVO_1942_ADJ_1958 \
   "D_Pulkovo_1942_Adj_1958"
#define PE_N_D_PULKOVO_1942_ADJ_1983 \
   "D_Pulkovo_1942_Adj_1983"
#define PE_N_D_PULKOVO_1995 \
   "D_Pulkovo_1995"
#define PE_N_D_PZ_1990 \
   "D_Parametrop_Zemp_1990"
#define PE_N_D_QATAR \
   "D_Qatar"
#define PE_N_D_QATAR_1948 \
   "D_Qatar_1948"
#define PE_N_D_QND_1995 \
   "D_QND_1995"
#define PE_N_D_QORNOQ \
   "D_Qornoq"
#define PE_N_D_QORNOQ_1927 \
   "D_Qornoq_1927"
#define PE_N_D_RASSADIRAN \
   "D_Rassadiran"
#define PE_N_D_RAUENBERG_DATUM_1983 \
   "D_Rauenberg_1983"
#define PE_N_D_RED_GEODESICA_DE_CANARIAS_1995 \
   "D_Red_Geodesica_de_Canarias_1995"
#define PE_N_D_REGVEN \
   "D_REGVEN"
#define PE_N_D_RESEAU_GEODESIQUE_DE_LA_RDC_2005 \
   "D_Reseau_Geodesique_de_la_RDC_2005"
#define PE_N_D_RESEAU_GEODESIQUE_DE_MAYOTTE_2004 \
   "D_Reseau_Geodesique_de_Mayotte_2004"
#define PE_N_D_RESEAU_GEODESIQUE_DE_ST_PIERRE_MIQUELON_2006 \
   "D_Reseau_Geodesique_de_St_Pierre_et_Miquelon_2006"
#define PE_N_D_REUNION_1947 \
   "D_Reunion_1947"
#define PE_N_D_REYKJAVIK_1900 \
   "D_Reykjavik_1900"
#define PE_N_D_RGFG_1995 \
   "D_RGFG_1995"
#define PE_N_D_RGF_1993 \
   "D_RGF_1993"
#define PE_N_D_RGNC_1991 \
   "D_RGNC_1991"
#define PE_N_D_RGNC_1991_93 \
   "D_Reseau_Geodesique_de_Nouvelle_Caledonie_1991-93"
#define PE_N_D_RGPF \
   "D_Reseau_Geodesique_de_la_Polynesie_Francaise"
#define PE_N_D_RGR_1992 \
   "D_RGR_1992"
#define PE_N_D_ROMA_1940 \
   "D_Roma_1940"
#define PE_N_D_ROSS_SEA_REGION_GEODETIC_DATUM_2000 \
   "D_Ross_Sea_Region_Geodetic_Datum_2000"
#define PE_N_D_RRAF_1991 \
   "D_RRAF_1991"
#define PE_N_D_RT90 \
   "D_RT_1990"
#define PE_N_D_S42_HUNGARY \
   "D_S42_Hungary"
#define PE_N_D_SAD_1969 \
   "D_South_American_1969"
#define PE_N_D_SAINTE_ANNE \
   "D_Sainte_Anne"
#define PE_N_D_SAINT_PIERRE_ET_MIQUELON_1950 \
   "D_Saint_Pierre_et_Miquelon_1950"
#define PE_N_D_SAMBOJA \
   "D_Samboja"
#define PE_N_D_SAMOA_1962 \
   "D_American_Samoa_1962"
#define PE_N_D_SANTO_DOS_1965 \
   "D_Santo_DOS_1965"
#define PE_N_D_SAO_BRAZ \
   "D_Sao_Braz"
#define PE_N_D_SAO_TOME \
   "D_Sao_Tome"
#define PE_N_D_SAPPER_HILL_1943 \
   "D_Sapper_Hill_1943"
#define PE_N_D_SCHWARZECK \
   "D_Schwarzeck"
#define PE_N_D_SCORESBYSUND_1952 \
   "D_Scoresbysund_1952"
#define PE_N_D_SEGORA \
   "D_Segora"
#define PE_N_D_SELVAGEM_GRANDE_1938 \
   "D_Selvagem_Grande_1938"
#define PE_N_D_SERBIAN_REFERENCE_NETWORK_1998 \
   "D_Serbian_Reference_Network_1998"
#define PE_N_D_SERINDUNG \
   "D_Serindung"
#define PE_N_D_SIERRA_LEONE_1924 \
   "D_Sierra_Leone_1924"
#define PE_N_D_SIERRA_LEONE_1960 \
   "D_Sierra_Leone_1960"
#define PE_N_D_SIERRA_LEONE_1968 \
   "D_Sierra_Leone_1968"
#define PE_N_D_SIRGAS \
   "D_SIRGAS"
#define PE_N_D_SIRGAS_2000 \
   "D_SIRGAS_2000"
#define PE_N_D_SLOVENIA_GEODETIC_DATUM_1996 \
   "D_Slovenia_Geodetic_Datum_1996"
#define PE_N_D_SOLOMON_1968 \
   "D_Solomon_1968"
#define PE_N_D_SOUTH_YEMEN \
   "D_South_Yemen"
#define PE_N_D_SPHERE \
   "D_Sphere"
#define PE_N_D_SPHERE_AI \
   "D_Sphere_ARC_INFO"
#define PE_N_D_SPHERE_CLARKE_1866_AUTHALIC \
   "D_Sphere_Clarke_1866_Authalic"
#define PE_N_D_SPHERE_EMEP \
   "D_Sphere_EMEP"
#define PE_N_D_SPHERE_GRS_1980_AUTHALIC \
   "D_Sphere_GRS_1980_Authalic"
#define PE_N_D_SPHERE_INTL_1924_AUTHALIC \
   "D_Sphere_International_1924_Authalic"
#define PE_N_D_SPHERE_WGS_1984_MAJOR_AUXILIARY \
   "D_WGS_1984_Major_Auxiliary_Sphere"
#define PE_N_D_ST71_BELEP \
   "D_ST71_Belep"
#define PE_N_D_ST84_ILE_DES_PINS \
   "D_ST84_Ile_des_Pins"
#define PE_N_D_ST87_OUVEA \
   "D_ST87_Ouvea"
#define PE_N_D_STOCKHOLM_1938 \
   "D_Stockholm_1938"
#define PE_N_D_STRUVE_1860 \
   "D_Struve_1860"
#define PE_N_D_ST_GEORGE_ISLAND \
   "D_St_George_Island"
#define PE_N_D_ST_KITTS_1955 \
   "D_St_Kitts_1955"
#define PE_N_D_ST_LAWRENCE_ISLAND \
   "D_St_Lawrence_Island"
#define PE_N_D_ST_LUCIA_1955 \
   "D_St_Lucia_1955"
#define PE_N_D_ST_PAUL_ISLAND \
   "D_St_Paul_Island"
#define PE_N_D_ST_VINCENT_1945 \
   "D_St_Vincent_1945"
#define PE_N_D_SUDAN \
   "D_Sudan"
#define PE_N_D_SVY21 \
   "D_SVY21"
#define PE_N_D_SWEREF99 \
   "D_SWEREF99"
#define PE_N_D_S_ASIA_SINGAPORE \
   "D_South_Asia_Singapore"
#define PE_N_D_S_JTSK \
   "D_S_JTSK"
#define PE_N_D_TAHAA_1954 \
   "D_Tahaa_1954"
#define PE_N_D_TAHITI_1952 \
   "D_Tahiti_1952"
#define PE_N_D_TAHITI_1979 \
   "D_Tahiti_1979"
#define PE_N_D_TANANARIVE_1925 \
   "D_Tananarive_1925"
#define PE_N_D_TERN_ISLAND_1961 \
   "D_Tern_Island_1961"
#define PE_N_D_TETE \
   "D_Tete"
#define PE_N_D_TIMBALAI_1948 \
   "D_Timbalai_1948"
#define PE_N_D_TM65 \
   "D_TM65"
#define PE_N_D_TM75 \
   "D_TM75"
#define PE_N_D_TOKYO \
   "D_Tokyo"
#define PE_N_D_TRINIDAD_1903 \
   "D_Trinidad_1903"
#define PE_N_D_TRISTAN_1968 \
   "D_Tristan_1968"
#define PE_N_D_TRUCIAL_COAST_1948 \
   "D_Trucial_Coast_1948"
#define PE_N_D_TWD_1967 \
   "D_TWD_1967"
#define PE_N_D_TWD_1997 \
   "D_TWD_1997"
#define PE_N_D_VANUA_LEVU_1915 \
   "D_Vanua_Levu_1915"
#define PE_N_D_VIENTIANE_1982 \
   "D_Vientiane_1982"
#define PE_N_D_VIETNAM_2000 \
   "D_Vietnam_2000"
#define PE_N_D_VITI_LEVU_1912 \
   "D_Viti_Levu_1912"
#define PE_N_D_VITI_LEVU_1916 \
   "D_Viti_Levu_1916"
#define PE_N_D_VOIROL_1875 \
   "D_Voirol_1875"
#define PE_N_D_VOIROL_1879 \
   "D_Voirol_1879"
#define PE_N_D_VOIROL_UNIFIE_1960 \
   "D_Voirol_Unifie_1960"
#define PE_N_D_WAKE_ENIWETOK_1960 \
   "D_Wake_Eniwetok_1960"
#define PE_N_D_WAKE_ISLAND_1952 \
   "D_Wake_Island_1952"
#define PE_N_D_WALBECK \
   "D_Walbeck"
#define PE_N_D_WAR_OFFICE \
   "D_War_Office"
#define PE_N_D_WGS_1966 \
   "D_WGS_1966"
#define PE_N_D_WGS_1972 \
   "D_WGS_1972"
#define PE_N_D_WGS_1972_BE \
   "D_WGS_1972_BE"
#define PE_N_D_WGS_1984 \
   "D_WGS_1984"
#define PE_N_D_XIAN_1980 \
   "D_Xian_1980"
#define PE_N_D_XT_ADRASTEA_2000 \
   "D_Adrastea_2000"
#define PE_N_D_XT_AMALTHEA_2000 \
   "D_Amalthea_2000"
#define PE_N_D_XT_ANANKE_2000 \
   "D_Ananke_2000"
#define PE_N_D_XT_ARIEL_2000 \
   "D_Ariel_2000"
#define PE_N_D_XT_ATLAS_2000 \
   "D_Atlas_2000"
#define PE_N_D_XT_BELINDA_2000 \
   "D_Belinda_2000"
#define PE_N_D_XT_BIANCA_2000 \
   "D_Bianca_2000"
#define PE_N_D_XT_CALLISTO_2000 \
   "D_Callisto_2000"
#define PE_N_D_XT_CALYPSO_2000 \
   "D_Calypso_2000"
#define PE_N_D_XT_CARME_2000 \
   "D_Carme_2000"
#define PE_N_D_XT_CHARON_2000 \
   "D_Charon_2000"
#define PE_N_D_XT_CORDELIA_2000 \
   "D_Cordelia_2000"
#define PE_N_D_XT_CRESSIDA_2000 \
   "D_Cressida_2000"
#define PE_N_D_XT_DEIMOS_2000 \
   "D_Deimos_2000"
#define PE_N_D_XT_DESDEMONA_2000 \
   "D_Desdemona_2000"
#define PE_N_D_XT_DESPINA_2000 \
   "D_Despina_2000"
#define PE_N_D_XT_DIONE_2000 \
   "D_Dione_2000"
#define PE_N_D_XT_ELARA_2000 \
   "D_Elara_2000"
#define PE_N_D_XT_ENCELADUS_2000 \
   "D_Enceladus_2000"
#define PE_N_D_XT_EPIMETHEUS_2000 \
   "D_Epimetheus_2000"
#define PE_N_D_XT_EUROPA_2000 \
   "D_Europa_2000"
#define PE_N_D_XT_GALATEA_2000 \
   "D_Galatea_2000"
#define PE_N_D_XT_GANYMEDE_2000 \
   "D_Ganymede_2000"
#define PE_N_D_XT_HELENE_2000 \
   "D_Helene_2000"
#define PE_N_D_XT_HIMALIA_2000 \
   "D_Himalia_2000"
#define PE_N_D_XT_HYPERION_2000 \
   "D_Hyperion_2000"
#define PE_N_D_XT_IAPETUS_2000 \
   "D_Iapetus_2000"
#define PE_N_D_XT_IO_2000 \
   "D_Io_2000"
#define PE_N_D_XT_JANUS_2000 \
   "D_Janus_2000"
#define PE_N_D_XT_JULIET_2000 \
   "D_Juliet_2000"
#define PE_N_D_XT_JUPITER_2000 \
   "D_Jupiter_2000"
#define PE_N_D_XT_LARISSA_2000 \
   "D_Larissa_2000"
#define PE_N_D_XT_LEDA_2000 \
   "D_Leda_2000"
#define PE_N_D_XT_LYSITHEA_2000 \
   "D_Lysithea_2000"
#define PE_N_D_XT_MARS_1979 \
   "D_Mars_1979"
#define PE_N_D_XT_MARS_2000 \
   "D_Mars_2000"
#define PE_N_D_XT_MERCURY_2000 \
   "D_Mercury_2000"
#define PE_N_D_XT_METIS_2000 \
   "D_Metis_2000"
#define PE_N_D_XT_MIMAS_2000 \
   "D_Mimas_2000"
#define PE_N_D_XT_MIRANDA_2000 \
   "D_Miranda_2000"
#define PE_N_D_XT_MOON_2000 \
   "D_Moon_2000"
#define PE_N_D_XT_NAIAD_2000 \
   "D_Naiad_2000"
#define PE_N_D_XT_NEPTUNE_2000 \
   "D_Neptune_2000"
#define PE_N_D_XT_NEREID_2000 \
   "D_Nereid_2000"
#define PE_N_D_XT_OBERON_2000 \
   "D_Oberon_2000"
#define PE_N_D_XT_OPHELIA_2000 \
   "D_Ophelia_2000"
#define PE_N_D_XT_PANDORA_2000 \
   "D_Pandora_2000"
#define PE_N_D_XT_PAN_2000 \
   "D_Pan_2000"
#define PE_N_D_XT_PASIPHAE_2000 \
   "D_Pasiphae_2000"
#define PE_N_D_XT_PHOBOS_2000 \
   "D_Phobos_2000"
#define PE_N_D_XT_PHOEBE_2000 \
   "D_Phoebe_2000"
#define PE_N_D_XT_PLUTO_2000 \
   "D_Pluto_2000"
#define PE_N_D_XT_PORTIA_2000 \
   "D_Portia_2000"
#define PE_N_D_XT_PROMETHEUS_2000 \
   "D_Prometheus_2000"
#define PE_N_D_XT_PROTEUS_2000 \
   "D_Proteus_2000"
#define PE_N_D_XT_PUCK_2000 \
   "D_Puck_2000"
#define PE_N_D_XT_RHEA_2000 \
   "D_Rhea_2000"
#define PE_N_D_XT_ROSALIND_2000 \
   "D_Rosalind_2000"
#define PE_N_D_XT_SATURN_2000 \
   "D_Saturn_2000"
#define PE_N_D_XT_SINOPE_2000 \
   "D_Sinope_2000"
#define PE_N_D_XT_TELESTO_2000 \
   "D_Telesto_2000"
#define PE_N_D_XT_TETHYS_2000 \
   "D_Tethys_2000"
#define PE_N_D_XT_THALASSA_2000 \
   "D_Thalassa_2000"
#define PE_N_D_XT_THEBE_2000 \
   "D_Thebe_2000"
#define PE_N_D_XT_TITANIA_2000 \
   "D_Titania_2000"
#define PE_N_D_XT_TITAN_2000 \
   "D_Titan_2000"
#define PE_N_D_XT_TRITON_2000 \
   "D_Triton_2000"
#define PE_N_D_XT_UMBRIEL_2000 \
   "D_Umbriel_2000"
#define PE_N_D_XT_URANUS_2000 \
   "D_Uranus_2000"
#define PE_N_D_XT_VENUS_1985 \
   "D_Venus_1985"
#define PE_N_D_XT_VENUS_2000 \
   "D_Venus_2000"
#define PE_N_D_YACARE \
   "D_Yacare"
#define PE_N_D_YEMEN_NGN_1996 \
   "D_Yemen_NGN_1996"
#define PE_N_D_YOFF \
   "D_Yoff"
#define PE_N_D_ZANDERIJ \
   "D_Zanderij"

/* ------------------------------------------------------------------------- */
/* VDATUM names                                                              */
/* ------------------------------------------------------------------------- */

#define PE_N_VERTD_AHD \
   "Australian_Height_Datum"
#define PE_N_VERTD_AHD_TASMANIA \
   "Australian_Height_Datum_Tasmania"
#define PE_N_VERTD_AIOC_1995 \
   "AIOC_1995"
#define PE_N_VERTD_ALICANTE \
   "Alicante"
#define PE_N_VERTD_ANTALYA \
   "Antalya"
#define PE_N_VERTD_AUCKLAND \
   "Auckland"
#define PE_N_VERTD_BALTIC_1980 \
   "Baltic_1980"
#define PE_N_VERTD_BALTIC_1982 \
   "Baltic_1982"
#define PE_N_VERTD_BALTIC_SEA \
   "Baltic_Sea"
#define PE_N_VERTD_BANDAR_ABBAS \
   "Bandar_Abbas"
#define PE_N_VERTD_BELFAST \
   "Belfast"
#define PE_N_VERTD_BLACK_SEA \
   "Black_Sea"
#define PE_N_VERTD_BLUFF \
   "Bluff"
#define PE_N_VERTD_BORA_BORA_SAU_2001 \
   "Bora_Bora_SAU_2001"
#define PE_N_VERTD_CASCAIS \
   "Cascais"
#define PE_N_VERTD_CASPIAN_SEA \
   "Caspian_Sea"
#define PE_N_VERTD_CGVD_1928 \
   "Canadian_Geodetic_Vertical_Datum_of_1928"
#define PE_N_VERTD_CHATHAM_ISLAND \
   "Chatham_Island"
#define PE_N_VERTD_CONSTANTA \
   "Constanta"
#define PE_N_VERTD_CROATIAN_VRS_1971 \
   "Croatian_Vertical_Reference_System_1971"
#define PE_N_VERTD_DANGER_1950 \
   "Danger_1950"
#define PE_N_VERTD_DANSK_NORMAL_NUL \
   "Dansk_Normal_Nul"
#define PE_N_VERTD_DANSK_VERT_REF_1990 \
   "Dansk_Vertical_Reference_1990"
#define PE_N_VERTD_DHHN85 \
   "Deutches_Haupthohennetz_1985"
#define PE_N_VERTD_DHHN92 \
   "Deutches_Haupthohennetz_1992"
#define PE_N_VERTD_DOUGLAS \
   "Douglas"
#define PE_N_VERTD_DUNEDIN \
   "Dunedin"
#define PE_N_VERTD_DUNEDIN_BLUFF_1960 \
   "Dunedin_Bluff_1960"
#define PE_N_VERTD_DURRES \
   "Durres"
#define PE_N_VERTD_EGM2008_GEOID \
   "EGM2008_Geoid"
#define PE_N_VERTD_EGM84_GEOID \
   "EGM84_Geoid"
#define PE_N_VERTD_EGM96_GEOID \
   "EGM96_Geoid"
#define PE_N_VERTD_EUROPEAN_VRF_2007 \
   "European_Vertical_Reference_Frame_2007"
#define PE_N_VERTD_EVRF_2000 \
   "European_Vertical_Reference_Frame_2000"
#define PE_N_VERTD_FAHUD_HEIGHT_DATUM \
   "Fahud_Height_Datum"
#define PE_N_VERTD_FAIR_ISLE \
   "Fair_Isle"
#define PE_N_VERTD_FAO \
   "Fao"
#define PE_N_VERTD_FAO_1979 \
   "Fao_1979"
#define PE_N_VERTD_FLANNAN_ISLES \
   "Flannan_Isles"
#define PE_N_VERTD_FOULA \
   "Foula"
#define PE_N_VERTD_GHA \
   "Gebrauchshohen_Adria"
#define PE_N_VERTD_GISBORNE \
   "Gisborne"
#define PE_N_VERTD_GUADELOUPE_1951 \
   "Guadeloupe_1951"
#define PE_N_VERTD_HA_TIEN_1960 \
   "Ha_Tien_1960"
#define PE_N_VERTD_HELSINKI_1960 \
   "Helsinki_1960"
#define PE_N_VERTD_HONG_KONG_CHART_DATUM \
   "Hong_Kong_Chart_Datum"
#define PE_N_VERTD_HONG_KONG_PRINCIPAL_DATUM \
   "Hong_Kong_Principal_Datum"
#define PE_N_VERTD_HON_DAU_1992 \
   "Hon_Dau_1992"
#define PE_N_VERTD_HUAHINE_SAU_2001 \
   "Huahine_SAU_2001"
#define PE_N_VERTD_IGLD_1955 \
   "International_Great_Lakes_Datum_1955"
#define PE_N_VERTD_IGLD_1985 \
   "International_Great_Lakes_Datum_1985"
#define PE_N_VERTD_IGN_1966 \
   "IGN_1966"
#define PE_N_VERTD_IGN_1987 \
   "IGN_1987"
#define PE_N_VERTD_IGN_1988 \
   "IGN_1988"
#define PE_N_VERTD_IGN_1988_LS \
   "IGN_1988_LS"
#define PE_N_VERTD_IGN_1988_MG \
   "IGN_1988_MG"
#define PE_N_VERTD_IGN_1988_SB \
   "IGN_1988_SB"
#define PE_N_VERTD_IGN_1988_SM \
   "IGN_1988_SM"
#define PE_N_VERTD_IGN_1989 \
   "IGN_1989"
#define PE_N_VERTD_IGN_1992_LD \
   "IGN_1992_LD"
#define PE_N_VERTD_JAPAN_STD_LEVEL_DATUM_1949 \
   "Japanese_Standard_Levelling_Datum_1949"
#define PE_N_VERTD_KOC_CONSTRUCTION_DATUM \
   "KOC_Construction_Datum"
#define PE_N_VERTD_KOC_WELL_DATUM \
   "KOC_Well_Datum"
#define PE_N_VERTD_KUWAIT_PWD \
   "Kuwait_PWD"
#define PE_N_VERTD_LAGOS_1955 \
   "Lagos_1955"
#define PE_N_VERTD_LERWICK \
   "Lerwick"
#define PE_N_VERTD_LHN95 \
   "Landeshohennetz_1995"
#define PE_N_VERTD_LN_1902 \
   "Landesnivellement_1902"
#define PE_N_VERTD_LYTTLETON \
   "Lyttleton"
#define PE_N_VERTD_MALIN_HEAD \
   "Malin_Head"
#define PE_N_VERTD_MAPUTO \
   "Maputo"
#define PE_N_VERTD_MARTINIQUE_1955 \
   "Martinique_1955"
#define PE_N_VERTD_MAUPITI_SAU_2001 \
   "Maupiti_SAU_2001"
#define PE_N_VERTD_MAYOTTE_1950 \
   "Mayotte_1950"
#define PE_N_VERTD_MOOREA_SAU_1981 \
   "Moorea_SAU_1981"
#define PE_N_VERTD_MOTURIKI \
   "Moturiki"
#define PE_N_VERTD_MSL \
   "Mean_Sea_Level"
#define PE_N_VERTD_N2000 \
   "N2000"
#define PE_N_VERTD_NAP \
   "Normaal_Amsterdams_Peil"
#define PE_N_VERTD_NAPIER \
   "Napier"
#define PE_N_VERTD_NAVD_1988 \
   "North_American_Vertical_Datum_1988"
#define PE_N_VERTD_NELSON \
   "Nelson"
#define PE_N_VERTD_NGC_1948 \
   "Nivellement_General_de_la_Corse_1948"
#define PE_N_VERTD_NGF_IGN69 \
   "Nivellement_General_de_la_France_IGN69"
#define PE_N_VERTD_NGF_IGN78 \
   "Nivellement_General_de_la_France_IGN78"
#define PE_N_VERTD_NGF_LALLEMAND \
   "Nivellement_General_de_la_France_Lallemand"
#define PE_N_VERTD_NGG_1977 \
   "Nivellement_General_Guyanais_1977"
#define PE_N_VERTD_NGNC \
   "Nivellement_General_de_Nouvelle_Caledonie"
#define PE_N_VERTD_NGPF \
   "Nivellement_General_de_Polynesie_Francaise"
#define PE_N_VERTD_NGVD_1929 \
   "National_Geodetic_Vertical_Datum_1929"
#define PE_N_VERTD_NG_L \
   "Nivellement_General_du_Luxembourg"
#define PE_N_VERTD_NN54 \
   "Norway_Normal_Nul_1954"
#define PE_N_VERTD_NORTH_RONA \
   "North_Rona"
#define PE_N_VERTD_NVN99 \
   "National_Vertical_Network_1999"
#define PE_N_VERTD_NZVD_2009 \
   "New_Zealand_Vertical_Datum_2009"
#define PE_N_VERTD_OD_NEWLYN \
   "Ordnance_Datum_Newlyn"
#define PE_N_VERTD_OD_NEWLYN_ORKNEY_ISLES \
   "Ordnance_Datum_Newlyn_Orkney_Isles"
#define PE_N_VERTD_ONE_TREE_POINT \
   "One_Tree_Point"
#define PE_N_VERTD_OOSTENDE \
   "Oostende"
#define PE_N_VERTD_PDO_HEIGHT_DATUM_1993 \
   "PDO_Height_Datum_1993"
#define PE_N_VERTD_PIRAEUS_HARBOUR_1986 \
   "Piraeus_Harbour_1986"
#define PE_N_VERTD_POOLBEG \
   "Poolbeg"
#define PE_N_VERTD_RAIATEA_SAU_2001 \
   "Raiatea_SAU_2001"
#define PE_N_VERTD_RH1900 \
   "Rikets_Hojdsystem_1900"
#define PE_N_VERTD_RH2000 \
   "Rikets_Hojdsystem_2000"
#define PE_N_VERTD_RH70 \
   "Rikets_Hojdsystem_1970"
#define PE_N_VERTD_SEA_LEVEL \
   "Sea_Level"
#define PE_N_VERTD_SNN76 \
   "SNN76"
#define PE_N_VERTD_STEWART_ISLAND \
   "Stewart_Island"
#define PE_N_VERTD_STORNOWAY \
   "Stornoway"
#define PE_N_VERTD_ST_KILDA \
   "St_Kilda"
#define PE_N_VERTD_ST_MARYS \
   "St_Marys"
#define PE_N_VERTD_SULE_SKERRY \
   "Sule_Skerry"
#define PE_N_VERTD_TAHAA_SAU_2001 \
   "Tahaa_SAU_2001"
#define PE_N_VERTD_TARANAKI \
   "Taranaki"
#define PE_N_VERTD_TARARU \
   "Tararu"
#define PE_N_VERTD_WELLINGTON \
   "Wellington"
#define PE_N_VERTD_WGS_1984_GEOID \
   "WGS_1984_Geoid"
#define PE_N_VERTD_YELLOW_SEA_1956 \
   "Yellow_Sea_1956"
#define PE_N_VERTD_YELLOW_SEA_1985 \
   "Yellow_Sea_1985"

/* ------------------------------------------------------------------------- */
/* GEOGTRAN names                                                            */
/* ------------------------------------------------------------------------- */

#define PE_N_GT_ABIDJAN_1987_TO_WGS_1984 \
   "Abidjan_1987_To_WGS_1984"
#define PE_N_GT_ACCRA_TO_WGS_1972_BE \
   "Accra_To_WGS_1972_BE"
#define PE_N_GT_ACCRA_TO_WGS_1984 \
   "Accra_To_WGS_1984"
#define PE_N_GT_ACCRA_TO_WGS_1984_3 \
   "Accra_To_WGS_1984_3"
#define PE_N_GT_ADINDAN_TO_WGS_1984_1 \
   "Adindan_To_WGS_1984_1"
#define PE_N_GT_ADINDAN_TO_WGS_1984_2 \
   "Adindan_To_WGS_1984_2"
#define PE_N_GT_ADINDAN_TO_WGS_1984_3 \
   "Adindan_To_WGS_1984_3"
#define PE_N_GT_ADINDAN_TO_WGS_1984_4 \
   "Adindan_To_WGS_1984_4"
#define PE_N_GT_ADINDAN_TO_WGS_1984_5 \
   "Adindan_To_WGS_1984_5"
#define PE_N_GT_ADINDAN_TO_WGS_1984_6 \
   "Adindan_To_WGS_1984_6"
#define PE_N_GT_ADINDAN_TO_WGS_1984_7 \
   "Adindan_To_WGS_1984_7"
#define PE_N_GT_AFGOOYE_TO_WGS_1984 \
   "Afgooye_To_WGS_1984"
#define PE_N_GT_AGD_1966_TO_GDA_1994 \
   "AGD_1966_To_GDA_1994"
#define PE_N_GT_AGD_1966_TO_GDA_1994_10 \
   "AGD_1966_To_GDA_1994_10_NTv2_New_South_Wales_and_Victoria"
#define PE_N_GT_AGD_1966_TO_GDA_1994_11_NTV2 \
   "AGD_1966_To_GDA_1994_11_NTv2"
#define PE_N_GT_AGD_1966_TO_GDA_1994_12 \
   "AGD_1966_To_GDA_1994_12"
#define PE_N_GT_AGD_1966_TO_GDA_1994_2 \
   "AGD_1966_To_GDA_1994_2"
#define PE_N_GT_AGD_1966_TO_GDA_1994_3 \
   "AGD_1966_To_GDA_1994_3"
#define PE_N_GT_AGD_1966_TO_GDA_1994_4 \
   "AGD_1966_To_GDA_1994_4"
#define PE_N_GT_AGD_1966_TO_GDA_1994_8 \
   "AGD_1966_To_GDA_1994_8"
#define PE_N_GT_AGD_1966_TO_GDA_1994_9 \
   "AGD_1966_To_GDA_1994_9"
#define PE_N_GT_AGD_1966_TO_GDA_1994_NTV2_NORTH_TERR \
   "AGD_1966_To_GDA_1994_NTv2_Northern_Territory"
#define PE_N_GT_AGD_1966_TO_GDA_1994_NTV2_TASMANIA \
   "AGD_1966_To_GDA_1994_NTv2_Tasmania"
#define PE_N_GT_AGD_1966_TO_GDA_1994_NTV2_VICTORIA \
   "AGD_1966_To_GDA_1994_NTv2_Victoria"
#define PE_N_GT_AGD_1966_TO_WGS_1984 \
   "AGD_1966_To_WGS_1984"
#define PE_N_GT_AGD_1966_TO_WGS_1984_12 \
   "AGD_1966_To_WGS_1984_12"
#define PE_N_GT_AGD_1966_TO_WGS_1984_13 \
   "AGD_1966_To_WGS_1984_13"
#define PE_N_GT_AGD_1966_TO_WGS_1984_14 \
   "AGD_1966_To_WGS_1984_14"
#define PE_N_GT_AGD_1966_TO_WGS_1984_15 \
   "AGD_1966_To_WGS_1984_15"
#define PE_N_GT_AGD_1966_TO_WGS_1984_16 \
   "AGD_1966_To_WGS_1984_16"
#define PE_N_GT_AGD_1966_TO_WGS_1984_17_NTV2 \
   "AGD_1966_To_WGS_1984_17_NTv2"
#define PE_N_GT_AGD_1966_TO_WGS_1984_18 \
   "AGD_1966_To_WGS_1984_18"
#define PE_N_GT_AGD_1984_TO_GDA_1994 \
   "AGD_1984_To_GDA_1994"
#define PE_N_GT_AGD_1984_TO_GDA_1994_2 \
   "AGD_1984_To_GDA_1994_2"
#define PE_N_GT_AGD_1984_TO_GDA_1994_3 \
   "AGD_1984_To_GDA_1994_3"
#define PE_N_GT_AGD_1984_TO_GDA_1994_4 \
   "AGD_1984_To_GDA_1994_4_NTv2_Western_Australia"
#define PE_N_GT_AGD_1984_TO_GDA_1994_5_NTV2 \
   "AGD_1984_To_GDA_1994_5_NTv2"
#define PE_N_GT_AGD_1984_TO_GDA_1994_NTV2_QUEENSLAND \
   "AGD_1984_To_GDA_1994_NTv2_Queensland"
#define PE_N_GT_AGD_1984_TO_WGS_1984_1 \
   "AGD_1984_To_WGS_1984_1"
#define PE_N_GT_AGD_1984_TO_WGS_1984_2 \
   "AGD_1984_To_WGS_1984_2"
#define PE_N_GT_AGD_1984_TO_WGS_1984_7 \
   "AGD_1984_To_WGS_1984_7"
#define PE_N_GT_AGD_1984_TO_WGS_1984_8 \
   "AGD_1984_To_WGS_1984_8"
#define PE_N_GT_AGD_1984_TO_WGS_1984_9_NTV2 \
   "AGD_1984_To_WGS_1984_9_NTv2"
#define PE_N_GT_AIN_EL_ABD_TO_WGS_1984_1 \
   "Ain_El_Abd_To_WGS_1984_1"
#define PE_N_GT_AIN_EL_ABD_TO_WGS_1984_2 \
   "Ain_El_Abd_To_WGS_1984_2"
#define PE_N_GT_AIN_EL_ABD_TO_WGS_1984_3 \
   "Ain_el_Abd_To_WGS_1984_3"
#define PE_N_GT_AIN_EL_ABD_TO_WGS_1984_4 \
   "Ain_El_Abd_To_WGS_1984_4"
#define PE_N_GT_AIN_EL_ABD_TO_WGS_1984_5 \
   "Ain_El_Abd_To_WGS_1984_5"
#define PE_N_GT_AIN_EL_ABD_TO_WGS_1984_6 \
   "Ain_El_Abd_To_WGS_1984_6"
#define PE_N_GT_AMERSFOORT_TO_ETRS_1989 \
   "Amersfoort_To_ETRS_1989"
#define PE_N_GT_AMERSFOORT_TO_ETRS_1989_3 \
   "Amersfoort_To_ETRS_1989_3"
#define PE_N_GT_AMERSFOORT_TO_ETRS_1989_4 \
   "Amersfoort_To_ETRS_1989_4"
#define PE_N_GT_AMERSFOORT_TO_ETRS_1989_5 \
   "Amersfoort_To_ETRS_1989_5"
#define PE_N_GT_AMERSFOORT_TO_ETRS_1989_6 \
   "Amersfoort_To_ETRS_1989_6"
#define PE_N_GT_AMERSFOORT_TO_ETRS_1989_MB \
   "Amersfoort_To_ETRS_1989_MB"
#define PE_N_GT_AMERSFOORT_TO_WGS_1984 \
   "Amersfoort_To_WGS_1984"
#define PE_N_GT_AMERSFOORT_TO_WGS_1984_2 \
   "Amersfoort_To_WGS_1984_2"
#define PE_N_GT_AMERSFOORT_TO_WGS_1984_2008_MB \
   "Amersfoort_To_WGS_1984_2008_MB"
#define PE_N_GT_AMERSFOORT_TO_WGS_1984_3 \
   "Amersfoort_To_WGS_1984_3"
#define PE_N_GT_AMERSFOORT_TO_WGS_1984_4 \
   "Amersfoort_To_WGS_1984_4"
#define PE_N_GT_AMERSFOORT_TO_WGS_1984_4X \
   "Amersfoort_To_WGS_1984_4X"
#define PE_N_GT_AMMASSALIK_1958_TO_GREENLAND_1996_1 \
   "Ammassalik_1958_To_Greenland_1996_1"
#define PE_N_GT_AMMASSALIK_1958_TO_WGS_1984_1 \
   "Ammassalik_1958_To_WGS_1984_1"
#define PE_N_GT_ANGUILLA_1957_TO_WGS_1984_1 \
   "Anguilla_1957_To_WGS_1984_1"
#define PE_N_GT_ANNA_1_1965_TO_WGS_1984 \
   "Anna_1_1965_To_WGS_1984"
#define PE_N_GT_ANTIGUA_1943_TO_WGS_1984 \
   "Antigua_1943_To_WGS_1984"
#define PE_N_GT_ANTIGUA_1943_TO_WGS_1984_NGA \
   "Antigua_1943_To_WGS_1984_NGA"
#define PE_N_GT_ARATU_TO_WGS_1984_1 \
   "Aratu_To_WGS_1984_1"
#define PE_N_GT_ARATU_TO_WGS_1984_10 \
   "Aratu_To_WGS_1984_10"
#define PE_N_GT_ARATU_TO_WGS_1984_11 \
   "Aratu_To_WGS_1984_11"
#define PE_N_GT_ARATU_TO_WGS_1984_12 \
   "Aratu_To_WGS_1984_12"
#define PE_N_GT_ARATU_TO_WGS_1984_2 \
   "Aratu_To_WGS_1984_2"
#define PE_N_GT_ARATU_TO_WGS_1984_3 \
   "Aratu_To_WGS_1984_3"
#define PE_N_GT_ARATU_TO_WGS_1984_4 \
   "Aratu_To_WGS_1984_4"
#define PE_N_GT_ARATU_TO_WGS_1984_5 \
   "Aratu_To_WGS_1984_5"
#define PE_N_GT_ARATU_TO_WGS_1984_6 \
   "Aratu_To_WGS_1984_6"
#define PE_N_GT_ARATU_TO_WGS_1984_7 \
   "Aratu_To_WGS_1984_7"
#define PE_N_GT_ARATU_TO_WGS_1984_8 \
   "Aratu_To_WGS_1984_8"
#define PE_N_GT_ARATU_TO_WGS_1984_9 \
   "Aratu_To_WGS_1984_9"
#define PE_N_GT_ARC_1950_TO_WGS_1984_1 \
   "Arc_1950_To_WGS_1984_1"
#define PE_N_GT_ARC_1950_TO_WGS_1984_2 \
   "Arc_1950_To_WGS_1984_2"
#define PE_N_GT_ARC_1950_TO_WGS_1984_3 \
   "Arc_1950_To_WGS_1984_3"
#define PE_N_GT_ARC_1950_TO_WGS_1984_4 \
   "Arc_1950_To_WGS_1984_4"
#define PE_N_GT_ARC_1950_TO_WGS_1984_5 \
   "Arc_1950_To_WGS_1984_5"
#define PE_N_GT_ARC_1950_TO_WGS_1984_6 \
   "Arc_1950_To_WGS_1984_6"
#define PE_N_GT_ARC_1950_TO_WGS_1984_7 \
   "Arc_1950_To_WGS_1984_7"
#define PE_N_GT_ARC_1950_TO_WGS_1984_8 \
   "Arc_1950_To_WGS_1984_8"
#define PE_N_GT_ARC_1950_TO_WGS_1984_9 \
   "Arc_1950_To_WGS_1984_9"
#define PE_N_GT_ARC_1960_TO_WGS_1984 \
   "Arc_1960_To_WGS_1984"
#define PE_N_GT_ARC_1960_TO_WGS_1984_2 \
   "Arc_1960_To_WGS_1984_2"
#define PE_N_GT_ARC_1960_TO_WGS_1984_3 \
   "Arc_1960_To_WGS_1984_3"
#define PE_N_GT_ARC_1960_TO_WGS_1984_4 \
   "Arc_1960_To_WGS_1984_4"
#define PE_N_GT_ASCENSION_ISLAND_1958_TO_WGS_1984 \
   "Ascension_Island_1958_To_WGS_1984"
#define PE_N_GT_ASTRO_1952_TO_WGS_1984 \
   "Astro_1952_To_WGS_1984"
#define PE_N_GT_ATS_1977_TO_NAD_1983_CSRS_2 \
   "ATS_1977_To_NAD_1983_CSRS_2_NTv2_Prince_Edward_Is"
#define PE_N_GT_ATS_1977_TO_NAD_1983_CSRS_NTV2_MARITIMES \
   "ATS_1977_To_NAD_1983_CSRS_NTv2_Maritimes"
#define PE_N_GT_ATS_1977_TO_NAD_1983_CSRS_NTV2_NB \
   "ATS_1977_To_NAD_1983_CSRS_NTv2_New_Brunswick"
#define PE_N_GT_ATS_1977_TO_NAD_1983_CSRS_NTV2_NS \
   "ATS_1977_To_NAD_1983_CSRS_NTv2_Nova_Scotia"
#define PE_N_GT_ATS_1977_TO_WGS_1984_1 \
   "ATS_1977_To_WGS_1984_1"
#define PE_N_GT_ATS_1977_TO_WGS_1984_2 \
   "ATS_1977_To_WGS_1984_2"
#define PE_N_GT_ATS_1977_TO_WGS_1984_3 \
   "ATS_1977_To_WGS_1984_3"
#define PE_N_GT_AUSTRALIAN_ANTARCTIC_1998_TO_WGS_1984_1 \
   "Australian_Antarctic_1998_To_WGS_1984_1"
#define PE_N_GT_AYABELLE_TO_WGS_1984 \
   "Ayabelle_To_WGS_1984"
#define PE_N_GT_AZORES_CENTRAL_1948_TO_WGS_1984_1 \
   "Azores_Central_1948_To_WGS_1984_1"
#define PE_N_GT_AZORES_CENTRAL_1995_TO_WGS_1984_10 \
   "Azores_Central_1995_To_WGS_1984_10"
#define PE_N_GT_AZORES_CENTRAL_1995_TO_WGS_1984_11 \
   "Azores_Central_1995_To_WGS_1984_11"
#define PE_N_GT_AZORES_CENTRAL_1995_TO_WGS_1984_2 \
   "Azores_Central_1995_To_WGS_1984_2"
#define PE_N_GT_AZORES_CENTRAL_1995_TO_WGS_1984_3 \
   "Azores_Central_1995_To_WGS_1984_3"
#define PE_N_GT_AZORES_CENTRAL_1995_TO_WGS_1984_4 \
   "Azores_Central_1995_To_WGS_1984_4"
#define PE_N_GT_AZORES_CENTRAL_1995_TO_WGS_1984_5 \
   "Azores_Central_1995_To_WGS_1984_5"
#define PE_N_GT_AZORES_CENTRAL_1995_TO_WGS_1984_6 \
   "Azores_Central_1995_To_WGS_1984_6"
#define PE_N_GT_AZORES_CENTRAL_1995_TO_WGS_1984_7 \
   "Azores_Central_1995_To_WGS_1984_7"
#define PE_N_GT_AZORES_CENTRAL_1995_TO_WGS_1984_8 \
   "Azores_Central_1995_To_WGS_1984_8"
#define PE_N_GT_AZORES_CENTRAL_1995_TO_WGS_1984_9 \
   "Azores_Central_1995_To_WGS_1984_9"
#define PE_N_GT_AZORES_OCCIDENTAL_1939_TO_WGS_1984_1 \
   "Azores_Occidental_1939_To_WGS_1984_1"
#define PE_N_GT_AZORES_OCCIDENTAL_1939_TO_WGS_1984_2 \
   "Azores_Occidental_1939_To_WGS_1984_2"
#define PE_N_GT_AZORES_ORIENTAL_1940_TO_WGS_1984_1 \
   "Azores_Oriental_1940_To_WGS_1984_1"
#define PE_N_GT_AZORES_ORIENTAL_1995_TO_WGS_1984_2 \
   "Azores_Oriental_1995_To_WGS_1984_2"
#define PE_N_GT_AZORES_ORIENTAL_1995_TO_WGS_1984_3 \
   "Azores_Oriental_1995_To_WGS_1984_3"
#define PE_N_GT_AZORES_ORIENTAL_1995_TO_WGS_1984_4 \
   "Azores_Oriental_1995_To_WGS_1984_4"
#define PE_N_GT_AZORES_ORIENTAL_1995_TO_WGS_1984_5 \
   "Azores_Oriental_1995_To_WGS_1984_5"
#define PE_N_GT_BAB_SOUTH_TO_NAD_1983 \
   "Bab_South_To_NAD_1983"
#define PE_N_GT_BARBADOS_1938_TO_WGS_1984_1 \
   "Barbados_1938_To_WGS_1984_1"
#define PE_N_GT_BATAVIA_JAKARTA_TO_BATAVIA \
   "Batavia_Jakarta_To_Batavia"
#define PE_N_GT_BATAVIA_JAKARTA_TO_WGS_1984 \
   "Batavia_Jakarta_To_WGS_1984"
#define PE_N_GT_BATAVIA_TO_WGS_1984 \
   "Batavia_To_WGS_1984"
#define PE_N_GT_BATAVIA_TO_WGS_1984_2 \
   "Batavia_To_WGS_1984_2"
#define PE_N_GT_BATAVIA_TO_WGS_1984_3 \
   "Batavia_To_WGS_1984_3"
#define PE_N_GT_BEACON_E_1945_TO_WGS_1984 \
   "Beacon_E_1945_To_WGS_1984"
#define PE_N_GT_BEDUARAM_TO_WGS_1972_BE_1 \
   "Beduaram_To_WGS_1972_BE_1"
#define PE_N_GT_BEDUARAM_TO_WGS_1984_2 \
   "Beduaram_To_WGS_1984_2"
#define PE_N_GT_BEIJING_1954_TO_WGS_1984_1 \
   "Beijing_1954_To_WGS_1984_1"
#define PE_N_GT_BEIJING_1954_TO_WGS_1984_2 \
   "Beijing_1954_To_WGS_1984_2"
#define PE_N_GT_BEIJING_1954_TO_WGS_1984_3 \
   "Beijing_1954_To_WGS_1984_3"
#define PE_N_GT_BEIJING_1954_TO_WGS_1984_4 \
   "Beijing_1954_To_WGS_1984_4"
#define PE_N_GT_BEIJING_1954_TO_WGS_1984_5 \
   "Beijing_1954_To_WGS_1984_5"
#define PE_N_GT_BEIJING_1954_TO_WGS_1984_6 \
   "Beijing_1954_To_WGS_1984_6"
#define PE_N_GT_BELGE_1950_BRUSSELS_TO_BELGE_1950 \
   "Belge_1950_Brussels_To_Belge_1950"
#define PE_N_GT_BELGE_1972_TO_ETRS_1989_1 \
   "Belge_1972_To_ETRS_1989_1"
#define PE_N_GT_BELGE_1972_TO_ETRS_1989_2 \
   "Belge_1972_To_ETRS_1989_2"
#define PE_N_GT_BELGE_1972_TO_WGS_1984_1 \
   "Belge_1972_To_WGS_1984_1"
#define PE_N_GT_BELGE_1972_TO_WGS_1984_2 \
   "Belge_1972_To_WGS_1984_2"
#define PE_N_GT_BELGE_1972_TO_WGS_1984_3 \
   "Belge_1972_To_WGS_1984_3"
#define PE_N_GT_BELLEVUE_TO_WGS_1984 \
   "Bellevue_IGN_To_WGS_1984"
#define PE_N_GT_BERMUDA_1957_TO_BERMUDA_2000_1 \
   "Bermuda_1957_To_Bermuda_2000_1"
#define PE_N_GT_BERMUDA_1957_TO_WGS_1984 \
   "Bermuda_1957_To_WGS_1984"
#define PE_N_GT_BERMUDA_1957_TO_WGS_1984_2 \
   "Bermuda_1957_To_WGS_1984_2"
#define PE_N_GT_BERMUDA_2000_TO_WGS_1984_1 \
   "Bermuda_2000_To_WGS_1984_1"
#define PE_N_GT_BERN_1898_BERN_TO_BERN_1898 \
   "Bern_1898_Bern_To_Bern_1898"
#define PE_N_GT_BERN_1898_BERN_TO_CH1903 \
   "Bern_1898_Bern_To_CH1903"
#define PE_N_GT_BISSAU_TO_WGS_1984 \
   "Bissau_To_WGS_1984"
#define PE_N_GT_BOGOTA_BOGOTA_TO_BOGOTA \
   "Bogota_Bogota_To_Bogota"
#define PE_N_GT_BOGOTA_BOGOTA_TO_WGS_1984 \
   "Bogota_Bogota_To_WGS_1984"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_1_CF \
   "Bogota_To_MAGNA_Region_1_CF"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_1_MB \
   "Bogota_To_MAGNA_Region_1_MB"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_2_CF \
   "Bogota_To_MAGNA_Region_2_CF"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_2_MB \
   "Bogota_To_MAGNA_Region_2_MB"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_3_CF \
   "Bogota_To_MAGNA_Region_3_CF"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_3_MB \
   "Bogota_To_MAGNA_Region_3_MB"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_4_CF \
   "Bogota_To_MAGNA_Region_4_CF"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_4_MB \
   "Bogota_To_MAGNA_Region_4_MB"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_5_CF \
   "Bogota_To_MAGNA_Region_5_CF"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_5_MB \
   "Bogota_To_MAGNA_Region_5_MB"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_6_CF \
   "Bogota_To_MAGNA_Region_6_CF"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_6_MB \
   "Bogota_To_MAGNA_Region_6_MB"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_7_CF \
   "Bogota_To_MAGNA_Region_7_CF"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_7_MB \
   "Bogota_To_MAGNA_Region_7_MB"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_8_CF \
   "Bogota_To_MAGNA_Region_8_CF"
#define PE_N_GT_BOGOTA_TO_MAGNA_REGION_8_MB \
   "Bogota_To_MAGNA_Region_8_MB"
#define PE_N_GT_BOGOTA_TO_WGS_1984 \
   "Bogota_To_WGS_1984"
#define PE_N_GT_BOGOTA_TO_WGS_1984_2 \
   "Bogota_To_WGS_1984_2"
#define PE_N_GT_BOGOTA_TO_WGS_1984_REGION_1_CF \
   "Bogota_To_WGS_1984_Region_1_CF"
#define PE_N_GT_BOGOTA_TO_WGS_1984_REGION_2_CF \
   "Bogota_To_WGS_1984_Region_2_CF"
#define PE_N_GT_BOGOTA_TO_WGS_1984_REGION_3_CF \
   "Bogota_To_WGS_1984_Region_3_CF"
#define PE_N_GT_BOGOTA_TO_WGS_1984_REGION_4_CF \
   "Bogota_To_WGS_1984_Region_4_CF"
#define PE_N_GT_BOGOTA_TO_WGS_1984_REGION_5_CF \
   "Bogota_To_WGS_1984_Region_5_CF"
#define PE_N_GT_BOGOTA_TO_WGS_1984_REGION_6_CF \
   "Bogota_To_WGS_1984_Region_6_CF"
#define PE_N_GT_BOGOTA_TO_WGS_1984_REGION_7_CF \
   "Bogota_To_WGS_1984_Region_7_CF"
#define PE_N_GT_BOGOTA_TO_WGS_1984_REGION_8_CF \
   "Bogota_To_WGS_1984_Region_8_CF"
#define PE_N_GT_BUKIT_RIMPAH_TO_WGS_1984 \
   "Bukit_Rimpah_To_WGS_1984"
#define PE_N_GT_CADASTRE_1997_TO_RGM_2004_1 \
   "Cadastre_1997_To_RGM_2004_1"
#define PE_N_GT_CADASTRE_1997_TO_WGS_1984_1 \
   "Cadastre_1997_To_WGS_1984_1"
#define PE_N_GT_CAMACUPA_TO_WGS_1972_BE_1 \
   "Camacupa_To_WGS_1972_BE_1"
#define PE_N_GT_CAMACUPA_TO_WGS_1984_1 \
   "Camacupa_To_WGS_1984_1"
#define PE_N_GT_CAMACUPA_TO_WGS_1984_10 \
   "Camacupa_To_WGS_1984_10"
#define PE_N_GT_CAMACUPA_TO_WGS_1984_2 \
   "Camacupa_To_WGS_1984_2"
#define PE_N_GT_CAMACUPA_TO_WGS_1984_3 \
   "Camacupa_To_WGS_1984_3"
#define PE_N_GT_CAMACUPA_TO_WGS_1984_4 \
   "Camacupa_To_WGS_1984_4"
#define PE_N_GT_CAMACUPA_TO_WGS_1984_5 \
   "Camacupa_To_WGS_1984_5"
#define PE_N_GT_CAMACUPA_TO_WGS_1984_6 \
   "Camacupa_To_WGS_1984_6"
#define PE_N_GT_CAMACUPA_TO_WGS_1984_7 \
   "Camacupa_To_WGS_1984_7"
#define PE_N_GT_CAMACUPA_TO_WGS_1984_8 \
   "Camacupa_To_WGS_1984_8"
#define PE_N_GT_CAMACUPA_TO_WGS_1984_9 \
   "Camacupa_To_WGS_1984_9"
#define PE_N_GT_CAMPO_INCHAUSPE_TO_POSGAR_1994_1 \
   "Campo_Inchauspe_To_POSGAR_1994_1"
#define PE_N_GT_CAMPO_INCHAUSPE_TO_WGS_1984 \
   "Campo_Inchauspe_To_WGS_1984"
#define PE_N_GT_CAMPO_INCHAUSPE_TO_WGS_1984_2 \
   "Campo_Inchauspe_To_WGS_1984_2"
#define PE_N_GT_CAMP_AREA_TO_WGS_1984 \
   "Camp_Area_To_WGS_1984"
#define PE_N_GT_CANTON_1966_TO_WGS_1984 \
   "Canton_1966_To_WGS_1984"
#define PE_N_GT_CAPE_CANAVERAL_TO_WGS_1984 \
   "Cape_Canaveral_To_WGS_1984"
#define PE_N_GT_CAPE_TO_HARTEBEESTHOEK94 \
   "Cape_To_Hartebeesthoek94"
#define PE_N_GT_CAPE_TO_WGS_1984_1 \
   "Cape_To_WGS_1984_1"
#define PE_N_GT_CAPE_TO_WGS_1984_2 \
   "Cape_To_WGS_1984_2"
#define PE_N_GT_CARTHAGE_GRAD_TO_CARTHAGE \
   "Carthage_Grad_To_Carthage"
#define PE_N_GT_CARTHAGE_PARIS_TO_CARTHAGE \
   "Carthage_Paris_To_Carthage"
#define PE_N_GT_CARTHAGE_TO_WGS_1984 \
   "Carthage_To_WGS_1984"
#define PE_N_GT_CARTHAGE_TO_WGS_1984_2 \
   "Carthage_To_WGS_1984_2"
#define PE_N_GT_CGRS_1993_TO_ETRS_1989 \
   "CGRS_1993_To_ETRS_1989"
#define PE_N_GT_CGRS_1993_TO_WGS_1984 \
   "CGRS_1993_To_WGS_1984"
#define PE_N_GT_CH1903_PLUS_TO_CHTRF_1995 \
   "CH1903+_To_CHTRF_1995"
#define PE_N_GT_CH1903_PLUS_TO_ETRS_1989_1 \
   "CH1903+_To_ETRS_1989_1"
#define PE_N_GT_CH1903_PLUS_TO_WGS_1984_1 \
   "CH1903+_To_WGS_1984_1"
#define PE_N_GT_CH1903_TO_CH1903_PLUS_1_NTV2 \
   "CH1903_To_CH1903+_1_NTv2"
#define PE_N_GT_CH1903_TO_ETRS_1989_1 \
   "CH1903_To_ETRS_1989_1"
#define PE_N_GT_CH1903_TO_WGS_1984_1 \
   "CH1903_To_WGS_1984_1"
#define PE_N_GT_CH1903_TO_WGS_1984_2 \
   "CH1903_To_WGS_1984_2"
#define PE_N_GT_CHATHAM_ISLANDS_1979_TO_NZGD_2000_1 \
   "Chatham_Islands_1979_To_NZGD_2000_1"
#define PE_N_GT_CHATHAM_ISLANDS_1979_TO_WGS_1984_1 \
   "Chatham_Islands_1979_To_WGS_1984_1"
#define PE_N_GT_CHATHAM_ISLAND_1971_TO_WGS_1984 \
   "Chatham_Island_1971_To_WGS_1984"
#define PE_N_GT_CHOS_MALAL_1914_TO_CAMPO_INCHAUSPE \
   "Chos_Malal_1914_To_Campo_Inchauspe"
#define PE_N_GT_CHOS_MALAL_1914_TO_WGS_1984 \
   "Chos_Malal_1914_To_WGS_1984"
#define PE_N_GT_CHTRF_1995_TO_WGS_1984 \
   "CHTRF_1995_To_WGS_1984"
#define PE_N_GT_CHUA_TO_SIRGAS_2000_1 \
   "Chua_To_SIRGAS_2000_1"
#define PE_N_GT_CHUA_TO_WGS_1984 \
   "Chua_To_WGS_1984"
#define PE_N_GT_CHUA_TO_WGS_1984_2 \
   "Chua_To_WGS_1984_2"
#define PE_N_GT_CHUA_TO_WGS_1984_3 \
   "Chua_To_WGS_1984_3"
#define PE_N_GT_COMBANI_1950_TO_WGS_1984_1 \
   "Combani_1950_To_WGS_1984_1"
#define PE_N_GT_CONAKRY_1905_TO_WGS_1984 \
   "Conakry_1905_To_WGS_1984"
#define PE_N_GT_CORREGO_ALEGRE_TO_WGS_1984 \
   "Corrego_Alegre_To_WGS_1984"
#define PE_N_GT_CR05_TO_OCOTEPEQUE_1935_MB \
   "CR05_To_Ocotepeque_1935_MB"
#define PE_N_GT_CSG_1967_TO_RGFG_1995_1 \
   "CSG_1967_To_RGFG_1995_1"
#define PE_N_GT_CSG_1967_TO_WGS_1984_1 \
   "CSG_1967_To_WGS_1984_1"
#define PE_N_GT_D48_TO_ETRS_1989 \
   "D48_To_ETRS_1989"
#define PE_N_GT_D48_TO_ETRS_1989_2007 \
   "D48_To_ETRS_1989_2007"
#define PE_N_GT_D48_TO_ETRS_1989_DOLENJSKA \
   "D48_To_ETRS_1989_Dolenjska"
#define PE_N_GT_D48_TO_ETRS_1989_GORENJSKA \
   "D48_To_ETRS_1989_Gorenjska"
#define PE_N_GT_D48_TO_ETRS_1989_JUZ_SLO \
   "D48_To_ETRS_1989_Juzna_Slovenia"
#define PE_N_GT_D48_TO_ETRS_1989_JV_SLO \
   "D48_To_ETRS_1989_Jugovzhodna_Slovenia"
#define PE_N_GT_D48_TO_ETRS_1989_OSR_SLO \
   "D48_To_ETRS_1989_Osrednja_Slovenia"
#define PE_N_GT_D48_TO_ETRS_1989_POMURJE \
   "D48_To_ETRS_1989_Pomurje"
#define PE_N_GT_D48_TO_ETRS_1989_PRIMORSKA \
   "D48_To_ETRS_1989_Primorska"
#define PE_N_GT_D48_TO_ETRS_1989_STAJERSKA \
   "D48_To_ETRS_1989_Stajerska"
#define PE_N_GT_D48_TO_ETRS_1989_SV_SLO \
   "D48_To_ETRS_1989_Severovzhodna_Slovenia"
#define PE_N_GT_D48_TO_ETRS_1989_ZAH_SLO \
   "D48_To_ETRS_1989_Zahodna_Slovenia"
#define PE_N_GT_D48_TO_WGS_1984 \
   "D48_To_WGS_1984"
#define PE_N_GT_D48_TO_WGS_1984_2007 \
   "D48_To_WGS_1984_2007"
#define PE_N_GT_D48_TO_WGS_1984_DOLENJSKA \
   "D48_To_WGS_1984_Dolenjska"
#define PE_N_GT_D48_TO_WGS_1984_GORENJSKA \
   "D48_To_WGS_1984_Gorenjska"
#define PE_N_GT_D48_TO_WGS_1984_JUZ_SLO \
   "D48_To_WGS_1984_Juzna_Slovenia"
#define PE_N_GT_D48_TO_WGS_1984_JV_SLO \
   "D48_To_WGS_1984_Jugovzhodna_Slovenia"
#define PE_N_GT_D48_TO_WGS_1984_OSR_SLO \
   "D48_To_WGS_1984_Osrednja_Slovenia"
#define PE_N_GT_D48_TO_WGS_1984_POMURJE \
   "D48_To_WGS_1984_Pomurje"
#define PE_N_GT_D48_TO_WGS_1984_PRIMORSKA \
   "D48_To_WGS_1984_Primorska"
#define PE_N_GT_D48_TO_WGS_1984_STAJERSKA \
   "D48_To_WGS_1984_Stajerska"
#define PE_N_GT_D48_TO_WGS_1984_SV_SLO \
   "D48_To_WGS_1984_Severovzhodna_Slovenia"
#define PE_N_GT_D48_TO_WGS_1984_ZAH_SLO \
   "D48_To_WGS_1984_Zahodna_Slovenia"
#define PE_N_GT_DABOLA_1981_TO_WGS_1984 \
   "Dabola_To_WGS_1984"
#define PE_N_GT_DATUM_73_TO_ETRS_1989_1 \
   "Datum_73_To_ETRS_1989_1"
#define PE_N_GT_DATUM_73_TO_ETRS_1989_2009_3PAR \
   "Datum_73_To_ETRS_1989_2009_3par"
#define PE_N_GT_DATUM_73_TO_ETRS_1989_2009_7PAR \
   "Datum_73_To_ETRS_1989_2009_7par"
#define PE_N_GT_DATUM_73_TO_ETRS_1989_3 \
   "Datum_73_To_ETRS_1989_3"
#define PE_N_GT_DATUM_73_TO_WGS_1984_1 \
   "Datum_73_To_WGS_1984_1"
#define PE_N_GT_DATUM_73_TO_WGS_1984_1_PRT2000 \
   "Datum_73_To_WGS_1984_1_Prt2000"
#define PE_N_GT_DATUM_73_TO_WGS_1984_2 \
   "Datum_73_To_WGS_1984_2"
#define PE_N_GT_DATUM_73_TO_WGS_1984_2009_3PAR \
   "Datum_73_To_WGS_1984_2009_3par"
#define PE_N_GT_DATUM_73_TO_WGS_1984_2009_7PAR \
   "Datum_73_To_WGS_1984_2009_7par"
#define PE_N_GT_DATUM_73_TO_WGS_1984_3 \
   "Datum_73_To_WGS_1984_3"
#define PE_N_GT_DATUM_73_TO_WGS_1984_4 \
   "Datum_73_To_WGS_1984_4"
#define PE_N_GT_DEALUL_PISCULUI_1933_TO_WGS_1984_1 \
   "Dealul_Piscului_1933_To_WGS_1984_1"
#define PE_N_GT_DEALUL_PISCULUI_1970_TO_WGS_1984_1 \
   "Dealul_Piscului_1970_To_WGS_1984_1"
#define PE_N_GT_DEALUL_PISCULUI_1970_TO_WGS_1984_2 \
   "Dealul_Piscului_1970_To_WGS_1984_2"
#define PE_N_GT_DECEPTION_ISLAND_TO_WGS_1984 \
   "Deception_Island_To_WGS_1984"
#define PE_N_GT_DEIR_EZ_ZOR_TO_WGS_1972_BE \
   "Deir_ez_Zor_To_WGS_1972_BE"
#define PE_N_GT_DEIR_EZ_ZOR_TO_WGS_1984_2 \
   "Deir_ez_Zor_To_WGS_1984_2"
#define PE_N_GT_DEIR_EZ_ZOR_TO_WGS_1984_3 \
   "Deir_ez_Zor_To_WGS_1984_3"
#define PE_N_GT_DEIR_EZ_ZOR_TO_WGS_1984_4 \
   "Deir_ez_Zor_To_WGS_1984_4"
#define PE_N_GT_DEIR_EZ_ZOR_TO_WGS_1984_5 \
   "Deir_ez_Zor_To_WGS_1984_5"
#define PE_N_GT_DEIR_EZ_ZOR_TO_WGS_1984_6 \
   "Deir_ez_Zor_To_WGS_1984_6"
#define PE_N_GT_DGN_1995_TO_WGS_1984_1 \
   "DGN_1995_To_WGS_1984_1"
#define PE_N_GT_DHDN_TO_ETRF_1989 \
   "DHDN_To_ETRF_1989"
#define PE_N_GT_DHDN_TO_ETRS_1989 \
   "DHDN_To_ETRS_1989"
#define PE_N_GT_DHDN_TO_ETRS_1989_2 \
   "DHDN_To_ETRS_1989_2"
#define PE_N_GT_DHDN_TO_ETRS_1989_3 \
   "DHDN_To_ETRS_1989_3"
#define PE_N_GT_DHDN_TO_ETRS_1989_4 \
   "DHDN_To_ETRS_1989_4"
#define PE_N_GT_DHDN_TO_ETRS_1989_5 \
   "DHDN_To_ETRS_1989_5"
#define PE_N_GT_DHDN_TO_ETRS_1989_6 \
   "DHDN_To_ETRS_1989_6"
#define PE_N_GT_DHDN_TO_ETRS_1989_7 \
   "DHDN_To_ETRS_1989_7"
#define PE_N_GT_DHDN_TO_ETRS_1989_8 \
   "DHDN_To_ETRS_1989_8_NTv2"
#define PE_N_GT_DHDN_TO_WGS_1984_1 \
   "DHDN_To_WGS_1984_1"
#define PE_N_GT_DHDN_TO_WGS_1984_2 \
   "DHDN_To_WGS_1984_2"
#define PE_N_GT_DHDN_TO_WGS_1984_3 \
   "DHDN_To_WGS_1984_3"
#define PE_N_GT_DHDN_TO_WGS_1984_3X \
   "DHDN_To_WGS_1984_3x"
#define PE_N_GT_DHDN_TO_WGS_1984_4 \
   "DHDN_To_WGS_1984_4_NTv2"
#define PE_N_GT_DHDN_TO_WGS_1984_4X \
   "DHDN_To_WGS_1984_4x"
#define PE_N_GT_DHDN_TO_WGS_1984_5X \
   "DHDN_To_WGS_1984_5x"
#define PE_N_GT_DHDN_TO_WGS_1984_6X \
   "DHDN_To_WGS_1984_6x"
#define PE_N_GT_DHDN_TO_WGS_1984_7X \
   "DHDN_To_WGS_1984_7x"
#define PE_N_GT_DOMINICA_1945_TO_WGS_1984 \
   "Dominica_1945_To_WGS_1984"
#define PE_N_GT_DOS_1968_TO_WGS_1984 \
   "DOS_1968_To_WGS_1984"
#define PE_N_GT_DOS_71_4_TO_WGS_1984 \
   "DOS_71_4_To_WGS_1984"
#define PE_N_GT_DOUALA_1948_TO_WGS_1984_1 \
   "Douala_1948_To_WGS_1984_1"
#define PE_N_GT_EASTER_ISLAND_1967_TO_WGS_1984 \
   "Easter_Island_1967_To_WGS_1984"
#define PE_N_GT_ED_1950_ED77_TO_WGS_1984 \
   "ED_1950_ED77_To_WGS_1984"
#define PE_N_GT_ED_1950_ED77_TO_WGS_1984_2 \
   "ED_1950_ED77_To_WGS_1984_2"
#define PE_N_GT_ED_1950_ED77_TO_WGS_1984_3 \
   "ED_1950_ED77_To_WGS_1984_3"
#define PE_N_GT_ED_1950_ED77_TO_WGS_1984_4 \
   "ED_1950_ED77_To_WGS_1984_4"
#define PE_N_GT_ED_1950_ED77_TO_WGS_1984_5 \
   "ED_1950_ED77_To_WGS_1984_5"
#define PE_N_GT_ED_1950_ED77_TO_WGS_1984_6 \
   "ED_1950_ED77_To_WGS_1984_6"
#define PE_N_GT_ED_1950_TO_ED_1987_2 \
   "ED_1950_To_ED_1987_2"
#define PE_N_GT_ED_1950_TO_ETRF_1989_1 \
   "ED_1950_To_ETRF_1989_1"
#define PE_N_GT_ED_1950_TO_ETRS_1989_1 \
   "ED_1950_To_ETRS_1989_1"
#define PE_N_GT_ED_1950_TO_ETRS_1989_10 \
   "ED_1950_To_ETRS_1989_10"
#define PE_N_GT_ED_1950_TO_ETRS_1989_12_NTV2_SPAIN_V2 \
   "ED_1950_To_ETRS_1989_12_NTv2_Spain_v2"
#define PE_N_GT_ED_1950_TO_ETRS_1989_4 \
   "ED_1950_To_ETRS_1989_4"
#define PE_N_GT_ED_1950_TO_ETRS_1989_5 \
   "ED_1950_To_ETRS_1989_5"
#define PE_N_GT_ED_1950_TO_ETRS_1989_6 \
   "ED_1950_To_ETRS_1989_6"
#define PE_N_GT_ED_1950_TO_ETRS_1989_7 \
   "ED_1950_To_ETRS_1989_7"
#define PE_N_GT_ED_1950_TO_ETRS_1989_8 \
   "ED_1950_To_ETRS_1989_8"
#define PE_N_GT_ED_1950_TO_ETRS_1989_9 \
   "ED_1950_To_ETRS_1989_9"
#define PE_N_GT_ED_1950_TO_ETRS_1989_NTV2_BALEARES \
   "ED_1950_To_ETRS_1989_NTv2_Baleares"
#define PE_N_GT_ED_1950_TO_ETRS_1989_NTV2_PENINSULA \
   "ED_1950_To_ETRS_1989_NTv2_Peninsula"
#define PE_N_GT_ED_1950_TO_WGS_1984_1 \
   "ED_1950_To_WGS_1984_1"
#define PE_N_GT_ED_1950_TO_WGS_1984_10 \
   "ED_1950_To_WGS_1984_10"
#define PE_N_GT_ED_1950_TO_WGS_1984_11 \
   "ED_1950_To_WGS_1984_11"
#define PE_N_GT_ED_1950_TO_WGS_1984_12 \
   "ED_1950_To_WGS_1984_12"
#define PE_N_GT_ED_1950_TO_WGS_1984_13 \
   "ED_1950_To_WGS_1984_13"
#define PE_N_GT_ED_1950_TO_WGS_1984_16 \
   "ED_1950_To_WGS_1984_16"
#define PE_N_GT_ED_1950_TO_WGS_1984_17 \
   "ED_1950_To_WGS_1984_17"
#define PE_N_GT_ED_1950_TO_WGS_1984_18 \
   "ED_1950_To_WGS_1984_18"
#define PE_N_GT_ED_1950_TO_WGS_1984_19 \
   "ED_1950_To_WGS_1984_19"
#define PE_N_GT_ED_1950_TO_WGS_1984_2 \
   "ED_1950_To_WGS_1984_2"
#define PE_N_GT_ED_1950_TO_WGS_1984_23 \
   "ED_1950_To_WGS_1984_23"
#define PE_N_GT_ED_1950_TO_WGS_1984_24 \
   "ED_1950_To_WGS_1984_24"
#define PE_N_GT_ED_1950_TO_WGS_1984_25 \
   "ED_1950_To_WGS_1984_25"
#define PE_N_GT_ED_1950_TO_WGS_1984_26 \
   "ED_1950_To_WGS_1984_26"
#define PE_N_GT_ED_1950_TO_WGS_1984_27 \
   "ED_1950_To_WGS_1984_27"
#define PE_N_GT_ED_1950_TO_WGS_1984_28 \
   "ED_1950_To_WGS_1984_28"
#define PE_N_GT_ED_1950_TO_WGS_1984_29 \
   "ED_1950_To_WGS_1984_29"
#define PE_N_GT_ED_1950_TO_WGS_1984_3 \
   "ED_1950_To_WGS_1984_3"
#define PE_N_GT_ED_1950_TO_WGS_1984_30 \
   "ED_1950_To_WGS_1984_30"
#define PE_N_GT_ED_1950_TO_WGS_1984_31 \
   "ED_1950_To_WGS_1984_31"
#define PE_N_GT_ED_1950_TO_WGS_1984_32 \
   "ED_1950_To_WGS_1984_32"
#define PE_N_GT_ED_1950_TO_WGS_1984_33 \
   "European_1950_To_WGS_1984_33"
#define PE_N_GT_ED_1950_TO_WGS_1984_34 \
   "ED_1950_To_WGS_1984_34"
#define PE_N_GT_ED_1950_TO_WGS_1984_36 \
   "ED_1950_To_WGS_1984_36"
#define PE_N_GT_ED_1950_TO_WGS_1984_37 \
   "ED_1950_To_WGS_1984_37"
#define PE_N_GT_ED_1950_TO_WGS_1984_38 \
   "ED_1950_To_WGS_1984_38"
#define PE_N_GT_ED_1950_TO_WGS_1984_39 \
   "ED_1950_To_WGS_1984_39"
#define PE_N_GT_ED_1950_TO_WGS_1984_4 \
   "ED_1950_To_WGS_1984_4"
#define PE_N_GT_ED_1950_TO_WGS_1984_41_NTV2_SPAIN_V2 \
   "ED_1950_To_WGS_1984_41_NTv2_Spain_v2"
#define PE_N_GT_ED_1950_TO_WGS_1984_42 \
   "ED_1950_To_WGS_1984_42"
#define PE_N_GT_ED_1950_TO_WGS_1984_5 \
   "ED_1950_To_WGS_1984_5"
#define PE_N_GT_ED_1950_TO_WGS_1984_6 \
   "ED_1950_To_WGS_1984_6"
#define PE_N_GT_ED_1950_TO_WGS_1984_7 \
   "ED_1950_To_WGS_1984_7"
#define PE_N_GT_ED_1950_TO_WGS_1984_8 \
   "ED_1950_To_WGS_1984_8"
#define PE_N_GT_ED_1950_TO_WGS_1984_9 \
   "ED_1950_To_WGS_1984_9"
#define PE_N_GT_ED_1950_TO_WGS_1984_NGA_7PAR \
   "ED_1950_To_WGS_1984_NGA_7PAR"
#define PE_N_GT_ED_1950_TO_WGS_1984_NTV2_BALEARES \
   "ED_1950_To_WGS_1984_NTv2_Baleares"
#define PE_N_GT_ED_1950_TO_WGS_1984_NTV2_PENINSULA \
   "ED_1950_To_WGS_1984_NTv2_Peninsula"
#define PE_N_GT_ED_1950_TO_WGS_1984_PT3 \
   "ED_1950_To_WGS_1984_PT3"
#define PE_N_GT_ED_1950_TO_WGS_1984_PT7 \
   "ED_1950_To_WGS_1984_PT7"
#define PE_N_GT_ED_1987_TO_ETRS_1989_1 \
   "ED_1987_To_ETRS_1989_1"
#define PE_N_GT_ED_1987_TO_WGS_1984_1 \
   "ED_1987_To_WGS_1984_1"
#define PE_N_GT_ED_1987_TO_WGS_1984_2 \
   "ED_1987_To_WGS_1984_2"
#define PE_N_GT_EGYPT_1907_TO_WGS_1972 \
   "Egypt_1907_To_WGS_1972"
#define PE_N_GT_EGYPT_1907_TO_WGS_1984 \
   "Egypt_1907_To_WGS_1984"
#define PE_N_GT_EGYPT_1907_TO_WGS_1984_3 \
   "Egypt_1907_To_WGS_1984_3"
#define PE_N_GT_EGYPT_GULF_SUEZ_S_650_TL_TO_WGS_1972_BE_1 \
   "Egypt_Gulf_of_Suez_S-650_TL_To_WGS_1972_BE_1"
#define PE_N_GT_EGYPT_GULF_SUEZ_S_650_TL_TO_WGS_1984_2 \
   "Egypt_Gulf_of_Suez_S-650_TL_To_WGS_1984_2"
#define PE_N_GT_ELD_1979_TO_LGD2006_1 \
   "ELD_1979_To_LGD2006_1"
#define PE_N_GT_ELD_1979_TO_WGS_1984_1 \
   "ELD_1979_To_WGS_1984_1"
#define PE_N_GT_ELD_1979_TO_WGS_1984_2 \
   "ELD_1979_To_WGS_1984_2"
#define PE_N_GT_ELD_1979_TO_WGS_1984_3 \
   "ELD_1979_To_WGS_1984_3"
#define PE_N_GT_ELD_1979_TO_WGS_1984_4 \
   "ELD_1979_To_WGS_1984_4"
#define PE_N_GT_ELD_1979_TO_WGS_1984_5 \
   "ELD_1979_To_WGS_1984_5"
#define PE_N_GT_ELD_1979_TO_WGS_1984_6 \
   "ELD_1979_To_WGS_1984_6"
#define PE_N_GT_ELD_1979_TO_WGS_1984_7 \
   "ELD_1979_To_WGS_1984_7"
#define PE_N_GT_ELD_1979_TO_WGS_1984_8 \
   "ELD_1979_To_WGS_1984_8"
#define PE_N_GT_ELD_1979_TO_WGS_1984_9 \
   "ELD_1979_To_WGS_1984_9"
#define PE_N_GT_ESTONIA_1937_TO_ETRS_1989 \
   "Estonia_1937_To_ETRS_1989"
#define PE_N_GT_ESTONIA_1937_TO_WGS_1984_NGA \
   "Estonia_1937_To_WGS_1984_NGA"
#define PE_N_GT_ESTONIA_1992_TO_ETRF_1989 \
   "Estonia_1992_To_ETRF_1989"
#define PE_N_GT_ESTONIA_1992_TO_ETRS_1989 \
   "Estonia_1992_To_ETRS_1989"
#define PE_N_GT_ESTONIA_1992_TO_WGS_1984 \
   "Estonia_1992_To_WGS_1984"
#define PE_N_GT_ESTONIA_1997_TO_ETRS_1989_1 \
   "Estonia_1997_To_ETRS_1989_1"
#define PE_N_GT_ESTONIA_1997_TO_WGS_1984_1 \
   "Estonia_1997_To_WGS_1984_1"
#define PE_N_GT_ETRF_1989_TO_WGS_1984 \
   "ETRF_1989_To_WGS_1984"
#define PE_N_GT_ETRS_1989_TO_NTF_3_NTV2 \
   "ETRS_1989_To_NTF_3_NTv2"
#define PE_N_GT_ETRS_1989_TO_WGS_1984 \
   "ETRS_1989_To_WGS_1984"
#define PE_N_GT_EUREF_FIN_TO_ETRS_1989 \
   "EUREF_FIN_To_ETRS_1989"
#define PE_N_GT_EUREF_FIN_TO_WGS_1984 \
   "EUREF_FIN_To_WGS_1984"
#define PE_N_GT_EUROPEAN_1979_TO_WGS_1984 \
   "European_1979_To_WGS_1984"
#define PE_N_GT_FAHUD_TO_WGS_1984 \
   "Fahud_To_WGS_1984"
#define PE_N_GT_FAHUD_TO_WGS_1984_2 \
   "Fahud_To_WGS_1984_2"
#define PE_N_GT_FATU_IVA_1972_TO_RGPF_1 \
   "Fatu_Iva_1972_To_RGPF_1"
#define PE_N_GT_FATU_IVA_1972_TO_WGS_1984_1 \
   "Fatu_Iva_1972_To_WGS_1984_1"
#define PE_N_GT_FD_1954_TO_ED_1950_1 \
   "FD_1954_To_ED_1950_1"
#define PE_N_GT_FD_1958_TO_WGS_1984 \
   "FD_1958_To_WGS_1984"
#define PE_N_GT_FD_1958_TO_WGS_1984_2 \
   "FD_1958_To_WGS_1984_2"
#define PE_N_GT_FD_1958_TO_WGS_1984_3 \
   "FD_1958_To_WGS_1984_3"
#define PE_N_GT_FIJI_1956_TO_WGS_1984_1 \
   "Fiji_1956_To_WGS_1984_1"
#define PE_N_GT_FIJI_1986_TO_WGS_1984_1 \
   "Fiji_1986_To_WGS_1984_1"
#define PE_N_GT_FIJI_1986_TO_WGS_1984_2 \
   "Fiji_1986_To_WGS_1984_2"
#define PE_N_GT_FORT_DESAIX_TO_WGS_1984_1 \
   "Fort_Desaix_To_WGS_1984_1"
#define PE_N_GT_FORT_DESAIX_TO_WGS_1984_2 \
   "Fort_Desaix_To_WGS_1984_2"
#define PE_N_GT_FORT_MARIGOT_TO_WGS_1984_1 \
   "Fort_Marigot_To_WGS_1984_1"
#define PE_N_GT_FORT_THOMAS_1955_TO_WGS_1984 \
   "Fort_Thomas_1955_To_WGS_1984"
#define PE_N_GT_GANDAJIKA_1970_TO_WGS_1984_1 \
   "Gandajika_1970_To_WGS_1984_1"
#define PE_N_GT_GAN_1970_TO_WGS_1984_1 \
   "Gan_1970_To_WGS_1984_1"
#define PE_N_GT_GAROUA_TO_WGS_1972_BE_1 \
   "Garoua_To_WGS_1972_BE_1"
#define PE_N_GT_GDA_1994_TO_WGS_1984 \
   "GDA_1994_To_WGS_1984"
#define PE_N_GT_GGRS_1987_TO_WGS_1984 \
   "GGRS_1987_To_WGS_1984"
#define PE_N_GT_GRACIOSA_1948_TO_PTRA08_1_3PAR \
   "Graciosa_1948_To_PTRA08_1_3par"
#define PE_N_GT_GRACIOSA_1948_TO_PTRA08_1_7PAR \
   "Graciosa_1948_To_PTRA08_1_7par"
#define PE_N_GT_GRACIOSA_1948_TO_PTRA08_2_3PAR \
   "Graciosa_1948_To_PTRA08_2_3par"
#define PE_N_GT_GRACIOSA_1948_TO_PTRA08_2_7PAR \
   "Graciosa_1948_To_PTRA08_2_7par"
#define PE_N_GT_GRACIOSA_1948_TO_PTRA08_3_3PAR \
   "Graciosa_1948_To_PTRA08_3_3par"
#define PE_N_GT_GRACIOSA_1948_TO_PTRA08_3_7PAR \
   "Graciosa_1948_To_PTRA08_3_7par"
#define PE_N_GT_GRACIOSA_1948_TO_PTRA08_4_3PAR \
   "Graciosa_1948_To_PTRA08_4_3par"
#define PE_N_GT_GRACIOSA_1948_TO_PTRA08_4_7PAR \
   "Graciosa_1948_To_PTRA08_4_7par"
#define PE_N_GT_GRACIOSA_1948_TO_PTRA08_5_3PAR \
   "Graciosa_1948_To_PTRA08_5_3par"
#define PE_N_GT_GRACIOSA_1948_TO_PTRA08_5_7PAR \
   "Graciosa_1948_To_PTRA08_5_7par"
#define PE_N_GT_GRACIOSA_1948_TO_PTRA08_6_3PAR \
   "Graciosa_1948_To_PTRA08_6_3par"
#define PE_N_GT_GRACIOSA_1948_TO_PTRA08_6_7PAR \
   "Graciosa_1948_To_PTRA08_6_7par"
#define PE_N_GT_GRACIOSA_1948_TO_WGS_1984_1 \
   "Graciosa_Base_SW_1948_To_WGS_1984_1"
#define PE_N_GT_GRACIOSA_1948_TO_WGS_1984_1_3PAR \
   "Graciosa_1948_To_WGS_1984_1_3par"
#define PE_N_GT_GRACIOSA_1948_TO_WGS_1984_1_7PAR \
   "Graciosa_1948_To_WGS_1984_1_7par"
#define PE_N_GT_GRACIOSA_1948_TO_WGS_1984_2 \
   "Graciosa_Base_SW_1948_To_WGS_1984_2"
#define PE_N_GT_GRACIOSA_1948_TO_WGS_1984_2_3PAR \
   "Graciosa_1948_To_WGS_1984_2_3par"
#define PE_N_GT_GRACIOSA_1948_TO_WGS_1984_2_7PAR \
   "Graciosa_1948_To_WGS_1984_2_7par"
#define PE_N_GT_GRACIOSA_1948_TO_WGS_1984_3_3PAR \
   "Graciosa_1948_To_WGS_1984_3_3par"
#define PE_N_GT_GRACIOSA_1948_TO_WGS_1984_3_7PAR \
   "Graciosa_1948_To_WGS_1984_3_7par"
#define PE_N_GT_GRACIOSA_1948_TO_WGS_1984_4_3PAR \
   "Graciosa_1948_To_WGS_1984_4_3par"
#define PE_N_GT_GRACIOSA_1948_TO_WGS_1984_4_7PAR \
   "Graciosa_1948_To_WGS_1984_4_7par"
#define PE_N_GT_GRACIOSA_1948_TO_WGS_1984_5_3PAR \
   "Graciosa_1948_To_WGS_1984_5_3par"
#define PE_N_GT_GRACIOSA_1948_TO_WGS_1984_5_7PAR \
   "Graciosa_1948_To_WGS_1984_5_7par"
#define PE_N_GT_GRACIOSA_1948_TO_WGS_1984_6_3PAR \
   "Graciosa_1948_To_WGS_1984_6_3par"
#define PE_N_GT_GRACIOSA_1948_TO_WGS_1984_6_7PAR \
   "Graciosa_1948_To_WGS_1984_6_7par"
#define PE_N_GT_GRAND_CAYMAN_1959_TO_WGS_1984_1 \
   "Grand_Cayman_1959_To_WGS_1984_1"
#define PE_N_GT_GREEK_ATHENS_TO_GREEK \
   "Greek_Athens_To_Greek"
#define PE_N_GT_GREEK_TO_GGRS_1987 \
   "Greek_To_GGRS_1987"
#define PE_N_GT_GREENLAND_1996_TO_WGS_1984_1 \
   "Greenland_1996_To_WGS_1984_1"
#define PE_N_GT_GRENADA_1953_TO_WGS_1984 \
   "Grenada_1953_To_WGS_1984"
#define PE_N_GT_GUAM_1963_TO_HARN_GU \
   "Guam_1963_To_HARN_Guam"
#define PE_N_GT_GUAM_1963_TO_HARN_MP_ROTA \
   "Guam_1963_To_HARN_Marianas_Rota"
#define PE_N_GT_GUAM_1963_TO_HARN_MP_SAIPAN \
   "Guam_1963_To_HARN_Marianas_Saipan"
#define PE_N_GT_GUAM_1963_TO_HARN_MP_TINIAN_AGUIJAN \
   "Guam_1963_To_HARN_Marianas_Tinian_Aguijan"
#define PE_N_GT_GUAM_1963_TO_NAD_1983_HARN_ROTA \
   "Guam_1963_To_NAD_1983_HARN_Rota"
#define PE_N_GT_GUAM_1963_TO_NAD_1983_HARN_SAIPAN \
   "Guam_1963_To_NAD_1983_HARN_Saipan"
#define PE_N_GT_GUAM_1963_TO_WGS_1984_1 \
   "Guam_1963_To_WGS_1984_1"
#define PE_N_GT_GUAM_1963_TO_WGS_1984_2 \
   "Guam_1963_To_WGS_1984_2"
#define PE_N_GT_GUAM_1963_TO_WGS_1984_SAIPAN \
   "Guam_1963_To_WGS_1984_Saipan"
#define PE_N_GT_GULSHAN_303_TO_WGS_1984_1 \
   "Gulshan_303_To_WGS_1984_1"
#define PE_N_GT_GUNUNG_SEGARA_JAKARTA_TO_GUNUNG_SEGARA \
   "Gunung_Segara_Jakarta_To_Gunung_Segara"
#define PE_N_GT_GUNUNG_SEGARA_TO_WGS_1984_1 \
   "Gunung_Segara_To_WGS_1984_1"
#define PE_N_GT_GUNUNG_SEGARA_TO_WGS_1984_2 \
   "Gunung_Segara_To_WGS_1984_2"
#define PE_N_GT_GUNUNG_SEGARA_TO_WGS_1984_3 \
   "Gunung_Segara_To_WGS_1984_3"
#define PE_N_GT_GUNUNG_SEGARA_TO_WGS_1984_4 \
   "Gunung_Segara_To_WGS_1984_4"
#define PE_N_GT_GUX_1_TO_WGS_1984 \
   "GUX_1_To_WGS_1984"
#define PE_N_GT_HANOI_1972_TO_WGS_1984 \
   "Hanoi_1972_To_WGS_1984"
#define PE_N_GT_HARTEBEESTHOEK94_TO_WGS_1984 \
   "Hartebeesthoek94_To_WGS_1984"
#define PE_N_GT_HD1909_TO_WGS_1984_1 \
   "HD1909_To_WGS_1984_1"
#define PE_N_GT_HELLE_1954_TO_WGS_1984_1 \
   "Helle_1954_To_WGS_1984_1"
#define PE_N_GT_HERAT_NORTH_TO_WGS_1984 \
   "Herat_North_To_WGS_1984"
#define PE_N_GT_HERMANNSKOGEL_TO_WGS_1984 \
   "Hermannskogel_To_WGS_1984"
#define PE_N_GT_HITO_XVIII_1963_TO_WGS_1984 \
   "Hito_XVIII_1963_To_WGS_1984"
#define PE_N_GT_HITO_XVIII_1963_TO_WGS_1984_2 \
   "Hito_XVIII_1963_To_WGS_1984_2"
#define PE_N_GT_HJORSEY_1955_TO_WGS_1984 \
   "Hjorsey_1955_To_WGS_1984"
#define PE_N_GT_HONG_KONG_1963_67_TO_WGS_1984_1 \
   "Hong_Kong_1963_67_To_WGS_1984"
#define PE_N_GT_HONG_KONG_1980_TO_ITRF_1996 \
   "Hong_Kong_1980_To_ITRF_1996"
#define PE_N_GT_HONG_KONG_1980_TO_WGS_1984_1 \
   "Hong_Kong_1980_To_WGS_1984_1"
#define PE_N_GT_HTRS96_TO_ETRS_1989_1 \
   "HTRS96_To_ETRS_1989_1"
#define PE_N_GT_HTRS96_TO_WGS_1984_1 \
   "HTRS96_To_WGS_1984_1"
#define PE_N_GT_HUNGARIAN_1972_TO_ETRF_1989_1 \
   "Hungarian_1972_To_ETRF_1989_1"
#define PE_N_GT_HUNGARIAN_1972_TO_ETRS_1989_1 \
   "Hungarian_1972_To_ETRS_1989_1"
#define PE_N_GT_HUNGARIAN_1972_TO_ETRS_1989_2 \
   "Hungarian_1972_To_ETRS_1989_2"
#define PE_N_GT_HUNGARIAN_1972_TO_WGS_1984_1 \
   "Hungarian_1972_To_WGS_1984_1"
#define PE_N_GT_HUNGARIAN_1972_TO_WGS_1984_2 \
   "Hungarian_1972_To_WGS_1984_2"
#define PE_N_GT_HUNGARIAN_1972_TO_WGS_1984_3 \
   "Hungarian_1972_To_WGS_1984_3"
#define PE_N_GT_HUNGARIAN_1972_TO_WGS_1984_4 \
   "Hungarian_1972_To_WGS_1984_4"
#define PE_N_GT_HU_TZU_SHAN_TO_WGS_1984 \
   "Hu_Tzu_Shan_To_WGS_1984"
#define PE_N_GT_IGCB_1955_TO_WGS_1984_1 \
   "IGCB_1955_To_WGS_1984_1"
#define PE_N_GT_IGM_1995_TO_ETRS_1989_1 \
   "IGM_1995_To_ETRS_1989_1"
#define PE_N_GT_IGM_1995_TO_WGS_1984_1 \
   "IGM_1995_To_WGS_1984_1"
#define PE_N_GT_IGN53_MARE_TO_RGNC_1991_93_1 \
   "IGN53_Mare_To_RGNC_1991-93_1"
#define PE_N_GT_IGN53_MARE_TO_RGNC_1991_93_2 \
   "IGN53_Mare_To_RGNC_1991-93_2"
#define PE_N_GT_IGN53_MARE_TO_WGS_1984_1 \
   "IGN53_Mare_To_WGS_1984_1"
#define PE_N_GT_IGN53_MARE_TO_WGS_1984_2 \
   "IGN53_Mare_To_WGS_1984_2"
#define PE_N_GT_IGN53_MARE_TO_WGS_1984_3 \
   "IGN53_Mare_To_WGS_1984_3"
#define PE_N_GT_IGN56_LIFOU_TO_RGNC_1991_93_1 \
   "IGN56_Lifou_To_RGNC_1991-93_1"
#define PE_N_GT_IGN56_LIFOU_TO_RGNC_1991_93_2 \
   "IGN56_Lifou_To_RGNC_1991-93_2"
#define PE_N_GT_IGN56_LIFOU_TO_WGS_1984_1 \
   "IGN56_Lifou_To_WGS_1984_1"
#define PE_N_GT_IGN56_LIFOU_TO_WGS_1984_2 \
   "IGN56_Lifou_To_WGS_1984_2"
#define PE_N_GT_IGN56_LIFOU_TO_WGS_1984_3 \
   "IGN56_Lifou_To_WGS_1984_3"
#define PE_N_GT_IGN63_HIVA_OA_TO_RGPF_1 \
   "IGN63_Hiva_Oa_To_RGPF_1"
#define PE_N_GT_IGN63_HIVA_OA_TO_RGPF_2 \
   "IGN63_Hiva_Oa_To_RGPF_2"
#define PE_N_GT_IGN63_HIVA_OA_TO_WGS_1984_1 \
   "IGN63_Hiva_Oa_To_WGS_1984_1"
#define PE_N_GT_IGN63_HIVA_OA_TO_WGS_1984_2 \
   "IGN63_Hiva_Oa_To_WGS_1984_2"
#define PE_N_GT_IGN72_GRANDE_TERRE_TO_RGNC_1991_93_1 \
   "IGN72_Grande_Terre_To_RGNC_1991-93_1"
#define PE_N_GT_IGN72_GRANDE_TERRE_TO_RGNC_1991_93_2 \
   "IGN72_Grande_Terre_To_RGNC_1991-93_2"
#define PE_N_GT_IGN72_GRANDE_TERRE_TO_RGNC_1991_93_3 \
   "IGN72_Grande_Terre_To_RGNC_1991-93_3"
#define PE_N_GT_IGN72_GRANDE_TERRE_TO_WGS_1984_1 \
   "IGN72_Grande_Terre_To_WGS_1984_1"
#define PE_N_GT_IGN72_GRANDE_TERRE_TO_WGS_1984_2 \
   "IGN72_Grande_Terre_To_WGS_1984_2"
#define PE_N_GT_IGN72_GRANDE_TERRE_TO_WGS_1984_3 \
   "IGN72_Grande_Terre_To_WGS_1984_3"
#define PE_N_GT_IGN72_NUKU_HIVA_TO_RGPF_1 \
   "IGN72_Nuku_Hiva_To_RGPF_1"
#define PE_N_GT_IGN72_NUKU_HIVA_TO_RGPF_2 \
   "IGN72_Nuku_Hiva_To_RGPF_2"
#define PE_N_GT_IGN72_NUKU_HIVA_TO_RGPF_3 \
   "IGN72_Nuku_Hiva_To_RGPF_3"
#define PE_N_GT_IGN72_NUKU_HIVA_TO_WGS_1984_1 \
   "IGN72_Nuku_Hiva_To_WGS_1984_1"
#define PE_N_GT_IGN72_NUKU_HIVA_TO_WGS_1984_2 \
   "IGN72_Nuku_Hiva_To_WGS_1984_2"
#define PE_N_GT_IGN72_NUKU_HIVA_TO_WGS_1984_3 \
   "IGN72_Nuku_Hiva_To_WGS_1984_3"
#define PE_N_GT_IGN72_NUKU_HIVA_TO_WGS_1984_4 \
   "IGN72_Nuku_Hiva_To_WGS_1984_4"
#define PE_N_GT_IGRS_TO_WGS_1984_1 \
   "IGRS_To_WGS_1984_1"
#define PE_N_GT_IKBD_1992_TO_WGS_1984_1 \
   "IKBD_1992_To_WGS_1984_1"
#define PE_N_GT_INDIAN_1954_TO_WGS_1984 \
   "Indian_1954_To_WGS_1984"
#define PE_N_GT_INDIAN_1960_TO_WGS_1972_BE \
   "Indian_1960_To_WGS_1972_BE"
#define PE_N_GT_INDIAN_1960_TO_WGS_1984_1 \
   "Indian_1960_To_WGS_1984_1"
#define PE_N_GT_INDIAN_1960_TO_WGS_1984_2 \
   "Indian_1960_To_WGS_1984_2"
#define PE_N_GT_INDIAN_1960_TO_WGS_1984_3 \
   "Indian_1960_To_WGS_1984_3"
#define PE_N_GT_INDIAN_1975_TO_WGS_1984 \
   "Indian_1975_To_WGS_1984"
#define PE_N_GT_INDIAN_1975_TO_WGS_1984_2 \
   "Indian_1975_To_WGS_1984_2"
#define PE_N_GT_INDIAN_1975_TO_WGS_1984_3 \
   "Indian_1975_To_WGS_1984_3"
#define PE_N_GT_INDIAN_1975_TO_WGS_1984_4 \
   "Indian_1975_To_WGS_1984_4"
#define PE_N_GT_INDONESIAN_1974_TO_DGN_1995_1 \
   "Indonesian_1974_To_DGN_1995_1"
#define PE_N_GT_INDONESIAN_1974_TO_WGS_1984 \
   "Indonesian_1974_To_WGS_1984"
#define PE_N_GT_INDONESIAN_1974_TO_WGS_1984_2 \
   "Indonesian_1974_To_WGS_1984_2"
#define PE_N_GT_INDONESIAN_1974_TO_WGS_1984_3 \
   "Indonesian_1974_To_WGS_1984_3"
#define PE_N_GT_IRENET95_TO_ETRF_1989 \
   "IRENET95_To_ETRF_1989"
#define PE_N_GT_IRENET95_TO_ETRS_1989 \
   "IRENET95_To_ETRS_1989"
#define PE_N_GT_IRENET95_TO_WGS_1984_1 \
   "IRENET95_To_WGS_1984_1"
#define PE_N_GT_ISN_1993_TO_ISN_2004 \
   "ISN_1993_To_ISN_2004"
#define PE_N_GT_ISN_1993_TO_WGS_1984_1 \
   "ISN_1993_To_WGS_1984_1"
#define PE_N_GT_ISN_2004_TO_ISN_1993 \
   "ISN_2004_To_ISN_1993"
#define PE_N_GT_ISRAEL_TO_WGS_1984 \
   "Israel_To_WGS_1984"
#define PE_N_GT_ISTS_061_1968_TO_WGS_1984 \
   "ISTS_061_1968_To_WGS_1984"
#define PE_N_GT_ISTS_073_1969_TO_WGS_1984 \
   "ISTS_073_1969_To_WGS_1984"
#define PE_N_GT_ITRF_1988_TO_ITRF_2000_1 \
   "ITRF_1988_To_ITRF_2000_1"
#define PE_N_GT_ITRF_1989_TO_ITRF_2000_1 \
   "ITRF_1989_To_ITRF_2000_1"
#define PE_N_GT_ITRF_1990_TO_ITRF_2000_1 \
   "ITRF_1990_To_ITRF_2000_1"
#define PE_N_GT_ITRF_1991_TO_ITRF_2000_1 \
   "ITRF_1991_To_ITRF_2000_1"
#define PE_N_GT_ITRF_1992_TO_ITRF_2000_1 \
   "ITRF_1992_To_ITRF_2000_1"
#define PE_N_GT_ITRF_1993_TO_ITRF_2000_1 \
   "ITRF_1993_To_ITRF_2000_1"
#define PE_N_GT_ITRF_1994_TO_ITRF_2000_1 \
   "ITRF_1994_To_ITRF_2000_1"
#define PE_N_GT_ITRF_1996_TO_ITRF_2000_1 \
   "ITRF_1996_To_ITRF_2000_1"
#define PE_N_GT_ITRF_1997_TO_ITRF_2000_1 \
   "ITRF_1997_To_ITRF_2000_1"
#define PE_N_GT_ITRF_2000_TO_ITRF_2005_1 \
   "ITRF_2000_To_ITRF_2005_1"
#define PE_N_GT_ITRF_2000_TO_NAD_1983_CORS96 \
   "ITRF_2000_To_NAD_1983_CORS96"
#define PE_N_GT_ITRF_2000_TO_NAD_1983_HARN \
   "ITRF_2000_To_NAD_1983_HARN"
#define PE_N_GT_ITRF_2000_TO_WGS_1984 \
   "ITRF_2000_To_WGS_1984"
#define PE_N_GT_JAD_2001_TO_WGS_1984 \
   "JAD_2001_To_WGS_1984"
#define PE_N_GT_JAMAICA_1969_TO_JAD_2001_1 \
   "Jamaica_1969_To_JAD_2001_1"
#define PE_N_GT_JAMAICA_1969_TO_WGS_1972_1 \
   "Jamaica_1969_To_WGS_1972_1"
#define PE_N_GT_JAMAICA_1969_TO_WGS_1972_2 \
   "Jamaica_1969_To_WGS_1972_2"
#define PE_N_GT_JAMAICA_1969_TO_WGS_1984_1 \
   "Jamaica_1969_To_WGS_1984_1"
#define PE_N_GT_JAMAICA_1969_TO_WGS_1984_2 \
   "Jamaica_1969_To_WGS_1984_2"
#define PE_N_GT_JAMAICA_1969_TO_WGS_1984_3 \
   "Jamaica_1969_To_WGS_1984_3"
#define PE_N_GT_JGD_2000_TO_WGS_1984 \
   "JGD_2000_To_WGS_1984"
#define PE_N_GT_JGD_2000_TO_WGS_1984_1 \
   "JGD_2000_To_WGS_1984_1"
#define PE_N_GT_JOHNSTON_ISLAND_1961_TO_WGS_1984 \
   "Johnston_Island_1961_To_WGS_1984"
#define PE_N_GT_JORDAN_TO_WGS_1984 \
   "Jordan_To_WGS_1984"
#define PE_N_GT_JOUIK_1961_TO_WGS_1984_1 \
   "Jouik_1961_To_WGS_1984_1"
#define PE_N_GT_KALIANPUR_1937_TO_WGS_1984_1 \
   "Kalianpur_1937_To_WGS_1984_1"
#define PE_N_GT_KALIANPUR_1937_TO_WGS_1984_2 \
   "Kalianpur_1937_To_WGS_1984_2"
#define PE_N_GT_KALIANPUR_1962_TO_WGS_1984_1 \
   "Kalianpur_1962_To_WGS_1984_1"
#define PE_N_GT_KALIANPUR_1962_TO_WGS_1984_2 \
   "Kalianpur_1962_To_WGS_1984_2"
#define PE_N_GT_KALIANPUR_1962_TO_WGS_1984_3 \
   "Kalianpur_1962_To_WGS_1984_3"
#define PE_N_GT_KALIANPUR_1962_TO_WGS_1984_4 \
   "Kalianpur_1962_To_WGS_1984_4"
#define PE_N_GT_KALIANPUR_1962_TO_WGS_1984_5 \
   "Kalianpur_1962_To_WGS_1984_5"
#define PE_N_GT_KALIANPUR_1962_TO_WGS_1984_6 \
   "Kalianpur_1962_To_WGS_1984_6"
#define PE_N_GT_KALIANPUR_1975_TO_WGS_1984_1 \
   "Kalianpur_1975_To_WGS_1984_1"
#define PE_N_GT_KANDAWALA_TO_WGS_1984 \
   "Kandawala_To_WGS_1984"
#define PE_N_GT_KARBALA_1979_POLSERVICE_TO_WGS_1984_1 \
   "Karbala_1979_Polservice_To_WGS_1984_1"
#define PE_N_GT_KATANGA_1955_TO_RGRDC_2005_1 \
   "Katanga_1955_To_RGRDC_2005_1"
#define PE_N_GT_KATANGA_1955_TO_RGRDC_2005_2 \
   "Katanga_1955_To_RGRDC_2005_2"
#define PE_N_GT_KATANGA_1955_TO_WGS_1984_1 \
   "Katanga_1955_To_WGS_1984_1"
#define PE_N_GT_KATANGA_1955_TO_WGS_1984_2 \
   "Katanga_1955_To_WGS_1984_2"
#define PE_N_GT_KERGUELEN_ISLAND_1949_TO_WGS_1984_1 \
   "Kerguelen_Island_1949_To_WGS_1984_1"
#define PE_N_GT_KERTAU_RSO_TO_KERTAU_1 \
   "Kertau_RSO_To_Kertau_1"
#define PE_N_GT_KERTAU_TO_WGS_1984 \
   "Kertau_To_WGS_1984"
#define PE_N_GT_KKJ_TO_ETRS_1989_1 \
   "KKJ_To_ETRS_1989_1_Old"
#define PE_N_GT_KKJ_TO_ETRS_1989_2 \
   "KKJ_To_ETRS_1989_2"
#define PE_N_GT_KKJ_TO_EUREF_FIN \
   "KKJ_To_EUREF_FIN"
#define PE_N_GT_KKJ_TO_WGS_1984_1 \
   "KKJ_To_WGS_1984_1_Old"
#define PE_N_GT_KKJ_TO_WGS_1984_2 \
   "KKJ_To_WGS_1984_2_JHS153"
#define PE_N_GT_KOC_TO_WGS_1984_1 \
   "KOC_To_WGS_1984_1"
#define PE_N_GT_KOREAN_1995_TO_WGS_1984_1 \
   "Korean_1995_To_WGS_1984_1"
#define PE_N_GT_KOREA_2000_TO_WGS_1984_1 \
   "Korea_2000_To_WGS_1984_1"
#define PE_N_GT_KOUSSERI_TO_WGS_1972_BE_1 \
   "Kousseri_To_WGS_1972_BE_1"
#define PE_N_GT_KUDAMS_TO_WGS_1984_1 \
   "KUDAMS_To_WGS_1984_1"
#define PE_N_GT_KUDAMS_TO_WGS_1984_2 \
   "KUDAMS_To_WGS_1984_2"
#define PE_N_GT_KUSAIE_1951_TO_WGS_1984 \
   "Kusaie_1951_To_WGS_1984"
#define PE_N_GT_LAO_1993_TO_LAO_1997_1 \
   "Lao_1993_To_Lao_1997_1"
#define PE_N_GT_LAO_1997_TO_WGS_1984_1 \
   "Lao_1997_To_WGS_1984_1"
#define PE_N_GT_LA_CANOA_TO_REGVEN_1 \
   "La_Canoa_To_REGVEN_1"
#define PE_N_GT_LA_CANOA_TO_SIRGAS \
   "La_Canoa_To_SIRGAS"
#define PE_N_GT_LA_CANOA_TO_WGS_1984 \
   "La_Canoa_To_WGS_1984"
#define PE_N_GT_LA_CANOA_TO_WGS_1984_2 \
   "La_Canoa_To_WGS_1984_2"
#define PE_N_GT_LC5_1961_TO_WGS_1984 \
   "LC5_1961_To_WGS_1984"
#define PE_N_GT_LEIGON_TO_WGS_1984 \
   "Leigon_To_WGS_1984"
#define PE_N_GT_LE_POUCE_1934_TO_WGS_1984_1 \
   "Le_Pouce_1934_To_WGS_1984_1"
#define PE_N_GT_LGD2006_TO_WGS_1984_1 \
   "LGD2006_To_WGS_1984_1"
#define PE_N_GT_LIBERIA_1964_TO_WGS_1984 \
   "Liberia_1964_To_WGS_1984"
#define PE_N_GT_LISBOA_BESSEL_TO_WGS_1984_1 \
   "Datum_Lisboa_Bessel_To_WGS_1984_1"
#define PE_N_GT_LISBOA_BESSEL_TO_WGS_1984_2 \
   "Datum_Lisboa_Bessel_To_WGS_1984_2"
#define PE_N_GT_LISBOA_HAYFORD_TO_DATUM_73_1 \
   "Datum_Lisboa_Hayford_To_Datum_73_1"
#define PE_N_GT_LISBOA_HAYFORD_TO_DATUM_73_2 \
   "Datum_Lisboa_Hayford_To_Datum_73_2"
#define PE_N_GT_LISBOA_HAYFORD_TO_ETRS_1989_2009_3PAR \
   "Datum_Lisboa_Hayford_To_ETRS_1989_2009_3par"
#define PE_N_GT_LISBOA_HAYFORD_TO_ETRS_1989_2009_7PAR \
   "Datum_Lisboa_Hayford_To_ETRS_1989_2009_7par"
#define PE_N_GT_LISBOA_HAYFORD_TO_LISBOA_BESSEL_1 \
   "Datum_Lisboa_Hayford_To_Datum_Lisboa_Bessel_1"
#define PE_N_GT_LISBOA_HAYFORD_TO_LISBOA_BESSEL_2 \
   "Datum_Lisboa_Hayford_To_Datum_Lisboa_Bessel_2"
#define PE_N_GT_LISBOA_HAYFORD_TO_WGS_1984_1 \
   "Datum_Lisboa_Hayford_To_WGS_1984_1"
#define PE_N_GT_LISBOA_HAYFORD_TO_WGS_1984_2 \
   "Datum_Lisboa_Hayford_To_WGS_1984_2"
#define PE_N_GT_LISBOA_HAYFORD_TO_WGS_1984_2009_3PAR \
   "Datum_Lisboa_Hayford_To_WGS_1984_2009_3par"
#define PE_N_GT_LISBOA_HAYFORD_TO_WGS_1984_2009_7PAR \
   "Datum_Lisboa_Hayford_To_WGS_1984_2009_7par"
#define PE_N_GT_LISBON_1890_LISBON_TO_LISBON_1890 \
   "Lisbon_1890_Lisbon_To_Lisbon"
#define PE_N_GT_LISBON_1890_TO_WGS_1984_1 \
   "Lisbon_1890_To_WGS_1984_1"
#define PE_N_GT_LISBON_1890_TO_WGS_1984_2 \
   "Lisbon_1890_To_WGS_1984_2"
#define PE_N_GT_LISBON_LISBON_TO_LISBON \
   "Lisbon_Lisbon_To_Lisbon"
#define PE_N_GT_LISBON_TO_ETRS_1989_1 \
   "Lisbon_To_ETRS_1989_1"
#define PE_N_GT_LISBON_TO_ETRS_1989_2 \
   "Lisbon_To_ETRS_1989_2"
#define PE_N_GT_LISBON_TO_WGS_1984_1 \
   "Lisbon_To_WGS_1984_1"
#define PE_N_GT_LISBON_TO_WGS_1984_2 \
   "Lisbon_To_WGS_1984_2"
#define PE_N_GT_LISBON_TO_WGS_1984_3 \
   "Lisbon_To_WGS_1984_3"
#define PE_N_GT_LISBON_TO_WGS_1984_4 \
   "Lisbon_To_WGS_1984_4"
#define PE_N_GT_LITTLE_CAYMAN_1961_TO_WGS_1984_1 \
   "Little_Cayman_1961_To_WGS_1984_1"
#define PE_N_GT_LITTLE_CAYMAN_1961_TO_WGS_1984_2 \
   "Little_Cayman_1961_To_WGS_1984_2"
#define PE_N_GT_LKS_1992_TO_WGS_1984_1 \
   "LKS_1992_To_WGS_1984_1"
#define PE_N_GT_LKS_1994_TO_WGS_1984 \
   "LKS_1994_To_WGS_1984"
#define PE_N_GT_LOCODJO_1965_TO_WGS_1984 \
   "Locodjo_1965_To_WGS_1984"
#define PE_N_GT_LUXEMBOURG_1930_TO_ETRS_1989_1 \
   "Luxembourg_1930_To_ETRS_1989_1"
#define PE_N_GT_LUXEMBOURG_1930_TO_ETRS_1989_2 \
   "Luxembourg_1930_To_ETRS_1989_2"
#define PE_N_GT_LUXEMBOURG_1930_TO_WGS_1984_1 \
   "Luxembourg_1930_To_WGS_1984_1"
#define PE_N_GT_LUXEMBOURG_1930_TO_WGS_1984_2 \
   "Luxembourg_1930_To_WGS_1984_2"
#define PE_N_GT_LUZON_1911_TO_WGS_1984_1 \
   "Luzon_1911_To_WGS_1984_1"
#define PE_N_GT_LUZON_1911_TO_WGS_1984_2 \
   "Luzon_1911_To_WGS_1984_2"
#define PE_N_GT_MAGNA_TO_SIRGAS \
   "MAGNA_To_SIRGAS"
#define PE_N_GT_MAGNA_TO_WGS_1984_1 \
   "MAGNA_To_WGS_1984_1"
#define PE_N_GT_MAHE_1971_TO_WGS_1984 \
   "Mahe_1971_To_WGS_1984"
#define PE_N_GT_MAJURO_TO_NAD_1983 \
   "Majuro_To_NAD_1983"
#define PE_N_GT_MAKASSAR_JAKARTA_TO_MAKASSAR \
   "Makassar_Jakarta_To_Makassar"
#define PE_N_GT_MAKASSAR_TO_WGS_1984_1 \
   "Makassar_To_WGS_1984_1"
#define PE_N_GT_MALONGO_1987_TO_MHAST_1 \
   "Malongo_To_Mhast_1"
#define PE_N_GT_MALONGO_1987_TO_WGS_1984_1 \
   "Malongo_1987_To_WGS_1984_1"
#define PE_N_GT_MALONGO_1987_TO_WGS_1984_2 \
   "Malongo_1987_To_WGS_1984_2"
#define PE_N_GT_MALONGO_1987_TO_WGS_1984_3 \
   "Malongo_1987_To_WGS_1984_3"
#define PE_N_GT_MANOCA_1962_TO_WGS_1972_BE_1 \
   "Manoca_1962_To_WGS_1972_BE_1"
#define PE_N_GT_MANOCA_1962_TO_WGS_1984_1 \
   "Manoca_1962_To_WGS_1984_1"
#define PE_N_GT_MANOCA_TO_WGS_1984_1 \
   "Manoca_To_WGS_1984_1"
#define PE_N_GT_MASSAWA_TO_WGS_1984 \
   "Massawa_To_WGS_1984"
#define PE_N_GT_MAUPITI_1983_TO_RGPF_1 \
   "Maupiti_1983_To_RGPF_1"
#define PE_N_GT_MAUPITI_1983_TO_WGS_1984_1 \
   "Maupiti_1983_To_WGS_1984_1"
#define PE_N_GT_MAURITANIA_1999_TO_WGS_1984_1 \
   "Mauritania_1999_To_WGS_1984_1"
#define PE_N_GT_MERCHICH_DEGREE_TO_WGS_1984 \
   "Merchich_Degree_To_WGS_1984"
#define PE_N_GT_MERCHICH_TO_WGS_1984 \
   "Merchich_To_WGS_1984"
#define PE_N_GT_MEXICAN_DATUM_1993_TO_WGS_1984_1 \
   "Mexican_Datum_1993_To_WGS_1984_1"
#define PE_N_GT_MGI_1901_TO_ETRS_1989_2 \
   "MGI_1901_To_ETRS_1989_2"
#define PE_N_GT_MGI_1901_TO_ETRS_1989_3 \
   "MGI_1901_To_ETRS_1989_3"
#define PE_N_GT_MGI_1901_TO_SLOVENIA_1996_1 \
   "MGI_1901_To_Slovenia_1996_1"
#define PE_N_GT_MGI_1901_TO_SLOVENIA_1996_10 \
   "MGI_1901_To_Slovenia_1996_10"
#define PE_N_GT_MGI_1901_TO_SLOVENIA_1996_11 \
   "MGI_1901_To_Slovenia_1996_11"
#define PE_N_GT_MGI_1901_TO_SLOVENIA_1996_2 \
   "MGI_1901_To_Slovenia_1996_2"
#define PE_N_GT_MGI_1901_TO_SLOVENIA_1996_3 \
   "MGI_1901_To_Slovenia_1996_3"
#define PE_N_GT_MGI_1901_TO_SLOVENIA_1996_4 \
   "MGI_1901_To_Slovenia_1996_4"
#define PE_N_GT_MGI_1901_TO_SLOVENIA_1996_5 \
   "MGI_1901_To_Slovenia_1996_5"
#define PE_N_GT_MGI_1901_TO_SLOVENIA_1996_6 \
   "MGI_1901_To_Slovenia_1996_6"
#define PE_N_GT_MGI_1901_TO_SLOVENIA_1996_7 \
   "MGI_1901_To_Slovenia_1996_7"
#define PE_N_GT_MGI_1901_TO_SLOVENIA_1996_8 \
   "MGI_1901_To_Slovenia_1996_8"
#define PE_N_GT_MGI_1901_TO_SLOVENIA_1996_9 \
   "MGI_1901_To_Slovenia_1996_9"
#define PE_N_GT_MGI_1901_TO_WGS_1984_1 \
   "MGI_1901_To_WGS_1984_1"
#define PE_N_GT_MGI_1901_TO_WGS_1984_4 \
   "MGI_1901_To_WGS_1984_4"
#define PE_N_GT_MGI_1901_TO_WGS_1984_5 \
   "MGI_1901_To_WGS_1984_5"
#define PE_N_GT_MGI_1901_TO_WGS_1984_6 \
   "MGI_1901_To_WGS_1984_6"
#define PE_N_GT_MGI_1901_TO_WGS_1984_9 \
   "MGI_1901_To_WGS_1984_9"
#define PE_N_GT_MGI_FERRO_TO_MGI \
   "MGI_Ferro_To_MGI"
#define PE_N_GT_MGI_FERRO_TO_WGS_1984 \
   "MGI_Ferro_To_WGS_1984"
#define PE_N_GT_MGI_TO_ETRS_1989_1 \
   "MGI_To_ETRS_1989_1"
#define PE_N_GT_MGI_TO_ETRS_1989_2 \
   "MGI_To_ETRS_1989_2"
#define PE_N_GT_MGI_TO_ETRS_1989_3 \
   "MGI_To_ETRS_1989_3"
#define PE_N_GT_MGI_TO_ETRS_1989_4 \
   "MGI_To_ETRS_1989_4"
#define PE_N_GT_MGI_TO_WGS_1984 \
   "MGI_To_WGS_1984"
#define PE_N_GT_MGI_TO_WGS_1984_2 \
   "MGI_To_WGS_1984_2"
#define PE_N_GT_MGI_TO_WGS_1984_3 \
   "MGI_To_WGS_1984_3"
#define PE_N_GT_MGI_TO_WGS_1984_4 \
   "MGI_To_WGS_1984_4"
#define PE_N_GT_MGI_TO_WGS_1984_5 \
   "MGI_To_WGS_1984_5"
#define PE_N_GT_MGI_TO_WGS_1984_6 \
   "MGI_To_WGS_1984_6"
#define PE_N_GT_MGI_TO_WGS_1984_7 \
   "MGI_To_WGS_1984_7"
#define PE_N_GT_MGI_TO_WGS_1984_8 \
   "MGI_To_WGS_1984_8"
#define PE_N_GT_MHAST_OFFSHORE_TO_WGS_1972_BE_1 \
   "Mhast_offshore_To_WGS_1972_BE_1"
#define PE_N_GT_MHAST_TO_WGS_1984_1 \
   "Mhast_To_WGS_1984_1"
#define PE_N_GT_MIDWAY_1961_TO_WGS_1984 \
   "Midway_1961_To_WGS_1984"
#define PE_N_GT_MIDWAY_1961_TO_WGS_1984_OLD \
   "Midway_1961_To_WGS_1984_Old"
#define PE_N_GT_MINNA_TO_WGS_1984_1 \
   "Minna_To_WGS_1984_1"
#define PE_N_GT_MINNA_TO_WGS_1984_10 \
   "Minna_To_WGS_1984_10"
#define PE_N_GT_MINNA_TO_WGS_1984_11 \
   "Minna_To_WGS_1984_11"
#define PE_N_GT_MINNA_TO_WGS_1984_12 \
   "Minna_To_WGS_1984_12"
#define PE_N_GT_MINNA_TO_WGS_1984_13 \
   "Minna_To_WGS_1984_13"
#define PE_N_GT_MINNA_TO_WGS_1984_14 \
   "Minna_To_WGS_1984_14"
#define PE_N_GT_MINNA_TO_WGS_1984_15 \
   "Minna_To_WGS_1984_15"
#define PE_N_GT_MINNA_TO_WGS_1984_2 \
   "Minna_To_WGS_1984_2"
#define PE_N_GT_MINNA_TO_WGS_1984_3 \
   "Minna_To_WGS_1984_3"
#define PE_N_GT_MINNA_TO_WGS_1984_4 \
   "Minna_To_WGS_1984_4"
#define PE_N_GT_MINNA_TO_WGS_1984_6 \
   "Minna_To_WGS_1984_6"
#define PE_N_GT_MINNA_TO_WGS_1984_7 \
   "Minna_To_WGS_1984_7"
#define PE_N_GT_MINNA_TO_WGS_1984_8 \
   "Minna_To_WGS_1984_8"
#define PE_N_GT_MINNA_TO_WGS_1984_9 \
   "Minna_To_WGS_1984_9"
#define PE_N_GT_MONREF_1997_TO_MSK_1942_1 \
   "MONREF_1997_To_MSK_1942_1"
#define PE_N_GT_MONREF_1997_TO_MSK_1942_2 \
   "MONREF_1997_To_MSK_1942_2"
#define PE_N_GT_MONREF_1997_TO_PULKOVO_1942_1 \
   "MONREF_1997_To_Pulkovo_1942_1"
#define PE_N_GT_MONREF_1997_TO_PULKOVO_1942_2 \
   "MONREF_1997_To_Pulkovo_1942_2"
#define PE_N_GT_MONTE_MARIO_ROME_TO_MONTE_MARIO \
   "Monte_Mario_Rome_To_Monte_Mario"
#define PE_N_GT_MONTE_MARIO_ROME_TO_WGS_1984 \
   "Monte_Mario_Rome_To_WGS_1984"
#define PE_N_GT_MONTE_MARIO_TO_ETRS_1989_1 \
   "Monte_Mario_To_ETRS_1989_1"
#define PE_N_GT_MONTE_MARIO_TO_ETRS_1989_2 \
   "Monte_Mario_To_ETRS_1989_2"
#define PE_N_GT_MONTE_MARIO_TO_ETRS_1989_3 \
   "Monte_Mario_To_ETRS_1989_3"
#define PE_N_GT_MONTE_MARIO_TO_WGS_1984 \
   "Monte_Mario_To_WGS_1984"
#define PE_N_GT_MONTE_MARIO_TO_WGS_1984_10 \
   "Monte_Mario_To_WGS_1984_10"
#define PE_N_GT_MONTE_MARIO_TO_WGS_1984_11 \
   "Monte_Mario_To_WGS_1984_11"
#define PE_N_GT_MONTE_MARIO_TO_WGS_1984_2 \
   "Monte_Mario_To_WGS_1984_2"
#define PE_N_GT_MONTE_MARIO_TO_WGS_1984_3 \
   "Monte_Mario_To_WGS_1984_3"
#define PE_N_GT_MONTE_MARIO_TO_WGS_1984_4 \
   "Monte_Mario_To_WGS_1984_4"
#define PE_N_GT_MONTE_MARIO_TO_WGS_1984_5 \
   "Monte_Mario_To_WGS_1984_5"
#define PE_N_GT_MONTE_MARIO_TO_WGS_1984_6 \
   "Monte_Mario_To_WGS_1984_6"
#define PE_N_GT_MONTE_MARIO_TO_WGS_1984_7 \
   "Monte_Mario_To_WGS_1984_7"
#define PE_N_GT_MONTE_MARIO_TO_WGS_1984_8 \
   "Monte_Mario_To_WGS_1984_8"
#define PE_N_GT_MONTE_MARIO_TO_WGS_1984_9 \
   "Monte_Mario_To_WGS_1984_9"
#define PE_N_GT_MONTSERRAT_1958_TO_WGS_1984 \
   "Montserrat_1958_To_WGS_1984"
#define PE_N_GT_MOOREA_1987_TO_RGPF_1 \
   "Moorea_1987_To_RGPF_1"
#define PE_N_GT_MOOREA_1987_TO_WGS_1984_1 \
   "Moorea_1987_To_WGS_1984_1"
#define PE_N_GT_MOP78_TO_WGS_1984_1 \
   "MOP78_To_WGS_1984_1"
#define PE_N_GT_MOP78_TO_WGS_1984_2 \
   "MOP78_To_WGS_1984_2"
#define PE_N_GT_MOZNET_TO_WGS_1984 \
   "Moznet_To_WGS_1984"
#define PE_N_GT_MPORALOKO_TO_WGS_1984 \
   "Mporaloko_To_WGS_1984"
#define PE_N_GT_MPORALOKO_TO_WGS_1984_2 \
   "Mporaloko_To_WGS_1984_2"
#define PE_N_GT_NAD_1927_CGQ77_TO_NAD_1983_2 \
   "NAD_1927_CGQ77_To_NAD_1983_2"
#define PE_N_GT_NAD_1927_CGQ77_TO_NAD_1983_CSRS \
   "NAD_1927_CGQ77_To_NAD_1983_CSRS"
#define PE_N_GT_NAD_1927_CGQ77_TO_WGS_1984_3 \
   "NAD_1927_CGQ77_To_WGS_1984_3"
#define PE_N_GT_NAD_1927_DEF_1976_TO_NAD_1983_NTV2_ONTARIO \
   "NAD_1927_DEF_1976_To_NAD_1983_NTv2_Ontario"
#define PE_N_GT_NAD_1927_DEF_1976_TO_WGS_1984_1 \
   "NAD_1927_DEF_1976_To_WGS_1984_1"
#define PE_N_GT_NAD_1927_TO_NAD_1983_6 \
   "NAD_1927_To_NAD_1983_6"
#define PE_N_GT_NAD_1927_TO_NAD_1983_AK \
   "NAD_1927_To_NAD_1983_Alaska"
#define PE_N_GT_NAD_1927_TO_NAD_1983_CSRS_1 \
   "NAD_1927_To_NAD_1983_CSRS_1"
#define PE_N_GT_NAD_1927_TO_NAD_1983_CSRS_2 \
   "NAD_1927_To_NAD_1983_CSRS_2"
#define PE_N_GT_NAD_1927_TO_NAD_1983_NADCON \
   "NAD_1927_To_NAD_1983_NADCON"
#define PE_N_GT_NAD_1927_TO_NAD_1983_NTV2_CANADA \
   "NAD_1927_To_NAD_1983_NTv2_Canada"
#define PE_N_GT_NAD_1927_TO_NAD_1983_PRVI \
   "NAD_1927_To_NAD_1983_PR_VI"
#define PE_N_GT_NAD_1927_TO_WGS_1984_1 \
   "NAD_1927_To_WGS_1984_1"
#define PE_N_GT_NAD_1927_TO_WGS_1984_10 \
   "NAD_1927_To_WGS_1984_10"
#define PE_N_GT_NAD_1927_TO_WGS_1984_11 \
   "NAD_1927_To_WGS_1984_11"
#define PE_N_GT_NAD_1927_TO_WGS_1984_12 \
   "NAD_1927_To_WGS_1984_12"
#define PE_N_GT_NAD_1927_TO_WGS_1984_13 \
   "NAD_1927_To_WGS_1984_13"
#define PE_N_GT_NAD_1927_TO_WGS_1984_14 \
   "NAD_1927_To_WGS_1984_14"
#define PE_N_GT_NAD_1927_TO_WGS_1984_15 \
   "NAD_1927_To_WGS_1984_15"
#define PE_N_GT_NAD_1927_TO_WGS_1984_16 \
   "NAD_1927_To_WGS_1984_16"
#define PE_N_GT_NAD_1927_TO_WGS_1984_17 \
   "NAD_1927_To_WGS_1984_17"
#define PE_N_GT_NAD_1927_TO_WGS_1984_18 \
   "NAD_1927_To_WGS_1984_18"
#define PE_N_GT_NAD_1927_TO_WGS_1984_2 \
   "NAD_1927_To_WGS_1984_2"
#define PE_N_GT_NAD_1927_TO_WGS_1984_21 \
   "NAD_1927_To_WGS_1984_21"
#define PE_N_GT_NAD_1927_TO_WGS_1984_22 \
   "NAD_1927_To_WGS_1984_22"
#define PE_N_GT_NAD_1927_TO_WGS_1984_3 \
   "NAD_1927_To_WGS_1984_3"
#define PE_N_GT_NAD_1927_TO_WGS_1984_30 \
   "NAD_1927_To_WGS_1984_30"
#define PE_N_GT_NAD_1927_TO_WGS_1984_32 \
   "NAD_1927_To_WGS_1984_32"
#define PE_N_GT_NAD_1927_TO_WGS_1984_33 \
   "NAD_1927_To_WGS_1984_33"
#define PE_N_GT_NAD_1927_TO_WGS_1984_34 \
   "NAD_1927_To_WGS_1984_34"
#define PE_N_GT_NAD_1927_TO_WGS_1984_4 \
   "NAD_1927_To_WGS_1984_4"
#define PE_N_GT_NAD_1927_TO_WGS_1984_5 \
   "NAD_1927_To_WGS_1984_5"
#define PE_N_GT_NAD_1927_TO_WGS_1984_6 \
   "NAD_1927_To_WGS_1984_6"
#define PE_N_GT_NAD_1927_TO_WGS_1984_7 \
   "NAD_1927_To_WGS_1984_7"
#define PE_N_GT_NAD_1927_TO_WGS_1984_79_CONUS \
   "NAD_1927_To_WGS_1984_79_CONUS"
#define PE_N_GT_NAD_1927_TO_WGS_1984_8 \
   "NAD_1927_To_WGS_1984_8"
#define PE_N_GT_NAD_1927_TO_WGS_1984_80 \
   "NAD_1927_To_WGS_1984_80"
#define PE_N_GT_NAD_1927_TO_WGS_1984_81 \
   "NAD_1927_To_WGS_1984_81"
#define PE_N_GT_NAD_1927_TO_WGS_1984_82 \
   "NAD_1927_To_WGS_1984_82"
#define PE_N_GT_NAD_1927_TO_WGS_1984_83 \
   "NAD_1927_To_WGS_1984_83"
#define PE_N_GT_NAD_1927_TO_WGS_1984_84 \
   "NAD_1927_To_WGS_1984_84"
#define PE_N_GT_NAD_1927_TO_WGS_1984_85 \
   "NAD_1927_To_WGS_1984_85"
#define PE_N_GT_NAD_1927_TO_WGS_1984_86 \
   "NAD_1927_To_WGS_1984_86"
#define PE_N_GT_NAD_1927_TO_WGS_1984_87 \
   "NAD_1927_To_WGS_1984_87"
#define PE_N_GT_NAD_1927_TO_WGS_1984_88 \
   "NAD_1927_To_WGS_1984_88"
#define PE_N_GT_NAD_1927_TO_WGS_1984_9 \
   "NAD_1927_To_WGS_1984_9"
#define PE_N_GT_NAD_1983_CORS96_TO_NAD_1983_HARN \
   "NAD_1983_CORS96_To_NAD_1983_HARN"
#define PE_N_GT_NAD_1983_CORS96_TO_NAD_1983_NSRS2007 \
   "NAD_1983_CORS96_To_NAD_1983_NSRS2007"
#define PE_N_GT_NAD_1983_CSRS_TO_WGS_1984 \
   "NAD_1983_CSRS_To_WGS_1984"
#define PE_N_GT_NAD_1983_CSRS_TO_WGS_1984_1 \
   "NAD_1983_CSRS_To_WGS_1984_1"
#define PE_N_GT_NAD_1983_CSRS_TO_WGS_1984_2 \
   "NAD_1983_CSRS_To_WGS_1984_2"
#define PE_N_GT_NAD_1983_HARN_PACP00_MARP00_TO_WGS_1984 \
   "NAD_1983_HARN_PACP00_MARP00_To_WGS_1984"
#define PE_N_GT_NAD_1983_HARN_TO_NAD_1983_NSRS2007_1 \
   "NAD_1983_HARN_To_NAD_1983_NSRS2007_1"
#define PE_N_GT_NAD_1983_HARN_TO_WGS_1984 \
   "NAD_1983_HARN_To_WGS_1984"
#define PE_N_GT_NAD_1983_HARN_TO_WGS_1984_2 \
   "NAD_1983_HARN_To_WGS_1984_2"
#define PE_N_GT_NAD_1983_HARN_TO_WGS_1984_3 \
   "NAD_1983_HARN_To_WGS_1984_3"
#define PE_N_GT_NAD_1983_HARN_TO_WGS_1984_SAIPAN \
   "NAD_1983_HARN_To_WGS_1984_Saipan"
#define PE_N_GT_NAD_1983_MARP00_TO_WGS_1984 \
   "NAD_1983_HARN_MARP00_To_WGS_1984"
#define PE_N_GT_NAD_1983_NSRS2007_TO_WGS_1984_1 \
   "NAD_1983_NSRS2007_To_WGS_1984_1"
#define PE_N_GT_NAD_1983_PACP00_TO_WGS_1984 \
   "NAD_1983_HARN_PACP00_To_WGS_1984"
#define PE_N_GT_NAD_1983_TO_HARN_AL \
   "NAD_1983_To_HARN_Alabama"
#define PE_N_GT_NAD_1983_TO_HARN_AR \
   "NAD_1983_To_HARN_Arkansas"
#define PE_N_GT_NAD_1983_TO_HARN_AZ \
   "NAD_1983_To_HARN_Arizona"
#define PE_N_GT_NAD_1983_TO_HARN_CN \
   "NAD_1983_To_HARN_CA_N"
#define PE_N_GT_NAD_1983_TO_HARN_CO \
   "NAD_1983_To_HARN_Colorado"
#define PE_N_GT_NAD_1983_TO_HARN_CS \
   "NAD_1983_To_HARN_CA_S"
#define PE_N_GT_NAD_1983_TO_HARN_EM \
   "NAD_1983_To_HARN_East_MT_ID"
#define PE_N_GT_NAD_1983_TO_HARN_ET \
   "NAD_1983_To_HARN_East_Texas"
#define PE_N_GT_NAD_1983_TO_HARN_FL \
   "NAD_1983_To_HARN_Florida"
#define PE_N_GT_NAD_1983_TO_HARN_GA \
   "NAD_1983_To_HARN_Georgia"
#define PE_N_GT_NAD_1983_TO_HARN_HI \
   "NAD_1983_To_HARN_Hawaii"
#define PE_N_GT_NAD_1983_TO_HARN_IA \
   "NAD_1983_To_HARN_Iowa"
#define PE_N_GT_NAD_1983_TO_HARN_IL \
   "NAD_1983_To_HARN_Illinois"
#define PE_N_GT_NAD_1983_TO_HARN_IM \
   "NAD_1983_To_HARN_Montana_Idaho"
#define PE_N_GT_NAD_1983_TO_HARN_IN \
   "NAD_1983_To_HARN_Indiana"
#define PE_N_GT_NAD_1983_TO_HARN_KS \
   "NAD_1983_To_HARN_Kansas"
#define PE_N_GT_NAD_1983_TO_HARN_KY \
   "NAD_1983_To_HARN_Kentucky"
#define PE_N_GT_NAD_1983_TO_HARN_LA \
   "NAD_1983_To_HARN_Louisiana"
#define PE_N_GT_NAD_1983_TO_HARN_MD \
   "NAD_1983_To_HARN_MD_DE"
#define PE_N_GT_NAD_1983_TO_HARN_ME \
   "NAD_1983_To_HARN_Maine"
#define PE_N_GT_NAD_1983_TO_HARN_MI \
   "NAD_1983_To_HARN_Michigan"
#define PE_N_GT_NAD_1983_TO_HARN_MN \
   "NAD_1983_To_HARN_Minnesota"
#define PE_N_GT_NAD_1983_TO_HARN_MO \
   "NAD_1983_To_HARN_Missouri"
#define PE_N_GT_NAD_1983_TO_HARN_MS \
   "NAD_1983_To_HARN_Mississippi"
#define PE_N_GT_NAD_1983_TO_HARN_NB \
   "NAD_1983_To_HARN_Nebraska"
#define PE_N_GT_NAD_1983_TO_HARN_NC \
   "NAD_1983_To_HARN_North_Carolina"
#define PE_N_GT_NAD_1983_TO_HARN_ND \
   "NAD_1983_To_HARN_North_Dakota"
#define PE_N_GT_NAD_1983_TO_HARN_NE \
   "NAD_1983_To_HARN_New_England"
#define PE_N_GT_NAD_1983_TO_HARN_NJ \
   "NAD_1983_To_HARN_New_Jersey"
#define PE_N_GT_NAD_1983_TO_HARN_NM \
   "NAD_1983_To_HARN_New_Mexico"
#define PE_N_GT_NAD_1983_TO_HARN_NV \
   "NAD_1983_To_HARN_Nevada"
#define PE_N_GT_NAD_1983_TO_HARN_NY \
   "NAD_1983_To_HARN_New_York"
#define PE_N_GT_NAD_1983_TO_HARN_OH \
   "NAD_1983_To_HARN_Ohio"
#define PE_N_GT_NAD_1983_TO_HARN_OK \
   "NAD_1983_To_HARN_Oklahoma"
#define PE_N_GT_NAD_1983_TO_HARN_OW \
   "NAD_1983_To_HARN_OR_WA"
#define PE_N_GT_NAD_1983_TO_HARN_PA \
   "NAD_1983_To_HARN_Pennsylvania"
#define PE_N_GT_NAD_1983_TO_HARN_PV \
   "NAD_1983_To_HARN_PR_VI"
#define PE_N_GT_NAD_1983_TO_HARN_SC \
   "NAD_1983_To_HARN_South_Carolina"
#define PE_N_GT_NAD_1983_TO_HARN_SD \
   "NAD_1983_To_HARN_South_Dakota"
#define PE_N_GT_NAD_1983_TO_HARN_TN \
   "NAD_1983_To_HARN_Tennessee"
#define PE_N_GT_NAD_1983_TO_HARN_UT \
   "NAD_1983_To_HARN_Utah"
#define PE_N_GT_NAD_1983_TO_HARN_VA \
   "NAD_1983_To_HARN_Virginia"
#define PE_N_GT_NAD_1983_TO_HARN_WI \
   "NAD_1983_To_HARN_Wisconsin"
#define PE_N_GT_NAD_1983_TO_HARN_WM \
   "NAD_1983_To_HARN_West_MT_ID"
#define PE_N_GT_NAD_1983_TO_HARN_WO \
   "NAD_1983_To_HARN_WA_OR"
#define PE_N_GT_NAD_1983_TO_HARN_WT \
   "NAD_1983_To_HARN_West_Texas"
#define PE_N_GT_NAD_1983_TO_HARN_WV \
   "NAD_1983_To_HARN_West_Virginia"
#define PE_N_GT_NAD_1983_TO_HARN_WY \
   "NAD_1983_To_HARN_Wyoming"
#define PE_N_GT_NAD_1983_TO_NAD_1983_CSRS_1 \
   "NAD_1983_To_NAD_1983_CSRS_1"
#define PE_N_GT_NAD_1983_TO_NAD_1983_CSRS_2 \
   "NAD_1983_To_NAD_1983_CSRS_2"
#define PE_N_GT_NAD_1983_TO_NAD_1983_CSRS_3 \
   "NAD_1983_To_NAD_1983_CSRS_3"
#define PE_N_GT_NAD_1983_TO_NAD_1983_CSRS_4 \
   "NAD_1983_To_NAD_1983_CSRS_4"
#define PE_N_GT_NAD_1983_TO_WGS_1984_1 \
   "NAD_1983_To_WGS_1984_1"
#define PE_N_GT_NAD_1983_TO_WGS_1984_2 \
   "NAD_1983_To_WGS_1984_2"
#define PE_N_GT_NAD_1983_TO_WGS_1984_3 \
   "NAD_1983_To_WGS_1984_3"
#define PE_N_GT_NAD_1983_TO_WGS_1984_4 \
   "NAD_1983_To_WGS_1984_4"
#define PE_N_GT_NAD_1983_TO_WGS_1984_5 \
   "NAD_1983_To_WGS_1984_5"
#define PE_N_GT_NAD_1983_TO_WGS_1984_6 \
   "NAD_1983_To_WGS_1984_6"
#define PE_N_GT_NAD_1983_TO_WGS_1984_7 \
   "NAD_1983_To_WGS_1984_7"
#define PE_N_GT_NAD_1983_TO_WGS_1984_8 \
   "NAD_1983_To_WGS_1984_8"
#define PE_N_GT_NAHRWAN_1967_TO_WGS_1984_1 \
   "Nahrwan_1967_To_WGS_1984_1"
#define PE_N_GT_NAHRWAN_1967_TO_WGS_1984_10 \
   "Nahrwan_1967_To_WGS_1984_10"
#define PE_N_GT_NAHRWAN_1967_TO_WGS_1984_2 \
   "Nahrwan_1967_To_WGS_1984_2"
#define PE_N_GT_NAHRWAN_1967_TO_WGS_1984_3 \
   "Nahrwan_1967_To_WGS_1984_3"
#define PE_N_GT_NAHRWAN_1967_TO_WGS_1984_4 \
   "Nahrwan_1967_To_WGS_1984_4"
#define PE_N_GT_NAHRWAN_1967_TO_WGS_1984_5 \
   "Nahrwan_1967_To_WGS_1984_5"
#define PE_N_GT_NAHRWAN_1967_TO_WGS_1984_6 \
   "Nahrwan_1967_To_WGS_1984_6"
#define PE_N_GT_NAHRWAN_1967_TO_WGS_1984_7 \
   "Nahrwan_1967_To_WGS_1984_7"
#define PE_N_GT_NAHRWAN_1967_TO_WGS_1984_8 \
   "Nahrwan_1967_To_WGS_1984_8"
#define PE_N_GT_NAHRWAN_1967_TO_WGS_1984_9 \
   "Nahrwan_1967_To_WGS_1984_9"
#define PE_N_GT_NAKHL_E_GHANEM_TO_WGS_1984_6 \
   "Nakhl-e_Ghanem_To_WGS_1984_6"
#define PE_N_GT_NAPARIMA_1955_TO_WGS_1984_2 \
   "Naparima_1955_To_WGS_1984_2"
#define PE_N_GT_NAPARIMA_1955_TO_WGS_1984_3 \
   "Naparima_1955_To_WGS_1984_3"
#define PE_N_GT_NAPARIMA_1972_TO_WGS_1984 \
   "Naparima_1972_To_WGS_1984"
#define PE_N_GT_NAPARIMA_1972_TO_WGS_1984_2 \
   "Naparima_1972_To_WGS_1984_2"
#define PE_N_GT_NAPARIMA_1972_TO_WGS_1984_3 \
   "Naparima_1972_To_WGS_1984_3"
#define PE_N_GT_NEA74_NOUMEA_TO_RGNC_1991_93_1 \
   "NEA74_Noumea_To_RGNC_1991-93_1"
#define PE_N_GT_NEA74_NOUMEA_TO_RGNC_1991_93_2 \
   "NEA74_Noumea_To_RGNC_1991-93_2"
#define PE_N_GT_NEA74_NOUMEA_TO_WGS_1984_1 \
   "NEA74_Noumea_To_WGS_1984_1"
#define PE_N_GT_NEA74_NOUMEA_TO_WGS_1984_2 \
   "NEA74_Noumea_To_WGS_1984_2"
#define PE_N_GT_NEPAL_NAGARKOT_TO_WGS_1984_1 \
   "Nepal_Nagarkot_TO_WGS_1984_1"
#define PE_N_GT_NEPAL_NAGARKOT_TO_WGS_1984_2 \
   "Nepal_Nagarkot_TO_WGS_1984_2"
#define PE_N_GT_NGN_TO_WGS_1984_1 \
   "NGN_To_WGS_1984_1"
#define PE_N_GT_NGO_1948_OSLO_TO_ETRS_1989_1 \
   "NGO_1948_Oslo_To_ETRS_1989_1"
#define PE_N_GT_NGO_1948_OSLO_TO_NGO_1948 \
   "NGO_1948_Oslo_To_NGO_1948"
#define PE_N_GT_NGO_1948_OSLO_TO_WGS_1984 \
   "NGO_1948_Oslo_To_WGS_1984"
#define PE_N_GT_NGO_1948_OSLO_TO_WGS_1984_1 \
   "NGO_1948_Oslo_To_WGS_1984_1"
#define PE_N_GT_NGO_1948_TO_ETRS_1989_1 \
   "NGO_1948_To_ETRS_1989_1"
#define PE_N_GT_NGO_1948_TO_WGS_1984 \
   "NGO_1948_To_WGS_1984"
#define PE_N_GT_NGO_1948_TO_WGS_1984_1 \
   "NGO_1948_To_WGS_1984_1"
#define PE_N_GT_NORD_SAHARA_1959_PARIS_TO_NORD_SAHARA_1959 \
   "Nord_Sahara_1959_Paris_To_Nord_Sahara_1959"
#define PE_N_GT_NORD_SAHARA_1959_TO_WGS_1972_BE \
   "Nord_Sahara_1959_To_WGS_1972_BE"
#define PE_N_GT_NORD_SAHARA_1959_TO_WGS_1984 \
   "Nord_Sahara_1959_To_WGS_1984"
#define PE_N_GT_NORD_SAHARA_1959_TO_WGS_1984_2 \
   "Nord_Sahara_1959_To_WGS_1984_2"
#define PE_N_GT_NORD_SAHARA_1959_TO_WGS_1984_3 \
   "Nord_Sahara_1959_To_WGS_1984_3"
#define PE_N_GT_NORD_SAHARA_1959_TO_WGS_1984_4 \
   "Nord_Sahara_1959_To_WGS_1984_4"
#define PE_N_GT_NORD_SAHARA_1959_TO_WGS_1984_5 \
   "Nord_Sahara_1959_To_WGS_1984_5"
#define PE_N_GT_NORD_SAHARA_1959_TO_WGS_1984_6 \
   "Nord_Sahara_1959_To_WGS_1984_6"
#define PE_N_GT_NORD_SAHARA_1959_TO_WGS_1984_7 \
   "Nord_Sahara_1959_To_WGS_1984_7"
#define PE_N_GT_NOUAKCHOTT_1965_TO_WGS_1984 \
   "Nouakchott_1965_To_WGS_1984_1"
#define PE_N_GT_NTF_PARIS_TO_ED_1950 \
   "NTF_Paris_To_ED_1950"
#define PE_N_GT_NTF_PARIS_TO_NTF \
   "NTF_Paris_To_NTF"
#define PE_N_GT_NTF_PARIS_TO_RGF_1993_1 \
   "NTF_Paris_To_RGF_1993_1"
#define PE_N_GT_NTF_PARIS_TO_WGS_1972 \
   "NTF_Paris_To_WGS_1972"
#define PE_N_GT_NTF_PARIS_TO_WGS_1984 \
   "NTF_Paris_To_WGS_1984"
#define PE_N_GT_NTF_TO_ED_1950 \
   "NTF_To_ED_1950"
#define PE_N_GT_NTF_TO_ETRS_1989_1 \
   "NTF_To_ETRS_1989_1"
#define PE_N_GT_NTF_TO_RGF_1993_1 \
   "NTF_To_RGF_1993_1"
#define PE_N_GT_NTF_TO_WGS_1972 \
   "NTF_To_WGS_1972"
#define PE_N_GT_NTF_TO_WGS_1984 \
   "NTF_To_WGS_1984"
#define PE_N_GT_NZGD_1949_TO_NZGD_2000_1 \
   "New_Zealand_1949_To_NZGD_2000_1_3PAR"
#define PE_N_GT_NZGD_1949_TO_NZGD_2000_2 \
   "New_Zealand_1949_To_NZGD_2000_2_7PAR"
#define PE_N_GT_NZGD_1949_TO_NZGD_2000_3 \
   "New_Zealand_1949_To_NZGD_2000_3_NTv2"
#define PE_N_GT_NZGD_1949_TO_WGS_1984 \
   "NZGD_1949_To_WGS_1984"
#define PE_N_GT_NZGD_1949_TO_WGS_1984_2 \
   "NZGD_1949_To_WGS_1984_2"
#define PE_N_GT_NZGD_1949_TO_WGS_1984_3_NTV2 \
   "NZGD_1949_To_WGS_1984_3_NTv2"
#define PE_N_GT_NZGD_1949_TO_WGS_1984_4 \
   "NZGD_1949_To_WGS_1984_4"
#define PE_N_GT_NZGD_2000_TO_WGS_1984_1 \
   "NZGD_2000_To_WGS_1984_1"
#define PE_N_GT_OBSERV_METEOR_1939_TO_PTRA08_1_3PAR \
   "Observatorio_Meteorologico_1939_To_PTRA08_1_3par"
#define PE_N_GT_OBSERV_METEOR_1939_TO_PTRA08_1_7PAR \
   "Observatorio_Meteorologico_1939_To_PTRA08_1_7par"
#define PE_N_GT_OBSERV_METEOR_1939_TO_PTRA08_2_3PAR \
   "Observatorio_Meteorologico_1939_To_PTRA08_2_3par"
#define PE_N_GT_OBSERV_METEOR_1939_TO_PTRA08_2_7PAR \
   "Observatorio_Meteorologico_1939_To_PTRA08_2_7par"
#define PE_N_GT_OBSERV_METEOR_1939_TO_PTRA08_3_3PAR \
   "Observatorio_Meteorologico_1939_To_PTRA08_3_3par"
#define PE_N_GT_OBSERV_METEOR_1939_TO_PTRA08_3_7PAR \
   "Observatorio_Meteorologico_1939_To_PTRA08_3_7par"
#define PE_N_GT_OBSERV_METEOR_1939_TO_WGS_1984_1 \
   "Observatorio_Meteorologico_1939_To_WGS_1984_1"
#define PE_N_GT_OBSERV_METEOR_1939_TO_WGS_1984_1_3PAR \
   "Observatorio_Meteorologico_1939_To_WGS_1984_1_3par"
#define PE_N_GT_OBSERV_METEOR_1939_TO_WGS_1984_1_7PAR \
   "Observatorio_Meteorologico_1939_To_WGS_1984_1_7par"
#define PE_N_GT_OBSERV_METEOR_1939_TO_WGS_1984_2_3PAR \
   "Observatorio_Meteorologico_1939_To_WGS_1984_2_3par"
#define PE_N_GT_OBSERV_METEOR_1939_TO_WGS_1984_2_7PAR \
   "Observatorio_Meteorologico_1939_To_WGS_1984_2_7par"
#define PE_N_GT_OBSERV_METEOR_1939_TO_WGS_1984_3_3PAR \
   "Observatorio_Meteorologico_1939_To_WGS_1984_3_3par"
#define PE_N_GT_OBSERV_METEOR_1939_TO_WGS_1984_3_7PAR \
   "Observatorio_Meteorologico_1939_To_WGS_1984_3_7par"
#define PE_N_GT_OBSERV_METEOR_1965_TO_WGS_1984_2 \
   "Observatorio_Meteorologico_1965_To_WGS_1984_2"
#define PE_N_GT_OCOTEPEQUE_1935_TO_CR05 \
   "Ocotepeque_1935_To_CR05"
#define PE_N_GT_OCOTEPEQUE_1935_TO_WGS_1984_3PAR \
   "Ocotepeque_1935_To_WGS_1984_3PAR"
#define PE_N_GT_OCOTEPEQUE_1935_TO_WGS_1984_RN \
   "Ocotepeque_1935_To_WGS_1984_RN"
#define PE_N_GT_OLD_HAWAIIAN_INTL_1924_TO_WGS_1984_HAWAII \
   "Old_Hawaiian_Intl_1924_To_WGS_1984_Hawaii"
#define PE_N_GT_OLD_HAWAIIAN_INTL_1924_TO_WGS_1984_KAUAI \
   "Old_Hawaiian_Intl_1924_To_WGS_1984_Kauai"
#define PE_N_GT_OLD_HAWAIIAN_INTL_1924_TO_WGS_1984_MAUI \
   "Old_Hawaiian_Intl_1924_To_WGS_1984_Maui"
#define PE_N_GT_OLD_HAWAIIAN_INTL_1924_TO_WGS_1984_MEAN \
   "Old_Hawaiian_Intl_1924_To_WGS_1984_Mean"
#define PE_N_GT_OLD_HAWAIIAN_INTL_1924_TO_WGS_1984_OAHU \
   "Old_Hawaiian_Intl_1924_To_WGS_1984_Oahu"
#define PE_N_GT_OLD_HAWAIIAN_TO_NAD_1983 \
   "Old_Hawaiian_To_NAD_1983"
#define PE_N_GT_OLD_HAWAIIAN_TO_NAD_1983_HARN_HI \
   "Old_Hawaiian_To_NAD_1983_HARN_Hawaii"
#define PE_N_GT_OLD_HAWAIIAN_TO_WGS_1984_1 \
   "Old_Hawaiian_To_WGS_1984_1"
#define PE_N_GT_OLD_HAWAIIAN_TO_WGS_1984_2 \
   "Old_Hawaiian_To_WGS_1984_2"
#define PE_N_GT_OLD_HAWAIIAN_TO_WGS_1984_3 \
   "Old_Hawaiian_To_WGS_1984_3"
#define PE_N_GT_OLD_HAWAIIAN_TO_WGS_1984_4 \
   "Old_Hawaiian_To_WGS_1984_4"
#define PE_N_GT_OLD_HAWAIIAN_TO_WGS_1984_5 \
   "Old_Hawaiian_To_WGS_1984_5"
#define PE_N_GT_OLD_HAWAIIAN_TO_WGS_1984_8 \
   "Old_Hawaiian_To_WGS_1984_8"
#define PE_N_GT_OSGB_1936_TO_ED_1950_UKOOA \
   "OSGB_1936_To_ED_1950_UKOOA"
#define PE_N_GT_OSGB_1936_TO_WGS_1984_1 \
   "OSGB_1936_To_WGS_1984_1"
#define PE_N_GT_OSGB_1936_TO_WGS_1984_2 \
   "OSGB_1936_To_WGS_1984_2"
#define PE_N_GT_OSGB_1936_TO_WGS_1984_3 \
   "OSGB_1936_To_WGS_1984_3"
#define PE_N_GT_OSGB_1936_TO_WGS_1984_4 \
   "OSGB_1936_To_WGS_1984_4"
#define PE_N_GT_OSGB_1936_TO_WGS_1984_5 \
   "OSGB_1936_To_WGS_1984_5"
#define PE_N_GT_OSGB_1936_TO_WGS_1984_NGA_7PAR \
   "OSGB_1936_To_WGS_1984_NGA_7PAR"
#define PE_N_GT_OSGB_1936_TO_WGS_1984_PETROL \
   "OSGB_1936_To_WGS_1984_Petroleum"
#define PE_N_GT_OSNI_1952_TO_WGS_1984_1 \
   "OSNI_1952_To_WGS_1984_1"
#define PE_N_GT_PADANG_1884_JAKARTA_TO_PADANG_1884 \
   "Padang_1884_Jakarta_To_Padang_1884"
#define PE_N_GT_PALESTINE_1923_TO_ISRAEL_1 \
   "Palestine_1923_To_Israel_1"
#define PE_N_GT_PALESTINE_1923_TO_WGS_1984_1 \
   "Palestine_1923_To_WGS_1984_1"
#define PE_N_GT_PALESTINE_1923_TO_WGS_1984_1X \
   "Palestine_1923_To_WGS_1984_1X"
#define PE_N_GT_PALESTINE_1923_TO_WGS_1984_2 \
   "Palestine_1923_To_WGS_1984_2"
#define PE_N_GT_PALESTINE_1923_TO_WGS_1984_2X \
   "Palestine_1923_To_WGS_1984_2X"
#define PE_N_GT_PAMPA_DEL_CASTILLO_TO_WGS_1984_1 \
   "Pampa_del_Castillo_To_WGS_1984_1"
#define PE_N_GT_PDO_1993_TO_WGS_1972 \
   "PDO_1993_To_WGS_1972"
#define PE_N_GT_PDO_1993_TO_WGS_1984 \
   "PDO_1993_To_WGS_1984"
#define PE_N_GT_PDO_1993_TO_WGS_1984_3 \
   "PDO_1993_To_WGS_1984_3"
#define PE_N_GT_PETRELS_1972_TO_WGS_1984_1 \
   "Petrels_1972_To_WGS_1984_1"
#define PE_N_GT_PICO_DE_LAS_NIEVES_TO_WGS_1984 \
   "Pico_de_Las_Nieves_To_WGS_1984"
#define PE_N_GT_PITCAIRN_1967_TO_WGS_1984 \
   "Pitcairn_1967_To_WGS_1984"
#define PE_N_GT_PITCAIRN_2006_TO_WGS_1984_1 \
   "Pitcairn_2006_To_WGS_1984_1"
#define PE_N_GT_PITON_DES_NEIGES_TO_WGS_1984_1 \
   "Reunion_1947_To_WGS_1984_1"
#define PE_N_GT_POHNPEI_TO_NAD_1983 \
   "Pohnpei_To_NAD_1983"
#define PE_N_GT_POHNPEI_TO_WGS_1984 \
   "Pohnpei_To_WGS_1984"
#define PE_N_GT_POINT58_TO_WGS_1984_1 \
   "Point58_To_WGS_1984_1"
#define PE_N_GT_POINTE_GEOLOGIE_PERROUD_1950_TO_WGS_1984_1 \
   "Pointe_Geologie_Perroud_1950_To_WGS_1984_1"
#define PE_N_GT_POINTE_NOIRE_TO_WGS_1984 \
   "Pointe_Noire_To_WGS_1984"
#define PE_N_GT_POINTE_NOIRE_TO_WGS_1984_2 \
   "Pointe_Noire_To_WGS_1984_2"
#define PE_N_GT_POINTE_NOIRE_TO_WGS_1984_3 \
   "Pointe_Noire_To_WGS_1984_3"
#define PE_N_GT_PORTO_SANTO_1936_TO_PTRA08_1_3PAR \
   "Porto_Santo_1936_To_PTRA08_1_3par"
#define PE_N_GT_PORTO_SANTO_1936_TO_PTRA08_1_7PAR \
   "Porto_Santo_1936_To_PTRA08_1_7par"
#define PE_N_GT_PORTO_SANTO_1936_TO_PTRA08_2_3PAR \
   "Porto_Santo_1936_To_PTRA08_2_3par"
#define PE_N_GT_PORTO_SANTO_1936_TO_PTRA08_2_7PAR \
   "Porto_Santo_1936_To_PTRA08_2_7par"
#define PE_N_GT_PORTO_SANTO_1936_TO_PTRA08_3_3PAR \
   "Porto_Santo_1936_To_PTRA08_3_3par"
#define PE_N_GT_PORTO_SANTO_1936_TO_PTRA08_3_7PAR \
   "Porto_Santo_1936_To_PTRA08_3_7par"
#define PE_N_GT_PORTO_SANTO_1936_TO_WGS_1984_1 \
   "Porto_Santo_1936_To_WGS_1984_1_IGP"
#define PE_N_GT_PORTO_SANTO_1936_TO_WGS_1984_1_3PAR \
   "Porto_Santo_1936_To_WGS_1984_1_3par"
#define PE_N_GT_PORTO_SANTO_1936_TO_WGS_1984_1_7PAR \
   "Porto_Santo_1936_To_WGS_1984_1_7par"
#define PE_N_GT_PORTO_SANTO_1936_TO_WGS_1984_1_NGA \
   "Porto_Santo_1936_To_WGS_1984_1"
#define PE_N_GT_PORTO_SANTO_1936_TO_WGS_1984_2 \
   "Porto_Santo_1936_To_WGS_1984_2"
#define PE_N_GT_PORTO_SANTO_1936_TO_WGS_1984_2_3PAR \
   "Porto_Santo_1936_To_WGS_1984_2_3par"
#define PE_N_GT_PORTO_SANTO_1936_TO_WGS_1984_2_7PAR \
   "Porto_Santo_1936_To_WGS_1984_2_7par"
#define PE_N_GT_PORTO_SANTO_1936_TO_WGS_1984_3_3PAR \
   "Porto_Santo_1936_To_WGS_1984_3_3par"
#define PE_N_GT_PORTO_SANTO_1936_TO_WGS_1984_3_7PAR \
   "Porto_Santo_1936_To_WGS_1984_3_7par"
#define PE_N_GT_PORTO_SANTO_1995_TO_WGS_1984_2 \
   "Porto_Santo_1995_To_WGS_1984_2"
#define PE_N_GT_PORTO_SANTO_1995_TO_WGS_1984_3 \
   "Porto_Santo_1995_To_WGS_1984_3"
#define PE_N_GT_POSGAR_1994_TO_WGS_1984_1 \
   "POSGAR_1994_To_WGS_1984_1"
#define PE_N_GT_POSGAR_1998_TO_SIRGAS_1 \
   "POSGAR_1998_To_SIRGAS_1"
#define PE_N_GT_POSGAR_1998_TO_WGS_1984_1 \
   "POSGAR_1998_To_WGS_1984_1"
#define PE_N_GT_POSGAR_TO_WGS_1984_1 \
   "POSGAR_To_WGS_1984_1"
#define PE_N_GT_POTSDAM_DATUM_1983_TO_ETRS_1989_1 \
   "PD/83_To_ETRS_1989_1"
#define PE_N_GT_POTSDAM_DATUM_1983_TO_WGS_1984_1 \
   "PD/83_To_WGS_1984_1_NTv2"
#define PE_N_GT_PRS_1992_TO_WGS_1984_1 \
   "PRS_1992_To_WGS_1984_1"
#define PE_N_GT_PSAD_1956_TO_REGVEN_1 \
   "PSAD_1956_To_REGVEN"
#define PE_N_GT_PSAD_1956_TO_SIRGAS_1 \
   "PSAD_1956_To_SIRGAS_1"
#define PE_N_GT_PSAD_1956_TO_WGS_1984_1 \
   "PSAD_1956_To_WGS_1984_1"
#define PE_N_GT_PSAD_1956_TO_WGS_1984_10 \
   "PSAD_1956_To_WGS_1984_10"
#define PE_N_GT_PSAD_1956_TO_WGS_1984_11 \
   "PSAD_1956_To_WGS_1984_11"
#define PE_N_GT_PSAD_1956_TO_WGS_1984_12 \
   "PSAD_1956_To_WGS_1984_12"
#define PE_N_GT_PSAD_1956_TO_WGS_1984_13 \
   "PSAD_1956_To_WGS_1984_13"
#define PE_N_GT_PSAD_1956_TO_WGS_1984_14 \
   "PSAD_1956_To_WGS_1984_14"
#define PE_N_GT_PSAD_1956_TO_WGS_1984_2 \
   "PSAD_1956_To_WGS_1984_2"
#define PE_N_GT_PSAD_1956_TO_WGS_1984_3 \
   "PSAD_1956_To_WGS_1984_3"
#define PE_N_GT_PSAD_1956_TO_WGS_1984_4 \
   "PSAD_1956_To_WGS_1984_4"
#define PE_N_GT_PSAD_1956_TO_WGS_1984_5 \
   "PSAD_1956_To_WGS_1984_5"
#define PE_N_GT_PSAD_1956_TO_WGS_1984_6 \
   "PSAD_1956_To_WGS_1984_6"
#define PE_N_GT_PSAD_1956_TO_WGS_1984_7 \
   "PSAD_1956_To_WGS_1984_7"
#define PE_N_GT_PSAD_1956_TO_WGS_1984_8 \
   "PSAD_1956_To_WGS_1984_8"
#define PE_N_GT_PSAD_1956_TO_WGS_1984_9 \
   "PSAD_1956_To_WGS_1984_9"
#define PE_N_GT_PUERTO_RICO_TO_NAD_1983 \
   "Puerto_Rico_To_NAD_1983"
#define PE_N_GT_PUERTO_RICO_TO_WGS_1984_3 \
   "Puerto_Rico_To_WGS_1984_3"
#define PE_N_GT_PUERTO_RICO_TO_WGS_1984_4 \
   "Puerto_Rico_To_WGS_1984_4"
#define PE_N_GT_PULKOVO_1942_ADJ_1958_TO_ETRS_1989_1 \
   "Pulkovo_1942_Adj_1958_To_ETRS_1989_1"
#define PE_N_GT_PULKOVO_1942_ADJ_1958_TO_ETRS_1989_3 \
   "Pulkovo_1942_Adj_1958_To_ETRS_1989_3"
#define PE_N_GT_PULKOVO_1942_ADJ_1958_TO_ETRS_1989_4 \
   "Pulkovo_1942_Adj_1958_To_ETRS_1989_4"
#define PE_N_GT_PULKOVO_1942_ADJ_1958_TO_WGS_1984_1 \
   "Pulkovo_1942_Adj_1958_To_WGS_1984_1"
#define PE_N_GT_PULKOVO_1942_ADJ_1958_TO_WGS_1984_18 \
   "Pulkovo_1942_Adj_1958_To_WGS_1984_18"
#define PE_N_GT_PULKOVO_1942_ADJ_1958_TO_WGS_1984_19 \
   "Pulkovo_1942_Adj_1958_To_WGS_1984_19"
#define PE_N_GT_PULKOVO_1942_ADJ_1958_TO_WGS_1984_4 \
   "Pulkovo_1942_Adj_1958_To_WGS_1984_4"
#define PE_N_GT_PULKOVO_1942_ADJ_1958_TO_WGS_1984_8 \
   "Pulkovo_1942_Adj_1958_To_WGS_1984_8"
#define PE_N_GT_PULKOVO_1942_ADJ_1958_TO_WGS_1984_9 \
   "Pulkovo_1942_Adj_1958_To_WGS_1984_9"
#define PE_N_GT_PULKOVO_1942_ADJ_1983_TO_ETRS_1989_1 \
   "Pulkovo_1942_Adj_1983_To_ETRS_1989_1"
#define PE_N_GT_PULKOVO_1942_ADJ_1983_TO_ETRS_1989_2 \
   "Pulkovo_1942_Adj_1983_To_ETRS_1989_2"
#define PE_N_GT_PULKOVO_1942_ADJ_1983_TO_WGS_1984_1 \
   "Pulkovo_1942_Adj_1983_To_WGS_1984_1"
#define PE_N_GT_PULKOVO_1942_ADJ_1983_TO_WGS_1984_3 \
   "Pulkovo_1942_Adj_1983_To_WGS_1984_3"
#define PE_N_GT_PULKOVO_1942_ADJ_1983_TO_WGS_1984_5 \
   "Pulkovo_1942_Adj_1983_To_WGS_1984_5"
#define PE_N_GT_PULKOVO_1942_TO_ESTONIA_1992 \
   "Pulkovo_1942_To_Estonia_1992"
#define PE_N_GT_PULKOVO_1942_TO_ETRF_1989 \
   "Pulkovo_1942_To_ETRF_1989"
#define PE_N_GT_PULKOVO_1942_TO_ETRS_1989 \
   "Pulkovo_1942_To_ETRS_1989"
#define PE_N_GT_PULKOVO_1942_TO_LKS_1994 \
   "Pulkovo_1942_To_LKS_1994"
#define PE_N_GT_PULKOVO_1942_TO_PZ_1990_1 \
   "Pulkovo_1942_To_PZ_1990_1"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984 \
   "Pulkovo_1942_To_WGS_1984"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984_10 \
   "Pulkovo_1942_To_WGS_1984_10"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984_12 \
   "Pulkovo_1942_To_WGS_1984_12"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984_13 \
   "Pulkovo_1942_To_WGS_1984_13"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984_14 \
   "Pulkovo_1942_To_WGS_1984_14"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984_15 \
   "Pulkovo_1942_To_WGS_1984_15"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984_16 \
   "Pulkovo_1942_To_WGS_1984_16"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984_17 \
   "Pulkovo_1942_To_WGS_1984_17"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984_2 \
   "Pulkovo_1942_To_WGS_1984_2"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984_3 \
   "Pulkovo_1942_To_WGS_1984_3"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984_4 \
   "Pulkovo_1942_To_WGS_1984_4"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984_5 \
   "Pulkovo_1942_To_WGS_1984_5"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984_6 \
   "Pulkovo_1942_To_WGS_1984_6"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984_7 \
   "Pulkovo_1942_To_WGS_1984_7"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984_8 \
   "Pulkovo_1942_To_WGS_1984_8"
#define PE_N_GT_PULKOVO_1942_TO_WGS_1984_9 \
   "Pulkovo_1942_To_WGS_1984_9"
#define PE_N_GT_PULKOVO_1995_TO_PZ_1990_GOST \
   "Pulkovo_1995_To_PZ_1990_GOST"
#define PE_N_GT_PULKOVO_1995_TO_WGS_1984_1 \
   "Pulkovo_1995_To_WGS_1984_1"
#define PE_N_GT_PZ_1990_TO_WGS_1984_1 \
   "PZ_1990_To_WGS_1984_1"
#define PE_N_GT_PZ_1990_TO_WGS_1984_GOST \
   "PZ_1990_To_WGS_1984_GOST"
#define PE_N_GT_QATAR_1974_TO_WGS_1984_1 \
   "Qatar_1974_To_WGS_1984_1"
#define PE_N_GT_QATAR_1974_TO_WGS_1984_2 \
   "Qatar_1974_To_WGS_1984_2"
#define PE_N_GT_QATAR_1974_TO_WGS_1984_3 \
   "Qatar_1974_To_WGS_1984_3"
#define PE_N_GT_QND_1995_TO_WGS_1984_1 \
   "QND_1995_To_WGS_1984_1"
#define PE_N_GT_QORNOQ_1927_TO_GREENLAND_1996_1 \
   "Qornoq_1927_To_Greenland_1996_1"
#define PE_N_GT_QORNOQ_1927_TO_WGS_1984_1 \
   "Qornoq_1927_To_WGS_1984_1"
#define PE_N_GT_QORNOQ_1927_TO_WGS_1984_2 \
   "Qornoq_1927_To_WGS_1984_2"
#define PE_N_GT_QORNOQ_TO_WGS_1984 \
   "Qornoq_To_WGS_1984"
#define PE_N_GT_RASSADIRAN_TO_WGS_1984 \
   "Rassadiran_To_WGS_1984"
#define PE_N_GT_RAUENBERG_DATUM_1983_TO_ETRS_1989_1 \
   "RD/83_To_ETRS_1989_1"
#define PE_N_GT_RAUENBERG_DATUM_1983_TO_WGS_1984_1 \
   "RD/83_To_WGS_1984_1_NTv2"
#define PE_N_GT_REGCAN95_TO_WGS_1984_1 \
   "REGCAN95_To_WGS_1984_1"
#define PE_N_GT_REGVEN_TO_SIRGAS_1 \
   "REGVEN_To_SIRGAS_1"
#define PE_N_GT_REGVEN_TO_WGS_1984_1 \
   "REGVEN_To_WGS_1984_1"
#define PE_N_GT_REUNION_1947_TO_RGR_1992_1 \
   "Reunion_1947_To_RGR_1992_1"
#define PE_N_GT_REUNION_1947_TO_WGS_1984_2 \
   "Reunion_1947_To_WGS_1984_2"
#define PE_N_GT_REYKJAVIK_1900_TO_WGS_1984_1 \
   "Reykjavik_1900_To_WGS_1984_1"
#define PE_N_GT_RGFG_1995_TO_WGS_1984_1 \
   "RGFG_1995_To_WGS_1984_1"
#define PE_N_GT_RGF_1993_TO_ETRF_1989_1 \
   "RGF_1993_To_ETRF_1989_1"
#define PE_N_GT_RGF_1993_TO_ETRS_1989_1 \
   "RGF_1993_To_ETRS_1989_1"
#define PE_N_GT_RGF_1993_TO_NTF_NTV2 \
   "RGF_1993_To_NTF_NTv2"
#define PE_N_GT_RGF_1993_TO_WGS_1984_1 \
   "RGF_1993_To_WGS_1984_1"
#define PE_N_GT_RGM_2004_TO_WGS_1984_1 \
   "RGM_2004_To_WGS_1984_1"
#define PE_N_GT_RGNC_1991_93_TO_IGN72_GRANDE_TERRE_6_NTV2 \
   "RGNC_1991-93_To_IGN72_Grande_Terre_6_NTv2"
#define PE_N_GT_RGNC_1991_93_TO_NEA74_NOUMEA_4_NTV2 \
   "RGNC_1991-93_To_NEA74_Noumea_4_NTv2"
#define PE_N_GT_RGNC_1991_93_TO_WGS_1984_1 \
   "RGNC_1991-93_To_WGS_1984_1"
#define PE_N_GT_RGNC_1991_TO_IGN72_GRANDE_TERRE_NTV2 \
   "RGNC_1991_To_IGN72_Grande_Terre_NTv2"
#define PE_N_GT_RGNC_1991_TO_NEA74_NOUMEA_NTV2 \
   "RGNC_1991_To_NEA74_Noumea_NTv2"
#define PE_N_GT_RGNC_1991_TO_WGS_1984_1 \
   "RGNC_1991_To_WGS_1984_1"
#define PE_N_GT_RGPF_TO_WGS_1984_1 \
   "RGPF_To_WGS_1984_1"
#define PE_N_GT_RGPF_TO_WGS_1984_2 \
   "RGPF_To_WGS_1984_2"
#define PE_N_GT_RGRDC_2005_TO_WGS_1984_1 \
   "RGRDC_2005_To_WGS_1984_1"
#define PE_N_GT_RGR_1992_TO_REUNION_1947_1 \
   "RGR_1992_To_Reunion_1947_1"
#define PE_N_GT_RGR_1992_TO_WGS_1984_1 \
   "RGR_1992_To_WGS_1984_1"
#define PE_N_GT_RGSPM_2006_TO_WGS_1984_1 \
   "RGSPM_2006_To_WGS_1984_1"
#define PE_N_GT_RRAF_1991_TO_WGS_1984_1 \
   "RRAF_1991_To_WGS_1984_1"
#define PE_N_GT_RSRGD2000_TO_WGS_1984_1 \
   "RSRGD2000_To_WGS_1984_1"
#define PE_N_GT_RT38_STOCKHOLM_TO_RT38 \
   "RT38_Stockholm_To_RT38"
#define PE_N_GT_RT90_TO_ETRS_1989_1 \
   "RT90_To_ETRS_1989_1"
#define PE_N_GT_RT90_TO_ETRS_1989_2 \
   "RT90_To_ETRS_1989_2"
#define PE_N_GT_RT90_TO_SWEREF99_1 \
   "RT90_To_SWEREF99_1"
#define PE_N_GT_RT90_TO_WGS_1984 \
   "RT90_To_WGS_1984"
#define PE_N_GT_RT90_TO_WGS_1984_2 \
   "RT90_To_WGS_1984_2"
#define PE_N_GT_SAD_1969_TO_SIRGAS_2000_1 \
   "SAD_1969_To_SIRGAS_2000_1"
#define PE_N_GT_SAD_1969_TO_WGS_1984_1 \
   "SAD_1969_To_WGS_1984_1"
#define PE_N_GT_SAD_1969_TO_WGS_1984_10 \
   "SAD_1969_To_WGS_1984_10"
#define PE_N_GT_SAD_1969_TO_WGS_1984_11 \
   "SAD_1969_To_WGS_1984_11"
#define PE_N_GT_SAD_1969_TO_WGS_1984_12 \
   "SAD_1969_To_WGS_1984_12"
#define PE_N_GT_SAD_1969_TO_WGS_1984_13 \
   "SAD_1969_To_WGS_1984_13"
#define PE_N_GT_SAD_1969_TO_WGS_1984_14 \
   "SAD_1969_To_WGS_1984_14"
#define PE_N_GT_SAD_1969_TO_WGS_1984_2 \
   "SAD_1969_To_WGS_1984_2"
#define PE_N_GT_SAD_1969_TO_WGS_1984_3 \
   "SAD_1969_To_WGS_1984_3"
#define PE_N_GT_SAD_1969_TO_WGS_1984_4 \
   "SAD_1969_To_WGS_1984_4"
#define PE_N_GT_SAD_1969_TO_WGS_1984_5 \
   "SAD_1969_To_WGS_1984_5"
#define PE_N_GT_SAD_1969_TO_WGS_1984_6 \
   "SAD_1969_To_WGS_1984_6"
#define PE_N_GT_SAD_1969_TO_WGS_1984_7 \
   "SAD_1969_To_WGS_1984_7"
#define PE_N_GT_SAD_1969_TO_WGS_1984_8 \
   "SAD_1969_To_WGS_1984_8"
#define PE_N_GT_SAD_1969_TO_WGS_1984_9 \
   "SAD_1969_To_WGS_1984_9"
#define PE_N_GT_SAINTE_ANNE_TO_WGS_1984_1 \
   "Sainte_Anne_To_WGS_1984_1"
#define PE_N_GT_SAINTE_ANNE_TO_WGS_1984_2 \
   "Sainte_Anne_To_WGS_1984_2"
#define PE_N_GT_SAINT_PIERRE_ET_MIQUELON_1950_TO_WGS_1984_1 \
   "Saint_Pierre_et_Miquelon_1950_To_WGS_1984_1"
#define PE_N_GT_SAMBOJA_TO_WGS_1984 \
   "Samboja_To_WGS_1984"
#define PE_N_GT_SAMOA_1962_TO_HARN_ES \
   "American_Samoa_1962_To_HARN_American_Samoa_East"
#define PE_N_GT_SAMOA_1962_TO_HARN_WS \
   "American_Samoa_1962_To_HARN_American_Samoa_West"
#define PE_N_GT_SAMOA_1962_TO_WGS_1984 \
   "American_Samoa_1962_To_WGS_1984"
#define PE_N_GT_SAMOA_1962_TO_WGS_1984_2 \
   "American_Samoa_1962_To_WGS_1984_2"
#define PE_N_GT_SAMOA_1962_TO_WGS_1984_3 \
   "American_Samoa_1962_To_WGS_1984_3"
#define PE_N_GT_SANTO_DOS_1965_TO_WGS_1984 \
   "Santo_DOS_1965_To_WGS_1984"
#define PE_N_GT_SAO_BRAZ_TO_PTRA08_1_3PAR \
   "Sao_Braz_To_PTRA08_1_3par"
#define PE_N_GT_SAO_BRAZ_TO_PTRA08_1_7PAR \
   "Sao_Braz_To_PTRA08_1_7par"
#define PE_N_GT_SAO_BRAZ_TO_PTRA08_2_3PAR \
   "Sao_Braz_To_PTRA08_2_3par"
#define PE_N_GT_SAO_BRAZ_TO_PTRA08_2_7PAR \
   "Sao_Braz_To_PTRA08_2_7par"
#define PE_N_GT_SAO_BRAZ_TO_PTRA08_3_3PAR \
   "Sao_Braz_To_PTRA08_3_3par"
#define PE_N_GT_SAO_BRAZ_TO_PTRA08_3_7PAR \
   "Sao_Braz_To_PTRA08_3_7par"
#define PE_N_GT_SAO_BRAZ_TO_WGS_1984_1 \
   "Sao_Braz_To_WGS_1984_1"
#define PE_N_GT_SAO_BRAZ_TO_WGS_1984_1_3PAR \
   "Sao_Braz_To_WGS_1984_1_3par"
#define PE_N_GT_SAO_BRAZ_TO_WGS_1984_1_7PAR \
   "Sao_Braz_To_WGS_1984_1_7par"
#define PE_N_GT_SAO_BRAZ_TO_WGS_1984_2 \
   "Sao_Braz_To_WGS_1984_2"
#define PE_N_GT_SAO_BRAZ_TO_WGS_1984_2_3PAR \
   "Sao_Braz_To_WGS_1984_2_3par"
#define PE_N_GT_SAO_BRAZ_TO_WGS_1984_2_7PAR \
   "Sao_Braz_To_WGS_1984_2_7par"
#define PE_N_GT_SAO_BRAZ_TO_WGS_1984_3_3PAR \
   "Sao_Braz_To_WGS_1984_3_3par"
#define PE_N_GT_SAO_BRAZ_TO_WGS_1984_3_7PAR \
   "Sao_Braz_To_WGS_1984_3_7par"
#define PE_N_GT_SAPPER_HILL_1943_TO_WGS_1984 \
   "Sapper_Hill_1943_To_WGS_1984"
#define PE_N_GT_SCHWARZECK_TO_WGS_1984 \
   "Schwarzeck_To_WGS_1984"
#define PE_N_GT_SCHWARZECK_TO_WGS_1984_2 \
   "Schwarzeck_To_WGS_1984_2"
#define PE_N_GT_SCORESBYSUND_1952_TO_GREENLAND_1996_1 \
   "Scoresbysund_1952_To_Greenland_1996_1"
#define PE_N_GT_SCORESBYSUND_1952_TO_WGS_1984_1 \
   "Scoresbysund_1952_To_WGS_1984_1"
#define PE_N_GT_SEGORA_TO_WGS_1984 \
   "Segora_To_WGS_1984"
#define PE_N_GT_SELVAGEM_GRANDE_1938_TO_WGS_1984_1 \
   "Selvagem_Grande_1938_To_WGS_1984_1"
#define PE_N_GT_SIERRA_LEONE_1968_TO_WGS_1984 \
   "Sierra_Leone_1968_To_WGS_1984"
#define PE_N_GT_SIRGAS_2000_TO_WGS_1984_1 \
   "SIRGAS_2000_To_WGS_1984_1"
#define PE_N_GT_SIRGAS_TO_WGS_1984_1 \
   "SIRGAS_To_WGS_1984_1"
#define PE_N_GT_SLOVENIA_1996_TO_ETRS_1989_1 \
   "Slovenia_1996_To_ETRS_1989_1"
#define PE_N_GT_SLOVENIA_1996_TO_WGS_1984_1 \
   "Slovenia_1996_To_WGS_1984_1"
#define PE_N_GT_SOLOMON_1968_TO_WGS_1984_1 \
   "Solomon_1968_To_WGS_1984_1"
#define PE_N_GT_SOLOMON_1968_TO_WGS_1984_2 \
   "Solomon_1968_To_WGS_1984_2"
#define PE_N_GT_SOUTH_YEMEN_TO_WGS_1984_1 \
   "South_Yemen_To_WGS_1984_1"
#define PE_N_GT_SOUTH_YEMEN_TO_YEMEN_NGN_1996 \
   "South_Yemen_To_Yemen_NGN_1996"
#define PE_N_GT_SPHERE_WGS_1984_TO_WGS_1984 \
   "WGS_1984_Major_Auxiliary_Sphere_To_WGS_1984"
#define PE_N_GT_SREF98_TO_ETRS_1989_1 \
   "SREF98_To_ETRS_1989_1"
#define PE_N_GT_SREF98_TO_WGS_1984_1 \
   "SREF98_To_WGS_1984_1"
#define PE_N_GT_ST71_BELEP_TO_WGS_1984_1 \
   "ST71_Belep_To_WGS_1984_1"
#define PE_N_GT_ST84_ILE_DES_PINS_TO_RGNC_1991_93_1 \
   "ST84_Ile_des_Pins_To_RGNC_1991-93_1"
#define PE_N_GT_ST84_ILE_DES_PINS_TO_WGS_1984_1 \
   "ST84_Ile_des_Pins_To_WGS_1984_1"
#define PE_N_GT_ST84_ILE_DES_PINS_TO_WGS_1984_2 \
   "ST84_Ile_des_Pins_To_WGS_1984_2"
#define PE_N_GT_ST87_OUVEA_TO_RGNC_1991_93_1 \
   "ST87_Ouvea_To_RGNC_1991-93_1"
#define PE_N_GT_ST87_OUVEA_TO_RGNC_1991_93_2 \
   "ST87_Ouvea_To_RGNC_1991-93_2"
#define PE_N_GT_ST87_OUVEA_TO_WGS_1984_2 \
   "ST87_Ouvea_To_WGS_1984_2"
#define PE_N_GT_ST_GEORGE_TO_NAD_1983 \
   "St_George_To_NAD_1983"
#define PE_N_GT_ST_GEORGE_TO_WGS_1984_1 \
   "St_George_To_WGS_1984_1"
#define PE_N_GT_ST_KITTS_1955_TO_WGS_1984 \
   "St_Kitts_1955_To_WGS_1984"
#define PE_N_GT_ST_KITTS_1955_TO_WGS_1984_2 \
   "St_Kitts_1955_To_WGS_1984_2"
#define PE_N_GT_ST_LAWRENCE_TO_NAD_1983 \
   "St_Lawrence_To_NAD_1983"
#define PE_N_GT_ST_LAWRENCE_TO_WGS_1984_1 \
   "St_Lawrence_To_WGS_1984_1"
#define PE_N_GT_ST_LUCIA_1955_TO_WGS_1984 \
   "St_Lucia_1955_To_WGS_1984"
#define PE_N_GT_ST_PAUL_TO_NAD_1983 \
   "St_Paul_To_NAD_1983"
#define PE_N_GT_ST_PAUL_TO_WGS_1984_1 \
   "St_Paul_To_WGS_1984_1"
#define PE_N_GT_ST_VINCENT_1945_TO_WGS_1984_1 \
   "St_Vincent_1945_To_WGS_1984_1"
#define PE_N_GT_SWEREF99_TO_ETRS_1989_1 \
   "SWEREF99_To_ETRS_1989_1"
#define PE_N_GT_SWEREF99_TO_RT90 \
   "SWEREF99_To_RT90"
#define PE_N_GT_SWEREF99_TO_WGS_1984_1 \
   "SWEREF99_To_WGS_1984_1"
#define PE_N_GT_S_ASIA_SINGAPORE_TO_WGS_1984 \
   "South_Asia_Singapore_To_WGS_1984"
#define PE_N_GT_S_JTSK_FERRO_TO_S_JTSK \
   "S_JTSK_Ferro_To_S_JTSK"
#define PE_N_GT_S_JTSK_TO_ETRS_1989_1 \
   "S_JTSK_To_ETRS_1989_1"
#define PE_N_GT_S_JTSK_TO_ETRS_1989_2 \
   "S_JTSK_To_ETRS_1989_2"
#define PE_N_GT_S_JTSK_TO_ETRS_1989_3 \
   "S_JTSK_To_ETRS_1989_3"
#define PE_N_GT_S_JTSK_TO_ETRS_1989_4 \
   "S_JTSK_To_ETRS_1989_4"
#define PE_N_GT_S_JTSK_TO_PULKOVO_1942 \
   "S_JTSK_To_Pulkovo_1942"
#define PE_N_GT_S_JTSK_TO_WGS_1984_1 \
   "S_JTSK_To_WGS_1984_1"
#define PE_N_GT_S_JTSK_TO_WGS_1984_2 \
   "S_JTSK_To_WGS_1984_2"
#define PE_N_GT_S_JTSK_TO_WGS_1984_3 \
   "S_JTSK_To_WGS_1984_3"
#define PE_N_GT_S_JTSK_TO_WGS_1984_4 \
   "S_JTSK_To_WGS_1984_4"
#define PE_N_GT_S_JTSK_TO_WGS_1984_NGA \
   "S_JTSK_To_WGS_1984_NGA"
#define PE_N_GT_TAHAA_1954_TO_RGPF_1 \
   "Tahaa_1954_To_RGPF_1"
#define PE_N_GT_TAHAA_1954_TO_WGS_1984_1 \
   "Tahaa_1954_To_WGS_1984_1"
#define PE_N_GT_TAHAA_1954_TO_WGS_1984_2 \
   "Tahaa_1954_To_WGS_1984_2"
#define PE_N_GT_TAHITI_1952_TO_WGS_1984_1 \
   "Tahiti_1952_To_WGS_1984_1"
#define PE_N_GT_TAHITI_1979_TO_RGPF_1 \
   "Tahiti_1979_To_RGPF_1"
#define PE_N_GT_TAHITI_1979_TO_WGS_1984_1 \
   "Tahiti_1979_To_WGS_1984_1"
#define PE_N_GT_TANANARIVE_1925_PARIS_TO_TANANARIVE_1925 \
   "Tananarive_1925_Paris_To_Tananarive_1925"
#define PE_N_GT_TANANARIVE_1925_PARIS_TO_WGS_1984 \
   "Tananarive_1925_Paris_To_WGS_1984"
#define PE_N_GT_TANANARIVE_1925_TO_WGS_1984 \
   "Tananarive_1925_To_WGS_1984"
#define PE_N_GT_TERN_ISLAND_1961_TO_WGS_1984 \
   "Tern_Island_1961_To_WGS_1984"
#define PE_N_GT_TETE_TO_MOZNET_1 \
   "Tete_To_Moznet_1"
#define PE_N_GT_TETE_TO_MOZNET_2 \
   "Tete_To_Moznet_2"
#define PE_N_GT_TETE_TO_MOZNET_3 \
   "Tete_To_Moznet_3"
#define PE_N_GT_TETE_TO_MOZNET_4 \
   "Tete_To_Moznet_4"
#define PE_N_GT_TETE_TO_MOZNET_5 \
   "Tete_To_Moznet_5"
#define PE_N_GT_TETE_TO_WGS_1984_1 \
   "Tete_To_WGS_1984_1"
#define PE_N_GT_TETE_TO_WGS_1984_2 \
   "Tete_To_WGS_1984_2"
#define PE_N_GT_TETE_TO_WGS_1984_3 \
   "Tete_To_WGS_1984_3"
#define PE_N_GT_TETE_TO_WGS_1984_4 \
   "Tete_To_WGS_1984_4"
#define PE_N_GT_TETE_TO_WGS_1984_5 \
   "Tete_To_WGS_1984_5"
#define PE_N_GT_TIMBALAI_1948_TO_WGS_1984 \
   "Timbalai_1948_To_WGS_1984"
#define PE_N_GT_TIMBALAI_1948_TO_WGS_1984_2 \
   "Timbalai_1948_To_WGS_1984_2"
#define PE_N_GT_TIMBALAI_1948_TO_WGS_1984_3 \
   "Timbalai_1948_To_WGS_1984_3"
#define PE_N_GT_TIMBALAI_1948_TO_WGS_1984_4 \
   "Timbalai_1948_To_WGS_1984_4"
#define PE_N_GT_TM65_TO_ETRS_1989_1 \
   "TM65_To_ETRS_1989_1"
#define PE_N_GT_TM65_TO_WGS_1984 \
   "TM65_To_WGS_1984"
#define PE_N_GT_TM65_TO_WGS_1984_2 \
   "TM65_To_WGS_1984_2"
#define PE_N_GT_TM75_TO_ETRS_1989_2 \
   "TM75_To_ETRS_1989_2"
#define PE_N_GT_TM75_TO_WGS_1984_2 \
   "TM75_To_WGS_1984_2"
#define PE_N_GT_TM75_TO_WGS_1984_3 \
   "TM75_To_WGS_1984_3"
#define PE_N_GT_TOKYO_TO_JGD_2000_1 \
   "Tokyo_To_JGD_2000_1"
#define PE_N_GT_TOKYO_TO_JGD_2000_NTV2 \
   "Tokyo_To_JGD_2000_NTv2"
#define PE_N_GT_TOKYO_TO_WGS_1984_1 \
   "Tokyo_To_WGS_1984_1"
#define PE_N_GT_TOKYO_TO_WGS_1984_108 \
   "Tokyo_To_WGS_1984_108"
#define PE_N_GT_TOKYO_TO_WGS_1984_2 \
   "Tokyo_To_WGS_1984_2"
#define PE_N_GT_TOKYO_TO_WGS_1984_2001 \
   "Tokyo_To_WGS_1984_2001"
#define PE_N_GT_TOKYO_TO_WGS_1984_3 \
   "Tokyo_To_WGS_1984_3"
#define PE_N_GT_TOKYO_TO_WGS_1984_4 \
   "Tokyo_To_WGS_1984_4"
#define PE_N_GT_TOKYO_TO_WGS_1984_5 \
   "Tokyo_To_WGS_1984_5"
#define PE_N_GT_TOKYO_TO_WGS_1984_NTV2 \
   "Tokyo_To_WGS_1984_NTv2"
#define PE_N_GT_TRINIDAD_1903_TO_WGS_1984 \
   "Trinidad_1903_To_WGS_1984"
#define PE_N_GT_TRINIDAD_1903_TO_WGS_1984_2 \
   "Trinidad_1903_To_WGS_1984_2"
#define PE_N_GT_TRISTAN_1968_TO_WGS_1984 \
   "Tristan_1968_To_WGS_1984"
#define PE_N_GT_TWD_1997_TO_WGS_1984_1 \
   "TWD_1997_To_WGS_1984_1"
#define PE_N_GT_VANUA_LEVU_1915_TO_WGS_1984_1 \
   "Vanua_Levu_1915_To_WGS_1984_1"
#define PE_N_GT_VIENTIANE_1982_TO_LAO_1997_1 \
   "Vientiane_1982_To_Lao_1997_1"
#define PE_N_GT_VITI_LEVU_1912_TO_WGS_1984_1 \
   "Viti_Levu_1912_To_WGS_1984_1"
#define PE_N_GT_VITI_LEVU_1916_TO_WGS_1984 \
   "Viti_Levu_1916_To_WGS_1984"
#define PE_N_GT_VOIROL_1875_GRAD_TO_VOIROL_1875 \
   "Voirol_1875_Grad_To_Voirol_1875"
#define PE_N_GT_VOIROL_1875_GRAD_TO_WGS_1984 \
   "Voirol_1875_Grad_To_WGS_1984"
#define PE_N_GT_VOIROL_1875_PARIS_TO_VOIROL_1875 \
   "Voirol_1875_Paris_To_Voirol_1875"
#define PE_N_GT_VOIROL_1875_PARIS_TO_WGS_1984 \
   "Voirol_1875_Paris_To_WGS_1984"
#define PE_N_GT_VOIROL_1875_TO_WGS_1984 \
   "Voirol_1875_To_WGS_1984"
#define PE_N_GT_VOIROL_1879_GRAD_TO_VOIROL_1879 \
   "Voirol_1879_Grad_To_Voirol_1879"
#define PE_N_GT_VOIROL_UNIFIE_1960_GRAD_TO_WGS_1984 \
   "Voirol_Unifie_1960_Grad_To_WGS_1984"
#define PE_N_GT_VOIROL_UNIFIE_1960_PARIS_TO_VOIROL_UNIFIE_1960 \
   "Voirol_Unifie_1960_Paris_To_Voirol_Unifie_1960"
#define PE_N_GT_VOIROL_UNIFIE_1960_PARIS_TO_WGS_1984 \
   "Voirol_Unifie_1960_Paris_To_WGS_1984"
#define PE_N_GT_VOIROL_UNIFIE_1960_TO_WGS_1984 \
   "Voirol_Unifie_1960_To_WGS_1984"
#define PE_N_GT_WAKE_ENIWETOK_1960_TO_WGS_1984 \
   "Wake_Eniwetok_1960_To_WGS_1984"
#define PE_N_GT_WAKE_ISLAND_1952_TO_WGS_1984 \
   "Wake_Island_1952_To_WGS_1984"
#define PE_N_GT_WGS_1972_BE_TO_WGS_1972_1 \
   "WGS_1972_BE_To_WGS_1972_1"
#define PE_N_GT_WGS_1972_BE_TO_WGS_1984_1 \
   "WGS_1972_BE_To_WGS_1984_1"
#define PE_N_GT_WGS_1972_TO_WGS_1984_1 \
   "WGS_1972_To_WGS_1984_1"
#define PE_N_GT_WGS_1972_TO_WGS_1984_2 \
   "WGS_1972_To_WGS_1984_2"
#define PE_N_GT_WGS_1984_ITRF00_TO_NAD_1983 \
   "WGS_1984_(ITRF00)_To_NAD_1983"
#define PE_N_GT_WGS_1984_ITRF00_TO_NAD_1983_CORS96 \
   "WGS_1984_(ITRF00)_To_NAD_1983_CORS96"
#define PE_N_GT_WGS_1984_ITRF00_TO_NAD_1983_HARN \
   "WGS_1984_(ITRF00)_To_NAD_1983_HARN"
#define PE_N_GT_WGS_1984_TO_NTF_NTV2 \
   "WGS_1984_To_NTF_NTv2"
#define PE_N_GT_WGS_1984_TO_OBSERV_METEOR_1965_1 \
   "WGS_1984_To_Observatorio_Meteorologico_1965_1"
#define PE_N_GT_WGS_1984_TO_OBSERV_METEOR_1965_2 \
   "WGS_1984_To_Observatorio_Meteorologico_1965_2"
#define PE_N_GT_WGS_1984_TO_OCOTEPEQUE_1935_MB \
   "WGS_1984_To_Ocotepeque_1935_MB"
#define PE_N_GT_WGS_1984_TO_RT90 \
   "WGS_1984_To_RT90"
#define PE_N_GT_YACARE_TO_SIRGAS_1 \
   "Yacare_To_SIRGAS_1"
#define PE_N_GT_YACARE_TO_WGS_1984 \
   "Yacare_To_WGS_1984"
#define PE_N_GT_YEMEN_NGN_1996_TO_WGS_1984 \
   "Yemen_NGN_1996_To_WGS_1984"
#define PE_N_GT_YOFF_TO_WGS_1972_1 \
   "Yoff_To_WGS_1972_1"
#define PE_N_GT_ZANDERIJ_TO_WGS_1984 \
   "Zanderij_To_WGS_1984"

/* ------------------------------------------------------------------------- */
/* VERTTRAN names                                                            */
/* ------------------------------------------------------------------------- */

#define PE_N_VT_AIOC95_DEPTH_TO_CASPIAN_1 \
   "AIOC95_Depth_To_Caspian_1"
#define PE_N_VT_ALICANTE_TO_EVRS_2000_1 \
   "Alicante_To_EVRS_2000_1"
#define PE_N_VT_BALTIC_1982_TO_EVRS_2000_1 \
   "Baltic_1982_To_EVRS_2000_1"
#define PE_N_VT_BALTIC_TO_AIOC95_DEPTH_1 \
   "Baltic_To_AIOC95_Depth_1"
#define PE_N_VT_BALTIC_TO_BLACK_SEA_1 \
   "Baltic_To_Black_Sea_1"
#define PE_N_VT_BALTIC_TO_CASPIAN_1 \
   "Baltic_To_Caspian_1"
#define PE_N_VT_BALTIC_TO_EVRS_2000_1 \
   "Baltic_To_EVRS_2000_1"
#define PE_N_VT_BALTIC_TO_EVRS_2000_2 \
   "Baltic_To_EVRS_2000_2"
#define PE_N_VT_BALTIC_TO_EVRS_2000_3 \
   "Baltic_To_EVRS_2000_3"
#define PE_N_VT_BELFAST_TO_MALIN_HEAD_1 \
   "Belfast_To_Malin_Head_1"
#define PE_N_VT_CASCAIS_TO_EVRS_2000_1 \
   "Cascais_To_EVRS_2000_1"
#define PE_N_VT_DHHN85_TO_EVRS_2000_1 \
   "DHHN85_To_EVRS_2000_1"
#define PE_N_VT_DHHN92_TO_EVRS_2000_1 \
   "DHHN92_To_EVRS_2000_1"
#define PE_N_VT_DNN_TO_EVRS_2000_1 \
   "DNN_To_EVRS_2000_1"
#define PE_N_VT_EOMA_1980_TO_EVRS_2000_1 \
   "EOMA_1980_To_EVRS_2000_1"
#define PE_N_VT_GHA_TO_EVRS_2000_1 \
   "GHA_To_EVRS_2000_1"
#define PE_N_VT_HONG_KONG_PRINCIPAL_TO_HONG_KONG_CHART_1 \
   "Hong_Kong_Principal_Height_To_Hong_Kong_Chart_Depth_1"
#define PE_N_VT_KOC_CD_TO_KOC_WD_1 \
   "KOC_CD_To_KOC_WD_1"
#define PE_N_VT_KOC_CD_TO_KUWAIT_PWD_1 \
   "KOC_CD_To_Kuwait_PWD_1"
#define PE_N_VT_KOC_WD_TO_KUWAIT_PWD_1 \
   "KOC_WD_To_Kuwait_PWD_1"
#define PE_N_VT_LN_1902_TO_EVRS_2000_1 \
   "LN02_To_EVRS_2000_1"
#define PE_N_VT_N60_TO_EVRS_2000_1 \
   "N60_To_EVRS_2000_1"
#define PE_N_VT_NAP_TO_EVRS_2000_1 \
   "NAP_To_EVRS_2000_1"
#define PE_N_VT_NEWLYN_TO_EVRS_2000_1 \
   "Newlyn_To_EVRS_2000_1"
#define PE_N_VT_NGF_IGN69_TO_EVRS_2000_1 \
   "NGF_IGN69_To_EVRS_2000_1"
#define PE_N_VT_NGVD29_TO_NAVD88_HARN_CENTRAL \
   "NGVD29_To_NAVD88_HARN_Central"
#define PE_N_VT_NGVD29_TO_NAVD88_HARN_EAST \
   "NGVD29_To_NAVD88_HARN_East"
#define PE_N_VT_NGVD29_TO_NAVD88_HARN_ECW \
   "NGVD29_To_NAVD88_HARN_ECW"
#define PE_N_VT_NGVD29_TO_NAVD88_HARN_WEST \
   "NGVD29_To_NAVD88_HARN_West"
#define PE_N_VT_NGVD29_TO_NAVD88_NAD27_1_WEST \
   "NGVD29_To_NAVD88_NAD27_1_West"
#define PE_N_VT_NGVD29_TO_NAVD88_NAD27_2_CENTRAL \
   "NGVD29_To_NAVD88_NAD27_2_Central"
#define PE_N_VT_NGVD29_TO_NAVD88_NAD27_3_EAST \
   "NGVD29_To_NAVD88_NAD27_3_East"
#define PE_N_VT_NGVD29_TO_NAVD88_NAD27_ECW \
   "NGVD29_To_NAVD88_NAD27_ECW"
#define PE_N_VT_NGVD29_TO_NAVD88_NAD83_CENTRAL \
   "NGVD29_To_NAVD88_NAD83_Central"
#define PE_N_VT_NGVD29_TO_NAVD88_NAD83_EAST \
   "NGVD29_To_NAVD88_NAD83_East"
#define PE_N_VT_NGVD29_TO_NAVD88_NAD83_ECW \
   "NGVD29_To_NAVD88_NAD83_ECW"
#define PE_N_VT_NGVD29_TO_NAVD88_NAD83_WEST \
   "NGVD29_To_NAVD88_NAD83_West"
#define PE_N_VT_NN54_TO_EVRS_2000_1 \
   "NN54_To_EVRS_2000_1"
#define PE_N_VT_NVN99_TO_EVRS_2000_1 \
   "NVN99_To_EVRS_2000_1"
#define PE_N_VT_NZVD2009_TO_AUCKLAND_1 \
   "NZVD2009_To_Auckland_1"
#define PE_N_VT_NZVD2009_TO_BLUFF_1 \
   "NZVD2009_To_Bluff_1"
#define PE_N_VT_NZVD2009_TO_DUNEDIN_1 \
   "NZVD2009_To_Dunedin_1"
#define PE_N_VT_NZVD2009_TO_DUNEDIN_BLUFF_1960_1 \
   "NZVD2009_To_Dunedin_Bluff_1960_1"
#define PE_N_VT_NZVD2009_TO_GISBORNE_1 \
   "NZVD2009_To_Gisborne_1"
#define PE_N_VT_NZVD2009_TO_LYTTLETON_1 \
   "NZVD2009_To_Lyttleton_1"
#define PE_N_VT_NZVD2009_TO_MOTURIKI_1 \
   "NZVD2009_To_Moturiki_1"
#define PE_N_VT_NZVD2009_TO_NAPIER_1 \
   "NZVD2009_To_Napier_1"
#define PE_N_VT_NZVD2009_TO_NELSON_1 \
   "NZVD2009_To_Nelson_1"
#define PE_N_VT_NZVD2009_TO_ONE_TREE_POINT_1 \
   "NZVD2009_To_One_Tree_Point_1"
#define PE_N_VT_NZVD2009_TO_STEWART_ISLAND_1 \
   "NZVD2009_To_Stewart_Island_1"
#define PE_N_VT_NZVD2009_TO_TARANAKI_1 \
   "NZVD2009_To_Taranaki_1"
#define PE_N_VT_NZVD2009_TO_WELLINGTON_1 \
   "NZVD2009_To_Wellington_1"
#define PE_N_VT_POOLBEG_TO_BELFAST_1 \
   "Poolbeg_To_Belfast_1"
#define PE_N_VT_POOLBEG_TO_MALIN_HEAD_1 \
   "Poolbeg_To_Malin_Head_1"
#define PE_N_VT_RH70_TO_EVRS_2000_1 \
   "RH70_To_EVRS_2000_1"
#define PE_N_VT_SNN76_TO_EVRS_2000_1 \
   "SNN76_To_EVRS_2000_1"
#define PE_N_VT_WGS_1984_TO_EGM_1984_GEOID_1 \
   "WGS_1984_To_EGM_1984_Geoid_1"
#define PE_N_VT_WGS_1984_TO_EGM_1984_GEOID_2 \
   "WGS_1984_To_EGM_1984_Geoid_2"
#define PE_N_VT_WGS_1984_TO_EGM_1996_GEOID_1 \
   "WGS_1984_To_EGM_1996_Geoid_1"
#define PE_N_VT_WGS_1984_TO_EGM_1996_GEOID_2 \
   "WGS_1984_To_EGM_1996_Geoid_2"

/* ------------------------------------------------------------------------- */
/* LINUNIT names                                                             */
/* ------------------------------------------------------------------------- */

#define PE_N_U_CENTIMETER \
   "Centimeter"
#define PE_N_U_CHAIN \
   "Chain"
#define PE_N_U_CHAIN_BENOIT_A \
   "Chain_Benoit_1895_A"
#define PE_N_U_CHAIN_BENOIT_B \
   "Chain_Benoit_1895_B"
#define PE_N_U_CHAIN_CLARKE \
   "Chain_Clarke"
#define PE_N_U_CHAIN_SEARS \
   "Chain_Sears"
#define PE_N_U_CHAIN_SEARS_1922_TRUNC \
   "Chain_Sears_1922_Truncated"
#define PE_N_U_CHAIN_US \
   "Chain_US"
#define PE_N_U_DECIMETER \
   "Decimeter"
#define PE_N_U_FATHOM \
   "Fathom"
#define PE_N_U_FOOT \
   "Foot"
#define PE_N_U_FOOT_1865 \
   "Foot_1865"
#define PE_N_U_FOOT_BENOIT_A \
   "Foot_Benoit_1895_A"
#define PE_N_U_FOOT_BENOIT_B \
   "Foot_Benoit_1895_B"
#define PE_N_U_FOOT_BRITISH_1936 \
   "Foot_British_1936"
#define PE_N_U_FOOT_CLARKE \
   "Foot_Clarke"
#define PE_N_U_FOOT_GOLD_COAST \
   "Foot_Gold_Coast"
#define PE_N_U_FOOT_INDIAN \
   "Foot_Indian"
#define PE_N_U_FOOT_INDIAN_1937 \
   "Foot_Indian_1937"
#define PE_N_U_FOOT_INDIAN_1962 \
   "Foot_Indian_1962"
#define PE_N_U_FOOT_INDIAN_1975 \
   "Foot_Indian_1975"
#define PE_N_U_FOOT_SEARS \
   "Foot_Sears"
#define PE_N_U_FOOT_SEARS_1922_TRUNC \
   "Foot_Sears_1922_Truncated"
#define PE_N_U_FOOT_US \
   "Foot_US"
#define PE_N_U_INCH \
   "Inch"
#define PE_N_U_INCH_US \
   "Inch_US"
#define PE_N_U_KILOMETER \
   "Kilometer"
#define PE_N_U_KM150 \
   "150_Kilometers"
#define PE_N_U_KM50 \
   "50_Kilometers"
#define PE_N_U_LINK \
   "Link"
#define PE_N_U_LINK_BENOIT_A \
   "Link_Benoit_1895_A"
#define PE_N_U_LINK_BENOIT_B \
   "Link_Benoit_1895_B"
#define PE_N_U_LINK_CLARKE \
   "Link_Clarke"
#define PE_N_U_LINK_SEARS \
   "Link_Sears"
#define PE_N_U_LINK_SEARS_1922_TRUNC \
   "Link_Sears_1922_Truncated"
#define PE_N_U_LINK_US \
   "Link_US"
#define PE_N_U_METER \
   "Meter"
#define PE_N_U_METER_GERMAN \
   "Meter_German"
#define PE_N_U_MILE_STATUTE \
   "Statute_Mile"
#define PE_N_U_MILE_US \
   "Mile_US"
#define PE_N_U_MILLIMETER \
   "Millimeter"
#define PE_N_U_NAUTICAL_MILE \
   "Nautical_Mile"
#define PE_N_U_NAUTICAL_MILE_UK \
   "Nautical_Mile_UK"
#define PE_N_U_NAUTICAL_MILE_US \
   "Nautical_Mile_US"
#define PE_N_U_ROD \
   "Rod"
#define PE_N_U_ROD_US \
   "Rod_US"
#define PE_N_U_YARD \
   "Yard"
#define PE_N_U_YARD_BENOIT_A \
   "Yard_Benoit_1895_A"
#define PE_N_U_YARD_BENOIT_B \
   "Yard_Benoit_1895_B"
#define PE_N_U_YARD_CLARKE \
   "Yard_Clarke"
#define PE_N_U_YARD_INDIAN \
   "Yard_Indian"
#define PE_N_U_YARD_INDIAN_1937 \
   "Yard_Indian_1937"
#define PE_N_U_YARD_INDIAN_1962 \
   "Yard_Indian_1962"
#define PE_N_U_YARD_INDIAN_1975 \
   "Yard_Indian_1975"
#define PE_N_U_YARD_SEARS \
   "Yard_Sears"
#define PE_N_U_YARD_SEARS_1922_TRUNC \
   "Yard_Sears_1922_Truncated"
#define PE_N_U_YARD_US \
   "Yard_US"

/* ------------------------------------------------------------------------- */
/* ANGUNIT names                                                             */
/* ------------------------------------------------------------------------- */

#define PE_N_U_DEGREE \
   "Degree"
#define PE_N_U_GON \
   "Gon"
#define PE_N_U_GRAD \
   "Grad"
#define PE_N_U_MICRORADIAN \
   "Microradian"
#define PE_N_U_MIL_6400 \
   "Mil_6400"
#define PE_N_U_MINUTE \
   "Minute"
#define PE_N_U_MINUTE_CENTESIMAL \
   "Minute_Centesimal"
#define PE_N_U_RADIAN \
   "Radian"
#define PE_N_U_SECOND \
   "Second"
#define PE_N_U_SECOND_CENTESIMAL \
   "Second_Centesimal"

/* ------------------------------------------------------------------------- */
/* PRIMEM names                                                              */
/* ------------------------------------------------------------------------- */

#define PE_N_PM_ATHENS \
   "Athens"
#define PE_N_PM_BERN \
   "Bern"
#define PE_N_PM_BOGOTA \
   "Bogota"
#define PE_N_PM_BRUSSELS \
   "Brussels"
#define PE_N_PM_FERRO \
   "Ferro"
#define PE_N_PM_GREENWICH \
   "Greenwich"
#define PE_N_PM_JAKARTA \
   "Jakarta"
#define PE_N_PM_LISBON \
   "Lisbon"
#define PE_N_PM_MADRID \
   "Madrid"
#define PE_N_PM_OSLO \
   "Oslo"
#define PE_N_PM_PARIS \
   "Paris"
#define PE_N_PM_PARIS_RGS \
   "Paris_RGS"
#define PE_N_PM_REFERENCE \
   "Reference_Meridian"
#define PE_N_PM_ROME \
   "Rome"
#define PE_N_PM_STOCKHOLM \
   "Stockholm"

/* ------------------------------------------------------------------------- */
/* SPHEROID names                                                            */
/* ------------------------------------------------------------------------- */

#define PE_N_S_AIRY_1830 \
   "Airy_1830"
#define PE_N_S_AIRY_MOD \
   "Airy_Modified"
#define PE_N_S_ATS_1977 \
   "ATS_1977"
#define PE_N_S_AUSTRALIAN \
   "Australian"
#define PE_N_S_BESSEL_1841 \
   "Bessel_1841"
#define PE_N_S_BESSEL_MOD \
   "Bessel_Modified"
#define PE_N_S_BESSEL_NAMIBIA \
   "Bessel_Namibia"
#define PE_N_S_CGCS2000 \
   "CGCS2000"
#define PE_N_S_CLARKE_1858 \
   "Clarke_1858"
#define PE_N_S_CLARKE_1866 \
   "Clarke_1866"
#define PE_N_S_CLARKE_1866_MICH \
   "Clarke_1866_Michigan"
#define PE_N_S_CLARKE_1880 \
   "Clarke_1880"
#define PE_N_S_CLARKE_1880_ARC \
   "Clarke_1880_Arc"
#define PE_N_S_CLARKE_1880_BENOIT \
   "Clarke_1880_Benoit"
#define PE_N_S_CLARKE_1880_IFT \
   "Clarke_1880_Intl_Ft"
#define PE_N_S_CLARKE_1880_IGN \
   "Clarke_1880_IGN"
#define PE_N_S_CLARKE_1880_RGS \
   "Clarke_1880_RGS"
#define PE_N_S_CLARKE_1880_SGA \
   "Clarke_1880_SGA"
#define PE_N_S_DANISH_1876 \
   "Danish_1876"
#define PE_N_S_EVEREST_1830 \
   "Everest_1830"
#define PE_N_S_EVEREST_ADJ_1937 \
   "Everest_Adjustment_1937"
#define PE_N_S_EVEREST_DEF_1962 \
   "Everest_Definition_1962"
#define PE_N_S_EVEREST_DEF_1967 \
   "Everest_Definition_1967"
#define PE_N_S_EVEREST_DEF_1975 \
   "Everest_Definition_1975"
#define PE_N_S_EVEREST_MOD \
   "Everest_1830_Modified"
#define PE_N_S_EVEREST_MOD_1969 \
   "Everest_Modified_1969"
#define PE_N_S_FISCHER_1960 \
   "Fischer_1960"
#define PE_N_S_FISCHER_1968 \
   "Fischer_1968"
#define PE_N_S_FISCHER_MOD \
   "Fischer_Modified"
#define PE_N_S_GEM_10C \
   "GEM_10C"
#define PE_N_S_GRS_1967 \
   "GRS_1967"
#define PE_N_S_GRS_1967_TRUNC \
   "GRS_1967_Truncated"
#define PE_N_S_GRS_1980 \
   "GRS_1980"
#define PE_N_S_GRS_1980_ADJ_MN_ANOKA \
   "S_GRS_1980_Adj_MN_Anoka"
#define PE_N_S_GRS_1980_ADJ_MN_BECKER \
   "S_GRS_1980_Adj_MN_Becker"
#define PE_N_S_GRS_1980_ADJ_MN_BELTRAMI_N \
   "S_GRS_1980_Adj_MN_Beltrami_North"
#define PE_N_S_GRS_1980_ADJ_MN_BELTRAMI_S \
   "S_GRS_1980_Adj_MN_Beltrami_South"
#define PE_N_S_GRS_1980_ADJ_MN_BENTON \
   "S_GRS_1980_Adj_MN_Benton"
#define PE_N_S_GRS_1980_ADJ_MN_BIG_STONE \
   "S_GRS_1980_Adj_MN_Big_Stone"
#define PE_N_S_GRS_1980_ADJ_MN_BLUE_EARTH \
   "S_GRS_1980_Adj_MN_Blue_Earth"
#define PE_N_S_GRS_1980_ADJ_MN_BROWN \
   "S_GRS_1980_Adj_MN_Brown"
#define PE_N_S_GRS_1980_ADJ_MN_CARLTON \
   "S_GRS_1980_Adj_MN_Carlton"
#define PE_N_S_GRS_1980_ADJ_MN_CARVER \
   "S_GRS_1980_Adj_MN_Carver"
#define PE_N_S_GRS_1980_ADJ_MN_CASS_N \
   "S_GRS_1980_Adj_MN_Cass_North"
#define PE_N_S_GRS_1980_ADJ_MN_CASS_S \
   "S_GRS_1980_Adj_MN_Cass_South"
#define PE_N_S_GRS_1980_ADJ_MN_CHIPPEWA \
   "S_GRS_1980_Adj_MN_Chippewa"
#define PE_N_S_GRS_1980_ADJ_MN_CHISAGO \
   "S_GRS_1980_Adj_MN_Chisago"
#define PE_N_S_GRS_1980_ADJ_MN_COOK_N \
   "S_GRS_1980_Adj_MN_Cook_North"
#define PE_N_S_GRS_1980_ADJ_MN_COOK_S \
   "S_GRS_1980_Adj_MN_Cook_South"
#define PE_N_S_GRS_1980_ADJ_MN_COTTONWOOD \
   "S_GRS_1980_Adj_MN_Cottonwood"
#define PE_N_S_GRS_1980_ADJ_MN_CROW_WING \
   "S_GRS_1980_Adj_MN_Crow_Wing"
#define PE_N_S_GRS_1980_ADJ_MN_DAKOTA \
   "S_GRS_1980_Adj_MN_Dakota"
#define PE_N_S_GRS_1980_ADJ_MN_DODGE \
   "S_GRS_1980_Adj_MN_Dodge"
#define PE_N_S_GRS_1980_ADJ_MN_DOUGLAS \
   "S_GRS_1980_Adj_MN_Douglas"
#define PE_N_S_GRS_1980_ADJ_MN_FARIBAULT \
   "S_GRS_1980_Adj_MN_Faribault"
#define PE_N_S_GRS_1980_ADJ_MN_FILLMORE \
   "S_GRS_1980_Adj_MN_Fillmore"
#define PE_N_S_GRS_1980_ADJ_MN_FREEBORN \
   "S_GRS_1980_Adj_MN_Freeborn"
#define PE_N_S_GRS_1980_ADJ_MN_GOODHUE \
   "S_GRS_1980_Adj_MN_Goodhue"
#define PE_N_S_GRS_1980_ADJ_MN_GRANT \
   "S_GRS_1980_Adj_MN_Grant"
#define PE_N_S_GRS_1980_ADJ_MN_HENNEPIN \
   "S_GRS_1980_Adj_MN_Hennepin"
#define PE_N_S_GRS_1980_ADJ_MN_HOUSTON \
   "S_GRS_1980_Adj_MN_Houston"
#define PE_N_S_GRS_1980_ADJ_MN_ISANTI \
   "S_GRS_1980_Adj_MN_Isanti"
#define PE_N_S_GRS_1980_ADJ_MN_ITASCA_N \
   "S_GRS_1980_Adj_MN_Itasca_North"
#define PE_N_S_GRS_1980_ADJ_MN_ITASCA_S \
   "S_GRS_1980_Adj_MN_Itasca_South"
#define PE_N_S_GRS_1980_ADJ_MN_JACKSON \
   "S_GRS_1980_Adj_MN_Jackson"
#define PE_N_S_GRS_1980_ADJ_MN_KANABEC \
   "S_GRS_1980_Adj_MN_Kanabec"
#define PE_N_S_GRS_1980_ADJ_MN_KANDIYOHI \
   "S_GRS_1980_Adj_MN_Kandiyohi"
#define PE_N_S_GRS_1980_ADJ_MN_KITTSON \
   "S_GRS_1980_Adj_MN_Kittson"
#define PE_N_S_GRS_1980_ADJ_MN_KOOCHICHING \
   "S_GRS_1980_Adj_MN_Koochiching"
#define PE_N_S_GRS_1980_ADJ_MN_LAC_QUI_PARLE \
   "S_GRS_1980_Adj_MN_Lac_Qui_Parle"
#define PE_N_S_GRS_1980_ADJ_MN_LAKE_OF_THE_WOODS_N \
   "S_GRS_1980_Adj_MN_Lake_of_the_Woods_North"
#define PE_N_S_GRS_1980_ADJ_MN_LAKE_OF_THE_WOODS_S \
   "S_GRS_1980_Adj_MN_Lake_of_the_Woods_South"
#define PE_N_S_GRS_1980_ADJ_MN_LE_SUEUR \
   "S_GRS_1980_Adj_MN_Le_Sueur"
#define PE_N_S_GRS_1980_ADJ_MN_LINCOLN \
   "S_GRS_1980_Adj_MN_Lincoln"
#define PE_N_S_GRS_1980_ADJ_MN_LYON \
   "S_GRS_1980_Adj_MN_Lyon"
#define PE_N_S_GRS_1980_ADJ_MN_MAHNOMEN \
   "S_GRS_1980_Adj_MN_Mahnomen"
#define PE_N_S_GRS_1980_ADJ_MN_MARSHALL \
   "S_GRS_1980_Adj_MN_Marshall"
#define PE_N_S_GRS_1980_ADJ_MN_MARTIN \
   "S_GRS_1980_Adj_MN_Martin"
#define PE_N_S_GRS_1980_ADJ_MN_MCLEOD \
   "S_GRS_1980_Adj_MN_McLeod"
#define PE_N_S_GRS_1980_ADJ_MN_MEEKER \
   "S_GRS_1980_Adj_MN_Meeker"
#define PE_N_S_GRS_1980_ADJ_MN_MORRISON \
   "S_GRS_1980_Adj_MN_Morrison"
#define PE_N_S_GRS_1980_ADJ_MN_MOWER \
   "S_GRS_1980_Adj_MN_Mower"
#define PE_N_S_GRS_1980_ADJ_MN_MURRAY \
   "S_GRS_1980_Adj_MN_Murray"
#define PE_N_S_GRS_1980_ADJ_MN_NICOLLET \
   "S_GRS_1980_Adj_MN_Nicollet"
#define PE_N_S_GRS_1980_ADJ_MN_NOBLES \
   "S_GRS_1980_Adj_MN_Nobles"
#define PE_N_S_GRS_1980_ADJ_MN_NORMAN \
   "S_GRS_1980_Adj_MN_Norman"
#define PE_N_S_GRS_1980_ADJ_MN_OLMSTED \
   "S_GRS_1980_Adj_MN_Olmsted"
#define PE_N_S_GRS_1980_ADJ_MN_OTTERTAIL \
   "S_GRS_1980_Adj_MN_Ottertail"
#define PE_N_S_GRS_1980_ADJ_MN_PENNINGTON \
   "S_GRS_1980_Adj_MN_Pennington"
#define PE_N_S_GRS_1980_ADJ_MN_PINE \
   "S_GRS_1980_Adj_MN_Pine"
#define PE_N_S_GRS_1980_ADJ_MN_PIPESTONE \
   "S_GRS_1980_Adj_MN_Pipestone"
#define PE_N_S_GRS_1980_ADJ_MN_POLK \
   "S_GRS_1980_Adj_MN_Polk"
#define PE_N_S_GRS_1980_ADJ_MN_POPE \
   "S_GRS_1980_Adj_MN_Pope"
#define PE_N_S_GRS_1980_ADJ_MN_RAMSEY \
   "S_GRS_1980_Adj_MN_Ramsey"
#define PE_N_S_GRS_1980_ADJ_MN_REDWOOD \
   "S_GRS_1980_Adj_MN_Redwood"
#define PE_N_S_GRS_1980_ADJ_MN_RED_LAKE \
   "S_GRS_1980_Adj_MN_Red_Lake"
#define PE_N_S_GRS_1980_ADJ_MN_RENVILLE \
   "S_GRS_1980_Adj_MN_Renville"
#define PE_N_S_GRS_1980_ADJ_MN_RICE \
   "S_GRS_1980_Adj_MN_Rice"
#define PE_N_S_GRS_1980_ADJ_MN_ROCK \
   "S_GRS_1980_Adj_MN_Rock"
#define PE_N_S_GRS_1980_ADJ_MN_ROSEAU \
   "S_GRS_1980_Adj_MN_Roseau"
#define PE_N_S_GRS_1980_ADJ_MN_SCOTT \
   "S_GRS_1980_Adj_MN_Scott"
#define PE_N_S_GRS_1980_ADJ_MN_SHERBURNE \
   "S_GRS_1980_Adj_MN_Sherburne"
#define PE_N_S_GRS_1980_ADJ_MN_SIBLEY \
   "S_GRS_1980_Adj_MN_Sibley"
#define PE_N_S_GRS_1980_ADJ_MN_STEARNS \
   "S_GRS_1980_Adj_MN_Stearns"
#define PE_N_S_GRS_1980_ADJ_MN_STEELE \
   "S_GRS_1980_Adj_MN_Steele"
#define PE_N_S_GRS_1980_ADJ_MN_STEVENS \
   "S_GRS_1980_Adj_MN_Stevens"
#define PE_N_S_GRS_1980_ADJ_MN_ST_LOUIS \
   "S_GRS_1980_Adj_MN_St_Louis"
#define PE_N_S_GRS_1980_ADJ_MN_ST_LOUIS_C \
   "S_GRS_1980_Adj_MN_St_Louis_Central"
#define PE_N_S_GRS_1980_ADJ_MN_ST_LOUIS_N \
   "S_GRS_1980_Adj_MN_St_Louis_North"
#define PE_N_S_GRS_1980_ADJ_MN_ST_LOUIS_S \
   "S_GRS_1980_Adj_MN_St_Louis_South"
#define PE_N_S_GRS_1980_ADJ_MN_SWIFT \
   "S_GRS_1980_Adj_MN_Swift"
#define PE_N_S_GRS_1980_ADJ_MN_TODD \
   "S_GRS_1980_Adj_MN_Todd"
#define PE_N_S_GRS_1980_ADJ_MN_TRAVERSE \
   "S_GRS_1980_Adj_MN_Traverse"
#define PE_N_S_GRS_1980_ADJ_MN_WABASHA \
   "S_GRS_1980_Adj_MN_Wabasha"
#define PE_N_S_GRS_1980_ADJ_MN_WADENA \
   "S_GRS_1980_Adj_MN_Wadena"
#define PE_N_S_GRS_1980_ADJ_MN_WASECA \
   "S_GRS_1980_Adj_MN_Waseca"
#define PE_N_S_GRS_1980_ADJ_MN_WATONWAN \
   "S_GRS_1980_Adj_MN_Watonwan"
#define PE_N_S_GRS_1980_ADJ_MN_WINONA \
   "S_GRS_1980_Adj_MN_Winona"
#define PE_N_S_GRS_1980_ADJ_MN_WRIGHT \
   "S_GRS_1980_Adj_MN_Wright"
#define PE_N_S_GRS_1980_ADJ_MN_YELLOW_MEDICINE \
   "S_GRS_1980_Adj_MN_Yellow_Medicine"
#define PE_N_S_GRS_1980_ADJ_WI_AD_JN \
   "GRS_1980_Adj_WI_AD_JN"
#define PE_N_S_GRS_1980_ADJ_WI_AL \
   "GRS_1980_Adj_WI_AL"
#define PE_N_S_GRS_1980_ADJ_WI_BA \
   "GRS_1980_Adj_WI_BA"
#define PE_N_S_GRS_1980_ADJ_WI_BF \
   "GRS_1980_Adj_WI_BF"
#define PE_N_S_GRS_1980_ADJ_WI_BN \
   "GRS_1980_Adj_WI_BN"
#define PE_N_S_GRS_1980_ADJ_WI_BR \
   "GRS_1980_Adj_WI_BR"
#define PE_N_S_GRS_1980_ADJ_WI_BU \
   "GRS_1980_Adj_WI_BU"
#define PE_N_S_GRS_1980_ADJ_WI_CK \
   "GRS_1980_Adj_WI_CK"
#define PE_N_S_GRS_1980_ADJ_WI_CL_FL_OG_WN \
   "GRS_1980_Adj_WI_CL_FL_OG_WN"
#define PE_N_S_GRS_1980_ADJ_WI_CO \
   "GRS_1980_Adj_WI_CO"
#define PE_N_S_GRS_1980_ADJ_WI_CP \
   "GRS_1980_Adj_WI_CP"
#define PE_N_S_GRS_1980_ADJ_WI_CR \
   "GRS_1980_Adj_WI_CR"
#define PE_N_S_GRS_1980_ADJ_WI_DD_JF \
   "GRS_1980_Adj_WI_DD_JF"
#define PE_N_S_GRS_1980_ADJ_WI_DG \
   "GRS_1980_Adj_WI_DG"
#define PE_N_S_GRS_1980_ADJ_WI_DN \
   "GRS_1980_Adj_WI_DN"
#define PE_N_S_GRS_1980_ADJ_WI_DR \
   "GRS_1980_Adj_WI_DR"
#define PE_N_S_GRS_1980_ADJ_WI_DU \
   "GRS_1980_Adj_WI_DU"
#define PE_N_S_GRS_1980_ADJ_WI_EC \
   "GRS_1980_Adj_WI_EC"
#define PE_N_S_GRS_1980_ADJ_WI_FN \
   "GRS_1980_Adj_WI_FN"
#define PE_N_S_GRS_1980_ADJ_WI_FR \
   "GRS_1980_Adj_WI_FR"
#define PE_N_S_GRS_1980_ADJ_WI_GL_MQ \
   "GRS_1980_Adj_WI_GL_MQ"
#define PE_N_S_GRS_1980_ADJ_WI_GR_LF \
   "GRS_1980_Adj_WI_GR_LF"
#define PE_N_S_GRS_1980_ADJ_WI_GT \
   "GRS_1980_Adj_WI_GT"
#define PE_N_S_GRS_1980_ADJ_WI_IA \
   "GRS_1980_Adj_WI_IA"
#define PE_N_S_GRS_1980_ADJ_WI_IR \
   "GRS_1980_Adj_WI_IR"
#define PE_N_S_GRS_1980_ADJ_WI_JA \
   "GRS_1980_Adj_WI_JA"
#define PE_N_S_GRS_1980_ADJ_WI_KN_MW_OZ_RA \
   "GRS_1980_Adj_WI_KN_MW_OZ_RA"
#define PE_N_S_GRS_1980_ADJ_WI_KW_MT_SG \
   "GRS_1980_Adj_WI_KW_MT_SG"
#define PE_N_S_GRS_1980_ADJ_WI_LC \
   "GRS_1980_Adj_WI_LC"
#define PE_N_S_GRS_1980_ADJ_WI_LG \
   "GRS_1980_Adj_WI_LG"
#define PE_N_S_GRS_1980_ADJ_WI_LN \
   "GRS_1980_Adj_WI_LN"
#define PE_N_S_GRS_1980_ADJ_WI_MA \
   "GRS_1980_Adj_WI_MA"
#define PE_N_S_GRS_1980_ADJ_WI_ME \
   "GRS_1980_Adj_WI_ME"
#define PE_N_S_GRS_1980_ADJ_WI_MN \
   "GRS_1980_Adj_WI_MN"
#define PE_N_S_GRS_1980_ADJ_WI_MR \
   "GRS_1980_Adj_WI_MR"
#define PE_N_S_GRS_1980_ADJ_WI_OC \
   "GRS_1980_Adj_WI_OC"
#define PE_N_S_GRS_1980_ADJ_WI_ON \
   "GRS_1980_Adj_WI_ON"
#define PE_N_S_GRS_1980_ADJ_WI_PK \
   "GRS_1980_Adj_WI_PK"
#define PE_N_S_GRS_1980_ADJ_WI_PP_PC \
   "GRS_1980_Adj_WI_PP_PC"
#define PE_N_S_GRS_1980_ADJ_WI_PR \
   "GRS_1980_Adj_WI_PR"
#define PE_N_S_GRS_1980_ADJ_WI_PT \
   "GRS_1980_Adj_WI_PT"
#define PE_N_S_GRS_1980_ADJ_WI_RC \
   "GRS_1980_Adj_WI_RC"
#define PE_N_S_GRS_1980_ADJ_WI_RK \
   "GRS_1980_Adj_WI_RK"
#define PE_N_S_GRS_1980_ADJ_WI_RS \
   "GRS_1980_Adj_WI_RS"
#define PE_N_S_GRS_1980_ADJ_WI_SC \
   "GRS_1980_Adj_WI_SC"
#define PE_N_S_GRS_1980_ADJ_WI_SH \
   "GRS_1980_Adj_WI_SH"
#define PE_N_S_GRS_1980_ADJ_WI_SK \
   "GRS_1980_Adj_WI_SK"
#define PE_N_S_GRS_1980_ADJ_WI_SW \
   "GRS_1980_Adj_WI_SW"
#define PE_N_S_GRS_1980_ADJ_WI_TA \
   "GRS_1980_Adj_WI_TA"
#define PE_N_S_GRS_1980_ADJ_WI_TR \
   "GRS_1980_Adj_WI_TR"
#define PE_N_S_GRS_1980_ADJ_WI_VI \
   "GRS_1980_Adj_WI_VI"
#define PE_N_S_GRS_1980_ADJ_WI_VR \
   "GRS_1980_Adj_WI_VR"
#define PE_N_S_GRS_1980_ADJ_WI_WA \
   "GRS_1980_Adj_WI_WA"
#define PE_N_S_GRS_1980_ADJ_WI_WB \
   "GRS_1980_Adj_WI_WB"
#define PE_N_S_GRS_1980_ADJ_WI_WD \
   "GRS_1980_Adj_WI_WD"
#define PE_N_S_GRS_1980_ADJ_WI_WK \
   "GRS_1980_Adj_WI_WK"
#define PE_N_S_GRS_1980_ADJ_WI_WP \
   "GRS_1980_Adj_WI_WP"
#define PE_N_S_GRS_1980_ADJ_WI_WS \
   "GRS_1980_Adj_WI_WS"
#define PE_N_S_GRS_1980_ADJ_WI_WW \
   "GRS_1980_Adj_WI_WW"
#define PE_N_S_HELMERT_1906 \
   "Helmert_1906"
#define PE_N_S_HOUGH_1960 \
   "Hough_1960"
#define PE_N_S_HUGHES_1980 \
   "Hughes_1980"
#define PE_N_S_INDONESIAN \
   "Indonesian"
#define PE_N_S_INTERNATIONAL_1924 \
   "International_1924"
#define PE_N_S_INTERNATIONAL_1967 \
   "International_1967"
#define PE_N_S_KRASOVSKY_1940 \
   "Krasovsky_1940"
#define PE_N_S_NWL_10D \
   "NWL_10D"
#define PE_N_S_NWL_9D \
   "NWL_9D"
#define PE_N_S_OSU_86F \
   "OSU_86F"
#define PE_N_S_OSU_91A \
   "OSU_91A"
#define PE_N_S_PLESSIS_1817 \
   "Plessis_1817"
#define PE_N_S_PZ_1990 \
   "PZ_1990"
#define PE_N_S_SPHERE \
   "Sphere"
#define PE_N_S_SPHERE_AI \
   "Sphere_ARC_INFO"
#define PE_N_S_SPHERE_CLARKE_1866_AUTHALIC \
   "Sphere_Clarke_1866_Authalic"
#define PE_N_S_SPHERE_EMEP \
   "Sphere_EMEP"
#define PE_N_S_SPHERE_GRS_1980_AUTHALIC \
   "Sphere_GRS_1980_Authalic"
#define PE_N_S_SPHERE_INTL_1924_AUTHALIC \
   "Sphere_International_1924_Authalic"
#define PE_N_S_SPHERE_WGS_1984_MAJOR_AUXILIARY \
   "WGS_1984_Major_Auxiliary_Sphere"
#define PE_N_S_STRUVE_1860 \
   "Struve_1860"
#define PE_N_S_WALBECK \
   "Walbeck"
#define PE_N_S_WAR_OFFICE \
   "War_Office"
#define PE_N_S_WGS_1966 \
   "WGS_1966"
#define PE_N_S_WGS_1972 \
   "WGS_1972"
#define PE_N_S_WGS_1984 \
   "WGS_1984"
#define PE_N_S_XIAN_1980 \
   "Xian_1980"
#define PE_N_S_XT_ADRASTEA_2000 \
   "Adrastea_2000_IAU_IAG"
#define PE_N_S_XT_AMALTHEA_2000 \
   "Amalthea_2000_IAU_IAG"
#define PE_N_S_XT_ANANKE_2000 \
   "Ananke_2000_IAU_IAG"
#define PE_N_S_XT_ARIEL_2000 \
   "Ariel_2000_IAU_IAG"
#define PE_N_S_XT_ATLAS_2000 \
   "Atlas_2000_IAU_IAG"
#define PE_N_S_XT_BELINDA_2000 \
   "Belinda_2000_IAU_IAG"
#define PE_N_S_XT_BIANCA_2000 \
   "Bianca_2000_IAU_IAG"
#define PE_N_S_XT_CALLISTO_2000 \
   "Callisto_2000_IAU_IAG"
#define PE_N_S_XT_CALYPSO_2000 \
   "Calypso_2000_IAU_IAG"
#define PE_N_S_XT_CARME_2000 \
   "Carme_2000_IAU_IAG"
#define PE_N_S_XT_CHARON_2000 \
   "Charon_2000_IAU_IAG"
#define PE_N_S_XT_CORDELIA_2000 \
   "Cordelia_2000_IAU_IAG"
#define PE_N_S_XT_CRESSIDA_2000 \
   "Cressida_2000_IAU_IAG"
#define PE_N_S_XT_DEIMOS_2000 \
   "Deimos_2000_IAU_IAG"
#define PE_N_S_XT_DESDEMONA_2000 \
   "Desdemona_2000_IAU_IAG"
#define PE_N_S_XT_DESPINA_2000 \
   "Despina_2000_IAU_IAG"
#define PE_N_S_XT_DIONE_2000 \
   "Dione_2000_IAU_IAG"
#define PE_N_S_XT_ELARA_2000 \
   "Elara_2000_IAU_IAG"
#define PE_N_S_XT_ENCELADUS_2000 \
   "Enceladus_2000_IAU_IAG"
#define PE_N_S_XT_EPIMETHEUS_2000 \
   "Epimetheus_2000_IAU_IAG"
#define PE_N_S_XT_EUROPA_2000 \
   "Europa_2000_IAU_IAG"
#define PE_N_S_XT_GALATEA_2000 \
   "Galatea_2000_IAU_IAG"
#define PE_N_S_XT_GANYMEDE_2000 \
   "Ganymede_2000_IAU_IAG"
#define PE_N_S_XT_HELENE_2000 \
   "Helene_2000_IAU_IAG"
#define PE_N_S_XT_HIMALIA_2000 \
   "Himalia_2000_IAU_IAG"
#define PE_N_S_XT_HYPERION_2000 \
   "Hyperion_2000_IAU_IAG"
#define PE_N_S_XT_IAPETUS_2000 \
   "Iapetus_2000_IAU_IAG"
#define PE_N_S_XT_IO_2000 \
   "Io_2000_IAU_IAG"
#define PE_N_S_XT_JANUS_2000 \
   "Janus_2000_IAU_IAG"
#define PE_N_S_XT_JULIET_2000 \
   "Juliet_2000_IAU_IAG"
#define PE_N_S_XT_JUPITER_2000 \
   "Jupiter_2000_IAU_IAG"
#define PE_N_S_XT_LARISSA_2000 \
   "Larissa_2000_IAU_IAG"
#define PE_N_S_XT_LEDA_2000 \
   "Leda_2000_IAU_IAG"
#define PE_N_S_XT_LYSITHEA_2000 \
   "Lysithea_2000_IAU_IAG"
#define PE_N_S_XT_MARS_1979 \
   "Mars_1979_IAU_IAG"
#define PE_N_S_XT_MARS_2000 \
   "Mars_2000_IAU_IAG"
#define PE_N_S_XT_MERCURY_2000 \
   "Mercury_2000_IAU_IAG"
#define PE_N_S_XT_METIS_2000 \
   "Metis_2000_IAU_IAG"
#define PE_N_S_XT_MIMAS_2000 \
   "Mimas_2000_IAU_IAG"
#define PE_N_S_XT_MIRANDA_2000 \
   "Miranda_2000_IAU_IAG"
#define PE_N_S_XT_MOON_2000 \
   "Moon_2000_IAU_IAG"
#define PE_N_S_XT_NAIAD_2000 \
   "Naiad_2000_IAU_IAG"
#define PE_N_S_XT_NEPTUNE_2000 \
   "Neptune_2000_IAU_IAG"
#define PE_N_S_XT_NEREID_2000 \
   "Nereid_2000_IAU_IAG"
#define PE_N_S_XT_OBERON_2000 \
   "Oberon_2000_IAU_IAG"
#define PE_N_S_XT_OPHELIA_2000 \
   "Ophelia_2000_IAU_IAG"
#define PE_N_S_XT_PANDORA_2000 \
   "Pandora_2000_IAU_IAG"
#define PE_N_S_XT_PAN_2000 \
   "Pan_2000_IAU_IAG"
#define PE_N_S_XT_PASIPHAE_2000 \
   "Pasiphae_2000_IAU_IAG"
#define PE_N_S_XT_PHOBOS_2000 \
   "Phobos_2000_IAU_IAG"
#define PE_N_S_XT_PHOEBE_2000 \
   "Phoebe_2000_IAU_IAG"
#define PE_N_S_XT_PLUTO_2000 \
   "Pluto_2000_IAU_IAG"
#define PE_N_S_XT_PORTIA_2000 \
   "Portia_2000_IAU_IAG"
#define PE_N_S_XT_PROMETHEUS_2000 \
   "Prometheus_2000_IAU_IAG"
#define PE_N_S_XT_PROTEUS_2000 \
   "Proteus_2000_IAU_IAG"
#define PE_N_S_XT_PUCK_2000 \
   "Puck_2000_IAU_IAG"
#define PE_N_S_XT_RHEA_2000 \
   "Rhea_2000_IAU_IAG"
#define PE_N_S_XT_ROSALIND_2000 \
   "Rosalind_2000_IAU_IAG"
#define PE_N_S_XT_SATURN_2000 \
   "Saturn_2000_IAU_IAG"
#define PE_N_S_XT_SINOPE_2000 \
   "Sinope_2000_IAU_IAG"
#define PE_N_S_XT_TELESTO_2000 \
   "Telesto_2000_IAU_IAG"
#define PE_N_S_XT_TETHYS_2000 \
   "Tethys_2000_IAU_IAG"
#define PE_N_S_XT_THALASSA_2000 \
   "Thalassa_2000_IAU_IAG"
#define PE_N_S_XT_THEBE_2000 \
   "Thebe_2000_IAU_IAG"
#define PE_N_S_XT_TITANIA_2000 \
   "Titania_2000_IAU_IAG"
#define PE_N_S_XT_TITAN_2000 \
   "Titan_2000_IAU_IAG"
#define PE_N_S_XT_TRITON_2000 \
   "Triton_2000_IAU_IAG"
#define PE_N_S_XT_UMBRIEL_2000 \
   "Umbriel_2000_IAU_IAG"
#define PE_N_S_XT_URANUS_2000 \
   "Uranus_2000_IAU_IAG"
#define PE_N_S_XT_VENUS_1985 \
   "Venus_1985_IAU_IAG_COSPAR"
#define PE_N_S_XT_VENUS_2000 \
   "Venus_2000_IAU_IAG"

#endif /* PE_NAMES_INCLUDED */
