/* ------------------------------------------------------------------------- */
/*  Projection Engine Version 10.0                                           */
/* ------------------------------------------------------------------------- */
/*  COPYRIGHT 1999-2010 ESRI                                                 */
/*                                                                           */
/*  TRADE SECRETS: ESRI PROPRIETARY AND CONFIDENTIAL                         */
/*  Unpublished material - all rights reserved under the                     */
/*  Copyright Laws of the United States.                                     */
/*                                                                           */
/*  For additional information, contact:                                     */
/*  Environmental Systems Research Institute, Inc.                           */
/*  Attn: Contracts Dept                                                     */
/*  380 New York Street                                                      */
/*  Redlands, California, USA 92373                                          */
/*                                                                           */
/*  email: contracts@esri.com                                                */
/* ------------------------------------------------------------------------- */

#ifndef PEDEF_INCLUDED
#define PEDEF_INCLUDED


/* ------------------------------------------------------------------------- */
/* G E O G R A P H I C   C O O R D I N A T E   S Y S T E M S                 */
/* ------------------------------------------------------------------------- */

/* New GEOGCS at 10.0 -----------------------                                */

/*      Reseau Geodesique de St Pierre et Miquelon 2006                      */
#define PE_GCS_RGSPM_2006                                      4466
/*      Reseau Geodesique de Mayotte 2004                                    */
#define PE_GCS_RGM_2004                                        4469
/*      Cadastre 1997                                                        */
#define PE_GCS_CADASTRE_1997                                   4475
/*      China Geodetic Coordinate System 2000                                */
#define PE_GCS_CHINA_2000                                      4490
/*      New Beijing                                                          */
#define PE_GCS_NEW_BEIJING                                     4555
/*      Sao Tome                                                             */
#define PE_GCS_SAO_TOME                                        4823
/*      Principe                                                             */
#define PE_GCS_PRINCIPE                                        4824
/*      Mexican Datum of 1993                                                */
#define PE_GCS_MEXICAN_DATUM_1993                              4483
/*      Islands Network 2004                                                 */
#define PE_GCS_ISN_2004                                      104144

/*      MOLDREF99                                                            */
#define PE_GCS_MOLDREF99                                       4023
/*      Reseau Geodesique de la RDC 2005                                     */
#define PE_GCS_RGRDC_2005                                      4046
/*      Serbian Reference Network 1998                                       */
#define PE_GCS_SREF98                                          4075
/*      Red Geodesica de Canarias 1995                                       */
#define PE_GCS_REGCAN95                                        4081
/*      Kertau (RSO)                                                         */
#define PE_GCS_KERTAU_RSO                                      4751
/*      Viti Levu 1912                                                       */
#define PE_GCS_VITI_LEVU_1912                                  4752
/*      Croatian TRS 1996                                                    */
#define PE_GCS_HTRS96                                          4761
/*      Pitcairn 2006                                                        */
#define PE_GCS_PITCAIRN_2006                                   4763
/*      Ross Sea Region Geodetic Datum 2000                                  */
#define PE_GCS_RSRGD2000                                       4764
/*      Slovenia 1996                                                        */
#define PE_GCS_SLOVENIA_1996                                   4765

/*      NAD 1983 (CORS96)                                                    */
#define PE_GCS_NAD_1983_CORS96                               104223

/*      NAD 1983 PACP00                                                      */
#define PE_GCS_NAD_1983_PACP00                               104259
/*      NAD 1983 MARP00                                                      */
#define PE_GCS_NAD_1983_MARP00                               104260
/*      CGRS 1993                                                            */
#define PE_GCS_CGRS_1993                                     104141

/*      NAD 1983 HARN Adj. Minnesota St. Louis                               */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS                 104786

/*      Hungarian Datum 1909                                                 */
#define PE_GCS_HD1909                                        104990
/*      Iraqi Geospatial Reference System                                    */
#define PE_GCS_IGRS                                          104991
/*      MGI 1901                                                             */
#define PE_GCS_MGI_1901                                      104992

/*      PTRA08                                                               */
#define PE_GCS_PTRA08                                        104142

/*      CR05 (Costa Rica 2005)                                               */
#define PE_GCS_CR05                                          104143
/*      Nepal Nagarkot                                                       */
#define PE_GCS_NEPAL_NAGARKOT                                104256

/*      GDBD2009 - Brunei                                                    */
#define PE_GCS_GDBD2009                                      104100

/* NEW GEOGCS 9.3 -----------------------                                    */

/*      GRS 1980 Authalic Sphere                                             */
#define PE_GCS_SPHERE_GRS_1980_AUTHALIC                        4047
/*      International 1924 Authalic Sphere                                   */
#define PE_GCS_SPHERE_INTL_1924_AUTHALIC                       4053
/*      Hughes 1980                                                          */
#define PE_GCS_HUGHES_1980                                     4054
/*      Le Pouce 1934                                                        */
#define PE_GCS_LE_POUCE_1934                                   4699
/*      IGN Astro 1960                                                       */
#define PE_GCS_IGN_ASTRO_1960                                  4700
/*      Solomon Islands 1968                                                 */
#define PE_GCS_SOLOMON_1968                                    4718
/*      Faroe Datum 1954                                                     */
#define PE_GCS_FD_1954                                         4741
/*      Karbala 1979 Polservice                                              */
#define PE_GCS_KARBALA_1979_POLSERVICE                         4743
/*      Nahrwan 1934                                                         */
#define PE_GCS_NAHRWAN_1934                                    4744
/*      Rauenberg Datum 1983                                                 */
#define PE_GCS_RAUENBERG_DATUM_1983                            4745
/*      Potsdam Datum 1983                                                   */
#define PE_GCS_POTSDAM_DATUM_1983                              4746
/*      Greenland 1996                                                       */
#define PE_GCS_GREENLAND_1996                                  4747
/*      Vanua Levu 1915                                                      */
#define PE_GCS_VANUA_LEVU_1915                                 4748
/*      RGNC 1991-93                                                         */
#define PE_GCS_RGNC_1991_93                                    4749
/*      fk89                                                                 */
#define PE_GCS_FK_1989                                         4753
/*      LGD 2006                                                             */
#define PE_GCS_LGD2006                                         4754
/*      DGN 1995                                                             */
#define PE_GCS_DGN_1995                                        4755
/*      Vietnam 2000                                                         */
#define PE_GCS_VN_2000                                         4756
/*      SVY21 (Singapore)                                                    */
#define PE_GCS_SVY21                                           4757
/*      NAD 1983 (NSRS2007)                                                  */
#define PE_GCS_NAD_1983_NSRS2007                               4759
/*      ITRF 2005                                                            */
#define PE_GCS_ITRF_2005                                     104896

/*      Carthage (grads)                                                     */
#define PE_GCS_CARTHAGE_GRAD                                  37225
/*      Old Hawaiian on Intl 1924 spheroid (NGS)                             */
#define PE_GCS_OLD_HAWAIIAN_INTL_1924                        104138
/*      Voirol 1875 (grads)                                                  */
#define PE_GCS_VOIROL_1875_GRAD                              104139
/*      Voirol 1879 (grads)                                                  */
#define PE_GCS_VOIROL_1879_GRAD                              104140
/*      Major auxiliary sphere based on WGS 1984                             */
#define PE_GCS_SPHERE_WGS_1984_MAJOR_AUXILIARY               104199

/* NEW GCS's Post 9.0 -----------------------                                */

/*      Clarke 1866 Authalic Sphere                                          */
#define PE_GCS_SPHERE_CLARKE_1866_AUTHALIC                     4052
/*      Voirol 1879                                                          */
#define PE_GCS_VOIROL_1879                                     4671
/*      Voirol 1879 Paris                                                    */
#define PE_GCS_VOIROL_1879_PARIS                               4821
/*      SIRGAS 2000                                                          */
#define PE_GCS_SIRGAS_2000                                     4674
/*      Vientiane 1982                                                       */
#define PE_GCS_VIENTIANE_1982                                  4676
/*      Lao 1993                                                             */
#define PE_GCS_LAO_1993                                        4677
/*      Lao 1997                                                             */
#define PE_GCS_LAO_1997                                        4678
/*      Jouik 1961                                                           */
#define PE_GCS_JOUIK_1961                                      4679
/*      Nouakchott 1965                                                      */
#define PE_GCS_NOUAKCHOTT_1965                                 4680
/*      Gulshan 303                                                          */
#define PE_GCS_GULSHAN_303                                     4682
/*      Philippine Reference System 1992                                     */
#define PE_GCS_PRS_1992                                        4683
/*      Colombia - Marco Geocentrico Nacional de Referencia                  */
#define PE_GCS_MAGNA                                           4686
/*      Reseau Geodesique de la Polynesie Francaise                          */
#define PE_GCS_RGPF                                            4687
/*      Fatu Iva 1972                                                        */
#define PE_GCS_FATU_IVA_1972                                   4688
/*      IGN63 Hiva Oa                                                        */
#define PE_GCS_IGN63_HIVA_OA                                   4689
/*      Tahiti 1979                                                          */
#define PE_GCS_TAHITI_1979                                     4690
/*      Moorea 1987                                                          */
#define PE_GCS_MOOREA_1987                                     4691
/*      Maupiti 1983                                                         */
#define PE_GCS_MAUPITI_1983                                    4692
/*      Nakhl-e Ghanem                                                       */
#define PE_GCS_NAKHL_E_GHANEM                                  4693
/*      Posiciones Geodesicas Argentinas 1994                                */
#define PE_GCS_POSGAR_1994                                     4694
/*      Katanga 1955                                                         */
#define PE_GCS_KATANGA_1955                                    4695
/*      Kasai 1953                                                           */
#define PE_GCS_KASAI_1953                                      4696
/*      IGC 1962 Arc of the 6th Parallel South                               */
#define PE_GCS_IGC_1962_6TH_PARALLEL_S                         4697
/*      Institut Geographique du Congo Belge 1955                            */
#define PE_GCS_IGCB_1955                                       4701
/*      Mauritania 1999                                                      */
#define PE_GCS_MAURITANIA_1999                                 4702
/*      Mhast 1951 (Missao Hidrografico Angola y Sao Tome 1951)              */
#define PE_GCS_MHAST_1951                                      4703
/*      Mhast Onshore                                                        */
#define PE_GCS_MHAST_ONSHORE                                   4704
/*      Mhast Offshore                                                       */
#define PE_GCS_MHAST_OFFSHORE                                  4705
/*      Egypt Gulf of Suez S-650 TL                                          */
#define PE_GCS_EGYPT_GULF_SUEZ_S_650_TL                        4706
/*      Fiji 1986                                                            */
#define PE_GCS_FIJI_1986                                       4720
/*      Fiji 1956                                                            */
#define PE_GCS_FIJI_1956                                       4721
/*      Grand Cayman 1961                                                    */
#define PE_GCS_GRAND_CAYMAN_1959                               4723
/*      Little Cayman 1961                                                   */
#define PE_GCS_LITTLE_CAYMAN_1961                              4726
/*      Korea Geodetic Datum 2000                                            */
#define PE_GCS_KOREA_2000                                      4737
/*      Hong Kong 1963(67)                                                   */
#define PE_GCS_HONG_KONG_1963_67                               4739
/*      PZ 1990                                                              */
#define PE_GCS_PZ_1990                                         4740
/*      Geocentric Datum of Malaysia 2000                                    */
#define PE_GCS_GDM_2000                                        4742

/*      D48 - Slovenia                                                       */
#define PE_GCS_D48                                           104131
/*      Ocotepeque 1935                                                      */
#define PE_GCS_OCOTEPEQUE_1935                               104132
/*      JAD 2001 (Jamaica 2001)                                              */
#define PE_GCS_JAD_2001                                        4758
/*      MONREF 1997 (Mongolian 1997)                                         */
#define PE_GCS_MONREF_1997                                   104134
/*      MSK 1942 (Mongolian Pulkovo 1942)                                    */
#define PE_GCS_MSK_1942                                      104135
/*      Taiwan 1967                                                          */
#define PE_GCS_TWD_1967                                      104136
/*      Taiwan 1997                                                          */
#define PE_GCS_TWD_1997                                      104137

/* NEW GCS's at 9.0 -----------------------                                  */

/*      Albanian 1987                                                        */
#define PE_GCS_ALBANIAN_1987                                   4191
/*      Ammassalik 1958                                                      */
#define PE_GCS_AMMASSALIK_1958                                 4196
/*      Australian Antarctic Datum 1998                                      */
#define PE_GCS_AUSTRALIAN_ANTARCTIC_1998                       4176
/*      Azores Central Islands 1948                                          */
#define PE_GCS_AZORES_CENTRAL_1948                             4183
/*      Azores Central Islands 1995                                          */
#define PE_GCS_AZORES_CENTRAL_1995                             4665
/*      Azores Occidental Islands 1939                                       */
#define PE_GCS_AZORES_OCCIDENTAL_1939                          4182
/*      Azores Oriental Islands 1940                                         */
#define PE_GCS_AZORES_ORIENTAL_1940                            4184
/*      Azores Oriental Islands 1995                                         */
#define PE_GCS_AZORES_ORIENTAL_1995                            4664
/*      Combani 1950                                                         */
#define PE_GCS_COMBANI_1950                                    4632
/*      Centre Spatial Guyanais 1967                                         */
#define PE_GCS_CSG_1967                                        4623
/*      Douala 1948                                                          */
#define PE_GCS_DOUALA_1948                                     4192
/*      Egypt 1930                                                           */
#define PE_GCS_EGYPT_1930                                      4199
/*      Estonia 1997                                                         */
#define PE_GCS_ESTONIA_1997                                    4180
/*      Fort Desaix                                                          */
#define PE_GCS_FORT_DESAIX                                     4625
/*      Fort Marigot                                                         */
#define PE_GCS_FORT_MARIGOT                                    4621
/*      Grand Comoros                                                        */
#define PE_GCS_GRAND_COMOROS                                   4646
/*      Gunung Segara (Jakarta)                                              */
#define PE_GCS_GUNUNG_SEGARA_JAKARTA                           4820
/*      Helle 1954                                                           */
#define PE_GCS_HELLE_1954                                      4660
/*      IGM 1995                                                             */
#define PE_GCS_IGM_1995                                        4670
/*      IGN53 Mare                                                           */
#define PE_GCS_IGN53_MARE                                      4641
/*      IGN56 Lifou                                                          */
#define PE_GCS_IGN56_LIFOU                                     4633
/*      IGN72 Grande Terre                                                   */
#define PE_GCS_IGN72_GRANDE_TERRE                              4662
/*      IGN72 Nuku Hiva                                                      */
#define PE_GCS_IGN72_NUKU_HIVA                                 4630
/*      Iraq-Kuwait Boundary 1992                                            */
#define PE_GCS_IKBD_1992                                       4667
/*      Islands Network 1993                                                 */
#define PE_GCS_ISN_1993                                        4659

/*      Kousseri                                                             */
#define PE_GCS_KOUSSERI                                        4198
/*      Lisbon 1890                                                          */
#define PE_GCS_LISBON_1890                                     4666
/*      Lisbon 1890 (Lisbon)                                                 */
#define PE_GCS_LISBON_1890_LISBON                              4904
/*      Latvia 1992                                                          */
#define PE_GCS_LKS_1992                                        4661
/*      Luxembourg 1930                                                      */
#define PE_GCS_LUXEMBOURG_1930                                 4181
/*      Madeira 1936                                                         */
#define PE_GCS_MADEIRA_1936                                    4185
/*      Manoca 1962                                                          */
#define PE_GCS_MANOCA_1962                                     4193
/*      MOP78                                                                */
#define PE_GCS_MOP78                                           4639
/*      NEA74 Noumea                                                         */
#define PE_GCS_NEA74_NOUMEA                                    4644
/*      Nord Sahara 1959 Paris                                               */
#define PE_GCS_NORD_SAHARA_1959_PARIS                          4819
/*      OSNI 1952                                                            */
#define PE_GCS_OSNI_1952                                       4188
/*      Petrels 1972                                                         */
#define PE_GCS_PETRELS_1972                                    4636

/*      Pointe Geologie Perroud 1950                                         */
#define PE_GCS_POINTE_GEOLOGIE_PERROUD_1950                    4637
/*      Porto Santo 1995                                                     */
#define PE_GCS_PORTO_SANTO_1995                                4663
/*      POSGAR 1998                                                          */
#define PE_GCS_POSGAR_1998                                     4190
/*      Pulkovo 1942/58                                                      */
#define PE_GCS_PULKOVO_1942_ADJ_1958                           4179
/*      Pulkovo 1942/83                                                      */
#define PE_GCS_PULKOVO_1942_ADJ_1983                           4178
/*      Qatar National Datum 1995                                            */
#define PE_GCS_QND_1995                                        4614
/*      Qornoq 1927                                                          */
#define PE_GCS_QORNOQ_1927                                     4194
/*      Reykjavik 1900                                                       */
#define PE_GCS_REYKJAVIK_1900                                  4657
/*      Reseau Geodesique Francais Guyane 1995                               */
#define PE_GCS_RGFG_1995                                       4624
/*      Reseau Geodesique Nouvelle Caledonie 1991                            */
#define PE_GCS_RGNC_1991                                       4645
/*      Reseau Geodesique de la Reunion 1992                                 */
#define PE_GCS_RGR_1992                                        4627
/*      Reseau de Reference des Antilles Francaises 1991                     */
#define PE_GCS_RRAF_1991                                       4640
/*      Sainte Anne                                                          */
#define PE_GCS_SAINTE_ANNE                                     4622
/*      Saint Pierre et Miquelon 1950                                        */
#define PE_GCS_SAINT_PIERRE_ET_MIQUELON_1950                   4638
/*      Scoresbysund 1952                                                    */
#define PE_GCS_SCORESBYSUND_1952                               4195
/*      ST71 Belep                                                           */
#define PE_GCS_ST71_BELEP                                      4643
/*      ST84 Ile des Pins                                                    */
#define PE_GCS_ST84_ILE_DES_PINS                               4642
/*      ST87 Ouvea                                                           */
#define PE_GCS_ST87_OUVEA                                      4750
/*      SWEREF99 (Sweden)                                                    */
#define PE_GCS_SWEREF99                                        4619
/*      Tahaa 1954                                                           */
#define PE_GCS_TAHAA_1954                                      4629
/*      Tahiti 1952                                                          */
#define PE_GCS_TAHITI_1952                                     4628
/*      Xian 1980                                                            */
#define PE_GCS_XIAN_1980                                       4610
/*      Bermuda 2000 - was 104114                                            */
#define PE_GCS_BERMUDA_2000                                    4762

/*      IERS Terrestrial Reference Frame 1988                                */
#define PE_GCS_ITRF_1988                                     104115
/*      IERS Terrestrial Reference Frame 1989                                */
#define PE_GCS_ITRF_1989                                     104116
/*      IERS Terrestrial Reference Frame 1990                                */
#define PE_GCS_ITRF_1990                                     104117
/*      IERS Terrestrial Reference Frame 1991                                */
#define PE_GCS_ITRF_1991                                     104118
/*      IERS Terrestrial Reference Frame 1992                                */
#define PE_GCS_ITRF_1992                                     104119
/*      IERS Terrestrial Reference Frame 1993                                */
#define PE_GCS_ITRF_1993                                     104120
/*      IERS Terrestrial Reference Frame 1994                                */
#define PE_GCS_ITRF_1994                                     104121
/*      IERS Terrestrial Reference Frame 1996                                */
#define PE_GCS_ITRF_1996                                     104122
/*      IERS Terrestrial Reference Frame 1997                                */
#define PE_GCS_ITRF_1997                                     104123
/*      IERS Terrestrial Reference Frame 2000                                */
#define PE_GCS_ITRF_2000                                     104124

/*      Chatham Islands 1979                                                 */
#define PE_GCS_CHATHAM_ISLANDS_1979                            4673
/*      Observatorio Meteorologico 1965                                      */
#define PE_GCS_OBSERV_METEOR_1965                            104126
/*      Roma 1940                                                            */
#define PE_GCS_ROMA_1940                                     104127
/*      EMEP                                                                 */
#define PE_GCS_SPHERE_EMEP                                   104128
/*      EUREF - Finland                                                      */
#define PE_GCS_EUREF_FIN                                     104129
/*      Jordan                                                               */
#define PE_GCS_JORDAN                                        104130

/*      NAD 1983 HARN Adj. Minnesota Anoka                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_ANOKA                    104700
/*      NAD 1983 HARN Adj. Minnesota Becker                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_BECKER                   104701
/*      NAD 1983 HARN Adj. Minnesota Beltrami North                          */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_BELTRAMI_N               104702
/*      NAD 1983 HARN Adj. Minnesota Beltrami South                          */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_BELTRAMI_S               104703
/*      NAD 1983 HARN Adj. Minnesota Benton                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_BENTON                   104704
/*      NAD 1983 HARN Adj. Minnesota Big Stone                               */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_BIG_STONE                104705
/*      NAD 1983 HARN Adj. Minnesota Blue Earth                              */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_BLUE_EARTH               104706
/*      NAD 1983 HARN Adj. Minnesota Brown                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_BROWN                    104707
/*      NAD 1983 HARN Adj. Minnesota Carlton                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_CARLTON                  104708
/*      NAD 1983 HARN Adj. Minnesota Carver                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_CARVER                   104709
/*      NAD 1983 HARN Adj. Minnesota Cass North                              */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_CASS_N                   104710
/*      NAD 1983 HARN Adj. Minnesota Cass South                              */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_CASS_S                   104711
/*      NAD 1983 HARN Adj. Minnesota Chippewa                                */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_CHIPPEWA                 104712
/*      NAD 1983 HARN Adj. Minnesota Chisago                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_CHISAGO                  104713
/*      NAD 1983 HARN Adj. Minnesota Cook North                              */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_COOK_N                   104714
/*      NAD 1983 HARN Adj. Minnesota Cook South                              */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_COOK_S                   104715
/*      NAD 1983 HARN Adj. Minnesota Cottonwood                              */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_COTTONWOOD               104716
/*      NAD 1983 HARN Adj. Minnesota Crow Wing                               */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_CROW_WING                104717
/*      NAD 1983 HARN Adj. Minnesota Dakota                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_DAKOTA                   104718
/*      NAD 1983 HARN Adj. Minnesota Dodge                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_DODGE                    104719
/*      NAD 1983 HARN Adj. Minnesota Douglas                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_DOUGLAS                  104720
/*      NAD 1983 HARN Adj. Minnesota Faribault                               */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_FARIBAULT                104721
/*      NAD 1983 HARN Adj. Minnesota Fillmore                                */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_FILLMORE                 104722
/*      NAD 1983 HARN Adj. Minnesota Freeborn                                */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_FREEBORN                 104723
/*      NAD 1983 HARN Adj. Minnesota Goodhue                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_GOODHUE                  104724
/*      NAD 1983 HARN Adj. Minnesota Grant                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_GRANT                    104725
/*      NAD 1983 HARN Adj. Minnesota Hennepin                                */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_HENNEPIN                 104726
/*      NAD 1983 HARN Adj. Minnesota Houston                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_HOUSTON                  104727
/*      NAD 1983 HARN Adj. Minnesota Isanti                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_ISANTI                   104728
/*      NAD 1983 HARN Adj. Minnesota Itasca North                            */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_ITASCA_N                 104729
/*      NAD 1983 HARN Adj. Minnesota Itasca South                            */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_ITASCA_S                 104730
/*      NAD 1983 HARN Adj. Minnesota Jackson                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_JACKSON                  104731
/*      NAD 1983 HARN Adj. Minnesota Kanabec                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_KANABEC                  104732
/*      NAD 1983 HARN Adj. Minnesota Kandiyohi                               */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_KANDIYOHI                104733
/*      NAD 1983 HARN Adj. Minnesota Kittson                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_KITTSON                  104734
/*      NAD 1983 HARN Adj. Minnesota Koochiching                             */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_KOOCHICHING              104735
/*      NAD 1983 HARN Adj. Minnesota Lac Qui Parle                           */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_LAC_QUI_PARLE            104736
/*      NAD 1983 HARN Adj. Minnesota Lake of the Woods North                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_N      104737
/*      NAD 1983 HARN Adj. Minnesota Lake of the Woods South                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_S      104738
/*      NAD 1983 HARN Adj. Minnesota Le Sueur                                */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_LE_SUEUR                 104739
/*      NAD 1983 HARN Adj. Minnesota Lincoln                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_LINCOLN                  104740
/*      NAD 1983 HARN Adj. Minnesota Lyon                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_LYON                     104741
/*      NAD 1983 HARN Adj. Minnesota McLeod                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_MCLEOD                   104742
/*      NAD 1983 HARN Adj. Minnesota Mahnomen                                */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_MAHNOMEN                 104743
/*      NAD 1983 HARN Adj. Minnesota Marshall                                */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_MARSHALL                 104744
/*      NAD 1983 HARN Adj. Minnesota Martin                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_MARTIN                   104745
/*      NAD 1983 HARN Adj. Minnesota Meeker                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_MEEKER                   104746
/*      NAD 1983 HARN Adj. Minnesota Morrison                                */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_MORRISON                 104747
/*      NAD 1983 HARN Adj. Minnesota Mower                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_MOWER                    104748
/*      NAD 1983 HARN Adj. Minnesota Murray                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_MURRAY                   104749
/*      NAD 1983 HARN Adj. Minnesota Nicollet                                */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_NICOLLET                 104750
/*      NAD 1983 HARN Adj. Minnesota Nobles                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_NOBLES                   104751
/*      NAD 1983 HARN Adj. Minnesota Norman                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_NORMAN                   104752
/*      NAD 1983 HARN Adj. Minnesota Olmsted                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_OLMSTED                  104753
/*      NAD 1983 HARN Adj. Minnesota Ottertail                               */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_OTTERTAIL                104754
/*      NAD 1983 HARN Adj. Minnesota Pennington                              */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_PENNINGTON               104755
/*      NAD 1983 HARN Adj. Minnesota Pine                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_PINE                     104756
/*      NAD 1983 HARN Adj. Minnesota Pipestone                               */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_PIPESTONE                104757
/*      NAD 1983 HARN Adj. Minnesota Polk                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_POLK                     104758
/*      NAD 1983 HARN Adj. Minnesota Pope                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_POPE                     104759
/*      NAD 1983 HARN Adj. Minnesota Ramsey                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_RAMSEY                   104760
/*      NAD 1983 HARN Adj. Minnesota Red Lake                                */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_RED_LAKE                 104761
/*      NAD 1983 HARN Adj. Minnesota Redwood                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_REDWOOD                  104762
/*      NAD 1983 HARN Adj. Minnesota Renville                                */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_RENVILLE                 104763
/*      NAD 1983 HARN Adj. Minnesota Rice                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_RICE                     104764
/*      NAD 1983 HARN Adj. Minnesota Rock                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_ROCK                     104765
/*      NAD 1983 HARN Adj. Minnesota Roseau                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_ROSEAU                   104766
/*      NAD 1983 HARN Adj. Minnesota St Louis North                          */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_N               104767
/*      NAD 1983 HARN Adj. Minnesota St Louis Central                        */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_C               104768
/*      NAD 1983 HARN Adj. Minnesota St Louis South                          */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_S               104769
/*      NAD 1983 HARN Adj. Minnesota Scott                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_SCOTT                    104770
/*      NAD 1983 HARN Adj. Minnesota Sherburne                               */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_SHERBURNE                104771
/*      NAD 1983 HARN Adj. Minnesota Sibley                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_SIBLEY                   104772
/*      NAD 1983 HARN Adj. Minnesota Stearns                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_STEARNS                  104773
/*      NAD 1983 HARN Adj. Minnesota Steele                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_STEELE                   104774
/*      NAD 1983 HARN Adj. Minnesota Stevens                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_STEVENS                  104775
/*      NAD 1983 HARN Adj. Minnesota Swift                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_SWIFT                    104776
/*      NAD 1983 HARN Adj. Minnesota Todd                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_TODD                     104777
/*      NAD 1983 HARN Adj. Minnesota Traverse                                */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_TRAVERSE                 104778
/*      NAD 1983 HARN Adj. Minnesota Wabasha                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_WABASHA                  104779
/*      NAD 1983 HARN Adj. Minnesota Wadena                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_WADENA                   104780
/*      NAD 1983 HARN Adj. Minnesota Waseca                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_WASECA                   104781
/*      NAD 1983 HARN Adj. Minnesota Watonwan                                */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_WATONWAN                 104782
/*      NAD 1983 HARN Adj. Minnesota Winona                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_WINONA                   104783
/*      NAD 1983 HARN Adj. Minnesota Wright                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_WRIGHT                   104784
/*      NAD 1983 HARN Adj. Minnesota Yellow Medicine                         */
#define PE_GCS_NAD_1983_HARN_ADJ_MN_YELLOW_MEDICINE          104785

/*      NAD 1983 HARN Adj. Wisconsin Adams                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_AD                       104800
/*      NAD 1983 HARN Adj. Wisconsin Ashland                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_AL                       104801
/*      NAD 1983 HARN Adj. Wisconsin Barron                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_BA                       104802
/*      NAD 1983 HARN Adj. Wisconsin Bayfield                                */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_BF                       104803
/*      NAD 1983 HARN Adj. Wisconsin Brown                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_BR                       104804
/*      NAD 1983 HARN Adj. Wisconsin Buffalo                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_BU                       104805
/*      NAD 1983 HARN Adj. Wisconsin Burnett                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_BN                       104806
/*      NAD 1983 HARN Adj. Wisconsin Calumet                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_CL                       104807
/*      NAD 1983 HARN Adj. Wisconsin Chippewa                                */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_CP                       104808
/*      NAD 1983 HARN Adj. Wisconsin Clark                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_CK                       104809
/*      NAD 1983 HARN Adj. Wisconsin Columbia                                */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_CO                       104810
/*      NAD 1983 HARN Adj. Wisconsin Crawford                                */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_CR                       104811
/*      NAD 1983 HARN Adj. Wisconsin Dane                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_DN                       104812
/*      NAD 1983 HARN Adj. Wisconsin Dodge                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_DD                       104813
/*      NAD 1983 HARN Adj. Wisconsin Door                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_DR                       104814
/*      NAD 1983 HARN Adj. Wisconsin Douglas                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_DG                       104815
/*      NAD 1983 HARN Adj. Wisconsin Dunn                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_DU                       104816
/*      NAD 1983 HARN Adj. Wisconsin EauClaire                               */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_EC                       104817
/*      NAD 1983 HARN Adj. Wisconsin Florence                                */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_FN                       104818
/*      NAD 1983 HARN Adj. Wisconsin FondduLac                               */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_FL                       104819
/*      NAD 1983 HARN Adj. Wisconsin Forest                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_FR                       104820
/*      NAD 1983 HARN Adj. Wisconsin Grant                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_GT                       104821
/*      NAD 1983 HARN Adj. Wisconsin Green                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_GR                       104822
/*      NAD 1983 HARN Adj. Wisconsin GreenLake                               */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_GL                       104823
/*      NAD 1983 HARN Adj. Wisconsin Iowa                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_IA                       104824
/*      NAD 1983 HARN Adj. Wisconsin Iron                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_IR                       104825
/*      NAD 1983 HARN Adj. Wisconsin Jackson                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_JA                       104826
/*      NAD 1983 HARN Adj. Wisconsin Jefferson                               */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_JF                       104827
/*      NAD 1983 HARN Adj. Wisconsin Juneau                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_JN                       104828
/*      NAD 1983 HARN Adj. Wisconsin Kenosha                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_KN                       104829
/*      NAD 1983 HARN Adj. Wisconsin Kewaunee                                */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_KW                       104830
/*      NAD 1983 HARN Adj. Wisconsin LaCrosse                                */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_LC                       104831
/*      NAD 1983 HARN Adj. Wisconsin Lafayette                               */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_LF                       104832
/*      NAD 1983 HARN Adj. Wisconsin Langlade                                */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_LG                       104833
/*      NAD 1983 HARN Adj. Wisconsin Lincoln                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_LN                       104834
/*      NAD 1983 HARN Adj. Wisconsin Manitowoc                               */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_MT                       104835
/*      NAD 1983 HARN Adj. Wisconsin Marathon                                */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_MA                       104836
/*      NAD 1983 HARN Adj. Wisconsin Marinette                               */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_MN                       104837
/*      NAD 1983 HARN Adj. Wisconsin Marquette                               */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_MQ                       104838
/*      NAD 1983 HARN Adj. Wisconsin Menominee                               */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_ME                       104839
/*      NAD 1983 HARN Adj. Wisconsin Milwaukee                               */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_MW                       104840
/*      NAD 1983 HARN Adj. Wisconsin Monroe                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_MR                       104841
/*      NAD 1983 HARN Adj. Wisconsin Oconto                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_OC                       104842
/*      NAD 1983 HARN Adj. Wisconsin Oneida                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_ON                       104843
/*      NAD 1983 HARN Adj. Wisconsin Outagamie                               */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_OG                       104844
/*      NAD 1983 HARN Adj. Wisconsin Ozaukee                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_OZ                       104845
/*      NAD 1983 HARN Adj. Wisconsin Pepin                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_PP                       104846
/*      NAD 1983 HARN Adj. Wisconsin Pierce                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_PC                       104847
/*      NAD 1983 HARN Adj. Wisconsin Polk                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_PK                       104848
/*      NAD 1983 HARN Adj. Wisconsin Portage                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_PT                       104849
/*      NAD 1983 HARN Adj. Wisconsin Price                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_PR                       104850
/*      NAD 1983 HARN Adj. Wisconsin Racine                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_RA                       104851
/*      NAD 1983 HARN Adj. Wisconsin Richland                                */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_RC                       104852
/*      NAD 1983 HARN Adj. Wisconsin Rock                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_RK                       104853
/*      NAD 1983 HARN Adj. Wisconsin Rusk                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_RS                       104854
/*      NAD 1983 HARN Adj. Wisconsin StCroix                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_SC                       104855
/*      NAD 1983 HARN Adj. Wisconsin Sauk                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_SK                       104856
/*      NAD 1983 HARN Adj. Wisconsin Sawyer                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_SW                       104857
/*      NAD 1983 HARN Adj. Wisconsin Shawano                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_SH                       104858
/*      NAD 1983 HARN Adj. Wisconsin Sheboygan                               */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_SG                       104859
/*      NAD 1983 HARN Adj. Wisconsin Taylor                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_TA                       104860
/*      NAD 1983 HARN Adj. Wisconsin Trempealeau                             */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_TR                       104861
/*      NAD 1983 HARN Adj. Wisconsin Vernon                                  */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_VR                       104862
/*      NAD 1983 HARN Adj. Wisconsin Vilas                                   */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_VI                       104863
/*      NAD 1983 HARN Adj. Wisconsin Walworth                                */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_WW                       104864
/*      NAD 1983 HARN Adj. Wisconsin Washburn                                */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_WB                       104865
/*      NAD 1983 HARN Adj. Wisconsin Washington                              */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_WA                       104866
/*      NAD 1983 HARN Adj. Wisconsin Waukesha                                */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_WK                       104867
/*      NAD 1983 HARN Adj. Wisconsin Waupaca                                 */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_WP                       104868
/*      NAD 1983 HARN Adj. Wisconsin Waushara                                */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_WS                       104869
/*      NAD 1983 HARN Adj. Wisconsin Winnebago                               */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_WN                       104870
/*      NAD 1983 HARN Adj. Wisconsin Wood                                    */
#define PE_GCS_NAD_1983_HARN_ADJ_WI_WD                       104871

/*      Mercury                                                              */
#define PE_GCS_XT_MERCURY_2000                               104900

/*      Venus 1985                                                           */
#define PE_GCS_XT_VENUS_1985                                 104901
/*      Venus 2000                                                           */
#define PE_GCS_XT_VENUS_2000                                 104902

/*      The Moon                                                             */
#define PE_GCS_XT_MOON_2000                                  104903

/*      Mars 1979                                                            */
#define PE_GCS_XT_MARS_1979                                  104904
/*      Mars 2000                                                            */
#define PE_GCS_XT_MARS_2000                                  104905
/*      Mars - Deimos                                                        */
#define PE_GCS_XT_DEIMOS_2000                                104906
/*      Mars - Phobos                                                        */
#define PE_GCS_XT_PHOBOS_2000                                104907

/*      Jupiter                                                              */
#define PE_GCS_XT_JUPITER_2000                               104908
/*      Jupiter - Adrastea                                                   */
#define PE_GCS_XT_ADRASTEA_2000                              104909
/*      Jupiter - Amalthea                                                   */
#define PE_GCS_XT_AMALTHEA_2000                              104910
/*      Jupiter - Ananke                                                     */
#define PE_GCS_XT_ANANKE_2000                                104911
/*      Jupiter - Callisto                                                   */
#define PE_GCS_XT_CALLISTO_2000                              104912
/*      Jupiter - Carme                                                      */
#define PE_GCS_XT_CARME_2000                                 104913
/*      Jupiter - Elara                                                      */
#define PE_GCS_XT_ELARA_2000                                 104914
/*      Jupiter - Europa                                                     */
#define PE_GCS_XT_EUROPA_2000                                104915
/*      Jupiter - Ganymede                                                   */
#define PE_GCS_XT_GANYMEDE_2000                              104916
/*      Jupiter - Himalia                                                    */
#define PE_GCS_XT_HIMALIA_2000                               104917
/*      Jupiter - Io                                                         */
#define PE_GCS_XT_IO_2000                                    104918
/*      Jupiter - Leda                                                       */
#define PE_GCS_XT_LEDA_2000                                  104919
/*      Jupiter - Lysithea                                                   */
#define PE_GCS_XT_LYSITHEA_2000                              104920
/*      Jupiter - Metis                                                      */
#define PE_GCS_XT_METIS_2000                                 104921
/*      Jupiter - Pasiphae                                                   */
#define PE_GCS_XT_PASIPHAE_2000                              104922
/*      Jupiter - Sinope                                                     */
#define PE_GCS_XT_SINOPE_2000                                104923
/*      Jupiter - Thebe                                                      */
#define PE_GCS_XT_THEBE_2000                                 104924

/*      Saturn                                                               */
#define PE_GCS_XT_SATURN_2000                                104925
/*      Saturn - Atlas                                                       */
#define PE_GCS_XT_ATLAS_2000                                 104926
/*      Saturn - Calypso                                                     */
#define PE_GCS_XT_CALYPSO_2000                               104927
/*      Saturn - Dione                                                       */
#define PE_GCS_XT_DIONE_2000                                 104928
/*      Saturn - Enceladus                                                   */
#define PE_GCS_XT_ENCELADUS_2000                             104929
/*      Saturn - Epimetheus                                                  */
#define PE_GCS_XT_EPIMETHEUS_2000                            104930
/*      Saturn - Helene                                                      */
#define PE_GCS_XT_HELENE_2000                                104931
/*      Saturn - Hyperion                                                    */
#define PE_GCS_XT_HYPERION_2000                              104932
/*      Saturn - Iapetus                                                     */
#define PE_GCS_XT_IAPETUS_2000                               104933
/*      Saturn - Janus                                                       */
#define PE_GCS_XT_JANUS_2000                                 104934
/*      Saturn - Mimas                                                       */
#define PE_GCS_XT_MIMAS_2000                                 104935
/*      Saturn - Pan                                                         */
#define PE_GCS_XT_PAN_2000                                   104936
/*      Saturn - Pandora                                                     */
#define PE_GCS_XT_PANDORA_2000                               104937
/*      Saturn - Phoebe                                                      */
#define PE_GCS_XT_PHOEBE_2000                                104938
/*      Saturn - Prometheus                                                  */
#define PE_GCS_XT_PROMETHEUS_2000                            104939
/*      Saturn - Rhea                                                        */
#define PE_GCS_XT_RHEA_2000                                  104940
/*      Saturn - Telesto                                                     */
#define PE_GCS_XT_TELESTO_2000                               104941
/*      Saturn - Tethys                                                      */
#define PE_GCS_XT_TETHYS_2000                                104942
/*      Saturn - Titan                                                       */
#define PE_GCS_XT_TITAN_2000                                 104943

/*      Uranus                                                               */
#define PE_GCS_XT_URANUS_2000                                104944
/*      Uranus - Ariel                                                       */
#define PE_GCS_XT_ARIEL_2000                                 104945
/*      Uranus - Belinda                                                     */
#define PE_GCS_XT_BELINDA_2000                               104946
/*      Uranus - Bianca                                                      */
#define PE_GCS_XT_BIANCA_2000                                104947
/*      Uranus - Cordelia                                                    */
#define PE_GCS_XT_CORDELIA_2000                              104948
/*      Uranus - Cressida                                                    */
#define PE_GCS_XT_CRESSIDA_2000                              104949
/*      Uranus - Desdemona                                                   */
#define PE_GCS_XT_DESDEMONA_2000                             104950
/*      Uranus - Juliet                                                      */
#define PE_GCS_XT_JULIET_2000                                104951
/*      Uranus - Miranda                                                     */
#define PE_GCS_XT_MIRANDA_2000                               104952
/*      Uranus - Oberon                                                      */
#define PE_GCS_XT_OBERON_2000                                104953
/*      Uranus - Ophelia                                                     */
#define PE_GCS_XT_OPHELIA_2000                               104954
/*      Uranus - Portia                                                      */
#define PE_GCS_XT_PORTIA_2000                                104955
/*      Uranus - Puck                                                        */
#define PE_GCS_XT_PUCK_2000                                  104956
/*      Uranus - Rosalind                                                    */
#define PE_GCS_XT_ROSALIND_2000                              104957
/*      Uranus - Titania                                                     */
#define PE_GCS_XT_TITANIA_2000                               104958
/*      Uranus - Umbriel                                                     */
#define PE_GCS_XT_UMBRIEL_2000                               104959

/*      Neptune                                                              */
#define PE_GCS_XT_NEPTUNE_2000                               104960
/*      Neptune - Despina                                                    */
#define PE_GCS_XT_DESPINA_2000                               104961
/*      Neptune - Galatea                                                    */
#define PE_GCS_XT_GALATEA_2000                               104962
/*      Neptune - Larissa                                                    */
#define PE_GCS_XT_LARISSA_2000                               104963
/*      Neptune - Naiad                                                      */
#define PE_GCS_XT_NAIAD_2000                                 104964
/*      Neptune - Nereid                                                     */
#define PE_GCS_XT_NEREID_2000                                104965
/*      Neptune - Proteus                                                    */
#define PE_GCS_XT_PROTEUS_2000                               104966
/*      Neptune - Thalassa                                                   */
#define PE_GCS_XT_THALASSA_2000                              104967
/*      Neptune - Triton                                                     */
#define PE_GCS_XT_TRITON_2000                                104968

/*      Pluto                                                                */
#define PE_GCS_XT_PLUTO_2000                                 104969
/*      Pluto - Charon                                                       */
#define PE_GCS_XT_CHARON_2000                                104970

/* END of NEW GCS's at 9.0 -----------------------                           */

/*      Abidjan 1987                                                         */
#define PE_GCS_ABIDJAN_1987                                    4143
/*      Accra                                                                */
#define PE_GCS_ACCRA                                           4168
/*      Adindan                                                              */
#define PE_GCS_ADINDAN                                         4201
/*      Afgooye                                                              */
#define PE_GCS_AFGOOYE                                         4205
/*      Agadez                                                               */
#define PE_GCS_AGADEZ                                          4206
/*      Australian Geodetic Datum 1966                                       */
#define PE_GCS_AGD_1966                                        4202
/*      Australian Geodetic Datum 1984                                       */
#define PE_GCS_AGD_1984                                        4203
/*      Ain el Abd 1970                                                      */
#define PE_GCS_AIN_EL_ABD_1970                                 4204
/*      Amersfoort                                                           */
#define PE_GCS_AMERSFOORT                                      4289
/*      Anguilla 1957                                                        */
#define PE_GCS_ANGUILLA_1957                                   4600
/*      Antigua Astro 1943                                                   */
#define PE_GCS_ANTIGUA_1943                                    4601
/*      Aratu                                                                */
#define PE_GCS_ARATU                                           4208
/*      Arc 1950                                                             */
#define PE_GCS_ARC_1950                                        4209
/*      Arc 1960                                                             */
#define PE_GCS_ARC_1960                                        4210
/*      ATF (Paris)                                                          */
#define PE_GCS_ATF_PARIS                                       4901
/*      Barbados 1938                                                        */
#define PE_GCS_BARBADOS_1938                                   4212
/*      Batavia                                                              */
#define PE_GCS_BATAVIA                                         4211
/*      Batavia (Jakarta)                                                    */
#define PE_GCS_BATAVIA_JAKARTA                                 4813
/*      Beduaram                                                             */
#define PE_GCS_BEDUARAM                                        4213
/*      Beijing 1954                                                         */
#define PE_GCS_BEIJING_1954                                    4214
/*      Reseau National Belge 1950                                           */
#define PE_GCS_BELGE_1950                                      4215
/*      Belge 1950 (Brussels)                                                */
#define PE_GCS_BELGE_1950_BRUSSELS                             4809
/*      Reseau National Belge 1972                                           */
#define PE_GCS_BELGE_1972                                      4313
/*      Bermuda 1957                                                         */
#define PE_GCS_BERMUDA_1957                                    4216
/*      Bern 1898                                                            */
#define PE_GCS_BERN_1898                                       4217
/*      Bern 1898 (Bern)                                                     */
#define PE_GCS_BERN_1898_BERN                                  4801
/*      Bern 1938                                                            */
#define PE_GCS_BERN_1938                                       4306
/*      Bissau                                                               */
#define PE_GCS_BISSAU                                          4165
/*      Bogota                                                               */
#define PE_GCS_BOGOTA                                          4218
/*      Bogota (Bogota)                                                      */
#define PE_GCS_BOGOTA_BOGOTA                                   4802
/*      Bukit Rimpah                                                         */
#define PE_GCS_BUKIT_RIMPAH                                    4219
/*      Camacupa                                                             */
#define PE_GCS_CAMACUPA                                        4220
/*      Campo Inchauspe                                                      */
#define PE_GCS_CAMPO_INCHAUSPE                                 4221
/*      Cape                                                                 */
#define PE_GCS_CAPE                                            4222
/*      Carthage                                                             */
#define PE_GCS_CARTHAGE                                        4223
/*      Carthage (Paris) - superseded by Carthage                            */
#define PE_GCS_CARTHAGE_PARIS                                  4816
/*      CH 1903                                                              */
#define PE_GCS_CH1903                                          4149
/*      CH 1903+                                                             */
#define PE_GCS_CH1903_PLUS                                     4150
/*      Chos Malal 1914                                                      */
#define PE_GCS_CHOS_MALAL_1914                                 4160
/*      Swiss Terrestrial Ref Frame 1995                                     */
#define PE_GCS_CHTRF_1995                                      4151
/*      Chua                                                                 */
#define PE_GCS_CHUA                                            4224
/*      Conakry 1905                                                         */
#define PE_GCS_CONAKRY_1905                                    4315
/*      Corrego Alegre                                                       */
#define PE_GCS_CORREGO_ALEGRE                                  4225
/*      Cote d'Ivoire                                                        */
#define PE_GCS_COTE_D_IVOIRE                                   4226
/*      Dabola 1981                                                          */
#define PE_GCS_DABOLA_1981                                     4155
/*      Datum 73                                                             */
#define PE_GCS_DATUM_73                                        4274
/*      Dealul Piscului 1933 (Romania)                                       */
#define PE_GCS_DEALUL_PISCULUI_1933                            4316
/*      Dealul Piscului 1970 (Romania)                                       */
#define PE_GCS_DEALUL_PISCULUI_1970                            4317
/*      Deir ez Zor                                                          */
#define PE_GCS_DEIR_EZ_ZOR                                     4227
/*      Deutsches Hauptdreiecksnetz                                          */
#define PE_GCS_DHDN                                            4314
/*      Dominica 1945                                                        */
#define PE_GCS_DOMINICA_1945                                   4602
/*      Douala                                                               */
#define PE_GCS_DOUALA                                          4228
/*      European Datum 1950                                                  */
#define PE_GCS_ED_1950                                         4230
/*      ED 1950 (ED77)                                                       */
#define PE_GCS_ED_1950_ED77                                    4154
/*      European Datum 1987                                                  */
#define PE_GCS_ED_1987                                         4231
/*      Egypt 1907                                                           */
#define PE_GCS_EGYPT_1907                                      4229
/*      Estonia 1992                                                         */
#define PE_GCS_ESTONIA_1992                                    4133
/*      European Terrestrial Ref. System 1989                                */
#define PE_GCS_ETRS_1989                                       4258
/*      European Terrestrial Ref.Frame 1989                                  */
#define PE_GCS_ETRF_1989                                     104258
/*      European Libyan Datum 1979                                           */
#define PE_GCS_EUROPEAN_LIBYAN_1979                            4159
/*      Fahud                                                                */
#define PE_GCS_FAHUD                                           4232
/*      Final Datum 1958                                                     */
#define PE_GCS_FD_1958                                         4132

/*      Gandajika 1970 (DEPRECATED - use PE_GCS_GAN_1970)                    */
#define PE_GCS_GANDAJIKA_1970                                  4233

/*      Garoua                                                               */
#define PE_GCS_GAROUA                                          4234
/*      Geocentric Datum of Australia 1994                                   */
#define PE_GCS_GDA_1994                                        4283
/*      Greek Geodetic Ref. System 1987                                      */
#define PE_GCS_GGRS_1987                                       4121
/*      Greek                                                                */
#define PE_GCS_GREEK                                           4120
/*      Greek (Athens)                                                       */
#define PE_GCS_GREEK_ATHENS                                    4815
/*      Grenada 1953                                                         */
#define PE_GCS_GRENADA_1953                                    4603
/*      Guyane Francaise                                                     */
#define PE_GCS_GUYANE_FRANCAISE                                4235
/*      Hanoi 1972                                                           */
#define PE_GCS_HANOI_1972                                      4147
/*      Hartebeesthoek 1994                                                  */
#define PE_GCS_HARTEBEESTHOEK94                                4148
/*      Herat North                                                          */
#define PE_GCS_HERAT_NORTH                                     4255
/*      Hito XVIII 1963                                                      */
#define PE_GCS_HITO_XVIII_1963                                 4254
/*      Hu Tzu Shan                                                          */
#define PE_GCS_HU_TZU_SHAN                                     4236
/*      Hungarian Datum 1972                                                 */
#define PE_GCS_HUNGARIAN_1972                                  4237
/*      Indian 1954                                                          */
#define PE_GCS_INDIAN_1954                                     4239
/*      Indian 1960                                                          */
#define PE_GCS_INDIAN_1960                                     4131
/*      Indian 1975                                                          */
#define PE_GCS_INDIAN_1975                                     4240
/*      Indonesian Datum 1974                                                */
#define PE_GCS_INDONESIAN_1974                                 4238
/*      IRENET95                                                             */
#define PE_GCS_IRENET95                                        4173
/*      Israel                                                               */
#define PE_GCS_ISRAEL                                          4141
/*      Jamaica 1875                                                         */
#define PE_GCS_JAMAICA_1875                                    4241
/*      Jamaica 1969                                                         */
#define PE_GCS_JAMAICA_1969                                    4242
/*      Kalianpur 1880                                                       */
#define PE_GCS_KALIANPUR_1880                                  4243
/*      Kalianpur 1937                                                       */
#define PE_GCS_KALIANPUR_1937                                  4144
/*      Kalianpur 1962                                                       */
#define PE_GCS_KALIANPUR_1962                                  4145
/*      Kalianpur 1975                                                       */
#define PE_GCS_KALIANPUR_1975                                  4146
/*      Kandawala                                                            */
#define PE_GCS_KANDAWALA                                       4244
/*      Kertau                                                               */
#define PE_GCS_KERTAU                                          4245
/*      Kartastokoordinaattijarjestelma                                      */
#define PE_GCS_KKJ                                             4123
/*      Kuwait Oil Company                                                   */
#define PE_GCS_KOC                                             4246
/*      Korean Datum 1985                                                    */
#define PE_GCS_KOREAN_1985                                     4162
/*      Korean Datum 1995                                                    */
#define PE_GCS_KOREAN_1995                                     4166
/*      Kuwait Utility                                                       */
#define PE_GCS_KUDAMS                                          4319
/*      La Canoa                                                             */
#define PE_GCS_LA_CANOA                                        4247
/*      Lake                                                                 */
#define PE_GCS_LAKE                                            4249
/*      Leigon                                                               */
#define PE_GCS_LEIGON                                          4250
/*      Liberia 1964                                                         */
#define PE_GCS_LIBERIA_1964                                    4251
/*      Lisbon                                                               */
#define PE_GCS_LISBON                                          4207
/*      Lisbon (Lisbon)                                                      */
#define PE_GCS_LISBON_LISBON                                   4803
/*      LKS 1994                                                             */
#define PE_GCS_LKS_1994                                        4669
/*      Locodjo 1965                                                         */
#define PE_GCS_LOCODJO_1965                                    4142
/*      Loma Quintana                                                        */
#define PE_GCS_LOMA_QUINTANA                                   4288
/*      Lome                                                                 */
#define PE_GCS_LOME                                            4252
/*      Luzon 1911                                                           */
#define PE_GCS_LUZON_1911                                      4253
/*      Madrid 1870 - Madrid Prime M                                         */
#define PE_GCS_MADRID_1870_MADRID                              4903
/*      Madzansua - superseded by Tete                                       */
#define PE_GCS_MADZANSUA                                       4128
/*      Mahe 1971                                                            */
#define PE_GCS_MAHE_1971                                       4256
/*      Makassar                                                             */
#define PE_GCS_MAKASSAR                                        4257
/*      Makassar (Jakarta)                                                   */
#define PE_GCS_MAKASSAR_JAKARTA                                4804
/*      Malongo 1987                                                         */
#define PE_GCS_MALONGO_1987                                    4259
/*      Manoca                                                               */
#define PE_GCS_MANOCA                                          4260
/*      Massawa                                                              */
#define PE_GCS_MASSAWA                                         4262
/*      Merchich                                                             */
#define PE_GCS_MERCHICH                                        4261
/*      Merchich (degrees)                                                   */
#define PE_GCS_MERCHICH_DEGREE                               104261
/*      Militar-Geographische Institut                                       */
#define PE_GCS_MGI                                             4312
/*      MGI (Ferro)                                                          */
#define PE_GCS_MGI_FERRO                                       4805

/*      Mhast (DEPRECATED - use PE_GCS_MALONGO_1987)                         */
#define PE_GCS_MHAST                                           4264

/*      Minna                                                                */
#define PE_GCS_MINNA                                           4263
/*      Monte Mario                                                          */
#define PE_GCS_MONTE_MARIO                                     4265
/*      Monte Mario (Rome)                                                   */
#define PE_GCS_MONTE_MARIO_ROME                                4806
/*      Montserrat Astro 1958 - was 4404                                     */
#define PE_GCS_MONTSERRAT_1958                                 4604
/*      Mount Dillon                                                         */
#define PE_GCS_MOUNT_DILLON                                    4157
/*      Moznet                                                               */
#define PE_GCS_MOZNET                                          4130
/*      M'poraloko                                                           */
#define PE_GCS_MPORALOKO                                       4266
/*      NAD Michigan                                                         */
#define PE_GCS_NAD_MICH                                        4268
/*      North American Datum 1927                                            */
#define PE_GCS_NAD_1927                                        4267
/*      NAD_1927 CGQ77                                                       */
#define PE_GCS_NAD_1927_CGQ77                                  4609
/*      NAD 1927 (1976)                                                      */
#define PE_GCS_NAD_1927_DEF_1976                               4608
/*      North American Datum 1983                                            */
#define PE_GCS_NAD_1983                                        4269
/*      NAD 1983(Canadian Spatial Ref System)                                */
#define PE_GCS_NAD_1983_CSRS                                   4617
/*      North American Datum 1983 (HARN) (was 104269)                        */
#define PE_GCS_NAD_1983_HARN                                   4152
/*      Nahrwan 1967                                                         */
#define PE_GCS_NAHRWAN_1967                                    4270
/*      Naparima 1955                                                        */
#define PE_GCS_NAPARIMA_1955                                   4158
/*      Naparima 1972                                                        */
#define PE_GCS_NAPARIMA_1972                                   4271
/*      Nord de Guerre (Paris)                                               */
#define PE_GCS_NDG_PARIS                                       4902
/*      National Geodetic Network (Kuwait)                                   */
#define PE_GCS_NGN                                             4318
/*      NGO 1948                                                             */
#define PE_GCS_NGO_1948                                        4273
/*      NGO 1948 (Oslo)                                                      */
#define PE_GCS_NGO_1948_OSLO                                   4817
/*      Nord Sahara 1959                                                     */
#define PE_GCS_NORD_SAHARA_1959                                4307
/*      NSWC 9Z-2                                                            */
#define PE_GCS_NSWC_9Z_2                                       4276
/*      Nouvelle Triangulation Francaise (degrees)                           */
#define PE_GCS_NTF                                             4275
/*      NTF (Paris) (grads)                                                  */
#define PE_GCS_NTF_PARIS                                       4807
/*      New Zealand Geodetic Datum 1949                                      */
#define PE_GCS_NZGD_1949                                       4272
/*      Observatario - superseded by Tete                                    */
#define PE_GCS_OBSERVATARIO                                    4129
/*      Old Hawaiian                                                         */
#define PE_GCS_OLD_HAWAIIAN                                    4135
/*      OS (SN) 1980                                                         */
#define PE_GCS_OS_SN_1980                                      4279
/*      OSGB 1936                                                            */
#define PE_GCS_OSGB_1936                                       4277
/*      OSGB 1970 (SN)                                                       */
#define PE_GCS_OSGB_1970_SN                                    4278
/*      Padang 1884                                                          */
#define PE_GCS_PADANG_1884                                     4280
/*      Padang 1884 (Jakarta)                                                */
#define PE_GCS_PADANG_1884_JAKARTA                             4808
/*      Palestine 1923                                                       */
#define PE_GCS_PALESTINE_1923                                  4281
/*      Pampa del Castillo                                                   */
#define PE_GCS_PAMPA_DEL_CASTILLO                              4161
/*      PDO Survey Datum 1993                                                */
#define PE_GCS_PDO_1993                                        4134
/*      Pointe Noire                                                         */
#define PE_GCS_POINTE_NOIRE                                    4282
/*      POSGAR                                                               */
#define PE_GCS_POSGAR                                          4172
/*      Provisional South Amer. Datum 1956                                   */
#define PE_GCS_PSAD_1956                                       4248
/*      Puerto Rico                                                          */
#define PE_GCS_PUERTO_RICO                                     4139
/*      Pulkovo 1942                                                         */
#define PE_GCS_PULKOVO_1942                                    4284
/*      Pulkovo 1995                                                         */
#define PE_GCS_PULKOVO_1995                                    4200
/*      Qatar 1974                                                           */
#define PE_GCS_QATAR_1974                                      4285
/*      Qatar 1948                                                           */
#define PE_GCS_QATAR_1948                                      4286
/*      Qornoq                                                               */
#define PE_GCS_QORNOQ                                          4287
/*      Rassadiran                                                           */
#define PE_GCS_RASSADIRAN                                      4153
/*      RT38                                                                 */
#define PE_GCS_RT38                                            4308
/*      RT38 (Stockholm)                                                     */
#define PE_GCS_RT38_STOCKHOLM                                  4814
/*      RT 1990                                                              */
#define PE_GCS_RT90                                            4124
/*      South American Datum 1969                                            */
#define PE_GCS_SAD_1969                                        4618
/*      Samboja                                                              */
#define PE_GCS_SAMBOJA                                         4125
/*      Sapper Hill 1943                                                     */
#define PE_GCS_SAPPER_HILL_1943                                4292
/*      Schwarzeck                                                           */
#define PE_GCS_SCHWARZECK                                      4293
/*      Segora                                                               */
#define PE_GCS_SEGORA                                          4294
/*      Serindung                                                            */
#define PE_GCS_SERINDUNG                                       4295
/*      Sierra Leone 1924                                                    */
#define PE_GCS_SIERRA_LEONE_1924                               4174
/*      Sierra Leone 1968                                                    */
#define PE_GCS_SIERRA_LEONE_1968                               4175
/*      SIRGAS                                                               */
#define PE_GCS_SIRGAS                                          4170
/*      South Yemen                                                          */
#define PE_GCS_SOUTH_YEMEN                                     4164
/*      Alaska - St. George Island                                           */
#define PE_GCS_ST_GEORGE_ISLAND                                4138
/*      St. Kitts 1955                                                       */
#define PE_GCS_ST_KITTS_1955                                   4605
/*      Alaska - St. Lawrence Island                                         */
#define PE_GCS_ST_LAWRENCE_ISLAND                              4136
/*      St. Lucia 1955                                                       */
#define PE_GCS_ST_LUCIA_1955                                   4606
/*      Alaska - St. Paul Island                                             */
#define PE_GCS_ST_PAUL_ISLAND                                  4137
/*      St. Vincent 1945                                                     */
#define PE_GCS_ST_VINCENT_1945                                 4607
/*      Sudan                                                                */
#define PE_GCS_SUDAN                                           4296
/*      S-JTSK                                                               */
#define PE_GCS_S_JTSK                                          4156
/*      S-JTSK (Ferro)                                                       */
#define PE_GCS_S_JTSK_FERRO                                    4818
/*      Tananarive 1925                                                      */
#define PE_GCS_TANANARIVE_1925                                 4297
/*      Tananarive 1925 (Paris)                                              */
#define PE_GCS_TANANARIVE_1925_PARIS                           4810
/*      Tete                                                                 */
#define PE_GCS_TETE                                            4127
/*      Timbalai 1948                                                        */
#define PE_GCS_TIMBALAI_1948                                   4298
/*      TM65                                                                 */
#define PE_GCS_TM65                                            4299
/*      TM75                                                                 */
#define PE_GCS_TM75                                            4300
/*      Tokyo                                                                */
#define PE_GCS_TOKYO                                           4301
/*      Trinidad 1903                                                        */
#define PE_GCS_TRINIDAD_1903                                   4302
/*      Trucial Coast 1948                                                   */
#define PE_GCS_TRUCIAL_COAST_1948                              4303
/*      Voirol 1875                                                          */
#define PE_GCS_VOIROL_1875                                     4304
/*      Voirol 1875 (Paris)                                                  */
#define PE_GCS_VOIROL_1875_PARIS                               4811
/*      Voirol Unifie 1960                                                   */
#define PE_GCS_VOIROL_UNIFIE_1960                              4305
/*      Voirol Unifie 1960 (degrees)                                         */
#define PE_GCS_VOIROL_UNIFIE_1960_DEGREE                     104305
/*      Voirol Unifie 1960 (Paris)                                           */
#define PE_GCS_VOIROL_UNIFIE_1960_PARIS                        4812
/*      WGS 1972                                                             */
#define PE_GCS_WGS_1972                                        4322
/*      WGS 1972 Transit Broadcast Ephemer.                                  */
#define PE_GCS_WGS_1972_BE                                     4324
/*      WGS 1984                                                             */
#define PE_GCS_WGS_1984                                        4326
/*      Yacare                                                               */
#define PE_GCS_YACARE                                          4309
/*      Yemen Nat'l Geodetic Network 1996                                    */
#define PE_GCS_YEMEN_NGN_1996                                  4163
/*      Yoff                                                                 */
#define PE_GCS_YOFF                                            4310
/*      Zanderij                                                             */
#define PE_GCS_ZANDERIJ                                        4311

/*      European 1979                                                        */
#define PE_GCS_EUROPEAN_1979                                   4668
/*      Everest - Bangladesh (4202+33000)                                    */
#define PE_GCS_EVEREST_BANGLADESH                             37202
/*      Everest - India and Nepal (4203+33000)                               */
#define PE_GCS_EVEREST_INDIA_NEPAL                            37203
/*      Hjorsey 1955                                                         */
#define PE_GCS_HJORSEY_1955                                    4658
/*      Hong Kong 1963                                                       */
#define PE_GCS_HONG_KONG_1963                                  4738
/*      Oman (4206+33000)                                                    */
#define PE_GCS_OMAN                                           37206
/*      South Asia Singapore (4207+33000)                                    */
#define PE_GCS_S_ASIA_SINGAPORE                               37207
/*      Ayabelle Lighthouse                                                  */
#define PE_GCS_AYABELLE                                        4713
/*      Point 58                                                             */
#define PE_GCS_POINT58                                         4620
/*      Astro Beacon E 1945 (Iwo Jima 1945)                                  */
#define PE_GCS_BEACON_E_1945                                   4709
/*      Tern Island Astro 1961                                               */
#define PE_GCS_TERN_ISLAND_1961                                4707
/*      Astronomical Station 1952 (Marcus Island 1952)                       */
#define PE_GCS_ASTRO_1952                                      4711
/*      Bellevue IGN                                                         */
#define PE_GCS_BELLEVUE                                        4714
/*      Canton Astro 1966 (Phoenix islands 1966)                             */
#define PE_GCS_CANTON_1966                                     4716
/*      Chatham Island Astro 1971                                            */
#define PE_GCS_CHATHAM_ISLAND_1971                             4672
/*      DOS 1968 (4218+33000)                                                */
#define PE_GCS_DOS_1968                                       37218
/*      Easter Island 1967                                                   */
#define PE_GCS_EASTER_ISLAND_1967                              4719
/*      Guam 1963                                                            */
#define PE_GCS_GUAM_1963                                       4675
/*      GUX 1 Astro (4221+33000)                                             */
#define PE_GCS_GUX_1                                          37221
/*      Johnston Island 1961                                                 */
#define PE_GCS_JOHNSTON_ISLAND_1961                            4725
/*      Midway Astro 1961                                                    */
#define PE_GCS_MIDWAY_1961                                     4727
/*      Pitcairn Astro 1967                                                  */
#define PE_GCS_PITCAIRN_1967                                   4729
/*      Santo DOS 1965                                                       */
#define PE_GCS_SANTO_DOS_1965                                  4730
/*      Viti Levu 1916                                                       */
#define PE_GCS_VITI_LEVU_1916                                  4731
/*      Wake-Eniwetok 1960 (Marhsall Islands 1960)                           */
#define PE_GCS_WAKE_ENIWETOK_1960                              4732
/*      Wake Island Astro 1952                                               */
#define PE_GCS_WAKE_ISLAND_1952                                4733
/*      Anna 1 Astro 1965 (Cocos Islands 1965)                               */
#define PE_GCS_ANNA_1_1965                                     4708
/*      Gan 1970                                                             */
#define PE_GCS_GAN_1970                                        4684
/*      ISTS 073 Astro 1969 (Diego Garcia 1969)                              */
#define PE_GCS_ISTS_073_1969                                   4724
/*      Kerguelen Island 1949                                                */
#define PE_GCS_KERGUELEN_ISLAND_1949                           4698
/*      Reunion 1947                                                         */
#define PE_GCS_REUNION_1947                                    4626
/*      Ascension Island 1958                                                */
#define PE_GCS_ASCENSION_ISLAND_1958                           4712
/*      Astro DOS 71/4 (St. Helena 1971)                                     */
#define PE_GCS_DOS_71_4                                        4710
/*      Cape Canaveral                                                       */
#define PE_GCS_CAPE_CANAVERAL                                  4717
/*      Fort Thomas 1955 (4240+33000)                                        */
#define PE_GCS_FORT_THOMAS_1955                               37240
/*      Graciosa Base SW 1948 (4241+33000)                                   */
#define PE_GCS_GRACIOSA_1948                                  37241
/*      ISTS 061 Astro 1968 (South Georgia 1968)                             */
#define PE_GCS_ISTS_061_1968                                   4722
/*      L.C. 5 Astro 1961 (4243+33000)                                       */
#define PE_GCS_LC5_1961                                       37243
/*      Observ. Meteorologico 1939 (4245+33000)                              */
#define PE_GCS_OBSERV_METEOR_1939                             37245
/*      Pico de Las Nieves                                                   */
#define PE_GCS_PICO_DE_LAS_NIEVES                              4728
/*      Porto Santo 1936                                                     */
#define PE_GCS_PORTO_SANTO_1936                                4615
/*      Sao Braz (4249+33000)                                                */
#define PE_GCS_SAO_BRAZ                                       37249
/*      Selvagem Grande 1938                                                 */
#define PE_GCS_SELVAGEM_GRANDE_1938                            4616
/*      Tristan Astro 1968                                                   */
#define PE_GCS_TRISTAN_1968                                    4734
/*      American Samoa 1962                                                  */
#define PE_GCS_SAMOA_1962                                      4169
/*      Camp Area Astro                                                      */
#define PE_GCS_CAMP_AREA                                       4715
/*      Deception Island                                                     */
#define PE_GCS_DECEPTION_ISLAND                                4736
/*      Gunung Segara                                                        */
#define PE_GCS_GUNUNG_SEGARA                                   4613
/*      S-42 Hungary (4257+33000)                                            */
#define PE_GCS_S42_HUNGARY                                    37257
/*      Kusaie Astro 1951                                                    */
#define PE_GCS_KUSAIE_1951                                     4735
/*      Alaskan Islands (4260+33000)                                         */
#define PE_GCS_ALASKAN_ISLANDS                                37260

/*      Estonia 1937                                                         */
#define PE_GCS_ESTONIA_1937                                  104101
/*      Hermannskogel                                                        */
#define PE_GCS_HERMANNSKOGEL                                 104102
/*      Sierra Leone 1960                                                    */
#define PE_GCS_SIERRA_LEONE_1960                             104103
/*      Hong Kong 1980                                                       */
#define PE_GCS_HONG_KONG_1980                                  4611
/*      Datum Lisboa Bessel                                                  */
#define PE_GCS_LISBOA_BESSEL                                 104105
/*      Datum Lisboa Hayford                                                 */
#define PE_GCS_LISBOA_HAYFORD                                104106
/*      Reseau Geodesique Francais 1993                                      */
#define PE_GCS_RGF_1993                                        4171
/*      New Zealand Geodetic Datum 2000                                      */
#define PE_GCS_NZGD_2000                                       4167
/*      Pohnpei - Fed. States Micronesia                                     */
#define PE_GCS_POHNPEI                                       104109
/*      REGVEN                                                               */
#define PE_GCS_REGVEN                                          4189
/*      Japan Geodetic Datum 2000                                            */
#define PE_GCS_JGD_2000                                        4612
/*      Bab South Astro - Bablethuap Island Republic of Palau                */
#define PE_GCS_BAB_SOUTH                                     104112
/*      Majuro - Republic of Marshall Isls.                                  */
#define PE_GCS_MAJURO                                        104113

/* ------------------------------------------------------------------------- */
/* G E O G R A P H I C   C O O R D I N A T E   S Y S T E M S                 */
/* (S P H E R O I D   O N L Y)                                               */
/* ------------------------------------------------------------------------- */

/*      Airy 1830                                                            */
#define PE_GCS_AIRY_1830                                       4001
/*      Airy modified                                                        */
#define PE_GCS_AIRY_MOD                                        4002
/*      Average Terrestrial System 1977                                      */
#define PE_GCS_ATS_1977                                        4122
/*      Australian National                                                  */
#define PE_GCS_AUSTRALIAN                                      4003
/*      Bessel 1841                                                          */
#define PE_GCS_BESSEL_1841                                     4004
/*      Bessel modified                                                      */
#define PE_GCS_BESSEL_MOD                                      4005
/*      Bessel Namibia                                                       */
#define PE_GCS_BESSEL_NAMIBIA                                  4006
/*      Clarke 1858                                                          */
#define PE_GCS_CLARKE_1858                                     4007
/*      Clarke 1866                                                          */
#define PE_GCS_CLARKE_1866                                     4008
/*      Clarke 1866 Michigan                                                 */
#define PE_GCS_CLARKE_1866_MICH                                4009
/*      Clarke 1880                                                          */
#define PE_GCS_CLARKE_1880                                     4034
/*      Clarke 1880 (Arc)                                                    */
#define PE_GCS_CLARKE_1880_ARC                                 4013
/*      Clarke 1880 (Benoit)                                                 */
#define PE_GCS_CLARKE_1880_BENOIT                              4010
/*      Clarke 1880 (IGN)                                                    */
#define PE_GCS_CLARKE_1880_IGN                                 4011
/*      Clarke 1880 (RGS)                                                    */
#define PE_GCS_CLARKE_1880_RGS                                 4012
/*      Clarke 1880 (SGA)                                                    */
#define PE_GCS_CLARKE_1880_SGA                                 4014
/*      Everest 1830 (was 4015)                                              */
#define PE_GCS_EVEREST_1830                                    4042
/*      Everest (adjustment 1937)                                            */
#define PE_GCS_EVEREST_ADJ_1937                                4015
/*      Everest (definition 1962)                                            */
#define PE_GCS_EVEREST_DEF_1962                                4044
/*      Everest (definition 1967)                                            */
#define PE_GCS_EVEREST_DEF_1967                                4016
/*      Everest (definition 1975)(was 4017)                                  */
#define PE_GCS_EVEREST_DEF_1975                                4045
/*      Everest modified                                                     */
#define PE_GCS_EVEREST_MOD                                     4018
/*      GEM gravity potential model                                          */
#define PE_GCS_GEM_10C                                         4031
/*      GRS 1967                                                             */
#define PE_GCS_GRS_1967                                        4036
/*      GRS 1980                                                             */
#define PE_GCS_GRS_1980                                        4019
/*      Helmert 1906                                                         */
#define PE_GCS_HELMERT_1906                                    4020
/*      Indonesian National                                                  */
#define PE_GCS_INDONESIAN                                      4021
/*      International 1927                                                   */
#define PE_GCS_INTERNATIONAL_1924                              4022
/*      International 1967                                                   */
#define PE_GCS_INTERNATIONAL_1967                            104023
/*      Krasovsky 1940                                                       */
#define PE_GCS_KRASOVSKY_1940                                  4024
/*      Transit precise ephemeris                                            */
#define PE_GCS_NWL_9D                                          4025
/*      OSU 1986 geoidal model                                               */
#define PE_GCS_OSU_86F                                         4032
/*      OSU 1991 geoidal model                                               */
#define PE_GCS_OSU_91A                                         4033
/*      Plessis 1817                                                         */
#define PE_GCS_PLESSIS_1817                                    4027
/*      Authalic sphere                                                      */
#define PE_GCS_SPHERE                                          4035
/*      Struve 1860                                                          */
#define PE_GCS_STRUVE_1860                                     4028
/*      War Office                                                           */
#define PE_GCS_WAR_OFFICE                                      4029
/*      WGS 1966                                                             */
#define PE_GCS_WGS_1966                                        4760
/*      Fischer 1960 (4002+33000)                                            */
#define PE_GCS_FISCHER_1960                                   37002
/*      Fischer 1968 (4003+33000)                                            */
#define PE_GCS_FISCHER_1968                                   37003
/*      Fischer modified (4004+33000)                                        */
#define PE_GCS_FISCHER_MOD                                    37004
/*      Hough 1960 (4005+33000)                                              */
#define PE_GCS_HOUGH_1960                                     37005
/*      Everest modified 1969 (4006+33000)                                   */
#define PE_GCS_EVEREST_MOD_1969                               37006
/*      Walbeck (4007+33000)                                                 */
#define PE_GCS_WALBECK                                        37007
/*      Authalic sphere (ARC/INFO) (4008+33000)                              */
#define PE_GCS_SPHERE_AI                                      37008
/*      NAD27 for shapefiles w/o a PRJ                                       */
#define PE_GCS_ASSUMED_GEOGRAPHIC_1                          104000
/* ------------------------------------------------------------------------- */
/* deprecated geogcs macros                                                  */
/* ------------------------------------------------------------------------- */

#define PE_GCS_CARTHAGE_DEGREE \
        PE_GCS_CARTHAGE

#define PE_GCS_DABOLA \
        PE_GCS_DABOLA_1981

#define PE_GCS_K0_1949 \
        PE_GCS_KERGUELEN_ISLAND_1949

#define PE_GCS_NAD_1983_CSRS98 \
        PE_GCS_NAD_1983_CSRS

#define PE_GCS_PITON_DES_NEIGES \
        PE_GCS_REUNION_1947

#define PE_GCS_QATAR \
        PE_GCS_QATAR_1974

#define PE_GCS_REUNION \
        PE_GCS_REUNION_1947

#define PE_GCS_TAHAA \
        PE_GCS_TAHAA_1954

#define PE_GCS_TAHITI \
        PE_GCS_TAHITI_1952

#define PE_GCS_VOIROL_1875_DEGREE \
        PE_GCS_VOIROL_1875


/* ------------------------------------------------------------------------- */
/* P R O J E C T E D   C O O R D I N A T E   S Y S T E M S                   */
/* ------------------------------------------------------------------------- */

/* New PROJCS at 10.1                                                        */

/*      NAD 1983 HARN State Plane Washington N Bellevue (FtUS)               */
#define PE_PCS_NAD_1983_HARN_WA_N_BELLEVUE_FTUS              102041

/*      Panhandle Energy Albers                                              */
#define PE_PCS_PANHANDLE_ENERGY_ALBERS                       102589

/*      ETRS 1989 UTM Zone 32N 7Stellen                                      */
#define PE_PCS_ETRS_1989_UTM_32N_7STELLEN                    102328
/*      ETRS 1989 UTM Zone 32N 8Stellen                                      */
#define PE_PCS_ETRS_1989_UTM_32N_8STELLEN                    102329
/*      ETRS 1989 UTM Zone 33N 7Stellen                                      */
#define PE_PCS_ETRS_1989_UTM_33N_7STELLEN                    102359
/*      ETRS 1989 UTM Zone 33N 8Stellen                                      */
#define PE_PCS_ETRS_1989_UTM_33N_8STELLEN                    102360

/*      Korea 2000 Korea West Belt 2010                                      */
#define PE_PCS_KOREA_2000_WEST_BELT_2010                     102081
/*      Korea 2000 Korea Central Belt 2010                                   */
#define PE_PCS_KOREA_2000_CENTRAL_BELT_2010                  102082
/*      Korea 2000 Korea East Belt 2010                                      */
#define PE_PCS_KOREA_2000_EAST_BELT_2010                     102083
/*      Korea 2000 Korea East Sea Belt 2010                                  */
#define PE_PCS_KOREA_2000_EAST_SEA_BELT_2010                 102084

/*      Korean 1985 Modified Korea West Belt                                 */
#define PE_PCS_KOREAN_1985_MOD_WEST_BELT                     102085
/*      Korean 1985 Modified Korea Central Belt                              */
#define PE_PCS_KOREAN_1985_MOD_CENTRAL_BELT                  102086
/*      Korean 1985 Modified Korea Central Belt Jeju                         */
#define PE_PCS_KOREAN_1985_MOD_CENTRAL_BELT_JEJU             102087
/*      Korean 1985 Modified Korea East Belt                                 */
#define PE_PCS_KOREAN_1985_MOD_EAST_BELT                     102088
/*      Korean 1985 Modified Korea East Sea Belt                             */
#define PE_PCS_KOREAN_1985_MOD_EAST_SEA_BELT                 102089

/*      Korean 1985 Korea Unified Coordinate System                          */
#define PE_PCS_KOREAN_1985_UNIFIED_CS                        102040
/*      Korea 2000 Korea Unified Coordinate System                           */
#define PE_PCS_KOREA_2000_UNIFIED_CS                         102080

/* New PROJCS at 10.0                                                        */

/*      ETRS 1989 ETRS-TM26                                                  */
#define PE_PCS_ETRS_1989_TM26                                  3038
/*      ETRS 1989 ETRS-TM27                                                  */
#define PE_PCS_ETRS_1989_TM27                                  3039
/*      ETRS 1989 ETRS-TM28                                                  */
#define PE_PCS_ETRS_1989_TM28                                  3040
/*      ETRS 1989 ETRS-TM29                                                  */
#define PE_PCS_ETRS_1989_TM29                                  3041
/*      ETRS 1989 ETRS-TM30                                                  */
#define PE_PCS_ETRS_1989_TM30                                  3042
/*      ETRS 1989 ETRS-TM31                                                  */
#define PE_PCS_ETRS_1989_TM31                                  3043
/*      ETRS 1989 ETRS-TM32                                                  */
#define PE_PCS_ETRS_1989_TM32                                  3044
/*      ETRS 1989 ETRS-TM33                                                  */
#define PE_PCS_ETRS_1989_TM33                                  3045
/*      ETRS 1989 ETRS-TM34                                                  */
#define PE_PCS_ETRS_1989_TM34                                  3046
/*      ETRS 1989 ETRS-TM35                                                  */
#define PE_PCS_ETRS_1989_TM35                                  3047
/*      ETRS 1989 ETRS-TM36                                                  */
#define PE_PCS_ETRS_1989_TM36                                  3048
/*      ETRS 1989 ETRS-TM37                                                  */
#define PE_PCS_ETRS_1989_TM37                                  3049
/*      ETRS 1989 ETRS-TM38                                                  */
#define PE_PCS_ETRS_1989_TM38                                  3050
/*      ETRS 1989 ETRS-TM39                                                  */
#define PE_PCS_ETRS_1989_TM39                                  3051

/*      NAD 1983 (HARN) UTM Zone 10N                                         */
#define PE_PCS_NAD_1983_HARN_UTM_10N                           3740
/*      NAD 1983 (HARN) UTM Zone 14N                                         */
#define PE_PCS_NAD_1983_HARN_UTM_14N                           3744
/*      NAD 1983 (HARN) UTM Zone 15N                                         */
#define PE_PCS_NAD_1983_HARN_UTM_15N                           3745
/*      NAD 1983 (HARN) UTM Zone 16N                                         */
#define PE_PCS_NAD_1983_HARN_UTM_16N                           3746
/*      NAD 1983 (HARN) UTM Zone 17N                                         */
#define PE_PCS_NAD_1983_HARN_UTM_17N                           3747
/*      NAD 1983 (HARN) UTM Zone 19N                                         */
#define PE_PCS_NAD_1983_HARN_UTM_19N                           3749

/*      HTRS96 Croatia TM                                                    */
#define PE_PCS_HTRS96_CROATIA_TM                               3765
/*      HTRS96 Croatia LCC                                                   */
#define PE_PCS_HTRS96_CROATIA_LCC                              3766
/*      HTRS96 UTM Zone 33N                                                  */
#define PE_PCS_HTRS96_UTM_33N                                  3767
/*      HTRS96 UTM Zone 34N                                                  */
#define PE_PCS_HTRS96_UTM_34N                                  3768
/*      Bermuda 1957 UTM Zone 20N                                            */
#define PE_PCS_BERMUDA_1957_UTM_20N                            3769
/*      Pitcairn 2006 Pitcairn TM 2006                                       */
#define PE_PCS_PITCAIRN_2006_TM_2006                           3783
/*      Pitcairn 1967 UTM Zone 9S                                            */
#define PE_PCS_PITCAIRN_1967_UTM_9S                            3784

/*      NAD 1983 HARN SPCS Maine East (USFeet)                               */
#define PE_PCS_NAD_1983_HARN_ME_E_FT                          26855
/*      NAD 1983 HARN SPCS Maine West (USFeet)                               */
#define PE_PCS_NAD_1983_HARN_ME_W_FT                          26856
/*      NAD 1983 HARN SPCS Nebraska (USFeet)                                 */
#define PE_PCS_NAD_1983_HARN_NE_FT                            26860
/*      NAD 1983 HARN SPCS West Virginia N (USFeet)                          */
#define PE_PCS_NAD_1983_HARN_WV_N_FT                          26861
/*      NAD 1983 HARN SPCS West Virginia S (USFeet)                          */
#define PE_PCS_NAD_1983_HARN_WV_S_FT                          26862

/*      Tananarive 1925 (Paris) Laborde Grid (Paris, grads)                  */
#define PE_PCS_TANANARIVE_1925_PARIS_LABORDE_GRID             29701

/*      NAD 1983 (NSRS2007) Mississippi Transverse Mercator                  */
#define PE_PCS_NAD_1983_NSRS2007_MISSISSIPPI_TM                3816

/*      RGF 1993 CC42                                                        */
#define PE_PCS_RGF_1993_CC42                                   3942
/*      RGF 1993 CC43                                                        */
#define PE_PCS_RGF_1993_CC43                                   3943
/*      RGF 1993 CC44                                                        */
#define PE_PCS_RGF_1993_CC44                                   3944
/*      RGF 1993 CC45                                                        */
#define PE_PCS_RGF_1993_CC45                                   3945
/*      RGF 1993 CC46                                                        */
#define PE_PCS_RGF_1993_CC46                                   3946
/*      RGF 1993 CC47                                                        */
#define PE_PCS_RGF_1993_CC47                                   3947
/*      RGF 1993 CC48                                                        */
#define PE_PCS_RGF_1993_CC48                                   3948
/*      RGF 1993 CC49                                                        */
#define PE_PCS_RGF_1993_CC49                                   3949
/*      RGF 1993 CC50                                                        */
#define PE_PCS_RGF_1993_CC50                                   3950


/*      NAD 1983 Virginia Lambert                                            */
#define PE_PCS_NAD_1983_VIRGINIA_LAMBERT                       3968
/*      NAD 1983 HARN Virginia Lambert                                       */
#define PE_PCS_NAD_1983_HARN_VIRGINIA_LAMBERT                  3969
/*      NAD 1983 NSRS2007 Virginia Lambert                                   */
#define PE_PCS_NAD_1983_NSRS2007_VIRGINIA_LAMBERT              3970

/*      WGS 1984 EASE Grid North                                             */
#define PE_PCS_WGS_1984_EASE_GRID_NORTH                        3973
/*      WGS 1984 EASE Grid South                                             */
#define PE_PCS_WGS_1984_EASE_GRID_SOUTH                        3974
/*      WGS 1984 EASE Grid Global                                            */
#define PE_PCS_WGS_1984_EASE_GRID_GLOBAL                       3975
/*      WGS 1984 Sea Ice Polar Stereographic South                           */
#define PE_PCS_WGS_1984_SEA_ICE_POLAR_STEREO_S                 3976

/*      WGS 1984 Arctic Polar Stereographic                                  */
#define PE_PCS_WGS_1984_ARCTIC_POLAR_STEREO                    3995
/*      WGS 1984 IBCAO Polar Stereographic                                   */
#define PE_PCS_WGS_1984_IBCAO_POLAR_STEREO                     3996

/*      GDBD2009 GEORSO                                                      */
#define PE_PCS_GDBD2009_GEORSO                               102490
/*      Tananarive 1925 Laborde Grid (Greenwich, degrees)                    */
#define PE_PCS_TANANARIVE_1925_LABORDE_GRID                  102590

/*      NTF (Greenwich) Lambert Zone I (degrees)                             */
#define PE_PCS_NTF_LAMBERT_I                                 102585
/*      NTF (Greenwich) Lambert Zone II (degrees)                            */
#define PE_PCS_NTF_LAMBERT_II                                102586
/*      NTF (Greenwich) Lambert Zone III (degrees)                           */
#define PE_PCS_NTF_LAMBERT_III                               102587
/*      NTF (Greenwich) Lambert Zone IV  (degrees)                           */
#define PE_PCS_NTF_LAMBERT_IV                                102588


/*      SIRGAS 2000 UTM zone 11N                                             */
#define PE_PCS_SIRGAS_2000_UTM_11N                            31965
/*      SIRGAS 2000 UTM zone 12N                                             */
#define PE_PCS_SIRGAS_2000_UTM_12N                            31966
/*      SIRGAS 2000 UTM zone 13N                                             */
#define PE_PCS_SIRGAS_2000_UTM_13N                            31967
/*      SIRGAS 2000 UTM zone 14N                                             */
#define PE_PCS_SIRGAS_2000_UTM_14N                            31968
/*      SIRGAS 2000 UTM zone 15N                                             */
#define PE_PCS_SIRGAS_2000_UTM_15N                            31969
/*      SIRGAS 2000 UTM zone 16N                                             */
#define PE_PCS_SIRGAS_2000_UTM_16N                            31970

/*      NAD 1983 CSRS MTM Zone 11                                            */
#define PE_PCS_NAD_1983_CSRS_MTM_11                           26891
/*      NAD 1983 CSRS MTM Zone 12                                            */
#define PE_PCS_NAD_1983_CSRS_MTM_12                           26892
/*      NAD 1983 CSRS MTM Zone 13                                            */
#define PE_PCS_NAD_1983_CSRS_MTM_13                           26893
/*      NAD 1983 CSRS MTM Zone 14                                            */
#define PE_PCS_NAD_1983_CSRS_MTM_14                           26894
/*      NAD 1983 CSRS MTM Zone 15                                            */
#define PE_PCS_NAD_1983_CSRS_MTM_15                           26895
/*      NAD 1983 CSRS MTM Zone 16                                            */
#define PE_PCS_NAD_1983_CSRS_MTM_16                           26896
/*      NAD 1983 CSRS MTM Zone 17                                            */
#define PE_PCS_NAD_1983_CSRS_MTM_17                           26897
/*      NAD 1983 CSRS MTM Zone 1                                             */
#define PE_PCS_NAD_1983_CSRS_MTM_1                            26898
/*      NAD 1983 CSRS MTM Zone 2                                             */
#define PE_PCS_NAD_1983_CSRS_MTM_2                            26899


/*      NAD 1983 CSRS 3TM (cm 111)                                           */
#define PE_PCS_NAD_1983_CSRS_3TM_111                           3779
/*      NAD 1983 CSRS 3TM (cm 114)                                           */
#define PE_PCS_NAD_1983_CSRS_3TM_114                           3780
/*      NAD 1983 CSRS 3TM (cm 117)                                           */
#define PE_PCS_NAD_1983_CSRS_3TM_117                           3781
/*      NAD 1983 CSRS 3TM (cm 120)                                           */
#define PE_PCS_NAD_1983_CSRS_3TM_120                           3802

/*      RGRDC 2005 Congo TM Zone 12                                          */
#define PE_PCS_RGRDC_2005_CONGO_TM_12                        103201
/*      RGRDC 2005 Congo TM Zone 14                                          */
#define PE_PCS_RGRDC_2005_CONGO_TM_14                        103202
/*      RGRDC 2005 Congo TM Zone 16                                          */
#define PE_PCS_RGRDC_2005_CONGO_TM_16                        103203
/*      RGRDC 2005 Congo TM Zone 18                                          */
#define PE_PCS_RGRDC_2005_CONGO_TM_18                        103204
/*      RGRDC 2005 Congo TM Zone 20                                          */
#define PE_PCS_RGRDC_2005_CONGO_TM_20                        103205
/*      RGRDC 2005 Congo TM Zone 22                                          */
#define PE_PCS_RGRDC_2005_CONGO_TM_22                        103206
/*      RGRDC 2005 Congo TM Zone 24                                          */
#define PE_PCS_RGRDC_2005_CONGO_TM_24                        103207
/*      RGRDC 2005 Congo TM Zone 26                                          */
#define PE_PCS_RGRDC_2005_CONGO_TM_26                        103208
/*      RGRDC 2005 Congo TM Zone 28                                          */
#define PE_PCS_RGRDC_2005_CONGO_TM_28                        103209
/*      RGRDC 2005 UTM Zone 33S                                              */
#define PE_PCS_RGRDC_2005_UTM_33S                            103210
/*      RGRDC 2005 UTM Zone 34S                                              */
#define PE_PCS_RGRDC_2005_UTM_34S                            103211
/*      RGRDC 2005 UTM Zone 35S                                              */
#define PE_PCS_RGRDC_2005_UTM_35S                            103212
/*      Chua UTM Zone 23S                                                    */
#define PE_PCS_CHUA_UTM_23S                                  103213
/*      REGCAN95 UTM Zone 27N                                                */
#define PE_PCS_REGCAN95_UTM_27N                              103214
/*      REGCAN95 UTM Zone 28N                                                */
#define PE_PCS_REGCAN95_UTM_28N                              103215

/*      Madeira 1936 UTM Zone 28N                                            */
#define PE_PCS_MADEIRA_1936_UTM_28N                            2191

/*      Kertau (RSO) RSO Malaya (Chain - Sears 1922 Truncated)               */
#define PE_PCS_KERTAU_RSO_RSO_MALAYA_CH                        3167
/*      Kertau (RSO) RSO Malaya (m)                                          */
#define PE_PCS_KERTAU_RSO_RSO_MALAYA                           3168

/*      Guam 1963 Yap Islands                                                */
#define PE_PCS_GUAM_1963_YAP_ISLANDS                           3295

/*      NAD 1983 NSRS2007 UTM Zone 59N                                       */
#define PE_PCS_NAD_1983_NSRS2007_UTM_59N                       3706
/*      NAD 1983 NSRS2007 UTM Zone 60N                                       */
#define PE_PCS_NAD_1983_NSRS2007_UTM_60N                       3707
/*      NAD 1983 NSRS2007 UTM Zone 1N                                        */
#define PE_PCS_NAD_1983_NSRS2007_UTM_1N                        3708
/*      NAD 1983 NSRS2007 UTM Zone 2N                                        */
#define PE_PCS_NAD_1983_NSRS2007_UTM_2N                        3709
/*      NAD 1983 NSRS2007 UTM Zone 3N                                        */
#define PE_PCS_NAD_1983_NSRS2007_UTM_3N                        3710
/*      NAD 1983 NSRS2007 UTM Zone 4N                                        */
#define PE_PCS_NAD_1983_NSRS2007_UTM_4N                        3711
/*      NAD 1983 NSRS2007 UTM Zone 5N                                        */
#define PE_PCS_NAD_1983_NSRS2007_UTM_5N                        3712
/*      NAD 1983 NSRS2007 UTM Zone 6N                                        */
#define PE_PCS_NAD_1983_NSRS2007_UTM_6N                        3713
/*      NAD 1983 NSRS2007 UTM Zone 7N                                        */
#define PE_PCS_NAD_1983_NSRS2007_UTM_7N                        3714
/*      NAD 1983 NSRS2007 UTM Zone 8N                                        */
#define PE_PCS_NAD_1983_NSRS2007_UTM_8N                        3715
/*      NAD 1983 NSRS2007 UTM Zone 9N                                        */
#define PE_PCS_NAD_1983_NSRS2007_UTM_9N                        3716
/*      NAD 1983 NSRS2007 UTM Zone 10N                                       */
#define PE_PCS_NAD_1983_NSRS2007_UTM_10N                       3717
/*      NAD 1983 NSRS2007 UTM Zone 11N                                       */
#define PE_PCS_NAD_1983_NSRS2007_UTM_11N                       3718
/*      NAD 1983 NSRS2007 UTM Zone 12N                                       */
#define PE_PCS_NAD_1983_NSRS2007_UTM_12N                       3719
/*      NAD 1983 NSRS2007 UTM Zone 13N                                       */
#define PE_PCS_NAD_1983_NSRS2007_UTM_13N                       3720
/*      NAD 1983 NSRS2007 UTM Zone 14N                                       */
#define PE_PCS_NAD_1983_NSRS2007_UTM_14N                       3721
/*      NAD 1983 NSRS2007 UTM Zone 15N                                       */
#define PE_PCS_NAD_1983_NSRS2007_UTM_15N                       3722
/*      NAD 1983 NSRS2007 UTM Zone 16N                                       */
#define PE_PCS_NAD_1983_NSRS2007_UTM_16N                       3723
/*      NAD 1983 NSRS2007 UTM Zone 17N                                       */
#define PE_PCS_NAD_1983_NSRS2007_UTM_17N                       3724
/*      NAD 1983 NSRS2007 UTM Zone 18N                                       */
#define PE_PCS_NAD_1983_NSRS2007_UTM_18N                       3725
/*      NAD 1983 NSRS2007 UTM Zone 19N                                       */
#define PE_PCS_NAD_1983_NSRS2007_UTM_19N                       3726

/*      NZGD 2000 Auckland Islands TM 2000                                   */
#define PE_PCS_NZGD_2000_AUCKLAND_ISLANDS_TM_2000              3788
/*      NZGD 2000 Campbell Island TM 2000                                    */
#define PE_PCS_NZGD_2000_CAMPBELL_ISLAND_TM_2000               3789
/*      NZGD 2000 Antipodes Islands TM 2000                                  */
#define PE_PCS_NZGD_2000_ANTIPODES_ISLANDS_TM_2000             3790
/*      NZGD 2000 Raoul Island TM 2000                                       */
#define PE_PCS_NZGD_2000_RAOUL_ISLAND_TM_2000                  3791
/*      NZGD 2000 Chatham Islands TM 2000                                    */
#define PE_PCS_NZGD_2000_CHATHAM_ISLANDS_TM_2000               3793
/*      NZGD 2000 NZCS2000                                                   */
#define PE_PCS_NZGD_2000_NZCS2000                              3851
/*      RSRGD2000 DGLC2000                                                   */
#define PE_PCS_RSRGD2000_DGLC2000                              3852


/*      NAD 1927 MTQ Lambert                                                 */
#define PE_PCS_NAD_1927_MTQ_LAMBERT                            3797
/*      NAD 1983 MTQ Lambert                                                 */
#define PE_PCS_NAD_1983_MTQ_LAMBERT                            3798
/*      NAD 1983 CSRS MTQ Lambert                                            */
#define PE_PCS_NAD_1983_CSRS_MTQ_LAMBERT                       3799


/*      Pulkovo 1942(58) 3-Degree GK zone 2                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1958_GK_2                      3833
/*      Pulkovo 1942(83) 3-Degree GK zone 2                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1983_GK_2                      3834
/*      Pulkovo 1942(83) 3-Degree GK zone 3                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1983_GK_3                      3835
/*      Pulkovo 1942(83) 3-Degree GK zone 4                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1983_GK_4                      3836
/*      Pulkovo 1942(58) 3-Degree GK zone 3                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_3                3837
/*      Pulkovo 1942(58) 3-Degree GK zone 4                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_4                3838
/*      Pulkovo 1942(58) 3-Degree GK zone 9                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_9                3839
/*      Pulkovo 1942(58) 3-Degree GK zone 10                                 */
#define PE_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_10               3840
/*      Pulkovo 1942(83) 3-Degree GK zone 6                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1983_3_DEG_GK_6                3841


/*      IGRS UTM Zone 37N                                                    */
#define PE_PCS_IGRS_UTM_37N                                    3890
/*      IGRS UTM Zone 38N                                                    */
#define PE_PCS_IGRS_UTM_38N                                    3891
/*      IGRS UTM Zone 39N                                                    */
#define PE_PCS_IGRS_UTM_39N                                    3892
/*      ED 1950 Iraq National Grid                                           */
#define PE_PCS_ED_1950_IRAQ_NATIONAL_GRID                      3893

/*      Slovenia 1996 Slovene National Grid                                  */
#define PE_PCS_SLOVENIA_1996_SLOVENE_NATIONAL_GRID             3794
/*      MGI 1901 Slovene National Grid                                       */
#define PE_PCS_MGI_1901_SLOVENE_NATIONAL_GRID                  3912

/*      NAD 1983 Canada Atlas Lambert                                        */
#define PE_PCS_NAD_1983_CANADA_ATLAS_LAMBERT                   3978
/*      NAD 1983 CSRS Canada Atlas Lambert                                   */
#define PE_PCS_NAD_1983_CSRS_CANADA_ATLAS_LAMBERT              3979
/*      Katanga 1955 Katanga Gauss Zone A                                    */
#define PE_PCS_KATANGA_1955_KATANGA_GAUSS_A                    3986
/*      Katanga 1955 Katanga Gauss Zone B                                    */
#define PE_PCS_KATANGA_1955_KATANGA_GAUSS_B                    3987
/*      Katanga 1955 Katanga Gauss Zone C                                    */
#define PE_PCS_KATANGA_1955_KATANGA_GAUSS_C                    3988
/*      Katanga 1955 Katanga Gauss Zone D                                    */
#define PE_PCS_KATANGA_1955_KATANGA_GAUSS_D                    3989


/*      WGS 1984 Mercator 41                                                 */
#define PE_PCS_WGS_1984_MERCATOR_41                            3994

/*      WGS 1984 Dubai Local TM                                              */
#define PE_PCS_WGS_1984_DUBAI_LOCAL_TM                         3997

/*      NAD 1983 NSRS2007 Alaska Albers                                      */
#define PE_PCS_NAD_1983_NSRS2007_ALASKA_ALBERS                 3467
/*      NAD 1983 NSRS2007 Florida GDL Albers                                 */
#define PE_PCS_NAD_1983_NSRS2007_FLORIDA_GDL_ALBERS            3513
/*      NAD 1983 NSRS2007 Michigan GeoRef (meters)                           */
#define PE_PCS_NAD_1983_NSRS2007_MICHIGAN_GEOREF_M             3591
/*      NAD 1983 NSRS2007 Oregon Lambert                                     */
#define PE_PCS_NAD_1983_NSRS2007_OREGON_LAMBERT                3643
/*      NAD 1983 NSRS2007 Oregon Lambert (Intl Feet)                         */
#define PE_PCS_NAD_1983_NSRS2007_OREGON_LAMBERT_FT_INTL        3644
/*      NAD 1983 NSRS2007 Texas Centric Mapping System Albers                */
#define PE_PCS_NAD_1983_NSRS2007_TEXAS_CENTRIC_ALBERS          3665
/*      NAD 1983 NSRS2007 Texas Centric Mapping System Lambert               */
#define PE_PCS_NAD_1983_NSRS2007_TEXAS_CENTRIC_LAMBERT         3666
/*      NAD 1983 NSRS2007 Wisconsin Transverse Mercator                      */
#define PE_PCS_NAD_1983_NSRS2007_WISCONSIN_TM                  3701
/*      NAD 1983 NSRS2007 Wisconsin Transverse Mercator - US Ft              */
#define PE_PCS_NAD_1983_NSRS2007_WISCONSIN_TM_FT_US          102217

/* NAD 1983 NSRS2007 State Plane Coordinate System                           */
/*      NAD 1983 NSRS2007 SPCS Alabama East                                  */
#define PE_PCS_NAD_1983_NSRS2007_AL_E                          3465
/*      NAD 1983 NSRS2007 SPCS Alabama West                                  */
#define PE_PCS_NAD_1983_NSRS2007_AL_W                          3466
/*      NAD 1983 NSRS2007 SPCS Alaska Zone 1                                 */
#define PE_PCS_NAD_1983_NSRS2007_AK_1                          3468
/*      NAD 1983 NSRS2007 SPCS Alaska Zone 2                                 */
#define PE_PCS_NAD_1983_NSRS2007_AK_2                          3469
/*      NAD 1983 NSRS2007 SPCS Alaska Zone 3                                 */
#define PE_PCS_NAD_1983_NSRS2007_AK_3                          3470
/*      NAD 1983 NSRS2007 SPCS Alaska Zone 4                                 */
#define PE_PCS_NAD_1983_NSRS2007_AK_4                          3471
/*      NAD 1983 NSRS2007 SPCS Alaska Zone 5                                 */
#define PE_PCS_NAD_1983_NSRS2007_AK_5                          3472
/*      NAD 1983 NSRS2007 SPCS Alaska Zone 6                                 */
#define PE_PCS_NAD_1983_NSRS2007_AK_6                          3473
/*      NAD 1983 NSRS2007 SPCS Alaska Zone 7                                 */
#define PE_PCS_NAD_1983_NSRS2007_AK_7                          3474
/*      NAD 1983 NSRS2007 SPCS Alaska Zone 8                                 */
#define PE_PCS_NAD_1983_NSRS2007_AK_8                          3475
/*      NAD 1983 NSRS2007 SPCS Alaska Zone 9                                 */
#define PE_PCS_NAD_1983_NSRS2007_AK_9                          3476
/*      NAD 1983 NSRS2007 SPCS Alaska Zone 10                                */
#define PE_PCS_NAD_1983_NSRS2007_AK_10                         3477
/*      NAD 1983 NSRS2007 SPCS Arizona East                                  */
#define PE_PCS_NAD_1983_NSRS2007_AZ_E                          3480
/*      NAD 1983 NSRS2007 SPCS Arizona Central                               */
#define PE_PCS_NAD_1983_NSRS2007_AZ_C                          3478
/*      NAD 1983 NSRS2007 SPCS Arizona West                                  */
#define PE_PCS_NAD_1983_NSRS2007_AZ_W                          3482
/*      NAD 1983 NSRS2007 SPCS Arizona East (Intl Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_AZ_E_FT_INTL                  3481
/*      NAD 1983 NSRS2007 SPCS Arizona Central (Intl Feet)                   */
#define PE_PCS_NAD_1983_NSRS2007_AZ_C_FT_INTL                  3479
/*      NAD 1983 NSRS2007 SPCS Arizona West (Intl Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_AZ_W_FT_INTL                  3483
/*      NAD 1983 NSRS2007 Zone Arkansas North                                */
#define PE_PCS_NAD_1983_NSRS2007_AR_N                          3484
/*      NAD 1983 NSRS2007 Zone Arkansas South                                */
#define PE_PCS_NAD_1983_NSRS2007_AR_S                          3486
/*      NAD 1983 NSRS2007 SPCS Arkansas North (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_AR_N_FT_US                    3485
/*      NAD 1983 NSRS2007 SPCS Arkansas South (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_AR_S_FT_US                    3487
/*      NAD 1983 NSRS2007 SPCS California I                                  */
#define PE_PCS_NAD_1983_NSRS2007_CA_I                          3489
/*      NAD 1983 NSRS2007 SPCS California II                                 */
#define PE_PCS_NAD_1983_NSRS2007_CA_II                         3491
/*      NAD 1983 NSRS2007 SPCS California III                                */
#define PE_PCS_NAD_1983_NSRS2007_CA_III                        3493
/*      NAD 1983 NSRS2007 SPCS California IV                                 */
#define PE_PCS_NAD_1983_NSRS2007_CA_IV                         3495
/*      NAD 1983 NSRS2007 SPCS California V                                  */
#define PE_PCS_NAD_1983_NSRS2007_CA_V                          3497
/*      NAD 1983 NSRS2007 SPCS California VI                                 */
#define PE_PCS_NAD_1983_NSRS2007_CA_VI                         3499
/*      NAD 1983 NSRS2007 SPCS California I (US Feet)                        */
#define PE_PCS_NAD_1983_NSRS2007_CA_I_FT_US                    3490
/*      NAD 1983 NSRS2007 SPCS California II (US Feet)                       */
#define PE_PCS_NAD_1983_NSRS2007_CA_II_FT_US                   3492
/*      NAD 1983 NSRS2007 SPCS California III (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_CA_III_FT_US                  3494
/*      NAD 1983 NSRS2007 SPCS California IV (US Feet)                       */
#define PE_PCS_NAD_1983_NSRS2007_CA_IV_FT_US                   3496
/*      NAD 1983 NSRS2007 SPCS California V (US Feet)                        */
#define PE_PCS_NAD_1983_NSRS2007_CA_V_FT_US                    3498
/*      NAD 1983 NSRS2007 SPCS California VI (US Feet)                       */
#define PE_PCS_NAD_1983_NSRS2007_CA_VI_FT_US                   3500
/*      NAD 1983 NSRS2007 SPCS Colorado North                                */
#define PE_PCS_NAD_1983_NSRS2007_CO_N                          3503
/*      NAD 1983 NSRS2007 SPCS Colorado Central                              */
#define PE_PCS_NAD_1983_NSRS2007_CO_C                          3501
/*      NAD 1983 NSRS2007 SPCS Colorado South                                */
#define PE_PCS_NAD_1983_NSRS2007_CO_S                          3505
/*      NAD 1983 NSRS2007 SPCS Colorado North (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_CO_N_FT_US                    3504
/*      NAD 1983 NSRS2007 SPCS Colorado Central (US Feet)                    */
#define PE_PCS_NAD_1983_NSRS2007_CO_C_FT_US                    3502
/*      NAD 1983 NSRS2007 SPCS Colorado South (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_CO_S_FT_US                    3506
/*      NAD 1983 NSRS2007 SPCS Connecticut                                   */
#define PE_PCS_NAD_1983_NSRS2007_CT                            3507
/*      NAD 1983 NSRS2007 SPCS Connecticut (US Feet)                         */
#define PE_PCS_NAD_1983_NSRS2007_CT_FT_US                      3508
/*      NAD 1983 NSRS2007 SPCS Delaware                                      */
#define PE_PCS_NAD_1983_NSRS2007_DE                            3509
/*      NAD 1983 NSRS2007 SPCS Delaware (US Feet)                            */
#define PE_PCS_NAD_1983_NSRS2007_DE_FT_US                      3510
/*      NAD 1983 NSRS2007 SPCS Florida East                                  */
#define PE_PCS_NAD_1983_NSRS2007_FL_E                          3511
/*      NAD 1983 NSRS2007 SPCS Florida West                                  */
#define PE_PCS_NAD_1983_NSRS2007_FL_W                          3516
/*      NAD 1983 NSRS2007 SPCS Florida North                                 */
#define PE_PCS_NAD_1983_NSRS2007_FL_N                          3514
/*      NAD 1983 NSRS2007 SPCS Florida East (US Feet)                        */
#define PE_PCS_NAD_1983_NSRS2007_FL_E_FT_US                    3512
/*      NAD 1983 NSRS2007 SPCS Florida West (US Feet)                        */
#define PE_PCS_NAD_1983_NSRS2007_FL_W_FT_US                    3517
/*      NAD 1983 NSRS2007 SPCS Florida North (US Feet)                       */
#define PE_PCS_NAD_1983_NSRS2007_FL_N_FT_US                    3515
/*      NAD 1983 NSRS2007 SPCS Georgia East                                  */
#define PE_PCS_NAD_1983_NSRS2007_GA_E                          3518
/*      NAD 1983 NSRS2007 SPCS Georgia West                                  */
#define PE_PCS_NAD_1983_NSRS2007_GA_W                          3520
/*      NAD 1983 NSRS2007 SPCS Georgia East (US Feet)                        */
#define PE_PCS_NAD_1983_NSRS2007_GA_E_FT_US                    3519
/*      NAD 1983 NSRS2007 SPCS Georgia West (US Feet)                        */
#define PE_PCS_NAD_1983_NSRS2007_GA_W_FT_US                    3521
/*      NAD 1983 NSRS2007 SPCS Idaho East                                    */
#define PE_PCS_NAD_1983_NSRS2007_ID_E                          3524
/*      NAD 1983 NSRS2007 SPCS Idaho Central                                 */
#define PE_PCS_NAD_1983_NSRS2007_ID_C                          3522
/*      NAD 1983 NSRS2007 SPCS Idaho West                                    */
#define PE_PCS_NAD_1983_NSRS2007_ID_W                          3526
/*      NAD 1983 NSRS2007 SPCS Idaho East (US Feet)                          */
#define PE_PCS_NAD_1983_NSRS2007_ID_E_FT_US                    3525
/*      NAD 1983 NSRS2007 SPCS Idaho Central (US Feet)                       */
#define PE_PCS_NAD_1983_NSRS2007_ID_C_FT_US                    3523
/*      NAD 1983 NSRS2007 SPCS Idaho West (US Feet)                          */
#define PE_PCS_NAD_1983_NSRS2007_ID_W_FT_US                    3527
/*      NAD 1983 NSRS2007 SPCS Illinois East                                 */
#define PE_PCS_NAD_1983_NSRS2007_IL_E                          3528
/*      NAD 1983 NSRS2007 SPCS Illinois West                                 */
#define PE_PCS_NAD_1983_NSRS2007_IL_W                          3530
/*      NAD 1983 NSRS2007 SPCS Illinois East (US Feet)                       */
#define PE_PCS_NAD_1983_NSRS2007_IL_E_FT_US                    3529
/*      NAD 1983 NSRS2007 SPCS Illinois West (US Feet)                       */
#define PE_PCS_NAD_1983_NSRS2007_IL_W_FT_US                    3531
/*      NAD 1983 NSRS2007 SPCS Indiana East                                  */
#define PE_PCS_NAD_1983_NSRS2007_IN_E                          3532
/*      NAD 1983 NSRS2007 SPCS Indiana West                                  */
#define PE_PCS_NAD_1983_NSRS2007_IN_W                          3534
/*      NAD 1983 NSRS2007 SPCS Indiana East (US Feet)                        */
#define PE_PCS_NAD_1983_NSRS2007_IN_E_FT_US                    3533
/*      NAD 1983 NSRS2007 SPCS Indiana West (US Feet)                        */
#define PE_PCS_NAD_1983_NSRS2007_IN_W_FT_US                    3535
/*      NAD 1983 NSRS2007 SPCS Iowa North                                    */
#define PE_PCS_NAD_1983_NSRS2007_IA_N                          3536
/*      NAD 1983 NSRS2007 SPCS Iowa South                                    */
#define PE_PCS_NAD_1983_NSRS2007_IA_S                          3538
/*      NAD 1983 NSRS2007 SPCS Iowa North (US Feet)                          */
#define PE_PCS_NAD_1983_NSRS2007_IA_N_FT_US                    3537
/*      NAD 1983 NSRS2007 SPCS Iowa South (US Feet)                          */
#define PE_PCS_NAD_1983_NSRS2007_IA_S_FT_US                    3539
/*      NAD 1983 NSRS2007 SPCS Kansas North                                  */
#define PE_PCS_NAD_1983_NSRS2007_KS_N                          3540
/*      NAD 1983 NSRS2007 SPCS Kansas South                                  */
#define PE_PCS_NAD_1983_NSRS2007_KS_S                          3542
/*      NAD 1983 NSRS2007 SPCS Kansas North (US Feet)                        */
#define PE_PCS_NAD_1983_NSRS2007_KS_N_FT_US                    3541
/*      NAD 1983 NSRS2007 SPCS Kansas South (US Feet)                        */
#define PE_PCS_NAD_1983_NSRS2007_KS_S_FT_US                    3543
/*      NAD 1983 NSRS2007 SPCS Kentucky North                                */
#define PE_PCS_NAD_1983_NSRS2007_KY_N                          3544
/*      NAD 1983 NSRS2007 SPCS Kentucky North (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_KY_N_FT_US                    3545
/*      NAD 1983 NSRS2007 SPCS Kentucky (one zone)                           */
#define PE_PCS_NAD_1983_NSRS2007_KY                            3546
/*      NAD 1983 NSRS2007 SPCS Kentucky (one zone) US Feet                   */
#define PE_PCS_NAD_1983_NSRS2007_KY_FT_US                      3547
/*      NAD 1983 NSRS2007 SPCS Kentucky South                                */
#define PE_PCS_NAD_1983_NSRS2007_KY_S                          3548
/*      NAD 1983 NSRS2007 SPCS Kentucky South (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_KY_S_FT_US                    3549
/*      NAD 1983 NSRS2007 SPCS Louisiana North                               */
#define PE_PCS_NAD_1983_NSRS2007_LA_N                          3550
/*      NAD 1983 NSRS2007 SPCS Louisiana South                               */
#define PE_PCS_NAD_1983_NSRS2007_LA_S                          3552
/*      NAD 1983 NSRS2007 SPCS Louisiana North (US Feet)                     */
#define PE_PCS_NAD_1983_NSRS2007_LA_N_FT_US                    3551
/*      NAD 1983 NSRS2007 SPCS Louisiana South (US Feet)                     */
#define PE_PCS_NAD_1983_NSRS2007_LA_S_FT_US                    3553
/*      NAD 1983 NSRS2007 SPCS Maine East                                    */
#define PE_PCS_NAD_1983_NSRS2007_ME_E                          3557
/*      NAD 1983 NSRS2007 SPCS Maine West                                    */
#define PE_PCS_NAD_1983_NSRS2007_ME_W                          3558
/*      NAD 1983 NSRS2007 SPCS Maine East (US Feet)                          */
#define PE_PCS_NAD_1983_NSRS2007_ME_E_FT_US                   26863
/*      NAD 1983 NSRS2007 SPCS Maine West (US Feet)                          */
#define PE_PCS_NAD_1983_NSRS2007_ME_W_FT_US                   26864
/*      NAD 1983 NSRS2007 Maine 2000 East Zone                               */
#define PE_PCS_NAD_1983_NSRS2007_MAINE_2000_EAST               3555
/*      NAD 1983 NSRS2007 Maine 2000 Central Zone                            */
#define PE_PCS_NAD_1983_NSRS2007_MAINE_2000_CENTRAL            3554
/*      NAD 1983 NSRS2007 Maine 2000 West Zone                               */
#define PE_PCS_NAD_1983_NSRS2007_MAINE_2000_WEST               3556
/*      NAD 1983 NSRS2007 SPCS Maryland                                      */
#define PE_PCS_NAD_1983_NSRS2007_MD                            3559
/*      NAD 1983 NSRS2007 SPCS Maryland (US Feet)                            */
#define PE_PCS_NAD_1983_NSRS2007_MD_FT_US                      3582
/*      NAD 1983 NSRS2007 SPCS Mass. Mainland                                */
#define PE_PCS_NAD_1983_NSRS2007_MA_M                          3585
/*      NAD 1983 NSRS2007 SPCS Mass. Island                                  */
#define PE_PCS_NAD_1983_NSRS2007_MA_I                          3583
/*      NAD 1983 NSRS2007 SPCS Mass. Mainland (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_MA_M_FT_US                    3586
/*      NAD 1983 NSRS2007 SPCS Mass. Island (US Feet)                        */
#define PE_PCS_NAD_1983_NSRS2007_MA_I_FT_US                    3584
/*      NAD 1983 NSRS2007 SPCS Michigan North                                */
#define PE_PCS_NAD_1983_NSRS2007_MI_N                          3589
/*      NAD 1983 NSRS2007 SPCS Michigan Central                              */
#define PE_PCS_NAD_1983_NSRS2007_MI_C                          3587
/*      NAD 1983 NSRS2007 SPCS Michigan South                                */
#define PE_PCS_NAD_1983_NSRS2007_MI_S                          3592
/*      NAD 1983 NSRS2007 SPCS Michigan North (Intl Feet)                    */
#define PE_PCS_NAD_1983_NSRS2007_MI_N_FT_INTL                  3590
/*      NAD 1983 NSRS2007 SPCS Michigan Central (Intl Feet)                  */
#define PE_PCS_NAD_1983_NSRS2007_MI_C_FT_INTL                  3588
/*      NAD 1983 NSRS2007 SPCS Michigan South (Intl Feet)                    */
#define PE_PCS_NAD_1983_NSRS2007_MI_S_FT_INTL                  3593
/*      NAD 1983 NSRS2007 SPCS Minnesota North                               */
#define PE_PCS_NAD_1983_NSRS2007_MN_N                          3595
/*      NAD 1983 NSRS2007 SPCS Minnesota Central                             */
#define PE_PCS_NAD_1983_NSRS2007_MN_C                          3594
/*      NAD 1983 NSRS2007 SPCS Minnesota South                               */
#define PE_PCS_NAD_1983_NSRS2007_MN_S                          3596
/*      NAD 1983 NSRS2007 SPCS Minnesota North (US Feet)                     */
#define PE_PCS_NAD_1983_NSRS2007_MN_N_FT_US                   26865
/*      NAD 1983 NSRS2007 SPCS Minnesota Central (US Feet)                   */
#define PE_PCS_NAD_1983_NSRS2007_MN_C_FT_US                   26866
/*      NAD 1983 NSRS2007 SPCS Minnesota South (US Feet)                     */
#define PE_PCS_NAD_1983_NSRS2007_MN_S_FT_US                   26867
/*      NAD 1983 NSRS2007 SPCS Mississippi East                              */
#define PE_PCS_NAD_1983_NSRS2007_MS_E                          3597
/*      NAD 1983 NSRS2007 SPCS Mississippi West                              */
#define PE_PCS_NAD_1983_NSRS2007_MS_W                          3599
/*      NAD 1983 NSRS2007 SPCS Mississippi East (US Feet)                    */
#define PE_PCS_NAD_1983_NSRS2007_MS_E_FT_US                    3598
/*      NAD 1983 NSRS2007 SPCS Mississippi West (US Feet)                    */
#define PE_PCS_NAD_1983_NSRS2007_MS_W_FT_US                    3600
/*      NAD 1983 NSRS2007 SPCS Missouri East                                 */
#define PE_PCS_NAD_1983_NSRS2007_MO_E                          3602
/*      NAD 1983 NSRS2007 SPCS Missouri Central                              */
#define PE_PCS_NAD_1983_NSRS2007_MO_C                          3601
/*      NAD 1983 NSRS2007 SPCS Missouri West                                 */
#define PE_PCS_NAD_1983_NSRS2007_MO_W                          3603
/*      NAD 1983 NSRS2007 SPCS Montana                                       */
#define PE_PCS_NAD_1983_NSRS2007_MT                            3604
/*      NAD 1983 NSRS2007 SPCS Montana (Intl Feet)                           */
#define PE_PCS_NAD_1983_NSRS2007_MT_FT_INTL                    3605
/*      NAD 1983 NSRS2007 SPCS Nebraska                                      */
#define PE_PCS_NAD_1983_NSRS2007_NE                            3606
/*      NAD 1983 NSRS2007 SPCS Nebraska (US Feet)                            */
#define PE_PCS_NAD_1983_NSRS2007_NE_FT_US                     26868
/*      NAD 1983 NSRS2007 SPCS Nevada East                                   */
#define PE_PCS_NAD_1983_NSRS2007_NV_E                          3609
/*      NAD 1983 NSRS2007 SPCS Nevada Central                                */
#define PE_PCS_NAD_1983_NSRS2007_NV_C                          3607
/*      NAD 1983 NSRS2007 SPCS Nevada West                                   */
#define PE_PCS_NAD_1983_NSRS2007_NV_W                          3611
/*      NAD 1983 NSRS2007 SPCS Nevada East (US Feet)                         */
#define PE_PCS_NAD_1983_NSRS2007_NV_E_FT_US                    3610
/*      NAD 1983 NSRS2007 SPCS Nevada Central (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_NV_C_FT_US                    3608
/*      NAD 1983 NSRS2007 SPCS Nevada West (US Feet)                         */
#define PE_PCS_NAD_1983_NSRS2007_NV_W_FT_US                    3612
/*      NAD 1983 NSRS2007 SPCS New Hampshire                                 */
#define PE_PCS_NAD_1983_NSRS2007_NH                            3613
/*      NAD 1983 NSRS2007 SPCS New Hampshire (US Feet)                       */
#define PE_PCS_NAD_1983_NSRS2007_NH_FT_US                      3614
/*      NAD 1983 NSRS2007 SPCS New Jersey                                    */
#define PE_PCS_NAD_1983_NSRS2007_NJ                            3615
/*      NAD 1983 NSRS2007 SPCS New Jersey (US Feet)                          */
#define PE_PCS_NAD_1983_NSRS2007_NJ_FT_US                      3616
/*      NAD 1983 NSRS2007 SPCS New Mexico East                               */
#define PE_PCS_NAD_1983_NSRS2007_NM_E                          3619
/*      NAD 1983 NSRS2007 SPCS New Mexico Cent.                              */
#define PE_PCS_NAD_1983_NSRS2007_NM_C                          3617
/*      NAD 1983 NSRS2007 SPCS New Mexico West                               */
#define PE_PCS_NAD_1983_NSRS2007_NM_W                          3621
/*      NAD 1983 NSRS2007 SPCS New Mexico East (US Feet)                     */
#define PE_PCS_NAD_1983_NSRS2007_NM_E_FT_US                    3620
/*      NAD 1983 NSRS2007 SPCS New Mexico Cent. (US Feet)                    */
#define PE_PCS_NAD_1983_NSRS2007_NM_C_FT_US                    3618
/*      NAD 1983 NSRS2007 SPCS New Mexico West (US Feet)                     */
#define PE_PCS_NAD_1983_NSRS2007_NM_W_FT_US                    3622
/*      NAD 1983 NSRS2007 SPCS New York East                                 */
#define PE_PCS_NAD_1983_NSRS2007_NY_E                          3625
/*      NAD 1983 NSRS2007 SPCS New York Central                              */
#define PE_PCS_NAD_1983_NSRS2007_NY_C                          3623
/*      NAD 1983 NSRS2007 SPCS New York West                                 */
#define PE_PCS_NAD_1983_NSRS2007_NY_W                          3629
/*      NAD 1983 NSRS2007 SPCS NY Long Island                                */
#define PE_PCS_NAD_1983_NSRS2007_NY_LI                         3627
/*      NAD 1983 NSRS2007 SPCS New York East (US Feet)                       */
#define PE_PCS_NAD_1983_NSRS2007_NY_E_FT_US                    3626
/*      NAD 1983 NSRS2007 SPCS New York Central (US Feet)                    */
#define PE_PCS_NAD_1983_NSRS2007_NY_C_FT_US                    3624
/*      NAD 1983 NSRS2007 SPCS New York West (US Feet)                       */
#define PE_PCS_NAD_1983_NSRS2007_NY_W_FT_US                    3630
/*      NAD 1983 NSRS2007 SPCS NY Long Island (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_NY_LI_FT_US                   3628
/*      NAD 1983 NSRS2007 SPCS North Carolina                                */
#define PE_PCS_NAD_1983_NSRS2007_NC                            3631
/*      NAD 1983 NSRS2007 SPCS North Carolina (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_NC_FT_US                      3632
/*      NAD 1983 NSRS2007 SPCS North Dakota N                                */
#define PE_PCS_NAD_1983_NSRS2007_ND_N                          3633
/*      NAD 1983 NSRS2007 SPCS North Dakota S                                */
#define PE_PCS_NAD_1983_NSRS2007_ND_S                          3635
/*      NAD 1983 NSRS2007 SPCS North Dakota North (Intl Feet)                */
#define PE_PCS_NAD_1983_NSRS2007_ND_N_FT_INTL                  3634
/*      NAD 1983 NSRS2007 SPCS North Dakota South (Intl Feet)                */
#define PE_PCS_NAD_1983_NSRS2007_ND_S_FT_INTL                  3636
/*      NAD 1983 NSRS2007 SPCS Ohio North                                    */
#define PE_PCS_NAD_1983_NSRS2007_OH_N                          3637
/*      NAD 1983 NSRS2007 SPCS Ohio South                                    */
#define PE_PCS_NAD_1983_NSRS2007_OH_S                          3638
/*      NAD 1983 NSRS2007 SPCS Ohio North (US Feet)                          */
#define PE_PCS_NAD_1983_NSRS2007_OH_N_FT_US                    3728
/*      NAD 1983 NSRS2007 SPCS Ohio South (US Feet)                          */
#define PE_PCS_NAD_1983_NSRS2007_OH_S_FT_US                    3729
/*      NAD 1983 NSRS2007 SPCS Oklahoma North                                */
#define PE_PCS_NAD_1983_NSRS2007_OK_N                          3639
/*      NAD 1983 NSRS2007 SPCS Oklahoma South                                */
#define PE_PCS_NAD_1983_NSRS2007_OK_S                          3641
/*      NAD 1983 NSRS2007 SPCS Oklahoma North (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_OK_N_FT_US                    3640
/*      NAD 1983 NSRS2007 SPCS Oklahoma South (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_OK_S_FT_US                    3642
/*      NAD 1983 NSRS2007 SPCS Oregon North                                  */
#define PE_PCS_NAD_1983_NSRS2007_OR_N                          3645
/*      NAD 1983 NSRS2007 SPCS Oregon South                                  */
#define PE_PCS_NAD_1983_NSRS2007_OR_S                          3647
/*      NAD 1983 NSRS2007 SPCS Oregon North (Intl Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_OR_N_FT_INTL                  3646
/*      NAD 1983 NSRS2007 SPCS Oregon South (Intl Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_OR_S_FT_INTL                  3648
/*      NAD 1983 NSRS2007 SPCS Pennsylvania North                            */
#define PE_PCS_NAD_1983_NSRS2007_PA_N                          3649
/*      NAD 1983 NSRS2007 SPCS Pennsylvania North (US Feet)                  */
#define PE_PCS_NAD_1983_NSRS2007_PA_N_FT_US                    3650
/*      NAD 1983 NSRS2007 SPCS Pennsylvania South                            */
#define PE_PCS_NAD_1983_NSRS2007_PA_S                          3651
/*      NAD 1983 NSRS2007 SPCS Pennsylvania South (US Feet)                  */
#define PE_PCS_NAD_1983_NSRS2007_PA_S_FT_US                    3652
/*      NAD 1983 NSRS2007 SPCS Rhode Island                                  */
#define PE_PCS_NAD_1983_NSRS2007_RI                            3653
/*      NAD 1983 NSRS2007 SPCS Rhode Island (US Feet)                        */
#define PE_PCS_NAD_1983_NSRS2007_RI_FT_US                      3654
/*      NAD 1983 NSRS2007 SPCS South Carolina                                */
#define PE_PCS_NAD_1983_NSRS2007_SC                            3655
/*      NAD 1983 NSRS2007 SPCS South Carolina (Intl Feet)                    */
#define PE_PCS_NAD_1983_NSRS2007_SC_FT_INTL                    3656
/*      NAD 1983 NSRS2007 SPCS South Dakota N                                */
#define PE_PCS_NAD_1983_NSRS2007_SD_N                          3657
/*      NAD 1983 NSRS2007 SPCS South Dakota S                                */
#define PE_PCS_NAD_1983_NSRS2007_SD_S                          3659
/*      NAD 1983 NSRS2007 SPCS South Dakota N (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_SD_N_FT_US                    3658
/*      NAD 1983 NSRS2007 SPCS South Dakota S (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_SD_S_FT_US                    3660
/*      NAD 1983 NSRS2007 SPCS Tennessee                                     */
#define PE_PCS_NAD_1983_NSRS2007_TN                            3661
/*      NAD 1983 NSRS2007 SPCS Tennessee (US Feet)                           */
#define PE_PCS_NAD_1983_NSRS2007_TN_FT_US                      3662
/*      NAD 1983 NSRS2007 SPCS Texas North                                   */
#define PE_PCS_NAD_1983_NSRS2007_TX_N                          3667
/*      NAD 1983 NSRS2007 SPCS Texas North Cent.                             */
#define PE_PCS_NAD_1983_NSRS2007_TX_NC                         3669
/*      NAD 1983 NSRS2007 SPCS Texas Central                                 */
#define PE_PCS_NAD_1983_NSRS2007_TX_C                          3663
/*      NAD 1983 NSRS2007 SPCS Texas South Cent.                             */
#define PE_PCS_NAD_1983_NSRS2007_TX_SC                         3673
/*      NAD 1983 NSRS2007 SPCS Texas South                                   */
#define PE_PCS_NAD_1983_NSRS2007_TX_S                          3671
/*      NAD 1983 NSRS2007 SPCS Texas North (US Feet)                         */
#define PE_PCS_NAD_1983_NSRS2007_TX_N_FT_US                    3668
/*      NAD 1983 NSRS2007 SPCS Texas North Cent.(US Feet)                    */
#define PE_PCS_NAD_1983_NSRS2007_TX_NC_FT_US                   3670
/*      NAD 1983 NSRS2007 SPCS Texas Central (US Feet)                       */
#define PE_PCS_NAD_1983_NSRS2007_TX_C_FT_US                    3664
/*      NAD 1983 NSRS2007 SPCS Texas South Cent. (US Feet)                   */
#define PE_PCS_NAD_1983_NSRS2007_TX_SC_FT_US                   3674
/*      NAD 1983 NSRS2007 SPCS Texas South (US Feet)                         */
#define PE_PCS_NAD_1983_NSRS2007_TX_S_FT_US                    3672
/*      NAD 1983 NSRS2007 SPCS Utah North                                    */
#define PE_PCS_NAD_1983_NSRS2007_UT_N                          3678
/*      NAD 1983 NSRS2007 SPCS Utah Central                                  */
#define PE_PCS_NAD_1983_NSRS2007_UT_C                          3675
/*      NAD 1983 NSRS2007 SPCS Utah South                                    */
#define PE_PCS_NAD_1983_NSRS2007_UT_S                          3681
/*      NAD 1983 NSRS2007 SPCS Utah North (Intl Feet)                        */
#define PE_PCS_NAD_1983_NSRS2007_UT_N_FT_INTL                  3679
/*      NAD 1983 NSRS2007 SPCS Utah Central (Intl Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_UT_C_FT_INTL                  3676
/*      NAD 1983 NSRS2007 SPCS Utah South (Intl Feet)                        */
#define PE_PCS_NAD_1983_NSRS2007_UT_S_FT_INTL                  3682
/*      NAD 1983 NSRS2007 SPCS Utah North (US Feet)                          */
#define PE_PCS_NAD_1983_NSRS2007_UT_N_FT_US                    3680
/*      NAD 1983 NSRS2007 SPCS Utah Central (US Feet)                        */
#define PE_PCS_NAD_1983_NSRS2007_UT_C_FT_US                    3677
/*      NAD 1983 NSRS2007 SPCS Utah South (US Feet)                          */
#define PE_PCS_NAD_1983_NSRS2007_UT_S_FT_US                    3683
/*      NAD 1983 NSRS2007 SPCS Vermont                                       */
#define PE_PCS_NAD_1983_NSRS2007_VT                            3684
/*      NAD 1983 NSRS2007 SPCS Virginia North                                */
#define PE_PCS_NAD_1983_NSRS2007_VA_N                          3685
/*      NAD 1983 NSRS2007 SPCS Virginia South                                */
#define PE_PCS_NAD_1983_NSRS2007_VA_S                          3687
/*      NAD 1983 NSRS2007 SPCS Virginia North (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_VA_N_FT_US                    3686
/*      NAD 1983 NSRS2007 SPCS Virginia South (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_VA_S_FT_US                    3688
/*      NAD 1983 NSRS2007 SPCS Washington North                              */
#define PE_PCS_NAD_1983_NSRS2007_WA_N                          3689
/*      NAD 1983 NSRS2007 SPCS Washington South                              */
#define PE_PCS_NAD_1983_NSRS2007_WA_S                          3691
/*      NAD 1983 NSRS2007 SPCS Washington North (US Feet)                    */
#define PE_PCS_NAD_1983_NSRS2007_WA_N_FT_US                    3690
/*      NAD 1983 NSRS2007 SPCS Washington South (US Feet)                    */
#define PE_PCS_NAD_1983_NSRS2007_WA_S_FT_US                    3692
/*      NAD 1983 NSRS2007 SPCS West Virginia N                               */
#define PE_PCS_NAD_1983_NSRS2007_WV_N                          3693
/*      NAD 1983 NSRS2007 SPCS West Virginia S                               */
#define PE_PCS_NAD_1983_NSRS2007_WV_S                          3694
/*      NAD 1983 NSRS2007 SPCS West Virginia N (US Feet)                     */
#define PE_PCS_NAD_1983_NSRS2007_WV_N_FT_US                   26869
/*      NAD 1983 NSRS2007 SPCS West Virginia S (US Feet)                     */
#define PE_PCS_NAD_1983_NSRS2007_WV_S_FT_US                   26870
/*      NAD 1983 NSRS2007 SPCS Wisconsin North                               */
#define PE_PCS_NAD_1983_NSRS2007_WI_N                          3697
/*      NAD 1983 NSRS2007 SPCS Wisconsin Central                             */
#define PE_PCS_NAD_1983_NSRS2007_WI_C                          3695
/*      NAD 1983 NSRS2007 SPCS Wisconsin South                               */
#define PE_PCS_NAD_1983_NSRS2007_WI_S                          3699
/*      NAD 1983 NSRS2007 SPCS Wisconsin North (US Feet)                     */
#define PE_PCS_NAD_1983_NSRS2007_WI_N_FT_US                    3698
/*      NAD 1983 NSRS2007 SPCS Wisconsin Central (US Feet)                   */
#define PE_PCS_NAD_1983_NSRS2007_WI_C_FT_US                    3696
/*      NAD 1983 NSRS2007 SPCS Wisconsin South (US Feet)                     */
#define PE_PCS_NAD_1983_NSRS2007_WI_S_FT_US                    3700
/*      NAD 1983 NSRS2007 SPCS Wyoming I East                                */
#define PE_PCS_NAD_1983_NSRS2007_WY_E                          3702
/*      NAD 1983 NSRS2007 SPCS Wyoming II EC                                 */
#define PE_PCS_NAD_1983_NSRS2007_WY_EC                         3703
/*      NAD 1983 NSRS2007 SPCS Wyoming III WC                                */
#define PE_PCS_NAD_1983_NSRS2007_WY_WC                         3704
/*      NAD 1983 NSRS2007 SPCS Wyoming IV West                               */
#define PE_PCS_NAD_1983_NSRS2007_WY_W                          3705
/*      NAD 1983 NSRS2007 SPCS Wyoming I East (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_WY_E_FT_US                    3730
/*      NAD 1983 NSRS2007 SPCS Wyoming II EC (US Feet)                       */
#define PE_PCS_NAD_1983_NSRS2007_WY_EC_FT_US                   3731
/*      NAD 1983 NSRS2007 SPCS Wyoming III WC (US Feet)                      */
#define PE_PCS_NAD_1983_NSRS2007_WY_WC_FT_US                   3732
/*      NAD 1983 NSRS2007 SPCS Wyoming IV West (US Feet)                     */
#define PE_PCS_NAD_1983_NSRS2007_WY_W_FT_US                    3733

/*      CH1903 LV03C-G (Liechtenstein)                                       */
#define PE_PCS_CH1903_LV03C_G                                 21782
/*      Ain el Abd 1970 Aramco Lambert 2                                     */
#define PE_PCS_AIN_EL_ABD_1970_ARAMCO_LAMBERT_2              102204
/*      NAD 1983 HARN Adj. Minnesota St Louis CS96 (meter)                   */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_M               103694
/*      NAD 1983 HARN Adj. Minnesota St Louis CS96 (US foot)                 */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_FT              103695
/*      NAD 1983 WyLAM                                                       */
#define PE_PCS_NAD_1983_WY_LAM                               102212
/*      NAD 1983 UTM Zone 58N                                                */
#define PE_PCS_NAD_1983_UTM_58N                              102213
/*      WGS 1984 Cape Verde Grid                                             */
#define PE_PCS_WGS_1984_CAPE_VERDE_GRID                      102214
/*      WGS 1984 Canada Atlas LCC                                            */
#define PE_PCS_WGS_1984_CANADA_ATLAS_LCC                     102215

/*      GDA 1994 Perth Coastal Grid 1994                                     */
#define PE_PCS_GDA_1994_PCG94                                102216

/*      Berghaus Star AAG                                                    */
#define PE_PCS_BERGHAUS_STAR_AAG                             102299
/*      CGRS 1993 LTM                                                        */
#define PE_PCS_CGRS_1993_LTM                                 102319

/*      NGO 1948 (Oslo) Baerum Kommune                                       */
#define PE_PCS_NGO_1948_OSLO_BAERUM_KOMMUNE                  102301
/*      NGO 1948 (Oslo) Bergenhalvoen                                        */
#define PE_PCS_NGO_1948_OSLO_BERGENHALVOEN                   102302
/*      NGO 1948 (Oslo) Oslo Kommune                                         */
#define PE_PCS_NGO_1948_OSLO_OSLO_KOMMUNE                    102303

/*      NAD 1983 (CORS96) UTM zone 59N                                       */
#define PE_PCS_NAD_1983_CORS96_UTM_59N                       102364
/*      NAD 1983 (CORS96) UTM zone 60N                                       */
#define PE_PCS_NAD_1983_CORS96_UTM_60N                       102365
/*      NAD 1983 (CORS96) UTM zone 1N                                        */
#define PE_PCS_NAD_1983_CORS96_UTM_1N                        102401
/*      NAD 1983 (CORS96) UTM zone 2N                                        */
#define PE_PCS_NAD_1983_CORS96_UTM_2N                        102402
/*      NAD 1983 (CORS96) UTM zone 3N                                        */
#define PE_PCS_NAD_1983_CORS96_UTM_3N                        102403
/*      NAD 1983 (CORS96) UTM zone 4N                                        */
#define PE_PCS_NAD_1983_CORS96_UTM_4N                        102404
/*      NAD 1983 (CORS96) UTM zone 5N                                        */
#define PE_PCS_NAD_1983_CORS96_UTM_5N                        102405
/*      NAD 1983 (CORS96) UTM zone 6N                                        */
#define PE_PCS_NAD_1983_CORS96_UTM_6N                        102406
/*      NAD 1983 (CORS96) UTM zone 7N                                        */
#define PE_PCS_NAD_1983_CORS96_UTM_7N                        102407
/*      NAD 1983 (CORS96) UTM zone 8N                                        */
#define PE_PCS_NAD_1983_CORS96_UTM_8N                        102408
/*      NAD 1983 (CORS96) UTM zone 9N                                        */
#define PE_PCS_NAD_1983_CORS96_UTM_9N                        102409
/*      NAD 1983 (CORS96) UTM zone 10N                                       */
#define PE_PCS_NAD_1983_CORS96_UTM_10N                       102410
/*      NAD 1983 (CORS96) UTM zone 11N                                       */
#define PE_PCS_NAD_1983_CORS96_UTM_11N                       102411
/*      NAD 1983 (CORS96) UTM zone 12N                                       */
#define PE_PCS_NAD_1983_CORS96_UTM_12N                       102412
/*      NAD 1983 (CORS96) UTM zone 13N                                       */
#define PE_PCS_NAD_1983_CORS96_UTM_13N                       102413
/*      NAD 1983 (CORS96) UTM zone 14N                                       */
#define PE_PCS_NAD_1983_CORS96_UTM_14N                       102414
/*      NAD 1983 (CORS96) UTM zone 15N                                       */
#define PE_PCS_NAD_1983_CORS96_UTM_15N                       102415
/*      NAD 1983 (CORS96) UTM zone 16N                                       */
#define PE_PCS_NAD_1983_CORS96_UTM_16N                       102416
/*      NAD 1983 (CORS96) UTM zone 17N                                       */
#define PE_PCS_NAD_1983_CORS96_UTM_17N                       102417
/*      NAD 1983 (CORS96) UTM zone 18N                                       */
#define PE_PCS_NAD_1983_CORS96_UTM_18N                       102418
/*      NAD 1983 (CORS96) UTM zone 19N                                       */
#define PE_PCS_NAD_1983_CORS96_UTM_19N                       102419

/*      NAD 1983 (CORS96) Alaska Albers                                      */
#define PE_PCS_NAD_1983_CORS96_ALASKA_ALBERS                 102247
/*      NAD 1983 (CORS96) SPCS Alaska Zone 1                                 */
#define PE_PCS_NAD_1983_CORS96_AK_1                          102366
/*      NAD 1983 (CORS96) SPCS Alaska Zone 2                                 */
#define PE_PCS_NAD_1983_CORS96_AK_2                          102367
/*      NAD 1983 (CORS96) SPCS Alaska Zone 3                                 */
#define PE_PCS_NAD_1983_CORS96_AK_3                          102368
/*      NAD 1983 (CORS96) SPCS Alaska Zone 4                                 */
#define PE_PCS_NAD_1983_CORS96_AK_4                          102369
/*      NAD 1983 (CORS96) SPCS Alaska Zone 5                                 */
#define PE_PCS_NAD_1983_CORS96_AK_5                          102370
/*      NAD 1983 (CORS96) SPCS Alaska Zone 6                                 */
#define PE_PCS_NAD_1983_CORS96_AK_6                          102371
/*      NAD 1983 (CORS96) SPCS Alaska Zone 7                                 */
#define PE_PCS_NAD_1983_CORS96_AK_7                          102372
/*      NAD 1983 (CORS96) SPCS Alaska Zone 8                                 */
#define PE_PCS_NAD_1983_CORS96_AK_8                          102373
/*      NAD 1983 (CORS96) SPCS Alaska Zone 9                                 */
#define PE_PCS_NAD_1983_CORS96_AK_9                          102374
/*      NAD 1983 (CORS96) SPCS Alaska Zone 10                                */
#define PE_PCS_NAD_1983_CORS96_AK_10                         102375

/*      NAD 1983 CORS96 SPCS Oregon North                                    */
#define PE_PCS_NAD_1983_CORS96_OR_N                          102376
/*      NAD 1983 CORS96 SPCS Oregon South                                    */
#define PE_PCS_NAD_1983_CORS96_OR_S                          102377
/*      NAD 1983 CORS96 SPCS Oregon North (Intl Feet)                        */
#define PE_PCS_NAD_1983_CORS96_OR_N_FT_INTL                  102378
/*      NAD 1983 CORS96 SPCS Oregon South (Intl Feet)                        */
#define PE_PCS_NAD_1983_CORS96_OR_S_FT_INTL                  102379
/*      NAD 1983 CORS96 Oregon Lambert                                       */
#define PE_PCS_NAD_1983_CORS96_OREGON_LAMBERT                102380
/*      NAD 1983 CORS96 Oregon Lambert (Intl Feet)                           */
#define PE_PCS_NAD_1983_CORS96_OREGON_LAMBERT_FT_INTL        102381

/*      Portugal - Azores - Occidental group - Flores and Corvo              */
#define PE_PCS_PTRA08_UTM_25N                                102331
/*      Portugal - Azores - Central and Oriental groups - Faial, Graciosa,   */
/*      Pico, S Jorge, S Maria, S Miguel, Teiceira                           */
#define PE_PCS_PTRA08_UTM_26N                                102332
/*      Portugal - Madeira archipelago - Madeira and Porto Santo             */
#define PE_PCS_PTRA08_UTM_28N                                102333

/*      ETRS 1989 DKTM1                                                      */
#define PE_PCS_ETRS_1989_DKTM1                               103216
/*      ETRS 1989 DKTM2                                                      */
#define PE_PCS_ETRS_1989_DKTM2                               103217
/*      ETRS 1989 DKTM3                                                      */
#define PE_PCS_ETRS_1989_DKTM3                               103218
/*      ETRS 1989 DKTM4                                                      */
#define PE_PCS_ETRS_1989_DKTM4                               103219

/*      Gunung Segara (Jakarta) NEIEZ (DEPRECATED -                          */
/*      PE_PCS_GUNUNG_SEGRA_NEIEZ)                                           */
#define PE_PCS_SEGARA_JAKARTA_NEIEZ                            2934

/*      Costa Rica TM 2005                                                   */
#define PE_PCS_CRTM05                                        102305
/*      Nepal Nagarkot TM                                                    */
#define PE_PCS_NEPAL_NAGARKOT_TM                             102306

/*      Pulkovo 1942(83) 3-Degree GK zone 7                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1983_3_DEG_GK_7              102764
/*      Pulkovo 1942(83) 3-Degree GK zone 8                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1983_3_DEG_GK_8              102765
/*      NAD 1983 NSRS2007 SPCS Puerto Rico & Virgin Isl.                     */
#define PE_PCS_NAD_1983_NSRS2007_PR_VI                       102647
/*      ISN 2004 Lambert 2004                                                */
#define PE_PCS_ISN_2004_LAMBERT_2004                         102420

/*      ETRS 1989 UTM Zone 32N with FE prefix                                */
#define PE_PCS_ETRS_1989_UTM_N32                             102362
/*      WGS 1984 Australian Centre for Remote Sensing Lambert                */
#define PE_PCS_WGS_1984_AUSTRALIAN_CRS_LAMBERT               102439
/*      Mexican Datum 1993 UTM Zone 11N                                      */
#define PE_PCS_MEXICAN_DATUM_1993_UTM_11N                    103794
/*      Mexican Datum 1993 UTM Zone 12N                                      */
#define PE_PCS_MEXICAN_DATUM_1993_UTM_12N                    103795
/*      Mexican Datum 1993 UTM Zone 13N                                      */
#define PE_PCS_MEXICAN_DATUM_1993_UTM_13N                    103796
/*      Mexican Datum 1993 UTM Zone 14N                                      */
#define PE_PCS_MEXICAN_DATUM_1993_UTM_14N                    103797
/*      Mexican Datum 1993 UTM Zone 15N                                      */
#define PE_PCS_MEXICAN_DATUM_1993_UTM_15N                    103798
/*      Mexican Datum 1993 UTM Zone 16N                                      */
#define PE_PCS_MEXICAN_DATUM_1993_UTM_16N                    103799

/*      Cape Lo15                                                            */
#define PE_PCS_CAPE_LO15                                     102470
/*      Cape Lo17                                                            */
#define PE_PCS_CAPE_LO17                                     102471
/*      Cape Lo19                                                            */
#define PE_PCS_CAPE_LO19                                     102472
/*      Cape Lo21                                                            */
#define PE_PCS_CAPE_LO21                                     102473
/*      Cape Lo23                                                            */
#define PE_PCS_CAPE_LO23                                     102474
/*      Cape Lo25                                                            */
#define PE_PCS_CAPE_LO25                                     102475
/*      Cape Lo27                                                            */
#define PE_PCS_CAPE_LO27                                     102476
/*      Cape Lo29                                                            */
#define PE_PCS_CAPE_LO29                                     102477
/*      Cape Lo31                                                            */
#define PE_PCS_CAPE_LO31                                     102478
/*      Cape Lo33                                                            */
#define PE_PCS_CAPE_LO33                                     102479
/*      Hartebeesthoek94 Lo15                                                */
#define PE_PCS_HARTEBEESTHOEK94_LO15                         102480
/*      Hartebeesthoek94 Lo17                                                */
#define PE_PCS_HARTEBEESTHOEK94_LO17                         102481
/*      Hartebeesthoek94 Lo19                                                */
#define PE_PCS_HARTEBEESTHOEK94_LO19                         102482
/*      Hartebeesthoek94 Lo21                                                */
#define PE_PCS_HARTEBEESTHOEK94_LO21                         102483
/*      Hartebeesthoek94 Lo23                                                */
#define PE_PCS_HARTEBEESTHOEK94_LO23                         102484
/*      Hartebeesthoek94 Lo25                                                */
#define PE_PCS_HARTEBEESTHOEK94_LO25                         102485
/*      Hartebeesthoek94 Lo27                                                */
#define PE_PCS_HARTEBEESTHOEK94_LO27                         102486
/*      Hartebeesthoek94 Lo29                                                */
#define PE_PCS_HARTEBEESTHOEK94_LO29                         102487
/*      Hartebeesthoek94 Lo31                                                */
#define PE_PCS_HARTEBEESTHOEK94_LO31                         102488
/*      Hartebeesthoek94 Lo33                                                */
#define PE_PCS_HARTEBEESTHOEK94_LO33                         102489

/*      NAD 1927 StatePlane California V Ventura                             */
#define PE_PCS_NAD_1927_CA_V_VENTURA                         102699

/*      NAD 1983 PACP00 UTM Zone 4N                                          */
#define PE_PCS_NAD_1983_PACP00_UTM_4N                        102701
/*      NAD 1983 PACP00 UTM Zone 5N                                          */
#define PE_PCS_NAD_1983_PACP00_UTM_5N                        102702
/*      NAD 1983 PACP00 UTM Zone 2S                                          */
#define PE_PCS_NAD_1983_PACP00_UTM_2S                        102703

/* NAD 1983 CORS96 State Plane Coordinate System                             */
/*      NAD 1983 (CORS96) SPCS Alabama East                                  */
#define PE_PCS_NAD_1983_CORS96_AL_E                          103220
/*      NAD 1983 (CORS96) SPCS Alabama West                                  */
#define PE_PCS_NAD_1983_CORS96_AL_W                          103221
/*      NAD 1983 (CORS96) SPCS Arizona East                                  */
#define PE_PCS_NAD_1983_CORS96_AZ_E                          103222
/*      NAD 1983 (CORS96) SPCS Arizona Central                               */
#define PE_PCS_NAD_1983_CORS96_AZ_C                          103223
/*      NAD 1983 (CORS96) SPCS Arizona West                                  */
#define PE_PCS_NAD_1983_CORS96_AZ_W                          103224
/*      NAD 1983 (CORS96) SPCS Arizona East (Intl Feet)                      */
#define PE_PCS_NAD_1983_CORS96_AZ_E_FT_INTL                  103225
/*      NAD 1983 (CORS96) SPCS Arizona Central (Intl Feet)                   */
#define PE_PCS_NAD_1983_CORS96_AZ_C_FT_INTL                  103226
/*      NAD 1983 (CORS96) SPCS Arizona West (Intl Feet)                      */
#define PE_PCS_NAD_1983_CORS96_AZ_W_FT_INTL                  103227
/*      NAD 1983 (CORS96) Zone Arkansas North                                */
#define PE_PCS_NAD_1983_CORS96_AR_N                          103228
/*      NAD 1983 (CORS96) Zone Arkansas South                                */
#define PE_PCS_NAD_1983_CORS96_AR_S                          103229
/*      NAD 1983 (CORS96) SPCS Arkansas North (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_AR_N_FT_US                    103230
/*      NAD 1983 (CORS96) SPCS Arkansas South (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_AR_S_FT_US                    103231
/*      NAD 1983 (CORS96) SPCS California I                                  */
#define PE_PCS_NAD_1983_CORS96_CA_I                          103232
/*      NAD 1983 (CORS96) SPCS California II                                 */
#define PE_PCS_NAD_1983_CORS96_CA_II                         103233
/*      NAD 1983 (CORS96) SPCS California III                                */
#define PE_PCS_NAD_1983_CORS96_CA_III                        103234
/*      NAD 1983 (CORS96) SPCS California IV                                 */
#define PE_PCS_NAD_1983_CORS96_CA_IV                         103235
/*      NAD 1983 (CORS96) SPCS California V                                  */
#define PE_PCS_NAD_1983_CORS96_CA_V                          103236
/*      NAD 1983 (CORS96) SPCS California VI                                 */
#define PE_PCS_NAD_1983_CORS96_CA_VI                         103237
/*      NAD 1983 (CORS96) SPCS California I (US Feet)                        */
#define PE_PCS_NAD_1983_CORS96_CA_I_FT_US                    103238
/*      NAD 1983 (CORS96) SPCS California II (US Feet)                       */
#define PE_PCS_NAD_1983_CORS96_CA_II_FT_US                   103239
/*      NAD 1983 (CORS96) SPCS California III (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_CA_III_FT_US                  103240
/*      NAD 1983 (CORS96) SPCS California IV (US Feet)                       */
#define PE_PCS_NAD_1983_CORS96_CA_IV_FT_US                   103241
/*      NAD 1983 (CORS96) SPCS California V (US Feet)                        */
#define PE_PCS_NAD_1983_CORS96_CA_V_FT_US                    103242
/*      NAD 1983 (CORS96) SPCS California VI (US Feet)                       */
#define PE_PCS_NAD_1983_CORS96_CA_VI_FT_US                   103243
/*      NAD 1983 (CORS96) SPCS Colorado North                                */
#define PE_PCS_NAD_1983_CORS96_CO_N                          103244
/*      NAD 1983 (CORS96) SPCS Colorado Central                              */
#define PE_PCS_NAD_1983_CORS96_CO_C                          103245
/*      NAD 1983 (CORS96) SPCS Colorado South                                */
#define PE_PCS_NAD_1983_CORS96_CO_S                          103246
/*      NAD 1983 (CORS96) SPCS Colorado North (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_CO_N_FT_US                    103247
/*      NAD 1983 (CORS96) SPCS Colorado Central (US Feet)                    */
#define PE_PCS_NAD_1983_CORS96_CO_C_FT_US                    103248
/*      NAD 1983 (CORS96) SPCS Colorado South (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_CO_S_FT_US                    103249
/*      NAD 1983 (CORS96) SPCS Connecticut                                   */
#define PE_PCS_NAD_1983_CORS96_CT                            103250
/*      NAD 1983 (CORS96) SPCS Connecticut (US Feet)                         */
#define PE_PCS_NAD_1983_CORS96_CT_FT_US                      103251
/*      NAD 1983 (CORS96) SPCS Delaware                                      */
#define PE_PCS_NAD_1983_CORS96_DE                            103252
/*      NAD 1983 (CORS96) SPCS Delaware (US Feet)                            */
#define PE_PCS_NAD_1983_CORS96_DE_FT_US                      103253
/*      NAD 1983 (CORS96) SPCS Florida East                                  */
#define PE_PCS_NAD_1983_CORS96_FL_E                          103254
/*      NAD 1983 (CORS96) SPCS Florida West                                  */
#define PE_PCS_NAD_1983_CORS96_FL_W                          103255
/*      NAD 1983 (CORS96) SPCS Florida North                                 */
#define PE_PCS_NAD_1983_CORS96_FL_N                          103256
/*      NAD 1983 (CORS96) SPCS Florida East (US Feet)                        */
#define PE_PCS_NAD_1983_CORS96_FL_E_FT_US                    103257
/*      NAD 1983 (CORS96) SPCS Florida West (US Feet)                        */
#define PE_PCS_NAD_1983_CORS96_FL_W_FT_US                    103258
/*      NAD 1983 (CORS96) SPCS Florida North (US Feet)                       */
#define PE_PCS_NAD_1983_CORS96_FL_N_FT_US                    103259
/*      NAD 1983 (CORS96) SPCS Georgia East                                  */
#define PE_PCS_NAD_1983_CORS96_GA_E                          103260
/*      NAD 1983 (CORS96) SPCS Georgia West                                  */
#define PE_PCS_NAD_1983_CORS96_GA_W                          103261
/*      NAD 1983 (CORS96) SPCS Georgia East (US Feet)                        */
#define PE_PCS_NAD_1983_CORS96_GA_E_FT_US                    103262
/*      NAD 1983 (CORS96) SPCS Georgia West (US Feet)                        */
#define PE_PCS_NAD_1983_CORS96_GA_W_FT_US                    103263
/*      NAD 1983 (CORS96) SPCS Idaho East                                    */
#define PE_PCS_NAD_1983_CORS96_ID_E                          103264
/*      NAD 1983 (CORS96) SPCS Idaho Central                                 */
#define PE_PCS_NAD_1983_CORS96_ID_C                          103265
/*      NAD 1983 (CORS96) SPCS Idaho West                                    */
#define PE_PCS_NAD_1983_CORS96_ID_W                          103266
/*      NAD 1983 (CORS96) SPCS Idaho East (US Feet)                          */
#define PE_PCS_NAD_1983_CORS96_ID_E_FT_US                    103267
/*      NAD 1983 (CORS96) SPCS Idaho Central (US Feet)                       */
#define PE_PCS_NAD_1983_CORS96_ID_C_FT_US                    103268
/*      NAD 1983 (CORS96) SPCS Idaho West (US Feet)                          */
#define PE_PCS_NAD_1983_CORS96_ID_W_FT_US                    103269
/*      NAD 1983 (CORS96) SPCS Illinois East                                 */
#define PE_PCS_NAD_1983_CORS96_IL_E                          103270
/*      NAD 1983 (CORS96) SPCS Illinois West                                 */
#define PE_PCS_NAD_1983_CORS96_IL_W                          103271
/*      NAD 1983 (CORS96) SPCS Illinois East (US Feet)                       */
#define PE_PCS_NAD_1983_CORS96_IL_E_FT_US                    103272
/*      NAD 1983 (CORS96) SPCS Illinois West (US Feet)                       */
#define PE_PCS_NAD_1983_CORS96_IL_W_FT_US                    103273
/*      NAD 1983 (CORS96) SPCS Indiana East                                  */
#define PE_PCS_NAD_1983_CORS96_IN_E                          103274
/*      NAD 1983 (CORS96) SPCS Indiana West                                  */
#define PE_PCS_NAD_1983_CORS96_IN_W                          103275
/*      NAD 1983 (CORS96) SPCS Indiana East (US Feet)                        */
#define PE_PCS_NAD_1983_CORS96_IN_E_FT_US                    103276
/*      NAD 1983 (CORS96) SPCS Indiana West (US Feet)                        */
#define PE_PCS_NAD_1983_CORS96_IN_W_FT_US                    103277
/*      NAD 1983 (CORS96) SPCS Iowa North                                    */
#define PE_PCS_NAD_1983_CORS96_IA_N                          103278
/*      NAD 1983 (CORS96) SPCS Iowa South                                    */
#define PE_PCS_NAD_1983_CORS96_IA_S                          103279
/*      NAD 1983 (CORS96) SPCS Iowa North (US Feet)                          */
#define PE_PCS_NAD_1983_CORS96_IA_N_FT_US                    103280
/*      NAD 1983 (CORS96) SPCS Iowa South (US Feet)                          */
#define PE_PCS_NAD_1983_CORS96_IA_S_FT_US                    103281
/*      NAD 1983 (CORS96) SPCS Kansas North                                  */
#define PE_PCS_NAD_1983_CORS96_KS_N                          103282
/*      NAD 1983 (CORS96) SPCS Kansas South                                  */
#define PE_PCS_NAD_1983_CORS96_KS_S                          103283
/*      NAD 1983 (CORS96) SPCS Kansas North (US Feet)                        */
#define PE_PCS_NAD_1983_CORS96_KS_N_FT_US                    103284
/*      NAD 1983 (CORS96) SPCS Kansas South (US Feet)                        */
#define PE_PCS_NAD_1983_CORS96_KS_S_FT_US                    103285
/*      NAD 1983 (CORS96) SPCS Kentucky North                                */
#define PE_PCS_NAD_1983_CORS96_KY_N                          103286
/*      NAD 1983 (CORS96) SPCS Kentucky North (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_KY_N_FT_US                    103287
/*      NAD 1983 (CORS96) SPCS Kentucky (one zone)                           */
#define PE_PCS_NAD_1983_CORS96_KY                            103288
/*      NAD 1983 (CORS96) SPCS Kentucky (one zone) US Feet                   */
#define PE_PCS_NAD_1983_CORS96_KY_FT_US                      103289
/*      NAD 1983 (CORS96) SPCS Kentucky South                                */
#define PE_PCS_NAD_1983_CORS96_KY_S                          103290
/*      NAD 1983 (CORS96) SPCS Kentucky South (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_KY_S_FT_US                    103291
/*      NAD 1983 (CORS96) SPCS Louisiana North                               */
#define PE_PCS_NAD_1983_CORS96_LA_N                          103292
/*      NAD 1983 (CORS96) SPCS Louisiana South                               */
#define PE_PCS_NAD_1983_CORS96_LA_S                          103293
/*      NAD 1983 (CORS96) SPCS Louisiana North (US Feet)                     */
#define PE_PCS_NAD_1983_CORS96_LA_N_FT_US                    103294
/*      NAD 1983 (CORS96) SPCS Louisiana South (US Feet)                     */
#define PE_PCS_NAD_1983_CORS96_LA_S_FT_US                    103295
/*      NAD 1983 (CORS96) SPCS Maine East                                    */
#define PE_PCS_NAD_1983_CORS96_ME_E                          103296
/*      NAD 1983 (CORS96) SPCS Maine West                                    */
#define PE_PCS_NAD_1983_CORS96_ME_W                          103297
/*      NAD 1983 (CORS96) SPCS Maine East (US Feet)                          */
#define PE_PCS_NAD_1983_CORS96_ME_E_FT_US                    103298
/*      NAD 1983 (CORS96) SPCS Maine West (US Feet)                          */
#define PE_PCS_NAD_1983_CORS96_ME_W_FT_US                    103299
/*      NAD 1983 (CORS96) Maine 2000 East Zone                               */
#define PE_PCS_NAD_1983_CORS96_MAINE_2000_EAST               103372
/*      NAD 1983 (CORS96) Maine 2000 Central Zone                            */
#define PE_PCS_NAD_1983_CORS96_MAINE_2000_CENTRAL            103373
/*      NAD 1983 (CORS96) Maine 2000 West Zone                               */
#define PE_PCS_NAD_1983_CORS96_MAINE_2000_WEST               103374
/*      NAD 1983 (CORS96) SPCS Maryland                                      */
#define PE_PCS_NAD_1983_CORS96_MD                            103375
/*      NAD 1983 (CORS96) SPCS Maryland (US Feet)                            */
#define PE_PCS_NAD_1983_CORS96_MD_FT_US                      103376
/*      NAD 1983 (CORS96) SPCS Mass. Mainland                                */
#define PE_PCS_NAD_1983_CORS96_MA_M                          103377
/*      NAD 1983 (CORS96) SPCS Mass. Island                                  */
#define PE_PCS_NAD_1983_CORS96_MA_I                          103378
/*      NAD 1983 (CORS96) SPCS Mass. Mainland (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_MA_M_FT_US                    103379
/*      NAD 1983 (CORS96) SPCS Mass. Island (US Feet)                        */
#define PE_PCS_NAD_1983_CORS96_MA_I_FT_US                    103380
/*      NAD 1983 (CORS96) SPCS Michigan North                                */
#define PE_PCS_NAD_1983_CORS96_MI_N                          103381
/*      NAD 1983 (CORS96) SPCS Michigan Central                              */
#define PE_PCS_NAD_1983_CORS96_MI_C                          103382
/*      NAD 1983 (CORS96) SPCS Michigan South                                */
#define PE_PCS_NAD_1983_CORS96_MI_S                          103383
/*      NAD 1983 (CORS96) SPCS Michigan North (Intl Feet)                    */
#define PE_PCS_NAD_1983_CORS96_MI_N_FT_INTL                  103384
/*      NAD 1983 (CORS96) SPCS Michigan Central (Intl Feet)                  */
#define PE_PCS_NAD_1983_CORS96_MI_C_FT_INTL                  103385
/*      NAD 1983 (CORS96) SPCS Michigan South (Intl Feet)                    */
#define PE_PCS_NAD_1983_CORS96_MI_S_FT_INTL                  103386
/*      NAD 1983 (CORS96) SPCS Minnesota North                               */
#define PE_PCS_NAD_1983_CORS96_MN_N                          103387
/*      NAD 1983 (CORS96) SPCS Minnesota Central                             */
#define PE_PCS_NAD_1983_CORS96_MN_C                          103388
/*      NAD 1983 (CORS96) SPCS Minnesota South                               */
#define PE_PCS_NAD_1983_CORS96_MN_S                          103389
/*      NAD 1983 (CORS96) SPCS Minnesota North (US Feet)                     */
#define PE_PCS_NAD_1983_CORS96_MN_N_FT_US                    103390
/*      NAD 1983 (CORS96) SPCS Minnesota Central (US Feet)                   */
#define PE_PCS_NAD_1983_CORS96_MN_C_FT_US                    103391
/*      NAD 1983 (CORS96) SPCS Minnesota South (US Feet)                     */
#define PE_PCS_NAD_1983_CORS96_MN_S_FT_US                    103392
/*      NAD 1983 (CORS96) SPCS Mississippi East                              */
#define PE_PCS_NAD_1983_CORS96_MS_E                          103393
/*      NAD 1983 (CORS96) SPCS Mississippi West                              */
#define PE_PCS_NAD_1983_CORS96_MS_W                          103394
/*      NAD 1983 (CORS96) SPCS Mississippi East (US Feet)                    */
#define PE_PCS_NAD_1983_CORS96_MS_E_FT_US                    103395
/*      NAD 1983 (CORS96) SPCS Mississippi West (US Feet)                    */
#define PE_PCS_NAD_1983_CORS96_MS_W_FT_US                    103396
/*      NAD 1983 (CORS96) SPCS Missouri East                                 */
#define PE_PCS_NAD_1983_CORS96_MO_E                          103397
/*      NAD 1983 (CORS96) SPCS Missouri Central                              */
#define PE_PCS_NAD_1983_CORS96_MO_C                          103398
/*      NAD 1983 (CORS96) SPCS Missouri West                                 */
#define PE_PCS_NAD_1983_CORS96_MO_W                          103399
/*      NAD 1983 (CORS96) SPCS Montana                                       */
#define PE_PCS_NAD_1983_CORS96_MT                            103472
/*      NAD 1983 (CORS96) SPCS Montana (Intl Feet)                           */
#define PE_PCS_NAD_1983_CORS96_MT_FT_INTL                    103473
/*      NAD 1983 (CORS96) SPCS Nebraska                                      */
#define PE_PCS_NAD_1983_CORS96_NE                            103474
/*      NAD 1983 (CORS96) SPCS Nebraska (US Feet)                            */
#define PE_PCS_NAD_1983_CORS96_NE_FT_US                      103475
/*      NAD 1983 (CORS96) SPCS Nevada East                                   */
#define PE_PCS_NAD_1983_CORS96_NV_E                          103476
/*      NAD 1983 (CORS96) SPCS Nevada Central                                */
#define PE_PCS_NAD_1983_CORS96_NV_C                          103477
/*      NAD 1983 (CORS96) SPCS Nevada West                                   */
#define PE_PCS_NAD_1983_CORS96_NV_W                          103478
/*      NAD 1983 (CORS96) SPCS Nevada East (US Feet)                         */
#define PE_PCS_NAD_1983_CORS96_NV_E_FT_US                    103479
/*      NAD 1983 (CORS96) SPCS Nevada Central (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_NV_C_FT_US                    103480
/*      NAD 1983 (CORS96) SPCS Nevada West (US Feet)                         */
#define PE_PCS_NAD_1983_CORS96_NV_W_FT_US                    103481
/*      NAD 1983 (CORS96) SPCS New Hampshire                                 */
#define PE_PCS_NAD_1983_CORS96_NH                            103482
/*      NAD 1983 (CORS96) SPCS New Hampshire (US Feet)                       */
#define PE_PCS_NAD_1983_CORS96_NH_FT_US                      103483
/*      NAD 1983 (CORS96) SPCS New Jersey                                    */
#define PE_PCS_NAD_1983_CORS96_NJ                            103484
/*      NAD 1983 (CORS96) SPCS New Jersey (US Feet)                          */
#define PE_PCS_NAD_1983_CORS96_NJ_FT_US                      103485
/*      NAD 1983 (CORS96) SPCS New Mexico East                               */
#define PE_PCS_NAD_1983_CORS96_NM_E                          103486
/*      NAD 1983 (CORS96) SPCS New Mexico Cent.                              */
#define PE_PCS_NAD_1983_CORS96_NM_C                          103487
/*      NAD 1983 (CORS96) SPCS New Mexico West                               */
#define PE_PCS_NAD_1983_CORS96_NM_W                          103488
/*      NAD 1983 (CORS96) SPCS New Mexico East (US Feet)                     */
#define PE_PCS_NAD_1983_CORS96_NM_E_FT_US                    103489
/*      NAD 1983 (CORS96) SPCS New Mexico Cent. (US Feet)                    */
#define PE_PCS_NAD_1983_CORS96_NM_C_FT_US                    103490
/*      NAD 1983 (CORS96) SPCS New Mexico West (US Feet)                     */
#define PE_PCS_NAD_1983_CORS96_NM_W_FT_US                    103491
/*      NAD 1983 (CORS96) SPCS New York East                                 */
#define PE_PCS_NAD_1983_CORS96_NY_E                          103492
/*      NAD 1983 (CORS96) SPCS New York Central                              */
#define PE_PCS_NAD_1983_CORS96_NY_C                          103493
/*      NAD 1983 (CORS96) SPCS New York West                                 */
#define PE_PCS_NAD_1983_CORS96_NY_W                          103494
/*      NAD 1983 (CORS96) SPCS NY Long Island                                */
#define PE_PCS_NAD_1983_CORS96_NY_LI                         103495
/*      NAD 1983 (CORS96) SPCS New York East (US Feet)                       */
#define PE_PCS_NAD_1983_CORS96_NY_E_FT_US                    103496
/*      NAD 1983 (CORS96) SPCS New York Central (US Feet)                    */
#define PE_PCS_NAD_1983_CORS96_NY_C_FT_US                    103497
/*      NAD 1983 (CORS96) SPCS New York West (US Feet)                       */
#define PE_PCS_NAD_1983_CORS96_NY_W_FT_US                    103498
/*      NAD 1983 (CORS96) SPCS NY Long Island (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_NY_LI_FT_US                   103499
/*      NAD 1983 (CORS96) SPCS North Carolina                                */
#define PE_PCS_NAD_1983_CORS96_NC                            103500
/*      NAD 1983 (CORS96) SPCS North Carolina (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_NC_FT_US                      103501
/*      NAD 1983 (CORS96) SPCS North Dakota N                                */
#define PE_PCS_NAD_1983_CORS96_ND_N                          103502
/*      NAD 1983 (CORS96) SPCS North Dakota S                                */
#define PE_PCS_NAD_1983_CORS96_ND_S                          103503
/*      NAD 1983 (CORS96) SPCS North Dakota North (Intl Feet)                */
#define PE_PCS_NAD_1983_CORS96_ND_N_FT_INTL                  103504
/*      NAD 1983 (CORS96) SPCS North Dakota South (Intl Feet)                */
#define PE_PCS_NAD_1983_CORS96_ND_S_FT_INTL                  103505
/*      NAD 1983 (CORS96) SPCS Ohio North                                    */
#define PE_PCS_NAD_1983_CORS96_OH_N                          103506
/*      NAD 1983 (CORS96) SPCS Ohio South                                    */
#define PE_PCS_NAD_1983_CORS96_OH_S                          103507
/*      NAD 1983 (CORS96) SPCS Ohio North (US Feet)                          */
#define PE_PCS_NAD_1983_CORS96_OH_N_FT_US                    103508
/*      NAD 1983 (CORS96) SPCS Ohio South (US Feet)                          */
#define PE_PCS_NAD_1983_CORS96_OH_S_FT_US                    103509
/*      NAD 1983 (CORS96) SPCS Oklahoma North                                */
#define PE_PCS_NAD_1983_CORS96_OK_N                          103510
/*      NAD 1983 (CORS96) SPCS Oklahoma South                                */
#define PE_PCS_NAD_1983_CORS96_OK_S                          103511
/*      NAD 1983 (CORS96) SPCS Oklahoma North (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_OK_N_FT_US                    103512
/*      NAD 1983 (CORS96) SPCS Oklahoma South (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_OK_S_FT_US                    103513
/*      NAD 1983 (CORS96) SPCS Pennsylvania North                            */
#define PE_PCS_NAD_1983_CORS96_PA_N                          103514
/*      NAD 1983 (CORS96) SPCS Pennsylvania North (US Feet)                  */
#define PE_PCS_NAD_1983_CORS96_PA_N_FT_US                    103515
/*      NAD 1983 (CORS96) SPCS Pennsylvania South                            */
#define PE_PCS_NAD_1983_CORS96_PA_S                          103516
/*      NAD 1983 (CORS96) SPCS Pennsylvania South (US Feet)                  */
#define PE_PCS_NAD_1983_CORS96_PA_S_FT_US                    103517
/*      NAD 1983 (CORS96) SPCS Rhode Island                                  */
#define PE_PCS_NAD_1983_CORS96_RI                            103518
/*      NAD 1983 (CORS96) SPCS Rhode Island (US Feet)                        */
#define PE_PCS_NAD_1983_CORS96_RI_FT_US                      103519
/*      NAD 1983 (CORS96) SPCS South Carolina                                */
#define PE_PCS_NAD_1983_CORS96_SC                            103520
/*      NAD 1983 (CORS96) SPCS South Carolina (Intl Feet)                    */
#define PE_PCS_NAD_1983_CORS96_SC_FT_INTL                    103521
/*      NAD 1983 (CORS96) SPCS South Dakota N                                */
#define PE_PCS_NAD_1983_CORS96_SD_N                          103522
/*      NAD 1983 (CORS96) SPCS South Dakota S                                */
#define PE_PCS_NAD_1983_CORS96_SD_S                          103523
/*      NAD 1983 (CORS96) SPCS South Dakota N (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_SD_N_FT_US                    103524
/*      NAD 1983 (CORS96) SPCS South Dakota S (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_SD_S_FT_US                    103525
/*      NAD 1983 (CORS96) SPCS Tennessee                                     */
#define PE_PCS_NAD_1983_CORS96_TN                            103526
/*      NAD 1983 (CORS96) SPCS Tennessee (US Feet)                           */
#define PE_PCS_NAD_1983_CORS96_TN_FT_US                      103527
/*      NAD 1983 (CORS96) SPCS Texas North                                   */
#define PE_PCS_NAD_1983_CORS96_TX_N                          103539
/*      NAD 1983 (CORS96) SPCS Texas North Cent.                             */
#define PE_PCS_NAD_1983_CORS96_TX_NC                         103540
/*      NAD 1983 (CORS96) SPCS Texas Central                                 */
#define PE_PCS_NAD_1983_CORS96_TX_C                          103541
/*      NAD 1983 (CORS96) SPCS Texas South Cent.                             */
#define PE_PCS_NAD_1983_CORS96_TX_SC                         103542
/*      NAD 1983 (CORS96) SPCS Texas South                                   */
#define PE_PCS_NAD_1983_CORS96_TX_S                          103543
/*      NAD 1983 (CORS96) SPCS Texas North (US Feet)                         */
#define PE_PCS_NAD_1983_CORS96_TX_N_FT_US                    103544
/*      NAD 1983 (CORS96) SPCS Texas North Cent.(US Feet)                    */
#define PE_PCS_NAD_1983_CORS96_TX_NC_FT_US                   103545
/*      NAD 1983 (CORS96) SPCS Texas Central (US Feet)                       */
#define PE_PCS_NAD_1983_CORS96_TX_C_FT_US                    103546
/*      NAD 1983 (CORS96) SPCS Texas South Cent. (US Feet)                   */
#define PE_PCS_NAD_1983_CORS96_TX_SC_FT_US                   103547
/*      NAD 1983 (CORS96) SPCS Texas South (US Feet)                         */
#define PE_PCS_NAD_1983_CORS96_TX_S_FT_US                    103548
/*      NAD 1983 (CORS96) SPCS Utah North                                    */
#define PE_PCS_NAD_1983_CORS96_UT_N                          103549
/*      NAD 1983 (CORS96) SPCS Utah Central                                  */
#define PE_PCS_NAD_1983_CORS96_UT_C                          103550
/*      NAD 1983 (CORS96) SPCS Utah South                                    */
#define PE_PCS_NAD_1983_CORS96_UT_S                          103551
/*      NAD 1983 (CORS96) SPCS Utah North (Intl Feet)                        */
#define PE_PCS_NAD_1983_CORS96_UT_N_FT_INTL                  103552
/*      NAD 1983 (CORS96) SPCS Utah Central (Intl Feet)                      */
#define PE_PCS_NAD_1983_CORS96_UT_C_FT_INTL                  103553
/*      NAD 1983 (CORS96) SPCS Utah South (Intl Feet)                        */
#define PE_PCS_NAD_1983_CORS96_UT_S_FT_INTL                  103554
/*      NAD 1983 (CORS96) SPCS Utah North (US Feet)                          */
#define PE_PCS_NAD_1983_CORS96_UT_N_FT_US                    103555
/*      NAD 1983 (CORS96) SPCS Utah Central (US Feet)                        */
#define PE_PCS_NAD_1983_CORS96_UT_C_FT_US                    103556
/*      NAD 1983 (CORS96) SPCS Utah South (US Feet)                          */
#define PE_PCS_NAD_1983_CORS96_UT_S_FT_US                    103557
/*      NAD 1983 (CORS96) SPCS Vermont                                       */
#define PE_PCS_NAD_1983_CORS96_VT                            103558
/*      NAD 1983 (CORS96) SPCS Virginia North                                */
#define PE_PCS_NAD_1983_CORS96_VA_N                          103559
/*      NAD 1983 (CORS96) SPCS Virginia South                                */
#define PE_PCS_NAD_1983_CORS96_VA_S                          103560
/*      NAD 1983 (CORS96) SPCS Virginia North (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_VA_N_FT_US                    103561
/*      NAD 1983 (CORS96) SPCS Virginia South (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_VA_S_FT_US                    103562
/*      NAD 1983 (CORS96) SPCS Washington North                              */
#define PE_PCS_NAD_1983_CORS96_WA_N                          103563
/*      NAD 1983 (CORS96) SPCS Washington South                              */
#define PE_PCS_NAD_1983_CORS96_WA_S                          103564
/*      NAD 1983 (CORS96) SPCS Washington North (US Feet)                    */
#define PE_PCS_NAD_1983_CORS96_WA_N_FT_US                    103565
/*      NAD 1983 (CORS96) SPCS Washington South (US Feet)                    */
#define PE_PCS_NAD_1983_CORS96_WA_S_FT_US                    103566
/*      NAD 1983 (CORS96) SPCS West Virginia N                               */
#define PE_PCS_NAD_1983_CORS96_WV_N                          103567
/*      NAD 1983 (CORS96) SPCS West Virginia S                               */
#define PE_PCS_NAD_1983_CORS96_WV_S                          103568
/*      NAD 1983 (CORS96) SPCS West Virginia N (US Feet)                     */
#define PE_PCS_NAD_1983_CORS96_WV_N_FT_US                    103569
/*      NAD 1983 (CORS96) SPCS West Virginia S (US Feet)                     */
#define PE_PCS_NAD_1983_CORS96_WV_S_FT_US                    103570
/*      NAD 1983 (CORS96) SPCS Wisconsin North                               */
#define PE_PCS_NAD_1983_CORS96_WI_N                          103571
/*      NAD 1983 (CORS96) SPCS Wisconsin Central                             */
#define PE_PCS_NAD_1983_CORS96_WI_C                          103572
/*      NAD 1983 (CORS96) SPCS Wisconsin South                               */
#define PE_PCS_NAD_1983_CORS96_WI_S                          103573
/*      NAD 1983 (CORS96) SPCS Wisconsin North (US Feet)                     */
#define PE_PCS_NAD_1983_CORS96_WI_N_FT_US                    103574
/*      NAD 1983 (CORS96) SPCS Wisconsin Central (US Feet)                   */
#define PE_PCS_NAD_1983_CORS96_WI_C_FT_US                    103575
/*      NAD 1983 (CORS96) SPCS Wisconsin South (US Feet)                     */
#define PE_PCS_NAD_1983_CORS96_WI_S_FT_US                    103576
/*      NAD 1983 (CORS96) SPCS Wyoming I East                                */
#define PE_PCS_NAD_1983_CORS96_WY_E                          103577
/*      NAD 1983 (CORS96) SPCS Wyoming II EC                                 */
#define PE_PCS_NAD_1983_CORS96_WY_EC                         103578
/*      NAD 1983 (CORS96) SPCS Wyoming III WC                                */
#define PE_PCS_NAD_1983_CORS96_WY_WC                         103579
/*      NAD 1983 (CORS96) SPCS Wyoming IV West                               */
#define PE_PCS_NAD_1983_CORS96_WY_W                          103580
/*      NAD 1983 (CORS96) SPCS Wyoming I East (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_WY_E_FT_US                    103581
/*      NAD 1983 (CORS96) SPCS Wyoming II EC (US Feet)                       */
#define PE_PCS_NAD_1983_CORS96_WY_EC_FT_US                   103582
/*      NAD 1983 (CORS96) SPCS Wyoming III WC (US Feet)                      */
#define PE_PCS_NAD_1983_CORS96_WY_WC_FT_US                   103583
/*      NAD 1983 (CORS96) SPCS Wyoming IV West (US Feet)                     */
#define PE_PCS_NAD_1983_CORS96_WY_W_FT_US                    103585

/* 9.2 - 9.3                                                                 */

/*      Pulkovo 1942(58) Poland Zone 1                                       */
#define PE_PCS_PULKOVO_1942_ADJ_1958_POLAND_ZONE_I             3120
/*      Pulkovo 1942(58) Poland Zone 2                                       */
#define PE_PCS_PULKOVO_1942_ADJ_1958_POLAND_ZONE_II            2172
/*      Pulkovo 1942(58) Poland Zone 3                                       */
#define PE_PCS_PULKOVO_1942_ADJ_1958_POLAND_ZONE_III           2173
/*      Pulkovo 1942(58) Poland Zone 4                                       */
#define PE_PCS_PULKOVO_1942_ADJ_1958_POLAND_ZONE_IV            2174
/*      Pulkovo 1942(58) Poland Zone 5                                       */
#define PE_PCS_PULKOVO_1942_ADJ_1958_POLAND_ZONE_V             2175

/*      Portugal - western Azores - Flores and Corvo                         */
#define PE_PCS_AZORES_OCCIDENTAL_1939_UTM_25N                  2188
/*      Portugal - central Azores - Graciosa, Terceira, Sao Jorge, Pico, and */
/*      Faial                                                                */
#define PE_PCS_AZORES_CENTRAL_1948_UTM_26N                     2189
/*      Portugal - eastern Azores - Sao Miguel and Santa Maria               */
#define PE_PCS_AZORES_ORIENTAL_1940_UTM_26N                    2190

/*      Fiji 1956 UTM Zone 60S                                               */
#define PE_PCS_FIJI_1956_UTM_60S                               3141
/*      Fiji 1956 UTM Zone 1S                                                */
#define PE_PCS_FIJI_1956_UTM_1S                                3142

/*      NAD 1983 BC Env Albers                                               */
#define PE_PCS_NAD_1983_CSRS_BC_ENVIRONMENT_ALBERS             3153
/*      NAD 1983 CSRS UTM Zone 7N                                            */
#define PE_PCS_NAD_1983_CSRS_UTM_7N                            3154
/*      NAD 1983 CSRS UTM Zone 8N                                            */
#define PE_PCS_NAD_1983_CSRS_UTM_8N                            3155
/*      NAD 1983 CSRS UTM Zone 9N                                            */
#define PE_PCS_NAD_1983_CSRS_UTM_9N                            3156
/*      NAD 1983 CSRS UTM Zone 10N                                           */
#define PE_PCS_NAD_1983_CSRS_UTM_10N                           3157

/*      NAD 1983 Ontario MNR Lambert                                         */
#define PE_PCS_NAD_1983_ONTARIO_MNR_LAMBERT                    3161
/*      NAD 1983 CSRS Ontario MNR Lambert                                    */
#define PE_PCS_NAD_1983_CSRS_ONTARIO_MNR_LAMBERT               3162
/*      RGNC 1991-93 Lambert New Caledonia                                   */
#define PE_PCS_RGNC_1991_93_LAMBERT_NEW_CALEDONIA              3163
/*      NEA74 Noumea / Noumea Lambert                                        */
#define PE_PCS_NEA74_NOUMEA_LAMBERT                            3165
/*      NEA74 Noumea / Noumea Lambert 2                                      */
#define PE_PCS_NEA74_NOUMEA_LAMBERT_2                          3166

/*      RGNC 1991-93 UTM Zone 57S                                            */
#define PE_PCS_RGNC_1991_93_UTM_57S                            3169
/*      RGNC 1991-93 UTM Zone 58S                                            */
#define PE_PCS_RGNC_1991_93_UTM_58S                            3170
/*      RGNC 1991-93 UTM Zone 59S                                            */
#define PE_PCS_RGNC_1991_93_UTM_59S                            3171
/*      IGN53 Mare UTM zone 59S                                              */
#define PE_PCS_IGN53_MARE_UTM_59S                              3172

/*      NAD 1983 Great Lakes Albers                                          */
#define PE_PCS_NAD_1983_GREAT_LAKES_ALBERS                     3174
/*      NAD 1983 Great Lakes & St. Lawrence Albers                           */
#define PE_PCS_NAD_1983_GREAT_LAKES_ST_LAWRENCE_ALBERS         3175

/*      LGD2006 Libya TM                                                     */
#define PE_PCS_LGD2006_LIBYA_TM                                3177
/*      Greenland 1996 UTM Zone 18N                                          */
#define PE_PCS_GREENLAND_1996_UTM_18N                          3178
/*      Greenland 1996 UTM Zone 19N                                          */
#define PE_PCS_GREENLAND_1996_UTM_19N                          3179
/*      Greenland 1996 UTM Zone 20N                                          */
#define PE_PCS_GREENLAND_1996_UTM_20N                          3180
/*      Greenland 1996 UTM Zone 21N                                          */
#define PE_PCS_GREENLAND_1996_UTM_21N                          3181
/*      Greenland 1996 UTM Zone 22N                                          */
#define PE_PCS_GREENLAND_1996_UTM_22N                          3182
/*      Greenland 1996 UTM Zone 23N                                          */
#define PE_PCS_GREENLAND_1996_UTM_23N                          3183
/*      Greenland 1996 UTM Zone 24N                                          */
#define PE_PCS_GREENLAND_1996_UTM_24N                          3184
/*      Greenland 1996 UTM Zone 25N                                          */
#define PE_PCS_GREENLAND_1996_UTM_25N                          3185
/*      Greenland 1996 UTM Zone 26N                                          */
#define PE_PCS_GREENLAND_1996_UTM_26N                          3186
/*      Greenland 1996 UTM Zone 27N                                          */
#define PE_PCS_GREENLAND_1996_UTM_27N                          3187
/*      Greenland 1996 UTM Zone 28N                                          */
#define PE_PCS_GREENLAND_1996_UTM_28N                          3188
/*      Greenland 1996 UTM Zone 29N                                          */
#define PE_PCS_GREENLAND_1996_UTM_29N                          3189
/*      LGD2006 Libya TM Zone 5                                              */
#define PE_PCS_LGD2006_LIBYA_5                                 3190
/*      LGD2006 Libya TM Zone 6                                              */
#define PE_PCS_LGD2006_LIBYA_6                                 3191
/*      LGD2006 Libya TM Zone 7                                              */
#define PE_PCS_LGD2006_LIBYA_7                                 3192
/*      LGD2006 Libya TM Zone 8                                              */
#define PE_PCS_LGD2006_LIBYA_8                                 3193
/*      LGD2006 Libya TM Zone 9                                              */
#define PE_PCS_LGD2006_LIBYA_9                                 3194
/*      LGD2006 Libya TM Zone 10                                             */
#define PE_PCS_LGD2006_LIBYA_10                                3195
/*      LGD2006 Libya TM Zone 11                                             */
#define PE_PCS_LGD2006_LIBYA_11                                3196
/*      LGD2006 Libya TM Zone 12                                             */
#define PE_PCS_LGD2006_LIBYA_12                                3197
/*      LGD2006 Libya TM Zone 13                                             */
#define PE_PCS_LGD2006_LIBYA_13                                3198
/*      LGD2006 UTM Zone 32N                                                 */
#define PE_PCS_LGD2006_UTM_32N                                 3199
/*      LGD2006 UTM Zone 33N                                                 */
#define PE_PCS_LGD2006_UTM_33N                                 3201
/*      LGD2006 UTM Zone 34N                                                 */
#define PE_PCS_LGD2006_UTM_34N                                 3202
/*      LGD2006 UTM Zone 35N                                                 */
#define PE_PCS_LGD2006_UTM_35N                                 3203

/*      Le Pouce 1934 Mauritius Grid                                         */
#define PE_PCS_LE_POUCE_1934_MAURITIUS_GRID                    3337

/*      NAD 1983 CSRS Statistics Canada Lambert                              */
#define PE_PCS_NAD_1983_CSRS_STATISTICS_CANADA_LAMBERT         3348

/*      IGN Astro 1960 UTM Zone 28N                                          */
#define PE_PCS_IGN_ASTRO_1960_UTM_28N                          3367
/*      IGN Astro 1960 UTM Zone 29N                                          */
#define PE_PCS_IGN_ASTRO_1960_UTM_29N                          3368
/*      IGN Astro 1960 UTM Zone 30N                                          */
#define PE_PCS_IGN_ASTRO_1960_UTM_30N                          3369

/*      FD 1954 UTM Zone 29N                                                 */
#define PE_PCS_FD_1954_UTM_29N                                 3374

/*      KKJ Finland Zone 0 - west of 19d 30m East                            */
#define PE_PCS_KKJ_FINLAND_0                                   3386
/*      KKJ Finland Zone 5 - east of 31d 30m East                            */
#define PE_PCS_KKJ_FINLAND_5                                   3387
/*      Pulkovo 1942 Caspian Sea Mercator                                    */
#define PE_PCS_PULKOVO_1942_CASPIAN_SEA_MERCATOR               3388

/*      Karbala 1979 Polservice UTM Zone 37N                                 */
#define PE_PCS_KARBALA_1979_POLSERVICE_UTM_37N                 3391
/*      Karbala 1979 Polservice UTM Zone 38N                                 */
#define PE_PCS_KARBALA_1979_POLSERVICE_UTM_38N                 3392
/*      Karbala 1979 Polservice UTM Zone 39N                                 */
#define PE_PCS_KARBALA_1979_POLSERVICE_UTM_39N                 3393
/*      Nahrwan 1934 Iraq Zone                                               */
#define PE_PCS_NAHRWAN_1934_IRAQ_ZONE                          3394
/*      WGS 1984 World Mercator                                              */
#define PE_PCS_WGS_1984_WORLD_MERCATOR                         3395
/*      Potsdam Datum 1983 Gauss-Kruger Zone 3                               */
#define PE_PCS_POTSDAM_DATUM_1983_GK_3                         3396
/*      Potsdam Datum 1983 Gauss-Kruger Zone 4                               */
#define PE_PCS_POTSDAM_DATUM_1983_GK_4                         3397
/*      Rauenberg Datum 1983 Gauss-Kruger Zone 4                             */
#define PE_PCS_RAUENBERG_DATUM_1983_GK_4                       3398
/*      Rauenberg Datum 1983 Gauss-Kruger Zone 5                             */
#define PE_PCS_RAUENBERG_DATUM_1983_GK_5                       3399

/*      NAD 1983 CSRS 10TM AEP Forest                                        */
#define PE_PCS_NAD_1983_CSRS_10TM_AEP_FOREST                   3402
/*      NAD 1983 CSRS 10TM AEP Resource                                      */
#define PE_PCS_NAD_1983_CSRS_10TM_AEP_RESOURCE                 3403
/*      VN 2000 UTM Zone 48N                                                 */
#define PE_PCS_VN_2000_UTM_48N                                 3405
/*      VN 2000 UTM Zone 49N                                                 */
#define PE_PCS_VN_2000_UTM_49N                                 3406

/*      NSIDC EASE Grid North                                                */
#define PE_PCS_NSIDC_EASE_GRID_NORTH                           3408
/*      NSIDC EASE Grid South                                                */
#define PE_PCS_NSIDC_EASE_GRID_SOUTH                           3409
/*      NSIDC EASE Grid Global                                               */
#define PE_PCS_NSIDC_EASE_GRID_GLOBAL                          3410
/*      NSIDC Sea Ice Polar Stereographic North                              */
#define PE_PCS_NSIDC_SEA_ICE_POLAR_STEREO_N                    3411
/*      NSIDC Sea Ice Polar Stereographic South                              */
#define PE_PCS_NSIDC_SEA_ICE_POLAR_STEREO_S                    3412
/*      WGS 1984 NSIDC Sea Ice Polar Stereographic North                     */
#define PE_PCS_WGS_1984_NSIDC_SEA_ICE_POLAR_STEREO_N           3413
/*      SVY21 (Singapore)                                                    */
#define PE_PCS_SVY21                                           3414
/*      WGS 1972 BE South China Sea Lambert                                  */
#define PE_PCS_WGS_1972_BE_SOUTH_CHINA_SEA_LAMBERT             3415
/*      ETRS 1989 Austria Lambert                                            */
#define PE_PCS_ETRS_1989_AUSTRIA_LAMBERT                       3416

/*      NAD 1983 HARN SPCS Iowa North (US Feet)                              */
#define PE_PCS_NAD_1983_HARN_IA_N_FT                           3425
/*      NAD 1983 HARN SPCS Iowa South (US Feet)                              */
#define PE_PCS_NAD_1983_HARN_IA_S_FT                           3426
/*      NAD 1983 HARN SPCS Kansas North (US Feet)                            */
#define PE_PCS_NAD_1983_HARN_KS_N_FT                           3427
/*      NAD 1983 HARN SPCS Kansas South (US Feet)                            */
#define PE_PCS_NAD_1983_HARN_KS_S_FT                           3428
/*      NAD 1983 HARN SPCS Nevada East (US Feet)                             */
#define PE_PCS_NAD_1983_HARN_NV_E_FT                           3429
/*      NAD 1983 HARN SPCS Nevada Central (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_NV_C_FT                           3430
/*      NAD 1983 HARN SPCS Nevada West (US Feet)                             */
#define PE_PCS_NAD_1983_HARN_NV_W_FT                           3431
/*      NAD 1983 HARN SPCS New Jersey (US Feet)                              */
#define PE_PCS_NAD_1983_HARN_NJ_FT                             3432

/*      NAD 1983 HARN SPCS Arkansas North (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_AR_N_FT                           3441
/*      NAD 1983 HARN SPCS Arkansas South (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_AR_S_FT                           3442
/*      NAD 1983 HARN SPCS Illinois East (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_IL_E_FT                           3443
/*      NAD 1983 HARN SPCS Illinois West (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_IL_W_FT                           3444
/*      NAD 1983 HARN SPCS New Hampshire (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_NH_FT                             3445
/*      NAD 1983 HARN SPCS Rhode Island (US Feet)                            */
#define PE_PCS_NAD_1983_HARN_RI_FT                             3446
/*      ETRS 1989 Belge Lambert 2005                                         */
#define PE_PCS_ETRS_1989_BELGE_LAMBERT_2005                    3447
/*      ETRS 1989 Belge Lambert 2008                                         */
#define PE_PCS_ETRS_1989_BELGE_LAMBERT_2008                    3812
/*      JAD 2001 UTM Zone 17N                                                */
#define PE_PCS_JAD_2001_UTM_17N                                3449
/*      JAD 2001 UTM Zone 18N                                                */
#define PE_PCS_JAD_2001_UTM_18N                                3450

/*      NAD 1983 SPCS Zone Louisiana Offshore (US Feet)                      */
#define PE_PCS_NAD_1983_LA_O_FT                                3453

/*      NAD 1983 HARN SPCS Louisiana North (US Feet)                         */
#define PE_PCS_NAD_1983_HARN_LA_N_FT                           3456
/*      NAD 1983 HARN SPCS Louisiana South (US Feet)                         */
#define PE_PCS_NAD_1983_HARN_LA_S_FT                           3457
/*      NAD 1983 HARN SPCS South Dakota N (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_SD_N_FT                           3458
/*      NAD 1983 HARN SPCS South Dakota S (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_SD_S_FT                           3459
/*      Fiji 1986 Fiji Map Grid                                              */
#define PE_PCS_FIJI_1986_FIJI_MAP_GRID                         3460

/*      NAD 1983 HARN SPCS Utah North (US Feet)                              */
#define PE_PCS_NAD_1983_HARN_UT_N_FT                           3568
/*      NAD 1983 HARN SPCS Utah Central (US Feet)                            */
#define PE_PCS_NAD_1983_HARN_UT_C_FT                           3569
/*      NAD 1983 HARN SPCS Utah South (US Feet)                              */
#define PE_PCS_NAD_1983_HARN_UT_S_FT                           3570
/*      WGS 1984 North Pole LAEA Bering Sea                                  */
#define PE_PCS_WGS_1984_NP_LAEA_BERING_SEA                     3571
/*      WGS 1984 North Pole LAEA Alaska                                      */
#define PE_PCS_WGS_1984_NP_LAEA_ALASKA                         3572
/*      WGS 1984 North Pole LAEA Canada                                      */
#define PE_PCS_WGS_1984_NP_LAEA_CANADA                         3573
/*      WGS 1984 North Pole LAEA Atlantic                                    */
#define PE_PCS_WGS_1984_NP_LAEA_ATLANTIC                       3574
/*      WGS 1984 North Pole LAEA Europe                                      */
#define PE_PCS_WGS_1984_NP_LAEA_EUROPE                         3575
/*      WGS 1984 North Pole LAEA Russia                                      */
#define PE_PCS_WGS_1984_NP_LAEA_RUSSIA                         3576
/*      GDA 1994 Australia Albers                                            */
#define PE_PCS_GDA_1994_AUSTRALIA_ALBERS                       3577
/*      NAD 1983 Yukon Albers                                                */
#define PE_PCS_NAD_1983_YUKON_ALBERS                           3578
/*      NAD 1983 CSRS Yukon Albers                                           */
#define PE_PCS_NAD_1983_CSRS_YUKON_ALBERS                      3579
/*      NAD 1983 Northwest Territories Lambert                               */
#define PE_PCS_NAD_1983_NWT_LAMBERT                            3580
/*      NAD 1983 CSRS Northwest Territories Lambert                          */
#define PE_PCS_NAD_1983_CSRS_NWT_LAMBERT                       3581

/*      NAD 1983 HARN SPCS Ohio North (US Feet)                              */
#define PE_PCS_NAD_1983_HARN_OH_N_FT                           3753
/*      NAD 1983 HARN SPCS Ohio South (US Feet)                              */
#define PE_PCS_NAD_1983_HARN_OH_S_FT                           3754
/*      NAD 1983 HARN SPCS Wyoming I East (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_WY_E_FT                           3755
/*      NAD 1983 HARN SPCS Wyoming II EC (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_WY_EC_FT                          3756
/*      NAD 1983 HARN SPCS Wyoming III WC (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_WY_WC_FT                          3757
/*      NAD 1983 HARN SPCS Wyoming IV West (US Feet)                         */
#define PE_PCS_NAD_1983_HARN_WY_W_FT                           3758

/*      NAD 1983 CSRS UTM Zone 22N                                           */
#define PE_PCS_NAD_1983_CSRS_UTM_22N                           3761
/*      WGS 1984 South Georgia Lambert                                       */
#define PE_PCS_WGS_1984_SOUTH_GEORGIA_LAMBERT                  3762
/*      ETRS 1989 Portugal TM06                                              */
#define PE_PCS_ETRS_1989_PT_TM06                               3763

/*      DGN 1995 Indonesia TM-3 Zone 46.2                                    */
#define PE_PCS_DGN_1995_TM_3_46_2                             23830
/*      DGN 1995 Indonesia TM-3 Zone 47.1                                    */
#define PE_PCS_DGN_1995_TM_3_47_1                             23831
/*      DGN 1995 Indonesia TM-3 Zone 47.2                                    */
#define PE_PCS_DGN_1995_TM_3_47_2                             23832
/*      DGN 1995 Indonesia TM-3 Zone 48.1                                    */
#define PE_PCS_DGN_1995_TM_3_48_1                             23833
/*      DGN 1995 Indonesia TM-3 Zone 48.2                                    */
#define PE_PCS_DGN_1995_TM_3_48_2                             23834
/*      DGN 1995 Indonesia TM-3 Zone 49.1                                    */
#define PE_PCS_DGN_1995_TM_3_49_1                             23835
/*      DGN 1995 Indonesia TM-3 Zone 49.2                                    */
#define PE_PCS_DGN_1995_TM_3_49_2                             23836
/*      DGN 1995 Indonesia TM-3 Zone 50.1                                    */
#define PE_PCS_DGN_1995_TM_3_50_1                             23837
/*      DGN 1995 Indonesia TM-3 Zone 50.2                                    */
#define PE_PCS_DGN_1995_TM_3_50_2                             23838
/*      DGN 1995 Indonesia TM-3 Zone 51.1                                    */
#define PE_PCS_DGN_1995_TM_3_51_1                             23839
/*      DGN 1995 Indonesia TM-3 Zone 51.2                                    */
#define PE_PCS_DGN_1995_TM_3_51_2                             23840
/*      DGN 1995 Indonesia TM-3 Zone 52.1                                    */
#define PE_PCS_DGN_1995_TM_3_52_1                             23841
/*      DGN 1995 Indonesia TM-3 Zone 52.2                                    */
#define PE_PCS_DGN_1995_TM_3_52_2                             23842
/*      DGN 1995 Indonesia TM-3 Zone 53.1                                    */
#define PE_PCS_DGN_1995_TM_3_53_1                             23843
/*      DGN 1995 Indonesia TM-3 Zone 53.2                                    */
#define PE_PCS_DGN_1995_TM_3_53_2                             23844
/*      DGN 1995 Indonesia TM-3 Zone 54.1                                    */
#define PE_PCS_DGN_1995_TM_3_54_1                             23845

/*      DGN 1995 UTM Zone 46N                                                */
#define PE_PCS_DGN_1995_UTM_46N                               23866
/*      DGN 1995 UTM Zone 47N                                                */
#define PE_PCS_DGN_1995_UTM_47N                               23867
/*      DGN 1995 UTM Zone 48N                                                */
#define PE_PCS_DGN_1995_UTM_48N                               23868
/*      DGN 1995 UTM Zone 49N                                                */
#define PE_PCS_DGN_1995_UTM_49N                               23869
/*      DGN 1995 UTM Zone 50N                                                */
#define PE_PCS_DGN_1995_UTM_50N                               23870
/*      DGN 1995 UTM Zone 51N                                                */
#define PE_PCS_DGN_1995_UTM_51N                               23871
/*      DGN 1995 UTM Zone 52N                                                */
#define PE_PCS_DGN_1995_UTM_52N                               23872
/*      DGN 1995 UTM Zone 47S                                                */
#define PE_PCS_DGN_1995_UTM_47S                               23877
/*      DGN 1995 UTM Zone 48S                                                */
#define PE_PCS_DGN_1995_UTM_48S                               23878
/*      DGN 1995 UTM Zone 49S                                                */
#define PE_PCS_DGN_1995_UTM_49S                               23879
/*      DGN 1995 UTM Zone 50S                                                */
#define PE_PCS_DGN_1995_UTM_50S                               23880
/*      DGN 1995 UTM Zone 51S                                                */
#define PE_PCS_DGN_1995_UTM_51S                               23881
/*      DGN 1995 UTM Zone 52S                                                */
#define PE_PCS_DGN_1995_UTM_52S                               23882
/*      DGN 1995 UTM Zone 53S                                                */
#define PE_PCS_DGN_1995_UTM_53S                               23883
/*      DGN 1995 UTM Zone 54S                                                */
#define PE_PCS_DGN_1995_UTM_54S                               23884

/*      Nahrwan 1967 UTM Zone 37N                                            */
#define PE_PCS_NAHRWAN_1967_UTM_37N                           27037

/*      NTF(Paris) Lambert Nord France (grads)                               */
#define PE_PCS_NTF_PARIS_LAMBERT_NORD_FRANCE                  27561
/*      NTF(Paris) Lambert Centre France (grads)                             */
#define PE_PCS_NTF_PARIS_LAMBERT_CENTRE_FRANCE                27562
/*      NTF(Paris) Lambert Sud France (grads)                                */
#define PE_PCS_NTF_PARIS_LAMBERT_SUD_FRANCE                   27563
/*      NTF(Paris) Lambert Corse (grads)                                     */
#define PE_PCS_NTF_PARIS_LAMBERT_CORSE                        27564

/*      NTF(Paris) Lambert Zone I (grads)                                    */
#define PE_PCS_NTF_PARIS_LAMBERT_I                            27571
/*      NTF(Paris) Lambert Zone II (grads)                                   */
#define PE_PCS_NTF_PARIS_LAMBERT_II                           27572
/*      NTF(Paris) Lambert Zone III (grads)                                  */
#define PE_PCS_NTF_PARIS_LAMBERT_III                          27573
/*      NTF(Paris) Lambert Zone IV (grads)                                   */
#define PE_PCS_NTF_PARIS_LAMBERT_IV                           27574

/*      Nord Sahara 1959 Voirol Unifie Nord                                  */
#define PE_PCS_NORD_SAHARA_1959_VOIROL_UNIFIE_NORD            30791
/*      Nord Sahara 1959 Voirol Unifie Sud                                   */
#define PE_PCS_NORD_SAHARA_1959_VOIROL_UNIFIE_SUD             30792

/*      MGI (Ferro) Austria Gauss-Kruger West                                */
#define PE_PCS_MGI_FERRO_AUSTRIA_GK_WEST                      31251
/*      MGI (Ferro) Austria GK Central                                       */
#define PE_PCS_MGI_FERRO_AUSTRIA_GK_CENTRAL                   31252
/*      MGI (Ferro) Austria GK East                                          */
#define PE_PCS_MGI_FERRO_AUSTRIA_GK_EAST                      31253
/*      MGI Austria GK West                                                  */
#define PE_PCS_MGI_AUSTRIA_GK_WEST                            31254
/*      MGI Austria GK Central                                               */
#define PE_PCS_MGI_AUSTRIA_GK_CENTRAL                         31255
/*      MGI Austria GK East                                                  */
#define PE_PCS_MGI_AUSTRIA_GK_EAST                            31256
/*      MGI Austria GK M28                                                   */
#define PE_PCS_MGI_AUSTRIA_GK_M28                             31257
/*      MGI Austria GK M31                                                   */
#define PE_PCS_MGI_AUSTRIA_GK_M31                             31258
/*      MGI Austria GK M34                                                   */
#define PE_PCS_MGI_AUSTRIA_GK_M34                             31259

/*      MGI (Ferro) GK M28                                                   */
#define PE_PCS_MGI_FERRO_M28                                  31288
/*      MGI (Ferro) GK M31                                                   */
#define PE_PCS_MGI_FERRO_M31                                  31289
/*      MGI (Ferro) GK M34                                                   */
#define PE_PCS_MGI_FERRO_M34                                  31290

/*      NAD 1927 SPCS Zone Louisiana Offshore                                */
#define PE_PCS_NAD_1927_LA_O                                  32099

/*      NAD 1983 BLM Zone 14N ftUS                                           */
#define PE_PCS_NAD_1983_BLM_14N_FT_US                         32164
/*      NAD 1983 BLM Zone 15N ftUS                                           */
#define PE_PCS_NAD_1983_BLM_15N_FT_US                         32165
/*      NAD 1983 BLM Zone 16N ftUS                                           */
#define PE_PCS_NAD_1983_BLM_16N_FT_US                         32166
/*      NAD 1983 BLM Zone 17N ftUS                                           */
#define PE_PCS_NAD_1983_BLM_17N_FT_US                         32167

/*      NAD 1983 SPCS Zone Louisiana Offshore                                */
#define PE_PCS_NAD_1983_LA_O                                  32199

/*      WGS 1984 Plate Carree                                                */
#define PE_PCS_WGS_1984_PLATE_CARREE                          32662
/*      WGS 1984 BLM Zone 14N ftUS                                           */
#define PE_PCS_WGS_1984_BLM_14N_FT_US                         32664
/*      WGS 1984 BLM Zone 15N ftUS                                           */
#define PE_PCS_WGS_1984_BLM_15N_FT_US                         32665
/*      WGS 1984 BLM Zone 16N ftUS                                           */
#define PE_PCS_WGS_1984_BLM_16N_FT_US                         32666
/*      WGS 1984 BLM Zone 17N ftUS                                           */
#define PE_PCS_WGS_1984_BLM_17N_FT_US                         32667

/*      ETRS 1989 Slovenia TM                                                */
#define PE_PCS_ETRS_1989_SLOVENIA_TM                         102109
/*      NAD 1983 USFS R6 Albers                                              */
#define PE_PCS_NAD_1983_USFS_R6_ALBERS                       102218
/*      NAD 1983 HARN Mississippi Transverse Mercator                        */
#define PE_PCS_NAD_1983_HARN_MISSISSIPPI_TM                    3815

/*      WGS 1984 Major Auxiliary Web Mercator                                */
#define PE_PCS_WGS_1984_WEB_MERCATOR                         102113
/*      WGS 1984 Web Mercator Major Auxiliary Sphere                         */
#define PE_PCS_WGS_1984_WEB_MERCATOR_AUXSPHERE                 3857

/* NEW PCS's Post 9.0 -----------------------                                */

/*      US National Atlas Lambert Azimuthal Equal Area                       */
#define PE_PCS_US_NATIONAL_ATLAS_EQUAL_AREA                    2163

/*      Beduaram TM 13 NE                                                    */
#define PE_PCS_BEDUARAM_TM_13_NE                               2931
/*      Gunung Segara UTM Zone 50S                                           */
#define PE_PCS_GUNUNG_SEGARA_UTM_50S                           2933

/*      QND 1995 Qatar National Grid                                         */
#define PE_PCS_QND_1995_QATAR_GRID                             2932

/*      Pulkovo 1942 / CS63 zone A1                                          */
#define PE_PCS_PULKOVO_1942_CS63_A1                            2935
/*      Pulkovo 1942 / CS63 zone A2                                          */
#define PE_PCS_PULKOVO_1942_CS63_A2                            2936
/*      Pulkovo 1942 / CS63 zone A3                                          */
#define PE_PCS_PULKOVO_1942_CS63_A3                            2937
/*      Pulkovo 1942 / CS63 zone A4                                          */
#define PE_PCS_PULKOVO_1942_CS63_A4                            2938
/*      Pulkovo 1942 / CS63 zone K2                                          */
#define PE_PCS_PULKOVO_1942_CS63_K2                            2939
/*      Pulkovo 1942 / CS63 zone K3                                          */
#define PE_PCS_PULKOVO_1942_CS63_K3                            2940
/*      Pulkovo 1942 / CS63 zone K4                                          */
#define PE_PCS_PULKOVO_1942_CS63_K4                            2941

/*      ED 1950 Jordan Transverse Mercator                                   */
#define PE_PCS_ED_1950_JORDAN_TM                               3066
/*      DHDN / Soldner Berlin                                                */
#define PE_PCS_DHDN_SOLDNER_BERLIN                             3068
/*      NAD 1927 Wisconsin Transverse Mercator                               */
#define PE_PCS_NAD_1927_WISCONSIN_TM                           3069
/*      NAD 1983 Wisconsin Transverse Mercator                               */
#define PE_PCS_NAD_1983_WISCONSIN_TM                           3070
/*      NAD 1983 HARN Wisconsin Transverse Mercator                          */
#define PE_PCS_NAD_1983_HARN_WISCONSIN_TM                      3071

/*      NAD 1983 HARN Michigan GeoRef (Meters)                               */
#define PE_PCS_NAD_1983_HARN_MICHIGAN_GEOREF_M                 3079

/*      NAD 1983 Texas Centric Mapping System Lambert                        */
#define PE_PCS_NAD_1983_HARN_TEXAS_CENTRIC_LAMBERT             3084
/*      NAD 1983 Texas Centric Mapping System Albers                         */
#define PE_PCS_NAD_1983_HARN_TEXAS_CENTRIC_ALBERS              3085
/*      NAD 1983 Florida GDL Albers                                          */
#define PE_PCS_NAD_1983_FLORIDA_GDL_ALBERS                     3086
/*      NAD 1983 HARN Florida GDL Albers                                     */
#define PE_PCS_NAD_1983_HARN_FLORIDA_GDL_ALBERS                3087

/*      NAD 1983 HARN SPCS Kentucky (one zone) US Feet                       */
#define PE_PCS_NAD_1983_HARN_KY_FT                             3091

/*      Gulshan 303 Bangladesh TM                                            */
#define PE_PCS_GULSHAN_303_BANGLADESH_TM                       3106

/*      ETRS 1989 Guernsey Grid                                              */
#define PE_PCS_ETRS_1989_GUERNSEY_GRID                         3108
/*      ETRS 1989 Jersey Transverse Mercator                                 */
#define PE_PCS_ETRS_1989_JERSEY_TM                             3109

/*      GDA 1994 Geoscience Australia Lambert                                */
#define PE_PCS_GDA_1994_GEOSCIENCE_AUSTRALIA_LAMBERT           3112

/*      GDA 1994 BCSG02                                                      */
#define PE_PCS_GDA_1994_BCSG02                                 3113
/*      MAGNA Colombia Oeste Oeste                                           */
#define PE_PCS_MAGNA_COLOMBIA_OESTE_OESTE                      3114
/*      MAGNA Colombia Oeste                                                 */
#define PE_PCS_MAGNA_COLOMBIA_OESTE                            3115
/*      MAGNA Colombia Bogota                                                */
#define PE_PCS_MAGNA_COLOMBIA_BOGOTA                           3116
/*      MAGNA Colombia Este                                                  */
#define PE_PCS_MAGNA_COLOMBIA_ESTE                             3117
/*      MAGNA Colombia Este Este                                             */
#define PE_PCS_MAGNA_COLOMBIA_ESTE_ESTE                        3118

/*      PRS 1992 Philippines Zone I                                          */
#define PE_PCS_PRS_1992_PHILIPPINES_1                          3121
/*      PRS 1992 Philippines Zone II                                         */
#define PE_PCS_PRS_1992_PHILIPPINES_2                          3122
/*      PRS 1992 Philippines Zone III                                        */
#define PE_PCS_PRS_1992_PHILIPPINES_3                          3123
/*      PRS 1992 Philippines Zone IV                                         */
#define PE_PCS_PRS_1992_PHILIPPINES_4                          3124
/*      PRS 1992 Philippines Zone V                                          */
#define PE_PCS_PRS_1992_PHILIPPINES_5                          3125
/*      ETRS 1989 ETRS-GK19FIN                                               */
#define PE_PCS_ETRS_1989_ETRS_GK19FIN                          3126
/*      ETRS 1989 ETRS-GK20FIN                                               */
#define PE_PCS_ETRS_1989_ETRS_GK20FIN                          3127
/*      ETRS 1989 ETRS-GK21FIN                                               */
#define PE_PCS_ETRS_1989_ETRS_GK21FIN                          3128
/*      ETRS 1989 ETRS-GK22FIN                                               */
#define PE_PCS_ETRS_1989_ETRS_GK22FIN                          3129
/*      ETRS 1989 ETRS-GK23FIN                                               */
#define PE_PCS_ETRS_1989_ETRS_GK23FIN                          3130
/*      ETRS 1989 ETRS-GK24FIN                                               */
#define PE_PCS_ETRS_1989_ETRS_GK24FIN                          3131
/*      ETRS 1989 ETRS-GK15FIN                                               */
#define PE_PCS_ETRS_1989_ETRS_GK25FIN                          3132
/*      ETRS 1989 ETRS-GK26FIN                                               */
#define PE_PCS_ETRS_1989_ETRS_GK26FIN                          3133
/*      ETRS 1989 ETRS-GK27FIN                                               */
#define PE_PCS_ETRS_1989_ETRS_GK27FIN                          3134
/*      ETRS 1989 ETRS-GK28FIN                                               */
#define PE_PCS_ETRS_1989_ETRS_GK28FIN                          3135
/*      ETRS 1989 ETRS-GK29FIN                                               */
#define PE_PCS_ETRS_1989_ETRS_GK29FIN                          3136
/*      ETRS 1989 ETRS-GK30FIN                                               */
#define PE_PCS_ETRS_1989_ETRS_GK30FIN                          3137
/*      ETRS 1989 ETRS-GK31FIN                                               */
#define PE_PCS_ETRS_1989_ETRS_GK31FIN                          3138

/*      WGS 1984 USGS Transantarctic Mountains                               */
#define PE_PCS_WGS_1984_USGS_TRANSANTARCTIC_MTS                3294
/*      RGPF UTM Zone 5S                                                     */
#define PE_PCS_RGPF_UTM_5S                                     3296
/*      RGPF UTM Zone 6S                                                     */
#define PE_PCS_RGPF_UTM_6S                                     3297
/*      RGPF UTM Zone 7S                                                     */
#define PE_PCS_RGPF_UTM_7S                                     3298
/*      RGPF UTM Zone 8S                                                     */
#define PE_PCS_RGPF_UTM_8S                                     3299

/*      IGN63 Hiva Oa UTM Zone 7S                                            */
#define PE_PCS_IGN63_HIVA_OA_UTM_7S                            3302
/*      Fatu Iva 1972 UTM Zone 7S                                            */
#define PE_PCS_FATU_IVA_1972_UTM_7S                            3303
/*      Tahiti 1979 UTM Zone 6S                                              */
#define PE_PCS_TAHITI_1979_UTM_6S                              3304
/*      Moorea 1987 UTM Zone 6S                                              */
#define PE_PCS_MOOREA_1987_UTM_6S                              3305
/*      Maupiti 1983 UTM Zone 5S                                             */
#define PE_PCS_MAUPITI_1983_UTM_5S                             3306
/*      Nakhl-e Ghanem UTM Zone 39N                                          */
#define PE_PCS_NAKHL_E_GHANEM_UTM_39N                          3307
/*      GDA 1994 New South Wales Lambert                                     */
#define PE_PCS_GDA_1994_NSW_LAMBERT                            3308
/*      NAD 1927 California Teale Albers                                     */
#define PE_PCS_NAD_1927_CA_TEALE_ALBERS                        3309
/*      NAD 1983 California Teale Albers                                     */
#define PE_PCS_NAD_1983_CA_TEALE_ALBERS                        3310
/*      NAD 1983 HARN California Teale Albers                                */
#define PE_PCS_NAD_1983_HARN_CA_TEALE_ALBERS                   3311
/*      CSG 1967 UTM Zone 21N                                                */
#define PE_PCS_CSG_1967_UTM_21N                                3312
/*      RGFG 1995 UTM Zone 21N                                               */
#define PE_PCS_RGFG_1995_UTM_21N                               3313

/*      Katanga 1955 Katanga Lambert                                         */
#define PE_PCS_KATANGA_1955_KATANGA_LAMBERT                  102762
/*      Katanga 1955 Katanga TM                                              */
#define PE_PCS_KATANGA_1955_KATANGA_TM                         3315
/*      Kasai 1953 Congo TM Zone 22                                          */
#define PE_PCS_KASAI_1953_CONGO_TM_22                          3316
/*      Kasai 1953 Congo TM Zone 24                                          */
#define PE_PCS_KASAI_1953_CONGO_TM_24                          3317
/*      IGC 1962 Congo TM Zone 12                                            */
#define PE_PCS_IGC_1962_CONGO_TM_12                            3318
/*      IGC 1962 Congo TM Zone 14                                            */
#define PE_PCS_IGC_1962_CONGO_TM_14                            3319
/*      IGC 1962 Congo TM Zone 16                                            */
#define PE_PCS_IGC_1962_CONGO_TM_16                            3320
/*      IGC 1962 Congo TM Zone 18                                            */
#define PE_PCS_IGC_1962_CONGO_TM_18                            3321
/*      IGC 1962 Congo TM Zone 20                                            */
#define PE_PCS_IGC_1962_CONGO_TM_20                            3322
/*      IGC 1962 Congo TM Zone 22                                            */
#define PE_PCS_IGC_1962_CONGO_TM_22                            3323
/*      IGC 1962 Congo TM Zone 24                                            */
#define PE_PCS_IGC_1962_CONGO_TM_24                            3324
/*      IGC 1962 Congo TM Zone 26                                            */
#define PE_PCS_IGC_1962_CONGO_TM_26                            3325
/*      IGC 1962 Congo TM Zone 28                                            */
#define PE_PCS_IGC_1962_CONGO_TM_28                            3326
/*      IGC 1962 Congo TM Zone 30                                            */
#define PE_PCS_IGC_1962_CONGO_TM_30                            3327
/*      Pulkovo 1942(58) GUGiK-80                                            */
#define PE_PCS_PULKOVO_1942_ADJ_1958_GUGIK_80                  3328
/*      Pulkovo 1942(58) 3-Degree GK zone 5                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_5                3329
/*      Pulkovo 1942(58) 3-Degree GK zone 6                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_6                3330
/*      Pulkovo 1942(58) 3-Degree GK zone 7                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_7                3331
/*      Pulkovo 1942(58) 3-Degree GK zone 8                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1958_3_DEG_GK_8                3332

/*      Pulkovo 1942(58) GK zone 3                                           */
#define PE_PCS_PULKOVO_1942_ADJ_1958_GK_3                      3333
/*      Pulkovo 1942(58) GK zone 4                                           */
#define PE_PCS_PULKOVO_1942_ADJ_1958_GK_4                      3334
/*      Pulkovo 1942(58) GK zone 5                                           */
#define PE_PCS_PULKOVO_1942_ADJ_1958_GK_5                      3335

/*      Kerguelan Island 1949 UTM zone 42S                                   */
#define PE_PCS_KERGUELEN_ISLAND_1949_UTM_42S                   3336

/*      IGCB 1955 Congo TM Zone 12                                           */
#define PE_PCS_IGCB_1955_CONGO_TM_12                           3339
/*      IGCB 1955 Congo TM Zone 14                                           */
#define PE_PCS_IGCB_1955_CONGO_TM_14                           3340
/*      IGCB 1955 Congo TM Zone 16                                           */
#define PE_PCS_IGCB_1955_CONGO_TM_16                           3341
/*      IGCB 1955 Congo UTM Zone 33S                                         */
#define PE_PCS_IGCB_1955_UTM_33S                               3342

/*      Mauritania 1999 UTM Zone 28N                                         */
#define PE_PCS_MAURITANIA_1999_UTM_28N                         3343
/*      Mauritania 1999 UTM Zone 29N                                         */
#define PE_PCS_MAURITANIA_1999_UTM_29N                         3344
/*      Mauritania 1999 UTM Zone 30N                                         */
#define PE_PCS_MAURITANIA_1999_UTM_30N                         3345

/*      LKS 1994 Lithuania TM                                                */
#define PE_PCS_LKS_1994_LITHUANIA_TM                           3346

/*      NAD 1983 Statistics Canada Lambert                                   */
#define PE_PCS_NAD_1983_STATISTICS_CANADA_LAMBERT              3347

/*      WGS 1984 PDC Mercator (Pacific Disaster Center)                      */
#define PE_PCS_WGS_1984_PDC_MERCATOR                           3832
/*      Pulkovo 1942 / CS63 Zone K0                                          */
#define PE_PCS_PULKOVO_1942_CS63_C0                            3350
/*      Pulkovo 1942 / CS63 Zone K1                                          */
#define PE_PCS_PULKOVO_1942_CS63_C1                            3351
/*      Pulkovo 1942 / CS63 Zone K2                                          */
#define PE_PCS_PULKOVO_1942_CS63_C2                            3352

/*      Mhast (onshore) UTM Zone 32S                                         */
#define PE_PCS_MHAST_ONSHORE_UTM_32S                           3353
/*      Mhast (offshore) UTM Zone 32S                                        */
#define PE_PCS_MHAST_OFFSHORE_UTM_32S                          3354
/*      Egypt Gulf of Suez S-650 TL Red Belt                                 */
#define PE_PCS_EGYPT_GULF_SUEZ_S_650_TL_RED_BELT               3355
/*      Grand Cayman 1959 UTM Zone 17N                                       */
#define PE_PCS_GRAND_CAYMAN_1959_UTM_17N                       3356
/*      Little Cayman 1961 UTM Zone 17N                                      */
#define PE_PCS_LITTLE_CAYMAN_1961_UTM_17N                      3357

/*      NAD 1983 HARN SPCS North Carolina                                    */
#define PE_PCS_NAD_1983_HARN_NC                                3358

/*      NAD 1983 HARN SPCS South Carolina                                    */
#define PE_PCS_NAD_1983_HARN_SC                                3360
/*      NAD 1983 HARN SPCS South Carolina (Intl Feet)                        */
#define PE_PCS_NAD_1983_HARN_SC_FT_INTL                        3361
/*      NAD 1983 HARN SPCS Pennsylvania North                                */
#define PE_PCS_NAD_1983_HARN_PA_N                              3362
/*      NAD 1983 HARN SPCS Pennsylvania North (US Feet)                      */
#define PE_PCS_NAD_1983_HARN_PA_N_FT                           3363
/*      NAD 1983 HARN SPCS Pennsylvania South                                */
#define PE_PCS_NAD_1983_HARN_PA_S                              3364
/*      NAD 1983 HARN SPCS Pennsylvania South (US Feet)                      */
#define PE_PCS_NAD_1983_HARN_PA_S_FT                           3365

/*      Malaysia GDM 2000 MRSO                                               */
#define PE_PCS_GDM_2000_MRSO_PENINSULAR_MALAYSIA               3375
/*      Malaysia GDM 2000 BRS0 GDM 2000 Malaysian State Cassini PCS's        */
#define PE_PCS_GDM_2000_BRSO_EAST_MALAYSIA                     3376
/*      GDM 2000 Johor                                                       */
#define PE_PCS_GDM_2000_STATE_CASSINI_JOHOR                    3377
/*      GDM 2000 Negeri Sembilan & Melaka                                    */
#define PE_PCS_GDM_2000_STATE_CASSINI_N_SEMBILAN_MELAKA        3378
/*      GDM 2000 Pahang                                                      */
#define PE_PCS_GDM_2000_STATE_CASSINI_PAHANG                   3379
/*      GDM 2000 Selangor                                                    */
#define PE_PCS_GDM_2000_STATE_CASSINI_SELANGOR                 3380
/*      GDM 2000 Terengganu                                                  */
#define PE_PCS_GDM_2000_STATE_CASSINI_TERENGGANU               3381
/*      GDM 2000 Pulau Pinang & Seberang Perai                               */
#define PE_PCS_GDM_2000_STATE_CASSINI_P_PINANG_S_PERAI         3382
/*      GDM 2000 Kedah & Perlis                                              */
#define PE_PCS_GDM_2000_STATE_CASSINI_KEDAH_PERLIS             3383
/*      GDM 2000 Perak                                                       */
#define PE_PCS_GDM_2000_STATE_CASSINI_PERAK                    3384
/*      GDM 2000 Kelantan                                                    */
#define PE_PCS_GDM_2000_STATE_CASSINI_KELANTAN                 3385

/*      NAD 1983 HARN SPCS North Carolina (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_NC_FT                             3404

/*      Hong Kong 1963 Grid System                                           */
#define PE_PCS_HONG_KONG_1963_GRID                             3407

/*      Adindan UTM Zone 35N                                                 */
#define PE_PCS_ADINDAN_UTM_35N                                20135
/*      Adindan UTM Zone 36N                                                 */
#define PE_PCS_ADINDAN_UTM_36N                                20136

/*      Ain el Abd 1970 UTM Zone 36N                                         */
#define PE_PCS_AIN_EL_ABD_UTM_36N                             20436
/*      Ain el Abd 1970 UTM Zone 40N                                         */
#define PE_PCS_AIN_EL_ABD_UTM_40N                             20440

/*      POSGAR 1998 Argentina Zone 1                                         */
#define PE_PCS_POSGAR_1998_ARGENTINA_1                        22171
/*      POSGAR 1998 Argentina Zone 2                                         */
#define PE_PCS_POSGAR_1998_ARGENTINA_2                        22172
/*      POSGAR 1998 Argentina Zone 3                                         */
#define PE_PCS_POSGAR_1998_ARGENTINA_3                        22173
/*      POSGAR 1998 Argentina Zone 4                                         */
#define PE_PCS_POSGAR_1998_ARGENTINA_4                        22174
/*      POSGAR 1998 Argentina Zone 5                                         */
#define PE_PCS_POSGAR_1998_ARGENTINA_5                        22175
/*      POSGAR 1998 Argentina Zone 6                                         */
#define PE_PCS_POSGAR_1998_ARGENTINA_6                        22176
/*      POSGAR 1998 Argentina Zone 7                                         */
#define PE_PCS_POSGAR_1998_ARGENTINA_7                        22177

/*      POSGAR 1994 Argentina Zone 1                                         */
#define PE_PCS_POSGAR_1994_ARGENTINA_1                        22181
/*      POSGAR 1994 Argentina Zone 2                                         */
#define PE_PCS_POSGAR_1994_ARGENTINA_2                        22182
/*      POSGAR 1994 Argentina Zone 3                                         */
#define PE_PCS_POSGAR_1994_ARGENTINA_3                        22183
/*      POSGAR 1994 Argentina Zone 4                                         */
#define PE_PCS_POSGAR_1994_ARGENTINA_4                        22184
/*      POSGAR 1994 Argentina Zone 5                                         */
#define PE_PCS_POSGAR_1994_ARGENTINA_5                        22185
/*      POSGAR 1994 Argentina Zone 6                                         */
#define PE_PCS_POSGAR_1994_ARGENTINA_6                        22186
/*      POSGAR 1994 Argentina Zone 7                                         */
#define PE_PCS_POSGAR_1994_ARGENTINA_7                        22187

/*      Corrego Alegre UTM Zone 21S                                          */
#define PE_PCS_CORREGO_ALEGRE_UTM_21S                         22521
/*      Corrego Alegre UTM Zone 22S                                          */
#define PE_PCS_CORREGO_ALEGRE_UTM_22S                         22522
/*      Corrego Alegre UTM Zone 25S                                          */
#define PE_PCS_CORREGO_ALEGRE_UTM_25S                         22525

/*      Prov. S. Amer. Datum UTM Zone 17N                                    */
#define PE_PCS_PSAD_1956_UTM_17N                              24817
/*      Prov. S. Amer. Datum UTM Zone 21S                                    */
#define PE_PCS_PSAD_1956_UTM_21S                              24881

/*      Merchich Sahara Nord                                                 */
#define PE_PCS_MERCHICH_SAHARA_NORD                           26194
/*      Merchich Sahara Sud                                                  */
#define PE_PCS_MERCHICH_SAHARA_SUD                            26195

/*      Datum 73 Modified Portuguese Grid                                    */
#define PE_PCS_DATUM_73_MODIFIED_PORTUGUESE_GRID              27493

/*      Voirol 1879 Nord Algerie Ancienne                                    */
#define PE_PCS_VOIROL_1879_N_ALGERIE_ANCIENNE                 30493
/*      Voirol 1879 Sud Algerie Ancienne                                     */
#define PE_PCS_VOIROL_1879_S_ALGERIE_ANCIENNE                 30494

/* The 31977 - 31985 range was SIRGAS UTM 17S -- 25S                         */
/* but EPSG changed it to SIRGAS 2000 UTM 17S -- 25S.                        */
/* The SIRGAS UTM 17S -- 25S PCS's were moved to the range 31992 - 32000.    */

/*      SIRGAS 2000 UTM zone 17N                                             */
#define PE_PCS_SIRGAS_2000_UTM_17N                            31971
/*      SIRGAS 2000 UTM zone 18N                                             */
#define PE_PCS_SIRGAS_2000_UTM_18N                            31972
/*      SIRGAS 2000 UTM zone 19N                                             */
#define PE_PCS_SIRGAS_2000_UTM_19N                            31973
/*      SIRGAS 2000 UTM zone 20N                                             */
#define PE_PCS_SIRGAS_2000_UTM_20N                            31974
/*      SIRGAS 2000 UTM zone 21N                                             */
#define PE_PCS_SIRGAS_2000_UTM_21N                            31975
/*      SIRGAS 2000 UTM zone 22N                                             */
#define PE_PCS_SIRGAS_2000_UTM_22N                            31976
/*      SIRGAS 2000 UTM zone 17S                                             */
#define PE_PCS_SIRGAS_2000_UTM_17S                            31977
/*      SIRGAS 2000 UTM zone 18S                                             */
#define PE_PCS_SIRGAS_2000_UTM_18S                            31978
/*      SIRGAS 2000 UTM zone 19S                                             */
#define PE_PCS_SIRGAS_2000_UTM_19S                            31979
/*      SIRGAS 2000 UTM zone 20S                                             */
#define PE_PCS_SIRGAS_2000_UTM_20S                            31980
/*      SIRGAS 2000 UTM zone 21S                                             */
#define PE_PCS_SIRGAS_2000_UTM_21S                            31981
/*      SIRGAS 2000 UTM zone 22S                                             */
#define PE_PCS_SIRGAS_2000_UTM_22S                            31982
/*      SIRGAS 2000 UTM zone 23S                                             */
#define PE_PCS_SIRGAS_2000_UTM_23S                            31983
/*      SIRGAS 2000 UTM zone 24S                                             */
#define PE_PCS_SIRGAS_2000_UTM_24S                            31984
/*      SIRGAS 2000 UTM zone 25S                                             */
#define PE_PCS_SIRGAS_2000_UTM_25S                            31985

/*      Goode Homolosine - Land                                              */
#define PE_PCS_WORLD_GOODE_HOMOLOSINE_LAND                    54052
/*      Goode Homolosine - Ocean                                             */
#define PE_PCS_WORLD_GOODE_HOMOLOSINE_OCEAN                   54053

/*      D48 Slovenia TM                                                      */
#define PE_PCS_D48_SLOVENIA_TM                               102060
/*      JAD 2001 Jamaica Grid                                                */
#define PE_PCS_JAD_2001_JAMAICA_GRID                           3448
/*      Bab South Palau Azi Equidist                                         */
#define PE_PCS_BAB_SOUTH_PALAU_AZI_EQUI                      102096

/*      QND 1995 UTM Zone 39N                                                */
#define PE_PCS_QND_1995_UTM_39N                              102143
/*      Merchich (degrees) UTM Zone 28N                                      */
#define PE_PCS_MERCHICH_DEGREE_UTM_28N                       102144

/*      ETRS 1989 Kosovo Grid                                                */
#define PE_PCS_ETRS_1989_KOSOVO_GRID                         102157

/*      NAD 1983 Wisconsin Transverse Mercator - US Ft                       */
#define PE_PCS_NAD_1983_WISCONSIN_TM_FT_US                   102219
/*      NAD 1983 HARN Wisconsin Transverse Mercator - US Ft                  */
#define PE_PCS_NAD_1983_HARN_WISCONSIN_TM_FT_US              102220

/*      Costa Rica Norte                                                     */
#define PE_PCS_OCOTEPEQUE_1935_COSTA_RICA_LAMBERT_NORTE      102221
/*      Costa Rica Sur                                                       */
#define PE_PCS_OCOTEPEQUE_1935_COSTA_RICA_LAMBERT_SUR        102222
/*      Costa Rica TM 90                                                     */
#define PE_PCS_WGS_1984_COSTA_RICA_TM_90                     102223

/*      MONREF 1997 UTM Zone 46 N                                            */
#define PE_PCS_MONREF_1997_UTM_46N                           102224
/*      MONREF 1997 UTM Zone 47 N                                            */
#define PE_PCS_MONREF_1997_UTM_47N                           102225
/*      MONREF 1997 UTM Zone 48 N                                            */
#define PE_PCS_MONREF_1997_UTM_48N                           102226
/*      MONREF 1997 UTM Zone 49 N                                            */
#define PE_PCS_MONREF_1997_UTM_49N                           102227
/*      MONREF 1997 UTM Zone 50 N                                            */
#define PE_PCS_MONREF_1997_UTM_50N                           102228

/*      Colombia West West Zone                                              */
#define PE_PCS_BOGOTA_COLOMBIA_WEST_WEST                     102231
/*      Bogota Ciudad Bogota                                                 */
#define PE_PCS_BOGOTA_CIUDAD_BOGOTA                          102232
/*      MAGNA Ciudad Bogota                                                  */
#define PE_PCS_MAGNA_CIUDAD_BOGOTA                           102233

/*      NAD 1983 CSRS UTM Zone 14N                                           */
#define PE_PCS_NAD_1983_CSRS_UTM_14N                           3158
/*      NAD 1983 CSRS UTM Zone 15N                                           */
#define PE_PCS_NAD_1983_CSRS_UTM_15N                           3159
/*      NAD 1983 CSRS UTM Zone 16N                                           */
#define PE_PCS_NAD_1983_CSRS_UTM_16N                           3160

/*      Pohnpei Azim Equidist 1971                                           */
#define PE_PCS_POHNPEI_AZ_EQ_1971                            102237
/*      Saipan Azim Equidistant 1969                                         */
#define PE_PCS_SAIPAN_AZ_EQ_1969                             102238
/*      Guam 1963 TNet                                                       */
#define PE_PCS_GUAM_GEODETIC_TRIANGULATION_NETWORK_1963      102239
/*      Guam 1993 Net                                                        */
#define PE_PCS_GUAM_GEODETIC_NETWORK_1993                    102240

/*      WGS84 ARC System Zone 1                                              */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_1                    102421
/*      WGS84 ARC System Zone 2                                              */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_2                    102422
/*      WGS84 ARC System Zone 3                                              */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_3                    102423
/*      WGS84 ARC System Zone 4                                              */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_4                    102424
/*      WGS84 ARC System Zone 5                                              */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_5                    102425
/*      WGS84 ARC System Zone 6                                              */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_6                    102426
/*      WGS84 ARC System Zone 7                                              */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_7                    102427
/*      WGS84 ARC System Zone 8                                              */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_8                    102428
/*      WGS84 ARC System Zone 9                                              */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_9                    102429
/*      WGS84 ARC System Zone 10                                             */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_10                   102430
/*      WGS84 ARC System Zone 11                                             */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_11                   102431
/*      WGS84 ARC System Zone 12                                             */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_12                   102432
/*      WGS84 ARC System Zone 13                                             */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_13                   102433
/*      WGS84 ARC System Zone 14                                             */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_14                   102434
/*      WGS84 ARC System Zone 15                                             */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_15                   102435
/*      WGS84 ARC System Zone 16                                             */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_16                   102436
/*      WGS84 ARC System Zone 17                                             */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_17                   102437
/*      WGS84 ARC System Zone 18                                             */
#define PE_PCS_WGS_1984_ARC_SYSTEM_ZONE_18                   102438

/*      LKS 1992 Latvia TM with FN = 0                                       */
#define PE_PCS_LKS_1992_LATVIA_TM_0                          102440

/*      TWD 1967 TM for Taiwan, Liuchlu, LuTao, LanYu, GuiShanDao            */
#define PE_PCS_TWD_1967_TM_TAIWAN                            102441
/*      TWD 1967 Transverse Mercator for Penghu                              */
#define PE_PCS_TWD_1967_TM_PENGHU                            102442
/*      TWD 1997 TM for Taiwan, Liuchlu, LuTao, LanYu, GuiShanDao            */
#define PE_PCS_TWD_1997_TM_TAIWAN                            102443
/*      TWD 1997 Transverse Mercator for Penghu                              */
#define PE_PCS_TWD_1997_TM_PENGHU                            102444

/*      NAD 1983 HARN SPCS Minnesota North (US Feet)                         */
#define PE_PCS_NAD_1983_HARN_MN_N_FT                          26857
/*      NAD 1983 HARN SPCS Minnesota Central (US Feet)                       */
#define PE_PCS_NAD_1983_HARN_MN_C_FT                          26858
/*      NAD 1983 HARN SPCS Minnesota South (US Feet)                         */
#define PE_PCS_NAD_1983_HARN_MN_S_FT                          26859

/*      NAD 1983 Mississippi Transverse Mercator                             */
#define PE_PCS_NAD_1983_MISSISSIPPI_TM                         3814


/* WISCRS - Wisconsin Coordinate Reference Systems                           */

/* based on Transverse Mercator                                              */
/*      NAD 1983 HARN Wisconsin CRS Adams (meters)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_AD_M                     103300
/*      NAD 1983 HARN Wisconsin CRS Ashland (meters)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_AL_M                     103301
/*      NAD 1983 HARN Wisconsin CRS Barron (meters)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_BA_M                     103302
/*      NAD 1983 HARN Wisconsin CRS Brown (meters)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_BR_M                     103304
/*      NAD 1983 HARN Wisconsin CRS Buffalo (meters)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_BU_M                     103305
/*      NAD 1983 HARN Wisconsin CRS Calumet (meters)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_CL_M                     103307
/*      NAD 1983 HARN Wisconsin CRS Clark (meters)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_CK_M                     103309
/*      NAD 1983 HARN Wisconsin CRS Dodge (meters)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_DD_M                     103313
/*      NAD 1983 HARN Wisconsin CRS Door (meters)                            */
#define PE_PCS_NAD_1983_HARN_WISCRS_DR_M                     103314
/*      NAD 1983 HARN Wisconsin CRS Douglas (meters)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_DG_M                     103315
/*      NAD 1983 HARN Wisconsin CRS Dunn (meters)                            */
#define PE_PCS_NAD_1983_HARN_WISCRS_DU_M                     103316
/*      NAD 1983 HARN Wisconsin CRS Florence (meters)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_FN_M                     103318
/*      NAD 1983 HARN Wisconsin CRS Fond du Lac (meters)                     */
#define PE_PCS_NAD_1983_HARN_WISCRS_FL_M                     103319
/*      NAD 1983 HARN Wisconsin CRS Forest (meters)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_FR_M                     103320
/*      NAD 1983 HARN Wisconsin CRS Grant (meters)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_GT_M                     103321
/*      NAD 1983 HARN Wisconsin CRS Iowa (meters)                            */
#define PE_PCS_NAD_1983_HARN_WISCRS_IA_M                     103324
/*      NAD 1983 HARN Wisconsin CRS Iron (meters)                            */
#define PE_PCS_NAD_1983_HARN_WISCRS_IR_M                     103325
/*      NAD 1983 HARN Wisconsin CRS Jackson (meters)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_JA_M                     103326
/*      NAD 1983 HARN Wisconsin CRS Jefferson (meters)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_JF_M                     103327
/*      NAD 1983 HARN Wisconsin CRS Juneau (meters)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_JN_M                     103328
/*      NAD 1983 HARN Wisconsin CRS Kenosha (meters)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_KN_M                     103329
/*      NAD 1983 HARN Wisconsin CRS Kewaunee (meters)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_KW_M                     103330
/*      NAD 1983 HARN Wisconsin CRS LaCrosse (meters)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_LC_M                     103331
/*      NAD 1983 HARN Wisconsin CRS Lincoln (meters)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_LN_M                     103334
/*      NAD 1983 HARN Wisconsin CRS Manitowoc (meters)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_MT_M                     103335
/*      NAD 1983 HARN Wisconsin CRS Marinette (meters)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_MN_M                     103337
/*      NAD 1983 HARN Wisconsin CRS Menominee (meters)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_ME_M                     103339
/*      NAD 1983 HARN Wisconsin CRS Milwaukee (meters)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_MW_M                     103340
/*      NAD 1983 HARN Wisconsin CRS Oconto (meters)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_OC_M                     103342
/*      NAD 1983 HARN Wisconsin CRS Outagamie (meters)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_OG_M                     103344
/*      NAD 1983 HARN Wisconsin CRS Ozaukee (meters)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_OZ_M                     103345
/*      NAD 1983 HARN Wisconsin CRS Polk (meters)                            */
#define PE_PCS_NAD_1983_HARN_WISCRS_PK_M                     103348
/*      NAD 1983 HARN Wisconsin CRS Price (meters)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_PR_M                     103350
/*      NAD 1983 HARN Wisconsin CRS Racine (meters)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_RA_M                     103351
/*      NAD 1983 HARN Wisconsin CRS Rock (meters)                            */
#define PE_PCS_NAD_1983_HARN_WISCRS_RK_M                     103353
/*      NAD 1983 HARN Wisconsin CRS Rusk (meters)                            */
#define PE_PCS_NAD_1983_HARN_WISCRS_RS_M                     103354
/*      NAD 1983 HARN Wisconsin CRS Sauk (meters)                            */
#define PE_PCS_NAD_1983_HARN_WISCRS_SK_M                     103355
/*      NAD 1983 HARN Wisconsin CRS Shawano (meters)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_SH_M                     103357
/*      NAD 1983 HARN Wisconsin CRS Sheboygan (meters)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_SG_M                     103358
/*      NAD 1983 HARN Wisconsin CRS St Croix (meters)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_SC_M                     103359
/*      NAD 1983 HARN Wisconsin CRS Trempealeau (meters)                     */
#define PE_PCS_NAD_1983_HARN_WISCRS_TR_M                     103361
/*      NAD 1983 HARN Wisconsin CRS Washington (meters)                      */
#define PE_PCS_NAD_1983_HARN_WISCRS_WA_M                     103366
/*      NAD 1983 HARN Wisconsin CRS Waukesha (meters)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_WK_M                     103367
/*      NAD 1983 HARN Wisconsin CRS Waupaca (meters)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_WP_M                     103368
/*      NAD 1983 HARN Wisconsin CRS Winnebago (meters)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_WN_M                     103370

/* based on Lambert Conformal Conic                                          */
/*      NAD 1983 HARN Wisconsin CRS Bayfield (meters)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_BF_M                     103303
/*      NAD 1983 HARN Wisconsin CRS Burnett (meters)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_BN_M                     103306
/*      NAD 1983 HARN Wisconsin CRS Chippewa (meters)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_CP_M                     103308
/*      NAD 1983 HARN Wisconsin CRS Columbia (meters)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_CO_M                     103310
/*      NAD 1983 HARN Wisconsin CRS Crawford (meters)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_CR_M                     103311
/*      NAD 1983 HARN Wisconsin CRS Dane (meters)                            */
#define PE_PCS_NAD_1983_HARN_WISCRS_DN_M                     103312
/*      NAD 1983 HARN Wisconsin CRS EauClaire (meters)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_EC_M                     103317
/*      NAD 1983 HARN Wisconsin CRS Green (meters)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_GR_M                     103322
/*      NAD 1983 HARN Wisconsin CRS GreenLake (meters)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_GL_M                     103323
/*      NAD 1983 HARN Wisconsin CRS Lafayette (meters)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_LF_M                     103332
/*      NAD 1983 HARN Wisconsin CRS Langlade (meters)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_LG_M                     103333
/*      NAD 1983 HARN Wisconsin CRS Marathon (meters)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_MA_M                     103336
/*      NAD 1983 HARN Wisconsin CRS Marquette (meters)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_MQ_M                     103338
/*      NAD 1983 HARN Wisconsin CRS Monroe (meters)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_MR_M                     103341
/*      NAD 1983 HARN Wisconsin CRS Oneida (meters)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_ON_M                     103343
/*      NAD 1983 HARN Wisconsin CRS Pepin (meters)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_PP_M                     103346
/*      NAD 1983 HARN Wisconsin CRS Pierce (meters)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_PC_M                     103347
/*      NAD 1983 HARN Wisconsin CRS Portage (meters)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_PT_M                     103349
/*      NAD 1983 HARN Wisconsin CRS Richland (meters)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_RC_M                     103352
/*      NAD 1983 HARN Wisconsin CRS Sawyer (meters)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_SW_M                     103356
/*      NAD 1983 HARN Wisconsin CRS Taylor (meters)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_TA_M                     103360
/*      NAD 1983 HARN Wisconsin CRS Vernon (meters)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_VR_M                     103362
/*      NAD 1983 HARN Wisconsin CRS Vilas (meters)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_VI_M                     103363
/*      NAD 1983 HARN Wisconsin CRS Walworth (meters)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_WW_M                     103364
/*      NAD 1983 HARN Wisconsin CRS Washburn (meters)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_WB_M                     103365
/*      NAD 1983 HARN Wisconsin CRS Waushara (meters)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_WS_M                     103369
/*      NAD 1983 HARN Wisconsin CRS Wood (meters)                            */
#define PE_PCS_NAD_1983_HARN_WISCRS_WD_M                     103371

/* based on Transverse Mercator                                              */
/*      NAD 1983 HARN Wisconsin CRS Adams (US feet)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_AD_FT                    103400
/*      NAD 1983 HARN Wisconsin CRS Ashland (US feet)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_AL_FT                    103401
/*      NAD 1983 HARN Wisconsin CRS Barron (US feet)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_BA_FT                    103402
/*      NAD 1983 HARN Wisconsin CRS Brown (US feet)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_BR_FT                    103404
/*      NAD 1983 HARN Wisconsin CRS Buffalo (US feet)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_BU_FT                    103405
/*      NAD 1983 HARN Wisconsin CRS Calumet (US feet)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_CL_FT                    103407
/*      NAD 1983 HARN Wisconsin CRS Clark (US feet)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_CK_FT                    103409
/*      NAD 1983 HARN Wisconsin CRS Dodge (US feet)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_DD_FT                    103413
/*      NAD 1983 HARN Wisconsin CRS Door (US feet)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_DR_FT                    103414
/*      NAD 1983 HARN Wisconsin CRS Douglas (US feet)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_DG_FT                    103415
/*      NAD 1983 HARN Wisconsin CRS Dunn (US feet)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_DU_FT                    103416
/*      NAD 1983 HARN Wisconsin CRS Florence (US feet)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_FN_FT                    103418
/*      NAD 1983 HARN Wisconsin CRS Fond du Lac (US feet)                    */
#define PE_PCS_NAD_1983_HARN_WISCRS_FL_FT                    103419
/*      NAD 1983 HARN Wisconsin CRS Forest (US feet)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_FR_FT                    103420
/*      NAD 1983 HARN Wisconsin CRS Grant (US feet)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_GT_FT                    103421
/*      NAD 1983 HARN Wisconsin CRS Iowa (US feet)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_IA_FT                    103424
/*      NAD 1983 HARN Wisconsin CRS Iron (US feet)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_IR_FT                    103425
/*      NAD 1983 HARN Wisconsin CRS Jackson (US feet)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_JA_FT                    103426
/*      NAD 1983 HARN Wisconsin CRS Jefferson (US feet)                      */
#define PE_PCS_NAD_1983_HARN_WISCRS_JF_FT                    103427
/*      NAD 1983 HARN Wisconsin CRS Juneau (US feet)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_JN_FT                    103428
/*      NAD 1983 HARN Wisconsin CRS Kenosha (US feet)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_KN_FT                    103429
/*      NAD 1983 HARN Wisconsin CRS Kewaunee (US feet)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_KW_FT                    103430
/*      NAD 1983 HARN Wisconsin CRS LaCrosse (US feet)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_LC_FT                    103431
/*      NAD 1983 HARN Wisconsin CRS Lincoln (US feet)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_LN_FT                    103434
/*      NAD 1983 HARN Wisconsin CRS Manitowoc (US feet)                      */
#define PE_PCS_NAD_1983_HARN_WISCRS_MT_FT                    103435
/*      NAD 1983 HARN Wisconsin CRS Marinette (US feet)                      */
#define PE_PCS_NAD_1983_HARN_WISCRS_MN_FT                    103437
/*      NAD 1983 HARN Wisconsin CRS Menominee (US feet)                      */
#define PE_PCS_NAD_1983_HARN_WISCRS_ME_FT                    103439
/*      NAD 1983 HARN Wisconsin CRS Milwaukee (US feet)                      */
#define PE_PCS_NAD_1983_HARN_WISCRS_MW_FT                    103440
/*      NAD 1983 HARN Wisconsin CRS Oconto (US feet)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_OC_FT                    103442
/*      NAD 1983 HARN Wisconsin CRS Outagamie (US feet)                      */
#define PE_PCS_NAD_1983_HARN_WISCRS_OG_FT                    103444
/*      NAD 1983 HARN Wisconsin CRS Ozaukee (US feet)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_OZ_FT                    103445
/*      NAD 1983 HARN Wisconsin CRS Polk (US feet)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_PK_FT                    103448
/*      NAD 1983 HARN Wisconsin CRS Price (US feet)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_PR_FT                    103450
/*      NAD 1983 HARN Wisconsin CRS Racine (US feet)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_RA_FT                    103451
/*      NAD 1983 HARN Wisconsin CRS Rock (US feet)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_RK_FT                    103453
/*      NAD 1983 HARN Wisconsin CRS Rusk (US feet)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_RS_FT                    103454
/*      NAD 1983 HARN Wisconsin CRS Sauk (US feet)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_SK_FT                    103455
/*      NAD 1983 HARN Wisconsin CRS Shawano (US feet)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_SH_FT                    103457
/*      NAD 1983 HARN Wisconsin CRS Sheboygan (US feet)                      */
#define PE_PCS_NAD_1983_HARN_WISCRS_SG_FT                    103458
/*      NAD 1983 HARN Wisconsin CRS St Croix (US feet)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_SC_FT                    103459
/*      NAD 1983 HARN Wisconsin CRS Trempealeau (US feet)                    */
#define PE_PCS_NAD_1983_HARN_WISCRS_TR_FT                    103461
/*      NAD 1983 HARN Wisconsin CRS Washington (US feet)                     */
#define PE_PCS_NAD_1983_HARN_WISCRS_WA_FT                    103466
/*      NAD 1983 HARN Wisconsin CRS Waukesha (US feet)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_WK_FT                    103467
/*      NAD 1983 HARN Wisconsin CRS Waupaca (US feet)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_WP_FT                    103468
/*      NAD 1983 HARN Wisconsin CRS Winnebago (US feet)                      */
#define PE_PCS_NAD_1983_HARN_WISCRS_WN_FT                    103470

/* based on Lambert Conformal Conic                                          */
/*      NAD 1983 HARN Wisconsin CRS Bayfield (US feet)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_BF_FT                    103403
/*      NAD 1983 HARN Wisconsin CRS Burnett (US feet)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_BN_FT                    103406
/*      NAD 1983 HARN Wisconsin CRS Chippewa (US feet)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_CP_FT                    103408
/*      NAD 1983 HARN Wisconsin CRS Columbia (US feet)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_CO_FT                    103410
/*      NAD 1983 HARN Wisconsin CRS Crawford (US feet)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_CR_FT                    103411
/*      NAD 1983 HARN Wisconsin CRS Dane (US feet)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_DN_FT                    103412
/*      NAD 1983 HARN Wisconsin CRS EauClaire (US feet)                      */
#define PE_PCS_NAD_1983_HARN_WISCRS_EC_FT                    103417
/*      NAD 1983 HARN Wisconsin CRS Green (US feet)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_GR_FT                    103422
/*      NAD 1983 HARN Wisconsin CRS GreenLake (US feet)                      */
#define PE_PCS_NAD_1983_HARN_WISCRS_GL_FT                    103423
/*      NAD 1983 HARN Wisconsin CRS Lafayette (US feet)                      */
#define PE_PCS_NAD_1983_HARN_WISCRS_LF_FT                    103432
/*      NAD 1983 HARN Wisconsin CRS Langlade (US feet)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_LG_FT                    103433
/*      NAD 1983 HARN Wisconsin CRS Marathon (US feet)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_MA_FT                    103436
/*      NAD 1983 HARN Wisconsin CRS Marquette (US feet)                      */
#define PE_PCS_NAD_1983_HARN_WISCRS_MQ_FT                    103438
/*      NAD 1983 HARN Wisconsin CRS Monroe (US feet)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_MR_FT                    103441
/*      NAD 1983 HARN Wisconsin CRS Oneida (US feet)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_ON_FT                    103443
/*      NAD 1983 HARN Wisconsin CRS Pepin (US feet)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_PP_FT                    103446
/*      NAD 1983 HARN Wisconsin CRS Pierce (US feet)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_PC_FT                    103447
/*      NAD 1983 HARN Wisconsin CRS Portage (US feet)                        */
#define PE_PCS_NAD_1983_HARN_WISCRS_PT_FT                    103449
/*      NAD 1983 HARN Wisconsin CRS Richland (US feet)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_RC_FT                    103452
/*      NAD 1983 HARN Wisconsin CRS Sawyer (US feet)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_SW_FT                    103456
/*      NAD 1983 HARN Wisconsin CRS Taylor (US feet)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_TA_FT                    103460
/*      NAD 1983 HARN Wisconsin CRS Vernon (US feet)                         */
#define PE_PCS_NAD_1983_HARN_WISCRS_VR_FT                    103462
/*      NAD 1983 HARN Wisconsin CRS Vilas (US feet)                          */
#define PE_PCS_NAD_1983_HARN_WISCRS_VI_FT                    103463
/*      NAD 1983 HARN Wisconsin CRS Walworth (US feet)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_WW_FT                    103464
/*      NAD 1983 HARN Wisconsin CRS Washburn (US feet)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_WB_FT                    103465
/*      NAD 1983 HARN Wisconsin CRS Waushara (US feet)                       */
#define PE_PCS_NAD_1983_HARN_WISCRS_WS_FT                    103469
/*      NAD 1983 HARN Wisconsin CRS Wood (US feet)                           */
#define PE_PCS_NAD_1983_HARN_WISCRS_WD_FT                    103471

/* END of NEW PCS's Post 9.0 -----------------------                         */

/* NEW PCS's at 9.0 -----------------------                                  */

/*      Ain el Abd Aramco Lambert                                            */
#define PE_PCS_AIN_EL_ABD_ARAMCO_LAMBERT                       2318
/*      Albanian 1987 Gauss-K Zone 4                                         */
#define PE_PCS_ALBANIAN_1987_GK_4                              2462
/*      Azores Central 1995 UTM Zone 26N                                     */
#define PE_PCS_AZORES_CENTRAL_1995_UTM_26N                     3063
/*      Azores Oriental 1995 UTM Zone 26N                                    */
#define PE_PCS_AZORES_ORIENTAL_1995_UTM_26N                    3062

/*      Batavia TM 109 SE                                                    */
#define PE_PCS_BATAVIA_TM_109_SE                               2308
/*      Batavia NEIEZ                                                        */
#define PE_PCS_BATAVIA_NEIEZ                                   3001

/* Beijing 1954 3 Degree Gauss Kruger Zones                                  */
/*      Beijing 1954 3-degree GK zone 25                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_25                     2401
/*      Beijing 1954 3-degree GK zone 26                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_26                     2402
/*      Beijing 1954 3-degree GK zone 27                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_27                     2403
/*      Beijing 1954 3-degree GK zone 28                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_28                     2404
/*      Beijing 1954 3-degree GK zone 29                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_29                     2405
/*      Beijing 1954 3-degree GK zone 30                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_30                     2406
/*      Beijing 1954 3-degree GK zone 31                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_31                     2407
/*      Beijing 1954 3-degree GK zone 32                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_32                     2408
/*      Beijing 1954 3-degree GK zone 33                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_33                     2409
/*      Beijing 1954 3-degree GK zone 34                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_34                     2410
/*      Beijing 1954 3-degree GK zone 35                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_35                     2411
/*      Beijing 1954 3-degree GK zone 36                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_36                     2412
/*      Beijing 1954 3-degree GK zone 37                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_37                     2413
/*      Beijing 1954 3-degree GK zone 38                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_38                     2414
/*      Beijing 1954 3-degree GK zone 39                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_39                     2415
/*      Beijing 1954 3-degree GK zone 40                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_40                     2416
/*      Beijing 1954 3-degree GK zone 41                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_41                     2417
/*      Beijing 1954 3-degree GK zone 42                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_42                     2418
/*      Beijing 1954 3-degree GK zone 43                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_43                     2419
/*      Beijing 1954 3-degree GK zone 44                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_44                     2420
/*      Beijing 1954 3-degree GK zone 45                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_45                     2421


/* Beijing 1954 3 Degree Gauss Kruger Central Meridian zones                 */
/*      Beijing 1954 3-degree GK CM 75E                                      */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_75E                    2422
/*      Beijing 1954 3-degree GK CM 78E                                      */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_78E                    2423
/*      Beijing 1954 3-degree GK CM 81E                                      */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_81E                    2424
/*      Beijing 1954 3-degree GK CM 84E                                      */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_84E                    2425
/*      Beijing 1954 3-degree GK CM 87E                                      */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_87E                    2426
/*      Beijing 1954 3-degree GK CM 90E                                      */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_90E                    2427
/*      Beijing 1954 3-degree GK CM 93E                                      */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_93E                    2428
/*      Beijing 1954 3-degree GK CM 96E                                      */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_96E                    2429
/*      Beijing 1954 3-degree GK CM 99E                                      */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_99E                    2430
/*      Beijing 1954 3-degree GK CM 102E                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_102E                   2431
/*      Beijing 1954 3-degree GK CM 105E                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_105E                   2432
/*      Beijing 1954 3-degree GK CM 108E                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_108E                   2433
/*      Beijing 1954 3-degree GK CM 111E                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_111E                   2434
/*      Beijing 1954 3-degree GK CM 114E                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_114E                   2435
/*      Beijing 1954 3-degree GK CM 117E                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_117E                   2436
/*      Beijing 1954 3-degree GK CM 120E                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_120E                   2437
/*      Beijing 1954 3-degree GK CM 123E                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_123E                   2438
/*      Beijing 1954 3-degree GK CM 126E                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_126E                   2439
/*      Beijing 1954 3-degree GK CM 129E                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_129E                   2440
/*      Beijing 1954 3-degree GK CM 132E                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_132E                   2441
/*      Beijing 1954 3-degree GK CM 135E                                     */
#define PE_PCS_BEIJING_1954_3_DEGREE_GK_135E                   2442


/*      Campo Inchauspe UTM zone 19S                                         */
#define PE_PCS_CAMPO_INCHAUSPE_UTM_19S                         2315
/*      Campo Inchauspe UTM zone 20S                                         */
#define PE_PCS_CAMPO_INCHAUSPE_UTM_20S                         2316
/*      Combani 1950 UTM zone 38S                                            */
#define PE_PCS_COMBANI_1950_UTM_38S                            2980
/*      CSG 1967 UTM zone 22N                                                */
#define PE_PCS_CSG_1967_UTM_22N                                2971
/*      Douala 1948 AEF west                                                 */
#define PE_PCS_DOUALA_1948_AEF_WEST                            3119

/* European Datum 1950 3-degree Gauss-Kruger zones                           */
/*      ED 1950 3 Degree GK Zone 9                                           */
#define PE_PCS_ED_1950_3_DEGREE_GK_9                           2206
/*      ED 1950 3 Degree GK Zone 10                                          */
#define PE_PCS_ED_1950_3_DEGREE_GK_10                          2207
/*      ED 1950 3 Degree GK Zone 11                                          */
#define PE_PCS_ED_1950_3_DEGREE_GK_11                          2208
/*      ED 1950 3 Degree GK Zone 12                                          */
#define PE_PCS_ED_1950_3_DEGREE_GK_12                          2209
/*      ED 1950 3 Degree GK Zone 13                                          */
#define PE_PCS_ED_1950_3_DEGREE_GK_13                          2210
/*      ED 1950 3 Degree GK Zone 14                                          */
#define PE_PCS_ED_1950_3_DEGREE_GK_14                          2211
/*      ED 1950 3 Degree GK Zone 15                                          */
#define PE_PCS_ED_1950_3_DEGREE_GK_15                          2212

/*      ED 1950 France EuroLambert                                           */
#define PE_PCS_ED_1950_FRANCE_EUROLAMBERT                      2192

/* European Datum 1950 Transverse Mercator Central Meridian zones            */
/*      ED50 TM27                                                            */
#define PE_PCS_ED_1950_TM27                                    2319
/*      ED50 TM30                                                            */
#define PE_PCS_ED_1950_TM30                                    2320
/*      ED50 TM33                                                            */
#define PE_PCS_ED_1950_TM33                                    2321
/*      ED50 TM36                                                            */
#define PE_PCS_ED_1950_TM36                                    2322
/*      ED50 TM39                                                            */
#define PE_PCS_ED_1950_TM39                                    2323
/*      ED50 TM42                                                            */
#define PE_PCS_ED_1950_TM42                                    2324
/*      ED50 TM45                                                            */
#define PE_PCS_ED_1950_TM45                                    2325

/* European Datum 1950 Turkey zones                                          */
/*      ED 1950 Turkey Zone 9                                                */
#define PE_PCS_ED_1950_TURKEY_9                                2181
/*      ED 1950 Turkey Zone 10                                               */
#define PE_PCS_ED_1950_TURKEY_10                               2182
/*      ED 1950 Turkey Zone 11                                               */
#define PE_PCS_ED_1950_TURKEY_11                               2183
/*      ED 1950 Turkey Zone 12                                               */
#define PE_PCS_ED_1950_TURKEY_12                               2184
/*      ED 1950 Turkey Zone 13                                               */
#define PE_PCS_ED_1950_TURKEY_13                               2185
/*      ED 1950 Turkey Zone 14                                               */
#define PE_PCS_ED_1950_TURKEY_14                               2186
/*      ED 1950 Turkey Zone 15                                               */
#define PE_PCS_ED_1950_TURKEY_15                               2187

/*      EST 1997 Estonia National Grid                                       */
#define PE_PCS_ESTONIA_1997_ESTONIA_GRID                       3301

/*      ETRS 1989 Kp2000 Bornholm                                            */
#define PE_PCS_ETRS_1989_KP2000_BORNHOLM                       2198
/*      ETRS 1989 Kp2000 Jutland                                             */
#define PE_PCS_ETRS_1989_KP2000_JUTLAND                        2196
/*      ETRS 1989 Kp2000 Zealand                                             */
#define PE_PCS_ETRS_1989_KP2000_ZEALAND                        2197
/*      ETRS 1989 Lambert Azimuthal Equal Area Coord Ref Sys                 */
#define PE_PCS_ETRS_1989_LAEA                                  3035
/*      ETRS 1989 Lambert Conformal Conic Coord Ref Sys                      */
#define PE_PCS_ETRS_1989_LCC                                   3034
/*      ETRS 1989 Poland CS2000 Zone 5                                       */
#define PE_PCS_ETRS_1989_POLAND_CS2000_5                       2176
/*      ETRS 1989 Poland CS2000 Zone 6                                       */
#define PE_PCS_ETRS_1989_POLAND_CS2000_6                       2177
/*      ETRS 1989 Poland CS2000 Zone 7                                       */
#define PE_PCS_ETRS_1989_POLAND_CS2000_7                       2178
/*      ETRS 1989 Poland CS2000 Zone 8                                       */
#define PE_PCS_ETRS_1989_POLAND_CS2000_8                       2179
/*      ETRS 1989 Poland CS92                                                */
#define PE_PCS_ETRS_1989_POLAND_CS92                           2180
/*      ETRS 1989 TM 30 NE                                                   */
#define PE_PCS_ETRS_1989_TM_30_NE                              2213

/*      Fort Desaix UTM zone 20N                                             */
#define PE_PCS_FORT_DESAIX_UTM_20N                             2973
/*      Fort Marigot UTM zone 20N                                            */
#define PE_PCS_FORT_MARIGOT_UTM_20N                            2969
/*      Grand Comoros UTM zone 38S                                           */
#define PE_PCS_GRAND_COMOROS_UTM_38S                           2999
/*      Gunung Segara NEIEZ                                                  */
#define PE_PCS_GUNUNG_SEGARA_NEIEZ                             3000
/*      Helle 1954 Jan Mayen Grid                                            */
#define PE_PCS_HELLE_1954_JAN_MAYEN_GRID                       3058
/*      Hjorsey 1955 UTM Zone 26N                                            */
#define PE_PCS_HJORSEY_1955_UTM_26N                            3054
/*      Hjorsey 1955 UTM Zone 27N                                            */
#define PE_PCS_HJORSEY_1955_UTM_27N                            3055
/*      Hjorsey 1955 UTM Zone 28N                                            */
#define PE_PCS_HJORSEY_1955_UTM_28N                            3056
/*      IGM 1995 UTM Zone 32N                                                */
#define PE_PCS_IGM_1995_UTM_32N                                3064
/*      IGM 1995 UTM Zone 33N                                                */
#define PE_PCS_IGM_1995_UTM_33N                                3065
/*      IGN53 Mare UTM zone 58S                                              */
#define PE_PCS_IGN53_MARE_UTM_58S                              2995
/*      IGN56 Lifou UTM zone 58S                                             */
#define PE_PCS_IGN56_LIFOU_UTM_58S                             2981
/*      IGN72 Grande Terre UTM zone 58S                                      */
#define PE_PCS_IGN72_GRANDE_TERRE_UTM_58S                      3060
/*      IGN72 Nuku Hiva UTM zone 7S                                          */
#define PE_PCS_IGN72_NUKU_HIVA_UTM_7S                          2978
/*      ISN 1993 Lambert 1993                                                */
#define PE_PCS_ISN_1993_LAMBERT_1993                           3057

/* Japanese Geodetic Datum 2000                                              */
/*      JGD 2000 Japan Zone 1                                                */
#define PE_PCS_JGD_2000_JAPAN_1                                2443
/*      JGD 2000 Japan Zone 2                                                */
#define PE_PCS_JGD_2000_JAPAN_2                                2444
/*      JGD 2000 Japan Zone 3                                                */
#define PE_PCS_JGD_2000_JAPAN_3                                2445
/*      JGD 2000 Japan Zone 4                                                */
#define PE_PCS_JGD_2000_JAPAN_4                                2446
/*      JGD 2000 Japan Zone 5                                                */
#define PE_PCS_JGD_2000_JAPAN_5                                2447
/*      JGD 2000 Japan Zone 6                                                */
#define PE_PCS_JGD_2000_JAPAN_6                                2448
/*      JGD 2000 Japan Zone 7                                                */
#define PE_PCS_JGD_2000_JAPAN_7                                2449
/*      JGD 2000 Japan Zone 8                                                */
#define PE_PCS_JGD_2000_JAPAN_8                                2450
/*      JGD 2000 Japan Zone 9                                                */
#define PE_PCS_JGD_2000_JAPAN_9                                2451
/*      JGD 2000 Japan Zone 10                                               */
#define PE_PCS_JGD_2000_JAPAN_10                               2452
/*      JGD 2000 Japan Zone 11                                               */
#define PE_PCS_JGD_2000_JAPAN_11                               2453
/*      JGD 2000 Japan Zone 12                                               */
#define PE_PCS_JGD_2000_JAPAN_12                               2454
/*      JGD 2000 Japan Zone 13                                               */
#define PE_PCS_JGD_2000_JAPAN_13                               2455
/*      JGD 2000 Japan Zone 14                                               */
#define PE_PCS_JGD_2000_JAPAN_14                               2456
/*      JGD 2000 Japan Zone 15                                               */
#define PE_PCS_JGD_2000_JAPAN_15                               2457
/*      JGD 2000 Japan Zone 16                                               */
#define PE_PCS_JGD_2000_JAPAN_16                               2458
/*      JGD 2000 Japan Zone 17                                               */
#define PE_PCS_JGD_2000_JAPAN_17                               2459
/*      JGD 2000 Japan Zone 18                                               */
#define PE_PCS_JGD_2000_JAPAN_18                               2460
/*      JGD 2000 Japan Zone 19                                               */
#define PE_PCS_JGD_2000_JAPAN_19                               2461

/*      Kertau RSO Malaya Chains (Benoit 1895 B)                             */
#define PE_PCS_KERTAU_RSO_MALAYA_CH                           24571
/*      Kousseri UTM zone 33N                                                */
#define PE_PCS_KOUSSERI_UTM_33N                                2313
/*      LKS 1992 Latvia TM                                                   */
#define PE_PCS_LKS_1992_LATVIA_TM                              3059
/*      Luxembourg 1930 Gauss                                                */
#define PE_PCS_LUXEMBOURG_1930_GAUSS                           2169
/*      Makassar NEIEZ                                                       */
#define PE_PCS_MAKASSAR_NEIEZ                                  3002
/*      Manoca 1962 UTM Zone 32N                                             */
#define PE_PCS_MANOCA_1962_UTM_32N                             2215
/*      MGI Slovenia Grid                                                    */
#define PE_PCS_MGI_SLOVENIA_GRID                               2170
/*      MOP78 UTM zone 1S                                                    */
#define PE_PCS_MOP78_UTM_1S                                    2988

/*      NAD 1927 Alaska Albers (US Feet)                                     */
#define PE_PCS_NAD_1927_ALASKA_ALBERS_FT                       2964
/*      NAD 1983 HARN Oregon Lambert                                         */
#define PE_PCS_NAD_1983_HARN_OREGON_LAMBERT                    2993
/*      NAD 1983 HARN Oregon Lambert (Intl Feet)                             */
#define PE_PCS_NAD_1983_HARN_OREGON_LAMBERT_FT_INTL            2994
/*      NAD 1983 Oregon Lambert                                              */
#define PE_PCS_NAD_1983_OREGON_LAMBERT                         2991
/*      NAD 1983 Oregon Lambert (Intl Feet)                                  */
#define PE_PCS_NAD_1983_OREGON_LAMBERT_FT_INTL                 2992

/* NAD 1983 State Plane Coordinate System (in International Feet)            */
/*      NAD 1983 SPCS Arizona East (Intl Feet)                               */
#define PE_PCS_NAD_1983_AZ_E_FT_INTL                           2222
/*      NAD 1983 SPCS Arizona Central (Intl Feet)                            */
#define PE_PCS_NAD_1983_AZ_C_FT_INTL                           2223
/*      NAD 1983 SPCS Arizona West (Intl Feet)                               */
#define PE_PCS_NAD_1983_AZ_W_FT_INTL                           2224
/*      NAD 1983 SPCS Michigan North (Intl Feet)                             */
#define PE_PCS_NAD_1983_MI_N_FT_INTL                           2251
/*      NAD 1983 SPCS Michigan Central (Intl Feet)                           */
#define PE_PCS_NAD_1983_MI_C_FT_INTL                           2252
/*      NAD 1983 SPCS Michigan South (Intl Feet)                             */
#define PE_PCS_NAD_1983_MI_S_FT_INTL                           2253
/*      NAD 1983 SPCS Montana (Intl Feet)                                    */
#define PE_PCS_NAD_1983_MT_FT_INTL                             2256
/*      NAD 1983 SPCS North Dakota North (Intl Feet)                         */
#define PE_PCS_NAD_1983_ND_N_FT_INTL                           2265
/*      NAD 1983 SPCS North Dakota South (Intl Feet)                         */
#define PE_PCS_NAD_1983_ND_S_FT_INTL                           2266
/*      NAD 1983 SPCS Oregon North (Intl Feet)                               */
#define PE_PCS_NAD_1983_OR_N_FT_INTL                           2269
/*      NAD 1983 SPCS Oregon South (Intl Feet)                               */
#define PE_PCS_NAD_1983_OR_S_FT_INTL                           2270
/*      NAD 1983 SPCS South Carolina (Intl Feet)                             */
#define PE_PCS_NAD_1983_SC_FT_INTL                             2273
/*      NAD 1983 SPCS Utah North (Intl Feet)                                 */
#define PE_PCS_NAD_1983_UT_N_FT_INTL                           2280
/*      NAD 1983 SPCS Utah Central (Intl Feet)                               */
#define PE_PCS_NAD_1983_UT_C_FT_INTL                           2281
/*      NAD 1983 SPCS Utah South (Intl Feet)                                 */
#define PE_PCS_NAD_1983_UT_S_FT_INTL                           2282

/* NAD 1983 HARN State Plane Coordinate System (in International Feet)       */
/*      NAD 1983 HARN SPCS Arizona East (Intl Feet)                          */
#define PE_PCS_NAD_1983_HARN_AZ_E_FT_INTL                      2867
/*      NAD 1983 HARN SPCS Arizona Central (Intl Feet)                       */
#define PE_PCS_NAD_1983_HARN_AZ_C_FT_INTL                      2868
/*      NAD 1983 HARN SPCS Arizona West (Intl Feet)                          */
#define PE_PCS_NAD_1983_HARN_AZ_W_FT_INTL                      2869
/*      NAD 1983 HARN SPCS Michigan North (Intl Feet)                        */
#define PE_PCS_NAD_1983_HARN_MI_N_FT_INTL                      2896
/*      NAD 1983 HARN SPCS Michigan Central (Intl Feet)                      */
#define PE_PCS_NAD_1983_HARN_MI_C_FT_INTL                      2897
/*      NAD 1983 HARN SPCS Michigan South (Intl Feet)                        */
#define PE_PCS_NAD_1983_HARN_MI_S_FT_INTL                      2898
/*      NAD 1983 HARN SPCS Montana (Intl Feet)                               */
#define PE_PCS_NAD_1983_HARN_MT_FT_INTL                        2901
/*      NAD 1983 HARN SPCS North Dakota North (Intl Feet)                    */
#define PE_PCS_NAD_1983_HARN_ND_N_FT_INTL                      2909
/*      NAD 1983 HARN SPCS North Dakota South (Intl Feet)                    */
#define PE_PCS_NAD_1983_HARN_ND_S_FT_INTL                      2910
/*      NAD 1983 HARN SPCS Oregon North (Intl Feet)                          */
#define PE_PCS_NAD_1983_HARN_OR_N_FT_INTL                      2913
/*      NAD 1983 HARN SPCS Oregon South (Intl Feet)                          */
#define PE_PCS_NAD_1983_HARN_OR_S_FT_INTL                      2914
/*      NAD 1983 HARN SPCS Utah North (Intl Feet)                            */
#define PE_PCS_NAD_1983_HARN_UT_N_FT_INTL                      2921
/*      NAD 1983 HARN SPCS Utah Central (Intl Feet)                          */
#define PE_PCS_NAD_1983_HARN_UT_C_FT_INTL                      2922
/*      NAD 1983 HARN SPCS Utah South (Intl Feet)                            */
#define PE_PCS_NAD_1983_HARN_UT_S_FT_INTL                      2923

/* NAD 1983 HARN State Plane Coordinate System (in US Survey Feet)           */
/*      NAD 1983 HARN SPCS California I (US Feet)                            */
#define PE_PCS_NAD_1983_HARN_CA_I_FT                           2870
/*      NAD 1983 HARN SPCS California II (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_CA_II_FT                          2871
/*      NAD 1983 HARN SPCS California III (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_CA_III_FT                         2872
/*      NAD 1983 HARN SPCS California IV (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_CA_IV_FT                          2873
/*      NAD 1983 HARN SPCS California V (US Feet)                            */
#define PE_PCS_NAD_1983_HARN_CA_V_FT                           2874
/*      NAD 1983 HARN SPCS California VI (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_CA_VI_FT                          2875
/*      NAD 1983 HARN SPCS Colorado North (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_CO_N_FT                           2876
/*      NAD 1983 HARN SPCS Colorado Central (US Feet)                        */
#define PE_PCS_NAD_1983_HARN_CO_C_FT                           2877
/*      NAD 1983 HARN SPCS Colorado South (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_CO_S_FT                           2878
/*      NAD 1983 HARN SPCS Connecticut (US Feet)                             */
#define PE_PCS_NAD_1983_HARN_CT_FT                             2879
/*      NAD 1983 HARN SPCS Delaware (US Feet)                                */
#define PE_PCS_NAD_1983_HARN_DE_FT                             2880
/*      NAD 1983 HARN SPCS Florida East (US Feet)                            */
#define PE_PCS_NAD_1983_HARN_FL_E_FT                           2881
/*      NAD 1983 HARN SPCS Florida West (US Feet)                            */
#define PE_PCS_NAD_1983_HARN_FL_W_FT                           2882
/*      NAD 1983 HARN SPCS Florida North (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_FL_N_FT                           2883
/*      NAD 1983 HARN SPCS Georgia East (US Feet)                            */
#define PE_PCS_NAD_1983_HARN_GA_E_FT                           2884
/*      NAD 1983 HARN SPCS Georgia West (US Feet)                            */
#define PE_PCS_NAD_1983_HARN_GA_W_FT                           2885
/*      NAD 1983 HARN SPCS Idaho East (US Feet)                              */
#define PE_PCS_NAD_1983_HARN_ID_E_FT                           2886
/*      NAD 1983 HARN SPCS Idaho Central (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_ID_C_FT                           2887
/*      NAD 1983 HARN SPCS Idaho West (US Feet)                              */
#define PE_PCS_NAD_1983_HARN_ID_W_FT                           2888
/*      NAD 1983 HARN SPCS Indiana East (US Feet)                            */
#define PE_PCS_NAD_1983_HARN_IN_E_FT                           2967
/*      NAD 1983 HARN SPCS Indiana West (US Feet)                            */
#define PE_PCS_NAD_1983_HARN_IN_W_FT                           2968
/*      NAD 1983 HARN SPCS Kentucky North (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_KY_N_FT                           2891
/*      NAD 1983 HARN SPCS Kentucky South (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_KY_S_FT                           2892
/*      NAD 1983 HARN SPCS Maryland (US Feet)                                */
#define PE_PCS_NAD_1983_HARN_MD_FT                             2893
/*      NAD 1983 HARN SPCS Mass. Mainland (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_MA_M_FT                           2894
/*      NAD 1983 HARN SPCS Mass. Island (US Feet)                            */
#define PE_PCS_NAD_1983_HARN_MA_I_FT                           2895
/*      NAD 1983 HARN SPCS Mississippi East (US Feet)                        */
#define PE_PCS_NAD_1983_HARN_MS_E_FT                           2899
/*      NAD 1983 HARN SPCS Mississippi West (US Feet)                        */
#define PE_PCS_NAD_1983_HARN_MS_W_FT                           2900
/*      NAD 1983 HARN SPCS New Mexico East (US Feet)                         */
#define PE_PCS_NAD_1983_HARN_NM_E_FT                           2902
/*      NAD 1983 HARN SPCS New Mexico Cent. (US Feet)                        */
#define PE_PCS_NAD_1983_HARN_NM_C_FT                           2903
/*      NAD 1983 HARN SPCS New Mexico West (US Feet)                         */
#define PE_PCS_NAD_1983_HARN_NM_W_FT                           2904
/*      NAD 1983 HARN SPCS New York East (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_NY_E_FT                           2905
/*      NAD 1983 HARN SPCS New York Central (US Feet)                        */
#define PE_PCS_NAD_1983_HARN_NY_C_FT                           2906
/*      NAD 1983 HARN SPCS New York West (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_NY_W_FT                           2907
/*      NAD 1983 HARN SPCS NY Long Island (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_NY_LI_FT                          2908
/*      NAD 1983 HARN SPCS Oklahoma North (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_OK_N_FT                           2911
/*      NAD 1983 HARN SPCS Oklahoma South (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_OK_S_FT                           2912
/*      NAD 1983 HARN SPCS Tennessee (US Feet)                               */
#define PE_PCS_NAD_1983_HARN_TN_FT                             2915
/*      NAD 1983 HARN SPCS Texas North (US Feet)                             */
#define PE_PCS_NAD_1983_HARN_TX_N_FT                           2916
/*      NAD 1983 HARN SPCS Texas North Cent.(US Feet)                        */
#define PE_PCS_NAD_1983_HARN_TX_NC_FT                          2917
/*      NAD 1983 HARN SPCS Texas Central (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_TX_C_FT                           2918
/*      NAD 1983 HARN SPCS Texas South Cent. (US Feet)                       */
#define PE_PCS_NAD_1983_HARN_TX_SC_FT                          2919
/*      NAD 1983 HARN SPCS Texas South (US Feet)                             */
#define PE_PCS_NAD_1983_HARN_TX_S_FT                           2920
/*      NAD 1983 HARN SPCS Virginia North (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_VA_N_FT                           2924
/*      NAD 1983 HARN SPCS Virginia South (US Feet)                          */
#define PE_PCS_NAD_1983_HARN_VA_S_FT                           2925
/*      NAD 1983 HARN SPCS Washington North (US Feet)                        */
#define PE_PCS_NAD_1983_HARN_WA_N_FT                           2926
/*      NAD 1983 HARN SPCS Washington South (US Feet)                        */
#define PE_PCS_NAD_1983_HARN_WA_S_FT                           2927
/*      NAD 1983 HARN SPCS Wisconsin North (US Feet)                         */
#define PE_PCS_NAD_1983_HARN_WI_N_FT                           2928
/*      NAD 1983 HARN SPCS Wisconsin Central (US Feet)                       */
#define PE_PCS_NAD_1983_HARN_WI_C_FT                           2929
/*      NAD 1983 HARN SPCS Wisconsin South (US Feet)                         */
#define PE_PCS_NAD_1983_HARN_WI_S_FT                           2930

/*      NEA74 Noumea UTM zone 58S                                            */
#define PE_PCS_NEA74_NOUMEA_UTM_58S                            2998
/*      NZGD 2000 Trans Merc                                                 */
#define PE_PCS_NZGD_2000_TRANSVERSE_MERCATOR                   2193
/*      OSNI 1952 Irish Nat'nl Grid                                          */
#define PE_PCS_OSNI_1952_IRISH_NATIONAL_GRID                  29901
/*      Pointe Geologie Perroud 1950 Terre Adelie Polar Stereographic        */
#define PE_PCS_PERROUD_1950_TERRE_ADELIE_POLAR_STEREOGRAPHIC   2986
/*      Petrels 1972 Terre Adelie Polar Stereographic                        */
#define PE_PCS_PETRELS_1972_TERRE_ADELIE_POLAR_STEREOGRAPHIC   2985

/*      Reunion 1947 TM Reunion                                              */
#define PE_PCS_REUNION_1947_TM_REUNION                         3727

/*      Porto Santo 1995 UTM Zone 28N                                        */
#define PE_PCS_PORTO_SANTO_1995_UTM_28N                        3061
/*      PSAD56 ICN Regional                                                  */
#define PE_PCS_PSAD_1956_ICN_REGIONAL                          2317

/* Pulkovo 1942 3-Degree Gauss-Kruger Zones                                  */
/*      Pulkovo 1942 3-degree GK zone 7                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_7                         2523
/*      Pulkovo 1942 3-degree GK zone 8                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_8                         2524
/*      Pulkovo 1942 3-degree GK zone 9                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_9                         2525
/*      Pulkovo 1942 3-degree GK zone 10                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_10                        2526
/*      Pulkovo 1942 3-degree GK zone 11                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_11                        2527
/*      Pulkovo 1942 3-degree GK zone 12                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_12                        2528
/*      Pulkovo 1942 3-degree GK zone 13                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_13                        2529
/*      Pulkovo 1942 3-degree GK zone 14                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_14                        2530
/*      Pulkovo 1942 3-degree GK zone 15                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_15                        2531
/*      Pulkovo 1942 3-degree GK zone 16                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_16                        2532
/*      Pulkovo 1942 3-degree GK zone 17                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_17                        2533
/*      Pulkovo 1942 3-degree GK zone 18                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_18                        2534
/*      Pulkovo 1942 3-degree GK zone 19                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_19                        2535
/*      Pulkovo 1942 3-degree GK zone 20                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_20                        2536
/*      Pulkovo 1942 3-degree GK zone 21                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_21                        2537
/*      Pulkovo 1942 3-degree GK zone 22                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_22                        2538
/*      Pulkovo 1942 3-degree GK zone 23                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_23                        2539
/*      Pulkovo 1942 3-degree GK zone 24                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_24                        2540
/*      Pulkovo 1942 3-degree GK zone 25                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_25                        2541
/*      Pulkovo 1942 3-degree GK zone 26                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_26                        2542
/*      Pulkovo 1942 3-degree GK zone 27                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_27                        2543
/*      Pulkovo 1942 3-degree GK zone 28                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_28                        2544
/*      Pulkovo 1942 3-degree GK zone 29                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_29                        2545
/*      Pulkovo 1942 3-degree GK zone 30                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_30                        2546
/*      Pulkovo 1942 3-degree GK zone 31                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_31                        2547
/*      Pulkovo 1942 3-degree GK zone 32                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_32                        2548
/*      Pulkovo 1942 3-degree GK zone 33                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_33                        2549
/*      Pulkovo 1942 3-degree GK zone 34                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_34                        2551
/*      Pulkovo 1942 3-degree GK zone 35                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_35                        2552
/*      Pulkovo 1942 3-degree GK zone 36                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_36                        2553
/*      Pulkovo 1942 3-degree GK zone 37                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_37                        2554
/*      Pulkovo 1942 3-degree GK zone 38                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_38                        2555
/*      Pulkovo 1942 3-degree GK zone 39                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_39                        2556
/*      Pulkovo 1942 3-degree GK zone 40                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_40                        2557
/*      Pulkovo 1942 3-degree GK zone 41                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_41                        2558
/*      Pulkovo 1942 3-degree GK zone 42                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_42                        2559
/*      Pulkovo 1942 3-degree GK zone 43                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_43                        2560
/*      Pulkovo 1942 3-degree GK zone 44                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_44                        2561
/*      Pulkovo 1942 3-degree GK zone 45                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_45                        2562
/*      Pulkovo 1942 3-degree GK zone 46                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_46                        2563
/*      Pulkovo 1942 3-degree GK zone 47                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_47                        2564
/*      Pulkovo 1942 3-degree GK zone 48                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_48                        2565
/*      Pulkovo 1942 3-degree GK zone 49                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_49                        2566
/*      Pulkovo 1942 3-degree GK zone 50                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_50                        2567
/*      Pulkovo 1942 3-degree GK zone 51                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_51                        2568
/*      Pulkovo 1942 3-degree GK zone 52                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_52                        2569
/*      Pulkovo 1942 3-degree GK zone 53                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_53                        2570
/*      Pulkovo 1942 3-degree GK zone 54                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_54                        2571
/*      Pulkovo 1942 3-degree GK zone 55                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_55                        2572
/*      Pulkovo 1942 3-degree GK zone 56                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_56                        2573
/*      Pulkovo 1942 3-degree GK zone 57                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_57                        2574
/*      Pulkovo 1942 3-degree GK zone 58                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_58                        2575
/*      Pulkovo 1942 3-degree GK zone 59                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_59                        2576
/*      Pulkovo 1942 3-degree GK zone 60                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_60                        2577
/*      Pulkovo 1942 3-degree GK zone 61                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_61                        2578
/*      Pulkovo 1942 3-degree GK zone 62                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_62                        2579
/*      Pulkovo 1942 3-degree GK zone 63                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_63                        2580
/*      Pulkovo 1942 3-degree GK zone 64                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_64                        2581

/* Pulkovo 1942 3-Degree Gauss-Kruger Central Meridian zones                 */
/*      Pulkovo 1942 3-degree GK CM 21E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_21E                       2582
/*      Pulkovo 1942 3-degree GK CM 24E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_24E                       2583
/*      Pulkovo 1942 3-degree GK CM 27E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_27E                       2584
/*      Pulkovo 1942 3-degree GK CM 30E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_30E                       2585
/*      Pulkovo 1942 3-degree GK CM 33E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_33E                       2586
/*      Pulkovo 1942 3-degree GK CM 36E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_36E                       2587
/*      Pulkovo 1942 3-degree GK CM 39E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_39E                       2588
/*      Pulkovo 1942 3-degree GK CM 42E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_42E                       2589
/*      Pulkovo 1942 3-degree GK CM 45E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_45E                       2590
/*      Pulkovo 1942 3-degree GK CM 48E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_48E                       2591
/*      Pulkovo 1942 3-degree GK CM 51E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_51E                       2592
/*      Pulkovo 1942 3-degree GK CM 54E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_54E                       2593
/*      Pulkovo 1942 3-degree GK CM 57E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_57E                       2594
/*      Pulkovo 1942 3-degree GK CM 60E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_60E                       2595
/*      Pulkovo 1942 3-degree GK CM 63E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_63E                       2596
/*      Pulkovo 1942 3-degree GK CM 66E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_66E                       2597
/*      Pulkovo 1942 3-degree GK CM 69E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_69E                       2598
/*      Pulkovo 1942 3-degree GK CM 72E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_72E                       2599
/*      Pulkovo 1942 3-degree GK CM 75E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_75E                       2601
/*      Pulkovo 1942 3-degree GK CM 78E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_78E                       2602
/*      Pulkovo 1942 3-degree GK CM 81E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_81E                       2603
/*      Pulkovo 1942 3-degree GK CM 84E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_84E                       2604
/*      Pulkovo 1942 3-degree GK CM 87E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_87E                       2605
/*      Pulkovo 1942 3-degree GK CM 90E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_90E                       2606
/*      Pulkovo 1942 3-degree GK CM 93E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_93E                       2607
/*      Pulkovo 1942 3-degree GK CM 96E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_96E                       2608
/*      Pulkovo 1942 3-degree GK CM 99E                                      */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_99E                       2609
/*      Pulkovo 1942 3-degree GK CM 102E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_102E                      2610
/*      Pulkovo 1942 3-degree GK CM 105E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_105E                      2611
/*      Pulkovo 1942 3-degree GK CM 108E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_108E                      2612
/*      Pulkovo 1942 3-degree GK CM 111E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_111E                      2613
/*      Pulkovo 1942 3-degree GK CM 114E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_114E                      2614
/*      Pulkovo 1942 3-degree GK CM 117E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_117E                      2615
/*      Pulkovo 1942 3-degree GK CM 120E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_120E                      2616
/*      Pulkovo 1942 3-degree GK CM 123E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_123E                      2617
/*      Pulkovo 1942 3-degree GK CM 126E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_126E                      2618
/*      Pulkovo 1942 3-degree GK CM 129E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_129E                      2619
/*      Pulkovo 1942 3-degree GK CM 132E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_132E                      2620
/*      Pulkovo 1942 3-degree GK CM 135E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_135E                      2621
/*      Pulkovo 1942 3-degree GK CM 138E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_138E                      2622
/*      Pulkovo 1942 3-degree GK CM 141E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_141E                      2623
/*      Pulkovo 1942 3-degree GK CM 144E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_144E                      2624
/*      Pulkovo 1942 3-degree GK CM 147E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_147E                      2625
/*      Pulkovo 1942 3-degree GK CM 150E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_150E                      2626
/*      Pulkovo 1942 3-degree GK CM 153E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_153E                      2627
/*      Pulkovo 1942 3-degree GK CM 156E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_156E                      2628
/*      Pulkovo 1942 3-degree GK CM 159E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_159E                      2629
/*      Pulkovo 1942 3-degree GK CM 162E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_162E                      2630
/*      Pulkovo 1942 3-degree GK CM 165E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_165E                      2631
/*      Pulkovo 1942 3-degree GK CM 168E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_168E                      2632
/*      Pulkovo 1942 3-degree GK CM 171E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_171E                      2633
/*      Pulkovo 1942 3-degree GK CM 174E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_174E                      2634
/*      Pulkovo 1942 3-degree GK CM 177E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_177E                      2635
/*      Pulkovo 1942 3-degree GK CM 180E                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_180E                      2636
/*      Pulkovo 1942 3-degree GK CM 177W                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_177W                      2637
/*      Pulkovo 1942 3-degree GK CM 174W                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_174W                      2638
/*      Pulkovo 1942 3-degree GK CM 171W                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_171W                      2639
/*      Pulkovo 1942 3-degree GK CM 168W                                     */
#define PE_PCS_PULKOVO_1942_3_DEG_GK_168W                      2640

/*      Pulkovo 1942(83) 3-Degree GK zone 3                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1983_3_DEG_GK_3                2397
/*      Pulkovo 1942(83) 3-Degree GK zone 4                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1983_3_DEG_GK_4                2398
/*      Pulkovo 1942(83) 3-Degree GK zone 5                                  */
#define PE_PCS_PULKOVO_1942_ADJ_1983_3_DEG_GK_5                2399

/* Pulkovo 1995 3-Degree Gauss-Kruger zones                                  */
/*      Pulkovo 1995 3-degree GK zone 7                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_7                         2641
/*      Pulkovo 1995 3-degree GK zone 8                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_8                         2642
/*      Pulkovo 1995 3-degree GK zone 9                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_9                         2643
/*      Pulkovo 1995 3-degree GK zone 10                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_10                        2644
/*      Pulkovo 1995 3-degree GK zone 11                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_11                        2645
/*      Pulkovo 1995 3-degree GK zone 12                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_12                        2646
/*      Pulkovo 1995 3-degree GK zone 13                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_13                        2647
/*      Pulkovo 1995 3-degree GK zone 14                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_14                        2648
/*      Pulkovo 1995 3-degree GK zone 15                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_15                        2649
/*      Pulkovo 1995 3-degree GK zone 16                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_16                        2650
/*      Pulkovo 1995 3-degree GK zone 17                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_17                        2651
/*      Pulkovo 1995 3-degree GK zone 18                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_18                        2652
/*      Pulkovo 1995 3-degree GK zone 19                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_19                        2653
/*      Pulkovo 1995 3-degree GK zone 20                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_20                        2654
/*      Pulkovo 1995 3-degree GK zone 21                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_21                        2655
/*      Pulkovo 1995 3-degree GK zone 22                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_22                        2656
/*      Pulkovo 1995 3-degree GK zone 23                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_23                        2657
/*      Pulkovo 1995 3-degree GK zone 24                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_24                        2658
/*      Pulkovo 1995 3-degree GK zone 25                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_25                        2659
/*      Pulkovo 1995 3-degree GK zone 26                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_26                        2660
/*      Pulkovo 1995 3-degree GK zone 27                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_27                        2661
/*      Pulkovo 1995 3-degree GK zone 28                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_28                        2662
/*      Pulkovo 1995 3-degree GK zone 29                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_29                        2663
/*      Pulkovo 1995 3-degree GK zone 30                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_30                        2664
/*      Pulkovo 1995 3-degree GK zone 31                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_31                        2665
/*      Pulkovo 1995 3-degree GK zone 32                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_32                        2666
/*      Pulkovo 1995 3-degree GK zone 33                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_33                        2667
/*      Pulkovo 1995 3-degree GK zone 34                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_34                        2668
/*      Pulkovo 1995 3-degree GK zone 35                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_35                        2669
/*      Pulkovo 1995 3-degree GK zone 36                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_36                        2670
/*      Pulkovo 1995 3-degree GK zone 37                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_37                        2671
/*      Pulkovo 1995 3-degree GK zone 38                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_38                        2672
/*      Pulkovo 1995 3-degree GK zone 39                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_39                        2673
/*      Pulkovo 1995 3-degree GK zone 40                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_40                        2674
/*      Pulkovo 1995 3-degree GK zone 41                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_41                        2675
/*      Pulkovo 1995 3-degree GK zone 42                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_42                        2676
/*      Pulkovo 1995 3-degree GK zone 43                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_43                        2677
/*      Pulkovo 1995 3-degree GK zone 44                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_44                        2678
/*      Pulkovo 1995 3-degree GK zone 45                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_45                        2679
/*      Pulkovo 1995 3-degree GK zone 46                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_46                        2680
/*      Pulkovo 1995 3-degree GK zone 47                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_47                        2681
/*      Pulkovo 1995 3-degree GK zone 48                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_48                        2682
/*      Pulkovo 1995 3-degree GK zone 49                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_49                        2683
/*      Pulkovo 1995 3-degree GK zone 50                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_50                        2684
/*      Pulkovo 1995 3-degree GK zone 51                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_51                        2685
/*      Pulkovo 1995 3-degree GK zone 52                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_52                        2686
/*      Pulkovo 1995 3-degree GK zone 53                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_53                        2687
/*      Pulkovo 1995 3-degree GK zone 54                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_54                        2688
/*      Pulkovo 1995 3-degree GK zone 55                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_55                        2689
/*      Pulkovo 1995 3-degree GK zone 56                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_56                        2690
/*      Pulkovo 1995 3-degree GK zone 57                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_57                        2691
/*      Pulkovo 1995 3-degree GK zone 58                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_58                        2692
/*      Pulkovo 1995 3-degree GK zone 59                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_59                        2693
/*      Pulkovo 1995 3-degree GK zone 60                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_60                        2694
/*      Pulkovo 1995 3-degree GK zone 61                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_61                        2695
/*      Pulkovo 1995 3-degree GK zone 62                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_62                        2696
/*      Pulkovo 1995 3-degree GK zone 63                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_63                        2697
/*      Pulkovo 1995 3-degree GK zone 64                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_64                        2698

/* Pulkovo 1995 3-Degree Gauss-Kruger Central Meridian zones                 */
/*      Pulkovo 1995 3-degree GK CM 21E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_21E                       2699
/*      Pulkovo 1995 3-degree GK CM 24E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_24E                       2700
/*      Pulkovo 1995 3-degree GK CM 27E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_27E                       2701
/*      Pulkovo 1995 3-degree GK CM 30E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_30E                       2702
/*      Pulkovo 1995 3-degree GK CM 33E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_33E                       2703
/*      Pulkovo 1995 3-degree GK CM 36E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_36E                       2704
/*      Pulkovo 1995 3-degree GK CM 39E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_39E                       2705
/*      Pulkovo 1995 3-degree GK CM 42E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_42E                       2706
/*      Pulkovo 1995 3-degree GK CM 45E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_45E                       2707
/*      Pulkovo 1995 3-degree GK CM 48E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_48E                       2708
/*      Pulkovo 1995 3-degree GK CM 51E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_51E                       2709
/*      Pulkovo 1995 3-degree GK CM 54E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_54E                       2710
/*      Pulkovo 1995 3-degree GK CM 57E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_57E                       2711
/*      Pulkovo 1995 3-degree GK CM 60E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_60E                       2712
/*      Pulkovo 1995 3-degree GK CM 63E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_63E                       2713
/*      Pulkovo 1995 3-degree GK CM 66E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_66E                       2714
/*      Pulkovo 1995 3-degree GK CM 69E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_69E                       2715
/*      Pulkovo 1995 3-degree GK CM 72E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_72E                       2716
/*      Pulkovo 1995 3-degree GK CM 75E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_75E                       2717
/*      Pulkovo 1995 3-degree GK CM 78E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_78E                       2718
/*      Pulkovo 1995 3-degree GK CM 81E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_81E                       2719
/*      Pulkovo 1995 3-degree GK CM 84E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_84E                       2720
/*      Pulkovo 1995 3-degree GK CM 87E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_87E                       2721
/*      Pulkovo 1995 3-degree GK CM 90E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_90E                       2722
/*      Pulkovo 1995 3-degree GK CM 93E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_93E                       2723
/*      Pulkovo 1995 3-degree GK CM 96E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_96E                       2724
/*      Pulkovo 1995 3-degree GK CM 99E                                      */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_99E                       2725
/*      Pulkovo 1995 3-degree GK CM 102E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_102E                      2726
/*      Pulkovo 1995 3-degree GK CM 105E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_105E                      2727
/*      Pulkovo 1995 3-degree GK CM 108E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_108E                      2728
/*      Pulkovo 1995 3-degree GK CM 111E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_111E                      2729
/*      Pulkovo 1995 3-degree GK CM 114E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_114E                      2730
/*      Pulkovo 1995 3-degree GK CM 117E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_117E                      2731
/*      Pulkovo 1995 3-degree GK CM 120E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_120E                      2732
/*      Pulkovo 1995 3-degree GK CM 123E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_123E                      2733
/*      Pulkovo 1995 3-degree GK CM 126E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_126E                      2734
/*      Pulkovo 1995 3-degree GK CM 129E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_129E                      2735
/*      Pulkovo 1995 3-degree GK CM 132E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_132E                      2738
/*      Pulkovo 1995 3-degree GK CM 135E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_135E                      2739
/*      Pulkovo 1995 3-degree GK CM 138E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_138E                      2740
/*      Pulkovo 1995 3-degree GK CM 141E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_141E                      2741
/*      Pulkovo 1995 3-degree GK CM 144E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_144E                      2742
/*      Pulkovo 1995 3-degree GK CM 147E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_147E                      2743
/*      Pulkovo 1995 3-degree GK CM 150E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_150E                      2744
/*      Pulkovo 1995 3-degree GK CM 153E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_153E                      2745
/*      Pulkovo 1995 3-degree GK CM 156E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_156E                      2746
/*      Pulkovo 1995 3-degree GK CM 159E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_159E                      2747
/*      Pulkovo 1995 3-degree GK CM 162E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_162E                      2748
/*      Pulkovo 1995 3-degree GK CM 165E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_165E                      2749
/*      Pulkovo 1995 3-degree GK CM 168E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_168E                      2750
/*      Pulkovo 1995 3-degree GK CM 168W                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_168W                      2758
/*      Pulkovo 1995 3-degree GK CM 171E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_171E                      2751
/*      Pulkovo 1995 3-degree GK CM 174E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_174E                      2752
/*      Pulkovo 1995 3-degree GK CM 177E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_177E                      2753
/*      Pulkovo 1995 3-degree GK CM 180E                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_180E                      2754
/*      Pulkovo 1995 3-degree GK CM 177W                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_177W                      2755
/*      Pulkovo 1995 3-degree GK CM 174W                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_174W                      2756
/*      Pulkovo 1995 3-degree GK CM 171W                                     */
#define PE_PCS_PULKOVO_1995_3_DEG_GK_171W                      2757

/*      Qornoq 1927 UTM Zone 22N                                             */
#define PE_PCS_QORNOQ_1927_UTM_22N                             2216
/*      Qornoq 1927 UTM Zone 23N                                             */
#define PE_PCS_QORNOQ_1927_UTM_23N                             2217
/*      Rassadiran Nakhl e Taqi                                              */
#define PE_PCS_RASSADIRAN_NAKHL_E_TAQI                         2057
/*      REGVEN UTM Zone 18N                                                  */
#define PE_PCS_REGVEN_UTM_18N                                  2201
/*      REGVEN UTM Zone 19N                                                  */
#define PE_PCS_REGVEN_UTM_19N                                  2202
/*      REGVEN UTM Zone 20N                                                  */
#define PE_PCS_REGVEN_UTM_20N                                  2203
/*      RGFG95 UTM zone 22N                                                  */
#define PE_PCS_RGFG_1995_UTM_22N                               2972
/*      RGNC 1991 Lambert New Caledonia                                      */
#define PE_PCS_RGNC_1991_LAMBERT_NEW_CALEDONIA                 2984
/*      RGR92 UTM zone 40S                                                   */
#define PE_PCS_RGR_1992_UTM_40S                                2975
/*      RRAF 1991 UTM zone 20N                                               */
#define PE_PCS_RRAF_1991_UTM_20N                               2989

/*      RT90 7.5 gon V                                                       */
#define PE_PCS_RT90_75_GON_V                                   3019
/*      RT90 5 gon V                                                         */
#define PE_PCS_RT90_5_GON_V                                    3020
/*      RT90 2.5 gon V                                                       */
#define PE_PCS_RT90_25_GON_V                                   3021
/*      RT90 0 gon                                                           */
#define PE_PCS_RT90_0_GON                                      3022
/*      RT90 2.5 gon O                                                       */
#define PE_PCS_RT90_25_GON_O                                   3023
/*      RT90 5 gon O                                                         */
#define PE_PCS_RT90_5_GON_O                                    3024
/*      RT90 7.5 gon V                                                       */
#define PE_PCS_RT38_75_GON_V                                   3025
/*      RT90 5 gon V                                                         */
#define PE_PCS_RT38_5_GON_V                                    3026
/*      RT90 2.5 gon V                                                       */
#define PE_PCS_RT38_25_GON_V                                   3027
/*      RT90 0 gon                                                           */
#define PE_PCS_RT38_0_GON                                      3028
/*      RT90 2.5 gon O                                                       */
#define PE_PCS_RT38_25_GON_O                                   3029
/*      RT90 5 gon O                                                         */
#define PE_PCS_RT38_5_GON_O                                    3030

/*      Sainte Anne UTM zone 20N                                             */
#define PE_PCS_SAINTE_ANNE_UTM_20N                             2970
/*      Saint Pierre et Miquelon 1950 UTM zone 21N                           */
#define PE_PCS_SAINT_PIERRE_ET_MIQUELON_1950_UTM_21N           2987
/*      ST71 Belep UTM zone 58S                                              */
#define PE_PCS_ST71_BELEP_UTM_58S                              2997
/*      ST84 Ile des Pins UTM zone 58S                                       */
#define PE_PCS_ST84_ILE_DES_PINS_UTM_58S                       2996
/*      ST87 Ouvea UTM zone 58S                                              */
#define PE_PCS_ST87_OUVEA_UTM_58S                              3164

/*      SWEREF99 TM                                                          */
#define PE_PCS_SWEREF99_TM                                     3006
/*      SWEREF99 12 00                                                       */
#define PE_PCS_SWEREF99_12_00                                  3007
/*      SWEREF99 13 30                                                       */
#define PE_PCS_SWEREF99_13_30                                  3008
/*      SWEREF99 15 00                                                       */
#define PE_PCS_SWEREF99_15_00                                  3009
/*      SWEREF99 16 30                                                       */
#define PE_PCS_SWEREF99_16_30                                  3010
/*      SWEREF99 18 00                                                       */
#define PE_PCS_SWEREF99_18_00                                  3011
/*      SWEREF99 14 15                                                       */
#define PE_PCS_SWEREF99_14_15                                  3012
/*      SWEREF99 15 45                                                       */
#define PE_PCS_SWEREF99_15_45                                  3013
/*      SWEREF99 17 15                                                       */
#define PE_PCS_SWEREF99_17_15                                  3014
/*      SWEREF99 18 45                                                       */
#define PE_PCS_SWEREF99_18_45                                  3015
/*      SWEREF99 20 15                                                       */
#define PE_PCS_SWEREF99_20_15                                  3016
/*      SWEREF99 21 45                                                       */
#define PE_PCS_SWEREF99_21_45                                  3017
/*      SWEREF99 23 15                                                       */
#define PE_PCS_SWEREF99_23_15                                  3018

/*      Tahaa UTM zone 5S                                                    */
#define PE_PCS_TAHAA_1954_UTM_5S                               2977

/*      Tahiti 1952 UTM zone 6S                                              */
#define PE_PCS_TAHITI_1952_UTM_6S                              2976

/*      Timbalai 1948 RSO Borneo Chains (Sears)                              */
#define PE_PCS_TIMBALAI_1948_RSO_BORNEO_CH                    29871
/*      Timbalai 1948 RSO Borneo Feet (Sears)                                */
#define PE_PCS_TIMBALAI_1948_RSO_BORNEO_FT                    29872
/*      Timbalai 1948 RSO Borneo Meters                                      */
#define PE_PCS_TIMBALAI_1948_RSO_BORNEO_M                     29873
/*      TM75 Irish Grid                                                      */
#define PE_PCS_TM75_IRISH_GRID                                29903
/*      Trinidad 1903 Trinidad Grid (ftCla)                                  */
#define PE_PCS_TRINIDAD_1903_TRINIDAD_GRID_FT_CLA              2314
/*      WGS 1984 Antarctic Polar Stereographic                               */
#define PE_PCS_WGS_1984_ANTARCTIC_P_STEREO                     3031
/*      WGS 1984 Australian Antarctic Polar Stereo                           */
#define PE_PCS_WGS_1984_AUSTRALIAN_ANTARCTIC_P_STEREO          3032
/*      WGS 1984 Australian Antarctic Lambert                                */
#define PE_PCS_WGS_1984_AUSTRALIAN_ANTARCTIC_LAMBERT           3033
/*      WGS 84 TM 116 SE                                                     */
#define PE_PCS_WGS_1984_TM_116_SE                              2309
/*      WGS 84 TM 132 SE                                                     */
#define PE_PCS_WGS_1984_TM_132_SE                              2310
/*      WGS 84 TM 6 NE                                                       */
#define PE_PCS_WGS_1984_TM_6_NE                                2311

/* Xian 1980 Gauss-Kruger zones                                              */
/*      Xian 1980 Gauss-Kruger zone 13                                       */
#define PE_PCS_XIAN_1980_GK_13                                 2327
/*      Xian 1980 Gauss-Kruger zone 14                                       */
#define PE_PCS_XIAN_1980_GK_14                                 2328
/*      Xian 1980 Gauss-Kruger zone 15                                       */
#define PE_PCS_XIAN_1980_GK_15                                 2329
/*      Xian 1980 Gauss-Kruger zone 16                                       */
#define PE_PCS_XIAN_1980_GK_16                                 2330
/*      Xian 1980 Gauss-Kruger zone 17                                       */
#define PE_PCS_XIAN_1980_GK_17                                 2331
/*      Xian 1980 Gauss-Kruger zone 18                                       */
#define PE_PCS_XIAN_1980_GK_18                                 2332
/*      Xian 1980 Gauss-Kruger zone 19                                       */
#define PE_PCS_XIAN_1980_GK_19                                 2333
/*      Xian 1980 Gauss-Kruger zone 20                                       */
#define PE_PCS_XIAN_1980_GK_20                                 2334
/*      Xian 1980 Gauss-Kruger zone 21                                       */
#define PE_PCS_XIAN_1980_GK_21                                 2335
/*      Xian 1980 Gauss-Kruger zone 22                                       */
#define PE_PCS_XIAN_1980_GK_22                                 2336
/*      Xian 1980 Gauss-Kruger zone 23                                       */
#define PE_PCS_XIAN_1980_GK_23                                 2337

/* Xian 1980 Gauss-Kruger Central Meridian zones                             */
/*      Xian 1980 Gauss-Kruger CM 75E                                        */
#define PE_PCS_XIAN_1980_GK_75E                                2338
/*      Xian 1980 Gauss-Kruger CM 81E                                        */
#define PE_PCS_XIAN_1980_GK_81E                                2339
/*      Xian 1980 Gauss-Kruger CM 87E                                        */
#define PE_PCS_XIAN_1980_GK_87E                                2340
/*      Xian 1980 Gauss-Kruger CM 93E                                        */
#define PE_PCS_XIAN_1980_GK_93E                                2341
/*      Xian 1980 Gauss-Kruger CM 99E                                        */
#define PE_PCS_XIAN_1980_GK_99E                                2342
/*      Xian 1980 Gauss-Kruger CM 105E                                       */
#define PE_PCS_XIAN_1980_GK_105E                               2343
/*      Xian 1980 Gauss-Kruger CM 111E                                       */
#define PE_PCS_XIAN_1980_GK_111E                               2344
/*      Xian 1980 Gauss-Kruger CM 117E                                       */
#define PE_PCS_XIAN_1980_GK_117E                               2345
/*      Xian 1980 Gauss-Kruger CM 123E                                       */
#define PE_PCS_XIAN_1980_GK_123E                               2346
/*      Xian 1980 Gauss-Kruger CM 129E                                       */
#define PE_PCS_XIAN_1980_GK_129E                               2347
/*      Xian 1980 Gauss-Kruger CM 135E                                       */
#define PE_PCS_XIAN_1980_GK_135E                               2348

/* Xian 1980 3-degree Gauss-Kruger zones                                     */
/*      Xian 1980 3-degree GK zone 25                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_25                        2349
/*      Xian 1980 3-degree GK zone 26                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_26                        2350
/*      Xian 1980 3-degree GK zone 27                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_27                        2351
/*      Xian 1980 3-degree GK zone 28                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_28                        2352
/*      Xian 1980 3-degree GK zone 29                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_29                        2353
/*      Xian 1980 3-degree GK zone 30                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_30                        2354
/*      Xian 1980 3-degree GK zone 31                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_31                        2355
/*      Xian 1980 3-degree GK zone 32                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_32                        2356
/*      Xian 1980 3-degree GK zone 33                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_33                        2357
/*      Xian 1980 3-degree GK zone 34                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_34                        2358
/*      Xian 1980 3-degree GK zone 35                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_35                        2359
/*      Xian 1980 3-degree GK zone 36                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_36                        2360
/*      Xian 1980 3-degree GK zone 37                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_37                        2361
/*      Xian 1980 3-degree GK zone 38                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_38                        2362
/*      Xian 1980 3-degree GK zone 39                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_39                        2363
/*      Xian 1980 3-degree GK zone 40                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_40                        2364
/*      Xian 1980 3-degree GK zone 41                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_41                        2365
/*      Xian 1980 3-degree GK zone 42                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_42                        2366
/*      Xian 1980 3-degree GK zone 43                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_43                        2367
/*      Xian 1980 3-degree GK zone 44                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_44                        2368
/*      Xian 1980 3-degree GK zone 45                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_45                        2369

/* Xian 1980 3-degree Gauss-Kruger Central Meridian zones                    */
/*      Xian 1980 3-degree GK CM 75E                                         */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_75E                       2370
/*      Xian 1980 3-degree GK CM 78E                                         */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_78E                       2371
/*      Xian 1980 3-degree GK CM 81E                                         */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_81E                       2372
/*      Xian 1980 3-degree GK CM 84E                                         */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_84E                       2373
/*      Xian 1980 3-degree GK CM 87E                                         */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_87E                       2374
/*      Xian 1980 3-degree GK CM 90E                                         */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_90E                       2375
/*      Xian 1980 3-degree GK CM 93E                                         */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_93E                       2376
/*      Xian 1980 3-degree GK CM 96E                                         */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_96E                       2377
/*      Xian 1980 3-degree GK CM 99E                                         */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_99E                       2378
/*      Xian 1980 3-degree GK CM 102E                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_102E                      2379
/*      Xian 1980 3-degree GK CM 105E                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_105E                      2380
/*      Xian 1980 3-degree GK CM 108E                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_108E                      2381
/*      Xian 1980 3-degree GK CM 111E                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_111E                      2382
/*      Xian 1980 3-degree GK CM 114E                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_114E                      2383
/*      Xian 1980 3-degree GK CM 117E                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_117E                      2384
/*      Xian 1980 3-degree GK CM 120E                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_120E                      2385
/*      Xian 1980 3-degree GK CM 123E                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_123E                      2386
/*      Xian 1980 3-degree GK CM 126E                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_126E                      2387
/*      Xian 1980 3-degree GK CM 129E                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_129E                      2388
/*      Xian 1980 3-degree GK CM 132E                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_132E                      2389
/*      Xian 1980 3-degree GK CM 135E                                        */
#define PE_PCS_XIAN_1980_3_DEGREE_GK_135E                      2390

/*      AGD 1966 ACT Grid AGC Zone                                           */
#define PE_PCS_AGD_1966_ACT_GRID_AGC                         102071
/*      AGD 1966 NSW ISG Zone 54 / 2                                         */
#define PE_PCS_AGD_1966_ISG_54_2                             102072
/*      AGD 1966 NSW ISG Zone 54 / 3                                         */
#define PE_PCS_AGD_1966_ISG_54_3                             102073
/*      AGD 1966 NSW ISG Zone 55 / 1                                         */
#define PE_PCS_AGD_1966_ISG_55_1                             102074
/*      AGD 1966 NSW ISG Zone 55 / 2                                         */
#define PE_PCS_AGD_1966_ISG_55_2                             102075
/*      AGD 1966 NSW ISG Zone 55 / 3                                         */
#define PE_PCS_AGD_1966_ISG_55_3                             102076
/*      AGD 1966 NSW ISG Zone 56 / 1                                         */
#define PE_PCS_AGD_1966_ISG_56_1                             102077
/*      AGD 1966 NSW ISG Zone 56 / 2                                         */
#define PE_PCS_AGD_1966_ISG_56_2                             102078
/*      AGD 1966 NSW ISG Zone 56 / 3                                         */
#define PE_PCS_AGD_1966_ISG_56_3                             102079
/*      Bermuda 2000 National Grid                                           */
#define PE_PCS_BERMUDA_2000_NATIONAL_GRID                      3770

/*      Chatham Islands 1979 Map Grid                                        */
#define PE_PCS_CHATHAM_ISLANDS_1979_MAP_GRID                 102111
/*      EMEP 50 Kilometer Grid                                               */
#define PE_PCS_EMEP_50KM                                     102068
/*      EMEP 150 kilometer Grid                                              */
#define PE_PCS_EMEP_150KM                                    102069
/*      ETRS 1989 UTM Zone 26N                                               */
#define PE_PCS_ETRS_1989_UTM_26N                             102097
/*      ETRS 1989 UTM Zone 27N                                               */
#define PE_PCS_ETRS_1989_UTM_27N                             102098
/*      ETRS 1989 UTM Zone 39N                                               */
#define PE_PCS_ETRS_1989_UTM_39N                             102099
/*      ETRS 1989 Poland 1992                                                */
#define PE_PCS_ETRS_1989_UWPP_1992                           102173
/*      ETRS 1989 Poland zone 5                                              */
#define PE_PCS_ETRS_1989_UWPP_2000_PAS_5                     102174
/*      ETRS 1989 Poland zone 6                                              */
#define PE_PCS_ETRS_1989_UWPP_2000_PAS_6                     102175
/*      ETRS 1989 Poland zone 7                                              */
#define PE_PCS_ETRS_1989_UWPP_2000_PAS_7                     102176
/*      ETRS 1989 Poland zone 8                                              */
#define PE_PCS_ETRS_1989_UWPP_2000_PAS_8                     102177
/*      EUREF Finland UTM 35N                                                */
#define PE_PCS_EUREF_FIN_TM35FIN                               3067
/*      Everest Modified 1969 RSO Malaya Meters                              */
#define PE_PCS_EVEREST_MOD_1969_RSO_MALAYA_M                 102061
/*      Isle of Guernsey                                                     */
#define PE_PCS_GUERNSEY_GRID                                 102070
/*      Kandawala Ceylon Belt Meters                                         */
#define PE_PCS_KANDAWALA_CEYLON_BELT_M                       102063
/*      Kandawala Ceylon Belt Indian Yards 1937                              */
#define PE_PCS_KANDAWALA_CEYLON_BELT_YD1937                  102064
/*      Kertau RSO Malaya Meters                                             */
#define PE_PCS_KERTAU_RSO_MALAYA_M                           102062
/*      JGD 2000 UTM Zone 51N                                                */
#define PE_PCS_JGD_2000_UTM_51N                                3097
/*      JGD 2000 UTM Zone 52N                                                */
#define PE_PCS_JGD_2000_UTM_52N                                3098
/*      JGD 2000 UTM Zone 53N                                                */
#define PE_PCS_JGD_2000_UTM_53N                                3099
/*      JGD 2000 UTM Zone 54N                                                */
#define PE_PCS_JGD_2000_UTM_54N                                3100
/*      JGD 2000 UTM Zone 55N                                                */
#define PE_PCS_JGD_2000_UTM_55N                                3101
/*      JGD 2000 UTM Zone 56N                                                */
#define PE_PCS_JGD_2000_UTM_56N                              102150
/*      Jordan Transverse Mercator                                           */
#define PE_PCS_JORDAN_JTM                                    102158

/*      NAD 1927 Alaska Albers (Meters)                                      */
#define PE_PCS_NAD_1927_ALASKA_ALBERS_METERS                 102117
/*      NAD 1927 Georgia Statewide Albers                                    */
#define PE_PCS_NAD_1927_GEORGIA_ALBERS                       102118
/*      NAD 1927 Texas Statewide Mapping System                              */
#define PE_PCS_NAD_1927_TEXAS_STATEWIDE                        3080

/*      NAD 1927 UTM Zone 1N                                                 */
#define PE_PCS_NAD_1927_UTM_1N                                26701
/*      NAD 1927 UTM Zone 2N                                                 */
#define PE_PCS_NAD_1927_UTM_2N                                26702
/*      NAD 1927 UTM Zone 59N                                                */
#define PE_PCS_NAD_1927_UTM_59N                                3370
/*      NAD 1927 UTM Zone 60N                                                */
#define PE_PCS_NAD_1927_UTM_60N                                3371
/*      NAD 1983 Georgia Statewide Lambert                                   */
#define PE_PCS_NAD_1983_GEORGIA_LAMBERT                      102604
/*      NAD 1983 HARN SPCS Hawaii Zone 1 (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_HI_1_FT                         102461
/*      NAD 1983 HARN SPCS Hawaii Zone 2 (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_HI_2_FT                         102462
/*      NAD 1983 HARN SPCS Hawaii Zone 3 (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_HI_3_FT                           3760
/*      NAD 1983 HARN SPCS Hawaii Zone 4 (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_HI_4_FT                         102464
/*      NAD 1983 HARN SPCS Hawaii Zone 5 (US Feet)                           */
#define PE_PCS_NAD_1983_HARN_HI_5_FT                         102465
/*      NAD 1983 HARN Maine 2000 East Zone                                   */
#define PE_PCS_NAD_1983_HARN_MAINE_2000_EAST                   3075
/*      NAD 1983 HARN Maine 2000 Central Zone                                */
#define PE_PCS_NAD_1983_HARN_MAINE_2000_CENTRAL                3464
/*      NAD 1983 HARN Maine 2000 West Zone                                   */
#define PE_PCS_NAD_1983_HARN_MAINE_2000_WEST                   3077
/*      NAD 1983 (HARN) UTM zone 4N                                          */
#define PE_PCS_NAD_1983_HARN_UTM_4N                            3750
/*      NAD 1983 (HARN) UTM zone 5N                                          */
#define PE_PCS_NAD_1983_HARN_UTM_5N                            3751
/*      NAD 1983 (HARN) UTM zone 11N                                         */
#define PE_PCS_NAD_1983_HARN_UTM_11N                           3741
/*      NAD 1983 (HARN) UTM zone 12N                                         */
#define PE_PCS_NAD_1983_HARN_UTM_12N                           3742
/*      NAD 1983 (HARN) UTM zone 13N                                         */
#define PE_PCS_NAD_1983_HARN_UTM_13N                           3743
/*      NAD 1983 (HARN) UTM zone 18N                                         */
#define PE_PCS_NAD_1983_HARN_UTM_18N                           3748
/*      NAD 1983 Idaho Transverse Mercator                                   */
#define PE_PCS_NAD_1983_IDAHO_TM                             102605
/*      NAD 1983 Maine 2000 East Zone                                        */
#define PE_PCS_NAD_1983_MAINE_2000_EAST                        3072
/*      NAD 1983 Maine 2000 Central Zone                                     */
#define PE_PCS_NAD_1983_MAINE_2000_CENTRAL                     3463
/*      NAD 1983 Maine 2000 West Zone                                        */
#define PE_PCS_NAD_1983_MAINE_2000_WEST                        3074
/*      NAD 1983 Texas Centric Mapping System Albers                         */
#define PE_PCS_NAD_1983_TEXAS_CENTRIC_ALBERS                   3083
/*      NAD 1983 Texas Centric Mapping System Lambert                        */
#define PE_PCS_NAD_1983_TEXAS_CENTRIC_LAMBERT                  3082
/*      NAD 1983 Texas Statewide Mapping System                              */
#define PE_PCS_NAD_1983_TEXAS_STATEWIDE                        3081
/*      NAD 1983 UTM Zone 1N                                                 */
#define PE_PCS_NAD_1983_UTM_1N                                26901
/*      NAD 1983 UTM Zone 2N                                                 */
#define PE_PCS_NAD_1983_UTM_2N                                26902
/*      NAD 1983 UTM Zone 59N                                                */
#define PE_PCS_NAD_1983_UTM_59N                                3372
/*      NAD 1983 UTM Zone 60N                                                */
#define PE_PCS_NAD_1983_UTM_60N                                3373
/*      NZGD2000 Chatham Island Circuit                                      */
#define PE_PCS_NZGD_2000_CHATHAM_ISLAND_CIRCUIT                3764
/*      Observ Meterologico 1965 Macau Grid                                  */
#define PE_PCS_OBSERV_METEOR_1965_MACAU_GRID                 102159
/*      Roma 1940 Gauss Boaga Est                                            */
#define PE_PCS_ROMA_1940_GAUSS_BOAGA_EST                     102093
/*      Roma 1940 Gauss Boaga Ovest                                          */
#define PE_PCS_ROMA_1940_GAUSS_BOAGA_OVEST                   102094
/*      American Samoa 1962 UTM zone 2S                                      */
#define PE_PCS_SAMOA_1962_UTM_2S                             102116

/*      WGS 1984 UTM Zone 20N using TM Complex                               */
#define PE_PCS_WGS_1984_COMPLEX_UTM_20N                      102570
/*      WGS 1984 UTM Zone 21N using TM Complex                               */
#define PE_PCS_WGS_1984_COMPLEX_UTM_21N                      102571
/*      WGS 1984 UTM Zone 22N using TM Complex                               */
#define PE_PCS_WGS_1984_COMPLEX_UTM_22N                      102572
/*      WGS 1984 UTM Zone 23N using TM Complex                               */
#define PE_PCS_WGS_1984_COMPLEX_UTM_23N                      102573
/*      WGS 1984 UTM Zone 24N using TM Complex                               */
#define PE_PCS_WGS_1984_COMPLEX_UTM_24N                      102574
/*      WGS 1984 UTM Zone 25N using TM Complex                               */
#define PE_PCS_WGS_1984_COMPLEX_UTM_25N                      102575
/*      WGS 1984 UTM Zone 26N using TM Complex                               */
#define PE_PCS_WGS_1984_COMPLEX_UTM_26N                      102576
/*      WGS 1984 UTM Zone 27N using TM Complex                               */
#define PE_PCS_WGS_1984_COMPLEX_UTM_27N                      102577
/*      WGS 1984 UTM Zone 28N using TM Complex                               */
#define PE_PCS_WGS_1984_COMPLEX_UTM_28N                      102578
/*      WGS 1984 UTM Zone 29N using TM Complex                               */
#define PE_PCS_WGS_1984_COMPLEX_UTM_29N                      102579
/*      WGS 1984 UTM Zone 30N using TM Complex                               */
#define PE_PCS_WGS_1984_COMPLEX_UTM_30N                      102580

/* Minnesota County Coordinate Systems                                       */

/*      NAD 1983 HARN Adj. Minnesota Aitkin (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_AITKIN_M                 103600
/*      NAD 1983 HARN Adj. Minnesota Clay (meter)                            */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CLAY_M                   103601
/*      NAD 1983 HARN Adj. Minnesota Clearwater (meter)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CLEARWATER_M             103602
/*      NAD 1983 HARN Adj. Minnesota Hubbard (meter)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_HUBBARD_M                103603
/*      NAD 1983 HARN Adj. Minnesota Lake (meter)                            */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_LAKE_M                   103604
/*      NAD 1983 HARN Adj. Minnesota Mille Lacs (meter)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MILLE_LACS_M             103605
/*      NAD 1983 HARN Adj. Minnesota Washington (meter)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WASHINGTON_M             103606
/*      NAD 1983 HARN Adj. Minnesota Wilkin (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WILKIN_M                 103607
/*      NAD 1983 HARN Adj. Minnesota Anoka (meter)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ANOKA_M                  103608
/*      NAD 1983 HARN Adj. Minnesota Becker (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_BECKER_M                 103609
/*      NAD 1983 HARN Adj. Minnesota Beltrami North (meter)                  */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_BELTRAMI_N_M             103610
/*      NAD 1983 HARN Adj. Minnesota Beltrami South (meter)                  */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_BELTRAMI_S_M             103611
/*      NAD 1983 HARN Adj. Minnesota Benton (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_BENTON_M                 103612
/*      NAD 1983 HARN Adj. Minnesota Big Stone (meter)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_BIG_STONE_M              103613
/*      NAD 1983 HARN Adj. Minnesota Blue Earth (meter)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_BLUE_EARTH_M             103614
/*      NAD 1983 HARN Adj. Minnesota Brown (meter)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_BROWN_M                  103615
/*      NAD 1983 HARN Adj. Minnesota Carlton (meter)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CARLTON_M                103616
/*      NAD 1983 HARN Adj. Minnesota Carver (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CARVER_M                 103617
/*      NAD 1983 HARN Adj. Minnesota Cass North (meter)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CASS_N_M                 103618
/*      NAD 1983 HARN Adj. Minnesota Cass South (meter)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CASS_S_M                 103619
/*      NAD 1983 HARN Adj. Minnesota Chippewa (meter)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CHIPPEWA_M               103620
/*      NAD 1983 HARN Adj. Minnesota Chisago (meter)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CHISAGO_M                103621
/*      NAD 1983 HARN Adj. Minnesota Cook North (meter)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_COOK_N_M                 103622
/*      NAD 1983 HARN Adj. Minnesota Cook South (meter)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_COOK_S_M                 103623
/*      NAD 1983 HARN Adj. Minnesota Cottonwood (meter)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_COTTONWOOD_M             103624
/*      NAD 1983 HARN Adj. Minnesota Crow Wing (meter)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CROW_WING_M              103625
/*      NAD 1983 HARN Adj. Minnesota Dakota (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_DAKOTA_M                 103626
/*      NAD 1983 HARN Adj. Minnesota Dodge (meter)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_DODGE_M                  103627
/*      NAD 1983 HARN Adj. Minnesota Douglas (meter)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_DOUGLAS_M                103628
/*      NAD 1983 HARN Adj. Minnesota Faribault (meter)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_FARIBAULT_M              103629
/*      NAD 1983 HARN Adj. Minnesota Fillmore (meter)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_FILLMORE_M               103630
/*      NAD 1983 HARN Adj. Minnesota Freeborn (meter)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_FREEBORN_M               103631
/*      NAD 1983 HARN Adj. Minnesota Goodhue (meter)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_GOODHUE_M                103632
/*      NAD 1983 HARN Adj. Minnesota Grant (meter)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_GRANT_M                  103633
/*      NAD 1983 HARN Adj. Minnesota Hennepin (meter)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_HENNEPIN_M               103634
/*      NAD 1983 HARN Adj. Minnesota Houston (meter)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_HOUSTON_M                103635
/*      NAD 1983 HARN Adj. Minnesota Isanti (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ISANTI_M                 103636
/*      NAD 1983 HARN Adj. Minnesota Itasca North (meter)                    */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ITASCA_N_M               103637
/*      NAD 1983 HARN Adj. Minnesota Itasca South (meter)                    */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ITASCA_S_M               103638
/*      NAD 1983 HARN Adj. Minnesota Jackson (meter)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_JACKSON_M                103639
/*      NAD 1983 HARN Adj. Minnesota Kanabec (meter)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_KANABEC_M                103640
/*      NAD 1983 HARN Adj. Minnesota Kandiyohi (meter)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_KANDIYOHI_M              103641
/*      NAD 1983 HARN Adj. Minnesota Kittson (meter)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_KITTSON_M                103642
/*      NAD 1983 HARN Adj. Minnesota Koochiching (meter)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_KOOCHICHING_M            103643
/*      NAD 1983 HARN Adj. Minnesota Lac Qui Parle (meter)                   */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_LAC_QUI_PARLE_M          103644
/*      NAD 1983 HARN Adj. Minnesota Lake of the Woods North (meter)         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_N_M    103645
/*      NAD 1983 HARN Adj. Minnesota Lake of the Woods South (meter)         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_S_M    103646
/*      NAD 1983 HARN Adj. Minnesota Le Sueur (meter)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_LE_SUEUR_M               103647
/*      NAD 1983 HARN Adj. Minnesota Lincoln (meter)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_LINCOLN_M                103648
/*      NAD 1983 HARN Adj. Minnesota Lyon (meter)                            */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_LYON_M                   103649
/*      NAD 1983 HARN Adj. Minnesota McLeod (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MCLEOD_M                 103650
/*      NAD 1983 HARN Adj. Minnesota Mahnomen (meter)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MAHNOMEN_M               103651
/*      NAD 1983 HARN Adj. Minnesota Marshall (meter)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MARSHALL_M               103652
/*      NAD 1983 HARN Adj. Minnesota Martin (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MARTIN_M                 103653
/*      NAD 1983 HARN Adj. Minnesota Meeker (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MEEKER_M                 103654
/*      NAD 1983 HARN Adj. Minnesota Morrison (meter)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MORRISON_M               103655
/*      NAD 1983 HARN Adj. Minnesota Mower (meter)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MOWER_M                  103656
/*      NAD 1983 HARN Adj. Minnesota Murray (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MURRAY_M                 103657
/*      NAD 1983 HARN Adj. Minnesota Nicollet (meter)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_NICOLLET_M               103658
/*      NAD 1983 HARN Adj. Minnesota Nobles (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_NOBLES_M                 103659
/*      NAD 1983 HARN Adj. Minnesota Norman (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_NORMAN_M                 103660
/*      NAD 1983 HARN Adj. Minnesota Olmsted (meter)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_OLMSTED_M                103661
/*      NAD 1983 HARN Adj. Minnesota Ottertail (meter)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_OTTERTAIL_M              103662
/*      NAD 1983 HARN Adj. Minnesota Pennington (meter)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_PENNINGTON_M             103663
/*      NAD 1983 HARN Adj. Minnesota Pine (meter)                            */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_PINE_M                   103664
/*      NAD 1983 HARN Adj. Minnesota Pipestone (meter)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_PIPESTONE_M              103665
/*      NAD 1983 HARN Adj. Minnesota Polk (meter)                            */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_POLK_M                   103666
/*      NAD 1983 HARN Adj. Minnesota Pope (meter)                            */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_POPE_M                   103667
/*      NAD 1983 HARN Adj. Minnesota Ramsey (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_RAMSEY_M                 103668
/*      NAD 1983 HARN Adj. Minnesota Red Lake (meter)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_RED_LAKE_M               103669
/*      NAD 1983 HARN Adj. Minnesota Redwood (meter)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_REDWOOD_M                103670
/*      NAD 1983 HARN Adj. Minnesota Renville (meter)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_RENVILLE_M               103671
/*      NAD 1983 HARN Adj. Minnesota Rice (meter)                            */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_RICE_M                   103672
/*      NAD 1983 HARN Adj. Minnesota Rock (meter)                            */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ROCK_M                   103673
/*      NAD 1983 HARN Adj. Minnesota Roseau (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ROSEAU_M                 103674
/*      NAD 1983 HARN Adj. Minnesota St Louis North (meter)                  */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_N_M             103675
/*      NAD 1983 HARN Adj. Minnesota St Louis Central (meter)                */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_C_M             103676
/*      NAD 1983 HARN Adj. Minnesota St Louis South (meter)                  */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_S_M             103677
/*      NAD 1983 HARN Adj. Minnesota Scott (meter)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_SCOTT_M                  103678
/*      NAD 1983 HARN Adj. Minnesota Sherburne (meter)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_SHERBURNE_M              103679
/*      NAD 1983 HARN Adj. Minnesota Sibley (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_SIBLEY_M                 103680
/*      NAD 1983 HARN Adj. Minnesota Stearns (meter)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_STEARNS_M                103681
/*      NAD 1983 HARN Adj. Minnesota Steele (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_STEELE_M                 103682
/*      NAD 1983 HARN Adj. Minnesota Stevens (meter)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_STEVENS_M                103683
/*      NAD 1983 HARN Adj. Minnesota Swift (meter)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_SWIFT_M                  103684
/*      NAD 1983 HARN Adj. Minnesota Todd (meter)                            */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_TODD_M                   103685
/*      NAD 1983 HARN Adj. Minnesota Traverse (meter)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_TRAVERSE_M               103686
/*      NAD 1983 HARN Adj. Minnesota Wabasha (meter)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WABASHA_M                103687
/*      NAD 1983 HARN Adj. Minnesota Wadena (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WADENA_M                 103688
/*      NAD 1983 HARN Adj. Minnesota Waseca (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WASECA_M                 103689
/*      NAD 1983 HARN Adj. Minnesota Watonwan (meter)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WATONWAN_M               103690
/*      NAD 1983 HARN Adj. Minnesota Winona (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WINONA_M                 103691
/*      NAD 1983 HARN Adj. Minnesota Wright (meter)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WRIGHT_M                 103692
/*      NAD 1983 HARN Adj. Minnesota Yellow Medicine (meter)                 */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_YELLOW_MEDICINE_M        103693

/*      NAD 1983 HARN Adj. Minnesota Aitkin (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_AITKIN_FT                103700
/*      NAD 1983 HARN Adj. Minnesota Clay (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CLAY_FT                  103701
/*      NAD 1983 HARN Adj. Minnesota Clearwater (US foot)                    */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CLEARWATER_FT            103702
/*      NAD 1983 HARN Adj. Minnesota Hubbard (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_HUBBARD_FT               103703
/*      NAD 1983 HARN Adj. Minnesota Lake (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_LAKE_FT                  103704
/*      NAD 1983 HARN Adj. Minnesota Mille Lacs (US foot)                    */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MILLE_LACS_FT            103705
/*      NAD 1983 HARN Adj. Minnesota Washington (US foot)                    */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WASHINGTON_FT            103706
/*      NAD 1983 HARN Adj. Minnesota Wilkin (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WILKIN_FT                103707

/*      NAD 1983 HARN Adj. Minnesota Anoka (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ANOKA_FT                 103708
/*      NAD 1983 HARN Adj. Minnesota Becker (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_BECKER_FT                103709
/*      NAD 1983 HARN Adj. Minnesota Beltrami North (US foot)                */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_BELTRAMI_N_FT            103710
/*      NAD 1983 HARN Adj. Minnesota Beltrami South (US foot)                */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_BELTRAMI_S_FT            103711
/*      NAD 1983 HARN Adj. Minnesota Benton (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_BENTON_FT                103712
/*      NAD 1983 HARN Adj. Minnesota Big Stone (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_BIG_STONE_FT             103713
/*      NAD 1983 HARN Adj. Minnesota Blue Earth (US foot)                    */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_BLUE_EARTH_FT            103714
/*      NAD 1983 HARN Adj. Minnesota Brown (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_BROWN_FT                 103715
/*      NAD 1983 HARN Adj. Minnesota Carlton (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CARLTON_FT               103716
/*      NAD 1983 HARN Adj. Minnesota Carver (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CARVER_FT                103717
/*      NAD 1983 HARN Adj. Minnesota Cass North (US foot)                    */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CASS_N_FT                103718
/*      NAD 1983 HARN Adj. Minnesota Cass South (US foot)                    */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CASS_S_FT                103719
/*      NAD 1983 HARN Adj. Minnesota Chippewa (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CHIPPEWA_FT              103720
/*      NAD 1983 HARN Adj. Minnesota Chisago (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CHISAGO_FT               103721
/*      NAD 1983 HARN Adj. Minnesota Cook North (US foot)                    */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_COOK_N_FT                103722
/*      NAD 1983 HARN Adj. Minnesota Cook South (US foot)                    */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_COOK_S_FT                103723
/*      NAD 1983 HARN Adj. Minnesota Cottonwood (US foot)                    */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_COTTONWOOD_FT            103724
/*      NAD 1983 HARN Adj. Minnesota Crow Wing (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_CROW_WING_FT             103725
/*      NAD 1983 HARN Adj. Minnesota Dakota (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_DAKOTA_FT                103726
/*      NAD 1983 HARN Adj. Minnesota Dodge (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_DODGE_FT                 103727
/*      NAD 1983 HARN Adj. Minnesota Douglas (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_DOUGLAS_FT               103728
/*      NAD 1983 HARN Adj. Minnesota Faribault (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_FARIBAULT_FT             103729
/*      NAD 1983 HARN Adj. Minnesota Fillmore (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_FILLMORE_FT              103730
/*      NAD 1983 HARN Adj. Minnesota Freeborn (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_FREEBORN_FT              103731
/*      NAD 1983 HARN Adj. Minnesota Goodhue (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_GOODHUE_FT               103732
/*      NAD 1983 HARN Adj. Minnesota Grant (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_GRANT_FT                 103733
/*      NAD 1983 HARN Adj. Minnesota Hennepin (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_HENNEPIN_FT              103734
/*      NAD 1983 HARN Adj. Minnesota Houston (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_HOUSTON_FT               103735
/*      NAD 1983 HARN Adj. Minnesota Isanti (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ISANTI_FT                103736
/*      NAD 1983 HARN Adj. Minnesota Itasca North (US foot)                  */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ITASCA_N_FT              103737
/*      NAD 1983 HARN Adj. Minnesota Itasca South (US foot)                  */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ITASCA_S_FT              103738
/*      NAD 1983 HARN Adj. Minnesota Jackson (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_JACKSON_FT               103739
/*      NAD 1983 HARN Adj. Minnesota Kanabec (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_KANABEC_FT               103740
/*      NAD 1983 HARN Adj. Minnesota Kandiyohi (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_KANDIYOHI_FT             103741
/*      NAD 1983 HARN Adj. Minnesota Kittson (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_KITTSON_FT               103742
/*      NAD 1983 HARN Adj. Minnesota Koochiching (US foot)                   */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_KOOCHICHING_FT           103743
/*      NAD 1983 HARN Adj. Minnesota Lac Qui Parle (US foot)                 */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_LAC_QUI_PARLE_FT         103744
/*      NAD 1983 HARN Adj. Minnesota Lake of the Woods North (US foot)       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_N_FT   103745
/*      NAD 1983 HARN Adj. Minnesota Lake of the Woods South (US foot)       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_S_FT   103746
/*      NAD 1983 HARN Adj. Minnesota Le Sueur (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_LE_SUEUR_FT              103747
/*      NAD 1983 HARN Adj. Minnesota Lincoln (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_LINCOLN_FT               103748
/*      NAD 1983 HARN Adj. Minnesota Lyon (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_LYON_FT                  103749
/*      NAD 1983 HARN Adj. Minnesota McLeod (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MCLEOD_FT                103750
/*      NAD 1983 HARN Adj. Minnesota Mahnomen (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MAHNOMEN_FT              103751
/*      NAD 1983 HARN Adj. Minnesota Marshall (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MARSHALL_FT              103752
/*      NAD 1983 HARN Adj. Minnesota Martin (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MARTIN_FT                103753
/*      NAD 1983 HARN Adj. Minnesota Meeker (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MEEKER_FT                103754
/*      NAD 1983 HARN Adj. Minnesota Morrison (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MORRISON_FT              103755
/*      NAD 1983 HARN Adj. Minnesota Mower (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MOWER_FT                 103756
/*      NAD 1983 HARN Adj. Minnesota Murray (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_MURRAY_FT                103757
/*      NAD 1983 HARN Adj. Minnesota Nicollet (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_NICOLLET_FT              103758
/*      NAD 1983 HARN Adj. Minnesota Nobles (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_NOBLES_FT                103759
/*      NAD 1983 HARN Adj. Minnesota Norman (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_NORMAN_FT                103760
/*      NAD 1983 HARN Adj. Minnesota Olmsted (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_OLMSTED_FT               103761
/*      NAD 1983 HARN Adj. Minnesota Ottertail (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_OTTERTAIL_FT             103762
/*      NAD 1983 HARN Adj. Minnesota Pennington (US foot)                    */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_PENNINGTON_FT            103763
/*      NAD 1983 HARN Adj. Minnesota Pine (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_PINE_FT                  103764
/*      NAD 1983 HARN Adj. Minnesota Pipestone (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_PIPESTONE_FT             103765
/*      NAD 1983 HARN Adj. Minnesota Polk (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_POLK_FT                  103766
/*      NAD 1983 HARN Adj. Minnesota Pope (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_POPE_FT                  103767
/*      NAD 1983 HARN Adj. Minnesota Ramsey (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_RAMSEY_FT                103768
/*      NAD 1983 HARN Adj. Minnesota Red Lake (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_RED_LAKE_FT              103769
/*      NAD 1983 HARN Adj. Minnesota Redwood (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_REDWOOD_FT               103770
/*      NAD 1983 HARN Adj. Minnesota Renville (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_RENVILLE_FT              103771
/*      NAD 1983 HARN Adj. Minnesota Rice (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_RICE_FT                  103772
/*      NAD 1983 HARN Adj. Minnesota Rock (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ROCK_FT                  103773
/*      NAD 1983 HARN Adj. Minnesota Roseau (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ROSEAU_FT                103774
/*      NAD 1983 HARN Adj. Minnesota St Louis North (US foot)                */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_N_FT            103775
/*      NAD 1983 HARN Adj. Minnesota St Louis Central (US foot)              */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_C_FT            103776
/*      NAD 1983 HARN Adj. Minnesota St Louis South (US foot)                */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_ST_LOUIS_S_FT            103777
/*      NAD 1983 HARN Adj. Minnesota Scott (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_SCOTT_FT                 103778
/*      NAD 1983 HARN Adj. Minnesota Sherburne (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_SHERBURNE_FT             103779
/*      NAD 1983 HARN Adj. Minnesota Sibley (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_SIBLEY_FT                103780
/*      NAD 1983 HARN Adj. Minnesota Stearns (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_STEARNS_FT               103781
/*      NAD 1983 HARN Adj. Minnesota Steele (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_STEELE_FT                103782
/*      NAD 1983 HARN Adj. Minnesota Stevens (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_STEVENS_FT               103783
/*      NAD 1983 HARN Adj. Minnesota Swift (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_SWIFT_FT                 103784
/*      NAD 1983 HARN Adj. Minnesota Todd (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_TODD_FT                  103785
/*      NAD 1983 HARN Adj. Minnesota Traverse (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_TRAVERSE_FT              103786
/*      NAD 1983 HARN Adj. Minnesota Wabasha (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WABASHA_FT               103787
/*      NAD 1983 HARN Adj. Minnesota Wadena (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WADENA_FT                103788
/*      NAD 1983 HARN Adj. Minnesota Waseca (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WASECA_FT                103789
/*      NAD 1983 HARN Adj. Minnesota Watonwan (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WATONWAN_FT              103790
/*      NAD 1983 HARN Adj. Minnesota Winona (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WINONA_FT                103791
/*      NAD 1983 HARN Adj. Minnesota Wright (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_WRIGHT_FT                103792
/*      NAD 1983 HARN Adj. Minnesota Yellow Medicine (US foot)               */
#define PE_PCS_NAD_1983_HARN_ADJ_MN_YELLOW_MEDICINE_FT       103793


/* Wisconsin County Coordinate Systems                                       */

/*      NAD 1983 HARN Adj. Wisconsin Adams (meters)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_AD_M                     103800
/*      NAD 1983 HARN Adj. Wisconsin Ashland (meters)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_AL_M                     103801
/*      NAD 1983 HARN Adj. Wisconsin Barron (meters)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_BA_M                     103802
/*      NAD 1983 HARN Adj. Wisconsin Brown (meters)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_BR_M                     103803
/*      NAD 1983 HARN Adj. Wisconsin Buffalo (meters)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_BU_M                     103804
/*      NAD 1983 HARN Adj. Wisconsin Calumet (meters)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_CL_M                     103805
/*      NAD 1983 HARN Adj. Wisconsin Clark (meters)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_CK_M                     103806
/*      NAD 1983 HARN Adj. Wisconsin Dodge (meters)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_DD_M                     103807
/*      NAD 1983 HARN Adj. Wisconsin Door (meters)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_DR_M                     103808
/*      NAD 1983 HARN Adj. Wisconsin Douglas (meters)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_DG_M                     103809
/*      NAD 1983 HARN Adj. Wisconsin Dunn (meters)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_DU_M                     103810
/*      NAD 1983 HARN Adj. Wisconsin Florence (meters)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_FN_M                     103811
/*      NAD 1983 HARN Adj. Wisconsin Fond du Lac (meters)                    */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_FL_M                     103812
/*      NAD 1983 HARN Adj. Wisconsin Forest (meters)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_FR_M                     103813
/*      NAD 1983 HARN Adj. Wisconsin Grant (meters)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_GT_M                     103814
/*      NAD 1983 HARN Adj. Wisconsin Iowa (meters)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_IA_M                     103815
/*      NAD 1983 HARN Adj. Wisconsin Iron (meters)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_IR_M                     103816
/*      NAD 1983 HARN Adj. Wisconsin Jefferson (meters)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_JF_M                     103817
/*      NAD 1983 HARN Adj. Wisconsin Juneau (meters)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_JN_M                     103818
/*      NAD 1983 HARN Adj. Wisconsin Kenosha (meters)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_KN_M                     103819
/*      NAD 1983 HARN Adj. Wisconsin Kewaunee (meters)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_KW_M                     103820
/*      NAD 1983 HARN Adj. Wisconsin LaCrosse (meters)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_LC_M                     103821
/*      NAD 1983 HARN Adj. Wisconsin Lincoln (meters)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_LN_M                     103822
/*      NAD 1983 HARN Adj. Wisconsin Manitowoc (meters)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_MT_M                     103823
/*      NAD 1983 HARN Adj. Wisconsin Marinette (meters)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_MN_M                     103824
/*      NAD 1983 HARN Adj. Wisconsin Menominee (meters)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_ME_M                     103825
/*      NAD 1983 HARN Adj. Wisconsin Milwaukee (meters)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_MW_M                     103826
/*      NAD 1983 HARN Adj. Wisconsin Oconto (meters)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_OC_M                     103827
/*      NAD 1983 HARN Adj. Wisconsin Outagamie (meters)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_OG_M                     103828
/*      NAD 1983 HARN Adj. Wisconsin Ozaukee (meters)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_OZ_M                     103829
/*      NAD 1983 HARN Adj. Wisconsin Polk (meters)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_PK_M                     103830
/*      NAD 1983 HARN Adj. Wisconsin Price (meters)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_PR_M                     103831
/*      NAD 1983 HARN Adj. Wisconsin Racine (meters)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_RA_M                     103832
/*      NAD 1983 HARN Adj. Wisconsin Rock (meters)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_RK_M                     103833
/*      NAD 1983 HARN Adj. Wisconsin Rusk (meters)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_RS_M                     103834
/*      NAD 1983 HARN Adj. Wisconsin St Croix (meters)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_SC_M                     103835
/*      NAD 1983 HARN Adj. Wisconsin Sauk (meters)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_SK_M                     103836
/*      NAD 1983 HARN Adj. Wisconsin Shawano (meters)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_SH_M                     103837
/*      NAD 1983 HARN Adj. Wisconsin Sheboygan (meters)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_SG_M                     103838
/*      NAD 1983 HARN Adj. Wisconsin Trempealeau (meters)                    */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_TR_M                     103839
/*      NAD 1983 HARN Adj. Wisconsin Washington (meters)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WA_M                     103840
/*      NAD 1983 HARN Adj. Wisconsin Waukesha (meters)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WK_M                     103841
/*      NAD 1983 HARN Adj. Wisconsin Waupaca (meters)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WP_M                     103842
/*      NAD 1983 HARN Adj. Wisconsin Winnebago (meters)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WN_M                     103843

/*      NAD 1983 HARN Adj. Wisconsin Bayfield (meters)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_BF_M                     103844
/*      NAD 1983 HARN Adj. Wisconsin Burnett (meters)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_BN_M                     103845
/*      NAD 1983 HARN Adj. Wisconsin Chippewa (meters)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_CP_M                     103846
/*      NAD 1983 HARN Adj. Wisconsin Columbia (meters)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_CO_M                     103847
/*      NAD 1983 HARN Adj. Wisconsin Crawford (meters)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_CR_M                     103848
/*      NAD 1983 HARN Adj. Wisconsin Dane (meters)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_DN_M                     103849
/*      NAD 1983 HARN Adj. Wisconsin EauClaire (meters)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_EC_M                     103850
/*      NAD 1983 HARN Adj. Wisconsin Green (meters)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_GR_M                     103851
/*      NAD 1983 HARN Adj. Wisconsin GreenLake (meters)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_GL_M                     103852
/*      NAD 1983 HARN Adj. Wisconsin Jackson (meters)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_JA_M                     103853
/*      NAD 1983 HARN Adj. Wisconsin Lafayette (meters)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_LF_M                     103854
/*      NAD 1983 HARN Adj. Wisconsin Langlade (meters)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_LG_M                     103855
/*      NAD 1983 HARN Adj. Wisconsin Marathon (meters)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_MA_M                     103856
/*      NAD 1983 HARN Adj. Wisconsin Marquette (meters)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_MQ_M                     103857
/*      NAD 1983 HARN Adj. Wisconsin Monroe (meters)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_MR_M                     103858
/*      NAD 1983 HARN Adj. Wisconsin Oneida (meters)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_ON_M                     103859
/*      NAD 1983 HARN Adj. Wisconsin Pepin (meters)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_PP_M                     103860
/*      NAD 1983 HARN Adj. Wisconsin Pierce (meters)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_PC_M                     103861
/*      NAD 1983 HARN Adj. Wisconsin Portage (meters)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_PT_M                     103862
/*      NAD 1983 HARN Adj. Wisconsin Richland (meters)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_RC_M                     103863
/*      NAD 1983 HARN Adj. Wisconsin Sawyer (meters)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_SW_M                     103864
/*      NAD 1983 HARN Adj. Wisconsin Taylor (meters)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_TA_M                     103865
/*      NAD 1983 HARN Adj. Wisconsin Vernon (meters)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_VR_M                     103866
/*      NAD 1983 HARN Adj. Wisconsin Vilas (meters)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_VI_M                     103867
/*      NAD 1983 HARN Adj. Wisconsin Walworth (meters)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WW_M                     103868
/*      NAD 1983 HARN Adj. Wisconsin Washburn (meters)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WB_M                     103869
/*      NAD 1983 HARN Adj. Wisconsin Waushara (meters)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WS_M                     103870
/*      NAD 1983 HARN Adj. Wisconsin Wood (meters)                           */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WD_M                     103871

/*      NAD 1983 HARN Adj. Wisconsin Adams (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_AD_FT                    103900
/*      NAD 1983 HARN Adj. Wisconsin Ashland (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_AL_FT                    103901
/*      NAD 1983 HARN Adj. Wisconsin Barron (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_BA_FT                    103902
/*      NAD 1983 HARN Adj. Wisconsin Brown (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_BR_FT                    103903
/*      NAD 1983 HARN Adj. Wisconsin Buffalo (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_BU_FT                    103904
/*      NAD 1983 HARN Adj. Wisconsin Calumet (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_CL_FT                    103905
/*      NAD 1983 HARN Adj. Wisconsin Clark (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_CK_FT                    103906
/*      NAD 1983 HARN Adj. Wisconsin Dodge (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_DD_FT                    103907
/*      NAD 1983 HARN Adj. Wisconsin Door (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_DR_FT                    103908
/*      NAD 1983 HARN Adj. Wisconsin Douglas (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_DG_FT                    103909
/*      NAD 1983 HARN Adj. Wisconsin Dunn (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_DU_FT                    103910
/*      NAD 1983 HARN Adj. Wisconsin Florence (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_FN_FT                    103911
/*      NAD 1983 HARN Adj. Wisconsin Fond du Lac (US foot)                   */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_FL_FT                    103912
/*      NAD 1983 HARN Adj. Wisconsin Forest (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_FR_FT                    103913
/*      NAD 1983 HARN Adj. Wisconsin Grant (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_GT_FT                    103914
/*      NAD 1983 HARN Adj. Wisconsin Iowa (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_IA_FT                    103915
/*      NAD 1983 HARN Adj. Wisconsin Iron (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_IR_FT                    103916
/*      NAD 1983 HARN Adj. Wisconsin Jefferson (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_JF_FT                    103917
/*      NAD 1983 HARN Adj. Wisconsin Juneau (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_JN_FT                    103918
/*      NAD 1983 HARN Adj. Wisconsin Kenosha (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_KN_FT                    103919
/*      NAD 1983 HARN Adj. Wisconsin Kewaunee (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_KW_FT                    103920
/*      NAD 1983 HARN Adj. Wisconsin LaCrosse (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_LC_FT                    103921
/*      NAD 1983 HARN Adj. Wisconsin Lincoln (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_LN_FT                    103922
/*      NAD 1983 HARN Adj. Wisconsin Manitowoc (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_MT_FT                    103923
/*      NAD 1983 HARN Adj. Wisconsin Marinette (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_MN_FT                    103924
/*      NAD 1983 HARN Adj. Wisconsin Menominee (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_ME_FT                    103925
/*      NAD 1983 HARN Adj. Wisconsin Milwaukee (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_MW_FT                    103926
/*      NAD 1983 HARN Adj. Wisconsin Oconto (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_OC_FT                    103927
/*      NAD 1983 HARN Adj. Wisconsin Outagamie (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_OG_FT                    103928
/*      NAD 1983 HARN Adj. Wisconsin Ozaukee (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_OZ_FT                    103929
/*      NAD 1983 HARN Adj. Wisconsin Polk (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_PK_FT                    103930
/*      NAD 1983 HARN Adj. Wisconsin Price (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_PR_FT                    103931
/*      NAD 1983 HARN Adj. Wisconsin Racine (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_RA_FT                    103932
/*      NAD 1983 HARN Adj. Wisconsin Rock (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_RK_FT                    103933
/*      NAD 1983 HARN Adj. Wisconsin Rusk (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_RS_FT                    103934
/*      NAD 1983 HARN Adj. Wisconsin St Croix (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_SC_FT                    103935
/*      NAD 1983 HARN Adj. Wisconsin Sauk (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_SK_FT                    103936
/*      NAD 1983 HARN Adj. Wisconsin Shawano (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_SH_FT                    103937
/*      NAD 1983 HARN Adj. Wisconsin Sheboygan (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_SG_FT                    103938
/*      NAD 1983 HARN Adj. Wisconsin Trempealeau (US foot)                   */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_TR_FT                    103939
/*      NAD 1983 HARN Adj. Wisconsin Washington (US foot)                    */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WA_FT                    103940
/*      NAD 1983 HARN Adj. Wisconsin Waukesha (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WK_FT                    103941
/*      NAD 1983 HARN Adj. Wisconsin Waupaca (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WP_FT                    103942
/*      NAD 1983 HARN Adj. Wisconsin Winnebago (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WN_FT                    103943

/*      NAD 1983 HARN Adj. Wisconsin Bayfield (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_BF_FT                    103944
/*      NAD 1983 HARN Adj. Wisconsin Burnett (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_BN_FT                    103945
/*      NAD 1983 HARN Adj. Wisconsin Chippewa (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_CP_FT                    103946
/*      NAD 1983 HARN Adj. Wisconsin Columbia (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_CO_FT                    103947
/*      NAD 1983 HARN Adj. Wisconsin Crawford (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_CR_FT                    103948
/*      NAD 1983 HARN Adj. Wisconsin Dane (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_DN_FT                    103949
/*      NAD 1983 HARN Adj. Wisconsin EauClaire (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_EC_FT                    103950
/*      NAD 1983 HARN Adj. Wisconsin Green (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_GR_FT                    103951
/*      NAD 1983 HARN Adj. Wisconsin GreenLake (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_GL_FT                    103952
/*      NAD 1983 HARN Adj. Wisconsin Jackson (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_JA_FT                    103953
/*      NAD 1983 HARN Adj. Wisconsin Lafayette (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_LF_FT                    103954
/*      NAD 1983 HARN Adj. Wisconsin Langlade (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_LG_FT                    103955
/*      NAD 1983 HARN Adj. Wisconsin Marathon (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_MA_FT                    103956
/*      NAD 1983 HARN Adj. Wisconsin Marquette (US foot)                     */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_MQ_FT                    103957
/*      NAD 1983 HARN Adj. Wisconsin Monroe (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_MR_FT                    103958
/*      NAD 1983 HARN Adj. Wisconsin Oneida (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_ON_FT                    103959
/*      NAD 1983 HARN Adj. Wisconsin Pepin (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_PP_FT                    103960
/*      NAD 1983 HARN Adj. Wisconsin Pierce (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_PC_FT                    103961
/*      NAD 1983 HARN Adj. Wisconsin Portage (US foot)                       */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_PT_FT                    103962
/*      NAD 1983 HARN Adj. Wisconsin Richland (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_RC_FT                    103963
/*      NAD 1983 HARN Adj. Wisconsin Sawyer (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_SW_FT                    103964
/*      NAD 1983 HARN Adj. Wisconsin Taylor (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_TA_FT                    103965
/*      NAD 1983 HARN Adj. Wisconsin Vernon (US foot)                        */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_VR_FT                    103966
/*      NAD 1983 HARN Adj. Wisconsin Vilas (US foot)                         */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_VI_FT                    103967
/*      NAD 1983 HARN Adj. Wisconsin Walworth (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WW_FT                    103968
/*      NAD 1983 HARN Adj. Wisconsin Washburn (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WB_FT                    103969
/*      NAD 1983 HARN Adj. Wisconsin Waushara (US foot)                      */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WS_FT                    103970
/*      NAD 1983 HARN Adj. Wisconsin Wood (US foot)                          */
#define PE_PCS_NAD_1983_HARN_ADJ_WI_WD_FT                    103971

/*      Fuller                                                               */
#define PE_PCS_WORLD_FULLER                                   54050
/*      Cube                                                                 */
#define PE_PCS_WORLD_CUBE                                     54051

/* END of NEW PCS's at 9.0 -----------------------                           */

/*      Abidjan 1987 TM 5 NW                                                 */
#define PE_PCS_ABIDJAN_1987_TM_5_NW                            2165
/*      Abidjan 1987 UTM 29N                                                 */
#define PE_PCS_ABIDJAN_1987_UTM_29N                            2043
/*      Abidjan 1987 UTM 30N                                                 */
#define PE_PCS_ABIDJAN_1987_UTM_30N                            2041
/*      Accra Ghana Grid                                                     */
#define PE_PCS_ACCRA_GHANA_GRID                                2136
/*      Accra TM 1 NW                                                        */
#define PE_PCS_ACCRA_TM_1_NW                                   2137
/*      Adindan UTM Zone 37N                                                 */
#define PE_PCS_ADINDAN_UTM_37N                                20137
/*      Adindan UTM Zone 38N                                                 */
#define PE_PCS_ADINDAN_UTM_38N                                20138
/*      Afgooye UTM Zone 38N                                                 */
#define PE_PCS_AFGOOYE_UTM_38N                                20538
/*      Afgooye UTM Zone 39N                                                 */
#define PE_PCS_AFGOOYE_UTM_39N                                20539

/* Australia                                                                 */
/*      AGD 1966 AMG Zone 48                                                 */
#define PE_PCS_AGD_1966_AMG_48                                20248
/*      AGD 1966 AMG Zone 49                                                 */
#define PE_PCS_AGD_1966_AMG_49                                20249
/*      AGD 1966 AMG Zone 50                                                 */
#define PE_PCS_AGD_1966_AMG_50                                20250
/*      AGD 1966 AMG Zone 51                                                 */
#define PE_PCS_AGD_1966_AMG_51                                20251
/*      AGD 1966 AMG Zone 52                                                 */
#define PE_PCS_AGD_1966_AMG_52                                20252
/*      AGD 1966 AMG Zone 53                                                 */
#define PE_PCS_AGD_1966_AMG_53                                20253
/*      AGD 1966 AMG Zone 54                                                 */
#define PE_PCS_AGD_1966_AMG_54                                20254
/*      AGD 1966 AMG Zone 55                                                 */
#define PE_PCS_AGD_1966_AMG_55                                20255
/*      AGD 1966 AMG Zone 56                                                 */
#define PE_PCS_AGD_1966_AMG_56                                20256
/*      AGD 1966 AMG Zone 57                                                 */
#define PE_PCS_AGD_1966_AMG_57                                20257
/*      AGD 1966 AMG Zone 58                                                 */
#define PE_PCS_AGD_1966_AMG_58                                20258
/*      AGD 1984 AMG Zone 48                                                 */
#define PE_PCS_AGD_1984_AMG_48                                20348
/*      AGD 1984 AMG Zone 49                                                 */
#define PE_PCS_AGD_1984_AMG_49                                20349
/*      AGD 1984 AMG Zone 50                                                 */
#define PE_PCS_AGD_1984_AMG_50                                20350
/*      AGD 1984 AMG Zone 51                                                 */
#define PE_PCS_AGD_1984_AMG_51                                20351
/*      AGD 1984 AMG Zone 52                                                 */
#define PE_PCS_AGD_1984_AMG_52                                20352
/*      AGD 1984 AMG Zone 53                                                 */
#define PE_PCS_AGD_1984_AMG_53                                20353
/*      AGD 1984 AMG Zone 54                                                 */
#define PE_PCS_AGD_1984_AMG_54                                20354
/*      AGD 1984 AMG Zone 55                                                 */
#define PE_PCS_AGD_1984_AMG_55                                20355
/*      AGD 1984 AMG Zone 56                                                 */
#define PE_PCS_AGD_1984_AMG_56                                20356
/*      AGD 1984 AMG Zone 57                                                 */
#define PE_PCS_AGD_1984_AMG_57                                20357
/*      AGD 1984 AMG Zone 58                                                 */
#define PE_PCS_AGD_1984_AMG_58                                20358


/*      Bahrain State Grid                                                   */
#define PE_PCS_AIN_EL_ABD_BAHRAIN_GRID                        20499
/*      Ain el Abd 1970 UTM Zone 37N                                         */
#define PE_PCS_AIN_EL_ABD_UTM_37N                             20437
/*      Ain el Abd 1970 UTM Zone 38N                                         */
#define PE_PCS_AIN_EL_ABD_UTM_38N                             20438
/*      Ain el Abd 1970 UTM Zone 39N                                         */
#define PE_PCS_AIN_EL_ABD_UTM_39N                             20439
/*      Amersfoort RD New,Netherlands                                        */
#define PE_PCS_AMERSFOORT_RD_NEW                              28992
/*      Amersfoort RD Old,Netherlands                                        */
#define PE_PCS_AMERSFOORT_RD_OLD                              28991
/*      Anguilla 1957 British W Indies Grid                                  */
#define PE_PCS_ANGUILLA_1957_BRITISH_W_INDIES                  2000
/*      Antigua 1943 British W Indies Grid                                   */
#define PE_PCS_ANTIGUA_1943_BRITISH_W_INDIES                   2001
/*      Aratu UTM Zone 22S                                                   */
#define PE_PCS_ARATU_UTM_22S                                  20822
/*      Aratu UTM Zone 23S                                                   */
#define PE_PCS_ARATU_UTM_23S                                  20823
/*      Aratu UTM Zone 24S                                                   */
#define PE_PCS_ARATU_UTM_24S                                  20824
/*      Arc 1950 UTM zone 34S                                                */
#define PE_PCS_ARC_1950_UTM_34S                               20934
/*      Arc 1950 UTM zone 35S                                                */
#define PE_PCS_ARC_1950_UTM_35S                               20935
/*      Arc 1950 UTM zone 36S                                                */
#define PE_PCS_ARC_1950_UTM_36S                               20936
/*      Arc 1960 UTM zone 35S                                                */
#define PE_PCS_ARC_1960_UTM_35S                               21035
/*      Arc 1960 UTM zone 36S                                                */
#define PE_PCS_ARC_1960_UTM_36S                               21036
/*      Arc 1960 UTM zone 37S                                                */
#define PE_PCS_ARC_1960_UTM_37S                               21037
/*      Arc 1960 UTM zone 35N                                                */
#define PE_PCS_ARC_1960_UTM_35N                               21095
/*      Arc 1960 UTM zone 36N                                                */
#define PE_PCS_ARC_1960_UTM_36N                               21096
/*      Arc 1960 UTM zone 37N                                                */
#define PE_PCS_ARC_1960_UTM_37N                               21097
/*      Nord de Guerre                                                       */
#define PE_PCS_ATF_NORD_DE_GUERRE                             27500
/*      ATS 1977 MTM zone 4 Nova Scotia                                      */
#define PE_PCS_ATS_1977_MTM_4_NS                               2294
/*      ATS 1977 MTM zone 5 Nova Scotia                                      */
#define PE_PCS_ATS_1977_MTM_5_NS                               2295
/*      ATS 1977 New Brunswick Stereographic                                 */
#define PE_PCS_ATS_1977_NEW_BRUNSWICK                          2200
/*      ATS 1977 Prince Edward Island Stereographic                          */
#define PE_PCS_ATS_1977_PRINCE_EDWARD_ISLAND                   2290
/*      ATS 1977 UTM Zone 19N                                                */
#define PE_PCS_ATS_1977_UTM_19N                                2219
/*      ATS 1977 UTM Zone 20N                                                */
#define PE_PCS_ATS_1977_UTM_20N                                2220
/*      Barbados 1938 British W Indies Grid                                  */
#define PE_PCS_BARBADOS_1938_BRITISH_W_INDIES                 21291
/*      Barbados 1938 Barbados Grid                                          */
#define PE_PCS_BARBADOS_1938_BARBADOS_GRID                    21292
/*      Batavia UTM Zone 48S                                                 */
#define PE_PCS_BATAVIA_UTM_48S                                21148
/*      Batavia UTM Zone 49S                                                 */
#define PE_PCS_BATAVIA_UTM_49S                                21149
/*      Batavia UTM Zone 50S                                                 */
#define PE_PCS_BATAVIA_UTM_50S                                21150

/* China                                                                     */
/*      Beijing 1954 GK Zone 13                                              */
#define PE_PCS_BEIJING_1954_GK_13                             21413
/*      Beijing 1954 GK Zone 14                                              */
#define PE_PCS_BEIJING_1954_GK_14                             21414
/*      Beijing 1954 GK Zone 15                                              */
#define PE_PCS_BEIJING_1954_GK_15                             21415
/*      Beijing 1954 GK Zone 16                                              */
#define PE_PCS_BEIJING_1954_GK_16                             21416
/*      Beijing 1954 GK Zone 17                                              */
#define PE_PCS_BEIJING_1954_GK_17                             21417
/*      Beijing 1954 GK Zone 18                                              */
#define PE_PCS_BEIJING_1954_GK_18                             21418
/*      Beijing 1954 GK Zone 19                                              */
#define PE_PCS_BEIJING_1954_GK_19                             21419
/*      Beijing 1954 GK Zone 20                                              */
#define PE_PCS_BEIJING_1954_GK_20                             21420
/*      Beijing 1954 GK Zone 21                                              */
#define PE_PCS_BEIJING_1954_GK_21                             21421
/*      Beijing 1954 GK Zone 22                                              */
#define PE_PCS_BEIJING_1954_GK_22                             21422
/*      Beijing 1954 GK Zone 23                                              */
#define PE_PCS_BEIJING_1954_GK_23                             21423
/*      Beijing 1954 GK Zone 13N                                             */
#define PE_PCS_BEIJING_1954_GK_13N                            21473
/*      Beijing 1954 GK Zone 14N                                             */
#define PE_PCS_BEIJING_1954_GK_14N                            21474
/*      Beijing 1954 GK Zone 15N                                             */
#define PE_PCS_BEIJING_1954_GK_15N                            21475
/*      Beijing 1954 GK Zone 16N                                             */
#define PE_PCS_BEIJING_1954_GK_16N                            21476
/*      Beijing 1954 GK Zone 17N                                             */
#define PE_PCS_BEIJING_1954_GK_17N                            21477
/*      Beijing 1954 GK Zone 18N                                             */
#define PE_PCS_BEIJING_1954_GK_18N                            21478
/*      Beijing 1954 GK Zone 19N                                             */
#define PE_PCS_BEIJING_1954_GK_19N                            21479
/*      Beijing 1954 GK Zone 20N                                             */
#define PE_PCS_BEIJING_1954_GK_20N                            21480
/*      Beijing 1954 GK Zone 21N                                             */
#define PE_PCS_BEIJING_1954_GK_21N                            21481
/*      Beijing 1954 GK Zone 22N                                             */
#define PE_PCS_BEIJING_1954_GK_22N                            21482
/*      Beijing 1954 GK Zone 23N                                             */
#define PE_PCS_BEIJING_1954_GK_23N                            21483


/*      Belge Lambert 1950                                                   */
#define PE_PCS_BELGE_LAMBERT_1950                             21500
/*      Belge Lambert 1972 (was 103300 at 8.3)                               */
#define PE_PCS_BELGE_LAMBERT_1972                             31370
/*      Bern 1898 (Bern) LV03C                                               */
#define PE_PCS_BERN_1898_BERN_LV03C                           21780
/*      Bissau UTM zone 28N                                                  */
#define PE_PCS_BISSAU_UTM_28N                                  2095
/*      Colombia West Zone                                                   */
#define PE_PCS_BOGOTA_COLOMBIA_WEST                           21896
/*      Colombia Bogota Zone                                                 */
#define PE_PCS_BOGOTA_COLOMBIA_BOGOTA                         21897
/*      Colombia E Central Zone                                              */
#define PE_PCS_BOGOTA_COLOMBIA_E_CENTRAL                      21898
/*      Colombia East Zone                                                   */
#define PE_PCS_BOGOTA_COLOMBIA_EAST                           21899
/*      Bogota UTM Zone 17N                                                  */
#define PE_PCS_BOGOTA_UTM_17N                                 21817
/*      Bogota UTM Zone 18N                                                  */
#define PE_PCS_BOGOTA_UTM_18N                                 21818
/*      Camacupa TM 11 30 SE                                                 */
#define PE_PCS_CAMACUPA_TM_11_30_SE                           22091
/*      Camacupa TM 12 SE                                                    */
#define PE_PCS_CAMACUPA_TM_12_SE                              22092
/*      Camacupa UTM Zone 32S                                                */
#define PE_PCS_CAMACUPA_UTM_32S                               22032
/*      Camacupa UTM Zone 33S                                                */
#define PE_PCS_CAMACUPA_UTM_33S                               22033
/*      Cape UTM zone 34S                                                    */
#define PE_PCS_CAPE_UTM_34S                                   22234
/*      Cape UTM zone 35S                                                    */
#define PE_PCS_CAPE_UTM_35S                                   22235
/*      Cape UTM zone 36S                                                    */
#define PE_PCS_CAPE_UTM_36S                                   22236
/*      Nord Tunisie                                                         */
#define PE_PCS_CARTHAGE_NORD_TUNISIE                          22391
/*      Carthage TM 11 NE                                                    */
#define PE_PCS_CARTHAGE_TM_11_NE                               2088
/*      Sud Tunisie                                                          */
#define PE_PCS_CARTHAGE_SUD_TUNISIE                           22392
/*      Carthage UTM Zone 32N                                                */
#define PE_PCS_CARTHAGE_UTM_32N                               22332
/*      CH1903 LV03 (Switz, Liech)                                           */
#define PE_PCS_CH1903_LV03                                    21781
/*      CH1903+ LV95 (Switz, Liech)                                          */
#define PE_PCS_CH1903_PLUS_LV95                                2056
/*      Chos Malal 1914 Argentina zone 2                                     */
#define PE_PCS_CHOS_MALAL_1914_ARGENTINA_2                     2081
/*      Conakry 1905 UTM zone 28N                                            */
#define PE_PCS_CONAKRY_1905_UTM_28N                           31528
/*      Conakry 1905 UTM zone 29N                                            */
#define PE_PCS_CONAKRY_1905_UTM_29N                           31529
/*      Corrego Alegre UTM Zone 23S                                          */
#define PE_PCS_CORREGO_ALEGRE_UTM_23S                         22523
/*      Corrego Alegre UTM Zone 24S                                          */
#define PE_PCS_CORREGO_ALEGRE_UTM_24S                         22524
/*      Argentina Zone 1                                                     */
#define PE_PCS_C_INCHAUSPE_ARGENTINA_1                        22191
/*      Argentina Zone 2                                                     */
#define PE_PCS_C_INCHAUSPE_ARGENTINA_2                        22192
/*      Argentina Zone 3                                                     */
#define PE_PCS_C_INCHAUSPE_ARGENTINA_3                        22193
/*      Argentina Zone 4                                                     */
#define PE_PCS_C_INCHAUSPE_ARGENTINA_4                        22194
/*      Argentina Zone 5                                                     */
#define PE_PCS_C_INCHAUSPE_ARGENTINA_5                        22195
/*      Argentina Zone 6                                                     */
#define PE_PCS_C_INCHAUSPE_ARGENTINA_6                        22196
/*      Argentina Zone 7                                                     */
#define PE_PCS_C_INCHAUSPE_ARGENTINA_7                        22197
/*      Dabola 1981 UTM zone 28N                                             */
#define PE_PCS_DABOLA_1981_UTM_28N                             3461
/*      Dabola 1981 UTM zone 29N                                             */
#define PE_PCS_DABOLA_1981_UTM_29N                             3462
/*      Datum 73 UTM Zone 29N                                                */
#define PE_PCS_DATUM_73_UTM_ZONE_29N                          27429
/*      Stereo 1933                                                          */
#define PE_PCS_DEALUL_PISCULUI_1933_STEREO_33                 31600
/*      Stereo 1970                                                          */
#define PE_PCS_DEALUL_PISCULUI_1970_STEREO_70                 31700
/*      Deir ez Zor Levant Zone                                              */
#define PE_PCS_DEIR_EZ_ZOR_LEVANT                             22700
/*      Deir es Zor Levant Stereographic                                     */
#define PE_PCS_DEIR_EZ_ZOR_LEVANT_STEREO                      22780
/*      Deir ez Zor Syria Lambert                                            */
#define PE_PCS_DEIR_EZ_ZOR_SYRIA                              22770
/*      DHDN 3 degree Gauss zone 1                                           */
#define PE_PCS_DHDN_3_DEGREE_GAUSS_1                          31461
/*      DHDN 3 degree Gauss zone 2                                           */
#define PE_PCS_DHDN_3_DEGREE_GAUSS_2                          31466
/*      DHDN 3 degree Gauss zone 3                                           */
#define PE_PCS_DHDN_3_DEGREE_GAUSS_3                          31467
/*      DHDN 3 degree Gauss zone 4                                           */
#define PE_PCS_DHDN_3_DEGREE_GAUSS_4                          31468
/*      DHDN 3 degree Gauss zone 5                                           */
#define PE_PCS_DHDN_3_DEGREE_GAUSS_5                          31469
/*      Germany Zone 1                                                       */
#define PE_PCS_DHDN_GERMANY_1                                 31491
/*      Germany Zone 2                                                       */
#define PE_PCS_DHDN_GERMANY_2                                 31492
/*      Germany Zone 3                                                       */
#define PE_PCS_DHDN_GERMANY_3                                 31493
/*      Germany Zone 4                                                       */
#define PE_PCS_DHDN_GERMANY_4                                 31494
/*      Germany Zone 5                                                       */
#define PE_PCS_DHDN_GERMANY_5                                 31495
/*      Dominica 1945 British W Indies Grid                                  */
#define PE_PCS_DOMINICA_1945_BRITISH_W_INDIES                  2002
/*      Douala UTM Zone 32N                                                  */
#define PE_PCS_DOUALA_UTM_32N                                 22832

/* Europe                                                                    */
/*      ED 1950 (ED77) UTM 38N                                               */
#define PE_PCS_ED_1950_ED77_UTM_38N                            2058
/*      ED 1950 (ED77) UTM 39N                                               */
#define PE_PCS_ED_1950_ED77_UTM_39N                            2059
/*      ED 1950 (ED77) UTM 40N                                               */
#define PE_PCS_ED_1950_ED77_UTM_40N                            2060
/*      ED 1950 (ED77) UTM 41N                                               */
#define PE_PCS_ED_1950_ED77_UTM_41N                            2061
/*      ED 1950 TM 0 N                                                       */
#define PE_PCS_ED_1950_TM_0_N                                 23090
/*      ED 1950 TM 5 NE                                                      */
#define PE_PCS_ED_1950_TM_5_NE                                23095
/*      European Datum 1950 UTM Zone 28N                                     */
#define PE_PCS_ED_1950_UTM_28N                                23028
/*      European Datum 1950 UTM Zone 29N                                     */
#define PE_PCS_ED_1950_UTM_29N                                23029
/*      European Datum 1950 UTM Zone 30N                                     */
#define PE_PCS_ED_1950_UTM_30N                                23030
/*      European Datum 1950 UTM Zone 31N                                     */
#define PE_PCS_ED_1950_UTM_31N                                23031
/*      European Datum 1950 UTM Zone 32N                                     */
#define PE_PCS_ED_1950_UTM_32N                                23032
/*      European Datum 1950 UTM Zone 33N                                     */
#define PE_PCS_ED_1950_UTM_33N                                23033
/*      European Datum 1950 UTM Zone 34N                                     */
#define PE_PCS_ED_1950_UTM_34N                                23034
/*      European Datum 1950 UTM Zone 35N                                     */
#define PE_PCS_ED_1950_UTM_35N                                23035
/*      European Datum 1950 UTM Zone 36N                                     */
#define PE_PCS_ED_1950_UTM_36N                                23036
/*      European Datum 1950 UTM Zone 37N                                     */
#define PE_PCS_ED_1950_UTM_37N                                23037
/*      European Datum 1950 UTM Zone 38N                                     */
#define PE_PCS_ED_1950_UTM_38N                                23038


/*      Egypt 1907 Blue Belt                                                 */
#define PE_PCS_EGYPT_BLUE_BELT                                22991
/*      Egypt Red Belt                                                       */
#define PE_PCS_EGYPT_RED_BELT                                 22992
/*      Egypt Purple Belt                                                    */
#define PE_PCS_EGYPT_PURPLE_BELT                              22993
/*      Egypt Extended Purple Belt                                           */
#define PE_PCS_EGYPT_EXT_PURPLE_BELT                          22994
/*      ELD 1979 Libya zone 5                                                */
#define PE_PCS_ELD_1979_LIBYA_5                                2068
/*      ELD 1979 Libya zone 6                                                */
#define PE_PCS_ELD_1979_LIBYA_6                                2069
/*      ELD 1979 Libya zone 7                                                */
#define PE_PCS_ELD_1979_LIBYA_7                                2070
/*      ELD 1979 Libya zone 8                                                */
#define PE_PCS_ELD_1979_LIBYA_8                                2071
/*      ELD 1979 Libya zone 9                                                */
#define PE_PCS_ELD_1979_LIBYA_9                                2072
/*      ELD 1979 Libya zone 10                                               */
#define PE_PCS_ELD_1979_LIBYA_10                               2073
/*      ELD 1979 Libya zone 11                                               */
#define PE_PCS_ELD_1979_LIBYA_11                               2074
/*      ELD 1979 Libya zone 12                                               */
#define PE_PCS_ELD_1979_LIBYA_12                               2075
/*      ELD 1979 Libya zone 13                                               */
#define PE_PCS_ELD_1979_LIBYA_13                               2076
/*      ELD 1979 TM 12 NE                                                    */
#define PE_PCS_ELD_1979_TM_12_NE                               2087
/*      ELD 1979 UTM zone 32N                                                */
#define PE_PCS_ELD_1979_UTM_32N                                2077
/*      ELD 1979 UTM zone 33N                                                */
#define PE_PCS_ELD_1979_UTM_33N                                2078
/*      ELD 1979 UTM zone 34N                                                */
#define PE_PCS_ELD_1979_UTM_34N                                2079
/*      ELD 1979 UTM zone 35N                                                */
#define PE_PCS_ELD_1979_UTM_35N                                2080
/*      Estonian Coordinate System 1992                                      */
#define PE_PCS_ESTONIAN_COORDINATE_SYSTEM_1992                 3300

/* European Terrestrial Reference System                                     */
/*      ETRS89 TM Baltic 1993                                                */
#define PE_PCS_ETRS_1989_TM_BALTIC_1993                       25884
/*      ETRS 1989 UTM Zone 28N                                               */
#define PE_PCS_ETRS_1989_UTM_28N                              25828
/*      ETRS 1989 UTM Zone 29N                                               */
#define PE_PCS_ETRS_1989_UTM_29N                              25829
/*      ETRS 1989 UTM Zone 30N                                               */
#define PE_PCS_ETRS_1989_UTM_30N                              25830
/*      ETRS 1989 UTM Zone 31N                                               */
#define PE_PCS_ETRS_1989_UTM_31N                              25831
/*      ETRS 1989 UTM Zone 32N                                               */
#define PE_PCS_ETRS_1989_UTM_32N                              25832
/*      ETRS 1989 UTM Zone 33N                                               */
#define PE_PCS_ETRS_1989_UTM_33N                              25833
/*      ETRS 1989 UTM Zone 34N                                               */
#define PE_PCS_ETRS_1989_UTM_34N                              25834
/*      ETRS 1989 UTM Zone 35N                                               */
#define PE_PCS_ETRS_1989_UTM_35N                              25835
/*      ETRS 1989 UTM Zone 36N                                               */
#define PE_PCS_ETRS_1989_UTM_36N                              25836
/*      ETRS 1989 UTM Zone 37N                                               */
#define PE_PCS_ETRS_1989_UTM_37N                              25837
/*      ETRS 1989 UTM Zone 38N                                               */
#define PE_PCS_ETRS_1989_UTM_38N                              25838

/* European Terrestrial Reference System                                     */
/*      ETRF89 TM Baltic 1993                                                */
#define PE_PCS_ETRF_1989_TM_BALTIC_1993                      103584
/*      ETRF 1989 UTM Zone 28N                                               */
#define PE_PCS_ETRF_1989_UTM_28N                             103528
/*      ETRF 1989 UTM Zone 29N                                               */
#define PE_PCS_ETRF_1989_UTM_29N                             103529
/*      ETRF 1989 UTM Zone 30N                                               */
#define PE_PCS_ETRF_1989_UTM_30N                             103530
/*      ETRF 1989 UTM Zone 31N                                               */
#define PE_PCS_ETRF_1989_UTM_31N                             103531
/*      ETRF 1989 UTM Zone 32N                                               */
#define PE_PCS_ETRF_1989_UTM_32N                             103532
/*      ETRF 1989 UTM Zone 33N                                               */
#define PE_PCS_ETRF_1989_UTM_33N                             103533
/*      ETRS 1989 UTM Zone 34N                                               */
#define PE_PCS_ETRF_1989_UTM_34N                             103534
/*      ETRF 1989 UTM Zone 35N                                               */
#define PE_PCS_ETRF_1989_UTM_35N                             103535
/*      ETRF 1989 UTM Zone 36N                                               */
#define PE_PCS_ETRF_1989_UTM_36N                             103536
/*      ETRF 1989 UTM Zone 37N                                               */
#define PE_PCS_ETRF_1989_UTM_37N                             103537
/*      ETRF 1989 UTM Zone 38N                                               */
#define PE_PCS_ETRF_1989_UTM_38N                             103538

/*      Fahud UTM Zone 39N                                                   */
#define PE_PCS_FAHUD_UTM_39N                                  23239
/*      Fahud UTM Zone 40N                                                   */
#define PE_PCS_FAHUD_UTM_40N                                  23240
/*      Final Datum 1958 Iraq                                                */
#define PE_PCS_FD_1958_IRAQ                                    3200
/*      Garoua UTM Zone 33N                                                  */
#define PE_PCS_GAROUA_UTM_33N                                  2312
/*      Greek Grid                                                           */
#define PE_PCS_GGRS_1987_GREEK_GRID                            2100

/* Australia                                                                 */
/*      GDA 1994 MGA Zone 48                                                 */
#define PE_PCS_GDA_1994_MGA_48                                28348
/*      GDA 1994 MGA Zone 49                                                 */
#define PE_PCS_GDA_1994_MGA_49                                28349
/*      GDA 1994 MGA Zone 50                                                 */
#define PE_PCS_GDA_1994_MGA_50                                28350
/*      GDA 1994 MGA Zone 51                                                 */
#define PE_PCS_GDA_1994_MGA_51                                28351
/*      GDA 1994 MGA Zone 52                                                 */
#define PE_PCS_GDA_1994_MGA_52                                28352
/*      GDA 1994 MGA Zone 53                                                 */
#define PE_PCS_GDA_1994_MGA_53                                28353
/*      GDA 1994 MGA Zone 54                                                 */
#define PE_PCS_GDA_1994_MGA_54                                28354
/*      GDA 1994 MGA Zone 55                                                 */
#define PE_PCS_GDA_1994_MGA_55                                28355
/*      GDA 1994 MGA Zone 56                                                 */
#define PE_PCS_GDA_1994_MGA_56                                28356
/*      GDA 1994 MGA Zone 57                                                 */
#define PE_PCS_GDA_1994_MGA_57                                28357
/*      GDA 1994 MGA Zone 58                                                 */
#define PE_PCS_GDA_1994_MGA_58                                28358


/*      Grenada 1953 British W Indies Grid                                   */
#define PE_PCS_GRENADA_1953_BRITISH_W_INDIES                   2003
/*      Hanoi 1972 GK 106 NE                                                 */
#define PE_PCS_HANOI_1972_GK_106_NE                            2093
/*      Hanoi 1972 Gauss-Krueger zone 18                                     */
#define PE_PCS_HANOI_1972_GK_18                                2044
/*      Hanoi 1972 Gauss-Krueger zone 19                                     */
#define PE_PCS_HANOI_1972_GK_19                                2045
/*      Hito XVIII Argentina zone 2                                          */
#define PE_PCS_HITO_XVIII_1963_ARGENTINA_2                     2083
/*      Hito XVIII UTM zone 19S                                              */
#define PE_PCS_HITO_XVIII_1963_UTM_19S                         2084
/*      Hungarian 1972 Egyseges Orszagos Vetuleti                            */
#define PE_PCS_HUNGARIAN_1972_EOV                             23700
/*      Indian 1954 UTM zone 46N                                             */
#define PE_PCS_INDIAN_1954_UTM_46N                            23946
/*      Indian 1954 UTM Zone 47N                                             */
#define PE_PCS_INDIAN_1954_UTM_47N                            23947
/*      Indian 1954 UTM Zone 48N                                             */
#define PE_PCS_INDIAN_1954_UTM_48N                            23948
/*      Indian 1960 TM 106NE                                                 */
#define PE_PCS_INDIAN_1960_TM_106NE                            3176
/*      Indian 1960 UTM Zone 48N                                             */
#define PE_PCS_INDIAN_1960_UTM_48N                             3148
/*      Indian 1960 UTM Zone 49N                                             */
#define PE_PCS_INDIAN_1960_UTM_49N                             3149
/*      Indian 1975 UTM Zone 47N                                             */
#define PE_PCS_INDIAN_1975_UTM_47N                            24047
/*      Indian 1975 UTM Zone 48N                                             */
#define PE_PCS_INDIAN_1975_UTM_48N                            24048
/*      Indonesian 1974 UTM Zone 46N                                         */
#define PE_PCS_ID_1974_UTM_46N                                23846
/*      Indonesian 1974 UTM Zone 47N                                         */
#define PE_PCS_ID_1974_UTM_47N                                23847
/*      Indonesian 1974 UTM Zone 48N                                         */
#define PE_PCS_ID_1974_UTM_48N                                23848
/*      Indonesian 1974 UTM Zone 49N                                         */
#define PE_PCS_ID_1974_UTM_49N                                23849
/*      Indonesian 1974 UTM Zone 50N                                         */
#define PE_PCS_ID_1974_UTM_50N                                23850
/*      Indonesian 1974 UTM Zone 51N                                         */
#define PE_PCS_ID_1974_UTM_51N                                23851
/*      Indonesian 1974 UTM Zone 52N                                         */
#define PE_PCS_ID_1974_UTM_52N                                23852
/*      Indonesian 1974 UTM Zone 53N                                         */
#define PE_PCS_ID_1974_UTM_53N                                23853
/*      Indonesian 1974 UTM Zone 46S                                         */
#define PE_PCS_ID_1974_UTM_46S                                23886
/*      Indonesian 1974 UTM Zone 47S                                         */
#define PE_PCS_ID_1974_UTM_47S                                23887
/*      Indonesian 1974 UTM Zone 48S                                         */
#define PE_PCS_ID_1974_UTM_48S                                23888
/*      Indonesian 1974 UTM Zone 49S                                         */
#define PE_PCS_ID_1974_UTM_49S                                23889
/*      Indonesian 1974 UTM Zone 50S                                         */
#define PE_PCS_ID_1974_UTM_50S                                23890
/*      Indonesian 1974 UTM Zone 51S                                         */
#define PE_PCS_ID_1974_UTM_51S                                23891
/*      Indonesian 1974 UTM Zone 52S                                         */
#define PE_PCS_ID_1974_UTM_52S                                23892
/*      Indonesian 1974 UTM Zone 53S                                         */
#define PE_PCS_ID_1974_UTM_53S                                23893
/*      Indonesian 1974 UTM Zone 54S                                         */
#define PE_PCS_ID_1974_UTM_54S                                23894
/*      IRENET95 Irish TM                                                    */
#define PE_PCS_IRENET95_IRISH_TM                               2157
/*      IRENET95 UTM zone 29N                                                */
#define PE_PCS_IRENET95_UTM_29N                                2158
/*      Israel Israel TM Grid                                                */
#define PE_PCS_ISRAEL_ISRAEL_TM_GRID                           2039
/*      Jamaica Grid                                                         */
#define PE_PCS_JAD_1969_JAMAICA_GRID                          24200
/*      Jamaica 1875 Old Grid                                                */
#define PE_PCS_JAMAICA_1875_OLD_GRID                          24100
/*      Kalianpur 1880 India Zone 0                                          */
#define PE_PCS_KALIANPUR_1880_INDIA_0                         24370
/*      Kalianpur 1880 India Zone I                                          */
#define PE_PCS_KALIANPUR_1880_INDIA_I                         24371
/*      Kalianpur 1880 India Zone IIa                                        */
#define PE_PCS_KALIANPUR_1880_INDIA_IIA                       24372
/*      Kalianpur 1880 India Zone IIb                                        */
#define PE_PCS_KALIANPUR_1880_INDIA_IIB                       24382
/*      Kalianpur 1880 India Zone III                                        */
#define PE_PCS_KALIANPUR_1880_INDIA_III                       24373
/*      Kalianpur 1880 India Zone IV                                         */
#define PE_PCS_KALIANPUR_1880_INDIA_IV                        24374
/*      Kalianpur 1937 India Zone IIb                                        */
#define PE_PCS_KALIANPUR_1937_INDIA_IIB                       24375
/*      Kalianpur 1962 India Zone I                                          */
#define PE_PCS_KALIANPUR_1962_INDIA_I                         24376
/*      Kalianpur 1962 India Zone IIa                                        */
#define PE_PCS_KALIANPUR_1962_INDIA_IIA                       24377
/*      Kalianpur 1975 India Zone I                                          */
#define PE_PCS_KALIANPUR_1975_INDIA_I                         24378
/*      Kalianpur 1975 India Zone IIa                                        */
#define PE_PCS_KALIANPUR_1975_INDIA_IIA                       24379
/*      Kalianpur 1975 India Zone IIb                                        */
#define PE_PCS_KALIANPUR_1975_INDIA_IIB                       24380
/*      Kalianpur 1975 India Zone III                                        */
#define PE_PCS_KALIANPUR_1975_INDIA_III                       24381
/*      Kalianpur 1975 India Zone IV                                         */
#define PE_PCS_KALIANPUR_1975_INDIA_IV                        24383
/*      Kalianpur 1937 Zone 45N                                              */
#define PE_PCS_KALIANPUR_1937_UTM_45N                         24305
/*      Kalianpur 1937 Zone 46N                                              */
#define PE_PCS_KALIANPUR_1937_UTM_46N                         24306
/*      Kalianpur 1962 Zone 41N                                              */
#define PE_PCS_KALIANPUR_1962_UTM_41N                         24311
/*      Kalianpur 1962 Zone 42N                                              */
#define PE_PCS_KALIANPUR_1962_UTM_42N                         24312
/*      Kalianpur 1962 Zone 43N                                              */
#define PE_PCS_KALIANPUR_1962_UTM_43N                         24313
/*      Kalianpur 1975 Zone 42N                                              */
#define PE_PCS_KALIANPUR_1975_UTM_42N                         24342
/*      Kalianpur 1975 Zone 43N                                              */
#define PE_PCS_KALIANPUR_1975_UTM_43N                         24343
/*      Kalianpur 1975 Zone 44N                                              */
#define PE_PCS_KALIANPUR_1975_UTM_44N                         24344
/*      Kalianpur 1975 Zone 45N                                              */
#define PE_PCS_KALIANPUR_1975_UTM_45N                         24345
/*      Kalianpur 1975 Zone 46N                                              */
#define PE_PCS_KALIANPUR_1975_UTM_46N                         24346
/*      Kalianpur 1975 Zone 47N                                              */
#define PE_PCS_KALIANPUR_1975_UTM_47N                         24347
/*      Kertau Singapore grid                                                */
#define PE_PCS_KERTAU_SINGAPORE_GRID                          24500
/*      Kertau UTM Zone 47N                                                  */
#define PE_PCS_KERTAU_UTM_47N                                 24547
/*      Kertau UTM Zone 48N                                                  */
#define PE_PCS_KERTAU_UTM_48N                                 24548
/*      Finland Zone 1                                                       */
#define PE_PCS_KKJ_FINLAND_1                                   2391
/*      Finland Zone 2                                                       */
#define PE_PCS_KKJ_FINLAND_2                                   2392
/*      Finland Zone 3                                                       */
#define PE_PCS_KKJ_FINLAND_3                                   2393
/*      Finland Zone 4                                                       */
#define PE_PCS_KKJ_FINLAND_4                                   2394
/*      Kuwait Oil Co - Lambert                                              */
#define PE_PCS_KOC_LAMBERT                                    24600
/*      Korean 1985 East Belt                                                */
#define PE_PCS_KOREAN_1985_EAST_BELT                           2096
/*      Korean 1985 Central Belt                                             */
#define PE_PCS_KOREAN_1985_CENTRAL_BELT                        2097
/*      Korean 1985 West Belt                                                */
#define PE_PCS_KOREAN_1985_WEST_BELT                           2098
/*      Kuwait Utility KTM                                                   */
#define PE_PCS_KUDAMS_KTM                                     31901
/*      La Canoa UTM Zone 18N                                                */
#define PE_PCS_LA_CANOA_UTM_18N                               24718
/*      La Canoa UTM Zone 19N                                                */
#define PE_PCS_LA_CANOA_UTM_19N                               24719
/*      La Canoa UTM Zone 20N                                                */
#define PE_PCS_LA_CANOA_UTM_20N                               24720
/*      La Canoa UTM Zone 21N                                                */
#define PE_PCS_LA_CANOA_UTM_21N                               24721
/*      Lake Maracaibo Grid                                                  */
#define PE_PCS_LAKE_MARACAIBO                                  2102
/*      Lake Maracaibo La Rosa Grid                                          */
#define PE_PCS_LAKE_MARACAIBO_LA_ROSA_GRID                     2104
/*      Lake Maracaibo Grid M1                                               */
#define PE_PCS_LAKE_MARACAIBO_M1                               2101
/*      Lake Maracaibo Grid M3                                               */
#define PE_PCS_LAKE_MARACAIBO_M3                               2103
/*      Ghana Metre Grid                                                     */
#define PE_PCS_LEIGON_GHANA_GRID                              25000
/*      Portuguese National Grid                                             */
#define PE_PCS_LISBON_PORTUGUESE_GRID                         20790
/*      Locodjo 1965 TM 5 NW                                                 */
#define PE_PCS_LOCODJO_1965_TM_5_NW                            2164
/*      Locodjo 1965 UTM 29N                                                 */
#define PE_PCS_LOCODJO_1965_UTM_29N                            2042
/*      Locodjo 1965 UTM 30N                                                 */
#define PE_PCS_LOCODJO_1965_UTM_30N                            2040
/*      Lome UTM Zone 31N                                                    */
#define PE_PCS_LOME_UTM_31N                                   25231
/*      Philippines Zone I                                                   */
#define PE_PCS_LUZON_PHILIPPINES_I                            25391
/*      Philippines Zone II                                                  */
#define PE_PCS_LUZON_PHILIPPINES_II                           25392
/*      Philippines Zone III                                                 */
#define PE_PCS_LUZON_PHILIPPINES_III                          25393
/*      Philippines Zone IV                                                  */
#define PE_PCS_LUZON_PHILIPPINES_IV                           25394
/*      Philippines Zone V                                                   */
#define PE_PCS_LUZON_PHILIPPINES_V                            25395
/*      Madrid 1870 (Madrid) Spain                                           */
#define PE_PCS_MADRID_1870_MADRID_SPAIN                        2062
/*      Malongo 1987 UTM Zone 32S                                            */
#define PE_PCS_MALONGO_1987_UTM_32S                           25932
/*      Massawa UTM Zone 37N                                                 */
#define PE_PCS_MASSAWA_UTM_37N                                26237
/*      Nord Maroc                                                           */
#define PE_PCS_MERCHICH_NORD_MAROC                            26191
/*      Sahara                                                               */
#define PE_PCS_MERCHICH_SAHARA                                26193
/*      Sud Maroc                                                            */
#define PE_PCS_MERCHICH_SUD_MAROC                             26192
/*      MGI 3 degree Gauss zone 5                                            */
#define PE_PCS_MGI_3_DEGREE_GAUSS_5                           31265
/*      MGI 3 degree Gauss zone 6                                            */
#define PE_PCS_MGI_3_DEGREE_GAUSS_6                           31266
/*      MGI 3 degree Gauss zone 7                                            */
#define PE_PCS_MGI_3_DEGREE_GAUSS_7                           31267
/*      MGI 3 degree Gauss zone 8                                            */
#define PE_PCS_MGI_3_DEGREE_GAUSS_8                           31268
/*      MGI Austria Lambert                                                  */
#define PE_PCS_MGI_AUSTRIA_LAMBERT                            31287
/*      MGI Balkans Zone 5                                                   */
#define PE_PCS_MGI_BALKANS_5                                  31275
/*      MGI Balkans Zone 6                                                   */
#define PE_PCS_MGI_BALKANS_6                                  31276
/*      MGI Balkans Zone 7                                                   */
#define PE_PCS_MGI_BALKANS_7                                  31277
/*      MGI Balkans Zone 8                                                   */
#define PE_PCS_MGI_BALKANS_8                                  31279
/*      Austria (Ferro) West Zone                                            */
#define PE_PCS_MGI_FERRO_AUSTRIA_WEST                         31281
/*      Austria (Ferro) Cent. Zone                                           */
#define PE_PCS_MGI_FERRO_AUSTRIA_CENTRAL                      31282
/*      Austria (Ferro) East Zone                                            */
#define PE_PCS_MGI_FERRO_AUSTRIA_EAST                         31283
/*      MGI Austria M28 Zone                                                 */
#define PE_PCS_MGI_M28                                        31284
/*      MGI Austria M31 Zone                                                 */
#define PE_PCS_MGI_M31                                        31285
/*      MGI Austria M34 Zone                                                 */
#define PE_PCS_MGI_M34                                        31286

/*      Mhast UTM Zone 32S (DEPRECATED - use PE_PCS_MALONGO_1987_UTM_32S)    */
#define PE_PCS_MHAST_UTM_32S                                  26432

/*      Nigeria East Belt                                                    */
#define PE_PCS_MINNA_NIGERIA_EAST_BELT                        26393
/*      Nigeria Mid Belt                                                     */
#define PE_PCS_MINNA_NIGERIA_MID_BELT                         26392
/*      Nigeria West Belt                                                    */
#define PE_PCS_MINNA_NIGERIA_WEST_BELT                        26391
/*      Minna UTM Zone 31N                                                   */
#define PE_PCS_MINNA_UTM_31N                                  26331
/*      Minna UTM Zone 32N                                                   */
#define PE_PCS_MINNA_UTM_32N                                  26332
/*      Monte Mario (Rome) Italy 1                                           */
#define PE_PCS_MONTE_MARIO_ROME_ITALY_1                       26591
/*      Monte Mario (Rome) Italy 2                                           */
#define PE_PCS_MONTE_MARIO_ROME_ITALY_2                       26592
/*      Montserrat 1958 British W Indies Grid                                */
#define PE_PCS_MONTSERRAT_1958_BRITISH_W_INDIES                2004
/*      Mount Dillon Tobago Grid                                             */
#define PE_PCS_MOUNT_DILLON_TOBAGO_GRID                        2066
/*      Moznet UTM Zone 36S                                                  */
#define PE_PCS_MOZNET_UTM_36S                                  3036
/*      Moznet UTM Zone 37S                                                  */
#define PE_PCS_MOZNET_UTM_37S                                  3037
/*      M'poraloko UTM Zone 32N                                              */
#define PE_PCS_MPORALOKO_UTM_32N                              26632
/*      M'poraloko UTM Zone 32S                                              */
#define PE_PCS_MPORALOKO_UTM_32S                              26692

/* North America Datum 1927                                                  */
/*      NAD 1927 BLM Zone 14N                                                */
#define PE_PCS_NAD_1927_BLM_14N                               32064
/*      NAD 1927 BLM Zone 15N                                                */
#define PE_PCS_NAD_1927_BLM_15N                               32065
/*      NAD 1927 BLM Zone 16N                                                */
#define PE_PCS_NAD_1927_BLM_16N                               32066
/*      NAD 1927 BLM Zone 17N                                                */
#define PE_PCS_NAD_1927_BLM_17N                               32067
/*      NAD 1927 Cuba Norte                                                  */
#define PE_PCS_NAD_1927_CUBA_NORTE                             2085
/*      NAD 1927 Cuba Sur                                                    */
#define PE_PCS_NAD_1927_CUBA_SUR                               2086
/*      NAD 1927 Guatemala Norte                                             */
#define PE_PCS_NAD_1927_GUATEMALA_NORTE                       32061
/*      NAD 1927 Guatemala Sur                                               */
#define PE_PCS_NAD_1927_GUATEMALA_SUR                         32062
/*      NAD 1927 UTM Zone 3N                                                 */
#define PE_PCS_NAD_1927_UTM_3N                                26703
/*      NAD 1927 UTM Zone 4N                                                 */
#define PE_PCS_NAD_1927_UTM_4N                                26704
/*      NAD 1927 UTM Zone 5N                                                 */
#define PE_PCS_NAD_1927_UTM_5N                                26705
/*      NAD 1927 UTM Zone 6N                                                 */
#define PE_PCS_NAD_1927_UTM_6N                                26706
/*      NAD 1927 UTM Zone 7N                                                 */
#define PE_PCS_NAD_1927_UTM_7N                                26707
/*      NAD 1927 UTM Zone 8N                                                 */
#define PE_PCS_NAD_1927_UTM_8N                                26708
/*      NAD 1927 UTM Zone 9N                                                 */
#define PE_PCS_NAD_1927_UTM_9N                                26709
/*      NAD 1927 UTM Zone 10N                                                */
#define PE_PCS_NAD_1927_UTM_10N                               26710
/*      NAD 1927 UTM Zone 11N                                                */
#define PE_PCS_NAD_1927_UTM_11N                               26711
/*      NAD 1927 UTM Zone 12N                                                */
#define PE_PCS_NAD_1927_UTM_12N                               26712
/*      NAD 1927 UTM Zone 13N                                                */
#define PE_PCS_NAD_1927_UTM_13N                               26713
/*      NAD 1927 UTM Zone 14N                                                */
#define PE_PCS_NAD_1927_UTM_14N                               26714
/*      NAD 1927 UTM Zone 15N                                                */
#define PE_PCS_NAD_1927_UTM_15N                               26715
/*      NAD 1927 UTM Zone 16N                                                */
#define PE_PCS_NAD_1927_UTM_16N                               26716
/*      NAD 1927 UTM Zone 17N                                                */
#define PE_PCS_NAD_1927_UTM_17N                               26717
/*      NAD 1927 UTM Zone 18N                                                */
#define PE_PCS_NAD_1927_UTM_18N                               26718
/*      NAD 1927 UTM Zone 19N                                                */
#define PE_PCS_NAD_1927_UTM_19N                               26719
/*      NAD 1927 UTM Zone 20N                                                */
#define PE_PCS_NAD_1927_UTM_20N                               26720
/*      NAD 1927 UTM Zone 21N                                                */
#define PE_PCS_NAD_1927_UTM_21N                               26721
/*      NAD 1927 UTM Zone 22N                                                */
#define PE_PCS_NAD_1927_UTM_22N                               26722

/* - Canada                                                                  */
/*      NAD 1927 SCoPQ Zone 2                                                */
#define PE_PCS_NAD_1927_CGQ77_MTM_2_SCOPQ                      2008
/*      NAD 1927 SCoPQ Zone 3                                                */
#define PE_PCS_NAD_1927_CGQ77_MTM_3_SCOPQ                      2009
/*      NAD 1927 SCoPQ Zone 4                                                */
#define PE_PCS_NAD_1927_CGQ77_MTM_4_SCOPQ                      2010
/*      NAD 1927 SCoPQ Zone 5                                                */
#define PE_PCS_NAD_1927_CGQ77_MTM_5_SCOPQ                      2011
/*      NAD 1927 SCoPQ Zone 6                                                */
#define PE_PCS_NAD_1927_CGQ77_MTM_6_SCOPQ                      2012
/*      NAD 1927 SCoPQ Zone 7                                                */
#define PE_PCS_NAD_1927_CGQ77_MTM_7_SCOPQ                      2013
/*      NAD 1927 SCoPQ Zone 8                                                */
#define PE_PCS_NAD_1927_CGQ77_MTM_8_SCOPQ                      2014
/*      NAD 1927 SCoPQ Zone 9                                                */
#define PE_PCS_NAD_1927_CGQ77_MTM_9_SCOPQ                      2015
/*      NAD 1927 SCoPQ Zone 10                                               */
#define PE_PCS_NAD_1927_CGQ77_MTM_10_SCOPQ                     2016
/*      NAD 1927 CGQ77 Quebec Lambert                                        */
#define PE_PCS_NAD_1927_CGQ77_QUEBEC_LAMBERT                   2138
/*      NAD 1927 (CGQ77) UTM Zone 17                                         */
#define PE_PCS_NAD_1927_CGQ77_UTM_17N                          2031
/*      NAD 1927 (CGQ77) UTM Zone 18                                         */
#define PE_PCS_NAD_1927_CGQ77_UTM_18N                          2032
/*      NAD 1927 (CGQ77) UTM Zone 19                                         */
#define PE_PCS_NAD_1927_CGQ77_UTM_19N                          2033
/*      NAD 1927 (CGQ77) UTM Zone 20                                         */
#define PE_PCS_NAD_1927_CGQ77_UTM_20N                          2034
/*      NAD 1927 (CGQ77) UTM Zone 21                                         */
#define PE_PCS_NAD_1927_CGQ77_UTM_21N                          2035
/*      NAD 1927 (1976) MTM Zone 8                                           */
#define PE_PCS_NAD_1927_DEF_1976_MTM_8                         2017
/*      NAD 1927 (1976) MTM Zone 9                                           */
#define PE_PCS_NAD_1927_DEF_1976_MTM_9                         2018
/*      NAD 1927 (1976) MTM Zone 10                                          */
#define PE_PCS_NAD_1927_DEF_1976_MTM_10                        2019
/*      NAD 1927 (1976) MTM Zone 11                                          */
#define PE_PCS_NAD_1927_DEF_1976_MTM_11                        2020
/*      NAD 1927 (1976) MTM Zone 12                                          */
#define PE_PCS_NAD_1927_DEF_1976_MTM_12                        2021
/*      NAD 1927 (1976) MTM Zone 13                                          */
#define PE_PCS_NAD_1927_DEF_1976_MTM_13                        2022
/*      NAD 1927 (1976) MTM Zone 14                                          */
#define PE_PCS_NAD_1927_DEF_1976_MTM_14                        2023
/*      NAD 1927 (1976) MTM Zone 15                                          */
#define PE_PCS_NAD_1927_DEF_1976_MTM_15                        2024
/*      NAD 1927 (1976) MTM Zone 16                                          */
#define PE_PCS_NAD_1927_DEF_1976_MTM_16                        2025
/*      NAD 1927 (1976) MTM Zone 17                                          */
#define PE_PCS_NAD_1927_DEF_1976_MTM_17                        2026
/*      NAD 1927 (1976) UTM Zone 15                                          */
#define PE_PCS_NAD_1927_DEF_1976_UTM_15N                       2027
/*      NAD 1927 (1976) UTM Zone 16                                          */
#define PE_PCS_NAD_1927_DEF_1976_UTM_16N                       2028
/*      NAD 1927 (1976) UTM Zone 17                                          */
#define PE_PCS_NAD_1927_DEF_1976_UTM_17N                       2029
/*      NAD 1927 (1976) UTM Zone 18                                          */
#define PE_PCS_NAD_1927_DEF_1976_UTM_18N                       2030
/*      NAD 1927 MTM Zone 1 - Newfoundland                                   */
#define PE_PCS_NAD_1927_MTM_1                                 32081
/*      NAD 1927 MTM Zone 2 - Newfoundland                                   */
#define PE_PCS_NAD_1927_MTM_2                                 32082
/*      NAD 1927 MTM Zone 3 - Newfoundland                                   */
#define PE_PCS_NAD_1927_MTM_3                                 32083
/*      NAD 1927 MTM Zone 4 - Newfoundland                                   */
#define PE_PCS_NAD_1927_MTM_4                                 32084
/*      NAD 1927 MTM Zone 5 - Newfoundland                                   */
#define PE_PCS_NAD_1927_MTM_5                                 32085
/*      NAD 1927 MTM Zone 6 - Newfoundland                                   */
#define PE_PCS_NAD_1927_MTM_6                                 32086
/*      NAD 1927 Quebec Lambert                                              */
#define PE_PCS_NAD_1927_QUEBEC_LAMBERT                        32098

/* - United States of America                                                */
/* NAD 1927 State Plane Coordinate System (in US Survey Feet)                */
/*      NAD 1927 SPCS Zone Alabama East                                      */
#define PE_PCS_NAD_1927_AL_E                                  26729
/*      NAD 1927 SPCS Zone Alabama West                                      */
#define PE_PCS_NAD_1927_AL_W                                  26730
/*      NAD 1927 SPCS Zone Alaska 1                                          */
#define PE_PCS_NAD_1927_AK_1                                  26731
/*      NAD 1927 SPCS Zone Alaska 2                                          */
#define PE_PCS_NAD_1927_AK_2                                  26732
/*      NAD 1927 SPCS Zone Alaska 3                                          */
#define PE_PCS_NAD_1927_AK_3                                  26733
/*      NAD 1927 SPCS Zone Alaska 4                                          */
#define PE_PCS_NAD_1927_AK_4                                  26734
/*      NAD 1927 SPCS Zone Alaska 5                                          */
#define PE_PCS_NAD_1927_AK_5                                  26735
/*      NAD 1927 SPCS Zone Alaska 6                                          */
#define PE_PCS_NAD_1927_AK_6                                  26736
/*      NAD 1927 SPCS Zone Alaska 7                                          */
#define PE_PCS_NAD_1927_AK_7                                  26737
/*      NAD 1927 SPCS Zone Alaska 8                                          */
#define PE_PCS_NAD_1927_AK_8                                  26738
/*      NAD 1927 SPCS Zone Alaska 9                                          */
#define PE_PCS_NAD_1927_AK_9                                  26739
/*      NAD 1927 SPCS Zone Alaska 10                                         */
#define PE_PCS_NAD_1927_AK_10                                 26740
/*      NAD 1927 SPCS Zone Arizona East                                      */
#define PE_PCS_NAD_1927_AZ_E                                  26748
/*      NAD 1927 SPCS Zone Arizona Central                                   */
#define PE_PCS_NAD_1927_AZ_C                                  26749
/*      NAD 1927 SPCS Zone Arizona West                                      */
#define PE_PCS_NAD_1927_AZ_W                                  26750
/*      NAD 1927 SPCS Zone Arkansas North                                    */
#define PE_PCS_NAD_1927_AR_N                                  26751
/*      NAD 1927 SPCS Zone Arkansas South                                    */
#define PE_PCS_NAD_1927_AR_S                                  26752
/*      NAD 1927 SPCS Zone California I                                      */
#define PE_PCS_NAD_1927_CA_I                                  26741
/*      NAD 1927 SPCS Zone California II                                     */
#define PE_PCS_NAD_1927_CA_II                                 26742
/*      NAD 1927 SPCS Zone California III                                    */
#define PE_PCS_NAD_1927_CA_III                                26743
/*      NAD 1927 SPCS Zone California IV                                     */
#define PE_PCS_NAD_1927_CA_IV                                 26744
/*      NAD 1927 SPCS Zone California V                                      */
#define PE_PCS_NAD_1927_CA_V                                  26745
/*      NAD 1927 SPCS Zone California VI                                     */
#define PE_PCS_NAD_1927_CA_VI                                 26746
/*      NAD 1927 SPCS Zone California VII                                    */
#define PE_PCS_NAD_1927_CA_VII                                26799
/*      NAD 1927 SPCS Zone Colorado North                                    */
#define PE_PCS_NAD_1927_CO_N                                  26753
/*      NAD 1927 SPCS Zone Colorado Central                                  */
#define PE_PCS_NAD_1927_CO_C                                  26754
/*      NAD 1927 SPCS Zone Colorado South                                    */
#define PE_PCS_NAD_1927_CO_S                                  26755
/*      NAD 1927 SPCS Zone Connecticut                                       */
#define PE_PCS_NAD_1927_CT                                    26756
/*      NAD 1927 SPCS Zone Delaware                                          */
#define PE_PCS_NAD_1927_DE                                    26757
/*      NAD 1927 SPCS Zone Florida East                                      */
#define PE_PCS_NAD_1927_FL_E                                  26758
/*      NAD 1927 SPCS Zone Florida West                                      */
#define PE_PCS_NAD_1927_FL_W                                  26759
/*      NAD 1927 SPCS Zone Florida North                                     */
#define PE_PCS_NAD_1927_FL_N                                  26760
/*      NAD 1927 SPCS Zone Georgia East                                      */
#define PE_PCS_NAD_1927_GA_E                                  26766
/*      NAD 1927 SPCS Zone Georgia West                                      */
#define PE_PCS_NAD_1927_GA_W                                  26767

/* The following 5 PCS's have been deprecated. In their place, you should    */
/* use PE_PCS_OLD_HAWAIIAN_HI_1 thru PE_PCS_OLD_HAWAIIAN_HI_5 respectively.  */

/*      NAD 1927 SPCS Zone Hawaii 1 (DEPRECATED)                             */
#define PE_PCS_NAD_1927_HI_1                                  26761
/*      NAD 1927 SPCS Zone Hawaii 2 (DEPRECATED)                             */
#define PE_PCS_NAD_1927_HI_2                                  26762
/*      NAD 1927 SPCS Zone Hawaii 3 (DEPRECATED)                             */
#define PE_PCS_NAD_1927_HI_3                                  26763
/*      NAD 1927 SPCS Zone Hawaii 4 (DEPRECATED)                             */
#define PE_PCS_NAD_1927_HI_4                                  26764
/*      NAD 1927 SPCS Zone Hawaii 5 (DEPRECATED)                             */
#define PE_PCS_NAD_1927_HI_5                                  26765

/*      NAD 1927 SPCS Zone Idaho East                                        */
#define PE_PCS_NAD_1927_ID_E                                  26768
/*      NAD 1927 SPCS Zone Idaho Central                                     */
#define PE_PCS_NAD_1927_ID_C                                  26769
/*      NAD 1927 SPCS Zone Idaho West                                        */
#define PE_PCS_NAD_1927_ID_W                                  26770
/*      NAD 1927 SPCS Zone Illinois East                                     */
#define PE_PCS_NAD_1927_IL_E                                  26771
/*      NAD 1927 SPCS Zone Illinois West                                     */
#define PE_PCS_NAD_1927_IL_W                                  26772
/*      NAD 1927 SPCS Zone Indiana East                                      */
#define PE_PCS_NAD_1927_IN_E                                  26773
/*      NAD 1927 SPCS Zone Indiana West                                      */
#define PE_PCS_NAD_1927_IN_W                                  26774
/*      NAD 1927 SPCS Zone Iowa North                                        */
#define PE_PCS_NAD_1927_IA_N                                  26775
/*      NAD 1927 SPCS Zone Iowa South                                        */
#define PE_PCS_NAD_1927_IA_S                                  26776
/*      NAD 1927 SPCS Zone Kansas North                                      */
#define PE_PCS_NAD_1927_KS_N                                  26777
/*      NAD 1927 SPCS Zone Kansas South                                      */
#define PE_PCS_NAD_1927_KS_S                                  26778
/*      NAD 1927 SPCS Zone Kentucky North                                    */
#define PE_PCS_NAD_1927_KY_N                                  26779
/*      NAD 1927 SPCS Zone Kentucky South                                    */
#define PE_PCS_NAD_1927_KY_S                                  26780
/*      NAD 1927 SPCS Zone Louisiana North                                   */
#define PE_PCS_NAD_1927_LA_N                                  26781
/*      NAD 1927 SPCS Zone Louisiana South                                   */
#define PE_PCS_NAD_1927_LA_S                                  26782
/*      NAD 1927 SPCS Zone Maine East                                        */
#define PE_PCS_NAD_1927_ME_E                                  26783
/*      NAD 1927 SPCS Zone Maine West                                        */
#define PE_PCS_NAD_1927_ME_W                                  26784
/*      NAD 1927 SPCS Zone Maryland                                          */
#define PE_PCS_NAD_1927_MD                                    26785
/*      NAD 1927 SPCS Zone Mass. Mainland                                    */
#define PE_PCS_NAD_1927_MA_M                                  26786
/*      NAD 1927 SPCS Zone Mass. Island                                      */
#define PE_PCS_NAD_1927_MA_I                                  26787
/*      NAD 1927 SPCS Zone Michigan North                                    */
#define PE_PCS_NAD_1927_MI_N                                  26788
/*      NAD 1927 SPCS Zone Michigan Central                                  */
#define PE_PCS_NAD_1927_MI_C                                  26789
/*      NAD 1927 SPCS Zone Michigan South                                    */
#define PE_PCS_NAD_1927_MI_S                                  26790
/*      NAD 1927 SPCS Zone Minnesota North                                   */
#define PE_PCS_NAD_1927_MN_N                                  26791
/*      NAD 1927 SPCS Zone Minnesota Central                                 */
#define PE_PCS_NAD_1927_MN_C                                  26792
/*      NAD 1927 SPCS Zone Minnesota South                                   */
#define PE_PCS_NAD_1927_MN_S                                  26793
/*      NAD 1927 SPCS Zone Mississippi East                                  */
#define PE_PCS_NAD_1927_MS_E                                  26794
/*      NAD 1927 SPCS Zone Mississippi West                                  */
#define PE_PCS_NAD_1927_MS_W                                  26795
/*      NAD 1927 SPCS Zone Missouri East                                     */
#define PE_PCS_NAD_1927_MO_E                                  26796
/*      NAD 1927 SPCS Zone Missouri Central                                  */
#define PE_PCS_NAD_1927_MO_C                                  26797
/*      NAD 1927 SPCS Zone Missouri West                                     */
#define PE_PCS_NAD_1927_MO_W                                  26798
/*      NAD 1927 SPCS Zone Montana North                                     */
#define PE_PCS_NAD_1927_MT_N                                  32001
/*      NAD 1927 SPCS Zone Montana Central                                   */
#define PE_PCS_NAD_1927_MT_C                                  32002
/*      NAD 1927 SPCS Zone Montana South                                     */
#define PE_PCS_NAD_1927_MT_S                                  32003
/*      NAD 1927 SPCS Zone Nebraska North                                    */
#define PE_PCS_NAD_1927_NE_N                                  32005
/*      NAD 1927 SPCS Zone Nebraska South                                    */
#define PE_PCS_NAD_1927_NE_S                                  32006
/*      NAD 1927 SPCS Zone Nevada East                                       */
#define PE_PCS_NAD_1927_NV_E                                  32007
/*      NAD 1927 SPCS Zone Nevada Central                                    */
#define PE_PCS_NAD_1927_NV_C                                  32008
/*      NAD 1927 SPCS Zone Nevada West                                       */
#define PE_PCS_NAD_1927_NV_W                                  32009
/*      NAD 1927 SPCS Zone New Hampshire                                     */
#define PE_PCS_NAD_1927_NH                                    32010
/*      NAD 1927 SPCS Zone New Jersey                                        */
#define PE_PCS_NAD_1927_NJ                                    32011
/*      NAD 1927 SPCS Zone New Mexico East                                   */
#define PE_PCS_NAD_1927_NM_E                                  32012
/*      NAD 1927 SPCS Zone New Mexico Cent.                                  */
#define PE_PCS_NAD_1927_NM_C                                  32013
/*      NAD 1927 SPCS Zone New Mexico West                                   */
#define PE_PCS_NAD_1927_NM_W                                  32014
/*      NAD 1927 SPCS Zone New York East                                     */
#define PE_PCS_NAD_1927_NY_E                                  32015
/*      NAD 1927 SPCS Zone New York Central                                  */
#define PE_PCS_NAD_1927_NY_C                                  32016
/*      NAD 1927 SPCS Zone New York West                                     */
#define PE_PCS_NAD_1927_NY_W                                  32017
/*      NAD 1927 SPCS Zone NY Long Island                                    */
#define PE_PCS_NAD_1927_NY_LI                                 32018
/*      NAD 1927 SPCS Zone North Carolina                                    */
#define PE_PCS_NAD_1927_NC                                    32019
/*      NAD 1927 SPCS Zone North Dakota N                                    */
#define PE_PCS_NAD_1927_ND_N                                  32020
/*      NAD 1927 SPCS Zone North Dakota S                                    */
#define PE_PCS_NAD_1927_ND_S                                  32021
/*      NAD 1927 SPCS Zone Ohio North                                        */
#define PE_PCS_NAD_1927_OH_N                                  32022
/*      NAD 1927 SPCS Zone Ohio South                                        */
#define PE_PCS_NAD_1927_OH_S                                  32023
/*      NAD 1927 SPCS Zone Oklahoma North                                    */
#define PE_PCS_NAD_1927_OK_N                                  32024
/*      NAD 1927 SPCS Zone Oklahoma South                                    */
#define PE_PCS_NAD_1927_OK_S                                  32025
/*      NAD 1927 SPCS Zone Oregon North                                      */
#define PE_PCS_NAD_1927_OR_N                                  32026
/*      NAD 1927 SPCS Zone Oregon South                                      */
#define PE_PCS_NAD_1927_OR_S                                  32027
/*      NAD 1927 SPCS Zone Pennsylvania N                                    */
#define PE_PCS_NAD_1927_PA_N                                  32028
/*      NAD 1927 SPCS Zone Pennsylvania S                                    */
#define PE_PCS_NAD_1927_PA_S                                  32029
/*      NAD 1927 SPCS Zone Rhode Island                                      */
#define PE_PCS_NAD_1927_RI                                    32030
/*      NAD 1927 SPCS Zone South Carolina N                                  */
#define PE_PCS_NAD_1927_SC_N                                  32031
/*      NAD 1927 SPCS Zone South Carolina S                                  */
#define PE_PCS_NAD_1927_SC_S                                  32033
/*      NAD 1927 SPCS Zone South Dakota N                                    */
#define PE_PCS_NAD_1927_SD_N                                  32034
/*      NAD 1927 SPCS Zone South Dakota S                                    */
#define PE_PCS_NAD_1927_SD_S                                  32035
/*      NAD 1927 SPCS Zone Tennessee                                         */
#define PE_PCS_NAD_1927_TN                                     2204
/*      NAD 1927 SPCS Zone Texas North                                       */
#define PE_PCS_NAD_1927_TX_N                                  32037
/*      NAD 1927 SPCS Zone Texas North Cent.                                 */
#define PE_PCS_NAD_1927_TX_NC                                 32038
/*      NAD 1927 SPCS Zone Texas Central                                     */
#define PE_PCS_NAD_1927_TX_C                                  32039
/*      NAD 1927 SPCS Zone Texas South Cent.                                 */
#define PE_PCS_NAD_1927_TX_SC                                 32040
/*      NAD 1927 SPCS Zone Texas South                                       */
#define PE_PCS_NAD_1927_TX_S                                  32041
/*      NAD 1927 SPCS Zone Utah North                                        */
#define PE_PCS_NAD_1927_UT_N                                  32042
/*      NAD 1927 SPCS Zone Utah Central                                      */
#define PE_PCS_NAD_1927_UT_C                                  32043
/*      NAD 1927 SPCS Zone Utah South                                        */
#define PE_PCS_NAD_1927_UT_S                                  32044
/*      NAD 1927 SPCS Zone Vermont                                           */
#define PE_PCS_NAD_1927_VT                                    32045
/*      NAD 1927 SPCS Zone Virginia North                                    */
#define PE_PCS_NAD_1927_VA_N                                  32046
/*      NAD 1927 SPCS Zone Virginia South                                    */
#define PE_PCS_NAD_1927_VA_S                                  32047
/*      NAD 1927 SPCS Zone Washington North                                  */
#define PE_PCS_NAD_1927_WA_N                                  32048
/*      NAD 1927 SPCS Zone Washington South                                  */
#define PE_PCS_NAD_1927_WA_S                                  32049
/*      NAD 1927 SPCS Zone West Virginia N                                   */
#define PE_PCS_NAD_1927_WV_N                                  32050
/*      NAD 1927 SPCS Zone West Virginia S                                   */
#define PE_PCS_NAD_1927_WV_S                                  32051
/*      NAD 1927 SPCS Zone Wisconsin North                                   */
#define PE_PCS_NAD_1927_WI_N                                  32052
/*      NAD 1927 SPCS Zone Wisconsin Central                                 */
#define PE_PCS_NAD_1927_WI_C                                  32053
/*      NAD 1927 SPCS Zone Wisconsin South                                   */
#define PE_PCS_NAD_1927_WI_S                                  32054
/*      NAD 1927 SPCS Zone Wyoming I East                                    */
#define PE_PCS_NAD_1927_WY_E                                  32055
/*      NAD 1927 SPCS Zone Wyoming II EC                                     */
#define PE_PCS_NAD_1927_WY_EC                                 32056
/*      NAD 1927 SPCS Zone Wyoming III WC                                    */
#define PE_PCS_NAD_1927_WY_WC                                 32057
/*      NAD 1927 SPCS Zone Wyoming IV West                                   */
#define PE_PCS_NAD_1927_WY_W                                  32058
/*      NAD 1927 SPCS Zone Puerto Rico                                       */
#define PE_PCS_NAD_1927_PR                                    32059
/*      NAD 1927 SPCS Zone St. Croix                                         */
#define PE_PCS_NAD_1927_VI                                    32060
/*      NAD 1927 SPCS Zone Guam (32061+33000)                                */
#define PE_PCS_NAD_1927_GU                                    65061
/*      SPCS Zone Michigan East Old                                          */
#define PE_PCS_NAD_MICH_MI_E_OLD                              26801
/*      SPCS Zone Michigan Central Old                                       */
#define PE_PCS_NAD_MICH_MI_C_OLD                              26802
/*      SPCS Zone Michigan West Old                                          */
#define PE_PCS_NAD_MICH_MI_W_OLD                              26803
/*      SPCS Zone Michigan North                                             */
#define PE_PCS_NAD_MICH_MI_N                                  26811
/*      SPCS Zone Michigan Central                                           */
#define PE_PCS_NAD_MICH_MI_C                                  26812
/*      SPCS Zone Michigan South                                             */
#define PE_PCS_NAD_MICH_MI_S                                  26813
/*      Old Hawaiian State Plane Hawaii 1                                    */
#define PE_PCS_OLD_HAWAIIAN_HI_1                               3561
/*      Old Hawaiian State Plane Hawaii 2                                    */
#define PE_PCS_OLD_HAWAIIAN_HI_2                               3562
/*      Old Hawaiian State Plane Hawaii 3                                    */
#define PE_PCS_OLD_HAWAIIAN_HI_3                               3563
/*      Old Hawaiian State Plane Hawaii 4                                    */
#define PE_PCS_OLD_HAWAIIAN_HI_4                               3564
/*      Old Hawaiian State Plane Hawaii 5                                    */
#define PE_PCS_OLD_HAWAIIAN_HI_5                               3565
/*      Puerto Rico State Plane Puerto Rico                                  */
#define PE_PCS_PUERTO_RICO_PR                                  3991
/*      Puerto Rico State Plane St. Croix                                    */
#define PE_PCS_PUERTO_RICO_VI                                  3992
/*      American Samoa 1962 SPCS American Samoa (32062+33000)                */
#define PE_PCS_SAMOA_1962_AS                                  65062


/* North American Datum 1983                                                 */
/*      NAD 1983 UTM Zone 3N                                                 */
#define PE_PCS_NAD_1983_UTM_3N                                26903
/*      NAD 1983 UTM Zone 4N                                                 */
#define PE_PCS_NAD_1983_UTM_4N                                26904
/*      NAD 1983 UTM Zone 5N                                                 */
#define PE_PCS_NAD_1983_UTM_5N                                26905
/*      NAD 1983 UTM Zone 6N                                                 */
#define PE_PCS_NAD_1983_UTM_6N                                26906
/*      NAD 1983 UTM Zone 7N                                                 */
#define PE_PCS_NAD_1983_UTM_7N                                26907
/*      NAD 1983 UTM Zone 8N                                                 */
#define PE_PCS_NAD_1983_UTM_8N                                26908
/*      NAD 1983 UTM Zone 9N                                                 */
#define PE_PCS_NAD_1983_UTM_9N                                26909
/*      NAD 1983 UTM Zone 10N                                                */
#define PE_PCS_NAD_1983_UTM_10N                               26910
/*      NAD 1983 UTM Zone 11N                                                */
#define PE_PCS_NAD_1983_UTM_11N                               26911
/*      NAD 1983 UTM Zone 12N                                                */
#define PE_PCS_NAD_1983_UTM_12N                               26912
/*      NAD 1983 UTM Zone 13N                                                */
#define PE_PCS_NAD_1983_UTM_13N                               26913
/*      NAD 1983 UTM Zone 14N                                                */
#define PE_PCS_NAD_1983_UTM_14N                               26914
/*      NAD 1983 UTM Zone 15N                                                */
#define PE_PCS_NAD_1983_UTM_15N                               26915
/*      NAD 1983 UTM Zone 16N                                                */
#define PE_PCS_NAD_1983_UTM_16N                               26916
/*      NAD 1983 UTM Zone 17N                                                */
#define PE_PCS_NAD_1983_UTM_17N                               26917
/*      NAD 1983 UTM Zone 18N                                                */
#define PE_PCS_NAD_1983_UTM_18N                               26918
/*      NAD 1983 UTM Zone 19N                                                */
#define PE_PCS_NAD_1983_UTM_19N                               26919
/*      NAD 1983 UTM Zone 20N                                                */
#define PE_PCS_NAD_1983_UTM_20N                               26920
/*      NAD 1983 UTM Zone 21N                                                */
#define PE_PCS_NAD_1983_UTM_21N                               26921
/*      NAD 1983 UTM Zone 22N                                                */
#define PE_PCS_NAD_1983_UTM_22N                               26922
/*      NAD 1983 UTM Zone 23N                                                */
#define PE_PCS_NAD_1983_UTM_23N                               26923


/* - Canada                                                                  */
/*      NAD 1983 CSRS MTM SCoPQ Zone 2                                       */
#define PE_PCS_NAD_1983_CSRS_MTM_2_SCOPQ                       2944
/*      NAD 1983 CSRS MTM Zone 3                                             */
#define PE_PCS_NAD_1983_CSRS_MTM_3                             2945
/*      NAD 1983 CSRS MTM Zone 4                                             */
#define PE_PCS_NAD_1983_CSRS_MTM_4                             2946
/*      NAD 1983 CSRS MTM Zone 5                                             */
#define PE_PCS_NAD_1983_CSRS_MTM_5                             2947
/*      NAD 1983 CSRS MTM Zone 6                                             */
#define PE_PCS_NAD_1983_CSRS_MTM_6                             2948
/*      NAD 1983 CSRS MTM Zone 7                                             */
#define PE_PCS_NAD_1983_CSRS_MTM_7                             2949
/*      NAD 1983 CSRS MTM Zone 8                                             */
#define PE_PCS_NAD_1983_CSRS_MTM_8                             2950
/*      NAD 1983 CSRS MTM Zone 9                                             */
#define PE_PCS_NAD_1983_CSRS_MTM_9                             2951
/*      NAD 1983 CSRS MTM Zone 10                                            */
#define PE_PCS_NAD_1983_CSRS_MTM_10                            2952
/*      NAD 1983 CSRS New Brunswick Stereographic                            */
#define PE_PCS_NAD_1983_CSRS_NEW_BRUNSWICK                     2953
/*      NAD 1983 CSRS Prince Edward Isl                                      */
#define PE_PCS_NAD_1983_CSRS_PEI                               2954
/*      NAD 1983 CSRS UTM Zone 11N                                           */
#define PE_PCS_NAD_1983_CSRS_UTM_11N                           2955
/*      NAD 1983 CSRS UTM Zone 12N                                           */
#define PE_PCS_NAD_1983_CSRS_UTM_12N                           2956
/*      NAD 1983 CSRS UTM Zone 13N                                           */
#define PE_PCS_NAD_1983_CSRS_UTM_13N                           2957
/*      NAD 1983 CSRS UTM Zone 17N                                           */
#define PE_PCS_NAD_1983_CSRS_UTM_17N                           2958
/*      NAD 1983 CSRS UTM Zone 18N                                           */
#define PE_PCS_NAD_1983_CSRS_UTM_18N                           2959
/*      NAD 1983 CSRS UTM Zone 19N                                           */
#define PE_PCS_NAD_1983_CSRS_UTM_19N                           2960
/*      NAD 1983 CSRS UTM Zone 20N                                           */
#define PE_PCS_NAD_1983_CSRS_UTM_20N                           2961
/*      NAD 1983 CSRS UTM Zone 21N                                           */
#define PE_PCS_NAD_1983_CSRS_UTM_21N                           2962
/*      NAD 1983 MTM Zone 1 Canada                                           */
#define PE_PCS_NAD_1983_MTM_1                                 32181
/*      NAD 1983 MTM Zone 2 Canada                                           */
#define PE_PCS_NAD_1983_MTM_2                                 32182
/*      NAD 1983 SCoPQ Zone 2 Quebec                                         */
#define PE_PCS_NAD_1983_MTM_2_SCOPQ                           32180
/*      NAD 1983 MTM Zone 3 Canada                                           */
#define PE_PCS_NAD_1983_MTM_3                                 32183
/*      NAD 1983 MTM Zone 4 Canada                                           */
#define PE_PCS_NAD_1983_MTM_4                                 32184
/*      NAD 1983 MTM Zone 5 Canada                                           */
#define PE_PCS_NAD_1983_MTM_5                                 32185
/*      NAD 1983 MTM Zone 6 Canada                                           */
#define PE_PCS_NAD_1983_MTM_6                                 32186
/*      NAD 1983 MTM Zone 7 Canada                                           */
#define PE_PCS_NAD_1983_MTM_7                                 32187
/*      NAD 1983 MTM Zone 8 Canada                                           */
#define PE_PCS_NAD_1983_MTM_8                                 32188
/*      NAD 1983 MTM Zone 9 Canada                                           */
#define PE_PCS_NAD_1983_MTM_9                                 32189
/*      NAD 1983 MTM Zone 10 Canada                                          */
#define PE_PCS_NAD_1983_MTM_10                                32190
/*      NAD 1983 MTM Zone 11 Canada                                          */
#define PE_PCS_NAD_1983_MTM_11                                32191
/*      NAD 1983 MTM Zone 12 Canada                                          */
#define PE_PCS_NAD_1983_MTM_12                                32192
/*      NAD 1983 MTM Zone 13 Canada                                          */
#define PE_PCS_NAD_1983_MTM_13                                32193
/*      NAD 1983 MTM Zone 14 Canada                                          */
#define PE_PCS_NAD_1983_MTM_14                                32194
/*      NAD 1983 MTM Zone 15 Canada                                          */
#define PE_PCS_NAD_1983_MTM_15                                32195
/*      NAD 1983 MTM Zone 16 Canada                                          */
#define PE_PCS_NAD_1983_MTM_16                                32196
/*      NAD 1983 MTM Zone 17 Canada                                          */
#define PE_PCS_NAD_1983_MTM_17                                32197
/*      NAD 1983 Quebec Lambert                                              */
#define PE_PCS_NAD_1983_QUEBEC_LAMBERT                        32198

/* - United States of America                                                */
/* NAD 1983 State Plane Coordinate System (in Meters)                        */
/*      NAD 1983 SPCS Zone Alabama East                                      */
#define PE_PCS_NAD_1983_AL_E                                  26929
/*      NAD 1983 SPCS Zone Alabama West                                      */
#define PE_PCS_NAD_1983_AL_W                                  26930
/*      NAD 1983 SPCS Zone Alaska 1                                          */
#define PE_PCS_NAD_1983_AK_1                                  26931
/*      NAD 1983 SPCS Zone Alaska 2                                          */
#define PE_PCS_NAD_1983_AK_2                                  26932
/*      NAD 1983 SPCS Zone Alaska 3                                          */
#define PE_PCS_NAD_1983_AK_3                                  26933
/*      NAD 1983 SPCS Zone Alaska 4                                          */
#define PE_PCS_NAD_1983_AK_4                                  26934
/*      NAD 1983 SPCS Zone Alaska 5                                          */
#define PE_PCS_NAD_1983_AK_5                                  26935
/*      NAD 1983 SPCS Zone Alaska 6                                          */
#define PE_PCS_NAD_1983_AK_6                                  26936
/*      NAD 1983 SPCS Zone Alaska 7                                          */
#define PE_PCS_NAD_1983_AK_7                                  26937
/*      NAD 1983 SPCS Zone Alaska 8                                          */
#define PE_PCS_NAD_1983_AK_8                                  26938
/*      NAD 1983 SPCS Zone Alaska 9                                          */
#define PE_PCS_NAD_1983_AK_9                                  26939
/*      NAD 1983 SPCS Zone Alaska 10                                         */
#define PE_PCS_NAD_1983_AK_10                                 26940
/*      NAD 1983 SPCS Zone Arizona East                                      */
#define PE_PCS_NAD_1983_AZ_E                                  26948
/*      NAD 1983 SPCS Zone Arizona Central                                   */
#define PE_PCS_NAD_1983_AZ_C                                  26949
/*      NAD 1983 SPCS Zone Arizona West                                      */
#define PE_PCS_NAD_1983_AZ_W                                  26950
/*      NAD 1983 SPCS Zone Arkansas North                                    */
#define PE_PCS_NAD_1983_AR_N                                  26951
/*      NAD 1983 SPCS Zone Arkansas South                                    */
#define PE_PCS_NAD_1983_AR_S                                  26952
/*      NAD 1983 SPCS Zone California I                                      */
#define PE_PCS_NAD_1983_CA_I                                  26941
/*      NAD 1983 SPCS Zone California II                                     */
#define PE_PCS_NAD_1983_CA_II                                 26942
/*      NAD 1983 SPCS Zone California III                                    */
#define PE_PCS_NAD_1983_CA_III                                26943
/*      NAD 1983 SPCS Zone California IV                                     */
#define PE_PCS_NAD_1983_CA_IV                                 26944
/*      NAD 1983 SPCS Zone California V                                      */
#define PE_PCS_NAD_1983_CA_V                                  26945
/*      NAD 1983 SPCS Zone California VI                                     */
#define PE_PCS_NAD_1983_CA_VI                                 26946
/*      NAD 1983 SPCS Zone Colorado North                                    */
#define PE_PCS_NAD_1983_CO_N                                  26953
/*      NAD 1983 SPCS Zone Colorado Central                                  */
#define PE_PCS_NAD_1983_CO_C                                  26954
/*      NAD 1983 SPCS Zone Colorado South                                    */
#define PE_PCS_NAD_1983_CO_S                                  26955
/*      NAD 1983 SPCS Zone Connecticut                                       */
#define PE_PCS_NAD_1983_CT                                    26956
/*      NAD 1983 SPCS Zone Delaware                                          */
#define PE_PCS_NAD_1983_DE                                    26957
/*      NAD 1983 SPCS Zone Florida East                                      */
#define PE_PCS_NAD_1983_FL_E                                  26958
/*      NAD 1983 SPCS Zone Florida West                                      */
#define PE_PCS_NAD_1983_FL_W                                  26959
/*      NAD 1983 SPCS Zone Florida North                                     */
#define PE_PCS_NAD_1983_FL_N                                  26960
/*      NAD 1983 SPCS Zone Georgia East                                      */
#define PE_PCS_NAD_1983_GA_E                                  26966
/*      NAD 1983 SPCS Zone Georgia West                                      */
#define PE_PCS_NAD_1983_GA_W                                  26967
/*      NAD 1983 SPCS Zone Hawaii Zone 1                                     */
#define PE_PCS_NAD_1983_HI_1                                  26961
/*      NAD 1983 SPCS Zone Hawaii Zone 2                                     */
#define PE_PCS_NAD_1983_HI_2                                  26962
/*      NAD 1983 SPCS Zone Hawaii Zone 3                                     */
#define PE_PCS_NAD_1983_HI_3                                  26963
/*      NAD 1983 SPCS Zone Hawaii Zone 4                                     */
#define PE_PCS_NAD_1983_HI_4                                  26964
/*      NAD 1983 SPCS Zone Hawaii Zone 5                                     */
#define PE_PCS_NAD_1983_HI_5                                  26965
/*      NAD 1983 SPCS Zone Idaho East                                        */
#define PE_PCS_NAD_1983_ID_E                                  26968
/*      NAD 1983 SPCS Zone Idaho Central                                     */
#define PE_PCS_NAD_1983_ID_C                                  26969
/*      NAD 1983 SPCS Zone Idaho West                                        */
#define PE_PCS_NAD_1983_ID_W                                  26970
/*      NAD 1983 SPCS Zone Illinois East                                     */
#define PE_PCS_NAD_1983_IL_E                                  26971
/*      NAD 1983 SPCS Zone Illinois West                                     */
#define PE_PCS_NAD_1983_IL_W                                  26972
/*      NAD 1983 SPCS Zone Indiana East                                      */
#define PE_PCS_NAD_1983_IN_E                                  26973
/*      NAD 1983 SPCS Zone Indiana West                                      */
#define PE_PCS_NAD_1983_IN_W                                  26974
/*      NAD 1983 SPCS Zone Iowa North                                        */
#define PE_PCS_NAD_1983_IA_N                                  26975
/*      NAD 1983 SPCS Zone Iowa South                                        */
#define PE_PCS_NAD_1983_IA_S                                  26976
/*      NAD 1983 SPCS Zone Kansas North                                      */
#define PE_PCS_NAD_1983_KS_N                                  26977
/*      NAD 1983 SPCS Zone Kansas South                                      */
#define PE_PCS_NAD_1983_KS_S                                  26978
/*      NAD 1983 SPCS Zone Kentucky North                                    */
#define PE_PCS_NAD_1983_KY_N                                   2205
/*      NAD 1983 SPCS Zone Kentucky South                                    */
#define PE_PCS_NAD_1983_KY_S                                  26980
/*      NAD 1983 SPCS Zone Louisiana North                                   */
#define PE_PCS_NAD_1983_LA_N                                  26981
/*      NAD 1983 SPCS Zone Louisiana South                                   */
#define PE_PCS_NAD_1983_LA_S                                  26982
/*      NAD 1983 SPCS Zone Maine East                                        */
#define PE_PCS_NAD_1983_ME_E                                  26983
/*      NAD 1983 SPCS Zone Maine West                                        */
#define PE_PCS_NAD_1983_ME_W                                  26984
/*      NAD 1983 SPCS Zone Maryland                                          */
#define PE_PCS_NAD_1983_MD                                    26985
/*      NAD 1983 SPCS Zone Mass. Mainland                                    */
#define PE_PCS_NAD_1983_MA_M                                  26986
/*      NAD 1983 SPCS Zone Mass. Island                                      */
#define PE_PCS_NAD_1983_MA_I                                  26987
/*      NAD 1983 SPCS Zone Michigan North                                    */
#define PE_PCS_NAD_1983_MI_N                                  26988
/*      NAD 1983 SPCS Zone Michigan Central                                  */
#define PE_PCS_NAD_1983_MI_C                                  26989
/*      NAD 1983 SPCS Zone Michigan South                                    */
#define PE_PCS_NAD_1983_MI_S                                  26990
/*      NAD 1983 SPCS Zone Minnesota North                                   */
#define PE_PCS_NAD_1983_MN_N                                  26991
/*      NAD 1983 SPCS Zone Minnesota Central                                 */
#define PE_PCS_NAD_1983_MN_C                                  26992
/*      NAD 1983 SPCS Zone Minnesota South                                   */
#define PE_PCS_NAD_1983_MN_S                                  26993
/*      NAD 1983 SPCS Zone Mississippi East                                  */
#define PE_PCS_NAD_1983_MS_E                                  26994
/*      NAD 1983 SPCS Zone Mississippi West                                  */
#define PE_PCS_NAD_1983_MS_W                                  26995
/*      NAD 1983 SPCS Zone Missouri East                                     */
#define PE_PCS_NAD_1983_MO_E                                  26996
/*      NAD 1983 SPCS Zone Missouri Central                                  */
#define PE_PCS_NAD_1983_MO_C                                  26997
/*      NAD 1983 SPCS Zone Missouri West                                     */
#define PE_PCS_NAD_1983_MO_W                                  26998
/*      NAD 1983 SPCS Zone Montana                                           */
#define PE_PCS_NAD_1983_MT                                    32100
/*      NAD 1983 SPCS Zone Nebraska                                          */
#define PE_PCS_NAD_1983_NE                                    32104
/*      NAD 1983 SPCS Zone Nevada East                                       */
#define PE_PCS_NAD_1983_NV_E                                  32107
/*      NAD 1983 SPCS Zone Nevada Central                                    */
#define PE_PCS_NAD_1983_NV_C                                  32108
/*      NAD 1983 SPCS Zone Nevada West                                       */
#define PE_PCS_NAD_1983_NV_W                                  32109
/*      NAD 1983 SPCS Zone New Hampshire                                     */
#define PE_PCS_NAD_1983_NH                                    32110
/*      NAD 1983 SPCS Zone New Jersey                                        */
#define PE_PCS_NAD_1983_NJ                                    32111
/*      NAD 1983 SPCS Zone New Mexico East                                   */
#define PE_PCS_NAD_1983_NM_E                                  32112
/*      NAD 1983 SPCS Zone New Mexico Cent.                                  */
#define PE_PCS_NAD_1983_NM_C                                  32113
/*      NAD 1983 SPCS Zone New Mexico West                                   */
#define PE_PCS_NAD_1983_NM_W                                  32114
/*      NAD 1983 SPCS Zone New York East                                     */
#define PE_PCS_NAD_1983_NY_E                                  32115
/*      NAD 1983 SPCS Zone New York Central                                  */
#define PE_PCS_NAD_1983_NY_C                                  32116
/*      NAD 1983 SPCS Zone New York West                                     */
#define PE_PCS_NAD_1983_NY_W                                  32117
/*      NAD 1983 SPCS Zone NY Long Island                                    */
#define PE_PCS_NAD_1983_NY_LI                                 32118
/*      NAD 1983 SPCS Zone North Carolina                                    */
#define PE_PCS_NAD_1983_NC                                    32119
/*      NAD 1983 SPCS Zone North Dakota N                                    */
#define PE_PCS_NAD_1983_ND_N                                  32120
/*      NAD 1983 SPCS Zone North Dakota S                                    */
#define PE_PCS_NAD_1983_ND_S                                  32121
/*      NAD 1983 SPCS Zone Ohio North                                        */
#define PE_PCS_NAD_1983_OH_N                                  32122
/*      NAD 1983 SPCS Zone Ohio South                                        */
#define PE_PCS_NAD_1983_OH_S                                  32123
/*      NAD 1983 SPCS Zone Oklahoma North                                    */
#define PE_PCS_NAD_1983_OK_N                                  32124
/*      NAD 1983 SPCS Zone Oklahoma South                                    */
#define PE_PCS_NAD_1983_OK_S                                  32125
/*      NAD 1983 SPCS Zone Oregon North                                      */
#define PE_PCS_NAD_1983_OR_N                                  32126
/*      NAD 1983 SPCS Zone Oregon South                                      */
#define PE_PCS_NAD_1983_OR_S                                  32127
/*      NAD 1983 SPCS Zone Pennsylvania N                                    */
#define PE_PCS_NAD_1983_PA_N                                  32128
/*      NAD 1983 SPCS Zone Pennsylvania S                                    */
#define PE_PCS_NAD_1983_PA_S                                  32129
/*      NAD 1983 SPCS Zone Rhode Island                                      */
#define PE_PCS_NAD_1983_RI                                    32130
/*      NAD 1983 SPCS Zone South Carolina                                    */
#define PE_PCS_NAD_1983_SC                                    32133
/*      NAD 1983 SPCS Zone South Dakota N                                    */
#define PE_PCS_NAD_1983_SD_N                                  32134
/*      NAD 1983 SPCS Zone South Dakota S                                    */
#define PE_PCS_NAD_1983_SD_S                                  32135
/*      NAD 1983 SPCS Zone Tennessee                                         */
#define PE_PCS_NAD_1983_TN                                    32136
/*      NAD 1983 SPCS Zone Texas North                                       */
#define PE_PCS_NAD_1983_TX_N                                  32137
/*      NAD 1983 SPCS Zone Texas North Cent.                                 */
#define PE_PCS_NAD_1983_TX_NC                                 32138
/*      NAD 1983 SPCS Zone Texas Central                                     */
#define PE_PCS_NAD_1983_TX_C                                  32139
/*      NAD 1983 SPCS Zone Texas South Cent.                                 */
#define PE_PCS_NAD_1983_TX_SC                                 32140
/*      NAD 1983 SPCS Zone Texas South                                       */
#define PE_PCS_NAD_1983_TX_S                                  32141
/*      NAD 1983 SPCS Zone Utah North                                        */
#define PE_PCS_NAD_1983_UT_N                                  32142
/*      NAD 1983 SPCS Zone Utah Central                                      */
#define PE_PCS_NAD_1983_UT_C                                  32143
/*      NAD 1983 SPCS Zone Utah South                                        */
#define PE_PCS_NAD_1983_UT_S                                  32144
/*      NAD 1983 SPCS Zone Vermont                                           */
#define PE_PCS_NAD_1983_VT                                    32145
/*      NAD 1983 SPCS Zone Virginia North                                    */
#define PE_PCS_NAD_1983_VA_N                                  32146
/*      NAD 1983 SPCS Zone Virginia South                                    */
#define PE_PCS_NAD_1983_VA_S                                  32147
/*      NAD 1983 SPCS Zone Washington North                                  */
#define PE_PCS_NAD_1983_WA_N                                  32148
/*      NAD 1983 SPCS Zone Washington South                                  */
#define PE_PCS_NAD_1983_WA_S                                  32149
/*      NAD 1983 SPCS Zone West Virginia N                                   */
#define PE_PCS_NAD_1983_WV_N                                  32150
/*      NAD 1983 SPCS Zone West Virginia S                                   */
#define PE_PCS_NAD_1983_WV_S                                  32151
/*      NAD 1983 SPCS Zone Wisconsin North                                   */
#define PE_PCS_NAD_1983_WI_N                                  32152
/*      NAD 1983 SPCS Zone Wisconsin Central                                 */
#define PE_PCS_NAD_1983_WI_C                                  32153
/*      NAD 1983 SPCS Zone Wisconsin South                                   */
#define PE_PCS_NAD_1983_WI_S                                  32154
/*      NAD 1983 SPCS Zone Wyoming I East                                    */
#define PE_PCS_NAD_1983_WY_E                                  32155
/*      NAD 1983 SPCS Zone Wyoming II EC                                     */
#define PE_PCS_NAD_1983_WY_EC                                 32156
/*      NAD 1983 SPCS Zone Wyoming III WC                                    */
#define PE_PCS_NAD_1983_WY_WC                                 32157
/*      NAD 1983 SPCS Zone Wyoming IV West                                   */
#define PE_PCS_NAD_1983_WY_W                                  32158
/*      NAD 1983 SPCS Zone PR & St. Croix                                    */
#define PE_PCS_NAD_1983_PR_VI                                 32161
/*      NAD 1983 SPCS Zone Guam (32161+33000)                                */
#define PE_PCS_NAD_1983_GU                                    65161
/*      NAD 1983 SPCS Kentucky (one zone)                                    */
#define PE_PCS_NAD_1983_KY                                     3088


/*      Nahrwan 1967 UTM Zone 38N                                            */
#define PE_PCS_NAHRWAN_1967_UTM_38N                           27038
/*      Nahrwan 1967 UTM Zone 39N                                            */
#define PE_PCS_NAHRWAN_1967_UTM_39N                           27039
/*      Nahrwan 1967 UTM Zone 40N                                            */
#define PE_PCS_NAHRWAN_1967_UTM_40N                           27040
/*      Naparima 1955 UTM zone 20N                                           */
#define PE_PCS_NAPARIMA_1955_UTM_20N                           2067
/*      Naparima 1972 UTM Zone 20N                                           */
#define PE_PCS_NAPARIMA_1972_UTM_20N                          27120
/*      NGN UTM Zone 38N                                                     */
#define PE_PCS_NGN_UTM_38N                                    31838
/*      NGN UTM Zone 39N                                                     */
#define PE_PCS_NGN_UTM_39N                                    31839
/*      NGO 1948 Oslo Norway zone 1                                          */
#define PE_PCS_NGO_1948_OSLO_NORWAY_1                         27391
/*      NGO 1948 Oslo Norway zone 2                                          */
#define PE_PCS_NGO_1948_OSLO_NORWAY_2                         27392
/*      NGO 1948 Oslo Norway zone 3                                          */
#define PE_PCS_NGO_1948_OSLO_NORWAY_3                         27393
/*      NGO 1948 Oslo Norway zone 4                                          */
#define PE_PCS_NGO_1948_OSLO_NORWAY_4                         27394
/*      NGO 1948 Oslo Norway zone 5                                          */
#define PE_PCS_NGO_1948_OSLO_NORWAY_5                         27395
/*      NGO 1948 Oslo Norway zone 6                                          */
#define PE_PCS_NGO_1948_OSLO_NORWAY_6                         27396
/*      NGO 1948 Oslo Norway zone 7                                          */
#define PE_PCS_NGO_1948_OSLO_NORWAY_7                         27397
/*      NGO 1948 Oslo Norway zone 8                                          */
#define PE_PCS_NGO_1948_OSLO_NORWAY_8                         27398
/*      Nord Sahara 1959 UTM Zone 29N                                        */
#define PE_PCS_NORD_SAHARA_UTM_29N                            30729
/*      Nord Sahara 1959 UTM Zone 30N                                        */
#define PE_PCS_NORD_SAHARA_UTM_30N                            30730
/*      Nord Sahara 1959 UTM Zone 31N                                        */
#define PE_PCS_NORD_SAHARA_UTM_31N                            30731
/*      Nord Sahara 1959 UTM Zone 32N                                        */
#define PE_PCS_NORD_SAHARA_UTM_32N                            30732
/*      NTF Paris Centre France (grads)                                      */
#define PE_PCS_NTF_CENTRE_FRANCE                              27592
/*      NTF Paris Corse (grads)                                              */
#define PE_PCS_NTF_CORSE                                      27594
/*      NTF Paris France I (grads)                                           */
#define PE_PCS_NTF_FRANCE_I                                   27581
/*      NTF Paris France II (grads)                                          */
#define PE_PCS_NTF_FRANCE_II                                  27582
/*      NTF Paris France III (grads)                                         */
#define PE_PCS_NTF_FRANCE_III                                 27583
/*      NTF Paris France IV (grads)                                          */
#define PE_PCS_NTF_FRANCE_IV                                  27584
/*      NTF Paris Nord France (grads)                                        */
#define PE_PCS_NTF_NORD_FRANCE                                27591
/*      NTF Paris Sud France (grads)                                         */
#define PE_PCS_NTF_SUD_FRANCE                                 27593

/* New Zealand                                                               */
/*      NZGD49 Amuri Circuit                                                 */
#define PE_PCS_NZGD_1949_AMURI_CIRCUIT                        27219
/*      NZGD49 Bay of Plenty Circuit                                         */
#define PE_PCS_NZGD_1949_BAY_OF_PLENTY_CIRCUIT                27206
/*      NZGD49 Bluff Circuit                                                 */
#define PE_PCS_NZGD_1949_BLUFF_CIRCUIT                        27232
/*      NZGD49 Buller Circuit                                                */
#define PE_PCS_NZGD_1949_BULLER_CIRCUIT                       27217
/*      NZGD49 Collingwood Circuit                                           */
#define PE_PCS_NZGD_1949_COLLINGWOOD_CIRCUIT                  27214
/*      NZGD49 Gawler Circuit                                                */
#define PE_PCS_NZGD_1949_GAWLER_CIRCUIT                       27225
/*      NZGD49 Grey Circuit                                                  */
#define PE_PCS_NZGD_1949_GREY_CIRCUIT                         27218
/*      NZGD49 Hawkes Bay Circuit                                            */
#define PE_PCS_NZGD_1949_HAWKES_BAY_CIRCUIT                   27208
/*      NZGD49 Hokitika Circuit                                              */
#define PE_PCS_NZGD_1949_HOKITIKA_CIRCUIT                     27221
/*      NZGD49 Jacksons Bay Circuit                                          */
#define PE_PCS_NZGD_1949_JACKSONS_BAY_CIRCUIT                 27223
/*      NZGD49 Karamea Circuit                                               */
#define PE_PCS_NZGD_1949_KARAMEA_CIRCUIT                      27216
/*      NZGD49 Lindis Peak Circuit                                           */
#define PE_PCS_NZGD_1949_LINDIS_PEAK_CIRCUIT                  27227
/*      NZGD49 Marlborough Circuit                                           */
#define PE_PCS_NZGD_1949_MARLBOROUGH_CIRCUIT                  27220
/*      NZGD49 Mount Eden Circuit                                            */
#define PE_PCS_NZGD_1949_MOUNT_EDEN_CIRCUIT                   27205
/*      NZGD49 Mount Nicholas Circuit                                        */
#define PE_PCS_NZGD_1949_MOUNT_NICHOLAS_CIRCUIT               27228
/*      NZGD49 Mount Pleasant Circuit                                        */
#define PE_PCS_NZGD_1949_MOUNT_PLEASANT_CIRCUIT               27224
/*      NZGD49 Mount York Circuit                                            */
#define PE_PCS_NZGD_1949_MOUNT_YORK_CIRCUIT                   27229
/*      NZGD49 Nelson Circuit                                                */
#define PE_PCS_NZGD_1949_NELSON_CIRCUIT                       27215
/*      NZGD49 North Taieri Circuit                                          */
#define PE_PCS_NZGD_1949_NORTH_TAIERI_CIRCUIT                 27231
/*      NZGD49 Observation Point Circuit                                     */
#define PE_PCS_NZGD_1949_OBSERVATION_PT_CIRCUIT               27230
/*      NZGD49 Okarito Circuit                                               */
#define PE_PCS_NZGD_1949_OKARITO_CIRCUIT                      27222
/*      NZGD49 Poverty Bay Circuit                                           */
#define PE_PCS_NZGD_1949_POVERTY_BAY_CIRCUIT                  27207
/*      NZGD49 Taranaki Circuit                                              */
#define PE_PCS_NZGD_1949_TARANAKI_CIRCUIT                     27209
/*      NZGD49 Timaru Circuit                                                */
#define PE_PCS_NZGD_1949_TIMARU_CIRCUIT                       27226
/*      NZGD49 Tuhirangi Circuit                                             */
#define PE_PCS_NZGD_1949_TUHIRANGI_CIRCUIT                    27210
/*      NZGD49 Wairarapa Circuit                                             */
#define PE_PCS_NZGD_1949_WAIRARAPA_CIRCUIT                    27212
/*      NZGD49 Wanganui Circuit                                              */
#define PE_PCS_NZGD_1949_WANGANUI_CIRCUIT                     27211
/*      NZGD49 Wellington Circuit                                            */
#define PE_PCS_NZGD_1949_WELLINGTON_CIRCUIT                   27213

/*      New Zealand Map Grid                                                 */
#define PE_PCS_NZGD_1949_NEW_ZEALAND_MAP_GRID                 27200
/*      New Zealand North Island                                             */
#define PE_PCS_NZGD_1949_NORTH_ISLAND                         27291
/*      New Zealand South Island                                             */
#define PE_PCS_NZGD_1949_SOUTH_ISLAND                         27292
/*      NZGD 1949 UTM zone 58S                                               */
#define PE_PCS_NZGD_1949_UTM_58S                              27258
/*      NZGD 1949 UTM zone 59S                                               */
#define PE_PCS_NZGD_1949_UTM_59S                              27259
/*      NZGD 1949 UTM zone 60S                                               */
#define PE_PCS_NZGD_1949_UTM_60S                              27260

/*      NZGD2000 Amuri Circuit                                               */
#define PE_PCS_NZGD_2000_AMURI_CIRCUIT                         2119
/*      NZGD2000 Bay of Plenty Circuit                                       */
#define PE_PCS_NZGD_2000_BAY_OF_PLENTY_CIRCUIT                 2106
/*      NZGD2000 Bluff Circuit                                               */
#define PE_PCS_NZGD_2000_BLUFF_CIRCUIT                         2132
/*      NZGD2000 Buller Circuit                                              */
#define PE_PCS_NZGD_2000_BULLER_CIRCUIT                        2117
/*      NZGD2000 Collingwood Circuit                                         */
#define PE_PCS_NZGD_2000_COLLINGWOOD_CIRCUIT                   2114
/*      NZGD2000 Gawler Circuit                                              */
#define PE_PCS_NZGD_2000_GAWLER_CIRCUIT                        2125
/*      NZGD2000 Grey Circuit                                                */
#define PE_PCS_NZGD_2000_GREY_CIRCUIT                          2118
/*      NZGD2000 Hawkes Bay Circuit                                          */
#define PE_PCS_NZGD_2000_HAWKES_BAY_CIRCUIT                    2108
/*      NZGD2000 Hokitika Circuit                                            */
#define PE_PCS_NZGD_2000_HOKITIKA_CIRCUIT                      2121
/*      NZGD2000 Jacksons Bay Circuit                                        */
#define PE_PCS_NZGD_2000_JACKSONS_BAY_CIRCUIT                  2123
/*      NZGD2000 Karamea Circuit                                             */
#define PE_PCS_NZGD_2000_KARAMEA_CIRCUIT                       2116
/*      NZGD2000 Lindis Peak Circuit                                         */
#define PE_PCS_NZGD_2000_LINDIS_PEAK_CIRCUIT                   2127
/*      NZGD2000 Marlborough Circuit                                         */
#define PE_PCS_NZGD_2000_MARLBOROUGH_CIRCUIT                   2120
/*      NZGD2000 Mount Eden Circuit                                          */
#define PE_PCS_NZGD_2000_MOUNT_EDEN_CIRCUIT                    2105
/*      NZGD2000 Mount Nicholas Circuit                                      */
#define PE_PCS_NZGD_2000_MOUNT_NICHOLAS_CIRCUIT                2128
/*      NZGD2000 Mount Pleasant Circuit                                      */
#define PE_PCS_NZGD_2000_MOUNT_PLEASANT_CIRCUIT                2124
/*      NZGD2000 Mount York Circuit                                          */
#define PE_PCS_NZGD_2000_MOUNT_YORK_CIRCUIT                    2129
/*      NZGD2000 Nelson Circuit                                              */
#define PE_PCS_NZGD_2000_NELSON_CIRCUIT                        2115
/*      NZGD2000 North Taieri Circuit                                        */
#define PE_PCS_NZGD_2000_NORTH_TAIERI_CIRCUIT                  2131
/*      NZGD2000 Observation Point Circuit                                   */
#define PE_PCS_NZGD_2000_OBSERVATION_PT_CIRCUIT                2130
/*      NZGD2000 Okarito Circuit                                             */
#define PE_PCS_NZGD_2000_OKARITO_CIRCUIT                       2122
/*      NZGD2000 Poverty Bay Circuit                                         */
#define PE_PCS_NZGD_2000_POVERTY_BAY_CIRCUIT                   2107
/*      NZGD2000 Taranaki Circuit                                            */
#define PE_PCS_NZGD_2000_TARANAKI_CIRCUIT                      2109
/*      NZGD2000 Timaru Circuit                                              */
#define PE_PCS_NZGD_2000_TIMARU_CIRCUIT                        2126
/*      NZGD2000 Tuhirangi Circuit                                           */
#define PE_PCS_NZGD_2000_TUHIRANGI_CIRCUIT                     2110
/*      NZGD2000 Wanganui Circuit                                            */
#define PE_PCS_NZGD_2000_WANGANUI_CIRCUIT                      2111
/*      NZGD2000 Wairarapa Circuit                                           */
#define PE_PCS_NZGD_2000_WAIRARAPA_CIRCUIT                     2112
/*      NZGD2000 Wellington Circuit                                          */
#define PE_PCS_NZGD_2000_WELLINGTON_CIRCUIT                    2113

/*      NZGD 2000 UTM zone 58S                                               */
#define PE_PCS_NZGD_2000_UTM_58S                               2133
/*      NZGD 2000 UTM zone 59S                                               */
#define PE_PCS_NZGD_2000_UTM_59S                               2134
/*      NZGD 2000 UTM zone 60S                                               */
#define PE_PCS_NZGD_2000_UTM_60S                               2135


/*      British National Grid                                                */
#define PE_PCS_OSGB_1936_BRITISH_GRID                         27700
/*      Palestine 1923 Israel CS Grid                                        */
#define PE_PCS_PALESTINE_1923_ISRAEL_CS_GRID                  28193
/*      Palestine 1923 Palestine Belt                                        */
#define PE_PCS_PALESTINE_1923_PALESTINE_BELT                  28192
/*      Palestine 1923 Palestine Grid                                        */
#define PE_PCS_PALESTINE_1923_PALESTINE_GRID                  28191
/*      Pampa del Castillo Argentina zone 2                                  */
#define PE_PCS_PAMPA_DEL_CASTILLO_ARGENTINA_2                  2082
/*      PDO 1993 UTM zone 39N                                                */
#define PE_PCS_PDO_1993_UTM_39N                                3439
/*      PDO 1993 UTM zone 40N                                                */
#define PE_PCS_PDO_1993_UTM_40N                                3440
/*      Pointe Noire UTM Zone 32S                                            */
#define PE_PCS_POINTE_NOIRE_UTM_32S                           28232
/*      Peru West Zone                                                       */
#define PE_PCS_PSAD_1956_PERU_WEST                            24891
/*      Peru Central Zone                                                    */
#define PE_PCS_PSAD_1956_PERU_CENTRAL                         24892
/*      Peru East Zone                                                       */
#define PE_PCS_PSAD_1956_PERU_EAST                            24893
/*      Prov. S. Amer. Datum UTM Zone 18N                                    */
#define PE_PCS_PSAD_1956_UTM_18N                              24818
/*      Prov. S. Amer. Datum UTM Zone 19N                                    */
#define PE_PCS_PSAD_1956_UTM_19N                              24819
/*      Prov. S. Amer. Datum UTM Zone 20N                                    */
#define PE_PCS_PSAD_1956_UTM_20N                              24820
/*      Prov. S. Amer. Datum UTM Zone 21N                                    */
#define PE_PCS_PSAD_1956_UTM_21N                              24821
/*      Prov. S. Amer. Datum UTM Zone 17S                                    */
#define PE_PCS_PSAD_1956_UTM_17S                              24877
/*      Prov. S. Amer. Datum UTM Zone 18S                                    */
#define PE_PCS_PSAD_1956_UTM_18S                              24878
/*      Prov. S. Amer. Datum UTM Zone 19S                                    */
#define PE_PCS_PSAD_1956_UTM_19S                              24879
/*      Prov. S. Amer. Datum UTM Zone 20S                                    */
#define PE_PCS_PSAD_1956_UTM_20S                              24880
/*      Prov. S. Amer. Datum UTM zone 22S                                    */
#define PE_PCS_PSAD_1956_UTM_22S                              24882
/*      Puerto Rico UTM zone 20N                                             */
#define PE_PCS_PUERTO_RICO_UTM_20N                             3920

/* Russia (former states of USSR)                                            */
/*      Pulkovo 1942 GK Zone 2                                               */
#define PE_PCS_PULKOVO_1942_GK_2                              28402
/*      Pulkovo 1942 GK Zone 3                                               */
#define PE_PCS_PULKOVO_1942_GK_3                              28403
/*      Pulkovo 1942 GK Zone 4                                               */
#define PE_PCS_PULKOVO_1942_GK_4                              28404
/*      Pulkovo 1942 GK Zone 5                                               */
#define PE_PCS_PULKOVO_1942_GK_5                              28405
/*      Pulkovo 1942 GK Zone 6                                               */
#define PE_PCS_PULKOVO_1942_GK_6                              28406
/*      Pulkovo 1942 GK Zone 7                                               */
#define PE_PCS_PULKOVO_1942_GK_7                              28407
/*      Pulkovo 1942 GK Zone 8                                               */
#define PE_PCS_PULKOVO_1942_GK_8                              28408
/*      Pulkovo 1942 GK Zone 9                                               */
#define PE_PCS_PULKOVO_1942_GK_9                              28409
/*      Pulkovo 1942 GK Zone 10                                              */
#define PE_PCS_PULKOVO_1942_GK_10                             28410
/*      Pulkovo 1942 GK Zone 11                                              */
#define PE_PCS_PULKOVO_1942_GK_11                             28411
/*      Pulkovo 1942 GK Zone 12                                              */
#define PE_PCS_PULKOVO_1942_GK_12                             28412
/*      Pulkovo 1942 GK Zone 13                                              */
#define PE_PCS_PULKOVO_1942_GK_13                             28413
/*      Pulkovo 1942 GK Zone 14                                              */
#define PE_PCS_PULKOVO_1942_GK_14                             28414
/*      Pulkovo 1942 GK Zone 15                                              */
#define PE_PCS_PULKOVO_1942_GK_15                             28415
/*      Pulkovo 1942 GK Zone 16                                              */
#define PE_PCS_PULKOVO_1942_GK_16                             28416
/*      Pulkovo 1942 GK Zone 17                                              */
#define PE_PCS_PULKOVO_1942_GK_17                             28417
/*      Pulkovo 1942 GK Zone 18                                              */
#define PE_PCS_PULKOVO_1942_GK_18                             28418
/*      Pulkovo 1942 GK Zone 19                                              */
#define PE_PCS_PULKOVO_1942_GK_19                             28419
/*      Pulkovo 1942 GK Zone 20                                              */
#define PE_PCS_PULKOVO_1942_GK_20                             28420
/*      Pulkovo 1942 GK Zone 21                                              */
#define PE_PCS_PULKOVO_1942_GK_21                             28421
/*      Pulkovo 1942 GK Zone 22                                              */
#define PE_PCS_PULKOVO_1942_GK_22                             28422
/*      Pulkovo 1942 GK Zone 23                                              */
#define PE_PCS_PULKOVO_1942_GK_23                             28423
/*      Pulkovo 1942 GK Zone 24                                              */
#define PE_PCS_PULKOVO_1942_GK_24                             28424
/*      Pulkovo 1942 GK Zone 25                                              */
#define PE_PCS_PULKOVO_1942_GK_25                             28425
/*      Pulkovo 1942 GK Zone 26                                              */
#define PE_PCS_PULKOVO_1942_GK_26                             28426
/*      Pulkovo 1942 GK Zone 27                                              */
#define PE_PCS_PULKOVO_1942_GK_27                             28427
/*      Pulkovo 1942 GK Zone 28                                              */
#define PE_PCS_PULKOVO_1942_GK_28                             28428
/*      Pulkovo 1942 GK Zone 29                                              */
#define PE_PCS_PULKOVO_1942_GK_29                             28429
/*      Pulkovo 1942 GK Zone 30                                              */
#define PE_PCS_PULKOVO_1942_GK_30                             28430
/*      Pulkovo 1942 GK Zone 31                                              */
#define PE_PCS_PULKOVO_1942_GK_31                             28431
/*      Pulkovo 1942 GK Zone 32                                              */
#define PE_PCS_PULKOVO_1942_GK_32                             28432

/*      Pulkovo 1942 GK Zone 2N                                              */
#define PE_PCS_PULKOVO_1942_GK_2N                             28462
/*      Pulkovo 1942 GK Zone 3N                                              */
#define PE_PCS_PULKOVO_1942_GK_3N                             28463
/*      Pulkovo 1942 GK Zone 4N                                              */
#define PE_PCS_PULKOVO_1942_GK_4N                             28464
/*      Pulkovo 1942 GK Zone 5N                                              */
#define PE_PCS_PULKOVO_1942_GK_5N                             28465
/*      Pulkovo 1942 GK Zone 6N                                              */
#define PE_PCS_PULKOVO_1942_GK_6N                             28466
/*      Pulkovo 1942 GK Zone 7N                                              */
#define PE_PCS_PULKOVO_1942_GK_7N                             28467
/*      Pulkovo 1942 GK Zone 8N                                              */
#define PE_PCS_PULKOVO_1942_GK_8N                             28468
/*      Pulkovo 1942 GK Zone 9N                                              */
#define PE_PCS_PULKOVO_1942_GK_9N                             28469
/*      Pulkovo 1942 GK Zone 10N                                             */
#define PE_PCS_PULKOVO_1942_GK_10N                            28470
/*      Pulkovo 1942 GK Zone 11N                                             */
#define PE_PCS_PULKOVO_1942_GK_11N                            28471
/*      Pulkovo 1942 GK Zone 12N                                             */
#define PE_PCS_PULKOVO_1942_GK_12N                            28472
/*      Pulkovo 1942 GK Zone 13N                                             */
#define PE_PCS_PULKOVO_1942_GK_13N                            28473
/*      Pulkovo 1942 GK Zone 14N                                             */
#define PE_PCS_PULKOVO_1942_GK_14N                            28474
/*      Pulkovo 1942 GK Zone 15N                                             */
#define PE_PCS_PULKOVO_1942_GK_15N                            28475
/*      Pulkovo 1942 GK Zone 16N                                             */
#define PE_PCS_PULKOVO_1942_GK_16N                            28476
/*      Pulkovo 1942 GK Zone 17N                                             */
#define PE_PCS_PULKOVO_1942_GK_17N                            28477
/*      Pulkovo 1942 GK Zone 18N                                             */
#define PE_PCS_PULKOVO_1942_GK_18N                            28478
/*      Pulkovo 1942 GK Zone 19N                                             */
#define PE_PCS_PULKOVO_1942_GK_19N                            28479
/*      Pulkovo 1942 GK Zone 20N                                             */
#define PE_PCS_PULKOVO_1942_GK_20N                            28480
/*      Pulkovo 1942 GK Zone 21N                                             */
#define PE_PCS_PULKOVO_1942_GK_21N                            28481
/*      Pulkovo 1942 GK Zone 22N                                             */
#define PE_PCS_PULKOVO_1942_GK_22N                            28482
/*      Pulkovo 1942 GK Zone 23N                                             */
#define PE_PCS_PULKOVO_1942_GK_23N                            28483
/*      Pulkovo 1942 GK Zone 24N                                             */
#define PE_PCS_PULKOVO_1942_GK_24N                            28484
/*      Pulkovo 1942 GK Zone 25N                                             */
#define PE_PCS_PULKOVO_1942_GK_25N                            28485
/*      Pulkovo 1942 GK Zone 26N                                             */
#define PE_PCS_PULKOVO_1942_GK_26N                            28486
/*      Pulkovo 1942 GK Zone 27N                                             */
#define PE_PCS_PULKOVO_1942_GK_27N                            28487
/*      Pulkovo 1942 GK Zone 28N                                             */
#define PE_PCS_PULKOVO_1942_GK_28N                            28488
/*      Pulkovo 1942 GK Zone 29N                                             */
#define PE_PCS_PULKOVO_1942_GK_29N                            28489
/*      Pulkovo 1942 GK Zone 30N                                             */
#define PE_PCS_PULKOVO_1942_GK_30N                            28490
/*      Pulkovo 1942 GK Zone 31N                                             */
#define PE_PCS_PULKOVO_1942_GK_31N                            28491
/*      Pulkovo 1942 GK Zone 32N                                             */
#define PE_PCS_PULKOVO_1942_GK_32N                            28492

/*      Pulkovo 1995 GK Zone 2                                               */
#define PE_PCS_PULKOVO_1995_GK_2                              20002
/*      Pulkovo 1995 GK Zone 3                                               */
#define PE_PCS_PULKOVO_1995_GK_3                              20003
/*      Pulkovo 1995 GK Zone 4                                               */
#define PE_PCS_PULKOVO_1995_GK_4                              20004
/*      Pulkovo 1995 GK Zone 5                                               */
#define PE_PCS_PULKOVO_1995_GK_5                              20005
/*      Pulkovo 1995 GK Zone 6                                               */
#define PE_PCS_PULKOVO_1995_GK_6                              20006
/*      Pulkovo 1995 GK Zone 7                                               */
#define PE_PCS_PULKOVO_1995_GK_7                              20007
/*      Pulkovo 1995 GK Zone 8                                               */
#define PE_PCS_PULKOVO_1995_GK_8                              20008
/*      Pulkovo 1995 GK Zone 9                                               */
#define PE_PCS_PULKOVO_1995_GK_9                              20009
/*      Pulkovo 1995 GK Zone 10                                              */
#define PE_PCS_PULKOVO_1995_GK_10                             20010
/*      Pulkovo 1995 GK Zone 11                                              */
#define PE_PCS_PULKOVO_1995_GK_11                             20011
/*      Pulkovo 1995 GK Zone 12                                              */
#define PE_PCS_PULKOVO_1995_GK_12                             20012
/*      Pulkovo 1995 GK Zone 13                                              */
#define PE_PCS_PULKOVO_1995_GK_13                             20013
/*      Pulkovo 1995 GK Zone 14                                              */
#define PE_PCS_PULKOVO_1995_GK_14                             20014
/*      Pulkovo 1995 GK Zone 15                                              */
#define PE_PCS_PULKOVO_1995_GK_15                             20015
/*      Pulkovo 1995 GK Zone 16                                              */
#define PE_PCS_PULKOVO_1995_GK_16                             20016
/*      Pulkovo 1995 GK Zone 17                                              */
#define PE_PCS_PULKOVO_1995_GK_17                             20017
/*      Pulkovo 1995 GK Zone 18                                              */
#define PE_PCS_PULKOVO_1995_GK_18                             20018
/*      Pulkovo 1995 GK Zone 19                                              */
#define PE_PCS_PULKOVO_1995_GK_19                             20019
/*      Pulkovo 1995 GK Zone 20                                              */
#define PE_PCS_PULKOVO_1995_GK_20                             20020
/*      Pulkovo 1995 GK Zone 21                                              */
#define PE_PCS_PULKOVO_1995_GK_21                             20021
/*      Pulkovo 1995 GK Zone 22                                              */
#define PE_PCS_PULKOVO_1995_GK_22                             20022
/*      Pulkovo 1995 GK Zone 23                                              */
#define PE_PCS_PULKOVO_1995_GK_23                             20023
/*      Pulkovo 1995 GK Zone 24                                              */
#define PE_PCS_PULKOVO_1995_GK_24                             20024
/*      Pulkovo 1995 GK Zone 25                                              */
#define PE_PCS_PULKOVO_1995_GK_25                             20025
/*      Pulkovo 1995 GK Zone 26                                              */
#define PE_PCS_PULKOVO_1995_GK_26                             20026
/*      Pulkovo 1995 GK Zone 27                                              */
#define PE_PCS_PULKOVO_1995_GK_27                             20027
/*      Pulkovo 1995 GK Zone 28                                              */
#define PE_PCS_PULKOVO_1995_GK_28                             20028
/*      Pulkovo 1995 GK Zone 29                                              */
#define PE_PCS_PULKOVO_1995_GK_29                             20029
/*      Pulkovo 1995 GK Zone 30                                              */
#define PE_PCS_PULKOVO_1995_GK_30                             20030
/*      Pulkovo 1995 GK Zone 31                                              */
#define PE_PCS_PULKOVO_1995_GK_31                             20031
/*      Pulkovo 1995 GK Zone 32                                              */
#define PE_PCS_PULKOVO_1995_GK_32                             20032

/*      Pulkovo 1995 GK Zone 2N                                              */
#define PE_PCS_PULKOVO_1995_GK_2N                             20062
/*      Pulkovo 1995 GK Zone 3N                                              */
#define PE_PCS_PULKOVO_1995_GK_3N                             20063
/*      Pulkovo 1995 GK Zone 4N                                              */
#define PE_PCS_PULKOVO_1995_GK_4N                             20064
/*      Pulkovo 1995 GK Zone 5N                                              */
#define PE_PCS_PULKOVO_1995_GK_5N                             20065
/*      Pulkovo 1995 GK Zone 6N                                              */
#define PE_PCS_PULKOVO_1995_GK_6N                             20066
/*      Pulkovo 1995 GK Zone 7N                                              */
#define PE_PCS_PULKOVO_1995_GK_7N                             20067
/*      Pulkovo 1995 GK Zone 8N                                              */
#define PE_PCS_PULKOVO_1995_GK_8N                             20068
/*      Pulkovo 1995 GK Zone 9N                                              */
#define PE_PCS_PULKOVO_1995_GK_9N                             20069
/*      Pulkovo 1995 GK Zone 10N                                             */
#define PE_PCS_PULKOVO_1995_GK_10N                            20070
/*      Pulkovo 1995 GK Zone 11N                                             */
#define PE_PCS_PULKOVO_1995_GK_11N                            20071
/*      Pulkovo 1995 GK Zone 12N                                             */
#define PE_PCS_PULKOVO_1995_GK_12N                            20072
/*      Pulkovo 1995 GK Zone 13N                                             */
#define PE_PCS_PULKOVO_1995_GK_13N                            20073
/*      Pulkovo 1995 GK Zone 14N                                             */
#define PE_PCS_PULKOVO_1995_GK_14N                            20074
/*      Pulkovo 1995 GK Zone 15N                                             */
#define PE_PCS_PULKOVO_1995_GK_15N                            20075
/*      Pulkovo 1995 GK Zone 16N                                             */
#define PE_PCS_PULKOVO_1995_GK_16N                            20076
/*      Pulkovo 1995 GK Zone 17N                                             */
#define PE_PCS_PULKOVO_1995_GK_17N                            20077
/*      Pulkovo 1995 GK Zone 18N                                             */
#define PE_PCS_PULKOVO_1995_GK_18N                            20078
/*      Pulkovo 1995 GK Zone 19N                                             */
#define PE_PCS_PULKOVO_1995_GK_19N                            20079
/*      Pulkovo 1995 GK Zone 20N                                             */
#define PE_PCS_PULKOVO_1995_GK_20N                            20080
/*      Pulkovo 1995 GK Zone 21N                                             */
#define PE_PCS_PULKOVO_1995_GK_21N                            20081
/*      Pulkovo 1995 GK Zone 22N                                             */
#define PE_PCS_PULKOVO_1995_GK_22N                            20082
/*      Pulkovo 1995 GK Zone 23N                                             */
#define PE_PCS_PULKOVO_1995_GK_23N                            20083
/*      Pulkovo 1995 GK Zone 24N                                             */
#define PE_PCS_PULKOVO_1995_GK_24N                            20084
/*      Pulkovo 1995 GK Zone 25N                                             */
#define PE_PCS_PULKOVO_1995_GK_25N                            20085
/*      Pulkovo 1995 GK Zone 26N                                             */
#define PE_PCS_PULKOVO_1995_GK_26N                            20086
/*      Pulkovo 1995 GK Zone 27N                                             */
#define PE_PCS_PULKOVO_1995_GK_27N                            20087
/*      Pulkovo 1995 GK Zone 28N                                             */
#define PE_PCS_PULKOVO_1995_GK_28N                            20088
/*      Pulkovo 1995 GK Zone 29N                                             */
#define PE_PCS_PULKOVO_1995_GK_29N                            20089
/*      Pulkovo 1995 GK Zone 30N                                             */
#define PE_PCS_PULKOVO_1995_GK_30N                            20090
/*      Pulkovo 1995 GK Zone 31N                                             */
#define PE_PCS_PULKOVO_1995_GK_31N                            20091
/*      Pulkovo 1995 GK Zone 32N                                             */
#define PE_PCS_PULKOVO_1995_GK_32N                            20092


/*      Qatar 1948 Qatar Grid                                                */
#define PE_PCS_QATAR_1948_QATAR_GRID                           2099
/*      Qatar National Grid                                                  */
#define PE_PCS_QATAR_GRID                                     28600
/*      Swedish National Grid                                                */
#define PE_PCS_RT38_STOCKHOLM_SWEDISH_GRID                    30800
/*      RT 1990 2.5 gon W Sweden                                             */
#define PE_PCS_RT90_25_GON_W                                   2400

/* South America                                                             */
/*      SAD 1969 Brazil Polyconic                                            */
#define PE_PCS_SAD_1969_BRAZIL_POLYCONIC                      29101
/*      South American 1969 UTM Zone 18N                                     */
#define PE_PCS_SAD_1969_UTM_18N                               29168
/*      South American 1969 UTM Zone 19N                                     */
#define PE_PCS_SAD_1969_UTM_19N                               29169
/*      South American 1969 UTM Zone 20N                                     */
#define PE_PCS_SAD_1969_UTM_20N                               29170
/*      South American 1969 UTM Zone 21N                                     */
#define PE_PCS_SAD_1969_UTM_21N                               29171
/*      South American 1969 UTM Zone 22N                                     */
#define PE_PCS_SAD_1969_UTM_22N                               29172
/*      South American 1969 UTM Zone 17S                                     */
#define PE_PCS_SAD_1969_UTM_17S                               29187
/*      South American 1969 UTM Zone 18S                                     */
#define PE_PCS_SAD_1969_UTM_18S                               29188
/*      South American 1969 UTM Zone 19S                                     */
#define PE_PCS_SAD_1969_UTM_19S                               29189
/*      South American 1969 UTM Zone 20S                                     */
#define PE_PCS_SAD_1969_UTM_20S                               29190
/*      South American 1969 UTM Zone 21S                                     */
#define PE_PCS_SAD_1969_UTM_21S                               29191
/*      South American 1969 UTM Zone 22S                                     */
#define PE_PCS_SAD_1969_UTM_22S                               29192
/*      South American 1969 UTM Zone 23S                                     */
#define PE_PCS_SAD_1969_UTM_23S                               29193
/*      South American 1969 UTM Zone 24S                                     */
#define PE_PCS_SAD_1969_UTM_24S                               29194
/*      South American 1969 UTM Zone 25S                                     */
#define PE_PCS_SAD_1969_UTM_25S                               29195

/*      Samboja UTM zone 50S                                                 */
#define PE_PCS_SAMBOJA_UTM_50S                                 2550
/*      Samoa 1962 American Samoa Lambert                                    */
#define PE_PCS_SAMOA_1962_SAMOA_LAMBERT                        3102
/*      Sapper Hill 1943 UTM Zone 20S                                        */
#define PE_PCS_SAPPER_HILL_UTM_20S                            29220
/*      Sapper Hill 1943 UTM Zone 21S                                        */
#define PE_PCS_SAPPER_HILL_UTM_21S                            29221
/*      Schwarzeck UTM Zone 33S                                              */
#define PE_PCS_SCHWARZECK_UTM_33S                             29333
/*      Sierra Leone 1924 New Colony Grid                                    */
#define PE_PCS_SIERRA_LEONE_1924_NEW_COLONY_GRID               2159
/*      Sierra Leone 1924 New War Office Grid                                */
#define PE_PCS_SIERRA_LEONE_1924_NEW_WAR_OFFICE_GRID           2160
/*      Sierra Leone 1968 UTM zone 28N                                       */
#define PE_PCS_SIERRA_LEONE_1968_UTM_28N                       2161
/*      Sierra Leone 1968 UTM zone 29N                                       */
#define PE_PCS_SIERRA_LEONE_1968_UTM_29N                       2162
/*      SIRGAS UTM zone 17N                                                  */
#define PE_PCS_SIRGAS_UTM_17N                                 31986
/*      SIRGAS UTM zone 18N                                                  */
#define PE_PCS_SIRGAS_UTM_18N                                 31987
/*      SIRGAS UTM zone 19N                                                  */
#define PE_PCS_SIRGAS_UTM_19N                                 31988
/*      SIRGAS UTM zone 20N                                                  */
#define PE_PCS_SIRGAS_UTM_20N                                 31989
/*      SIRGAS UTM zone 21N                                                  */
#define PE_PCS_SIRGAS_UTM_21N                                 31990
/*      SIRGAS UTM zone 22N                                                  */
#define PE_PCS_SIRGAS_UTM_22N                                 31991
/*      SIRGAS UTM zone 17S                                                  */
#define PE_PCS_SIRGAS_UTM_17S                                 31992
/*      SIRGAS UTM zone 18S                                                  */
#define PE_PCS_SIRGAS_UTM_18S                                 31993
/*      SIRGAS UTM zone 19S                                                  */
#define PE_PCS_SIRGAS_UTM_19S                                 31994
/*      SIRGAS UTM zone 20S                                                  */
#define PE_PCS_SIRGAS_UTM_20S                                 31995
/*      SIRGAS UTM zone 21S                                                  */
#define PE_PCS_SIRGAS_UTM_21S                                 31996
/*      SIRGAS UTM zone 22S                                                  */
#define PE_PCS_SIRGAS_UTM_22S                                 31997
/*      SIRGAS UTM zone 23S                                                  */
#define PE_PCS_SIRGAS_UTM_23S                                 31998
/*      SIRGAS UTM zone 24S                                                  */
#define PE_PCS_SIRGAS_UTM_24S                                 31999
/*      SIRGAS UTM zone 25S                                                  */
#define PE_PCS_SIRGAS_UTM_25S                                 32000

/*      St Kitts 1955 British W Indies Grid                                  */
#define PE_PCS_ST_KITTS_1955_BRITISH_W_INDIES                  2005
/*      St Lucia 1955 British W Indies Grid                                  */
#define PE_PCS_ST_LUCIA_1955_BRITISH_W_INDIES                  2006
/*      St Vincent 1945 British W Indies Grid                                */
#define PE_PCS_ST_VINCENT_1945_BRITISH_W_INDIES                2007
/*      South Yemen Gauss-Kruger zone 8                                      */
#define PE_PCS_SOUTH_YEMEN_GK_8                                2395
/*      South Yemen Gauss-Kruger zone 9                                      */
#define PE_PCS_SOUTH_YEMEN_GK_9                                2396
/*      Sudan UTM Zone 35N                                                   */
#define PE_PCS_SUDAN_UTM_35N                                  29635
/*      Sudan UTM Zone 36N                                                   */
#define PE_PCS_SUDAN_UTM_36N                                  29636
/*      S-JTSK (Ferro) Krovak                                                */
#define PE_PCS_S_JTSK_FERRO_KROVAK                             2065
/*      Tananarive 1925 UTM Zone 38S                                         */
#define PE_PCS_TANANARIVE_UTM_38S                             29738
/*      Tananarive 1925 UTM Zone 39S                                         */
#define PE_PCS_TANANARIVE_UTM_39S                             29739
/*      Trucial Coast 1948 UTM Zone 39N                                      */
#define PE_PCS_TC_1948_UTM_39N                                30339
/*      Trucial Coast 1948 UTM Zone 40N                                      */
#define PE_PCS_TC_1948_UTM_40N                                30340
/*      Tete UTM Zone 36S                                                    */
#define PE_PCS_TETE_UTM_36S                                    2736
/*      Tete UTM Zone 37S                                                    */
#define PE_PCS_TETE_UTM_37S                                    2737
/*      Timbalai 1948 UTM Zone 49N                                           */
#define PE_PCS_TIMBALAI_1948_UTM_49N                          29849
/*      Timbalai 1948 UTM Zone 50N                                           */
#define PE_PCS_TIMBALAI_1948_UTM_50N                          29850
/*      Irish National Grid                                                  */
#define PE_PCS_TM65_IRISH_GRID                                29902
/*      Tokyo Japan Zone 1                                                   */
#define PE_PCS_TOKYO_JAPAN_1                                  30161
/*      Tokyo Japan Zone 2                                                   */
#define PE_PCS_TOKYO_JAPAN_2                                  30162
/*      Tokyo Japan Zone 3                                                   */
#define PE_PCS_TOKYO_JAPAN_3                                  30163
/*      Tokyo Japan Zone 4                                                   */
#define PE_PCS_TOKYO_JAPAN_4                                  30164
/*      Tokyo Japan Zone 5                                                   */
#define PE_PCS_TOKYO_JAPAN_5                                  30165
/*      Tokyo Japan Zone 6                                                   */
#define PE_PCS_TOKYO_JAPAN_6                                  30166
/*      Tokyo Japan Zone 7                                                   */
#define PE_PCS_TOKYO_JAPAN_7                                  30167
/*      Tokyo Japan Zone 8                                                   */
#define PE_PCS_TOKYO_JAPAN_8                                  30168
/*      Tokyo Japan Zone 9                                                   */
#define PE_PCS_TOKYO_JAPAN_9                                  30169
/*      Tokyo Japan Zone 10                                                  */
#define PE_PCS_TOKYO_JAPAN_10                                 30170
/*      Tokyo Japan Zone 11                                                  */
#define PE_PCS_TOKYO_JAPAN_11                                 30171
/*      Tokyo Japan Zone 12                                                  */
#define PE_PCS_TOKYO_JAPAN_12                                 30172
/*      Tokyo Japan Zone 13                                                  */
#define PE_PCS_TOKYO_JAPAN_13                                 30173
/*      Tokyo Japan Zone 14                                                  */
#define PE_PCS_TOKYO_JAPAN_14                                 30174
/*      Tokyo Japan Zone 15                                                  */
#define PE_PCS_TOKYO_JAPAN_15                                 30175
/*      Tokyo Japan Zone 16                                                  */
#define PE_PCS_TOKYO_JAPAN_16                                 30176
/*      Tokyo Japan Zone 17                                                  */
#define PE_PCS_TOKYO_JAPAN_17                                 30177
/*      Tokyo Japan Zone 18                                                  */
#define PE_PCS_TOKYO_JAPAN_18                                 30178
/*      Tokyo Japan Zone 19                                                  */
#define PE_PCS_TOKYO_JAPAN_19                                 30179
/*      Trinidad 1903 Trinidad Grid                                          */
#define PE_PCS_TRINIDAD_1903_TRINIDAD_GRID                    30200
/*      Nord Algerie ancienne                                                */
#define PE_PCS_VOIROL_N_ALGERIE_ANCIENNE                      30491
/*      Sud Algerie ancienne                                                 */
#define PE_PCS_VOIROL_S_ALGERIE_ANCIENNE                      30492
/*      Nord Algerie                                                         */
#define PE_PCS_VOIROL_UNIFIE_N_ALGERIE                        30591
/*      Sud Algerie                                                          */
#define PE_PCS_VOIROL_UNIFIE_S_ALGERIE                        30592

/* World Geodetic System 1972                                                */
/*      WGS 1972 BE TM 106 NE                                                */
#define PE_PCS_WGS_1972_BE_TM_106_NE                           2094
/*      WGS 1972 UTM Zone 1N                                                 */
#define PE_PCS_WGS_1972_UTM_1N                                32201
/*      WGS 1972 UTM Zone 2N                                                 */
#define PE_PCS_WGS_1972_UTM_2N                                32202
/*      WGS 1972 UTM Zone 3N                                                 */
#define PE_PCS_WGS_1972_UTM_3N                                32203
/*      WGS 1972 UTM Zone 4N                                                 */
#define PE_PCS_WGS_1972_UTM_4N                                32204
/*      WGS 1972 UTM Zone 5N                                                 */
#define PE_PCS_WGS_1972_UTM_5N                                32205
/*      WGS 1972 UTM Zone 6N                                                 */
#define PE_PCS_WGS_1972_UTM_6N                                32206
/*      WGS 1972 UTM Zone 7N                                                 */
#define PE_PCS_WGS_1972_UTM_7N                                32207
/*      WGS 1972 UTM Zone 8N                                                 */
#define PE_PCS_WGS_1972_UTM_8N                                32208
/*      WGS 1972 UTM Zone 9N                                                 */
#define PE_PCS_WGS_1972_UTM_9N                                32209
/*      WGS 1972 UTM Zone 10N                                                */
#define PE_PCS_WGS_1972_UTM_10N                               32210
/*      WGS 1972 UTM Zone 11N                                                */
#define PE_PCS_WGS_1972_UTM_11N                               32211
/*      WGS 1972 UTM Zone 12N                                                */
#define PE_PCS_WGS_1972_UTM_12N                               32212
/*      WGS 1972 UTM Zone 13N                                                */
#define PE_PCS_WGS_1972_UTM_13N                               32213
/*      WGS 1972 UTM Zone 14N                                                */
#define PE_PCS_WGS_1972_UTM_14N                               32214
/*      WGS 1972 UTM Zone 15N                                                */
#define PE_PCS_WGS_1972_UTM_15N                               32215
/*      WGS 1972 UTM Zone 16N                                                */
#define PE_PCS_WGS_1972_UTM_16N                               32216
/*      WGS 1972 UTM Zone 17N                                                */
#define PE_PCS_WGS_1972_UTM_17N                               32217
/*      WGS 1972 UTM Zone 18N                                                */
#define PE_PCS_WGS_1972_UTM_18N                               32218
/*      WGS 1972 UTM Zone 19N                                                */
#define PE_PCS_WGS_1972_UTM_19N                               32219
/*      WGS 1972 UTM Zone 20N                                                */
#define PE_PCS_WGS_1972_UTM_20N                               32220
/*      WGS 1972 UTM Zone 21N                                                */
#define PE_PCS_WGS_1972_UTM_21N                               32221
/*      WGS 1972 UTM Zone 22N                                                */
#define PE_PCS_WGS_1972_UTM_22N                               32222
/*      WGS 1972 UTM Zone 23N                                                */
#define PE_PCS_WGS_1972_UTM_23N                               32223
/*      WGS 1972 UTM Zone 24N                                                */
#define PE_PCS_WGS_1972_UTM_24N                               32224
/*      WGS 1972 UTM Zone 25N                                                */
#define PE_PCS_WGS_1972_UTM_25N                               32225
/*      WGS 1972 UTM Zone 26N                                                */
#define PE_PCS_WGS_1972_UTM_26N                               32226
/*      WGS 1972 UTM Zone 27N                                                */
#define PE_PCS_WGS_1972_UTM_27N                               32227
/*      WGS 1972 UTM Zone 28N                                                */
#define PE_PCS_WGS_1972_UTM_28N                               32228
/*      WGS 1972 UTM Zone 29N                                                */
#define PE_PCS_WGS_1972_UTM_29N                               32229
/*      WGS 1972 UTM Zone 30N                                                */
#define PE_PCS_WGS_1972_UTM_30N                               32230
/*      WGS 1972 UTM Zone 31N                                                */
#define PE_PCS_WGS_1972_UTM_31N                               32231
/*      WGS 1972 UTM Zone 32N                                                */
#define PE_PCS_WGS_1972_UTM_32N                               32232
/*      WGS 1972 UTM Zone 33N                                                */
#define PE_PCS_WGS_1972_UTM_33N                               32233
/*      WGS 1972 UTM Zone 34N                                                */
#define PE_PCS_WGS_1972_UTM_34N                               32234
/*      WGS 1972 UTM Zone 35N                                                */
#define PE_PCS_WGS_1972_UTM_35N                               32235
/*      WGS 1972 UTM Zone 36N                                                */
#define PE_PCS_WGS_1972_UTM_36N                               32236
/*      WGS 1972 UTM Zone 37N                                                */
#define PE_PCS_WGS_1972_UTM_37N                               32237
/*      WGS 1972 UTM Zone 38N                                                */
#define PE_PCS_WGS_1972_UTM_38N                               32238
/*      WGS 1972 UTM Zone 39N                                                */
#define PE_PCS_WGS_1972_UTM_39N                               32239
/*      WGS 1972 UTM Zone 40N                                                */
#define PE_PCS_WGS_1972_UTM_40N                               32240
/*      WGS 1972 UTM Zone 41N                                                */
#define PE_PCS_WGS_1972_UTM_41N                               32241
/*      WGS 1972 UTM Zone 42N                                                */
#define PE_PCS_WGS_1972_UTM_42N                               32242
/*      WGS 1972 UTM Zone 43N                                                */
#define PE_PCS_WGS_1972_UTM_43N                               32243
/*      WGS 1972 UTM Zone 44N                                                */
#define PE_PCS_WGS_1972_UTM_44N                               32244
/*      WGS 1972 UTM Zone 45N                                                */
#define PE_PCS_WGS_1972_UTM_45N                               32245
/*      WGS 1972 UTM Zone 46N                                                */
#define PE_PCS_WGS_1972_UTM_46N                               32246
/*      WGS 1972 UTM Zone 47N                                                */
#define PE_PCS_WGS_1972_UTM_47N                               32247
/*      WGS 1972 UTM Zone 48N                                                */
#define PE_PCS_WGS_1972_UTM_48N                               32248
/*      WGS 1972 UTM Zone 49N                                                */
#define PE_PCS_WGS_1972_UTM_49N                               32249
/*      WGS 1972 UTM Zone 50N                                                */
#define PE_PCS_WGS_1972_UTM_50N                               32250
/*      WGS 1972 UTM Zone 51N                                                */
#define PE_PCS_WGS_1972_UTM_51N                               32251
/*      WGS 1972 UTM Zone 52N                                                */
#define PE_PCS_WGS_1972_UTM_52N                               32252
/*      WGS 1972 UTM Zone 53N                                                */
#define PE_PCS_WGS_1972_UTM_53N                               32253
/*      WGS 1972 UTM Zone 54N                                                */
#define PE_PCS_WGS_1972_UTM_54N                               32254
/*      WGS 1972 UTM Zone 55N                                                */
#define PE_PCS_WGS_1972_UTM_55N                               32255
/*      WGS 1972 UTM Zone 56N                                                */
#define PE_PCS_WGS_1972_UTM_56N                               32256
/*      WGS 1972 UTM Zone 57N                                                */
#define PE_PCS_WGS_1972_UTM_57N                               32257
/*      WGS 1972 UTM Zone 58N                                                */
#define PE_PCS_WGS_1972_UTM_58N                               32258
/*      WGS 1972 UTM Zone 59N                                                */
#define PE_PCS_WGS_1972_UTM_59N                               32259
/*      WGS 1972 UTM Zone 60N                                                */
#define PE_PCS_WGS_1972_UTM_60N                               32260

/*      WGS 1972 UTM Zone 1S                                                 */
#define PE_PCS_WGS_1972_UTM_1S                                32301
/*      WGS 1972 UTM Zone 2S                                                 */
#define PE_PCS_WGS_1972_UTM_2S                                32302
/*      WGS 1972 UTM Zone 3S                                                 */
#define PE_PCS_WGS_1972_UTM_3S                                32303
/*      WGS 1972 UTM Zone 4S                                                 */
#define PE_PCS_WGS_1972_UTM_4S                                32304
/*      WGS 1972 UTM Zone 5S                                                 */
#define PE_PCS_WGS_1972_UTM_5S                                32305
/*      WGS 1972 UTM Zone 6S                                                 */
#define PE_PCS_WGS_1972_UTM_6S                                32306
/*      WGS 1972 UTM Zone 7S                                                 */
#define PE_PCS_WGS_1972_UTM_7S                                32307
/*      WGS 1972 UTM Zone 8S                                                 */
#define PE_PCS_WGS_1972_UTM_8S                                32308
/*      WGS 1972 UTM Zone 9S                                                 */
#define PE_PCS_WGS_1972_UTM_9S                                32309
/*      WGS 1972 UTM Zone 10S                                                */
#define PE_PCS_WGS_1972_UTM_10S                               32310
/*      WGS 1972 UTM Zone 11S                                                */
#define PE_PCS_WGS_1972_UTM_11S                               32311
/*      WGS 1972 UTM Zone 12S                                                */
#define PE_PCS_WGS_1972_UTM_12S                               32312
/*      WGS 1972 UTM Zone 13S                                                */
#define PE_PCS_WGS_1972_UTM_13S                               32313
/*      WGS 1972 UTM Zone 14S                                                */
#define PE_PCS_WGS_1972_UTM_14S                               32314
/*      WGS 1972 UTM Zone 15S                                                */
#define PE_PCS_WGS_1972_UTM_15S                               32315
/*      WGS 1972 UTM Zone 16S                                                */
#define PE_PCS_WGS_1972_UTM_16S                               32316
/*      WGS 1972 UTM Zone 17S                                                */
#define PE_PCS_WGS_1972_UTM_17S                               32317
/*      WGS 1972 UTM Zone 18S                                                */
#define PE_PCS_WGS_1972_UTM_18S                               32318
/*      WGS 1972 UTM Zone 19S                                                */
#define PE_PCS_WGS_1972_UTM_19S                               32319
/*      WGS 1972 UTM Zone 20S                                                */
#define PE_PCS_WGS_1972_UTM_20S                               32320
/*      WGS 1972 UTM Zone 21S                                                */
#define PE_PCS_WGS_1972_UTM_21S                               32321
/*      WGS 1972 UTM Zone 22S                                                */
#define PE_PCS_WGS_1972_UTM_22S                               32322
/*      WGS 1972 UTM Zone 23S                                                */
#define PE_PCS_WGS_1972_UTM_23S                               32323
/*      WGS 1972 UTM Zone 24S                                                */
#define PE_PCS_WGS_1972_UTM_24S                               32324
/*      WGS 1972 UTM Zone 25S                                                */
#define PE_PCS_WGS_1972_UTM_25S                               32325
/*      WGS 1972 UTM Zone 26S                                                */
#define PE_PCS_WGS_1972_UTM_26S                               32326
/*      WGS 1972 UTM Zone 27S                                                */
#define PE_PCS_WGS_1972_UTM_27S                               32327
/*      WGS 1972 UTM Zone 28S                                                */
#define PE_PCS_WGS_1972_UTM_28S                               32328
/*      WGS 1972 UTM Zone 29S                                                */
#define PE_PCS_WGS_1972_UTM_29S                               32329
/*      WGS 1972 UTM Zone 30S                                                */
#define PE_PCS_WGS_1972_UTM_30S                               32330
/*      WGS 1972 UTM Zone 31S                                                */
#define PE_PCS_WGS_1972_UTM_31S                               32331
/*      WGS 1972 UTM Zone 32S                                                */
#define PE_PCS_WGS_1972_UTM_32S                               32332
/*      WGS 1972 UTM Zone 33S                                                */
#define PE_PCS_WGS_1972_UTM_33S                               32333
/*      WGS 1972 UTM Zone 34S                                                */
#define PE_PCS_WGS_1972_UTM_34S                               32334
/*      WGS 1972 UTM Zone 35S                                                */
#define PE_PCS_WGS_1972_UTM_35S                               32335
/*      WGS 1972 UTM Zone 36S                                                */
#define PE_PCS_WGS_1972_UTM_36S                               32336
/*      WGS 1972 UTM Zone 37S                                                */
#define PE_PCS_WGS_1972_UTM_37S                               32337
/*      WGS 1972 UTM Zone 38S                                                */
#define PE_PCS_WGS_1972_UTM_38S                               32338
/*      WGS 1972 UTM Zone 39S                                                */
#define PE_PCS_WGS_1972_UTM_39S                               32339
/*      WGS 1972 UTM Zone 40S                                                */
#define PE_PCS_WGS_1972_UTM_40S                               32340
/*      WGS 1972 UTM Zone 41S                                                */
#define PE_PCS_WGS_1972_UTM_41S                               32341
/*      WGS 1972 UTM Zone 42S                                                */
#define PE_PCS_WGS_1972_UTM_42S                               32342
/*      WGS 1972 UTM Zone 43S                                                */
#define PE_PCS_WGS_1972_UTM_43S                               32343
/*      WGS 1972 UTM Zone 44S                                                */
#define PE_PCS_WGS_1972_UTM_44S                               32344
/*      WGS 1972 UTM Zone 45S                                                */
#define PE_PCS_WGS_1972_UTM_45S                               32345
/*      WGS 1972 UTM Zone 46S                                                */
#define PE_PCS_WGS_1972_UTM_46S                               32346
/*      WGS 1972 UTM Zone 47S                                                */
#define PE_PCS_WGS_1972_UTM_47S                               32347
/*      WGS 1972 UTM Zone 48S                                                */
#define PE_PCS_WGS_1972_UTM_48S                               32348
/*      WGS 1972 UTM Zone 49S                                                */
#define PE_PCS_WGS_1972_UTM_49S                               32349
/*      WGS 1972 UTM Zone 50S                                                */
#define PE_PCS_WGS_1972_UTM_50S                               32350
/*      WGS 1972 UTM Zone 51S                                                */
#define PE_PCS_WGS_1972_UTM_51S                               32351
/*      WGS 1972 UTM Zone 52S                                                */
#define PE_PCS_WGS_1972_UTM_52S                               32352
/*      WGS 1972 UTM Zone 53S                                                */
#define PE_PCS_WGS_1972_UTM_53S                               32353
/*      WGS 1972 UTM Zone 54S                                                */
#define PE_PCS_WGS_1972_UTM_54S                               32354
/*      WGS 1972 UTM Zone 55S                                                */
#define PE_PCS_WGS_1972_UTM_55S                               32355
/*      WGS 1972 UTM Zone 56S                                                */
#define PE_PCS_WGS_1972_UTM_56S                               32356
/*      WGS 1972 UTM Zone 57S                                                */
#define PE_PCS_WGS_1972_UTM_57S                               32357
/*      WGS 1972 UTM Zone 58S                                                */
#define PE_PCS_WGS_1972_UTM_58S                               32358
/*      WGS 1972 UTM Zone 59S                                                */
#define PE_PCS_WGS_1972_UTM_59S                               32359
/*      WGS 1972 UTM Zone 60S                                                */
#define PE_PCS_WGS_1972_UTM_60S                               32360


/* World Geodetic System 1984                                                */
/*      WGS 84 TM 36 SE - Mozambique                                         */
#define PE_PCS_WGS_1984_TM_36_SE                              32766
/*      Universal Polar Stereographic NP                                     */
#define PE_PCS_WGS_1984_UPS_NORTH                             32661
/*      Universal Polar Stereographic SP                                     */
#define PE_PCS_WGS_1984_UPS_SOUTH                             32761
/*      WGS 1984 UTM Zone 1N                                                 */
#define PE_PCS_WGS_1984_UTM_1N                                32601
/*      WGS 1984 UTM Zone 2N                                                 */
#define PE_PCS_WGS_1984_UTM_2N                                32602
/*      WGS 1984 UTM Zone 3N                                                 */
#define PE_PCS_WGS_1984_UTM_3N                                32603
/*      WGS 1984 UTM Zone 4N                                                 */
#define PE_PCS_WGS_1984_UTM_4N                                32604
/*      WGS 1984 UTM Zone 5N                                                 */
#define PE_PCS_WGS_1984_UTM_5N                                32605
/*      WGS 1984 UTM Zone 6N                                                 */
#define PE_PCS_WGS_1984_UTM_6N                                32606
/*      WGS 1984 UTM Zone 7N                                                 */
#define PE_PCS_WGS_1984_UTM_7N                                32607
/*      WGS 1984 UTM Zone 8N                                                 */
#define PE_PCS_WGS_1984_UTM_8N                                32608
/*      WGS 1984 UTM Zone 9N                                                 */
#define PE_PCS_WGS_1984_UTM_9N                                32609
/*      WGS 1984 UTM Zone 10N                                                */
#define PE_PCS_WGS_1984_UTM_10N                               32610
/*      WGS 1984 UTM Zone 11N                                                */
#define PE_PCS_WGS_1984_UTM_11N                               32611
/*      WGS 1984 UTM Zone 12N                                                */
#define PE_PCS_WGS_1984_UTM_12N                               32612
/*      WGS 1984 UTM Zone 13N                                                */
#define PE_PCS_WGS_1984_UTM_13N                               32613
/*      WGS 1984 UTM Zone 14N                                                */
#define PE_PCS_WGS_1984_UTM_14N                               32614
/*      WGS 1984 UTM Zone 15N                                                */
#define PE_PCS_WGS_1984_UTM_15N                               32615
/*      WGS 1984 UTM Zone 16N                                                */
#define PE_PCS_WGS_1984_UTM_16N                               32616
/*      WGS 1984 UTM Zone 17N                                                */
#define PE_PCS_WGS_1984_UTM_17N                               32617
/*      WGS 1984 UTM Zone 18N                                                */
#define PE_PCS_WGS_1984_UTM_18N                               32618
/*      WGS 1984 UTM Zone 19N                                                */
#define PE_PCS_WGS_1984_UTM_19N                               32619
/*      WGS 1984 UTM Zone 20N                                                */
#define PE_PCS_WGS_1984_UTM_20N                               32620
/*      WGS 1984 UTM Zone 21N                                                */
#define PE_PCS_WGS_1984_UTM_21N                               32621
/*      WGS 1984 UTM Zone 22N                                                */
#define PE_PCS_WGS_1984_UTM_22N                               32622
/*      WGS 1984 UTM Zone 23N                                                */
#define PE_PCS_WGS_1984_UTM_23N                               32623
/*      WGS 1984 UTM Zone 24N                                                */
#define PE_PCS_WGS_1984_UTM_24N                               32624
/*      WGS 1984 UTM Zone 25N                                                */
#define PE_PCS_WGS_1984_UTM_25N                               32625
/*      WGS 1984 UTM Zone 26N                                                */
#define PE_PCS_WGS_1984_UTM_26N                               32626
/*      WGS 1984 UTM Zone 27N                                                */
#define PE_PCS_WGS_1984_UTM_27N                               32627
/*      WGS 1984 UTM Zone 28N                                                */
#define PE_PCS_WGS_1984_UTM_28N                               32628
/*      WGS 1984 UTM Zone 29N                                                */
#define PE_PCS_WGS_1984_UTM_29N                               32629
/*      WGS 1984 UTM Zone 30N                                                */
#define PE_PCS_WGS_1984_UTM_30N                               32630
/*      WGS 1984 UTM Zone 31N                                                */
#define PE_PCS_WGS_1984_UTM_31N                               32631
/*      WGS 1984 UTM Zone 32N                                                */
#define PE_PCS_WGS_1984_UTM_32N                               32632
/*      WGS 1984 UTM Zone 33N                                                */
#define PE_PCS_WGS_1984_UTM_33N                               32633
/*      WGS 1984 UTM Zone 34N                                                */
#define PE_PCS_WGS_1984_UTM_34N                               32634
/*      WGS 1984 UTM Zone 35N                                                */
#define PE_PCS_WGS_1984_UTM_35N                               32635
/*      WGS 1984 UTM Zone 36N                                                */
#define PE_PCS_WGS_1984_UTM_36N                               32636
/*      WGS 1984 UTM Zone 37N                                                */
#define PE_PCS_WGS_1984_UTM_37N                               32637
/*      WGS 1984 UTM Zone 38N                                                */
#define PE_PCS_WGS_1984_UTM_38N                               32638
/*      WGS 1984 UTM Zone 39N                                                */
#define PE_PCS_WGS_1984_UTM_39N                               32639
/*      WGS 1984 UTM Zone 40N                                                */
#define PE_PCS_WGS_1984_UTM_40N                               32640
/*      WGS 1984 UTM Zone 41N                                                */
#define PE_PCS_WGS_1984_UTM_41N                               32641
/*      WGS 1984 UTM Zone 42N                                                */
#define PE_PCS_WGS_1984_UTM_42N                               32642
/*      WGS 1984 UTM Zone 43N                                                */
#define PE_PCS_WGS_1984_UTM_43N                               32643
/*      WGS 1984 UTM Zone 44N                                                */
#define PE_PCS_WGS_1984_UTM_44N                               32644
/*      WGS 1984 UTM Zone 45N                                                */
#define PE_PCS_WGS_1984_UTM_45N                               32645
/*      WGS 1984 UTM Zone 46N                                                */
#define PE_PCS_WGS_1984_UTM_46N                               32646
/*      WGS 1984 UTM Zone 47N                                                */
#define PE_PCS_WGS_1984_UTM_47N                               32647
/*      WGS 1984 UTM Zone 48N                                                */
#define PE_PCS_WGS_1984_UTM_48N                               32648
/*      WGS 1984 UTM Zone 49N                                                */
#define PE_PCS_WGS_1984_UTM_49N                               32649
/*      WGS 1984 UTM Zone 50N                                                */
#define PE_PCS_WGS_1984_UTM_50N                               32650
/*      WGS 1984 UTM Zone 51N                                                */
#define PE_PCS_WGS_1984_UTM_51N                               32651
/*      WGS 1984 UTM Zone 52N                                                */
#define PE_PCS_WGS_1984_UTM_52N                               32652
/*      WGS 1984 UTM Zone 53N                                                */
#define PE_PCS_WGS_1984_UTM_53N                               32653
/*      WGS 1984 UTM Zone 54N                                                */
#define PE_PCS_WGS_1984_UTM_54N                               32654
/*      WGS 1984 UTM Zone 55N                                                */
#define PE_PCS_WGS_1984_UTM_55N                               32655
/*      WGS 1984 UTM Zone 56N                                                */
#define PE_PCS_WGS_1984_UTM_56N                               32656
/*      WGS 1984 UTM Zone 57N                                                */
#define PE_PCS_WGS_1984_UTM_57N                               32657
/*      WGS 1984 UTM Zone 58N                                                */
#define PE_PCS_WGS_1984_UTM_58N                               32658
/*      WGS 1984 UTM Zone 59N                                                */
#define PE_PCS_WGS_1984_UTM_59N                               32659
/*      WGS 1984 UTM Zone 60N                                                */
#define PE_PCS_WGS_1984_UTM_60N                               32660

/*      WGS 1984 UTM Zone 1S                                                 */
#define PE_PCS_WGS_1984_UTM_1S                                32701
/*      WGS 1984 UTM Zone 2S                                                 */
#define PE_PCS_WGS_1984_UTM_2S                                32702
/*      WGS 1984 UTM Zone 3S                                                 */
#define PE_PCS_WGS_1984_UTM_3S                                32703
/*      WGS 1984 UTM Zone 4S                                                 */
#define PE_PCS_WGS_1984_UTM_4S                                32704
/*      WGS 1984 UTM Zone 5S                                                 */
#define PE_PCS_WGS_1984_UTM_5S                                32705
/*      WGS 1984 UTM Zone 6S                                                 */
#define PE_PCS_WGS_1984_UTM_6S                                32706
/*      WGS 1984 UTM Zone 7S                                                 */
#define PE_PCS_WGS_1984_UTM_7S                                32707
/*      WGS 1984 UTM Zone 8S                                                 */
#define PE_PCS_WGS_1984_UTM_8S                                32708
/*      WGS 1984 UTM Zone 9S                                                 */
#define PE_PCS_WGS_1984_UTM_9S                                32709
/*      WGS 1984 UTM Zone 10S                                                */
#define PE_PCS_WGS_1984_UTM_10S                               32710
/*      WGS 1984 UTM Zone 11S                                                */
#define PE_PCS_WGS_1984_UTM_11S                               32711
/*      WGS 1984 UTM Zone 12S                                                */
#define PE_PCS_WGS_1984_UTM_12S                               32712
/*      WGS 1984 UTM Zone 13S                                                */
#define PE_PCS_WGS_1984_UTM_13S                               32713
/*      WGS 1984 UTM Zone 14S                                                */
#define PE_PCS_WGS_1984_UTM_14S                               32714
/*      WGS 1984 UTM Zone 15S                                                */
#define PE_PCS_WGS_1984_UTM_15S                               32715
/*      WGS 1984 UTM Zone 16S                                                */
#define PE_PCS_WGS_1984_UTM_16S                               32716
/*      WGS 1984 UTM Zone 17S                                                */
#define PE_PCS_WGS_1984_UTM_17S                               32717
/*      WGS 1984 UTM Zone 18S                                                */
#define PE_PCS_WGS_1984_UTM_18S                               32718
/*      WGS 1984 UTM Zone 19S                                                */
#define PE_PCS_WGS_1984_UTM_19S                               32719
/*      WGS 1984 UTM Zone 20S                                                */
#define PE_PCS_WGS_1984_UTM_20S                               32720
/*      WGS 1984 UTM Zone 21S                                                */
#define PE_PCS_WGS_1984_UTM_21S                               32721
/*      WGS 1984 UTM Zone 22S                                                */
#define PE_PCS_WGS_1984_UTM_22S                               32722
/*      WGS 1984 UTM Zone 23S                                                */
#define PE_PCS_WGS_1984_UTM_23S                               32723
/*      WGS 1984 UTM Zone 24S                                                */
#define PE_PCS_WGS_1984_UTM_24S                               32724
/*      WGS 1984 UTM Zone 25S                                                */
#define PE_PCS_WGS_1984_UTM_25S                               32725
/*      WGS 1984 UTM Zone 26S                                                */
#define PE_PCS_WGS_1984_UTM_26S                               32726
/*      WGS 1984 UTM Zone 27S                                                */
#define PE_PCS_WGS_1984_UTM_27S                               32727
/*      WGS 1984 UTM Zone 28S                                                */
#define PE_PCS_WGS_1984_UTM_28S                               32728
/*      WGS 1984 UTM Zone 29S                                                */
#define PE_PCS_WGS_1984_UTM_29S                               32729
/*      WGS 1984 UTM Zone 30S                                                */
#define PE_PCS_WGS_1984_UTM_30S                               32730
/*      WGS 1984 UTM Zone 31S                                                */
#define PE_PCS_WGS_1984_UTM_31S                               32731
/*      WGS 1984 UTM Zone 32S                                                */
#define PE_PCS_WGS_1984_UTM_32S                               32732
/*      WGS 1984 UTM Zone 33S                                                */
#define PE_PCS_WGS_1984_UTM_33S                               32733
/*      WGS 1984 UTM Zone 34S                                                */
#define PE_PCS_WGS_1984_UTM_34S                               32734
/*      WGS 1984 UTM Zone 35S                                                */
#define PE_PCS_WGS_1984_UTM_35S                               32735
/*      WGS 1984 UTM Zone 36S                                                */
#define PE_PCS_WGS_1984_UTM_36S                               32736
/*      WGS 1984 UTM Zone 37S                                                */
#define PE_PCS_WGS_1984_UTM_37S                               32737
/*      WGS 1984 UTM Zone 38S                                                */
#define PE_PCS_WGS_1984_UTM_38S                               32738
/*      WGS 1984 UTM Zone 39S                                                */
#define PE_PCS_WGS_1984_UTM_39S                               32739
/*      WGS 1984 UTM Zone 40S                                                */
#define PE_PCS_WGS_1984_UTM_40S                               32740
/*      WGS 1984 UTM Zone 41S                                                */
#define PE_PCS_WGS_1984_UTM_41S                               32741
/*      WGS 1984 UTM Zone 42S                                                */
#define PE_PCS_WGS_1984_UTM_42S                               32742
/*      WGS 1984 UTM Zone 43S                                                */
#define PE_PCS_WGS_1984_UTM_43S                               32743
/*      WGS 1984 UTM Zone 44S                                                */
#define PE_PCS_WGS_1984_UTM_44S                               32744
/*      WGS 1984 UTM Zone 45S                                                */
#define PE_PCS_WGS_1984_UTM_45S                               32745
/*      WGS 1984 UTM Zone 46S                                                */
#define PE_PCS_WGS_1984_UTM_46S                               32746
/*      WGS 1984 UTM Zone 47S                                                */
#define PE_PCS_WGS_1984_UTM_47S                               32747
/*      WGS 1984 UTM Zone 48S                                                */
#define PE_PCS_WGS_1984_UTM_48S                               32748
/*      WGS 1984 UTM Zone 49S                                                */
#define PE_PCS_WGS_1984_UTM_49S                               32749
/*      WGS 1984 UTM Zone 50S                                                */
#define PE_PCS_WGS_1984_UTM_50S                               32750
/*      WGS 1984 UTM Zone 51S                                                */
#define PE_PCS_WGS_1984_UTM_51S                               32751
/*      WGS 1984 UTM Zone 52S                                                */
#define PE_PCS_WGS_1984_UTM_52S                               32752
/*      WGS 1984 UTM Zone 53S                                                */
#define PE_PCS_WGS_1984_UTM_53S                               32753
/*      WGS 1984 UTM Zone 54S                                                */
#define PE_PCS_WGS_1984_UTM_54S                               32754
/*      WGS 1984 UTM Zone 55S                                                */
#define PE_PCS_WGS_1984_UTM_55S                               32755
/*      WGS 1984 UTM Zone 56S                                                */
#define PE_PCS_WGS_1984_UTM_56S                               32756
/*      WGS 1984 UTM Zone 57S                                                */
#define PE_PCS_WGS_1984_UTM_57S                               32757
/*      WGS 1984 UTM Zone 58S                                                */
#define PE_PCS_WGS_1984_UTM_58S                               32758
/*      WGS 1984 UTM Zone 59S                                                */
#define PE_PCS_WGS_1984_UTM_59S                               32759
/*      WGS 1984 UTM Zone 60S                                                */
#define PE_PCS_WGS_1984_UTM_60S                               32760


/*      Yemen NGN 1996 UTM zone 38N                                          */
#define PE_PCS_YEMEN_NGN_1996_UTM_38N                          2089
/*      Yemen NGN 1996 UTM zone 39N                                          */
#define PE_PCS_YEMEN_NGN_1996_UTM_39N                          2090
/*      Yoff 1972 UTM Zone 28N                                               */
#define PE_PCS_YOFF_1972_UTM_28N                              31028
/*      Zanderij 1972 UTM Zone 21N                                           */
#define PE_PCS_ZANDERIJ_1972_UTM_21N                          31121
/*      Zanderij Old TM                                                      */
#define PE_PCS_ZANDERIJ_SURINAME_OLD_TM                       31170
/*      Zanderij TM                                                          */
#define PE_PCS_ZANDERIJ_SURINAME_TM                           31171
/*      Zanderij TM 54 NW                                                    */
#define PE_PCS_ZANDERIJ_TM_54_NW                              31154

/* ---------------------------------------                                   */


/*      NAD 1983 Albers Canada                                               */
#define PE_PCS_NAD_1983_CANADA_ALBERS                        102001
/*      NAD 1983 Lambert Canada                                              */
#define PE_PCS_NAD_1983_CANADA_LAMBERT                       102002
/*      NAD 1983 Albers contiguous USA                                       */
#define PE_PCS_NAD_1983_USA_ALBERS                           102003
/*      NAD 1983 Lambert contiguous USA                                      */
#define PE_PCS_NAD_1983_USA_LAMBERT                          102004
/*      NAD 1983 Equidistant Conic contiguous USA                            */
#define PE_PCS_NAD_1983_USA_EQUI_CONIC                       102005
/*      NAD 1983 Albers Alaska                                               */
#define PE_PCS_NAD_1983_ALASKA_ALBERS                          3338
/*      NAD 1983 Albers Hawaii                                               */
#define PE_PCS_NAD_1983_HAWAII_ALBERS                        102007
/*      NAD 1983 Albers North America                                        */
#define PE_PCS_NAD_1983_N_AMERICA_ALBERS                     102008
/*      NAD 1983 Lambert North America                                       */
#define PE_PCS_NAD_1983_N_AMERICA_LAMBERT                    102009
/*      NAD 1983 Equidistant Conic North America                             */
#define PE_PCS_NAD_1983_N_AMERICA_EQUI_CONIC                 102010
/*      WGS 1984 Sinusoidal Africa                                           */
#define PE_PCS_WGS_1984_AFRICA_SINUSOIDAL                    102011
/*      WGS 1984 Lambert Asia                                                */
#define PE_PCS_WGS_1984_ASIA_LAMBERT                         102012
/*      ED 1950 Albers Europe                                                */
#define PE_PCS_ED_1950_EUROPE_ALBERS                         102013
/*      ED 1950 Lambert Europe                                               */
#define PE_PCS_ED_1950_EUROPE_LAMBERT                        102014
/*      SAD 1969 Lambert South America                                       */
#define PE_PCS_SAD_1969_S_AMERICA_LAMBERT                    102015
/*      WGS 1984 Azimuthal Equidistant North Pole                            */
#define PE_PCS_WGS_1984_N_POLE_AZI_EQUI                      102016
/*      WGS 1984 Lambert Azimuthal EqArea North Pole                         */
#define PE_PCS_WGS_1984_N_POLE_LAMBERT_AZI_EQAREA            102017
/*      WGS 1984 Stereographic North Pole                                    */
#define PE_PCS_WGS_1984_N_POLE_STEREOGRAPHIC                 102018
/*      WGS 1984 Azimuthal Equidistant South Pole                            */
#define PE_PCS_WGS_1984_S_POLE_AZI_EQUI                      102019
/*      WGS 1984 Lambert Azimuthal EqArea South Pole                         */
#define PE_PCS_WGS_1984_S_POLE_LAMBERT_AZI_EQAREA            102020
/*      WGS 1984 Stereographic South Pole                                    */
#define PE_PCS_WGS_1984_S_POLE_STEREOGRAPHIC                 102021

/*      WGS 1984 Albers for Africa                                           */
#define PE_PCS_WGS_1984_AFRICA_ALBERS                        102022
/*      WGS 1984 Equidistant Conic for Africa                                */
#define PE_PCS_WGS_1984_AFRICA_EQUI_CONIC                    102023
/*      WGS 1984 Lambert for Africa                                          */
#define PE_PCS_WGS_1984_AFRICA_LAMBERT                       102024
/*      WGS 1984 Albers for Northern Asia                                    */
#define PE_PCS_WGS_1984_ASIA_NORTH_ALBERS                    102025
/*      WGS 1984 Equidistant Conic for Northern Asia                         */
#define PE_PCS_WGS_1984_ASIA_NORTH_EQUI_CONIC                102026
/*      WGS 1984 Lambert for Northern Asia                                   */
#define PE_PCS_WGS_1984_ASIA_NORTH_LAMBERT                   102027
/*      WGS 1984 Albers for Southern Asia                                    */
#define PE_PCS_WGS_1984_ASIA_SOUTH_ALBERS                    102028
/*      WGS 1984 Equidistant Conic for Southern Asia                         */
#define PE_PCS_WGS_1984_ASIA_SOUTH_EQUI_CONIC                102029
/*      WGS 1984 Lambert for Southern Asia                                   */
#define PE_PCS_WGS_1984_ASIA_SOUTH_LAMBERT                   102030

/*      ED 1950 Equidistant Conic Europe                                     */
#define PE_PCS_ED_1950_EUROPE_EQUI_CONIC                     102031
/*      SAD 1969 Equidistant Conic South America                             */
#define PE_PCS_SAD_1969_S_AMERICA_EQUI_CONIC                 102032
/*      SAD 1969 Albers South America                                        */
#define PE_PCS_SAD_1969_S_AMERICA_ALBERS                     102033

/*      WGS 1984 Gnomonic North Pole                                         */
#define PE_PCS_WGS_1984_N_POLE_GNOMONIC                      102034
/*      WGS 1984 Orthographic North Pole                                     */
#define PE_PCS_WGS_1984_N_POLE_ORTHOGRAPHIC                  102035
/*      WGS 1984 Gnomonic South Pole                                         */
#define PE_PCS_WGS_1984_S_POLE_GNOMONIC                      102036
/*      WGS 1984 Orthographic South Pole                                     */
#define PE_PCS_WGS_1984_S_POLE_ORTHOGRAPHIC                  102037
/*      The World from Space (center in MA)                                  */
#define PE_PCS_THE_WORLD_FROM_SPACE                          102038
/*      NAD 1983 USGS Contiguous USA Albers                                  */
#define PE_PCS_NAD_1983_USGS_USA_ALBERS                      102039

/*      S-JTSK Krovak                                                        */
#define PE_PCS_S_JTSK_KROVAK                                 102065
/*      S-JTSK (Ferro) Krovak EastNorth XY                                   */
#define PE_PCS_S_JTSK_FERRO_KROVAK_EN                        102066
/*      S-JTSK Krovak EastNorth XY                                           */
#define PE_PCS_S_JTSK_KROVAK_EN                              102067

/*      Monte Mario (Greenwich) Italy 1                                      */
#define PE_PCS_MONTE_MARIO_ITALY_1                             3003
/*      Monte Mario (Greenwich) Italy 2                                      */
#define PE_PCS_MONTE_MARIO_ITALY_2                             3004

/*      NGO 1948 Norway zone 1                                               */
#define PE_PCS_NGO_1948_NORWAY_1                             102101
/*      NGO 1948 Norway zone 2                                               */
#define PE_PCS_NGO_1948_NORWAY_2                             102102
/*      NGO 1948 Norway zone 3                                               */
#define PE_PCS_NGO_1948_NORWAY_3                             102103
/*      NGO 1948 Norway zone 4                                               */
#define PE_PCS_NGO_1948_NORWAY_4                             102104
/*      NGO 1948 Norway zone 5                                               */
#define PE_PCS_NGO_1948_NORWAY_5                             102105
/*      NGO 1948 Norway zone 6                                               */
#define PE_PCS_NGO_1948_NORWAY_6                             102106
/*      NGO 1948 Norway zone 7                                               */
#define PE_PCS_NGO_1948_NORWAY_7                             102107
/*      NGO 1948 Norway zone 8                                               */
#define PE_PCS_NGO_1948_NORWAY_8                             102108

/*      RGF 1993 Lambert-93                                                  */
#define PE_PCS_RGF_1993_LAMBERT_93                             2154

/*      Old Hawaiian UTM zone 4N                                             */
#define PE_PCS_OLD_HAWAIIAN_UTM_4N                           102114
/*      Old Hawaiian UTM zone 5N                                             */
#define PE_PCS_OLD_HAWAIIAN_UTM_5N                           102115

/*      NAD 1927 Michigan GeoRef (US Survey Feet)                            */
#define PE_PCS_NAD_1927_MICHIGAN_GEOREF                      102120
/*      NAD 1983 Michigan GeoRef (US Survey Feet)                            */
#define PE_PCS_NAD_1983_MICHIGAN_GEOREF                      102121
/*      NAD 1927 Michigan GeoRef (Meters)                                    */
#define PE_PCS_NAD_1927_MICHIGAN_GEOREF_M                    102122
/*      NAD 1983 Michigan GeoRef (Meters)                                    */
#define PE_PCS_NAD_1983_MICHIGAN_GEOREF_M                      3078

/*      NGO 1948 UTM zone 32N                                                */
#define PE_PCS_NGO_1948_UTM_32N                              102132
/*      NGO 1948 UTM zone 33N                                                */
#define PE_PCS_NGO_1948_UTM_33N                              102133
/*      NGO 1948 UTM zone 34N                                                */
#define PE_PCS_NGO_1948_UTM_34N                              102134
/*      NGO 1948 UTM zone 35N                                                */
#define PE_PCS_NGO_1948_UTM_35N                              102135

/*      NGO 1948 Baerum Kommune                                              */
#define PE_PCS_NGO_1948_BAERUM_KOMMUNE                       102136
/*      NGO 1948 Bergenhalvoen                                               */
#define PE_PCS_NGO_1948_BERGENHALVOEN                        102137
/*      NGO 1948 Oslo Kommune                                                */
#define PE_PCS_NGO_1948_OSLO_KOMMUNE                         102138

/*      Hong Kong 1980 Grid                                                  */
#define PE_PCS_HONG_KONG_1980_GRID                             2326
/*      Hong Kong 1980 UTM Zone 49N                                          */
#define PE_PCS_HONG_KONG_1980_UTM_49N                        102141
/*      Hong Kong 1980 UTM Zone 50N                                          */
#define PE_PCS_HONG_KONG_1980_UTM_50N                        102142

/*      Tokyo UTM Zone 51N                                                   */
#define PE_PCS_TOKYO_UTM_51N                                   3092
/*      Tokyo UTM Zone 52N                                                   */
#define PE_PCS_TOKYO_UTM_52N                                   3093
/*      Tokyo UTM Zone 53N                                                   */
#define PE_PCS_TOKYO_UTM_53N                                   3094
/*      Tokyo UTM Zone 54N                                                   */
#define PE_PCS_TOKYO_UTM_54N                                   3095
/*      Tokyo UTM Zone 55N                                                   */
#define PE_PCS_TOKYO_UTM_55N                                   3096
/*      Tokyo UTM Zone 56N                                                   */
#define PE_PCS_TOKYO_UTM_56N                                 102156

/*      Datum 73 Hayford Gauss IGeoE                                         */
#define PE_PCS_DATUM_73_HAYFORD_GAUSS_IGEOE                  102160
/*      Datum 73 Hayford Gauss IPCC                                          */
#define PE_PCS_DATUM_73_HAYFORD_GAUSS_IPCC                   102161
/*      Graciosa Base SW 1948 UTM Zone 26N                                   */
#define PE_PCS_GRACIOSA_1948_UTM_26N                         102162
/*      Lisboa Bessel Bonne                                                  */
#define PE_PCS_LISBOA_BESSEL_BONNE                           102163
/*      Lisboa Hayford Gauss IGeoE                                           */
#define PE_PCS_LISBOA_HAYFORD_GAUSS_IGEOE                    102164
/*      Lisboa Hayford Gauss IPCC                                            */
#define PE_PCS_LISBOA_HAYFORD_GAUSS_IPCC                     102165
/*      Observ Meteorologico 1939 UTM Zone 25N                               */
#define PE_PCS_OBSERV_METEOR_1939_UTM_25N                    102166
/*      Porto Santo 1936 UTM Zone 28N                                        */
#define PE_PCS_PORTO_SANTO_1936_UTM_28N                        2942
/*      Sao Braz UTM Zone 26N                                                */
#define PE_PCS_SAO_BRAZ_UTM_26N                              102168
/*      Selvagem Grande 1938 UTM Zone 28N                                    */
#define PE_PCS_SELVAGEM_GRANDE_1938_UTM_28N                    2943

/*      Victoria Grid                                                        */
#define PE_PCS_AGD_1966_VICGRID                                3110
/*      Victoria Grid 1994                                                   */
#define PE_PCS_GDA_1994_VICGRID94                              3111
/*      South Australia Lambert                                              */
#define PE_PCS_GDA_1994_SOUTH_AUSTRALIA                        3107

/*      NAD 1927 10TM AEP Forest                                             */
#define PE_PCS_NAD_1927_10TM_AEP_FOREST                      102178
/*      NAD 1927 10TM AEP Resource                                           */
#define PE_PCS_NAD_1927_10TM_AEP_RESOURCE                    102179
/*      NAD 1927 3TM (cm 111)                                                */
#define PE_PCS_NAD_1927_3TM_111                                3771
/*      NAD 1927 3TM (cm 114)                                                */
#define PE_PCS_NAD_1927_3TM_114                                3772
/*      NAD 1927 3TM (cm 117)                                                */
#define PE_PCS_NAD_1927_3TM_117                                3773
/*      NAD 1927 3TM (cm 120)                                                */
#define PE_PCS_NAD_1927_3TM_120                                3800
/*      NAD 1983 10TM AEP Forest                                             */
#define PE_PCS_NAD_1983_10TM_AEP_FOREST                        3400
/*      NAD 1983 10TM AEP Resource                                           */
#define PE_PCS_NAD_1983_10TM_AEP_RESOURCE                      3401
/*      NAD 1983 3TM (cm 111)                                                */
#define PE_PCS_NAD_1983_3TM_111                                3775
/*      NAD 1983 3TM (cm 114)                                                */
#define PE_PCS_NAD_1983_3TM_114                                3776
/*      NAD 1983 3TM (cm 117)                                                */
#define PE_PCS_NAD_1983_3TM_117                                3777
/*      NAD 1983 3TM (cm 120)                                                */
#define PE_PCS_NAD_1983_3TM_120                                3801
/*      BC Environment Albers                                                */
#define PE_PCS_NAD_1983_BC_ENVIRONMENT_ALBERS                  3005

/*      Merchich (degrees) Nord Maroc                                        */
#define PE_PCS_MERCHICH_DEGREE_NORD_MAROC                    102191
/*      Merchich (degrees) Sud Maroc                                         */
#define PE_PCS_MERCHICH_DEGREE_SUD_MAROC                     102192
/*      Merchich (degrees) Sahara                                            */
#define PE_PCS_MERCHICH_DEGREE_SAHARA                        102193

/*      ETRF 1989 Poland 1992                                                */
#define PE_PCS_UWPP_1992                                     102194
/*      ETRF 1989 Poland zone 5                                              */
#define PE_PCS_UWPP_2000_PAS_5                               102195
/*      ETRF 1989 Poland zone 6                                              */
#define PE_PCS_UWPP_2000_PAS_6                               102196
/*      ETRF 1989 Poland zone 7                                              */
#define PE_PCS_UWPP_2000_PAS_7                               102197
/*      ETRF 1989 Poland zone 8                                              */
#define PE_PCS_UWPP_2000_PAS_8                               102198

/*      NAD 1983 (HARN) UTM zone 2S                                          */
#define PE_PCS_NAD_1983_HARN_UTM_2S                            2195

/*      NAD 1983 (HARN) Guam Map Grid                                        */
#define PE_PCS_NAD_1983_HARN_GUAM_MAP_GRID                   102201

/* NAD 1983 HARN State Plane Coordinate System (in Meters)                   */
/*      NAD 1983 HARN SPCS Alabama East                                      */
#define PE_PCS_NAD_1983_HARN_AL_E                              2759
/*      NAD 1983 HARN SPCS Alabama West                                      */
#define PE_PCS_NAD_1983_HARN_AL_W                              2760
/*      NAD 1983 HARN SPCS Arizona East                                      */
#define PE_PCS_NAD_1983_HARN_AZ_E                              2761
/*      NAD 1983 HARN SPCS Arizona Central                                   */
#define PE_PCS_NAD_1983_HARN_AZ_C                              2762
/*      NAD 1983 HARN SPCS Arizona West                                      */
#define PE_PCS_NAD_1983_HARN_AZ_W                              2763
/*      NAD 1983 HARN Zone Arkansas North                                    */
#define PE_PCS_NAD_1983_HARN_AR_N                              2764
/*      NAD 1983 HARN Zone Arkansas South                                    */
#define PE_PCS_NAD_1983_HARN_AR_S                              2765
/*      NAD 1983 HARN SPCS California I                                      */
#define PE_PCS_NAD_1983_HARN_CA_I                              2766
/*      NAD 1983 HARN SPCS California II                                     */
#define PE_PCS_NAD_1983_HARN_CA_II                             2767
/*      NAD 1983 HARN SPCS California III                                    */
#define PE_PCS_NAD_1983_HARN_CA_III                            2768
/*      NAD 1983 HARN SPCS California IV                                     */
#define PE_PCS_NAD_1983_HARN_CA_IV                             2769
/*      NAD 1983 HARN SPCS California V                                      */
#define PE_PCS_NAD_1983_HARN_CA_V                              2770
/*      NAD 1983 HARN SPCS California VI                                     */
#define PE_PCS_NAD_1983_HARN_CA_VI                             2771
/*      NAD 1983 HARN SPCS Colorado North                                    */
#define PE_PCS_NAD_1983_HARN_CO_N                              2772
/*      NAD 1983 HARN SPCS Colorado Central                                  */
#define PE_PCS_NAD_1983_HARN_CO_C                              2773
/*      NAD 1983 HARN SPCS Colorado South                                    */
#define PE_PCS_NAD_1983_HARN_CO_S                              2774
/*      NAD 1983 HARN SPCS Connecticut                                       */
#define PE_PCS_NAD_1983_HARN_CT                                2775
/*      NAD 1983 HARN SPCS Delaware                                          */
#define PE_PCS_NAD_1983_HARN_DE                                2776
/*      NAD 1983 HARN SPCS Florida East                                      */
#define PE_PCS_NAD_1983_HARN_FL_E                              2777
/*      NAD 1983 HARN SPCS Florida West                                      */
#define PE_PCS_NAD_1983_HARN_FL_W                              2778
/*      NAD 1983 HARN SPCS Florida North                                     */
#define PE_PCS_NAD_1983_HARN_FL_N                              2779
/*      NAD 1983 HARN SPCS Georgia East                                      */
#define PE_PCS_NAD_1983_HARN_GA_E                              2780
/*      NAD 1983 HARN SPCS Georgia West                                      */
#define PE_PCS_NAD_1983_HARN_GA_W                              2781
/*      NAD 1983 HARN SPCS Hawaii Zone 1                                     */
#define PE_PCS_NAD_1983_HARN_HI_1                              2782
/*      NAD 1983 HARN SPCS Hawaii Zone 2                                     */
#define PE_PCS_NAD_1983_HARN_HI_2                              2783
/*      NAD 1983 HARN SPCS Hawaii Zone 3                                     */
#define PE_PCS_NAD_1983_HARN_HI_3                              2784
/*      NAD 1983 HARN SPCS Hawaii Zone 4                                     */
#define PE_PCS_NAD_1983_HARN_HI_4                              2785
/*      NAD 1983 HARN SPCS Hawaii Zone 5                                     */
#define PE_PCS_NAD_1983_HARN_HI_5                              2786
/*      NAD 1983 HARN SPCS Idaho East                                        */
#define PE_PCS_NAD_1983_HARN_ID_E                              2787
/*      NAD 1983 HARN SPCS Idaho Central                                     */
#define PE_PCS_NAD_1983_HARN_ID_C                              2788
/*      NAD 1983 HARN SPCS Idaho West                                        */
#define PE_PCS_NAD_1983_HARN_ID_W                              2789
/*      NAD 1983 HARN SPCS Illinois East                                     */
#define PE_PCS_NAD_1983_HARN_IL_E                              2790
/*      NAD 1983 HARN SPCS Illinois West                                     */
#define PE_PCS_NAD_1983_HARN_IL_W                              2791
/*      NAD 1983 HARN SPCS Indiana East                                      */
#define PE_PCS_NAD_1983_HARN_IN_E                              2792
/*      NAD 1983 HARN SPCS Indiana West                                      */
#define PE_PCS_NAD_1983_HARN_IN_W                              2793
/*      NAD 1983 HARN SPCS Iowa North                                        */
#define PE_PCS_NAD_1983_HARN_IA_N                              2794
/*      NAD 1983 HARN SPCS Iowa South                                        */
#define PE_PCS_NAD_1983_HARN_IA_S                              2795
/*      NAD 1983 HARN SPCS Kansas North                                      */
#define PE_PCS_NAD_1983_HARN_KS_N                              2796
/*      NAD 1983 HARN SPCS Kansas South                                      */
#define PE_PCS_NAD_1983_HARN_KS_S                              2797
/*      NAD 1983 HARN SPCS Kentucky North                                    */
#define PE_PCS_NAD_1983_HARN_KY_N                              2798
/*      NAD 1983 HARN SPCS Kentucky South                                    */
#define PE_PCS_NAD_1983_HARN_KY_S                              2799
/*      NAD 1983 HARN SPCS Louisiana North                                   */
#define PE_PCS_NAD_1983_HARN_LA_N                              2800
/*      NAD 1983 HARN SPCS Louisiana South                                   */
#define PE_PCS_NAD_1983_HARN_LA_S                              2801
/*      NAD 1983 HARN SPCS Maine East                                        */
#define PE_PCS_NAD_1983_HARN_ME_E                              2802
/*      NAD 1983 HARN SPCS Maine West                                        */
#define PE_PCS_NAD_1983_HARN_ME_W                              2803
/*      NAD 1983 HARN SPCS Maryland                                          */
#define PE_PCS_NAD_1983_HARN_MD                                2804
/*      NAD 1983 HARN SPCS Mass. Mainland                                    */
#define PE_PCS_NAD_1983_HARN_MA_M                              2805
/*      NAD 1983 HARN SPCS Mass. Island                                      */
#define PE_PCS_NAD_1983_HARN_MA_I                              2806
/*      NAD 1983 HARN SPCS Michigan North                                    */
#define PE_PCS_NAD_1983_HARN_MI_N                              2807
/*      NAD 1983 HARN SPCS Michigan Central                                  */
#define PE_PCS_NAD_1983_HARN_MI_C                              2808
/*      NAD 1983 HARN SPCS Michigan South                                    */
#define PE_PCS_NAD_1983_HARN_MI_S                              2809
/*      NAD 1983 HARN SPCS Minnesota North                                   */
#define PE_PCS_NAD_1983_HARN_MN_N                              2810
/*      NAD 1983 HARN SPCS Minnesota Central                                 */
#define PE_PCS_NAD_1983_HARN_MN_C                              2811
/*      NAD 1983 HARN SPCS Minnesota South                                   */
#define PE_PCS_NAD_1983_HARN_MN_S                              2812
/*      NAD 1983 HARN SPCS Mississippi East                                  */
#define PE_PCS_NAD_1983_HARN_MS_E                              2813
/*      NAD 1983 HARN SPCS Mississippi West                                  */
#define PE_PCS_NAD_1983_HARN_MS_W                              2814
/*      NAD 1983 HARN SPCS Missouri East                                     */
#define PE_PCS_NAD_1983_HARN_MO_E                              2815
/*      NAD 1983 HARN SPCS Missouri Central                                  */
#define PE_PCS_NAD_1983_HARN_MO_C                              2816
/*      NAD 1983 HARN SPCS Missouri West                                     */
#define PE_PCS_NAD_1983_HARN_MO_W                              2817
/*      NAD 1983 HARN SPCS Montana                                           */
#define PE_PCS_NAD_1983_HARN_MT                                2818
/*      NAD 1983 HARN SPCS Nebraska                                          */
#define PE_PCS_NAD_1983_HARN_NE                                2819
/*      NAD 1983 HARN SPCS Nevada East                                       */
#define PE_PCS_NAD_1983_HARN_NV_E                              2820
/*      NAD 1983 HARN SPCS Nevada Central                                    */
#define PE_PCS_NAD_1983_HARN_NV_C                              2821
/*      NAD 1983 HARN SPCS Nevada West                                       */
#define PE_PCS_NAD_1983_HARN_NV_W                              2822
/*      NAD 1983 HARN SPCS New Hampshire                                     */
#define PE_PCS_NAD_1983_HARN_NH                                2823
/*      NAD 1983 HARN SPCS New Jersey                                        */
#define PE_PCS_NAD_1983_HARN_NJ                                2824
/*      NAD 1983 HARN SPCS New Mexico East                                   */
#define PE_PCS_NAD_1983_HARN_NM_E                              2825
/*      NAD 1983 HARN SPCS New Mexico Cent.                                  */
#define PE_PCS_NAD_1983_HARN_NM_C                              2826
/*      NAD 1983 HARN SPCS New Mexico West                                   */
#define PE_PCS_NAD_1983_HARN_NM_W                              2827
/*      NAD 1983 HARN SPCS New York East                                     */
#define PE_PCS_NAD_1983_HARN_NY_E                              2828
/*      NAD 1983 HARN SPCS New York Central                                  */
#define PE_PCS_NAD_1983_HARN_NY_C                              2829
/*      NAD 1983 HARN SPCS New York West                                     */
#define PE_PCS_NAD_1983_HARN_NY_W                              2830
/*      NAD 1983 HARN SPCS NY Long Island                                    */
#define PE_PCS_NAD_1983_HARN_NY_LI                             2831
/*      NAD 1983 HARN SPCS North Dakota N                                    */
#define PE_PCS_NAD_1983_HARN_ND_N                              2832
/*      NAD 1983 HARN SPCS North Dakota S                                    */
#define PE_PCS_NAD_1983_HARN_ND_S                              2833
/*      NAD 1983 HARN SPCS Ohio North                                        */
#define PE_PCS_NAD_1983_HARN_OH_N                              2834
/*      NAD 1983 HARN SPCS Ohio South                                        */
#define PE_PCS_NAD_1983_HARN_OH_S                              2835
/*      NAD 1983 HARN SPCS Oklahoma North                                    */
#define PE_PCS_NAD_1983_HARN_OK_N                              2836
/*      NAD 1983 HARN SPCS Oklahoma South                                    */
#define PE_PCS_NAD_1983_HARN_OK_S                              2837
/*      NAD 1983 HARN SPCS Oregon North                                      */
#define PE_PCS_NAD_1983_HARN_OR_N                              2838
/*      NAD 1983 HARN SPCS Oregon South                                      */
#define PE_PCS_NAD_1983_HARN_OR_S                              2839
/*      NAD 1983 HARN SPCS Rhode Island                                      */
#define PE_PCS_NAD_1983_HARN_RI                                2840
/*      NAD 1983 HARN SPCS South Dakota N                                    */
#define PE_PCS_NAD_1983_HARN_SD_N                              2841
/*      NAD 1983 HARN SPCS South Dakota S                                    */
#define PE_PCS_NAD_1983_HARN_SD_S                              2842
/*      NAD 1983 HARN SPCS Tennessee                                         */
#define PE_PCS_NAD_1983_HARN_TN                                2843
/*      NAD 1983 HARN SPCS Texas North                                       */
#define PE_PCS_NAD_1983_HARN_TX_N                              2844
/*      NAD 1983 HARN SPCS Texas North Cent.                                 */
#define PE_PCS_NAD_1983_HARN_TX_NC                             2845
/*      NAD 1983 HARN SPCS Texas Central                                     */
#define PE_PCS_NAD_1983_HARN_TX_C                              2846
/*      NAD 1983 HARN SPCS Texas South Cent.                                 */
#define PE_PCS_NAD_1983_HARN_TX_SC                             2847
/*      NAD 1983 HARN SPCS Texas South                                       */
#define PE_PCS_NAD_1983_HARN_TX_S                              2848
/*      NAD 1983 HARN SPCS Utah North                                        */
#define PE_PCS_NAD_1983_HARN_UT_N                              2849
/*      NAD 1983 HARN SPCS Utah Central                                      */
#define PE_PCS_NAD_1983_HARN_UT_C                              2850
/*      NAD 1983 HARN SPCS Utah South                                        */
#define PE_PCS_NAD_1983_HARN_UT_S                              2851
/*      NAD 1983 HARN SPCS Vermont                                           */
#define PE_PCS_NAD_1983_HARN_VT                                2852
/*      NAD 1983 HARN SPCS Virginia North                                    */
#define PE_PCS_NAD_1983_HARN_VA_N                              2853
/*      NAD 1983 HARN SPCS Virginia South                                    */
#define PE_PCS_NAD_1983_HARN_VA_S                              2854
/*      NAD 1983 HARN SPCS Washington North                                  */
#define PE_PCS_NAD_1983_HARN_WA_N                              2855
/*      NAD 1983 HARN SPCS Washington South                                  */
#define PE_PCS_NAD_1983_HARN_WA_S                              2856
/*      NAD 1983 HARN SPCS West Virginia N                                   */
#define PE_PCS_NAD_1983_HARN_WV_N                              2857
/*      NAD 1983 HARN SPCS West Virginia S                                   */
#define PE_PCS_NAD_1983_HARN_WV_S                              2858
/*      NAD 1983 HARN SPCS Wisconsin North                                   */
#define PE_PCS_NAD_1983_HARN_WI_N                              2859
/*      NAD 1983 HARN SPCS Wisconsin Central                                 */
#define PE_PCS_NAD_1983_HARN_WI_C                              2860
/*      NAD 1983 HARN SPCS Wisconsin South                                   */
#define PE_PCS_NAD_1983_HARN_WI_S                              2861
/*      NAD 1983 HARN SPCS Wyoming I East                                    */
#define PE_PCS_NAD_1983_HARN_WY_E                              2862
/*      NAD 1983 HARN SPCS Wyoming II EC                                     */
#define PE_PCS_NAD_1983_HARN_WY_EC                             2863
/*      NAD 1983 HARN SPCS Wyoming III WC                                    */
#define PE_PCS_NAD_1983_HARN_WY_WC                             2864
/*      NAD 1983 HARN SPCS Wyoming IV West                                   */
#define PE_PCS_NAD_1983_HARN_WY_W                              2865
/*      NAD 1983 HARN SPCS PR & St. Croix                                    */
#define PE_PCS_NAD_1983_HARN_PR_VI                             2866
/*      NAD 1983 HARN SPCS Kentucky (one zone)                               */
#define PE_PCS_NAD_1983_HARN_KY                                3090

/*      Voirol 1875 (degrees) Nord Algerie Ancienne                          */
#define PE_PCS_VOIROL_DEGREE_N_ALGERIE_ANCIENNE              102491
/*      Voirol 1875 (degrees) Sud Algerie Ancienne                           */
#define PE_PCS_VOIROL_DEGREE_S_ALGERIE_ANCIENNE              102492

/*      NTF France I (degrees)                                               */
#define PE_PCS_NTF_FRANCE_I_DEG                              102581
/*      NTF France II (degrees)                                              */
#define PE_PCS_NTF_FRANCE_II_DEG                             102582
/*      NTF France III (degrees)                                             */
#define PE_PCS_NTF_FRANCE_III_DEG                            102583
/*      NTF France IV (degrees)                                              */
#define PE_PCS_NTF_FRANCE_IV_DEG                             102584

/*      Voirol Unifie (degrees) Nord Algerie                                 */
#define PE_PCS_VOIROL_UNIFIE_DEGREE_N_ALGERIE                102591
/*      Voirol Unifie (degrees) Sud Algerie                                  */
#define PE_PCS_VOIROL_UNIFIE_DEGREE_S_ALGERIE                102592

/* NAD 1983 State Plane Coordinate System (in US Survey Feet)                */
/*      NAD 1983 SPCS Alabama East (Feet)                                    */
#define PE_PCS_NAD_1983_AL_E_FT                              102629
/*      NAD 1983 SPCS Alabama West (Feet)                                    */
#define PE_PCS_NAD_1983_AL_W_FT                              102630
/*      NAD 1983 SPCS Alaska 1 (Feet)                                        */
#define PE_PCS_NAD_1983_AK_1_FT                              102631
/*      NAD 1983 SPCS Alaska 2 (Feet)                                        */
#define PE_PCS_NAD_1983_AK_2_FT                              102632
/*      NAD 1983 SPCS Alaska 3 (Feet)                                        */
#define PE_PCS_NAD_1983_AK_3_FT                              102633
/*      NAD 1983 SPCS Alaska 4 (Feet)                                        */
#define PE_PCS_NAD_1983_AK_4_FT                              102634
/*      NAD 1983 SPCS Alaska 5 (Feet)                                        */
#define PE_PCS_NAD_1983_AK_5_FT                              102635
/*      NAD 1983 SPCS Alaska 6 (Feet)                                        */
#define PE_PCS_NAD_1983_AK_6_FT                              102636
/*      NAD 1983 SPCS Alaska 7 (Feet)                                        */
#define PE_PCS_NAD_1983_AK_7_FT                              102637
/*      NAD 1983 SPCS Alaska 8 (Feet)                                        */
#define PE_PCS_NAD_1983_AK_8_FT                              102638
/*      NAD 1983 SPCS Alaska 9 (Feet)                                        */
#define PE_PCS_NAD_1983_AK_9_FT                              102639
/*      NAD 1983 SPCS Alaska 10 (Feet)                                       */
#define PE_PCS_NAD_1983_AK_10_FT                             102640
/*      NAD 1983 SPCS Arizona East (Feet)                                    */
#define PE_PCS_NAD_1983_AZ_E_FT                              102648
/*      NAD 1983 SPCS Arizona Central (Feet)                                 */
#define PE_PCS_NAD_1983_AZ_C_FT                              102649
/*      NAD 1983 SPCS Arizona West (Feet)                                    */
#define PE_PCS_NAD_1983_AZ_W_FT                              102650
/*      NAD 1983 SPCS Arkansas North (Feet)                                  */
#define PE_PCS_NAD_1983_AR_N_FT                                3433
/*      NAD 1983 SPCS Arkansas South (Feet)                                  */
#define PE_PCS_NAD_1983_AR_S_FT                                3434
/*      NAD 1983 SPCS California I (Feet)                                    */
#define PE_PCS_NAD_1983_CA_I_FT                                2225
/*      NAD 1983 SPCS California II (Feet)                                   */
#define PE_PCS_NAD_1983_CA_II_FT                               2226
/*      NAD 1983 SPCS California III (Feet)                                  */
#define PE_PCS_NAD_1983_CA_III_FT                              2227
/*      NAD 1983 SPCS California IV (Feet)                                   */
#define PE_PCS_NAD_1983_CA_IV_FT                               2228
/*      NAD 1983 SPCS California V (Feet)                                    */
#define PE_PCS_NAD_1983_CA_V_FT                                2229
/*      NAD 1983 SPCS California VI (Feet)                                   */
#define PE_PCS_NAD_1983_CA_VI_FT                               2230
/*      NAD 1983 SPCS Colorado North (Feet)                                  */
#define PE_PCS_NAD_1983_CO_N_FT                                2231
/*      NAD 1983 SPCS Colorado Central (Feet)                                */
#define PE_PCS_NAD_1983_CO_C_FT                                2232
/*      NAD 1983 SPCS Colorado South (Feet)                                  */
#define PE_PCS_NAD_1983_CO_S_FT                                2233
/*      NAD 1983 SPCS Connecticut (Feet)                                     */
#define PE_PCS_NAD_1983_CT_FT                                  2234
/*      NAD 1983 SPCS Delaware (Feet)                                        */
#define PE_PCS_NAD_1983_DE_FT                                  2235
/*      NAD 1983 SPCS Florida East (Feet)                                    */
#define PE_PCS_NAD_1983_FL_E_FT                                2236
/*      NAD 1983 SPCS Florida West (Feet)                                    */
#define PE_PCS_NAD_1983_FL_W_FT                                2237
/*      NAD 1983 SPCS Florida North (Feet)                                   */
#define PE_PCS_NAD_1983_FL_N_FT                                2238
/*      NAD 1983 SPCS Georgia East (Feet)                                    */
#define PE_PCS_NAD_1983_GA_E_FT                                2239
/*      NAD 1983 SPCS Georgia West (Feet)                                    */
#define PE_PCS_NAD_1983_GA_W_FT                                2240
/*      NAD 1983 SPCS Hawaii Zone 1 (Feet)                                   */
#define PE_PCS_NAD_1983_HI_1_FT                              102661
/*      NAD 1983 SPCS Hawaii Zone 2 (Feet)                                   */
#define PE_PCS_NAD_1983_HI_2_FT                              102662
/*      NAD 1983 SPCS Hawaii Zone 3 (Feet)                                   */
#define PE_PCS_NAD_1983_HI_3_FT                                3759
/*      NAD 1983 SPCS Hawaii Zone 4 (Feet)                                   */
#define PE_PCS_NAD_1983_HI_4_FT                              102664
/*      NAD 1983 SPCS Hawaii Zone 5 (Feet)                                   */
#define PE_PCS_NAD_1983_HI_5_FT                              102665
/*      NAD 1983 SPCS Idaho East (Feet)                                      */
#define PE_PCS_NAD_1983_ID_E_FT                                2241
/*      NAD 1983 SPCS Idaho Central (Feet)                                   */
#define PE_PCS_NAD_1983_ID_C_FT                                2242
/*      NAD 1983 SPCS Idaho West (Feet)                                      */
#define PE_PCS_NAD_1983_ID_W_FT                                2243
/*      NAD 1983 SPCS Illinois East (Feet)                                   */
#define PE_PCS_NAD_1983_IL_E_FT                                3435
/*      NAD 1983 SPCS Illinois West (Feet)                                   */
#define PE_PCS_NAD_1983_IL_W_FT                                3436
/*      NAD 1983 SPCS Indiana East (Feet)                                    */
#define PE_PCS_NAD_1983_IN_E_FT                                2965
/*      NAD 1983 SPCS Indiana West (Feet)                                    */
#define PE_PCS_NAD_1983_IN_W_FT                                2966
/*      NAD 1983 SPCS Iowa North (Feet)                                      */
#define PE_PCS_NAD_1983_IA_N_FT                                3417
/*      NAD 1983 SPCS Iowa South (Feet)                                      */
#define PE_PCS_NAD_1983_IA_S_FT                                3418
/*      NAD 1983 SPCS Kansas North (Feet)                                    */
#define PE_PCS_NAD_1983_KS_N_FT                                3419
/*      NAD 1983 SPCS Kansas South (Feet)                                    */
#define PE_PCS_NAD_1983_KS_S_FT                                3420
/*      NAD 1983 SPCS Kentucky North (Feet)                                  */
#define PE_PCS_NAD_1983_KY_N_FT                                2246
/*      NAD 1983 SPCS Kentucky South (Feet)                                  */
#define PE_PCS_NAD_1983_KY_S_FT                                2247
/*      NAD 1983 SPCS Louisiana North (Feet)                                 */
#define PE_PCS_NAD_1983_LA_N_FT                                3451
/*      NAD 1983 SPCS Louisiana South (Feet)                                 */
#define PE_PCS_NAD_1983_LA_S_FT                                3452
/*      NAD 1983 SPCS Maine East (Feet)                                      */
#define PE_PCS_NAD_1983_ME_E_FT                               26847
/*      NAD 1983 SPCS Maine West (Feet)                                      */
#define PE_PCS_NAD_1983_ME_W_FT                               26848
/*      NAD 1983 SPCS Maryland (Feet)                                        */
#define PE_PCS_NAD_1983_MD_FT                                  2248
/*      NAD 1983 SPCS Mass. Mainland (Feet)                                  */
#define PE_PCS_NAD_1983_MA_M_FT                                2249
/*      NAD 1983 SPCS Mass. Island (Feet)                                    */
#define PE_PCS_NAD_1983_MA_I_FT                                2250
/*      NAD 1983 SPCS Michigan North (Feet)                                  */
#define PE_PCS_NAD_1983_MI_N_FT                              102688
/*      NAD 1983 SPCS Michigan Central (Feet)                                */
#define PE_PCS_NAD_1983_MI_C_FT                              102689
/*      NAD 1983 SPCS Michigan South (Feet)                                  */
#define PE_PCS_NAD_1983_MI_S_FT                              102690
/*      NAD 1983 SPCS Minnesota North (Feet)                                 */
#define PE_PCS_NAD_1983_MN_N_FT                               26849
/*      NAD 1983 SPCS Minnesota Central (Feet)                               */
#define PE_PCS_NAD_1983_MN_C_FT                               26850
/*      NAD 1983 SPCS Minnesota South (Feet)                                 */
#define PE_PCS_NAD_1983_MN_S_FT                               26851
/*      NAD 1983 SPCS Mississippi East (Feet)                                */
#define PE_PCS_NAD_1983_MS_E_FT                                2254
/*      NAD 1983 SPCS Mississippi West (Feet)                                */
#define PE_PCS_NAD_1983_MS_W_FT                                2255
/*      NAD 1983 SPCS Missouri East (Feet)                                   */
#define PE_PCS_NAD_1983_MO_E_FT                              102696
/*      NAD 1983 SPCS Missouri Central (Feet)                                */
#define PE_PCS_NAD_1983_MO_C_FT                              102697
/*      NAD 1983 SPCS Missouri West (Feet)                                   */
#define PE_PCS_NAD_1983_MO_W_FT                              102698
/*      NAD 1983 SPCS Montana (Feet)                                         */
#define PE_PCS_NAD_1983_MT_FT                                102700
/*      NAD 1983 SPCS Nebraska (Feet)                                        */
#define PE_PCS_NAD_1983_NE_FT                                 26852
/*      NAD 1983 SPCS Nevada East (Feet)                                     */
#define PE_PCS_NAD_1983_NV_E_FT                                3421
/*      NAD 1983 SPCS Nevada Central (Feet)                                  */
#define PE_PCS_NAD_1983_NV_C_FT                                3422
/*      NAD 1983 SPCS Nevada West (Feet)                                     */
#define PE_PCS_NAD_1983_NV_W_FT                                3423
/*      NAD 1983 SPCS New Hampshire (Feet)                                   */
#define PE_PCS_NAD_1983_NH_FT                                  3437
/*      NAD 1983 SPCS New Jersey (Feet)                                      */
#define PE_PCS_NAD_1983_NJ_FT                                  3424
/*      NAD 1983 SPCS New Mexico East (Feet)                                 */
#define PE_PCS_NAD_1983_NM_E_FT                                2257
/*      NAD 1983 SPCS New Mexico Cent. (Feet)                                */
#define PE_PCS_NAD_1983_NM_C_FT                                2258
/*      NAD 1983 SPCS New Mexico West (Feet)                                 */
#define PE_PCS_NAD_1983_NM_W_FT                                2259
/*      NAD 1983 SPCS New York East (Feet)                                   */
#define PE_PCS_NAD_1983_NY_E_FT                                2260
/*      NAD 1983 SPCS New York Central (Feet)                                */
#define PE_PCS_NAD_1983_NY_C_FT                                2261
/*      NAD 1983 SPCS New York West (Feet)                                   */
#define PE_PCS_NAD_1983_NY_W_FT                                2262
/*      NAD 1983 SPCS NY Long Island (Feet)                                  */
#define PE_PCS_NAD_1983_NY_LI_FT                               2263
/*      NAD 1983 SPCS North Carolina (Feet)                                  */
#define PE_PCS_NAD_1983_NC_FT                                  2264
/*      NAD 1983 SPCS North Dakota N (Feet)                                  */
#define PE_PCS_NAD_1983_ND_N_FT                              102720
/*      NAD 1983 SPCS North Dakota S (Feet)                                  */
#define PE_PCS_NAD_1983_ND_S_FT                              102721
/*      NAD 1983 SPCS Ohio North (Feet)                                      */
#define PE_PCS_NAD_1983_OH_N_FT                                3734
/*      NAD 1983 SPCS Ohio South (Feet)                                      */
#define PE_PCS_NAD_1983_OH_S_FT                                3735
/*      NAD 1983 SPCS Oklahoma North (Feet)                                  */
#define PE_PCS_NAD_1983_OK_N_FT                                2267
/*      NAD 1983 SPCS Oklahoma South (Feet)                                  */
#define PE_PCS_NAD_1983_OK_S_FT                                2268
/*      NAD 1983 SPCS Oregon North (Feet)                                    */
#define PE_PCS_NAD_1983_OR_N_FT                              102726
/*      NAD 1983 SPCS Oregon South (Feet)                                    */
#define PE_PCS_NAD_1983_OR_S_FT                              102727
/*      NAD 1983 SPCS Pennsylvania N (Feet)                                  */
#define PE_PCS_NAD_1983_PA_N_FT                                2271
/*      NAD 1983 SPCS Pennsylvania S (Feet)                                  */
#define PE_PCS_NAD_1983_PA_S_FT                                2272
/*      NAD 1983 SPCS Rhode Island (Feet)                                    */
#define PE_PCS_NAD_1983_RI_FT                                  3438
/*      NAD 1983 SPCS South Carolina (Feet)                                  */
#define PE_PCS_NAD_1983_SC_FT                                102733
/*      NAD 1983 SPCS South Dakota N (Feet)                                  */
#define PE_PCS_NAD_1983_SD_N_FT                                3454
/*      NAD 1983 SPCS South Dakota S (Feet)                                  */
#define PE_PCS_NAD_1983_SD_S_FT                                3455
/*      NAD 1983 SPCS Tennessee (Feet)                                       */
#define PE_PCS_NAD_1983_TN_FT                                  2274
/*      NAD 1983 SPCS Texas North (Feet)                                     */
#define PE_PCS_NAD_1983_TX_N_FT                                2275
/*      NAD 1983 SPCS Texas North Cent. (Feet)                               */
#define PE_PCS_NAD_1983_TX_NC_FT                               2276
/*      NAD 1983 SPCS Texas Central (Feet)                                   */
#define PE_PCS_NAD_1983_TX_C_FT                                2277
/*      NAD 1983 SPCS Texas South Cent. (Feet)                               */
#define PE_PCS_NAD_1983_TX_SC_FT                               2278
/*      NAD 1983 SPCS Texas South (Feet)                                     */
#define PE_PCS_NAD_1983_TX_S_FT                                2279
/*      NAD 1983 SPCS Utah North (Feet)                                      */
#define PE_PCS_NAD_1983_UT_N_FT                                3560
/*      NAD 1983 SPCS Utah Central (Feet)                                    */
#define PE_PCS_NAD_1983_UT_C_FT                                3566
/*      NAD 1983 SPCS Utah South (Feet)                                      */
#define PE_PCS_NAD_1983_UT_S_FT                                3567
/*      NAD 1983 SPCS Vermont (Feet)                                         */
#define PE_PCS_NAD_1983_VT_FT                                102745
/*      NAD 1983 SPCS Virginia North (Feet)                                  */
#define PE_PCS_NAD_1983_VA_N_FT                                2283
/*      NAD 1983 SPCS Virginia South (Feet)                                  */
#define PE_PCS_NAD_1983_VA_S_FT                                2284
/*      NAD 1983 SPCS Washington North (Feet)                                */
#define PE_PCS_NAD_1983_WA_N_FT                                2285
/*      NAD 1983 SPCS Washington South (Feet)                                */
#define PE_PCS_NAD_1983_WA_S_FT                                2286
/*      NAD 1983 SPCS West Virginia N (Feet)                                 */
#define PE_PCS_NAD_1983_WV_N_FT                               26853
/*      NAD 1983 SPCS West Virginia S (Feet)                                 */
#define PE_PCS_NAD_1983_WV_S_FT                               26854
/*      NAD 1983 SPCS Wisconsin North (Feet)                                 */
#define PE_PCS_NAD_1983_WI_N_FT                                2287
/*      NAD 1983 SPCS Wisconsin Central (Feet)                               */
#define PE_PCS_NAD_1983_WI_C_FT                                2288
/*      NAD 1983 SPCS Wisconsin South (Feet)                                 */
#define PE_PCS_NAD_1983_WI_S_FT                                2289
/*      NAD 1983 SPCS Wyoming I East (Feet)                                  */
#define PE_PCS_NAD_1983_WY_E_FT                                3736
/*      NAD 1983 SPCS Wyoming II EC (Feet)                                   */
#define PE_PCS_NAD_1983_WY_EC_FT                               3737
/*      NAD 1983 SPCS Wyoming III WC (Feet)                                  */
#define PE_PCS_NAD_1983_WY_WC_FT                               3738
/*      NAD 1983 SPCS Wyoming IV West (Feet)                                 */
#define PE_PCS_NAD_1983_WY_W_FT                                3739
/*      NAD 1983 SPCS PR & St. Croix (Feet)                                  */
#define PE_PCS_NAD_1983_PR_VI_FT                             102761
/*      NAD 1983 SPCS Guam (Feet)                                            */
#define PE_PCS_NAD_1983_GU_FT                                102766
/*      NAD 1983 SPCS Kentucky (Feet) (one zone)                             */
#define PE_PCS_NAD_1983_KY_FT                                  3089


/* ------------------------------------------------------------------------- */
/* P R O J E C T E D   C O O R D I N A T E   S Y S T E M S                   */
/* (W O R L D W I D E)                                                       */
/* ------------------------------------------------------------------------- */

/*      Plate Carree                                                         */
#define PE_PCS_WORLD_PLATE_CARREE                             54001
/*      Equidistant Cyl.                                                     */
#define PE_PCS_WORLD_EQUIDISTANT_CYLINDRICAL                  54002
/*      Miller Cylindrical                                                   */
#define PE_PCS_WORLD_MILLER_CYLINDRICAL                       54003
/*      Mercator                                                             */
#define PE_PCS_WORLD_MERCATOR                                 54004
/*      Sinusoidal                                                           */
#define PE_PCS_WORLD_SINUSOIDAL                               54008
/*      Mollweide                                                            */
#define PE_PCS_WORLD_MOLLWEIDE                                54009
/*      Eckert VI                                                            */
#define PE_PCS_WORLD_ECKERT_VI                                54010
/*      Eckert V                                                             */
#define PE_PCS_WORLD_ECKERT_V                                 54011
/*      Eckert IV                                                            */
#define PE_PCS_WORLD_ECKERT_IV                                54012
/*      Eckert III                                                           */
#define PE_PCS_WORLD_ECKERT_III                               54013
/*      Eckert II                                                            */
#define PE_PCS_WORLD_ECKERT_II                                54014
/*      Eckert I                                                             */
#define PE_PCS_WORLD_ECKERT_I                                 54015
/*      Gall Stereographic                                                   */
#define PE_PCS_WORLD_GALL_STEREOGRAPHIC                       54016
/*      Behrmann                                                             */
#define PE_PCS_WORLD_BEHRMANN                                 54017
/*      Winkel I                                                             */
#define PE_PCS_WORLD_WINKEL_I                                 54018
/*      Winkel II                                                            */
#define PE_PCS_WORLD_WINKEL_II                                54019
/*      Polyconic                                                            */
#define PE_PCS_WORLD_POLYCONIC                                54021
/*      Quartic Authalic                                                     */
#define PE_PCS_WORLD_QUARTIC_AUTHALIC                         54022
/*      Loximuthal                                                           */
#define PE_PCS_WORLD_LOXIMUTHAL                               54023
/*      Bonne                                                                */
#define PE_PCS_WORLD_BONNE                                    54024
/*      Hotine                                                               */
#define PE_PCS_WORLD_HOTINE                                   54025
/*      Stereographic                                                        */
#define PE_PCS_WORLD_STEREOGRAPHIC                            54026
/*      Equidistant Conic                                                    */
#define PE_PCS_WORLD_EQUIDISTANT_CONIC                        54027
/*      Cassini                                                              */
#define PE_PCS_WORLD_CASSINI                                  54028
/*      Van der Grinten I                                                    */
#define PE_PCS_WORLD_VAN_DER_GRINTEN_I                        54029
/*      Robinson                                                             */
#define PE_PCS_WORLD_ROBINSON                                 54030
/*      Two-Point Equidistant                                                */
#define PE_PCS_WORLD_TWO_POINT_EQUIDISTANT                    54031
/*      Azimuthal Equidistant                                                */
#define PE_PCS_WORLD_AZIMUTHAL_EQUIDISTANT                    54032
/*      Cylindrical Equal Area                                               */
#define PE_PCS_WORLD_CYLINDRICAL_EQAREA                       54034
/*      Winkel Tripel (NGS version)                                          */
#define PE_PCS_WORLD_WINKEL_TRIPEL_NGS                        54042
/*      Aitoff                                                               */
#define PE_PCS_WORLD_AITOFF                                   54043
/*      Hammer-Aitoff                                                        */
#define PE_PCS_WORLD_HAMMER_AITOFF                            54044
/*      Flat Polar Quartic                                                   */
#define PE_PCS_WORLD_FLAT_POLAR_QUARTIC                       54045
/*      Craster Parabolic                                                    */
#define PE_PCS_WORLD_CRASTER_PARABOLIC                        54046
/*      Times                                                                */
#define PE_PCS_WORLD_TIMES                                    54048
/*      Vertical Near-Side Perspective (Geosynchronous Orbit)                */
#define PE_PCS_WORLD_VERTICAL_PERSPECTIVE                     54049

/* ------------------------------------------------------------------------- */
/* P R O J E C T E D   C O O R D I N A T E   S Y S T E M S                   */
/* (S P H E R E   O N L Y)                                                   */
/* ------------------------------------------------------------------------- */

/*      Plate Carree                                                         */
#define PE_PCS_SPHERE_PLATE_CARREE                            53001
/*      Equidistant Cyl.                                                     */
#define PE_PCS_SPHERE_EQUIDISTANT_CYLINDRICAL                 53002
/*      Miller Cylindrical                                                   */
#define PE_PCS_SPHERE_MILLER_CYLINDRICAL                      53003
/*      Mercator                                                             */
#define PE_PCS_SPHERE_MERCATOR                                53004
/*      Sinusoidal                                                           */
#define PE_PCS_SPHERE_SINUSOIDAL                              53008
/*      Mollweide                                                            */
#define PE_PCS_SPHERE_MOLLWEIDE                               53009
/*      Eckert VI                                                            */
#define PE_PCS_SPHERE_ECKERT_VI                               53010
/*      Eckert V                                                             */
#define PE_PCS_SPHERE_ECKERT_V                                53011
/*      Eckert IV                                                            */
#define PE_PCS_SPHERE_ECKERT_IV                               53012
/*      Eckert III                                                           */
#define PE_PCS_SPHERE_ECKERT_III                              53013
/*      Eckert II                                                            */
#define PE_PCS_SPHERE_ECKERT_II                               53014
/*      Eckert I                                                             */
#define PE_PCS_SPHERE_ECKERT_I                                53015
/*      Gall Stereographic                                                   */
#define PE_PCS_SPHERE_GALL_STEREOGRAPHIC                      53016
/*      Behrmann                                                             */
#define PE_PCS_SPHERE_BEHRMANN                                53017
/*      Winkel I                                                             */
#define PE_PCS_SPHERE_WINKEL_I                                53018
/*      Winkel II                                                            */
#define PE_PCS_SPHERE_WINKEL_II                               53019
/*      Polyconic                                                            */
#define PE_PCS_SPHERE_POLYCONIC                               53021
/*      Quartic Authalic                                                     */
#define PE_PCS_SPHERE_QUARTIC_AUTHALIC                        53022
/*      Loximuthal                                                           */
#define PE_PCS_SPHERE_LOXIMUTHAL                              53023
/*      Bonne                                                                */
#define PE_PCS_SPHERE_BONNE                                   53024
/*      Hotine                                                               */
#define PE_PCS_SPHERE_HOTINE                                  53025
/*      Stereographic                                                        */
#define PE_PCS_SPHERE_STEREOGRAPHIC                           53026
/*      Equidistant Conic                                                    */
#define PE_PCS_SPHERE_EQUIDISTANT_CONIC                       53027
/*      Cassini                                                              */
#define PE_PCS_SPHERE_CASSINI                                 53028
/*      Van der Grinten I                                                    */
#define PE_PCS_SPHERE_VAN_DER_GRINTEN_I                       53029
/*      Robinson                                                             */
#define PE_PCS_SPHERE_ROBINSON                                53030
/*      Two-Point Equidistant                                                */
#define PE_PCS_SPHERE_TWO_POINT_EQUIDISTANT                   53031
/*      Azimuthal Equidistant                                                */
#define PE_PCS_SPHERE_AZIMUTHAL_EQUIDISTANT                   53032
/*      Cylindrical Equal Area                                               */
#define PE_PCS_SPHERE_CYLINDRICAL_EQAREA                      53034
/*      Winkel Tripel (NGS version)                                          */
#define PE_PCS_SPHERE_WINKEL_TRIPEL_NGS                       53042
/*      Aitoff                                                               */
#define PE_PCS_SPHERE_AITOFF                                  53043
/*      Hammer-Aitoff                                                        */
#define PE_PCS_SPHERE_HAMMER_AITOFF                           53044
/*      Flat Polar Quartic                                                   */
#define PE_PCS_SPHERE_FLAT_POLAR_QUARTIC                      53045
/*      Craster Parabolic                                                    */
#define PE_PCS_SPHERE_CRASTER_PARABOLIC                       53046
/*      Times                                                                */
#define PE_PCS_SPHERE_TIMES                                   53048
/*      Vertical Near-Side Perspective (Geosynchronous Orbit)                */
#define PE_PCS_SPHERE_VERTICAL_PERSPECTIVE                    53049

/* ------------------------------------------------------------------------- */
/* deprecated projcs macros                                                  */
/* ------------------------------------------------------------------------- */

#define PE_PCS_DABOLA_UTM_28N \
        PE_PCS_DABOLA_1981_UTM_28N

#define PE_PCS_DABOLA_UTM_29N \
        PE_PCS_DABOLA_1981_UTM_29N

#define PE_PCS_DOUALA_1948_AOF_WEST \
        PE_PCS_DOUALA_1948_AEF_WEST

#define PE_PCS_INDONESIAN_1974_UTM_46N \
        PE_PCS_ID_1974_UTM_46N

#define PE_PCS_INDONESIAN_1974_UTM_46S \
        PE_PCS_ID_1974_UTM_46S

#define PE_PCS_INDONESIAN_1974_UTM_47N \
        PE_PCS_ID_1974_UTM_47N

#define PE_PCS_INDONESIAN_1974_UTM_47S \
        PE_PCS_ID_1974_UTM_47S

#define PE_PCS_INDONESIAN_1974_UTM_48N \
        PE_PCS_ID_1974_UTM_48N

#define PE_PCS_INDONESIAN_1974_UTM_48S \
        PE_PCS_ID_1974_UTM_48S

#define PE_PCS_INDONESIAN_1974_UTM_49N \
        PE_PCS_ID_1974_UTM_49N

#define PE_PCS_INDONESIAN_1974_UTM_49S \
        PE_PCS_ID_1974_UTM_49S

#define PE_PCS_INDONESIAN_1974_UTM_50N \
        PE_PCS_ID_1974_UTM_50N

#define PE_PCS_INDONESIAN_1974_UTM_50S \
        PE_PCS_ID_1974_UTM_50S

#define PE_PCS_INDONESIAN_1974_UTM_51N \
        PE_PCS_ID_1974_UTM_51N

#define PE_PCS_INDONESIAN_1974_UTM_51S \
        PE_PCS_ID_1974_UTM_51S

#define PE_PCS_INDONESIAN_1974_UTM_52N \
        PE_PCS_ID_1974_UTM_52N

#define PE_PCS_INDONESIAN_1974_UTM_52S \
        PE_PCS_ID_1974_UTM_52S

#define PE_PCS_INDONESIAN_1974_UTM_53N \
        PE_PCS_ID_1974_UTM_53N

#define PE_PCS_INDONESIAN_1974_UTM_53S \
        PE_PCS_ID_1974_UTM_53S

#define PE_PCS_INDONESIAN_1974_UTM_54S \
        PE_PCS_ID_1974_UTM_54S

#define PE_PCS_K0_1949_UTM_42S \
        PE_PCS_KERGUELEN_ISLAND_1949_UTM_42S

#define PE_PCS_LIETUVOS_KOORDINACIU_SISTEMA \
        PE_PCS_LKS_1994_LITHUANIA_TM

#define PE_PCS_NAD_1983_CSRS98_MTM_10 \
        PE_PCS_NAD_1983_CSRS_MTM_10

#define PE_PCS_NAD_1983_CSRS98_MTM_2_SCOPQ \
        PE_PCS_NAD_1983_CSRS_MTM_2_SCOPQ

#define PE_PCS_NAD_1983_CSRS98_MTM_3 \
        PE_PCS_NAD_1983_CSRS_MTM_3

#define PE_PCS_NAD_1983_CSRS98_MTM_4 \
        PE_PCS_NAD_1983_CSRS_MTM_4

#define PE_PCS_NAD_1983_CSRS98_MTM_5 \
        PE_PCS_NAD_1983_CSRS_MTM_5

#define PE_PCS_NAD_1983_CSRS98_MTM_6 \
        PE_PCS_NAD_1983_CSRS_MTM_6

#define PE_PCS_NAD_1983_CSRS98_MTM_7 \
        PE_PCS_NAD_1983_CSRS_MTM_7

#define PE_PCS_NAD_1983_CSRS98_MTM_8 \
        PE_PCS_NAD_1983_CSRS_MTM_8

#define PE_PCS_NAD_1983_CSRS98_MTM_9 \
        PE_PCS_NAD_1983_CSRS_MTM_9

#define PE_PCS_NAD_1983_CSRS98_NEW_BRUNSWICK \
        PE_PCS_NAD_1983_CSRS_NEW_BRUNSWICK

#define PE_PCS_NAD_1983_CSRS98_PEI \
        PE_PCS_NAD_1983_CSRS_PEI

#define PE_PCS_NAD_1983_CSRS98_UTM_11N \
        PE_PCS_NAD_1983_CSRS_UTM_11N

#define PE_PCS_NAD_1983_CSRS98_UTM_12N \
        PE_PCS_NAD_1983_CSRS_UTM_12N

#define PE_PCS_NAD_1983_CSRS98_UTM_13N \
        PE_PCS_NAD_1983_CSRS_UTM_13N

#define PE_PCS_NAD_1983_CSRS98_UTM_14N \
        PE_PCS_NAD_1983_CSRS_UTM_14N

#define PE_PCS_NAD_1983_CSRS98_UTM_15N \
        PE_PCS_NAD_1983_CSRS_UTM_15N

#define PE_PCS_NAD_1983_CSRS98_UTM_16N \
        PE_PCS_NAD_1983_CSRS_UTM_16N

#define PE_PCS_NAD_1983_CSRS98_UTM_17N \
        PE_PCS_NAD_1983_CSRS_UTM_17N

#define PE_PCS_NAD_1983_CSRS98_UTM_18N \
        PE_PCS_NAD_1983_CSRS_UTM_18N

#define PE_PCS_NAD_1983_CSRS98_UTM_19N \
        PE_PCS_NAD_1983_CSRS_UTM_19N

#define PE_PCS_NAD_1983_CSRS98_UTM_20N \
        PE_PCS_NAD_1983_CSRS_UTM_20N

#define PE_PCS_NAD_1983_CSRS98_UTM_21N \
        PE_PCS_NAD_1983_CSRS_UTM_21N

#define PE_PCS_PITON_DES_NEIGES_TM_REUNION \
        PE_PCS_REUNION_1947_TM_REUNION

#define PE_PCS_TAHAA_UTM_5S \
        PE_PCS_TAHAA_1954_UTM_5S

#define PE_PCS_TAHITI_UTM_6S \
        PE_PCS_TAHITI_1952_UTM_6S


/* ------------------------------------------------------------------------- */
/* V E R T I C A L   C O O R D I N A T E   S Y S T E M S                     */
/* ------------------------------------------------------------------------- */

/* NEW VERTCS at 10.0 ---------------------------------                      */

/*      EGM2008 Geoid                                                        */
#define PE_VCS_EGM2008_GEOID                                 105790
/*      Fao 1979                                                             */
#define PE_VCS_FAO_1979                                      105791
/*      Croatian Vertical Reference System 1971                              */
#define PE_VCS_HVRS_1971                                       5610
/*      Caspian (height)                                                     */
#define PE_VCS_CASPIAN_HEIGHT                                  5611
/*      Baltic (depth)                                                       */
#define PE_VCS_BALTIC_DEPTH                                    5612
/*      KOC WD (depth - ft)                                                  */
#define PE_VCS_KOC_WD_DEPTH_FT                                 5614
/*      Rikets hojdsystem 1900                                               */
#define PE_VCS_RH1900                                          5615
/*      IGN 1988 LS                                                          */
#define PE_VCS_IGN_1988_LS                                     5616
/*      IGN 1988 MG                                                          */
#define PE_VCS_IGN_1988_MG                                     5617
/*      IGN 1992 LD                                                          */
#define PE_VCS_IGN_1992_LD                                     5618
/*      IGN 1988 SB                                                          */
#define PE_VCS_IGN_1988_SB                                     5619
/*      IGN 1988 SM                                                          */
#define PE_VCS_IGN_1988_SM                                     5620
/*      European Vertical Reference Frame 2007                               */
#define PE_VCS_EVRF_2007                                       5621

/*      NZVD2009                                                             */
#define PE_VCS_NZVD2009                                      105792
/*      N2000                                                                */
#define PE_VCS_N2000                                         105793
/*      Dunedin-Bluff 1960                                                   */
#define PE_VCS_DUNEDIN_BLUFF_1960                            105794

/* VERTCS 9.3 ------------------------                                       */

/*      Nivellement General de Polynesie Francaise                           */
#define PE_VCS_NGPF                                            5600
/*      IGN 1966                                                             */
#define PE_VCS_IGN_1966                                        5601
/*      Moorea SAU 1981                                                      */
#define PE_VCS_MOOREA_SAU_1981                                 5602
/*      Raiatea SAU 2001                                                     */
#define PE_VCS_RAIATEA_SAU_2001                                5603
/*      Maupiti SAU 2001                                                     */
#define PE_VCS_MAUPITI_SAU_2001                                5604
/*      Huahine SAU 2001                                                     */
#define PE_VCS_HUAHINE_SAU_2001                                5605
/*      Tahaa SAU 2001                                                       */
#define PE_VCS_TAHAA_SAU_2001                                  5606
/*      Bora Bora SAU 2001                                                   */
#define PE_VCS_BORA_BORA_SAU_2001                              5607
/*      IGLD 1955 (Int'l Great Lakes Datum 1955)                             */
#define PE_VCS_IGLD_1955                                       5608
/*      IGLD 1985 (Int'l Great Lakes Datum 1985)                             */
#define PE_VCS_IGLD_1985                                       5609
/*      RH2000 -- Rikets Hojdsystem 2000                                     */
#define PE_VCS_RH2000                                          5613
/*      Newlyn                                                               */
#define PE_VCS_NEWLYN                                          5701
/*      NGVD_1929 -- National Geodetic Vertical Datum of 1929                */
#define PE_VCS_NGVD_1929                                       5702
/*      NAVD_1988 -- North American Vertical Datum of 1988                   */
#define PE_VCS_NAVD_1988                                       5703
/*      Baltic                                                               */
#define PE_VCS_BALTIC                                          5705
/*      Caspian                                                              */
#define PE_VCS_CASPIAN                                         5706
/*      NAP -- Normaal Amsterdams Peil                                       */
#define PE_VCS_NAP                                             5709
/*      Oostende                                                             */
#define PE_VCS_OOSTENDE                                        5710
/*      AHD -- Australian Height Datum                                       */
#define PE_VCS_AHD                                             5711
/*      AHD_Tasmania -- Australian Height Datum (Tasmania)                   */
#define PE_VCS_AHD_TASMANIA                                    5712
/*      CGVD_1928 -- Canadian Geodetic Vertical Datum of 1928                */
#define PE_VCS_CGVD_1928                                       5713
/*      MSL_Height -- Mean Sea Level Height                                  */
#define PE_VCS_MSL_HEIGHT                                      5714
/*      MSL_Depth -- Mean Sea Level Depth                                    */
#define PE_VCS_MSL_DEPTH                                       5715
/*      Piraeus                                                              */
#define PE_VCS_PIRAEUS                                         5716
/*      N60                                                                  */
#define PE_VCS_N60                                             5717
/*      RH70 -- Rikets Hojdsystem 1970                                       */
#define PE_VCS_RH70                                            5718
/*      NGF Lallemand                                                        */
#define PE_VCS_NGF_LALLEMAND                                   5719
/*      NGF IGN69                                                            */
#define PE_VCS_NGF_IGN69                                       5720
/*      NGF IGN78                                                            */
#define PE_VCS_NGF_IGN78                                       5721
/*      Maputo                                                               */
#define PE_VCS_MAPUTO                                          5722
/*      Japanese Standard Levelling Datum 1949                               */
#define PE_VCS_JAPAN_STD_LEVEL_DATUM_1949                      5723
/*      PDO Height Datum 1993                                                */
#define PE_VCS_PDO_HEIGHT_DATUM_1993                           5724
/*      Fahud Height Datum 1993                                              */
#define PE_VCS_FAHUD_HEIGHT_DATUM_1993                         5725
/*      Ha Tien 1960                                                         */
#define PE_VCS_HA_TIEN_1960                                    5726
/*      Hon Dau 1992                                                         */
#define PE_VCS_HON_DAU_1992                                    5727
/*      LN_1902 -- Landesnivellement 1902                                    */
#define PE_VCS_LN_1902                                         5728
/*      LHN95 -- Landeshohennetz 1995                                        */
#define PE_VCS_LHN95                                           5729
/*      EVRS_2000 -- European Vertical Reference System 2000                 */
#define PE_VCS_EVRS_2000                                       5730
/*      Malin Head                                                           */
#define PE_VCS_MALIN_HEAD                                      5731
/*      Belfast                                                              */
#define PE_VCS_BELFAST                                         5732
/*      Dansk Normal Nul                                                     */
#define PE_VCS_DANSK_NORMAL_NUL                                5733
/*      AIOC95 depth                                                         */
#define PE_VCS_AIOC95_DEPTH                                    5734
/*      Black Sea                                                            */
#define PE_VCS_BLACK_SEA                                       5735
/*      Yellow Sea 1956                                                      */
#define PE_VCS_YELLOW_SEA_1956                                 5736
/*      Yellow Sea 1985                                                      */
#define PE_VCS_YELLOW_SEA_1985                                 5737
/*      Hong Kong Principal Datum                                            */
#define PE_VCS_HONG_KONG_PRINCIPAL_DATUM                       5738
/*      Hong Kong Chart Datum                                                */
#define PE_VCS_HONG_KONG_CHART_DATUM                           5739
/*      Ordnance Datum Newlyn (Orkney Isles)                                 */
#define PE_VCS_NEWLYN_ORKNEY_ISLES                             5740
/*      Fair Isle                                                            */
#define PE_VCS_FAIR_ISLE                                       5741
/*      Lerwick                                                              */
#define PE_VCS_LERWICK                                         5742
/*      Foula                                                                */
#define PE_VCS_FOULA                                           5743
/*      Sule Skerry                                                          */
#define PE_VCS_SULE_SKERRY                                     5744
/*      North Rona                                                           */
#define PE_VCS_NORTH_RONA                                      5745
/*      Stornoway                                                            */
#define PE_VCS_STORNOWAY                                       5746
/*      St. Kilda                                                            */
#define PE_VCS_ST_KILDA                                        5747
/*      Flannan Isles                                                        */
#define PE_VCS_FLANNAN_ISLES                                   5748
/*      St. Marys                                                            */
#define PE_VCS_ST_MARYS                                        5749
/*      Douglas                                                              */
#define PE_VCS_DOUGLAS                                         5750
/*      Fao                                                                  */
#define PE_VCS_FAO                                             5751
/*      Bandar Abbas                                                         */
#define PE_VCS_BANDAR_ABBAS                                    5752
/*      NGNC -- Nivellement General de Nouvelle Caledonie                    */
#define PE_VCS_NGNC                                            5753
/*      Poolbeg                                                              */
#define PE_VCS_POOLBEG                                         5754
/*      NGG_1977 -- Nivellement General Guyanais 1977                        */
#define PE_VCS_NGG_1977                                        5755
/*      IGN 1987                                                             */
#define PE_VCS_IGN_1987                                        5756
/*      IGN 1988                                                             */
#define PE_VCS_IGN_1988                                        5757
/*      IGN 1989                                                             */
#define PE_VCS_IGN_1989                                        5758
/*      Auckland                                                             */
#define PE_VCS_AUCKLAND                                        5759
/*      Bluff                                                                */
#define PE_VCS_BLUFF                                           5760
/*      Dunedin                                                              */
#define PE_VCS_DUNEDIN                                         5761
/*      Gisborne                                                             */
#define PE_VCS_GISBORNE                                        5762
/*      Lyttleton                                                            */
#define PE_VCS_LYTTLETON                                       5763
/*      Moturiki                                                             */
#define PE_VCS_MOTURIKI                                        5764
/*      Napier                                                               */
#define PE_VCS_NAPIER                                          5765
/*      Nelson                                                               */
#define PE_VCS_NELSON                                          5766
/*      One Tree Point                                                       */
#define PE_VCS_ONE_TREE_POINT                                  5767
/*      Tararu                                                               */
#define PE_VCS_TARARU                                          5768
/*      Taranaki                                                             */
#define PE_VCS_TARANAKI                                        5769
/*      Wellington                                                           */
#define PE_VCS_WELLINGTON                                      5770
/*      Chatham Island                                                       */
#define PE_VCS_CHATHAM_ISLAND                                  5771
/*      Stewart Island                                                       */
#define PE_VCS_STEWART_ISLAND                                  5772
/*      EGM96 Geoid                                                          */
#define PE_VCS_EGM96_GEOID                                     5773
/*      NG_L -- Nivellement General du Luxembourg                            */
#define PE_VCS_NG_L                                            5774
/*      Antalya                                                              */
#define PE_VCS_ANTALYA                                         5775
/*      NN54 -- Norway Normal Nul 1954                                       */
#define PE_VCS_NN54                                            5776
/*      Durres                                                               */
#define PE_VCS_DURRES                                          5777
/*      GHA -- Gebrauchshohen ADRIA                                          */
#define PE_VCS_GHA                                             5778
/*      NVN99 -- National Vertical Network 1999 (Slovenia)                   */
#define PE_VCS_NVN99                                           5779
/*      Cascais                                                              */
#define PE_VCS_CASCAIS                                         5780
/*      Constanta                                                            */
#define PE_VCS_CONSTANTA                                       5781
/*      Alicante                                                             */
#define PE_VCS_ALICANTE                                        5782
/*      DHHN92 -- Deutches Haupthohennetz 1992                               */
#define PE_VCS_DHHN92                                          5783
/*      DHHN85 -- Deutches Haupthohennetz 1985                               */
#define PE_VCS_DHHN85                                          5784
/*      SNN76                                                                */
#define PE_VCS_SNN76                                           5785
/*      Baltic 1982                                                          */
#define PE_VCS_BALTIC_1982                                     5786
/*      EOMA_1980 -- Baltic 1980                                             */
#define PE_VCS_EOMA_1980                                       5787
/*      Kuwait PWD                                                           */
#define PE_VCS_KUWAIT_PWD                                      5788
/*      KOC Well Datum                                                       */
#define PE_VCS_KOC_WELL_DATUM                                  5789
/*      KOC Construction Datum                                               */
#define PE_VCS_KOC_CONSTRUCTION_DATUM                          5790
/*      NGC_1948 -- Nivellement General de la Corse 1948                     */
#define PE_VCS_NGC_1948                                        5791
/*      Danger 1950                                                          */
#define PE_VCS_DANGER_1950                                     5792
/*      Mayotte 1950                                                         */
#define PE_VCS_MAYOTTE_1950                                    5793
/*      Martinique 1955                                                      */
#define PE_VCS_MARTINIQUE_1955                                 5794
/*      Guadeloupe 1951                                                      */
#define PE_VCS_GUADELOUPE_1951                                 5795
/*      Lagos 1955                                                           */
#define PE_VCS_LAGOS_1955                                      5796
/*      AIOC95 height                                                        */
#define PE_VCS_AIOC95_HEIGHT                                   5797
/*      EGM84 Geoid                                                          */
#define PE_VCS_EGM84_GEOID                                     5798
/*      Dansk Vertical Reference 1990                                        */
#define PE_VCS_DANSK_VERT_REF_1990                             5799

/*      Generic WGS 1984 Geoid                                               */
#define PE_VCS_WGS_1984_GEOID                                105700
/*      WGS 1984 spheroid height                                             */
#define PE_VCS_WGS_1984                                      115700
/*      ETRS 1989 spheroid height                                            */
#define PE_VCS_ETRS_1989                                     115701
/*      NAD 1983 (GRS 1980) spheroid height                                  */
#define PE_VCS_NAD_1983                                      115702

/* ------------------------------------------------------------------------- */
/* C O M P O U N D    C O O R D I N A T E   S Y S T E M S                    */
/* ------------------------------------------------------------------------- */

/*      France - mainland                                                    */
#define PE_HVC_NTF_PARIS_AND_NGF_IGN69_HEIGHT                  7400

/*      Sweden - onshore and offshore                                        */
#define PE_HVC_RT90_AND_RH70_HEIGHT                            7404

/*      United Kingdom - Great Britain - England and Wales - mainland;       */
/*      Scotland - mainland and Inner Hebrides                               */
#define PE_HVC_OSGB36_BRITISH_NATIONAL_GRID_AND_ODN_HEIGHT     7405

/*      USA - conus                                                          */
#define PE_HVC_NAD27_AND_NGVD29_HEIGHT                         7406

/*      USA - Texas north of approx 34~20'N                                  */
#define PE_HVC_NAD27_TEXAS_NORTH_AND_NGVD29_HEIGHT             7407

/*      Europe                                                               */
#define PE_HVC_ETRS89_AND_EVRF2000_HEIGHT                      7409

/*      Oman - onshore                                                       */
#define PE_HVC_PSD93_AND_PHD93                                 7410

/*      France - mainland                                                    */
#define PE_HVC_NTF_PARIS_LAMBERT_ZONE_II_AND_NGF_LALLEMAND_HEIGHT   7411

/*      Japan - onshore and offshore                                         */
#define PE_HVC_TOKYO_AND_JSLD_HEIGHT                           7414

/*      Netherlands - onshore                                                */
#define PE_HVC_AMERSFOORT_RD_NEW_AND_NAP_HEIGHT                7415

/*      Denmark - west of 12~E - Zealand west of 12~E; Jutland, Fuen, and    */
/*      Lolland                                                              */
#define PE_HVC_ETRS89_UTM_ZONE_32N_AND_DVR90_HEIGHT            7416

/*      Denmark - east of 12~E - Zealand and Falster east of 12~E; Bornholm  */
#define PE_HVC_ETRS89_UTM_ZONE_33N_AND_DVR90_HEIGHT            7417

/*      Denmark - Jutland and Fuen                                           */
#define PE_HVC_ETRS90_KP2000_JUTLAND_AND_DVR90_HEIGHT          7418

/*      Denmark - Zealand and Lolland                                        */
#define PE_HVC_ETRS89_KP2000_ZEALAND_AND_DVR90_HEIGHT          7419

/*      Denmark - Bornholm                                                   */
#define PE_HVC_ETRS89_KP2000_BORNHOLM_AND_DVR90_HEIGHT         7420

/*      France - mainland                                                    */
#define PE_HVC_NTF_PARIS_LAMBERT_ZONE_II_AND_NGF_IGN69_HEIGHT   7421

/*      France south of 50.5 grads N (45~27'N)                               */
#define PE_HVC_NTF_PARIS_LAMBERT_ZONE_III_AND_NGF_IGN69_HEIGHT   7422

/* ------------------------------------------------------------------------- */
/* H O R I Z O N T A L   D A T U M S                                         */
/* ------------------------------------------------------------------------- */

/* New DATUMs at 10.0 -----------------------                                */


/*      Kertau (RSO)                                                         */
#define PE_D_KERTAU_RSO                                        6751
/*      Viti Levu 1912                                                       */
#define PE_D_VITI_LEVU_1912                                    6752
/*      Croatian Terrestrial Reference System                                */
#define PE_D_CROATIAN_TERRESTRIAL_REFERENCE_SYSTEM             6761
/*      Pitcairn 2006                                                        */
#define PE_D_PITCAIRN_2006                                     6763
/*      Ross Sea Region Geodetic Datum 2000                                  */
#define PE_D_ROSS_SEA_REGION_GEODETIC_DATUM_2000               6764
/*      Slovenia Geodetic Datum 1996                                         */
#define PE_D_SLOVENIA_GEODETIC_DATUM_1996                      6765

/*      GDBD2009                                                             */
#define PE_D_GDBD2009                                        106100

/*      NAD 1983 PACP00                                                      */
#define PE_D_NAD_1983_PACP00                                 106209
/*      NAD 1983 MARP00                                                      */
#define PE_D_NAD_1983_MARP00                                 106210

/*      Hungarian Datum 1909                                                 */
#define PE_D_HUNGARIAN_DATUM_1909                            106990
/*      Iraqi Geospatial Reference System                                    */
#define PE_D_IRAQI_GEOSPATIAL_REFERENCE_SYSTEM               106991
/*      MGI 1901                                                             */
#define PE_D_MGI_1901                                        106992
/*      MOLDREF99                                                            */
#define PE_D_MOLDREF99                                       106993
/*      Reseau Geodesique de la RDC 2005                                     */
#define PE_D_RESEAU_GEODESIQUE_DE_LA_RDC_2005                106994
/*      Serbian Reference Network 1998                                       */
#define PE_D_SERBIAN_REFERENCE_NETWORK_1998                  106995
/*      Red Geodesica de Canarias 1995                                       */
#define PE_D_RED_GEODESICA_DE_CANARIAS_1995                  106996

/*      NAD 1983 (CORS96)                                                    */
#define PE_D_NAD_1983_CORS96                                 106223

/*      Cyprus GRS 1993                                                      */
#define PE_D_CYPRUS_GRS_1993                                 106225

/*      Costa Rica 2005                                                      */
#define PE_D_COSTA_RICA_2005                                 106244

/*      Nepal Nagarkot                                                       */
#define PE_D_NEPAL_NAGARKOT                                  106256

/*      Reseau Geodesique de St Pierre et Miquelon 2006                      */
#define PE_D_RESEAU_GEODESIQUE_DE_ST_PIERRE_MIQUELON_2006    106997
/*      Reseau Geodesique de Mayotte 2004                                    */
#define PE_D_RESEAU_GEODESIQUE_DE_MAYOTTE_2004               106998
/*      Cadastre 1997                                                        */
#define PE_D_CADASTRE_1997                                   106999
/*      China 2000                                                           */
#define PE_D_CHINA_2000                                      106980
/*      New Beijing                                                          */
#define PE_D_NEW_BEIJING                                     106981
/*      Sao Tome                                                             */
#define PE_D_SAO_TOME                                        106982
/*      Principe                                                             */
#define PE_D_PRINCIPE                                        106983
/*      Mexican Datum of 1993                                                */
#define PE_D_MEXICAN_DATUM_1993                              106984
/*      Islands Network 2004                                                 */
#define PE_D_ISLANDS_NETWORK_2004                            106144

/* NEW DATUMs 9.3 -----------------------                                    */

/*      GRS 1980 Authalic Sphere                                             */
#define PE_D_SPHERE_GRS_1980_AUTHALIC                          6047
/*      International 1924 Authalic Sphere                                   */
#define PE_D_SPHERE_INTL_1924_AUTHALIC                         6053
/*      Hughes 1980                                                          */
#define PE_D_HUGHES_1980                                       6054
/*      Le Pouce 1934                                                        */
#define PE_D_LE_POUCE_1934                                     6699
/*      IGN Astro 1960                                                       */
#define PE_D_IGN_ASTRO_1960                                    6700
/*      Solomon Islands 1968                                                 */
#define PE_D_SOLOMON_1968                                      6718
/*      Faroe Datum 1954                                                     */
#define PE_D_FAROE_DATUM_1954                                  6741
/*      Karbala 1979 Polservice                                              */
#define PE_D_KARBALA_1979_POLSERVICE                           6743
/*      Nahrwan 1934                                                         */
#define PE_D_NAHRWAN_1934                                      6744
/*      Rauenberg Datum 1983                                                 */
#define PE_D_RAUENBERG_DATUM_1983                              6745
/*      Potsdam Datum 1983                                                   */
#define PE_D_POTSDAM_DATUM_1983                                6746
/*      Greenland 1996                                                       */
#define PE_D_GREENLAND_1996                                    6747
/*      Vanua Levu 1915                                                      */
#define PE_D_VANUA_LEVU_1915                                   6748
/*      Reseau Geodesique de Nouvelle Caledonie 1991-93                      */
#define PE_D_RGNC_1991_93                                      6749
/*      fk89                                                                 */
#define PE_D_FK_1989                                           6753
/*      Libyan Geodetic Datum 2006                                           */
#define PE_D_LIBYAN_GEODETIC_DATUM_2006                        6754
/*      Datum Geodesi Nasional 1995                                          */
#define PE_D_DATUM_GEODESI_NASIONAL_1995                       6755
/*      Vietnam 2000                                                         */
#define PE_D_VIETNAM_2000                                      6756
/*      NAD 1983 (NSRS2007)                                                  */
#define PE_D_NAD_1983_NSRS2007                                 6759
/*      International Terrestrial Reference Frame 2005                       */
#define PE_D_ITRF_2005                                         6896

/*      Portugal - Autonomous Regions (Madeira and Azores Archipelagos)      */
#define PE_D_PTRA08                                          106236

/*      Major auxiliary sphere based on WGS 1984                             */
#define PE_D_SPHERE_WGS_1984_MAJOR_AUXILIARY                 106283
/*      Old Hawaiian on Intl_1924 spheroid (NGS)                             */
#define PE_D_OLD_HAWAIIAN_INTL_1924                          106284

/* NEW DATUMs Post 9.0 -----------------------                               */

/*      Clarke 1866 Authalic Sphere                                          */
#define PE_D_SPHERE_CLARKE_1866_AUTHALIC                       6052
/*      Voirol 1879                                                          */
#define PE_D_VOIROL_1879                                       6671
/*      Sistema de Referencia Geocentrico para America del Sur 2000          */
#define PE_D_SIRGAS_2000                                       6674
/*      Vientiane 1982                                                       */
#define PE_D_VIENTIANE_1982                                    6676
/*      Lao 1993                                                             */
#define PE_D_LAO_1993                                          6677
/*      Lao National Datum 1997                                              */
#define PE_D_LAO_1997                                          6678
/*      Jouik 1961                                                           */
#define PE_D_JOUIK_1961                                        6679
/*      Nouakchott 1965                                                      */
#define PE_D_NOUAKCHOTT_1965                                   6680
/*      Gulshan 303                                                          */
#define PE_D_GULSHAN_303                                       6682
/*      Philippine Reference System 1992                                     */
#define PE_D_PRS_1992                                          6683
/*      Colombia - Marco Geocentrico Nacional de Referencia                  */
#define PE_D_MAGNA                                             6686
/*      Reseau Geodesique de la Polynesie Francaise                          */
#define PE_D_RGPF                                              6687
/*      Fatu Iva 1972                                                        */
#define PE_D_FATU_IVA_1972                                     6688
/*      IGN63 Hiva Oa                                                        */
#define PE_D_IGN63_HIVA_OA                                     6689
/*      Tahiti 1979                                                          */
#define PE_D_TAHITI_1979                                       6690
/*      Moorea 1987                                                          */
#define PE_D_MOOREA_1987                                       6691
/*      Maupiti 1983                                                         */
#define PE_D_MAUPITI_1983                                      6692
/*      Nakhl-e Ghanem                                                       */
#define PE_D_NAKHL_E_GHANEM                                    6693
/*      Posiciones Geodesicas Argentinas 1994                                */
#define PE_D_POSGAR_1994                                       6694
/*      Katanga 1955                                                         */
#define PE_D_KATANGA_1955                                      6695
/*      Kasai 1953                                                           */
#define PE_D_KASAI_1953                                        6696
/*      IGC 1962 Arc of the 6th Parallel South                               */
#define PE_D_IGC_1962_6TH_PARALLEL_S                           6697
/*      Inst Geographique du Congo Belge 1955                                */
#define PE_D_IGCB_1955                                         6701
/*      Mauritania 1999                                                      */
#define PE_D_MAURITANIA_1999                                   6702
/*      Mhast 1951 (Missao Hidrografico Angola y Sao Tome 1951)              */
#define PE_D_MHAST_1951                                        6703
/*      Mhast Onshore                                                        */
#define PE_D_MHAST_ONSHORE                                     6704
/*      Mhast Offshore                                                       */
#define PE_D_MHAST_OFFSHORE                                    6705
/*      Egypt Gulf of Suez S-650 TL                                          */
#define PE_D_EGYPT_GULF_SUEZ_S_650_TL                          6706
/*      Fiji 1986                                                            */
#define PE_D_FIJI_1986                                         6720
/*      Fiji 1956                                                            */
#define PE_D_FIJI_1956                                         6721
/*      Grand Cayman 1961                                                    */
#define PE_D_GRAND_CAYMAN_1959                                 6723
/*      Little Cayman 1961                                                   */
#define PE_D_LITTLE_CAYMAN_1961                                6726
/*      Korea Geodetic Datum 2000                                            */
#define PE_D_KOREA_2000                                        6737
/*      Hong Kong 1963(67)                                                   */
#define PE_D_HONG_KONG_1963_67                                 6739
/*      Parametrop Zemp 1990 (PZ 1990)                                       */
#define PE_D_PZ_1990                                           6740
/*      Geocentric Datum of Malaysia 2000                                    */
#define PE_D_GDM_2000                                          6742

/*      D48 - Slovenia                                                       */
#define PE_D_D48                                             106278
/*      Ocotepeque 1935                                                      */
#define PE_D_OCOTEPEQUE_1935                                 106279
/*      Jamaica 2001                                                         */
#define PE_D_JAMAICA_2001                                      6758
/*      Taiwan 1967                                                          */
#define PE_D_TWD_1967                                        106281
/*      Taiwan 1997                                                          */
#define PE_D_TWD_1997                                        106282
/*      SVY21 (Singapore)                                                    */
#define PE_D_SVY21                                             6757

/* NEW DATUMs at 9.0 -----------------------                                 */

/*      Albanian 1987                                                        */
#define PE_D_ALBANIAN_1987                                     6191
/*      Ammassalik 1958                                                      */
#define PE_D_AMMASSALIK_1958                                   6196
/*      Australian Antarctic 1998                                            */
#define PE_D_AUSTRALIAN_ANTARCTIC_1998                         6176
/*      Azores Central Islands 1948                                          */
#define PE_D_AZORES_CENTRAL_ISLANDS_1948                       6183
/*      Azores Central Islands 1995                                          */
#define PE_D_AZORES_CENTRAL_ISLANDS_1995                       6665
/*      Azores Occidental Isls 1939                                          */
#define PE_D_AZORES_OCCIDENTAL_ISLANDS_1939                    6182
/*      Azores Oriental Isls 1940                                            */
#define PE_D_AZORES_ORIENTAL_ISLANDS_1940                      6184
/*      Azores Oriental Isls 1995                                            */
#define PE_D_AZORES_ORIENTAL_ISLANDS_1995                      6664
/*      Combani 1950                                                         */
#define PE_D_COMBANI_1950                                      6632
/*      Centre Spatial Guyanais 1967                                         */
#define PE_D_CSG_1967                                          6623
/*      Douala 1948                                                          */
#define PE_D_DOUALA_1948                                       6192
/*      Egypt 1930                                                           */
#define PE_D_EGYPT_1930                                        6199
/*      Estonia 1997                                                         */
#define PE_D_ESTONIA_1997                                      6180
/*      Fort Desaix                                                          */
#define PE_D_FORT_DESAIX                                       6625
/*      Fort Marigot                                                         */
#define PE_D_FORT_MARIGOT                                      6621
/*      Grand Comoros                                                        */
#define PE_D_GRAND_COMOROS                                     6646
/*      Helle 1954                                                           */
#define PE_D_HELLE_1954                                        6660
/*      IGM 1995                                                             */
#define PE_D_IGM_1995                                          6670
/*      IGN53 Mare                                                           */
#define PE_D_IGN53_MARE                                        6641
/*      IGN56 Lifou                                                          */
#define PE_D_IGN56_LIFOU                                       6633
/*      IGN72 Grande Terre                                                   */
#define PE_D_IGN72_GRANDE_TERRE                                6634
/*      IGN72 Nuku Hiva                                                      */
#define PE_D_IGN72_NUKU_HIVA                                   6630
/*      Iraq-Kuwait Boundary Datum 1992                                      */
#define PE_D_IRAQ_KUWAIT_BOUNDARY_1992                         6667
/*      Islands Network 1993                                                 */
#define PE_D_ISLANDS_NETWORK_1993                              6659
/*      IERS Terrestrial Reference Frame 1988                                */
#define PE_D_ITRF_1988                                         6647
/*      IERS Terrestrial Reference Frame 1989                                */
#define PE_D_ITRF_1989                                         6648
/*      IERS Terrestrial Reference Frame 1990                                */
#define PE_D_ITRF_1990                                         6649
/*      IERS Terrestrial Reference Frame 1991                                */
#define PE_D_ITRF_1991                                         6650
/*      IERS Terrestrial Reference Frame 1992                                */
#define PE_D_ITRF_1992                                         6651
/*      IERS Terrestrial Reference Frame 1993                                */
#define PE_D_ITRF_1993                                         6652
/*      IERS Terrestrial Reference Frame 1994                                */
#define PE_D_ITRF_1994                                         6653
/*      IERS Terrestrial Reference Frame 1996                                */
#define PE_D_ITRF_1996                                         6654
/*      IERS Terrestrial Reference Frame 1997                                */
#define PE_D_ITRF_1997                                         6655
/*      IERS Terrestrial Reference Frame 2000                                */
#define PE_D_ITRF_2000                                         6656

/*      Kousseri                                                             */
#define PE_D_KOUSSERI                                          6198
/*      Latvia 1992                                                          */
#define PE_D_LATVIA_1992                                       6661
/*      Lisbon 1890                                                          */
#define PE_D_LISBON_1890                                       6666
/*      Luxembourg 1930                                                      */
#define PE_D_LUXEMBOURG_1930                                   6181
/*      Madeira 1936                                                         */
#define PE_D_MADEIRA_1936                                      6185
/*      Manoca 1962                                                          */
#define PE_D_MANOCA_1962                                       6193
/*      MOP78                                                                */
#define PE_D_MOP78                                             6639
/*      NEA74 Noumea                                                         */
#define PE_D_NEA74_NOUMEA                                      6644
/*      OSNI 1952                                                            */
#define PE_D_OSNI_1952                                         6188
/*      Petrels 1972                                                         */
#define PE_D_PETRELS_1972                                      6636

/*      Pointe Geologie Perroud 1950                                         */
#define PE_D_POINTE_GEOLOGIE_PERROUD_1950                      6637
/*      Porto Santo 1995                                                     */
#define PE_D_PORTO_SANTO_1995                                  6663
/*      POSGAR 1998                                                          */
#define PE_D_POSGAR_1998                                       6190
/*      Pulkovo 1942/58                                                      */
#define PE_D_PULKOVO_1942_ADJ_1958                             6179
/*      Pulkovo 1942/83                                                      */
#define PE_D_PULKOVO_1942_ADJ_1983                             6178
/*      Qatar National Datum 1995                                            */
#define PE_D_QND_1995                                          6614
/*      Qornoq 1927                                                          */
#define PE_D_QORNOQ_1927                                       6194
/*      Reykjavik 1900                                                       */
#define PE_D_REYKJAVIK_1900                                    6657
/*      Reseau Geodesique Francais Guyane 1995                               */
#define PE_D_RGFG_1995                                         6624
/*      Reseau Geodesique Nouvelle Caledonie 1991                            */
#define PE_D_RGNC_1991                                         6645
/*      Reseau Geodesique de la Reunion 1992                                 */
#define PE_D_RGR_1992                                          6627
/*      Reseau de Reference des Antilles Francaises 1991                     */
#define PE_D_RRAF_1991                                         6640
/*      Sainte Anne                                                          */
#define PE_D_SAINTE_ANNE                                       6622
/*      Saint Pierre et Miquelon 1950                                        */
#define PE_D_SAINT_PIERRE_ET_MIQUELON_1950                     6638
/*      Scoresbysund 1952                                                    */
#define PE_D_SCORESBYSUND_1952                                 6195
/*      ST71 Belep                                                           */
#define PE_D_ST71_BELEP                                        6643
/*      ST84 Ile des Pins                                                    */
#define PE_D_ST84_ILE_DES_PINS                                 6642
/*      ST87 Ouvea                                                           */
#define PE_D_ST87_OUVEA                                        6750
/*      SWEREF99                                                             */
#define PE_D_SWEREF99                                          6619
/*      Tahaa 1954                                                           */
#define PE_D_TAHAA_1954                                        6629
/*      Tahiti 1952                                                          */
#define PE_D_TAHITI_1952                                       6628
/*      Xian 1980                                                            */
#define PE_D_XIAN_1980                                         6610

/*      Bermuda 2000                                                         */
#define PE_D_BERMUDA_2000                                      6762
/*      Chatham Islands 1979                                                 */
#define PE_D_CHATHAM_ISLANDS_1979                              6673
/*      Observatorio Meteorologico 1965                                      */
#define PE_D_OBSERV_METEOR_1965                              106274
/*      Roma 1940                                                            */
#define PE_D_ROMA_1940                                       106275
/*      EMEP                                                                 */
#define PE_D_SPHERE_EMEP                                     106276
/*      Jordan                                                               */
#define PE_D_JORDAN                                          106277

/*      NAD 1983 HARN Adj. Minnesota Anoka                                   */
#define PE_D_NAD_1983_HARN_ADJ_MN_ANOKA                      106700
/*      NAD 1983 HARN Adj. Minnesota Becker                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_BECKER                     106701
/*      NAD 1983 HARN Adj. Minnesota Beltrami North                          */
#define PE_D_NAD_1983_HARN_ADJ_MN_BELTRAMI_N                 106702
/*      NAD 1983 HARN Adj. Minnesota Beltrami South                          */
#define PE_D_NAD_1983_HARN_ADJ_MN_BELTRAMI_S                 106703
/*      NAD 1983 HARN Adj. Minnesota Benton                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_BENTON                     106704
/*      NAD 1983 HARN Adj. Minnesota Big Stone                               */
#define PE_D_NAD_1983_HARN_ADJ_MN_BIG_STONE                  106705
/*      NAD 1983 HARN Adj. Minnesota Blue Earth                              */
#define PE_D_NAD_1983_HARN_ADJ_MN_BLUE_EARTH                 106706
/*      NAD 1983 HARN Adj. Minnesota Brown                                   */
#define PE_D_NAD_1983_HARN_ADJ_MN_BROWN                      106707
/*      NAD 1983 HARN Adj. Minnesota Carlton                                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_CARLTON                    106708
/*      NAD 1983 HARN Adj. Minnesota Carver                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_CARVER                     106709
/*      NAD 1983 HARN Adj. Minnesota Cass North                              */
#define PE_D_NAD_1983_HARN_ADJ_MN_CASS_N                     106710
/*      NAD 1983 HARN Adj. Minnesota Cass South                              */
#define PE_D_NAD_1983_HARN_ADJ_MN_CASS_S                     106711
/*      NAD 1983 HARN Adj. Minnesota Chippewa                                */
#define PE_D_NAD_1983_HARN_ADJ_MN_CHIPPEWA                   106712
/*      NAD 1983 HARN Adj. Minnesota Chisago                                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_CHISAGO                    106713
/*      NAD 1983 HARN Adj. Minnesota Cook North                              */
#define PE_D_NAD_1983_HARN_ADJ_MN_COOK_N                     106714
/*      NAD 1983 HARN Adj. Minnesota Cook South                              */
#define PE_D_NAD_1983_HARN_ADJ_MN_COOK_S                     106715
/*      NAD 1983 HARN Adj. Minnesota Cottonwood                              */
#define PE_D_NAD_1983_HARN_ADJ_MN_COTTONWOOD                 106716
/*      NAD 1983 HARN Adj. Minnesota Crow Wing                               */
#define PE_D_NAD_1983_HARN_ADJ_MN_CROW_WING                  106717
/*      NAD 1983 HARN Adj. Minnesota Dakota                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_DAKOTA                     106718
/*      NAD 1983 HARN Adj. Minnesota Dodge                                   */
#define PE_D_NAD_1983_HARN_ADJ_MN_DODGE                      106719
/*      NAD 1983 HARN Adj. Minnesota Douglas                                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_DOUGLAS                    106720
/*      NAD 1983 HARN Adj. Minnesota Faribault                               */
#define PE_D_NAD_1983_HARN_ADJ_MN_FARIBAULT                  106721
/*      NAD 1983 HARN Adj. Minnesota Fillmore                                */
#define PE_D_NAD_1983_HARN_ADJ_MN_FILLMORE                   106722
/*      NAD 1983 HARN Adj. Minnesota Freeborn                                */
#define PE_D_NAD_1983_HARN_ADJ_MN_FREEBORN                   106723
/*      NAD 1983 HARN Adj. Minnesota Goodhue                                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_GOODHUE                    106724
/*      NAD 1983 HARN Adj. Minnesota Grant                                   */
#define PE_D_NAD_1983_HARN_ADJ_MN_GRANT                      106725
/*      NAD 1983 HARN Adj. Minnesota Hennepin                                */
#define PE_D_NAD_1983_HARN_ADJ_MN_HENNEPIN                   106726
/*      NAD 1983 HARN Adj. Minnesota Houston                                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_HOUSTON                    106727
/*      NAD 1983 HARN Adj. Minnesota Isanti                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_ISANTI                     106728
/*      NAD 1983 HARN Adj. Minnesota Itasca North                            */
#define PE_D_NAD_1983_HARN_ADJ_MN_ITASCA_N                   106729
/*      NAD 1983 HARN Adj. Minnesota Itasca South                            */
#define PE_D_NAD_1983_HARN_ADJ_MN_ITASCA_S                   106730
/*      NAD 1983 HARN Adj. Minnesota Jackson                                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_JACKSON                    106731
/*      NAD 1983 HARN Adj. Minnesota Kanabec                                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_KANABEC                    106732
/*      NAD 1983 HARN Adj. Minnesota Kandiyohi                               */
#define PE_D_NAD_1983_HARN_ADJ_MN_KANDIYOHI                  106733
/*      NAD 1983 HARN Adj. Minnesota Kittson                                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_KITTSON                    106734
/*      NAD 1983 HARN Adj. Minnesota Koochiching                             */
#define PE_D_NAD_1983_HARN_ADJ_MN_KOOCHICHING                106735
/*      NAD 1983 HARN Adj. Minnesota Lac Qui Parle                           */
#define PE_D_NAD_1983_HARN_ADJ_MN_LAC_QUI_PARLE              106736
/*      NAD 1983 HARN Adj. Minnesota Lake of the Woods North                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_N        106737
/*      NAD 1983 HARN Adj. Minnesota Lake of the Woods South                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_LAKE_OF_THE_WOODS_S        106738
/*      NAD 1983 HARN Adj. Minnesota Le Sueur                                */
#define PE_D_NAD_1983_HARN_ADJ_MN_LE_SUEUR                   106739
/*      NAD 1983 HARN Adj. Minnesota Lincoln                                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_LINCOLN                    106740
/*      NAD 1983 HARN Adj. Minnesota Lyon                                    */
#define PE_D_NAD_1983_HARN_ADJ_MN_LYON                       106741
/*      NAD 1983 HARN Adj. Minnesota McLeod                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_MCLEOD                     106742
/*      NAD 1983 HARN Adj. Minnesota Mahnomen                                */
#define PE_D_NAD_1983_HARN_ADJ_MN_MAHNOMEN                   106743
/*      NAD 1983 HARN Adj. Minnesota Marshall                                */
#define PE_D_NAD_1983_HARN_ADJ_MN_MARSHALL                   106744
/*      NAD 1983 HARN Adj. Minnesota Martin                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_MARTIN                     106745
/*      NAD 1983 HARN Adj. Minnesota Meeker                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_MEEKER                     106746
/*      NAD 1983 HARN Adj. Minnesota Morrison                                */
#define PE_D_NAD_1983_HARN_ADJ_MN_MORRISON                   106747
/*      NAD 1983 HARN Adj. Minnesota Mower                                   */
#define PE_D_NAD_1983_HARN_ADJ_MN_MOWER                      106748
/*      NAD 1983 HARN Adj. Minnesota Murray                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_MURRAY                     106749
/*      NAD 1983 HARN Adj. Minnesota Nicollet                                */
#define PE_D_NAD_1983_HARN_ADJ_MN_NICOLLET                   106750
/*      NAD 1983 HARN Adj. Minnesota Nobles                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_NOBLES                     106751
/*      NAD 1983 HARN Adj. Minnesota Norman                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_NORMAN                     106752
/*      NAD 1983 HARN Adj. Minnesota Olmsted                                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_OLMSTED                    106753
/*      NAD 1983 HARN Adj. Minnesota Ottertail                               */
#define PE_D_NAD_1983_HARN_ADJ_MN_OTTERTAIL                  106754
/*      NAD 1983 HARN Adj. Minnesota Pennington                              */
#define PE_D_NAD_1983_HARN_ADJ_MN_PENNINGTON                 106755
/*      NAD 1983 HARN Adj. Minnesota Pine                                    */
#define PE_D_NAD_1983_HARN_ADJ_MN_PINE                       106756
/*      NAD 1983 HARN Adj. Minnesota Pipestone                               */
#define PE_D_NAD_1983_HARN_ADJ_MN_PIPESTONE                  106757
/*      NAD 1983 HARN Adj. Minnesota Polk                                    */
#define PE_D_NAD_1983_HARN_ADJ_MN_POLK                       106758
/*      NAD 1983 HARN Adj. Minnesota Pope                                    */
#define PE_D_NAD_1983_HARN_ADJ_MN_POPE                       106759
/*      NAD 1983 HARN Adj. Minnesota Ramsey                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_RAMSEY                     106760
/*      NAD 1983 HARN Adj. Minnesota Red Lake                                */
#define PE_D_NAD_1983_HARN_ADJ_MN_RED_LAKE                   106761
/*      NAD 1983 HARN Adj. Minnesota Redwood                                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_REDWOOD                    106762
/*      NAD 1983 HARN Adj. Minnesota Renville                                */
#define PE_D_NAD_1983_HARN_ADJ_MN_RENVILLE                   106763
/*      NAD 1983 HARN Adj. Minnesota Rice                                    */
#define PE_D_NAD_1983_HARN_ADJ_MN_RICE                       106764
/*      NAD 1983 HARN Adj. Minnesota Rock                                    */
#define PE_D_NAD_1983_HARN_ADJ_MN_ROCK                       106765
/*      NAD 1983 HARN Adj. Minnesota Roseau                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_ROSEAU                     106766
/*      NAD 1983 HARN Adj. Minnesota St Louis North                          */
#define PE_D_NAD_1983_HARN_ADJ_MN_ST_LOUIS_N                 106767
/*      NAD 1983 HARN Adj. Minnesota St Louis Central                        */
#define PE_D_NAD_1983_HARN_ADJ_MN_ST_LOUIS_C                 106768
/*      NAD 1983 HARN Adj. Minnesota St Louis South                          */
#define PE_D_NAD_1983_HARN_ADJ_MN_ST_LOUIS_S                 106769
/*      NAD 1983 HARN Adj. Minnesota Scott                                   */
#define PE_D_NAD_1983_HARN_ADJ_MN_SCOTT                      106770
/*      NAD 1983 HARN Adj. Minnesota Sherburne                               */
#define PE_D_NAD_1983_HARN_ADJ_MN_SHERBURNE                  106771
/*      NAD 1983 HARN Adj. Minnesota Sibley                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_SIBLEY                     106772
/*      NAD 1983 HARN Adj. Minnesota Stearns                                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_STEARNS                    106773
/*      NAD 1983 HARN Adj. Minnesota Steele                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_STEELE                     106774
/*      NAD 1983 HARN Adj. Minnesota Stevens                                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_STEVENS                    106775
/*      NAD 1983 HARN Adj. Minnesota Swift                                   */
#define PE_D_NAD_1983_HARN_ADJ_MN_SWIFT                      106776
/*      NAD 1983 HARN Adj. Minnesota Todd                                    */
#define PE_D_NAD_1983_HARN_ADJ_MN_TODD                       106777
/*      NAD 1983 HARN Adj. Minnesota Traverse                                */
#define PE_D_NAD_1983_HARN_ADJ_MN_TRAVERSE                   106778
/*      NAD 1983 HARN Adj. Minnesota Wabasha                                 */
#define PE_D_NAD_1983_HARN_ADJ_MN_WABASHA                    106779
/*      NAD 1983 HARN Adj. Minnesota Wadena                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_WADENA                     106780
/*      NAD 1983 HARN Adj. Minnesota Waseca                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_WASECA                     106781
/*      NAD 1983 HARN Adj. Minnesota Watonwan                                */
#define PE_D_NAD_1983_HARN_ADJ_MN_WATONWAN                   106782
/*      NAD 1983 HARN Adj. Minnesota Winona                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_WINONA                     106783
/*      NAD 1983 HARN Adj. Minnesota Wright                                  */
#define PE_D_NAD_1983_HARN_ADJ_MN_WRIGHT                     106784
/*      NAD 1983 HARN Adj. Minnesota Yellow Medicine                         */
#define PE_D_NAD_1983_HARN_ADJ_MN_YELLOW_MEDICINE            106785

/*      NAD 1983 HARN Adj. Wisconsin Ashland                                 */
#define PE_D_NAD_1983_HARN_ADJ_WI_AL                         106800
/*      NAD 1983 HARN Adj. Wisconsin Barron                                  */
#define PE_D_NAD_1983_HARN_ADJ_WI_BA                         106801
/*      NAD 1983 HARN Adj. Wisconsin Bayfield                                */
#define PE_D_NAD_1983_HARN_ADJ_WI_BF                         106802
/*      NAD 1983 HARN Adj. Wisconsin Brown                                   */
#define PE_D_NAD_1983_HARN_ADJ_WI_BR                         106803
/*      NAD 1983 HARN Adj. Wisconsin Buffalo                                 */
#define PE_D_NAD_1983_HARN_ADJ_WI_BU                         106804
/*      NAD 1983 HARN Adj. Wisconsin Burnett                                 */
#define PE_D_NAD_1983_HARN_ADJ_WI_BN                         106805
/*      NAD 1983 HARN Adj. Wisconsin Chippewa                                */
#define PE_D_NAD_1983_HARN_ADJ_WI_CP                         106806
/*      NAD 1983 HARN Adj. Wisconsin Clark                                   */
#define PE_D_NAD_1983_HARN_ADJ_WI_CK                         106807
/*      NAD 1983 HARN Adj. Wisconsin Columbia                                */
#define PE_D_NAD_1983_HARN_ADJ_WI_CO                         106808
/*      NAD 1983 HARN Adj. Wisconsin Crawford                                */
#define PE_D_NAD_1983_HARN_ADJ_WI_CR                         106809
/*      NAD 1983 HARN Adj. Wisconsin Dane                                    */
#define PE_D_NAD_1983_HARN_ADJ_WI_DN                         106810
/*      NAD 1983 HARN Adj. Wisconsin Door                                    */
#define PE_D_NAD_1983_HARN_ADJ_WI_DR                         106811
/*      NAD 1983 HARN Adj. Wisconsin Douglas                                 */
#define PE_D_NAD_1983_HARN_ADJ_WI_DG                         106812
/*      NAD 1983 HARN Adj. Wisconsin Dunn                                    */
#define PE_D_NAD_1983_HARN_ADJ_WI_DU                         106813
/*      NAD 1983 HARN Adj. Wisconsin EauClaire                               */
#define PE_D_NAD_1983_HARN_ADJ_WI_EC                         106814
/*      NAD 1983 HARN Adj. Wisconsin Florence                                */
#define PE_D_NAD_1983_HARN_ADJ_WI_FN                         106815
/*      NAD 1983 HARN Adj. Wisconsin Forest                                  */
#define PE_D_NAD_1983_HARN_ADJ_WI_FR                         106816
/*      NAD 1983 HARN Adj. Wisconsin Grant                                   */
#define PE_D_NAD_1983_HARN_ADJ_WI_GT                         106817
/*      NAD 1983 HARN Adj. Wisconsin Iowa                                    */
#define PE_D_NAD_1983_HARN_ADJ_WI_IA                         106818
/*      NAD 1983 HARN Adj. Wisconsin Iron                                    */
#define PE_D_NAD_1983_HARN_ADJ_WI_IR                         106819
/*      NAD 1983 HARN Adj. Wisconsin Jackson                                 */
#define PE_D_NAD_1983_HARN_ADJ_WI_JA                         106820
/*      NAD 1983 HARN Adj. Wisconsin LaCrosse                                */
#define PE_D_NAD_1983_HARN_ADJ_WI_LC                         106821
/*      NAD 1983 HARN Adj. Wisconsin Langlade                                */
#define PE_D_NAD_1983_HARN_ADJ_WI_LG                         106822
/*      NAD 1983 HARN Adj. Wisconsin Lincoln                                 */
#define PE_D_NAD_1983_HARN_ADJ_WI_LN                         106823
/*      NAD 1983 HARN Adj. Wisconsin Marathon                                */
#define PE_D_NAD_1983_HARN_ADJ_WI_MA                         106824
/*      NAD 1983 HARN Adj. Wisconsin Marinette                               */
#define PE_D_NAD_1983_HARN_ADJ_WI_MN                         106825
/*      NAD 1983 HARN Adj. Wisconsin Menominee                               */
#define PE_D_NAD_1983_HARN_ADJ_WI_ME                         106826
/*      NAD 1983 HARN Adj. Wisconsin Monroe                                  */
#define PE_D_NAD_1983_HARN_ADJ_WI_MR                         106827
/*      NAD 1983 HARN Adj. Wisconsin Oconto                                  */
#define PE_D_NAD_1983_HARN_ADJ_WI_OC                         106828
/*      NAD 1983 HARN Adj. Wisconsin Oneida                                  */
#define PE_D_NAD_1983_HARN_ADJ_WI_ON                         106829
/*      NAD 1983 HARN Adj. Wisconsin Polk                                    */
#define PE_D_NAD_1983_HARN_ADJ_WI_PK                         106830
/*      NAD 1983 HARN Adj. Wisconsin Portage                                 */
#define PE_D_NAD_1983_HARN_ADJ_WI_PT                         106831
/*      NAD 1983 HARN Adj. Wisconsin Price                                   */
#define PE_D_NAD_1983_HARN_ADJ_WI_PR                         106832
/*      NAD 1983 HARN Adj. Wisconsin Richland                                */
#define PE_D_NAD_1983_HARN_ADJ_WI_RC                         106833
/*      NAD 1983 HARN Adj. Wisconsin Rock                                    */
#define PE_D_NAD_1983_HARN_ADJ_WI_RK                         106834
/*      NAD 1983 HARN Adj. Wisconsin Rusk                                    */
#define PE_D_NAD_1983_HARN_ADJ_WI_RS                         106835
/*      NAD 1983 HARN Adj. Wisconsin StCroix                                 */
#define PE_D_NAD_1983_HARN_ADJ_WI_SC                         106836
/*      NAD 1983 HARN Adj. Wisconsin Sauk                                    */
#define PE_D_NAD_1983_HARN_ADJ_WI_SK                         106837
/*      NAD 1983 HARN Adj. Wisconsin Sawyer                                  */
#define PE_D_NAD_1983_HARN_ADJ_WI_SW                         106838
/*      NAD 1983 HARN Adj. Wisconsin Shawano                                 */
#define PE_D_NAD_1983_HARN_ADJ_WI_SH                         106839
/*      NAD 1983 HARN Adj. Wisconsin Taylor                                  */
#define PE_D_NAD_1983_HARN_ADJ_WI_TA                         106840
/*      NAD 1983 HARN Adj. Wisconsin Trempealeau                             */
#define PE_D_NAD_1983_HARN_ADJ_WI_TR                         106841
/*      NAD 1983 HARN Adj. Wisconsin Vernon                                  */
#define PE_D_NAD_1983_HARN_ADJ_WI_VR                         106842
/*      NAD 1983 HARN Adj. Wisconsin Vilas                                   */
#define PE_D_NAD_1983_HARN_ADJ_WI_VI                         106843
/*      NAD 1983 HARN Adj. Wisconsin Walworth                                */
#define PE_D_NAD_1983_HARN_ADJ_WI_WW                         106844
/*      NAD 1983 HARN Adj. Wisconsin Washburn                                */
#define PE_D_NAD_1983_HARN_ADJ_WI_WB                         106845
/*      NAD 1983 HARN Adj. Wisconsin Washington                              */
#define PE_D_NAD_1983_HARN_ADJ_WI_WA                         106846
/*      NAD 1983 HARN Adj. Wisconsin Waukesha                                */
#define PE_D_NAD_1983_HARN_ADJ_WI_WK                         106847
/*      NAD 1983 HARN Adj. Wisconsin Waupaca                                 */
#define PE_D_NAD_1983_HARN_ADJ_WI_WP                         106848
/*      NAD 1983 HARN Adj. Wisconsin Waushara                                */
#define PE_D_NAD_1983_HARN_ADJ_WI_WS                         106849
/*      NAD 1983 HARN Adj. Wisconsin Wood                                    */
#define PE_D_NAD_1983_HARN_ADJ_WI_WD                         106850
/*      NAD 1983 HARN Adj. Wisconsin Adams and Juneau                        */
#define PE_D_NAD_1983_HARN_ADJ_WI_AD_JN                      106851
/*      NAD 1983 HARN Adj. Wisconsin Green and Lafayette                     */
#define PE_D_NAD_1983_HARN_ADJ_WI_GR_LF                      106852
/*      NAD 1983 HARN Adj. Wisconsin Green Lake and Marquette                */
#define PE_D_NAD_1983_HARN_ADJ_WI_GL_MQ                      106853
/*      NAD 1983 HARN Adj. Wisconsin Dodge and Jefferson                     */
#define PE_D_NAD_1983_HARN_ADJ_WI_DD_JF                      106854
/*      NAD 1983 HARN Adj. Wisconsin Pepin and Pierce                        */
#define PE_D_NAD_1983_HARN_ADJ_WI_PP_PC                      106855
/*      NAD 1983 HARN Adj. Wisconsin Calumet, Fond du Lac, Outagamie, and    */
/*      Winnebago                                                            */
#define PE_D_NAD_1983_HARN_ADJ_WI_CL_FL_OG_WN                106856
/*      NAD 1983 HARN Adj. Wisconsin Kenosha, Milwaukee, Ozaukee, and Racine */
#define PE_D_NAD_1983_HARN_ADJ_WI_KN_MW_OZ_RA                106857
/*      NAD 1983 HARN Adj. Wisconsin Kewaunee, Manitowoc, and Sheboygan      */
#define PE_D_NAD_1983_HARN_ADJ_WI_KW_MT_SG                   106858

/*      Mercury                                                              */
#define PE_D_XT_MERCURY_2000                                 106900
/*      Venus 1985                                                           */
#define PE_D_XT_VENUS_1985                                   106901
/*      Venus 2000                                                           */
#define PE_D_XT_VENUS_2000                                   106902
/*      The Moon                                                             */
#define PE_D_XT_MOON_2000                                    106903
/*      Mars 1979                                                            */
#define PE_D_XT_MARS_1979                                    106904
/*      Mars 2000                                                            */
#define PE_D_XT_MARS_2000                                    106905
/*      Mars - Deimos                                                        */
#define PE_D_XT_DEIMOS_2000                                  106906
/*      Mars - Phobos                                                        */
#define PE_D_XT_PHOBOS_2000                                  106907
/*      Jupiter                                                              */
#define PE_D_XT_JUPITER_2000                                 106908
/*      Jupiter - Adrastea                                                   */
#define PE_D_XT_ADRASTEA_2000                                106909
/*      Jupiter - Amalthea                                                   */
#define PE_D_XT_AMALTHEA_2000                                106910
/*      Jupiter - Ananke                                                     */
#define PE_D_XT_ANANKE_2000                                  106911
/*      Jupiter - Callisto                                                   */
#define PE_D_XT_CALLISTO_2000                                106912
/*      Jupiter - Carme                                                      */
#define PE_D_XT_CARME_2000                                   106913
/*      Jupiter - Elara                                                      */
#define PE_D_XT_ELARA_2000                                   106914
/*      Jupiter - Europa                                                     */
#define PE_D_XT_EUROPA_2000                                  106915
/*      Jupiter - Ganymede                                                   */
#define PE_D_XT_GANYMEDE_2000                                106916
/*      Jupiter - Himalia                                                    */
#define PE_D_XT_HIMALIA_2000                                 106917
/*      Jupiter - Io                                                         */
#define PE_D_XT_IO_2000                                      106918
/*      Jupiter - Leda                                                       */
#define PE_D_XT_LEDA_2000                                    106919
/*      Jupiter - Lysithea                                                   */
#define PE_D_XT_LYSITHEA_2000                                106920
/*      Jupiter - Metis                                                      */
#define PE_D_XT_METIS_2000                                   106921
/*      Jupiter - Pasiphae                                                   */
#define PE_D_XT_PASIPHAE_2000                                106922
/*      Jupiter - Sinope                                                     */
#define PE_D_XT_SINOPE_2000                                  106923
/*      Jupiter - Thebe                                                      */
#define PE_D_XT_THEBE_2000                                   106924
/*      Saturn                                                               */
#define PE_D_XT_SATURN_2000                                  106925
/*      Saturn - Atlas                                                       */
#define PE_D_XT_ATLAS_2000                                   106926
/*      Saturn - Calypso                                                     */
#define PE_D_XT_CALYPSO_2000                                 106927
/*      Saturn - Dione                                                       */
#define PE_D_XT_DIONE_2000                                   106928
/*      Saturn - Enceladus                                                   */
#define PE_D_XT_ENCELADUS_2000                               106929
/*      Saturn - Epimetheus                                                  */
#define PE_D_XT_EPIMETHEUS_2000                              106930
/*      Saturn - Helene                                                      */
#define PE_D_XT_HELENE_2000                                  106931
/*      Saturn - Hyperion                                                    */
#define PE_D_XT_HYPERION_2000                                106932
/*      Saturn - Iapetus                                                     */
#define PE_D_XT_IAPETUS_2000                                 106933
/*      Saturn - Janus                                                       */
#define PE_D_XT_JANUS_2000                                   106934
/*      Saturn - Mimas                                                       */
#define PE_D_XT_MIMAS_2000                                   106935
/*      Saturn - Pan                                                         */
#define PE_D_XT_PAN_2000                                     106936
/*      Saturn - Pandora                                                     */
#define PE_D_XT_PANDORA_2000                                 106937
/*      Saturn - Phoebe                                                      */
#define PE_D_XT_PHOEBE_2000                                  106938
/*      Saturn - Prometheus                                                  */
#define PE_D_XT_PROMETHEUS_2000                              106939
/*      Saturn - Rhea                                                        */
#define PE_D_XT_RHEA_2000                                    106940
/*      Saturn - Telesto                                                     */
#define PE_D_XT_TELESTO_2000                                 106941
/*      Saturn - Tethys                                                      */
#define PE_D_XT_TETHYS_2000                                  106942
/*      Saturn - Titan                                                       */
#define PE_D_XT_TITAN_2000                                   106943
/*      Uranus                                                               */
#define PE_D_XT_URANUS_2000                                  106944
/*      Uranus - Ariel                                                       */
#define PE_D_XT_ARIEL_2000                                   106945
/*      Uranus - Belinda                                                     */
#define PE_D_XT_BELINDA_2000                                 106946
/*      Uranus - Bianca                                                      */
#define PE_D_XT_BIANCA_2000                                  106947
/*      Uranus - Cordelia                                                    */
#define PE_D_XT_CORDELIA_2000                                106948
/*      Uranus - Cressida                                                    */
#define PE_D_XT_CRESSIDA_2000                                106949
/*      Uranus - Desdemona                                                   */
#define PE_D_XT_DESDEMONA_2000                               106950
/*      Uranus - Juliet                                                      */
#define PE_D_XT_JULIET_2000                                  106951
/*      Uranus - Miranda                                                     */
#define PE_D_XT_MIRANDA_2000                                 106952
/*      Uranus - Oberon                                                      */
#define PE_D_XT_OBERON_2000                                  106953
/*      Uranus - Ophelia                                                     */
#define PE_D_XT_OPHELIA_2000                                 106954
/*      Uranus - Portia                                                      */
#define PE_D_XT_PORTIA_2000                                  106955
/*      Uranus - Puck                                                        */
#define PE_D_XT_PUCK_2000                                    106956
/*      Uranus - Rosalind                                                    */
#define PE_D_XT_ROSALIND_2000                                106957
/*      Uranus - Titania                                                     */
#define PE_D_XT_TITANIA_2000                                 106958
/*      Uranus - Umbriel                                                     */
#define PE_D_XT_UMBRIEL_2000                                 106959
/*      Neptune                                                              */
#define PE_D_XT_NEPTUNE_2000                                 106960
/*      Neptune - Despina                                                    */
#define PE_D_XT_DESPINA_2000                                 106961
/*      Neptune - Galatea                                                    */
#define PE_D_XT_GALATEA_2000                                 106962
/*      Neptune - Larissa                                                    */
#define PE_D_XT_LARISSA_2000                                 106963
/*      Neptune - Naiad                                                      */
#define PE_D_XT_NAIAD_2000                                   106964
/*      Neptune - Nereid                                                     */
#define PE_D_XT_NEREID_2000                                  106965
/*      Neptune - Proteus                                                    */
#define PE_D_XT_PROTEUS_2000                                 106966
/*      Neptune - Thalassa                                                   */
#define PE_D_XT_THALASSA_2000                                106967
/*      Neptune - Triton                                                     */
#define PE_D_XT_TRITON_2000                                  106968
/*      Pluto                                                                */
#define PE_D_XT_PLUTO_2000                                   106969
/*      Pluto - Charon                                                       */
#define PE_D_XT_CHARON_2000                                  106970

/* END of NEW DATUM's at 9.0 -----------------------                         */

/*      Abidjan 1987                                                         */
#define PE_D_ABIDJAN_1987                                      6143
/*      Accra                                                                */
#define PE_D_ACCRA                                             6168
/*      Adindan                                                              */
#define PE_D_ADINDAN                                           6201
/*      Afgooye                                                              */
#define PE_D_AFGOOYE                                           6205
/*      Agadez                                                               */
#define PE_D_AGADEZ                                            6206
/*      Australian Geodetic Datum 1966                                       */
#define PE_D_AGD_1966                                          6202
/*      Australian Geodetic Datum 1984                                       */
#define PE_D_AGD_1984                                          6203
/*      Ain el Abd 1970                                                      */
#define PE_D_AIN_EL_ABD_1970                                   6204
/*      Amersfoort                                                           */
#define PE_D_AMERSFOORT                                        6289
/*      Anguilla 1957                                                        */
#define PE_D_ANGUILLA_1957                                     6600
/*      Antigua Astro 1943                                                   */
#define PE_D_ANTIGUA_1943                                      6601
/*      Aratu                                                                */
#define PE_D_ARATU                                             6208
/*      Arc 1950                                                             */
#define PE_D_ARC_1950                                          6209
/*      Arc 1960                                                             */
#define PE_D_ARC_1960                                          6210
/*      Ancienne Triangulation Francaise                                     */
#define PE_D_ATF                                               6901
/*      Average Terrestrial System 1977                                      */
#define PE_D_ATS_1977                                          6122
/*      Barbados 1938                                                        */
#define PE_D_BARBADOS_1938                                     6212
/*      Batavia                                                              */
#define PE_D_BATAVIA                                           6211
/*      Beduaram                                                             */
#define PE_D_BEDUARAM                                          6213
/*      Beijing 1954                                                         */
#define PE_D_BEIJING_1954                                      6214
/*      Reseau National Belge 1950                                           */
#define PE_D_BELGE_1950                                        6215
/*      Reseau National Belge 1972                                           */
#define PE_D_BELGE_1972                                        6313
/*      Bermuda 1957                                                         */
#define PE_D_BERMUDA_1957                                      6216
/*      Bern 1898                                                            */
#define PE_D_BERN_1898                                         6217
/*      Bern 1938                                                            */
#define PE_D_BERN_1938                                         6306
/*      Bissau                                                               */
#define PE_D_BISSAU                                            6165
/*      Bogota                                                               */
#define PE_D_BOGOTA                                            6218
/*      Bukit Rimpah                                                         */
#define PE_D_BUKIT_RIMPAH                                      6219
/*      Camacupa                                                             */
#define PE_D_CAMACUPA                                          6220
/*      Campo Inchauspe                                                      */
#define PE_D_CAMPO_INCHAUSPE                                   6221
/*      Cape                                                                 */
#define PE_D_CAPE                                              6222
/*      Carthage                                                             */
#define PE_D_CARTHAGE                                          6223
/*      CH 1903                                                              */
#define PE_D_CH1903                                            6149
/*      CH 1903+                                                             */
#define PE_D_CH1903_PLUS                                       6150
/*      Chos Malal 1914                                                      */
#define PE_D_CHOS_MALAL_1914                                   6160
/*      Swiss Terrestrial Ref Frame 1995                                     */
#define PE_D_CHTRF_1995                                        6151
/*      Chua                                                                 */
#define PE_D_CHUA                                              6224
/*      Conakry 1905                                                         */
#define PE_D_CONAKRY_1905                                      6315
/*      Corrego Alegre                                                       */
#define PE_D_CORREGO_ALEGRE                                    6225
/*      Cote d'Ivoire                                                        */
#define PE_D_COTE_D_IVOIRE                                     6226
/*      Dabola 1981                                                          */
#define PE_D_DABOLA_1981                                       6155
/*      Datum 73                                                             */
#define PE_D_DATUM_73                                          6274
/*      Dealul Piscului 1933                                                 */
#define PE_D_DEALUL_PISCULUI_1933                              6316
/*      Dealul Piscului 1970                                                 */
#define PE_D_DEALUL_PISCULUI_1970                              6317
/*      Deir ez Zor                                                          */
#define PE_D_DEIR_EZ_ZOR                                       6227
/*      Deutsches Hauptdreiecksnetz                                          */
#define PE_D_DHDN                                              6314
/*      Dominica 1945                                                        */
#define PE_D_DOMINICA_1945                                     6602
/*      Douala                                                               */
#define PE_D_DOUALA                                            6228
/*      European Datum 1950                                                  */
#define PE_D_ED_1950                                           6230
/*      ED 1950 (ED77)                                                       */
#define PE_D_ED_1950_ED77                                      6154
/*      European Datum 1987                                                  */
#define PE_D_ED_1987                                           6231
/*      Egypt 1907                                                           */
#define PE_D_EGYPT_1907                                        6229
/*      Estonia 1992                                                         */
#define PE_D_ESTONIA_1992                                      6133
/*      European Terrestrial Ref. System 1989                                */
#define PE_D_ETRS_1989                                         6258
/*      European Terrestrial Ref. Frame 1989                                 */
#define PE_D_ETRF_1989                                       106258
/*      European Libyan Datum 1979                                           */
#define PE_D_EUROPEAN_LIBYAN_1979                              6159
/*      Fahud                                                                */
#define PE_D_FAHUD                                             6232
/*      Final Datum 1958                                                     */
#define PE_D_FD_1958                                           6132

/*      Gandajika 1970 (DEPRECATED - use PE_D_GAN_1970)                      */
#define PE_D_GANDAJIKA_1970                                    6233

/*      Garoua                                                               */
#define PE_D_GAROUA                                            6234
/*      Geocentric Datum of Australia 1994                                   */
#define PE_D_GDA_1994                                          6283
/*      Greek Geodetic Reference System 1987                                 */
#define PE_D_GGRS_1987                                         6121
/*      Greek                                                                */
#define PE_D_GREEK                                             6120
/*      Grenada 1953                                                         */
#define PE_D_GRENADA_1953                                      6603
/*      Guyane Francaise                                                     */
#define PE_D_GUYANE_FRANCAISE                                  6235
/*      Hanoi 1972                                                           */
#define PE_D_HANOI_1972                                        6147
/*      Hartebeesthoek 1994                                                  */
#define PE_D_HARTEBEESTHOEK94                                  6148
/*      Herat North                                                          */
#define PE_D_HERAT_NORTH                                       6255
/*      Hito XVIII 1963                                                      */
#define PE_D_HITO_XVIII_1963                                   6254
/*      Hu Tzu Shan                                                          */
#define PE_D_HU_TZU_SHAN                                       6236
/*      Hungarian Datum 1972                                                 */
#define PE_D_HUNGARIAN_1972                                    6237
/*      Indian 1954                                                          */
#define PE_D_INDIAN_1954                                       6239
/*      Indian 1960                                                          */
#define PE_D_INDIAN_1960                                       6131
/*      Indian 1975                                                          */
#define PE_D_INDIAN_1975                                       6240
/*      Indonesian Datum 1974                                                */
#define PE_D_INDONESIAN_1974                                   6238
/*      IRENET95                                                             */
#define PE_D_IRENET95                                          6173
/*      Israel                                                               */
#define PE_D_ISRAEL                                            6141
/*      Jamaica 1875                                                         */
#define PE_D_JAMAICA_1875                                      6241
/*      Jamaica 1969                                                         */
#define PE_D_JAMAICA_1969                                      6242
/*      Kalianpur (was PE_D_KALIANPUR)                                       */
#define PE_D_KALIANPUR_1880                                    6243
/*      Kalianpur 1937                                                       */
#define PE_D_KALIANPUR_1937                                    6144
/*      Kalianpur 1962                                                       */
#define PE_D_KALIANPUR_1962                                    6145
/*      Kalianpur 1975                                                       */
#define PE_D_KALIANPUR_1975                                    6146
/*      Kandawala                                                            */
#define PE_D_KANDAWALA                                         6244
/*      Kertau                                                               */
#define PE_D_KERTAU                                            6245
/*      Kartastokoordinaattijarjestelma                                      */
#define PE_D_KKJ                                               6123
/*      Kuwait Oil Company                                                   */
#define PE_D_KOC                                               6246
/*      Korean Datum 1985                                                    */
#define PE_D_KOREAN_1985                                       6162
/*      Korean Datum 1995                                                    */
#define PE_D_KOREAN_1995                                       6166
/*      Kuwait Utility                                                       */
#define PE_D_KUDAMS                                            6319
/*      Lake                                                                 */
#define PE_D_LAKE                                              6249
/*      La Canoa                                                             */
#define PE_D_LA_CANOA                                          6247
/*      Leigon                                                               */
#define PE_D_LEIGON                                            6250
/*      Liberia 1964                                                         */
#define PE_D_LIBERIA_1964                                      6251
/*      Lisbon                                                               */
#define PE_D_LISBON                                            6207
/*      Lithuania 1994                                                       */
#define PE_D_LITHUANIA_1994                                    6126
/*      Locodjo 1965                                                         */
#define PE_D_LOCODJO_1965                                      6142
/*      Loma Quintana                                                        */
#define PE_D_LOMA_QUINTANA                                     6288
/*      Lome                                                                 */
#define PE_D_LOME                                              6252
/*      Luzon 1911                                                           */
#define PE_D_LUZON_1911                                        6253
/*      Madrid 1870                                                          */
#define PE_D_MADRID_1870                                       6903
/*      Madzansua - superseded by Tete                                       */
#define PE_D_MADZANSUA                                         6128
/*      Mahe 1971                                                            */
#define PE_D_MAHE_1971                                         6256
/*      Makassar                                                             */
#define PE_D_MAKASSAR                                          6257
/*      Malongo 1987                                                         */
#define PE_D_MALONGO_1987                                      6259
/*      Manoca                                                               */
#define PE_D_MANOCA                                            6260
/*      Massawa                                                              */
#define PE_D_MASSAWA                                           6262
/*      Merchich                                                             */
#define PE_D_MERCHICH                                          6261
/*      Militar-Geographische Institut                                       */
#define PE_D_MGI                                               6312

/*      Mhast (DEPRECATED - use PE_D_MALONGO_1987)                           */
#define PE_D_MHAST                                             6264

/*      Minna                                                                */
#define PE_D_MINNA                                             6263
/*      Monte Mario                                                          */
#define PE_D_MONTE_MARIO                                       6265
/*      Montserrat Astro 1958                                                */
#define PE_D_MONTSERRAT_1958                                   6604
/*      Mount Dillon                                                         */
#define PE_D_MOUNT_DILLON                                      6157
/*      Moznet                                                               */
#define PE_D_MOZNET                                            6130
/*      M'poraloko                                                           */
#define PE_D_MPORALOKO                                         6266
/*      NAD Michigan                                                         */
#define PE_D_NAD_MICH                                          6268
/*      North American Datum 1927                                            */
#define PE_D_NAD_1927                                          6267
/*      NAD_1927 (CGQ77)                                                     */
#define PE_D_NAD_1927_CGQ77                                    6609
/*      NAD 1927 (1976)                                                      */
#define PE_D_NAD_1927_DEF_1976                                 6608
/*      North American Datum 1983                                            */
#define PE_D_NAD_1983                                          6269
/*      NAD 1983(Canadian Spatial Ref System)                                */
#define PE_D_NAD_1983_CSRS                                     6140
/*      NAD 1983 (HARN)                                                      */
#define PE_D_NAD_1983_HARN                                     6152
/*      Nahrwan 1967                                                         */
#define PE_D_NAHRWAN_1967                                      6270
/*      Naparima 1955                                                        */
#define PE_D_NAPARIMA_1955                                     6158
/*      Naparima 1972                                                        */
#define PE_D_NAPARIMA_1972                                     6271
/*      Nord de Guerre                                                       */
#define PE_D_NDG                                               6902
/*      National Geodetic Network (Kuwait)                                   */
#define PE_D_NGN                                               6318
/*      NGO 1948                                                             */
#define PE_D_NGO_1948                                          6273
/*      Nord Sahara 1959                                                     */
#define PE_D_NORD_SAHARA_1959                                  6307
/*      NSWC 9Z-2                                                            */
#define PE_D_NSWC_9Z_2                                         6276
/*      Nouvelle Triangulation Francaise                                     */
#define PE_D_NTF                                               6275
/*      New Zealand Geodetic Datum 1949                                      */
#define PE_D_NZGD_1949                                         6272
/*      Observatario - superseded by Tete                                    */
#define PE_D_OBSERVATARIO                                      6129
/*      Old Hawaiian                                                         */
#define PE_D_OLD_HAWAIIAN                                      6135
/*      OSGB 1936                                                            */
#define PE_D_OSGB_1936                                         6277
/*      OSGB 1970 (SN)                                                       */
#define PE_D_OSGB_1970_SN                                      6278
/*      OS (SN) 1980                                                         */
#define PE_D_OS_SN_1980                                        6279
/*      Padang 1884                                                          */
#define PE_D_PADANG_1884                                       6280
/*      Palestine 1923                                                       */
#define PE_D_PALESTINE_1923                                    6281
/*      Pampa del Castillo                                                   */
#define PE_D_PAMPA_DEL_CASTILLO                                6161
/*      PDO Survey Datum 1993                                                */
#define PE_D_PDO_1993                                          6134
/*      Pointe Noire                                                         */
#define PE_D_POINTE_NOIRE                                      6282
/*      Posiciones Geodesicas Argentinas                                     */
#define PE_D_POSGAR                                            6172
/*      Provisional South Amer. Datum 1956                                   */
#define PE_D_PSAD_1956                                         6248
/*      Puerto Rico                                                          */
#define PE_D_PUERTO_RICO                                       6139
/*      Pulkovo 1942                                                         */
#define PE_D_PULKOVO_1942                                      6284
/*      Pulkovo 1995                                                         */
#define PE_D_PULKOVO_1995                                      6200
/*      Qatar                                                                */
#define PE_D_QATAR                                             6285
/*      Qatar 1948                                                           */
#define PE_D_QATAR_1948                                        6286
/*      Qornoq                                                               */
#define PE_D_QORNOQ                                            6287
/*      Rassadiran                                                           */
#define PE_D_RASSADIRAN                                        6153
/*      RT 1990                                                              */
#define PE_D_RT90                                              6124
/*      South American Datum 1969                                            */
#define PE_D_SAD_1969                                          6618
/*      Samboja                                                              */
#define PE_D_SAMBOJA                                           6125
/*      Sapper Hill 1943                                                     */
#define PE_D_SAPPER_HILL_1943                                  6292
/*      Schwarzeck                                                           */
#define PE_D_SCHWARZECK                                        6293
/*      Segora                                                               */
#define PE_D_SEGORA                                            6294
/*      Serindung                                                            */
#define PE_D_SERINDUNG                                         6295
/*      Sierra Leone 1924                                                    */
#define PE_D_SIERRA_LEONE_1924                                 6174
/*      Sierra Leone 1968                                                    */
#define PE_D_SIERRA_LEONE_1968                                 6175
/*      Sistema de Referencia Geocentrico para America del Sur               */
#define PE_D_SIRGAS                                            6170
/*      South Yemen                                                          */
#define PE_D_SOUTH_YEMEN                                       6164
/*      Stockholm 1938                                                       */
#define PE_D_STOCKHOLM_1938                                    6308
/*      Alaska - St. George Island                                           */
#define PE_D_ST_GEORGE_ISLAND                                  6138
/*      St. Kitts 1955                                                       */
#define PE_D_ST_KITTS_1955                                     6605
/*      Alaska - St. Lawrence Island                                         */
#define PE_D_ST_LAWRENCE_ISLAND                                6136
/*      St. Lucia 1955                                                       */
#define PE_D_ST_LUCIA_1955                                     6606
/*      Alaska - St. Paul Island                                             */
#define PE_D_ST_PAUL_ISLAND                                    6137
/*      St. Vincent 1945                                                     */
#define PE_D_ST_VINCENT_1945                                   6607
/*      Sudan                                                                */
#define PE_D_SUDAN                                             6296
/*      S-JTSK                                                               */
#define PE_D_S_JTSK                                            6156
/*      Tananarive 1925                                                      */
#define PE_D_TANANARIVE_1925                                   6297
/*      Tete                                                                 */
#define PE_D_TETE                                              6127
/*      Timbalai 1948                                                        */
#define PE_D_TIMBALAI_1948                                     6298
/*      TM65                                                                 */
#define PE_D_TM65                                              6299
/*      TM75                                                                 */
#define PE_D_TM75                                              6300
/*      Tokyo                                                                */
#define PE_D_TOKYO                                             6301
/*      Trinidad 1903                                                        */
#define PE_D_TRINIDAD_1903                                     6302
/*      Trucial Coast 1948                                                   */
#define PE_D_TRUCIAL_COAST_1948                                6303
/*      Voirol 1875                                                          */
#define PE_D_VOIROL_1875                                       6304
/*      Voirol Unifie 1960                                                   */
#define PE_D_VOIROL_UNIFIE_1960                                6305
/*      WGS 1972                                                             */
#define PE_D_WGS_1972                                          6322
/*      WGS 1972 Transit Broadcast Ephemeris                                 */
#define PE_D_WGS_1972_BE                                       6324
/*      WGS 1984                                                             */
#define PE_D_WGS_1984                                          6326
/*      Yacare                                                               */
#define PE_D_YACARE                                            6309
/*      Yemen Nat'l Geodetic Network 1996                                    */
#define PE_D_YEMEN_NGN_1996                                    6163
/*      Yoff                                                                 */
#define PE_D_YOFF                                              6310
/*      Zanderij                                                             */
#define PE_D_ZANDERIJ                                          6311

/*      Estonia 1937                                                         */
#define PE_D_ESTONIA_1937                                    106101
/*      Hermannskogel                                                        */
#define PE_D_HERMANNSKOGEL                                   106102
/*      Sierra Leone 1960                                                    */
#define PE_D_SIERRA_LEONE_1960                               106103
/*      European 1979                                                        */
#define PE_D_EUROPEAN_1979                                     6668
/*      Everest - Bangladesh                                                 */
#define PE_D_EVEREST_BANGLADESH                              106202
/*      Everest - India and Nepal                                            */
#define PE_D_EVEREST_INDIA_NEPAL                             106203
/*      Hjorsey 1955                                                         */
#define PE_D_HJORSEY_1955                                      6658
/*      Hong Kong 1963                                                       */
#define PE_D_HONG_KONG_1963                                    6738
/*      Oman                                                                 */
#define PE_D_OMAN                                            106206
/*      South Asia Singapore                                                 */
#define PE_D_S_ASIA_SINGAPORE                                106207
/*      Ayabelle Lighthouse                                                  */
#define PE_D_AYABELLE                                          6713
/*      Point 58                                                             */
#define PE_D_POINT58                                           6620
/*      Astro Beacon E 1945 (Iwo Jima 1945)                                  */
#define PE_D_BEACON_E_1945                                     6709
/*      Tern Island Astro 1961                                               */
#define PE_D_TERN_ISLAND_1961                                  6707
/*      Astronomical Station 1952 (Marcus Island 1952 )                      */
#define PE_D_ASTRO_1952                                        6711
/*      Bellevue IGN                                                         */
#define PE_D_BELLEVUE                                          6714
/*      Canton Astro 1966 (Phoenix Islands 1966)                             */
#define PE_D_CANTON_1966                                       6716
/*      Chatham Island Astro 1971                                            */
#define PE_D_CHATHAM_ISLAND_1971                               6672
/*      DOS 1968                                                             */
#define PE_D_DOS_1968                                        106218
/*      Easter Island 1967                                                   */
#define PE_D_EASTER_ISLAND_1967                                6719
/*      Guam 1963                                                            */
#define PE_D_GUAM_1963                                         6675
/*      GUX 1 Astro                                                          */
#define PE_D_GUX_1                                           106221
/*      Johnston Island 1961                                                 */
#define PE_D_JOHNSTON_ISLAND_1961                              6725
/*      Kusaie Astro 1951                                                    */
#define PE_D_KUSAIE_1951                                       6735
/*      Midway Astro 1961                                                    */
#define PE_D_MIDWAY_1961                                       6727
/*      Pitcairn Astro 1967                                                  */
#define PE_D_PITCAIRN_1967                                     6729
/*      Santo DOS 1965                                                       */
#define PE_D_SANTO_DOS_1965                                    6730
/*      Viti Levu 1916                                                       */
#define PE_D_VITI_LEVU_1916                                    6731
/*      Wake-Eniwetok 1960 (Marshall Islands 1960)                           */
#define PE_D_WAKE_ENIWETOK_1960                                6732
/*      Wake Island Astro 1952                                               */
#define PE_D_WAKE_ISLAND_1952                                  6733
/*      Anna 1 Astro 1965 (Cocos Islands 1965)                               */
#define PE_D_ANNA_1_1965                                       6708
/*      Gan 1970                                                             */
#define PE_D_GAN_1970                                          6684
/*      ISTS 073 Astro 1969 (Diego Garcia 1969)                              */
#define PE_D_ISTS_073_1969                                     6724
/*      Kerguelen Island 1949                                                */
#define PE_D_KERGUELEN_ISLAND_1949                             6698
/*      Reunion 1947                                                         */
#define PE_D_REUNION_1947                                      6626
/*      Ascension Island 1958                                                */
#define PE_D_ASCENSION_ISLAND_1958                             6712
/*      Astro DOS 71/4 (St. Helena 1971)                                     */
#define PE_D_DOS_71_4                                          6710
/*      Cape Canaveral                                                       */
#define PE_D_CAPE_CANAVERAL                                    6717
/*      Fort Thomas 1955                                                     */
#define PE_D_FORT_THOMAS_1955                                106240
/*      Graciosa Base SW 1948                                                */
#define PE_D_GRACIOSA_1948                                   106241
/*      ISTS 061 Astro 1968 (South Georgia 1968)                             */
#define PE_D_ISTS_061_1968                                     6722
/*      L.C. 5 Astro 1961                                                    */
#define PE_D_LC5_1961                                        106243
/*      Observ. Meteorologico 1939                                           */
#define PE_D_OBSERV_METEOR_1939                              106245
/*      Pico de Las Nieves                                                   */
#define PE_D_PICO_DE_LAS_NIEVES                                6728
/*      Porto Santo 1936                                                     */
#define PE_D_PORTO_SANTO_1936                                  6615
/*      Sao Braz                                                             */
#define PE_D_SAO_BRAZ                                        106249
/*      Selvagem Grande 1938                                                 */
#define PE_D_SELVAGEM_GRANDE_1938                              6616
/*      Tristan Astro 1968                                                   */
#define PE_D_TRISTAN_1968                                      6734
/*      American Samoa 1962                                                  */
#define PE_D_SAMOA_1962                                        6169
/*      Camp Area Astro                                                      */
#define PE_D_CAMP_AREA                                         6715
/*      Deception Island                                                     */
#define PE_D_DECEPTION_ISLAND                                  6736
/*      Gunung Segara                                                        */
#define PE_D_GUNUNG_SEGARA                                     6613
/*      S-42 Hungary                                                         */
#define PE_D_S42_HUNGARY                                     106257
/*      Alaskan Islands                                                      */
#define PE_D_ALASKAN_ISLANDS                                 106260
/*      Hong Kong 1980                                                       */
#define PE_D_HONG_KONG_1980                                    6611
/*      Datum Lisboa Bessel                                                  */
#define PE_D_LISBOA_BESSEL                                   106262
/*      Datum Lisboa Hayford                                                 */
#define PE_D_LISBOA_HAYFORD                                  106263
/*      Reseau Geodesique Francais 1993                                      */
#define PE_D_RGF_1993                                          6171
/*      New Zealand Geodetic Datum 2000                                      */
#define PE_D_NZGD_2000                                         6167
/*      Pohnpei - Fed. States Micronesia                                     */
#define PE_D_POHNPEI                                         106266
/*      REGVEN                                                               */
#define PE_D_REGVEN                                            6189
/*      Japan Geodetic Datum 2000                                            */
#define PE_D_JGD_2000                                          6612
/*      Bab South Astro - Bablethuap Is - Republic of Palau                  */
#define PE_D_BAB_SOUTH                                       106269
/*      Majuro - Republic of Marshall Is.                                    */
#define PE_D_MAJURO                                          106270

/* ------------------------------------------------------------------------- */
/* H O R I Z O N T A L   D A T U M S                                         */
/* (S P H E R O I D   O N L Y)                                               */
/* ------------------------------------------------------------------------- */

/*      Airy 1830                                                            */
#define PE_D_AIRY_1830                                         6001
/*      Airy modified                                                        */
#define PE_D_AIRY_MOD                                          6002
/*      Australian National                                                  */
#define PE_D_AUSTRALIAN                                        6003
/*      Bessel 1841                                                          */
#define PE_D_BESSEL_1841                                       6004
/*      Bessel modified                                                      */
#define PE_D_BESSEL_MOD                                        6005
/*      Bessel Namibia                                                       */
#define PE_D_BESSEL_NAMIBIA                                    6006
/*      Clarke 1858                                                          */
#define PE_D_CLARKE_1858                                       6007
/*      Clarke 1866                                                          */
#define PE_D_CLARKE_1866                                       6008
/*      Clarke 1866 Michigan                                                 */
#define PE_D_CLARKE_1866_MICH                                  6009
/*      Clarke 1880                                                          */
#define PE_D_CLARKE_1880                                       6034
/*      Clarke 1880 (Arc)                                                    */
#define PE_D_CLARKE_1880_ARC                                   6013
/*      Clarke 1880 (Benoit)                                                 */
#define PE_D_CLARKE_1880_BENOIT                                6010
/*      Clarke 1880 (IGN)                                                    */
#define PE_D_CLARKE_1880_IGN                                   6011
/*      Clarke 1880 (RGS)                                                    */
#define PE_D_CLARKE_1880_RGS                                   6012
/*      Clarke 1880 (SGA)                                                    */
#define PE_D_CLARKE_1880_SGA                                   6014
/*      Everest 1830 (was 106015)                                            */
#define PE_D_EVEREST_1830                                      6042
/*      Everest (adjustment 1937)                                            */
#define PE_D_EVEREST_ADJ_1937                                  6015
/*      Everest (definition 1962)                                            */
#define PE_D_EVEREST_DEF_1962                                  6044
/*      Everest (definition 1967)                                            */
#define PE_D_EVEREST_DEF_1967                                  6016
/*      Everest (definition 1975) (was 6017)                                 */
#define PE_D_EVEREST_DEF_1975                                  6045
/*      Everest modified                                                     */
#define PE_D_EVEREST_MOD                                       6018
/*      GEM gravity potential model                                          */
#define PE_D_GEM_10C                                           6031
/*      GRS 1967                                                             */
#define PE_D_GRS_1967                                          6036
/*      GRS 1980                                                             */
#define PE_D_GRS_1980                                          6019
/*      Helmert 1906                                                         */
#define PE_D_HELMERT_1906                                      6020
/*      Indonesian National                                                  */
#define PE_D_INDONESIAN                                        6021
/*      International 1924                                                   */
#define PE_D_INTERNATIONAL_1924                                6022
/*      International 1967                                                   */
#define PE_D_INTERNATIONAL_1967                                6023
/*      Krasovsky 1940                                                       */
#define PE_D_KRASOVSKY_1940                                    6024
/*      Transit precise ephemeris                                            */
#define PE_D_NWL_9D                                            6025
/*      OSU 1986 geoidal model                                               */
#define PE_D_OSU_86F                                           6032
/*      OSU 1991 geoidal model                                               */
#define PE_D_OSU_91A                                           6033
/*      Plessis 1817                                                         */
#define PE_D_PLESSIS_1817                                      6027
/*      Authalic sphere                                                      */
#define PE_D_SPHERE                                            6035
/*      Struve 1860                                                          */
#define PE_D_STRUVE_1860                                       6028
/*      War Office                                                           */
#define PE_D_WAR_OFFICE                                        6029

/*      WGS 1966                                                             */
#define PE_D_WGS_1966                                          6760
/*      Fischer 1960                                                         */
#define PE_D_FISCHER_1960                                    106002
/*      Fischer 1968                                                         */
#define PE_D_FISCHER_1968                                    106003
/*      Fischer modified                                                     */
#define PE_D_FISCHER_MOD                                     106004
/*      Hough 1960                                                           */
#define PE_D_HOUGH_1960                                      106005
/*      Everest modified 1969                                                */
#define PE_D_EVEREST_MOD_1969                                106006
/*      Walbeck                                                              */
#define PE_D_WALBECK                                         106007
/*      Authalic sphere (ARC/INFO)                                           */
#define PE_D_SPHERE_AI                                       106008

/*      NAD 1983 HARN Adj. Minnesota St Louis                                */
#define PE_D_NAD_1983_HARN_ADJ_MN_ST_LOUIS                   106786
/* ------------------------------------------------------------------------- */
/* deprecated datum macros                                                   */
/* ------------------------------------------------------------------------- */

#define PE_D_DABOLA \
        PE_D_DABOLA_1981

#define PE_D_K0_1949 \
        PE_D_KERGUELEN_ISLAND_1949

#define PE_D_NAD_1983_CSRS98 \
        PE_D_NAD_1983_CSRS

#define PE_D_PITON_DES_NEIGES \
        PE_D_REUNION_1947

#define PE_D_REUNION \
        PE_D_REUNION_1947

#define PE_D_TAHAA \
        PE_D_TAHAA_1954

#define PE_D_TAHITI \
        PE_D_TAHITI_1952


/* ------------------------------------------------------------------------- */
/* V E R T I C A L   D A T U M S                                             */
/* ------------------------------------------------------------------------- */

/* NEW VDATUMs at 10.0 ------------------------                              */

/*      EGM2008 Geoid                                                        */
#define PE_VERTD_EGM2008_GEOID                               105290
/*      Fao 1979                                                             */
#define PE_VERTD_FAO_1979                                    105291
/*      Croatian Vertical Reference System 1971                              */
#define PE_VERTD_CROATIAN_VRS_1971                             5207
/*      Rikets hojdsystem 1900                                               */
#define PE_VERTD_RH1900                                        5209
/*      IGN 1988 LS                                                          */
#define PE_VERTD_IGN_1988_LS                                   5210
/*      IGN 1988 MG                                                          */
#define PE_VERTD_IGN_1988_MG                                   5211
/*      IGN 1992 LD                                                          */
#define PE_VERTD_IGN_1992_LD                                   5212
/*      IGN 1988 SB                                                          */
#define PE_VERTD_IGN_1988_SB                                   5213
/*      IGN 1988 SM                                                          */
#define PE_VERTD_IGN_1988_SM                                   5214
/*      European Vertical Reference Frame 2007                               */
#define PE_VERTD_EUROPEAN_VRF_2007                             5215

/*      New Zealand Vertical Datum 2009                                      */
#define PE_VERTD_NZVD_2009                                   105292
/*      N2000                                                                */
#define PE_VERTD_N2000                                       105293
/*      Dunedin-Bluff 1960                                                   */
#define PE_VERTD_DUNEDIN_BLUFF_1960                          105294

/* 9.3 ----------------------------                                          */

/*      Mean Sea Level                                                       */
#define PE_VERTD_MSL                                           5100
/*      Ordnance Datum Newlyn                                                */
#define PE_VERTD_OD_NEWLYN                                     5101
/*      National Geodetic Vertical Datum 1929                                */
#define PE_VERTD_NGVD_1929                                     5102
/*      North American Vertical Datum 1988                                   */
#define PE_VERTD_NAVD_1988                                     5103
/*      Yellow Sea 1956                                                      */
#define PE_VERTD_YELLOW_SEA_1956                               5104
/*      Baltic Sea                                                           */
#define PE_VERTD_BALTIC_SEA                                    5105
/*      Caspian Sea                                                          */
#define PE_VERTD_CASPIAN_SEA                                   5106
/*      Normaal Amsterdams Peil                                              */
#define PE_VERTD_NAP                                           5109
/*      Oostende                                                             */
#define PE_VERTD_OOSTENDE                                      5110
/*      Australian Height Datum                                              */
#define PE_VERTD_AHD                                           5111
/*      Australian Height Datum (Tasmania)                                   */
#define PE_VERTD_AHD_TASMANIA                                  5112
/*      Sea Level                                                            */
#define PE_VERTD_SEA_LEVEL                                     5113
/*      Canadian Geodetic Vertical Datum of 1928                             */
#define PE_VERTD_CGVD_1928                                     5114
/*      Piraeus Harbour 1986                                                 */
#define PE_VERTD_PIRAEUS_HARBOUR_1986                          5115
/*      Helsinki 1960                                                        */
#define PE_VERTD_HELSINKI_1960                                 5116
/*      Rikets Hojdsystem 1970                                               */
#define PE_VERTD_RH70                                          5117
/*      Nivellement General de la France - Lallemand                         */
#define PE_VERTD_NGF_LALLEMAND                                 5118
/*      Nivellement General de la France - IGN69                             */
#define PE_VERTD_NGF_IGN69                                     5119
/*      Nivellement General de la France - IGN78                             */
#define PE_VERTD_NGF_IGN78                                     5120
/*      Maputo                                                               */
#define PE_VERTD_MAPUTO                                        5121
/*      Japanese Standard Levelling Datum 1949                               */
#define PE_VERTD_JAPAN_STD_LEVEL_DATUM_1949                    5122
/*      PDO Height Datum 1993                                                */
#define PE_VERTD_PDO_HEIGHT_DATUM_1993                         5123
/*      Fahud Height Datum                                                   */
#define PE_VERTD_FAHUD_HEIGHT_DATUM                            5124
/*      Ha Tien 1960                                                         */
#define PE_VERTD_HA_TIEN_1960                                  5125
/*      Hon Dau 1992                                                         */
#define PE_VERTD_HON_DAU_1992                                  5126
/*      Landesnivellement 1902                                               */
#define PE_VERTD_LN_1902                                       5127
/*      Landeshohennetz 1995                                                 */
#define PE_VERTD_LHN95                                         5128
/*      European Vertical Reference Frame 2000                               */
#define PE_VERTD_EVRF_2000                                     5129
/*      Malin Head                                                           */
#define PE_VERTD_MALIN_HEAD                                    5130
/*      Belfast                                                              */
#define PE_VERTD_BELFAST                                       5131
/*      Dansk Normal Nul                                                     */
#define PE_VERTD_DANSK_NORMAL_NUL                              5132
/*      AIOC 1995                                                            */
#define PE_VERTD_AIOC_1995                                     5133
/*      Black Sea                                                            */
#define PE_VERTD_BLACK_SEA                                     5134
/*      Hong Kong Principal Datum                                            */
#define PE_VERTD_HONG_KONG_PRINCIPAL_DATUM                     5135
/*      Hong Kong Chart Datum                                                */
#define PE_VERTD_HONG_KONG_CHART_DATUM                         5136
/*      Yellow Sea 1985                                                      */
#define PE_VERTD_YELLOW_SEA_1985                               5137
/*      Ordnance Datum Newlyn (Orkney Isles)                                 */
#define PE_VERTD_OD_NEWLYN_ORKNEY_ISLES                        5138
/*      Fair Isle                                                            */
#define PE_VERTD_FAIR_ISLE                                     5139
/*      Lerwick                                                              */
#define PE_VERTD_LERWICK                                       5140
/*      Foula                                                                */
#define PE_VERTD_FOULA                                         5141
/*      Sule Skerry                                                          */
#define PE_VERTD_SULE_SKERRY                                   5142
/*      North Rona                                                           */
#define PE_VERTD_NORTH_RONA                                    5143
/*      Stornoway                                                            */
#define PE_VERTD_STORNOWAY                                     5144
/*      St. Kilda                                                            */
#define PE_VERTD_ST_KILDA                                      5145
/*      Flannan Isles                                                        */
#define PE_VERTD_FLANNAN_ISLES                                 5146
/*      St. Marys                                                            */
#define PE_VERTD_ST_MARYS                                      5147
/*      Douglas                                                              */
#define PE_VERTD_DOUGLAS                                       5148
/*      Fao                                                                  */
#define PE_VERTD_FAO                                           5149
/*      Bandar Abbas                                                         */
#define PE_VERTD_BANDAR_ABBAS                                  5150
/*      Nivellement General de Nouvelle Caledonie                            */
#define PE_VERTD_NGNC                                          5151
/*      Poolbeg                                                              */
#define PE_VERTD_POOLBEG                                       5152
/*      Nivellement General Guyanais 1977                                    */
#define PE_VERTD_NGG_1977                                      5153
/*      IGN 1987                                                             */
#define PE_VERTD_IGN_1987                                      5154
/*      IGN 1988                                                             */
#define PE_VERTD_IGN_1988                                      5155
/*      IGN 1989                                                             */
#define PE_VERTD_IGN_1989                                      5156
/*      Auckland                                                             */
#define PE_VERTD_AUCKLAND                                      5157
/*      Bluff                                                                */
#define PE_VERTD_BLUFF                                         5158
/*      Dunedin                                                              */
#define PE_VERTD_DUNEDIN                                       5159
/*      Gisborne                                                             */
#define PE_VERTD_GISBORNE                                      5160
/*      Lyttleton                                                            */
#define PE_VERTD_LYTTLETON                                     5161
/*      Moturiki                                                             */
#define PE_VERTD_MOTURIKI                                      5162
/*      Napier                                                               */
#define PE_VERTD_NAPIER                                        5163
/*      Nelson                                                               */
#define PE_VERTD_NELSON                                        5164
/*      One Tree Point                                                       */
#define PE_VERTD_ONE_TREE_POINT                                5165
/*      Tararu                                                               */
#define PE_VERTD_TARARU                                        5166
/*      Taranaki                                                             */
#define PE_VERTD_TARANAKI                                      5167
/*      Wellington                                                           */
#define PE_VERTD_WELLINGTON                                    5168
/*      Chatham Island                                                       */
#define PE_VERTD_CHATHAM_ISLAND                                5169
/*      Stewart Island                                                       */
#define PE_VERTD_STEWART_ISLAND                                5170
/*      EGM96 Geoid                                                          */
#define PE_VERTD_EGM96_GEOID                                   5171
/*      Nivellement General du Luxembourg                                    */
#define PE_VERTD_NG_L                                          5172
/*      Antalya                                                              */
#define PE_VERTD_ANTALYA                                       5173
/*      Norway Normal Nul 1954                                               */
#define PE_VERTD_NN54                                          5174
/*      Durres                                                               */
#define PE_VERTD_DURRES                                        5175
/*      Gebrauchshohen ADRIA                                                 */
#define PE_VERTD_GHA                                           5176
/*      National Vertical Network 1999 (Slovenia)                            */
#define PE_VERTD_NVN99                                         5177
/*      Cascais                                                              */
#define PE_VERTD_CASCAIS                                       5178
/*      Constanta                                                            */
#define PE_VERTD_CONSTANTA                                     5179
/*      Alicante                                                             */
#define PE_VERTD_ALICANTE                                      5180
/*      Deutches Haupthohennetz 1992                                         */
#define PE_VERTD_DHHN92                                        5181
/*      Deutches Haupthohennetz 1985                                         */
#define PE_VERTD_DHHN85                                        5182
/*      SNN76                                                                */
#define PE_VERTD_SNN76                                         5183
/*      Baltic 1982                                                          */
#define PE_VERTD_BALTIC_1982                                   5184
/*      Baltic 1980                                                          */
#define PE_VERTD_BALTIC_1980                                   5185
/*      Kuwait PWD                                                           */
#define PE_VERTD_KUWAIT_PWD                                    5186
/*      KOC Well Datum                                                       */
#define PE_VERTD_KOC_WELL_DATUM                                5187
/*      KOC Construction Datum                                               */
#define PE_VERTD_KOC_CONSTRUCTION_DATUM                        5188
/*      Nivellement General de la Corse 1948                                 */
#define PE_VERTD_NGC_1948                                      5189
/*      Danger 1950                                                          */
#define PE_VERTD_DANGER_1950                                   5190
/*      Mayotte 1950                                                         */
#define PE_VERTD_MAYOTTE_1950                                  5191
/*      Martinique 1955                                                      */
#define PE_VERTD_MARTINIQUE_1955                               5192
/*      Guadeloupe 1951                                                      */
#define PE_VERTD_GUADELOUPE_1951                               5193
/*      Lagos 1955                                                           */
#define PE_VERTD_LAGOS_1955                                    5194
/*      Nivellement General de Polynesie Francaise                           */
#define PE_VERTD_NGPF                                          5195
/*      IGN 1966                                                             */
#define PE_VERTD_IGN_1966                                      5196
/*      Moorea SAU 1981                                                      */
#define PE_VERTD_MOOREA_SAU_1981                               5197
/*      Raiatea SAU 2001                                                     */
#define PE_VERTD_RAIATEA_SAU_2001                              5198
/*      Maupiti SAU 2001                                                     */
#define PE_VERTD_MAUPITI_SAU_2001                              5199
/*      Huahine SAU 2001                                                     */
#define PE_VERTD_HUAHINE_SAU_2001                              5200
/*      Tahaa SAU 2001                                                       */
#define PE_VERTD_TAHAA_SAU_2001                                5201
/*      Bora Bora SAU 2001                                                   */
#define PE_VERTD_BORA_BORA_SAU_2001                            5202
/*      EGM84 Geoid                                                          */
#define PE_VERTD_EGM84_GEOID                                   5203
/*      International Great Lakes Datum 1955                                 */
#define PE_VERTD_IGLD_1955                                     5204
/*      International Great Lakes Datum 1985                                 */
#define PE_VERTD_IGLD_1985                                     5205
/*      Dansk Vertical Reference 1990                                        */
#define PE_VERTD_DANSK_VERT_REF_1990                           5206
/*      Rikets Hojdsystem 2000                                               */
#define PE_VERTD_RH2000                                        5208

/*      Generic WGS 1984 Geoid                                               */
#define PE_VERTD_WGS_1984_GEOID                              105100
/* ------------------------------------------------------------------------- */
/* deprecated vdatum macros                                                  */
/* ------------------------------------------------------------------------- */

#define PE_VERTD_NGF_LALLE \
        PE_VERTD_NGF_LALLEMAND


/* ------------------------------------------------------------------------- */
/* G E O G R A P H I C   T R A N S F O R M A T I O N S                       */
/* ------------------------------------------------------------------------- */

/* ------------------------------------------------------------------------- */
/* Transforms by Geocentric Translation,                                     */
/* Coordinate Frame, Position Vector and                                     */
/* Molodensky-Badekas Methods                                                */
/* ------------------------------------------------------------------------- */

/* New GEOGTRANs at 10.0                                                     */

/*      Sweden - onshore and offshore                                        */
#define PE_GT_RT90_TO_SWEREF99_1                               1895
/*      Iceland                                                              */
#define PE_GT_ISN_1993_TO_ISN_2004                           108214
/*      Iceland                                                              */
#define PE_GT_ISN_2004_TO_ISN_1993                           108216

/*      NAD 1983 Pacific Plate 2000 to WGS_1984                              */
#define PE_GT_NAD_1983_PACP00_TO_WGS_1984                    108017
/*      NAD 1983 Marianas Plate 2000 to WGS_1984                             */
#define PE_GT_NAD_1983_MARP00_TO_WGS_1984                    108018

/*      Algerie                                                              */
#define PE_GT_VOIROL_UNIFIE_1960_GRAD_TO_WGS_1984            108265
/*      Algerie                                                              */
#define PE_GT_VOIROL_1875_GRAD_TO_WGS_1984                   108278

/*      Combined Idaho-Montana HARN                                          */
#define PE_GT_NAD_1983_TO_HARN_IM                            108298

/*      Old Hawaiian on Intl_1924 to WGS 1984 (OHI_M - Mean)                 */
#define PE_GT_OLD_HAWAIIAN_INTL_1924_TO_WGS_1984_MEAN        108330
/*      Old Hawaiian on Intl_1924 to WGS 1984 (OHI_A - Hawaii)               */
#define PE_GT_OLD_HAWAIIAN_INTL_1924_TO_WGS_1984_HAWAII      108331
/*      Old Hawaiian on Intl_1924 to WGS 1984 (OHI_B - Kauai)                */
#define PE_GT_OLD_HAWAIIAN_INTL_1924_TO_WGS_1984_KAUAI       108332
/*      Old Hawaiian on Intl_1924 to WGS 1984 (OHI_C - Maui)                 */
#define PE_GT_OLD_HAWAIIAN_INTL_1924_TO_WGS_1984_MAUI        108333
/*      Old Hawaiian on Intl_1924 to WGS 1984 (OHI_D - Oahu)                 */
#define PE_GT_OLD_HAWAIIAN_INTL_1924_TO_WGS_1984_OAHU        108334

/*      European 1950 to WGS 1984, Mean 7 par                                */
#define PE_GT_ED_1950_TO_WGS_1984_NGA_7PAR                   108335
/*      OSGB 1936 to WGS 1984, Mean 7 par                                    */
#define PE_GT_OSGB_1936_TO_WGS_1984_NGA_7PAR                 108336

/*      Hong Kong 1980 to ITRF 1996 (Epoch 1998:121)                         */
#define PE_GT_HONG_KONG_1980_TO_ITRF_1996                    108337

/*      Carthage in grads to Carthage in degrees                             */
#define PE_GT_CARTHAGE_GRAD_TO_CARTHAGE                      108338
/*      Voirol 1875 in grads to Voirol 1875 in degrees                       */
#define PE_GT_VOIROL_1875_GRAD_TO_VOIROL_1875                108339
/*      Voirol 1879 in grads to Voirol 1879 in degrees                       */
#define PE_GT_VOIROL_1879_GRAD_TO_VOIROL_1879                108340


/*      Japan - NTv2 emulation                                               */
#define PE_GT_TOKYO_TO_JGD_2000_NTV2                         108108
/*      Japan - NTv2 emulation                                               */
#define PE_GT_TOKYO_TO_WGS_1984_NTV2                         108109

/*      Austria - Styria                                                     */
#define PE_GT_MGI_TO_ETRS_1989_4                               1024
/*      Austria - Styria                                                     */
#define PE_GT_MGI_TO_WGS_1984_8                                1194
/*      Hungary                                                              */
#define PE_GT_HUNGARIAN_1972_TO_WGS_1984_4                     1242
/*      Russian Federation - onshore and offshore                            */
#define PE_GT_PULKOVO_1942_TO_WGS_1984_17                      1267
/*      Russian Federation - onshore and offshore                            */
#define PE_GT_PULKOVO_1995_TO_WGS_1984_1                       1281
/*      Hungary                                                              */
#define PE_GT_HUNGARIAN_1972_TO_WGS_1984_3                     1448
/*      Hungary                                                              */
#define PE_GT_HUNGARIAN_1972_TO_ETRS_1989_2                    1449
/*      Portugal - mainland - onshore                                        */
#define PE_GT_LISBON_TO_WGS_1984_1                             1656
/*      Portugal - mainland - onshore                                        */
#define PE_GT_DATUM_73_TO_WGS_1984_1_PRT2000                   1658
/*      Japan                                                                */
#define PE_GT_TOKYO_TO_WGS_1984_108                           15484
/*      Brazil. Includes Rocas, Fernando de Noronha archipelago, Trindade,   */
/*      Ihlas Martim Vaz and Sao Pedro e Sao Paulo                           */
#define PE_GT_SAD_1969_TO_SIRGAS_2000_1                       15485
/*      Nigeria - 4N to 5N and 6E to 8E                                      */
#define PE_GT_MINNA_TO_WGS_1984_15                            15493
/*      Pakistan - Gambat                                                    */
#define PE_GT_KALIANPUR_1962_TO_WGS_1984_6                    15494
/*      Ghana - offshore                                                     */
#define PE_GT_ACCRA_TO_WGS_1984_3                             15495
/*      Romania - onshore and offshore                                       */
#define PE_GT_PULKOVO_1942_ADJ_1958_TO_WGS_1984_18            15496
/*      Romania - onshore and offshore                                       */
#define PE_GT_PULKOVO_1942_ADJ_1958_TO_WGS_1984_9             15497
/*      United States - offshore Gulf of Mexico (GoM) E of approx. 87~15'W - */
/*      protraction areas                                                    */
#define PE_GT_NAD_1927_TO_WGS_1984_80                         15852
/*      United States - offshore Gulf of Mexico (GoM) between approx. 95W    */
/*      and 87~15'W - protraction areas                                      */
#define PE_GT_NAD_1927_TO_WGS_1984_81                         15853
/*      United States - offshore Gulf of Mexico (GoM) W of approx. 95W -     */
/*      protraction areas                                                    */
#define PE_GT_NAD_1927_TO_WGS_1984_82                         15854
/*      United States - offshore Gulf of Mexico (GoM) - protraction areas    */
#define PE_GT_NAD_1927_TO_WGS_1984_84                         15856
/*      Malaysia - W Malaysia; Singapore                                     */
#define PE_GT_KERTAU_RSO_TO_KERTAU_1                          15896
/*      Fiji - Viti Levu island                                              */
#define PE_GT_VITI_LEVU_1912_TO_WGS_1984_1                    15897
/*      Greenland - onshore and offshore                                     */
#define PE_GT_QORNOQ_1927_TO_GREENLAND_1996_1                 15957
/*      Uruguay - onshore and offshore                                       */
#define PE_GT_YACARE_TO_SIRGAS_1                              15963
/*      Portugal - onshore and offshore                                      */
#define PE_GT_ED_1950_TO_WGS_1984_42                          15964
/*      Czech Republic, Slovakia                                             */
#define PE_GT_S_JTSK_TO_WGS_1984_3                            15965
/*      Croatia - onshore and offshore                                       */
#define PE_GT_HTRS96_TO_ETRS_1989_1                           15966
/*      Croatia - onshore and offshore                                       */
#define PE_GT_HTRS96_TO_WGS_1984_1                            15967
/*      Bermuda - onshore and offshore                                       */
#define PE_GT_BERMUDA_1957_TO_BERMUDA_2000_1                  15969
/*      Bermuda - onshore and offshore                                       */
#define PE_GT_BERMUDA_1957_TO_WGS_1984_2                      15970
/*      Bermuda - onshore and offshore                                       */
#define PE_GT_BERMUDA_2000_TO_WGS_1984_1                      15971
/*      Pitcairn Island                                                      */
#define PE_GT_PITCAIRN_2006_TO_WGS_1984_1                     15972
/*      Antarctica - Ross Sea Region                                         */
#define PE_GT_RSRGD2000_TO_WGS_1984_1                         15974
/*      New Zealand - North and South Islands, Stewart Island - onshore and  */
/*      nearshore                                                            */
#define PE_GT_NZGD_1949_TO_WGS_1984_4                         15975
/*      Slovenia - onshore and offshore                                      */
#define PE_GT_SLOVENIA_1996_TO_WGS_1984_1                     15976
/*      Slovenia - onshore and offshore                                      */
#define PE_GT_SLOVENIA_1996_TO_ETRS_1989_1                    15977
/*      Cuba - onshore and offshore                                          */
#define PE_GT_NAD_1927_TO_WGS_1984_88                         15978
/*      Australia - offshore including EEZ                                   */
#define PE_GT_AGD_1966_TO_GDA_1994_12                         15979
/*      Australia - offshore including EEZ                                   */
#define PE_GT_AGD_1966_TO_WGS_1984_18                         15980
/*      Romania - onshore and offshore                                       */
#define PE_GT_PULKOVO_1942_ADJ_1958_TO_ETRS_1989_3            15993
/*      Romania - onshore and offshore                                       */
#define PE_GT_PULKOVO_1942_ADJ_1958_TO_ETRS_1989_4            15994
/*      Romania - onshore and offshore                                       */
#define PE_GT_PULKOVO_1942_ADJ_1958_TO_WGS_1984_19            15995
/*      Hungary                                                              */
#define PE_GT_PULKOVO_1942_ADJ_1983_TO_WGS_1984_3             15996
/*      Poland - onshore and offshore                                        */
#define PE_GT_PULKOVO_1942_ADJ_1958_TO_WGS_1984_4             15997
/*      Czech Republic, Slovakia.                                            */
#define PE_GT_PULKOVO_1942_ADJ_1983_TO_WGS_1984_5             15998
/*      Albania - onshore and offshore                                       */
#define PE_GT_PULKOVO_1942_ADJ_1958_TO_WGS_1984_8             15999

/*      Cyprus - onshore                                                     */
#define PE_GT_CGRS_1993_TO_ETRS_1989                         108128
/*      Cyprus - onshore                                                     */
#define PE_GT_CGRS_1993_TO_WGS_1984                          108129

/*      Norway                                                               */
#define PE_GT_NGO_1948_OSLO_TO_WGS_1984                      108145
/*      Norway                                                               */
#define PE_GT_NGO_1948_OSLO_TO_ETRS_1989_1                   108146
/*      Norway                                                               */
#define PE_GT_NGO_1948_OSLO_TO_WGS_1984_1                    108147

/*      United States                                                        */
#define PE_GT_NAD_1983_CORS96_TO_NAD_1983_HARN               108148
/*      United States                                                        */
#define PE_GT_NAD_1983_CORS96_TO_NAD_1983_NSRS2007           108149
/*      United States                                                        */
#define PE_GT_ITRF_2000_TO_NAD_1983_CORS96                   108150
/*      United States                                                        */
#define PE_GT_WGS_1984_ITRF00_TO_NAD_1983_CORS96             108151

/* NTv2                                                                      */

/*      Liechtenstein, Switzerland                                           */
#define PE_GT_CH1903_TO_CH1903_PLUS_1_NTV2                    15486
/*      France - mainland                                                    */
#define PE_GT_ETRS_1989_TO_NTF_3_NTV2                         15959
/*      New Caledonia - Grande Terre - Noumea                                */
#define PE_GT_RGNC_1991_93_TO_NEA74_NOUMEA_4_NTV2              1295
/*      New Caledonia - Grande Terre                                         */
#define PE_GT_RGNC_1991_93_TO_IGN72_GRANDE_TERRE_6_NTV2       15962

/*      Spain - Balearic Islands                                             */
#define PE_GT_ED_1950_TO_ETRS_1989_NTV2_BALEARES             108118
/*      Spain - Balearic Islands                                             */
#define PE_GT_ED_1950_TO_WGS_1984_NTV2_BALEARES              108119
/*      Spain - Peninsula                                                    */
#define PE_GT_ED_1950_TO_ETRS_1989_NTV2_PENINSULA            108126
/*      Spain - Peninsula                                                    */
#define PE_GT_ED_1950_TO_WGS_1984_NTV2_PENINSULA             108136

/*      Hungary                                                              */
#define PE_GT_HD1909_TO_WGS_1984_1                           108853
/*      Taiwan, Republic of China - Taiwan Island, Penghu (Pescadores)       */
/*      Islands                                                              */
#define PE_GT_TWD_1997_TO_WGS_1984_1                         108854
/*      Iraq - onshore and offshore                                          */
#define PE_GT_IGRS_TO_WGS_1984_1                             108855
/*      Slovenia - onshore and offshore                                      */
#define PE_GT_MGI_1901_TO_ETRS_1989_3                        108858
/*      Slovenia - onshore and offshore                                      */
#define PE_GT_MGI_1901_TO_WGS_1984_5                         108859
/*      Slovenia - onshore and offshore                                      */
#define PE_GT_MGI_1901_TO_SLOVENIA_1996_1                    108860
/*      Slovenia - onshore and offshore                                      */
#define PE_GT_MGI_1901_TO_WGS_1984_9                         108861
/*      Slovenia - west of 14~30'E.                                          */
#define PE_GT_MGI_1901_TO_SLOVENIA_1996_2                    108862
/*      Slovenia - east of 14~30'E and north of 46~03'N                      */
#define PE_GT_MGI_1901_TO_SLOVENIA_1996_3                    108863
/*      Slovenia - east of 14~30'E and north of 46~09'N                      */
#define PE_GT_MGI_1901_TO_SLOVENIA_1996_4                    108864
/*      Slovenia - southeastern                                              */
#define PE_GT_MGI_1901_TO_SLOVENIA_1996_5                    108865
/*      Slovenia - Dolenjska (Lower Carniola)                                */
#define PE_GT_MGI_1901_TO_SLOVENIA_1996_6                    108866
/*      Slovenia - Stajerska (Slovene Styria)                                */
#define PE_GT_MGI_1901_TO_SLOVENIA_1996_7                    108867
/*      Slovenia - Pomurje (the Mura Region)                                 */
#define PE_GT_MGI_1901_TO_SLOVENIA_1996_8                    108868
/*      Slovenia - Gorenjska (Upper Carniola) and northern Primorska         */
#define PE_GT_MGI_1901_TO_SLOVENIA_1996_9                    108869
/*      Slovenia - Primorska and Notranjska (Inner Carniola)                 */
#define PE_GT_MGI_1901_TO_SLOVENIA_1996_10                   108870
/*      Slovenia - central                                                   */
#define PE_GT_MGI_1901_TO_SLOVENIA_1996_11                   108871
/*      Boznia and Herzegovina; Croatia; FYR Macedonia; Montenegro; Serbia;  */
/*      Slovenia                                                             */
#define PE_GT_MGI_1901_TO_WGS_1984_1                         108872
/*      Croatia - onshore and offshore                                       */
#define PE_GT_MGI_1901_TO_ETRS_1989_2                        108873
/*      Croatia - onshore and offshore                                       */
#define PE_GT_MGI_1901_TO_WGS_1984_4                         108874
/*      Montenegro - onshore                                                 */
#define PE_GT_MGI_1901_TO_WGS_1984_6                         108875
/*      Ecuador - onshore                                                    */
#define PE_GT_PSAD_1956_TO_SIRGAS_1                          108876
/*      Brazil - Distrito Federal                                            */
#define PE_GT_CHUA_TO_WGS_1984_2                             108877
/*      Ecuador - onshore                                                    */
#define PE_GT_PSAD_1956_TO_WGS_1984_14                       108878
/*      Burundi                                                              */
#define PE_GT_ARC_1960_TO_WGS_1984_4                         108879
/*      The Democratic Republic of the Congo (Zaire) - south of a line       */
/*      through Bandundu, Seke and Pweto                                     */
#define PE_GT_RGRDC_2005_TO_WGS_1984_1                       108880
/*      The Democratic Republic of the Congo (Zaire) - Katanga -             */
/*      Likasi-Lubumbashi area                                               */
#define PE_GT_KATANGA_1955_TO_RGRDC_2005_1                   108881
/*      The Democratic Republic of the Congo (Zaire) - Katanga -             */
/*      Likasi-Lubumbashi area                                               */
#define PE_GT_KATANGA_1955_TO_WGS_1984_1                     108882
/*      The Democratic Republic of the Congo (Zaire) - Katanga -             */
/*      Likasi-Lubumbashi area                                               */
#define PE_GT_KATANGA_1955_TO_RGRDC_2005_2                   108883
/*      The Democratic Republic of the Congo (Zaire) - Katanga -             */
/*      Likasi-Lubumbashi area                                               */
#define PE_GT_KATANGA_1955_TO_WGS_1984_2                     108884
/*      Brazil - Distrito Federal                                            */
#define PE_GT_CHUA_TO_SIRGAS_2000_1                          108885
/*      Brazil - onshore and offshore. Includes Rocas, Fernando de Noronha   */
/*      archipelago, Trindade, Ihlas Martim Vaz and Sao Pedro e Sao Paulo    */
#define PE_GT_CHUA_TO_WGS_1984_3                             108886
/*      Serbia                                                               */
#define PE_GT_SREF98_TO_ETRS_1989_1                          108887
/*      Serbia                                                               */
#define PE_GT_SREF98_TO_WGS_1984_1                           108888
/*      Europe - west                                                        */
#define PE_GT_ED_1987_TO_ETRS_1989_1                         108889
/*      Spain - Canary Islands                                               */
#define PE_GT_REGCAN95_TO_WGS_1984_1                         108890

/*      Portugal                                                             */
#define PE_GT_DATUM_73_TO_ETRS_1989_2009_7PAR                108152
/*      Portugal                                                             */
#define PE_GT_DATUM_73_TO_WGS_1984_2009_7PAR                 108153
/*      Portugal                                                             */
#define PE_GT_DATUM_73_TO_ETRS_1989_2009_3PAR                108154
/*      Portugal                                                             */
#define PE_GT_DATUM_73_TO_WGS_1984_2009_3PAR                 108155

/*      Portugal                                                             */
#define PE_GT_LISBOA_HAYFORD_TO_ETRS_1989_2009_7PAR          108156
/*      Portugal                                                             */
#define PE_GT_LISBOA_HAYFORD_TO_WGS_1984_2009_7PAR           108157
/*      Portugal                                                             */
#define PE_GT_LISBOA_HAYFORD_TO_ETRS_1989_2009_3PAR          108158
/*      Portugal                                                             */
#define PE_GT_LISBOA_HAYFORD_TO_WGS_1984_2009_3PAR           108159

/*      Madeira Archipelago                                                  */
#define PE_GT_PORTO_SANTO_1936_TO_PTRA08_1_7PAR              108160
/*      Madeira Island                                                       */
#define PE_GT_PORTO_SANTO_1936_TO_PTRA08_2_7PAR              108161
/*      Porto Santo Island                                                   */
#define PE_GT_PORTO_SANTO_1936_TO_PTRA08_3_7PAR              108162
/*      Madeira Archipelago                                                  */
#define PE_GT_PORTO_SANTO_1936_TO_PTRA08_1_3PAR              108163
/*      Madeira Island                                                       */
#define PE_GT_PORTO_SANTO_1936_TO_PTRA08_2_3PAR              108164
/*      Porto Santo Island                                                   */
#define PE_GT_PORTO_SANTO_1936_TO_PTRA08_3_3PAR              108165

/*      Madeira Archipelago                                                  */
#define PE_GT_PORTO_SANTO_1936_TO_WGS_1984_1_7PAR            108166
/*      Madeira Island                                                       */
#define PE_GT_PORTO_SANTO_1936_TO_WGS_1984_2_7PAR            108167
/*      Porto Santo Island                                                   */
#define PE_GT_PORTO_SANTO_1936_TO_WGS_1984_3_7PAR            108168
/*      Madeira Archipelago                                                  */
#define PE_GT_PORTO_SANTO_1936_TO_WGS_1984_1_3PAR            108169
/*      Madeira Island                                                       */
#define PE_GT_PORTO_SANTO_1936_TO_WGS_1984_2_3PAR            108170
/*      Porto Santo Island                                                   */
#define PE_GT_PORTO_SANTO_1936_TO_WGS_1984_3_3PAR            108171

/*      Azores - Oriental Group (Sao Miguel and Santa Maria)                 */
#define PE_GT_SAO_BRAZ_TO_PTRA08_1_7PAR                      108172
/*      Azores - Sao Miguel                                                  */
#define PE_GT_SAO_BRAZ_TO_PTRA08_2_7PAR                      108173
/*      Azores - Santa Maria                                                 */
#define PE_GT_SAO_BRAZ_TO_PTRA08_3_7PAR                      108174
/*      Azores - Oriental Group (Sao Miguel and Santa Maria)                 */
#define PE_GT_SAO_BRAZ_TO_PTRA08_1_3PAR                      108175
/*      Azores - Sao Miguel                                                  */
#define PE_GT_SAO_BRAZ_TO_PTRA08_2_3PAR                      108176
/*      Azores - Santa Maria                                                 */
#define PE_GT_SAO_BRAZ_TO_PTRA08_3_3PAR                      108177

/*      Azores - Oriental Group (Sao Miguel and Santa Maria)                 */
#define PE_GT_SAO_BRAZ_TO_WGS_1984_1_7PAR                    108178
/*      Azores - Sao Miguel                                                  */
#define PE_GT_SAO_BRAZ_TO_WGS_1984_2_7PAR                    108179
/*      Azores - Santa Maria                                                 */
#define PE_GT_SAO_BRAZ_TO_WGS_1984_3_7PAR                    108180
/*      Azores - Oriental Group (Sao Miguel and Santa Maria)                 */
#define PE_GT_SAO_BRAZ_TO_WGS_1984_1_3PAR                    108181
/*      Azores - Sao Miguel                                                  */
#define PE_GT_SAO_BRAZ_TO_WGS_1984_2_3PAR                    108182
/*      Azores - Santa Maria                                                 */
#define PE_GT_SAO_BRAZ_TO_WGS_1984_3_3PAR                    108183

/*      Azores - Central Group (Faial, Graciosa, Pico, Sao Jorge, and        */
/*      Terceira)                                                            */
#define PE_GT_GRACIOSA_1948_TO_PTRA08_1_7PAR                 108184
/*      Azores - Faial island                                                */
#define PE_GT_GRACIOSA_1948_TO_PTRA08_2_7PAR                 108185
/*      Azores - Graciosa island                                             */
#define PE_GT_GRACIOSA_1948_TO_PTRA08_3_7PAR                 108186
/*      Azores - Pico island                                                 */
#define PE_GT_GRACIOSA_1948_TO_PTRA08_4_7PAR                 108187
/*      Azores - Sao Jorge island                                            */
#define PE_GT_GRACIOSA_1948_TO_PTRA08_5_7PAR                 108188
/*      Azores - Terceira island                                             */
#define PE_GT_GRACIOSA_1948_TO_PTRA08_6_7PAR                 108189
/*      Azores - Central Group (Faial, Graciosa, Pico, Sao Jorge, and        */
/*      Terceira)                                                            */
#define PE_GT_GRACIOSA_1948_TO_PTRA08_1_3PAR                 108240
/*      Azores - Faial island                                                */
#define PE_GT_GRACIOSA_1948_TO_PTRA08_2_3PAR                 108241
/*      Azores - Graciosa island                                             */
#define PE_GT_GRACIOSA_1948_TO_PTRA08_3_3PAR                 108242
/*      Azores - Pico island                                                 */
#define PE_GT_GRACIOSA_1948_TO_PTRA08_4_3PAR                 108243
/*      Azores - Sao Jorge island                                            */
#define PE_GT_GRACIOSA_1948_TO_PTRA08_5_3PAR                 108244
/*      Azores - Terceira island                                             */
#define PE_GT_GRACIOSA_1948_TO_PTRA08_6_3PAR                 108245

/*      Azores - Central Group (Faial, Graciosa, Pico, Sao Jorge, and        */
/*      Terceira)                                                            */
#define PE_GT_GRACIOSA_1948_TO_WGS_1984_1_7PAR               108246
/*      Azores - Faial island                                                */
#define PE_GT_GRACIOSA_1948_TO_WGS_1984_2_7PAR               108247
/*      Azores - Graciosa island                                             */
#define PE_GT_GRACIOSA_1948_TO_WGS_1984_3_7PAR               108248
/*      Azores - Pico island                                                 */
#define PE_GT_GRACIOSA_1948_TO_WGS_1984_4_7PAR               108249
/*      Azores - Sao Jorge island                                            */
#define PE_GT_GRACIOSA_1948_TO_WGS_1984_5_7PAR               108250
/*      Azores - Terceira island                                             */
#define PE_GT_GRACIOSA_1948_TO_WGS_1984_6_7PAR               108251
/*      Azores - Central Group (Faial, Graciosa, Pico, Sao Jorge, and        */
/*      Terceira)                                                            */
#define PE_GT_GRACIOSA_1948_TO_WGS_1984_1_3PAR               108292
/*      Azores - Faial island                                                */
#define PE_GT_GRACIOSA_1948_TO_WGS_1984_2_3PAR               108293
/*      Azores - Graciosa island                                             */
#define PE_GT_GRACIOSA_1948_TO_WGS_1984_3_3PAR               108294
/*      Azores - Pico island                                                 */
#define PE_GT_GRACIOSA_1948_TO_WGS_1984_4_3PAR               108295
/*      Azores - Sao Jorge island                                            */
#define PE_GT_GRACIOSA_1948_TO_WGS_1984_5_3PAR               108296
/*      Azores - Terceira island                                             */
#define PE_GT_GRACIOSA_1948_TO_WGS_1984_6_3PAR               108297

/*      Azores - Occidental Group (Flores and Corvo)                         */
#define PE_GT_OBSERV_METEOR_1939_TO_PTRA08_1_7PAR            108341
/*      Azores - Flores island                                               */
#define PE_GT_OBSERV_METEOR_1939_TO_PTRA08_2_7PAR            108342
/*      Azores - Corvo island                                                */
#define PE_GT_OBSERV_METEOR_1939_TO_PTRA08_3_7PAR            108343
/*      Azores - Occidental Group (Flores and Corvo)                         */
#define PE_GT_OBSERV_METEOR_1939_TO_PTRA08_1_3PAR            108344
/*      Azores - Flores island                                               */
#define PE_GT_OBSERV_METEOR_1939_TO_PTRA08_2_3PAR            108345
/*      Azores - Corvo island                                                */
#define PE_GT_OBSERV_METEOR_1939_TO_PTRA08_3_3PAR            108346

/*      Azores - Occidental Group (Flores and Corvo)                         */
#define PE_GT_OBSERV_METEOR_1939_TO_WGS_1984_1_7PAR          108347
/*      Azores - Flores island                                               */
#define PE_GT_OBSERV_METEOR_1939_TO_WGS_1984_2_7PAR          108348
/*      Azores - Corvo island                                                */
#define PE_GT_OBSERV_METEOR_1939_TO_WGS_1984_3_7PAR          108349
/*      Azores - Occidental Group (Flores and Corvo)                         */
#define PE_GT_OBSERV_METEOR_1939_TO_WGS_1984_1_3PAR          108350
/*      Azores - Flores island                                               */
#define PE_GT_OBSERV_METEOR_1939_TO_WGS_1984_2_3PAR          108351
/*      Azores - Corvo island                                                */
#define PE_GT_OBSERV_METEOR_1939_TO_WGS_1984_3_3PAR          108352

/*      Costa Rica                                                           */
#define PE_GT_CR05_TO_OCOTEPEQUE_1935_MB                     108013
/*      Costa Rica                                                           */
#define PE_GT_WGS_1984_TO_OCOTEPEQUE_1935_MB                 108014
/*      Costa Rica                                                           */
#define PE_GT_OCOTEPEQUE_1935_TO_CR05                        108200

/*      Netherlands - onshore                                                */
#define PE_GT_AMERSFOORT_TO_ETRS_1989_6                      108456
/*      Netherlands - onshore                                                */
#define PE_GT_AMERSFOORT_TO_WGS_1984_2008_MB                 108457
/*      Netherlands - onshore                                                */
#define PE_GT_AMERSFOORT_TO_ETRS_1989_5                      108458
/*      Netherlands - onshore                                                */
#define PE_GT_AMERSFOORT_TO_WGS_1984_4                       108459

/*      Nepal                                                                */
#define PE_GT_NEPAL_NAGARKOT_TO_WGS_1984_1                   108015
/*      Nepal                                                                */
#define PE_GT_NEPAL_NAGARKOT_TO_WGS_1984_2                   108016

/*      Mexico                                                               */
#define PE_GT_MEXICAN_DATUM_1993_TO_WGS_1984_1               108221
/*      Slovak Republic                                                      */
#define PE_GT_S_JTSK_TO_ETRS_1989_4                          108252
/*      Slovak Republic                                                      */
#define PE_GT_S_JTSK_TO_WGS_1984_4                           108253
/*      Slovak Republic                                                      */
#define PE_GT_S_JTSK_TO_ETRS_1989_3                          108254
/*      Mayotte - onshore and offshore                                       */
#define PE_GT_RGM_2004_TO_WGS_1984_1                         108461
/*      St. Pierre and Miquelon                                              */
#define PE_GT_RGSPM_2006_TO_WGS_1984_1                       108462
/*      Mayotte - onshore                                                    */
#define PE_GT_CADASTRE_1997_TO_RGM_2004_1                    108463
/*      Mayotte - onshore                                                    */
#define PE_GT_CADASTRE_1997_TO_WGS_1984_1                    108464
/*      USA - CORS96 equivalent                                              */
#define PE_GT_WGS_1984_ITRF00_TO_NAD_1983                    108190

/* 9.3                                                                       */

/*      World                                                                */
#define PE_GT_ITRF_2000_TO_ITRF_2005_1                        15698
/*      Mexico - offshore Gulf of Mexico - Bay of Campeche southeast         */
#define PE_GT_NAD_1927_TO_WGS_1984_87                         15699
/*      Mauritius - mainland onshore                                         */
#define PE_GT_LE_POUCE_1934_TO_WGS_1984_1                     15784

/*      Solomon Islands                                                      */
#define PE_GT_SOLOMON_1968_TO_WGS_1984_1                      15805
/*      Solomon Islands                                                      */
#define PE_GT_SOLOMON_1968_TO_WGS_1984_2                      15807
/*      World                                                                */
#define PE_GT_PZ_1990_TO_WGS_1984_1                           15843

/*      Mauritania - onshore and offshore                                    */
#define PE_GT_MAURITANIA_1999_TO_WGS_1984_1                   15860
/*      Alaska                                                               */
#define PE_GT_NAD_1927_TO_WGS_1984_85                         15864
/*      Russian Federation - onshore and offshore                            */
#define PE_GT_PULKOVO_1942_TO_WGS_1984_16                     15865
/*      Faroe Islands, onshore                                               */
#define PE_GT_FD_1954_TO_ED_1950_1                            15866
/*      Germany - Thuringen                                                  */
#define PE_GT_POTSDAM_DATUM_1983_TO_ETRS_1989_1               15867
/*      Germany - Sachsen                                                    */
#define PE_GT_RAUENBERG_DATUM_1983_TO_ETRS_1989_1             15868
/*      Germany - states of former E Germany - Brandenburg,                  */
/*      Mecklenburg-Vorpommern, Sachsen, Sachsen-Anhalt, and Thuringen       */
#define PE_GT_DHDN_TO_WGS_1984_3                              15869
/*      Mauritania - coastal area north of Cape Timiris.                     */
#define PE_GT_JOUIK_1961_TO_WGS_1984_1                        15870
/*      Iraq - onshore and offshore                                          */
#define PE_GT_NAHRWAN_1967_TO_WGS_1984_6                      15871
/*      Iraq - southeast (Basra area)                                        */
#define PE_GT_KARBALA_1979_POLSERVICE_TO_WGS_1984_1           15872
/*      Cameroon - coastal area                                              */
#define PE_GT_DOUALA_1948_TO_WGS_1984_1                       15873
/*      Algeria - Hassi Mouina license area                                  */
#define PE_GT_NORD_SAHARA_1959_TO_WGS_1984_7                  15874

/*      Fiji - Viti Levu, Vanua Levu, Taveuni, and immediately adjacent      */
/*      smaller islands.                                                     */
#define PE_GT_FIJI_1956_TO_WGS_1984_1                         15875
/*      Fiji - onshore and offshore. Includes Viti Levu, Vanua Levu,         */
/*      Taveuni, Yasawa Group, Kadavu Group, Lau Islands, and Rotuma         */
/*      Islands.                                                             */
#define PE_GT_FIJI_1986_TO_WGS_1984_1                         15876
/*      Fiji - Viti Levu, Vanua Levu, Taveuni, and immediately adjacent      */
/*      smaller islands.                                                     */
#define PE_GT_FIJI_1986_TO_WGS_1984_2                         15877
/*      Fiji - Vanua Levu and Taveuni.                                       */
#define PE_GT_VANUA_LEVU_1915_TO_WGS_1984_1                   15878
/*      Greenland - onshore and offshore                                     */
#define PE_GT_GREENLAND_1996_TO_WGS_1984_1                    15879
/*      New Caledonia - onshore and offshore. Ile des Pins, Loyalty Islands, */
/*      Huon Islands, Belep archipelago, Chesterfield Islands, and Walpole.  */
#define PE_GT_RGNC_1991_93_TO_WGS_1984_1                      15880
/*      New Caledonia - Loyalty Islands - Ouvea                              */
#define PE_GT_ST87_OUVEA_TO_WGS_1984_2                        15881
/*      New Caledonia - Grande Terre                                         */
#define PE_GT_IGN72_GRANDE_TERRE_TO_RGNC_1991_93_1            15882
/*      New Caledonia - Loyalty Islands - Lifou                              */
#define PE_GT_IGN56_LIFOU_TO_RGNC_1991_93_1                   15883
/*      New Caledonia - Loyalty Islands - Mare                               */
#define PE_GT_IGN53_MARE_TO_RGNC_1991_93_1                    15884
/*      New Caledonia - Loyalty Islands - Ouvea                              */
#define PE_GT_ST87_OUVEA_TO_RGNC_1991_93_1                    15885
/*      New Caledonia - Grande Terre - Noumea district                       */
#define PE_GT_NEA74_NOUMEA_TO_RGNC_1991_93_1                  15886
/*      New Caledonia - Grande Terre                                         */
#define PE_GT_IGN72_GRANDE_TERRE_TO_RGNC_1991_93_2            15887
/*      New Caledonia - Grande Terre - Noumea district                       */
#define PE_GT_IGN72_GRANDE_TERRE_TO_RGNC_1991_93_3            15888
/*      New Caledonia - Grande Terre - Noumea district                       */
#define PE_GT_NEA74_NOUMEA_TO_RGNC_1991_93_2                  15889
/*      New Caledonia - Loyalty Islands - Lifou                              */
#define PE_GT_IGN56_LIFOU_TO_RGNC_1991_93_2                   15890
/*      New Caledonia - Loyalty Islands - Mare                               */
#define PE_GT_IGN53_MARE_TO_RGNC_1991_93_2                    15891
/*      New Caledonia - Loyalty Islands - Ouvea                              */
#define PE_GT_ST87_OUVEA_TO_RGNC_1991_93_2                    15892
/*      New Caledonia - Ile des Pins                                         */
#define PE_GT_ST84_ILE_DES_PINS_TO_RGNC_1991_93_1             15893
/*      Latin America                                                        */
#define PE_GT_SIRGAS_2000_TO_WGS_1984_1                       15894
/*      Greenland - onshore and offshore                                     */
#define PE_GT_SCORESBYSUND_1952_TO_GREENLAND_1996_1           15899

/*      Greenland - onshore and offshore                                     */
#define PE_GT_AMMASSALIK_1958_TO_GREENLAND_1996_1             15900
/*      New Caledonia - Loyalty Islands - Mare                               */
#define PE_GT_IGN53_MARE_TO_WGS_1984_3                        15901
/*      New Caledonia - Loyalty Islands - Lifou                              */
#define PE_GT_IGN56_LIFOU_TO_WGS_1984_3                       15902
/*      New Caledonia - Grande Terre                                         */
#define PE_GT_IGN72_GRANDE_TERRE_TO_WGS_1984_3                15903
/*      New Caledonia - Grande Terre - Noumea district                       */
#define PE_GT_NEA74_NOUMEA_TO_WGS_1984_2                      15904
/*      Libya - onshore and offshore                                         */
#define PE_GT_LGD2006_TO_WGS_1984_1                           15908
/*      Libya - onshore                                                      */
#define PE_GT_ELD_1979_TO_WGS_1984_8                          15909
/*      Indonesia - onshore and offshore                                     */
#define PE_GT_INDONESIAN_1974_TO_DGN_1995_1                   15911
/*      Indonesia - onshore and offshore                                     */
#define PE_GT_DGN_1995_TO_WGS_1984_1                          15912
/*      Mexico - offshore Gulf of Mexico - Bay of Campeche northeast         */
#define PE_GT_NAD_1927_TO_WGS_1984_86                         15913
/*      China - Orduz basin                                                  */
#define PE_GT_BEIJING_1954_TO_WGS_1984_1                      15918
/*      China - offshore Yellow Sea                                          */
#define PE_GT_BEIJING_1954_TO_WGS_1984_2                      15919
/*      China - offshore South China Sea - Pearl River basin                 */
#define PE_GT_BEIJING_1954_TO_WGS_1984_3                      15920
/*      China - south and west Tarim basin                                   */
#define PE_GT_BEIJING_1954_TO_WGS_1984_4                      15921
/*      Libya - Cyrenaica area 42, blocks 2 and 4                            */
#define PE_GT_ELD_1979_TO_WGS_1984_9                          15923
/*      Libya - onshore                                                      */
#define PE_GT_ELD_1979_TO_LGD2006_1                           15924
/*      Jamaica - onshore                                                    */
#define PE_GT_JAMAICA_1969_TO_JAD_2001_1                      15926
/*      United States - lower 48 states                                      */
#define PE_GT_NAD_1983_HARN_TO_NAD_1983_NSRS2007_1            15930
/*      United States - lower 48 states                                      */
#define PE_GT_NAD_1983_NSRS2007_TO_WGS_1984_1                 15931
/*      China - south and west Tarim basin                                   */
#define PE_GT_BEIJING_1954_TO_WGS_1984_5                      15935
/*      China - Orduz basin                                                  */
#define PE_GT_BEIJING_1954_TO_WGS_1984_6                      15936
/*      United Arab Emirates (UAE) - Abu Dhabi offshore                      */
#define PE_GT_NAHRWAN_1967_TO_WGS_1984_7                      15937
/*      United Arab Emirates (UAE) - Abu Dhabi offshore                      */
#define PE_GT_NAHRWAN_1967_TO_WGS_1984_8                      15938
/*      United Arab Emirates (UAE) - Dubai offshore oilfields - Falah,       */
/*      Fateh, Rashid                                                        */
#define PE_GT_NAHRWAN_1967_TO_WGS_1984_9                      15952
/*      United Arab Emirates (UAE) - Dubai municipality                      */
#define PE_GT_NAHRWAN_1967_TO_WGS_1984_10                     15953


/* NADCON                                                                    */
/*      United States - lower 48 states                                      */
#define PE_GT_NAD_1927_TO_WGS_1984_79_CONUS                   15851
/*      Gulf of Mexico - Tampico area                                        */
#define PE_GT_NAD_1927_TO_WGS_1984_83                         15855


/* NtV2                                                                      */
/*      Australia - Queensland, South Australia, Western Australia           */
#define PE_GT_AGD_1984_TO_WGS_1984_9_NTV2                     15785
/*      Australia                                                            */
#define PE_GT_AGD_1966_TO_WGS_1984_17_NTV2                    15786
/*      Spain - mainland and Balearic Islands.                               */
#define PE_GT_ED_1950_TO_ETRS_1989_12_NTV2_SPAIN_V2           15932
/*      Spain - mainland and Balearic Islands.                               */
#define PE_GT_ED_1950_TO_WGS_1984_41_NTV2_SPAIN_V2            15933
/*      Germany - onshore                                                    */
#define PE_GT_DHDN_TO_ETRS_1989_8                             15948
/*      Germany - onshore                                                    */
#define PE_GT_DHDN_TO_WGS_1984_4                              15949
/*      Germany - Sachsen                                                    */
#define PE_GT_RAUENBERG_DATUM_1983_TO_WGS_1984_1              15954
/*      Germany - Thuringen                                                  */
#define PE_GT_POTSDAM_DATUM_1983_TO_WGS_1984_1                15955

/* For whole country of Slovenia, 1m accuracy                                */
/*      Slovenia - up to 1m accuracy                                         */
#define PE_GT_D48_TO_ETRS_1989_2007                          108308
/*      Slovenia - up to 1m accuracy                                         */
#define PE_GT_D48_TO_WGS_1984_2007                           108309
/* For 1st level regions (3 regions) of Slovenia - accuracy up to 50 cm.     */
/*      Slovenia - Zahodna Slovenia up to 50cm accuracy                      */
#define PE_GT_D48_TO_ETRS_1989_ZAH_SLO                       108310
/*      Slovenia - Zahodna Slovenia up to 50cm accuracy                      */
#define PE_GT_D48_TO_WGS_1984_ZAH_SLO                        108311
/*      Slovenia - Severovzhodna Slovenia up to 50cm accuracy                */
#define PE_GT_D48_TO_ETRS_1989_SV_SLO                        108312
/*      Slovenia - Severovzhodna Slovenia up to 50cm accuracy                */
#define PE_GT_D48_TO_WGS_1984_SV_SLO                         108313
/*      Slovenia - Jugovzhodna Slovenia up to 50cm accuracy                  */
#define PE_GT_D48_TO_ETRS_1989_JV_SLO                        108314
/*      Slovenia - Jugovzhodna Slovenia up to 50cm accuracy                  */
#define PE_GT_D48_TO_WGS_1984_JV_SLO                         108315
/* For the 2nd level (7 regions), accuracy up to 30 cm.                      */
/*      Slovenia - Stajerska up to 30cm accuracy                             */
#define PE_GT_D48_TO_ETRS_1989_STAJERSKA                     108316
/*      Slovenia - Stajerska up to 30cm accuracy                             */
#define PE_GT_D48_TO_WGS_1984_STAJERSKA                      108317
/*      Slovenia - Gorenjska up to 30cm accuracy                             */
#define PE_GT_D48_TO_ETRS_1989_GORENJSKA                     108318
/*      Slovenia - Gorenjska up to 30cm accuracy                             */
#define PE_GT_D48_TO_WGS_1984_GORENJSKA                      108319
/*      Slovenia - Osrednja Slovenia up to 30cm accuracy                     */
#define PE_GT_D48_TO_ETRS_1989_OSR_SLO                       108320
/*      Slovenia - Osrednja Slovenia up to 30cm accuracy                     */
#define PE_GT_D48_TO_WGS_1984_OSR_SLO                        108321
/*      Slovenia - Dolenjska up to 30cm accuracy                             */
#define PE_GT_D48_TO_ETRS_1989_DOLENJSKA                     108322
/*      Slovenia - Dolenjska up to 30cm accuracy                             */
#define PE_GT_D48_TO_WGS_1984_DOLENJSKA                      108323
/*      Slovenia - Juzna Slovenia up to 30cm accuracy                        */
#define PE_GT_D48_TO_ETRS_1989_JUZ_SLO                       108324
/*      Slovenia - Juzna Slovenia up to 30cm accuracy                        */
#define PE_GT_D48_TO_WGS_1984_JUZ_SLO                        108325
/*      Slovenia - Primorska up to 30cm accuracy                             */
#define PE_GT_D48_TO_ETRS_1989_PRIMORSKA                     108326
/*      Slovenia - Primorska up to 30cm accuracy                             */
#define PE_GT_D48_TO_WGS_1984_PRIMORSKA                      108327
/*      Slovenia - Pomurje up to 30cm accuracy                               */
#define PE_GT_D48_TO_ETRS_1989_POMURJE                       108328
/*      Slovenia - Pomurje up to 30cm accuracy                               */
#define PE_GT_D48_TO_WGS_1984_POMURJE                        108329


/* NEW GT's Post 9.0 (Geocen Trans, Coord Frame, Pos Vector, MB) -----       */
/* (Geocentric Translation, Coordinate Frame, Position Vector,               */
/* Molodenksy-Badekas)                                                       */

/*      Kuwait                                                               */
#define PE_GT_AIN_EL_ABD_TO_WGS_1984_3                         1055
/*      Kuwait                                                               */
#define PE_GT_AIN_EL_ABD_TO_WGS_1984_4                         1056
/*      Kuwait - N of a line connecting Al Jahra' and Kuwait/Iraq/Saudi      */
/*      Arabia border tripoint                                               */
#define PE_GT_AIN_EL_ABD_TO_WGS_1984_5                         1057
/*      Kuwait - S of a line connecting Al Jahra' and Kuwait/Iraq/Saudi      */
/*      Arabia border tripoint                                               */
#define PE_GT_AIN_EL_ABD_TO_WGS_1984_6                         1058
/*      Kuwait                                                               */
#define PE_GT_KOC_TO_WGS_1984_1                                1059
/*      Kuwait                                                               */
#define PE_GT_NGN_TO_WGS_1984_1                                1060
/*      Kuwait                                                               */
#define PE_GT_KUDAMS_TO_WGS_1984_1                             1061
/*      Kuwait                                                               */
#define PE_GT_KUDAMS_TO_WGS_1984_2                             1062
/*      Lao People's Democratic Republic                                     */
#define PE_GT_VIENTIANE_1982_TO_LAO_1997_1                     1063
/*      Lao People's Democratic Republic                                     */
#define PE_GT_LAO_1993_TO_LAO_1997_1                           1064
/*      Lao People's Democratic Republic                                     */
#define PE_GT_LAO_1997_TO_WGS_1984_1                           1065
/*      Nigeria - offshore beyond continental shelf                          */
#define PE_GT_MINNA_TO_WGS_1984_11                             1067
/*      Guam                                                                 */
#define PE_GT_GUAM_1963_TO_WGS_1984_1                          1070
/*      Israel                                                               */
#define PE_GT_PALESTINE_1923_TO_ISRAEL_1                       1071
/*      Israel                                                               */
#define PE_GT_ISRAEL_TO_WGS_1984                               1073
/*      Israel                                                               */
#define PE_GT_PALESTINE_1923_TO_WGS_1984_1                     1074
/*      Israel and Palestine - offshore Mediterranean Sea                    */
#define PE_GT_ED_1950_TO_WGS_1984_38                           1075
/*      Luxembourg                                                           */
#define PE_GT_LUXEMBOURG_1930_TO_ETRS_1989_2                   1078
/*      Luxembourg                                                           */
#define PE_GT_LUXEMBOURG_1930_TO_WGS_1984_2                    1079
/*      Jamaica                                                              */
#define PE_GT_JAMAICA_1969_TO_WGS_1972_2                       1083
/*      Jamaica                                                              */
#define PE_GT_JAMAICA_1969_TO_WGS_1984_2                       1085
/*      Jamaica                                                              */
#define PE_GT_JAMAICA_1969_TO_WGS_1984_3                      15927
/*      Jordan                                                               */
#define PE_GT_ED_1950_TO_WGS_1984_37                           1087
/*      Italy - offshore - Adriatic Sea - North Ancona                       */
#define PE_GT_MONTE_MARIO_TO_WGS_1984_5                        1088
/*      Italy - offshore - Adriatic Sea - South Ancona and North Gargano     */
#define PE_GT_MONTE_MARIO_TO_WGS_1984_6                        1089
/*      Italy - offshore - Adriatic Sea - South Gargano                      */
#define PE_GT_MONTE_MARIO_TO_WGS_1984_7                        1090
/*      Italy - offshore - Otranto channel                                   */
#define PE_GT_MONTE_MARIO_TO_WGS_1984_8                        1091
/*      Italy - offshore - north Jonian sea                                  */
#define PE_GT_MONTE_MARIO_TO_WGS_1984_9                        1092
/*      Italy - offshore - Strait of Sicily- E of 13E                        */
#define PE_GT_MONTE_MARIO_TO_WGS_1984_10                       1093
/*      Italy - offshore - Strait of Sicily- W of 13E                        */
#define PE_GT_MONTE_MARIO_TO_WGS_1984_11                       1094
/*      Iran                                                                 */
#define PE_GT_ED_1950_ED77_TO_WGS_1984_2                       1141
/*      Algeria - N of 32N                                                   */
#define PE_GT_NORD_SAHARA_1959_TO_WGS_1984_2                   1255
/*      World                                                                */
#define PE_GT_WGS_1972_BE_TO_WGS_1972_1                        1239
/*      World                                                                */
#define PE_GT_WGS_1972_BE_TO_WGS_1984_1                        1240
/*      Sweden                                                               */
#define PE_GT_RT90_TO_ETRS_1989_1                              1437
/*      Ireland - offshore - Corrib and Errigal fields.                      */
#define PE_GT_ED_1950_TO_WGS_1984_39                           1853
/*      Porto Santo & Madeira Islands                                        */
#define PE_GT_PORTO_SANTO_1936_TO_WGS_1984_1_NGA               1888

/*      Israel                                                               */
#define PE_GT_PALESTINE_1923_TO_WGS_1984_2                     8650

/*      Trinidad and Tobago - Trinidad - onshore and offshore                */
#define PE_GT_TRINIDAD_1903_TO_WGS_1984_2                     10085
/*      Jamaica - onshore and offshore. Includes Morant Cays and Pedro Cays  */
#define PE_GT_JAMAICA_1969_TO_WGS_1972_1                      10086
/*      Brazil - offshore - Santos basin                                     */
#define PE_GT_ARATU_TO_WGS_1984_5                             10089
/*      Brazil - offshore - Campos basin                                     */
#define PE_GT_ARATU_TO_WGS_1984_6                             10090
/*      Brazil - offshore - Espirito Santo basin                             */
#define PE_GT_ARATU_TO_WGS_1984_7                             10091
/*      Brazil - offshore - Pelotas basin                                    */
#define PE_GT_ARATU_TO_WGS_1984_8                             10092
/*      Brazil - offshore south of 18 deg South                              */
#define PE_GT_ARATU_TO_WGS_1984_9                             10093

/*      Pakistan - offshore Indus fan                                        */
#define PE_GT_KALIANPUR_1962_TO_WGS_1984_2                    15701
/*      Pakistan - Badin and Mehran blocks                                   */
#define PE_GT_KALIANPUR_1962_TO_WGS_1984_3                    15702
/*      Pakistan - Karachi                                                   */
#define PE_GT_KALIANPUR_1962_TO_WGS_1984_4                    15703
/*      Pakistan - East Sind                                                 */
#define PE_GT_KALIANPUR_1962_TO_WGS_1984_5                    15704
/*      Cameroon - onshore                                                   */
#define PE_GT_MINNA_TO_WGS_1984_12                            15705
/*      Nigeria - offshore beyond continental shelf                          */
#define PE_GT_MINNA_TO_WGS_1984_13                            15706
/*      Libya - Amal field                                                   */
#define PE_GT_ELD_1979_TO_WGS_1984_6                          15707
/*      Philippines - onshore and offshore                                   */
#define PE_GT_PRS_1992_TO_WGS_1984_1                          15708
/*      Mauritania - Nouakchutt                                              */
#define PE_GT_NOUAKCHOTT_1965_TO_WGS_1984                     15709
/*      Brazil - offshore - Campos basin                                     */
#define PE_GT_ARATU_TO_WGS_1984_10                            15710
/*      Brazil - offshore - Santos basin                                     */
#define PE_GT_ARATU_TO_WGS_1984_11                            15711
/*      Brazil - offshore - Espirito Santo basin                             */
#define PE_GT_ARATU_TO_WGS_1984_12                            15712
/*      Maldives - onshore and offshore                                      */
#define PE_GT_GAN_1970_TO_WGS_1984_1                          15713
/*      Colombia - region I                                                  */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_1_CF                     15714
/*      Colombia - region I                                                  */
#define PE_GT_BOGOTA_TO_WGS_1984_REGION_1_CF                  15715
/*      Colombia - region II                                                 */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_2_CF                     15716
/*      Colombia - region II                                                 */
#define PE_GT_BOGOTA_TO_WGS_1984_REGION_2_CF                  15717
/*      Colombia - region III                                                */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_3_CF                     15718
/*      Colombia - region III                                                */
#define PE_GT_BOGOTA_TO_WGS_1984_REGION_3_CF                  15719
/*      Colombia - region IV                                                 */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_4_CF                     15720
/*      Colombia - region IV                                                 */
#define PE_GT_BOGOTA_TO_WGS_1984_REGION_4_CF                  15721
/*      Colombia - region V                                                  */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_5_CF                     15722
/*      Colombia - region V                                                  */
#define PE_GT_BOGOTA_TO_WGS_1984_REGION_5_CF                  15723
/*      Colombia - region VI                                                 */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_6_CF                     15724
/*      Colombia - region VI                                                 */
#define PE_GT_BOGOTA_TO_WGS_1984_REGION_6_CF                  15725
/*      Colombia - region VII                                                */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_7_CF                     15726
/*      Colombia - region VII                                                */
#define PE_GT_BOGOTA_TO_WGS_1984_REGION_7_CF                  15727
/*      Colombia - region VIII                                               */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_8_CF                     15728
/*      Colombia - region VIII                                               */
#define PE_GT_BOGOTA_TO_WGS_1984_REGION_8_CF                  15729
/*      Colombia - Molodensky-Badekas                                        */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_1_MB                     15730
/*      Colombia - Molodensky-Badekas                                        */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_2_MB                     15731
/*      Colombia - Molodensky-Badekas                                        */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_3_MB                     15732
/*      Colombia - Molodensky-Badekas                                        */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_4_MB                     15733
/*      Colombia - Molodensky-Badekas                                        */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_5_MB                     15734
/*      Colombia - Molodensky-Badekas                                        */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_6_MB                     15735
/*      Colombia - Molodensky-Badekas                                        */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_7_MB                     15736
/*      Colombia - Molodensky-Badekas                                        */
#define PE_GT_BOGOTA_TO_MAGNA_REGION_8_MB                     15737
/*      Colombia - onshore and offshore. Includes San Andres y Providencia,  */
/*      Malpelo Islands, Roncador, Serrana and Serranilla Banks              */
#define PE_GT_MAGNA_TO_WGS_1984_1                             15738
/*      Netherlands - onshore                                                */
#define PE_GT_AMERSFOORT_TO_ETRS_1989_3                       15739
/*      Netherlands - onshore                                                */
#define PE_GT_AMERSFOORT_TO_ETRS_1989_4                       15740
/*      Syria - Deir area (35d 22m N 40d 06m E)                              */
#define PE_GT_DEIR_EZ_ZOR_TO_WGS_1984_2                       15741
/*      Syria - onshore and offshore                                         */
#define PE_GT_DEIR_EZ_ZOR_TO_WGS_1984_5                       15742
/*      Syria - Deir area                                                    */
#define PE_GT_DEIR_EZ_ZOR_TO_WGS_1984_6                       15743
/*      Iran - South Pars field phase 11                                     */
#define PE_GT_ED_1950_ED77_TO_WGS_1984_6                      15745
/*      Iran - Tombak LNG plant                                              */
#define PE_GT_NAKHL_E_GHANEM_TO_WGS_1984_6                    15746
/*      Saint Kitts and Nevis - onshore and offshore                         */
#define PE_GT_ST_KITTS_1955_TO_WGS_1984_2                     15750
/*      Mascarene Islands - Reunion                                          */
#define PE_GT_REUNION_1947_TO_WGS_1984_2                      15751
/*      Europe - Austria, Finland, Netherlands, Norway, Spain, Sweden, &     */
/*      Switzerland                                                          */
#define PE_GT_EUROPEAN_1979_TO_WGS_1984                       15752
/*      Nigeria - block OML 58                                               */
#define PE_GT_MINNA_TO_WGS_1984_14                            15755
/*      French Polynesia - Society Islands - Tahiti                          */
#define PE_GT_TAHITI_1979_TO_RGPF_1                           15756
/*      French Polynesia - Society Islands - Moorea                          */
#define PE_GT_MOOREA_1987_TO_RGPF_1                           15757
/*      French Polynesia - Society Islands - Bora Bora, Huahine, Raiatea and */
/*      Tahaa                                                                */
#define PE_GT_TAHAA_1954_TO_RGPF_1                            15758
/*      French Polynesia - Society Islands - Maupiti                         */
#define PE_GT_MAUPITI_1983_TO_RGPF_1                          15759
/*      French Polynesia - Marquises Islands - Fatu Iva                      */
#define PE_GT_FATU_IVA_1972_TO_RGPF_1                         15760
/*      French Polynesia - Marquises Islands - Hiva Oa                       */
#define PE_GT_IGN63_HIVA_OA_TO_RGPF_1                         15761
/*      French Polynesia - Marquises Islands - Tahuata                       */
#define PE_GT_IGN63_HIVA_OA_TO_RGPF_2                         15762
/*      French Polynesia - Marquises Islands - Nuku Hiva                     */
#define PE_GT_IGN72_NUKU_HIVA_TO_RGPF_1                       15763
/*      French Polynesia - Marquises Islands - Ua Huka                       */
#define PE_GT_IGN72_NUKU_HIVA_TO_RGPF_2                       15764
/*      French Polynesia - Marquises Islands - Ua Pou                        */
#define PE_GT_IGN72_NUKU_HIVA_TO_RGPF_3                       15765
/*      French Polynesia - Society Islands - Tahiti                          */
#define PE_GT_TAHITI_1979_TO_WGS_1984_1                       15768
/*      French Polynesia - Society Islands - Moorea                          */
#define PE_GT_MOOREA_1987_TO_WGS_1984_1                       15769
/*      French Polynesia - Society Islands - Bora Bora, Huahine, Raiatea and */
/*      Tahaa                                                                */
#define PE_GT_TAHAA_1954_TO_WGS_1984_2                        15770
/*      French Polynesia - Society Islands - Maupiti                         */
#define PE_GT_MAUPITI_1983_TO_WGS_1984_1                      15771
/*      French Polynesia - Marquises Islands - Fatu Iva                      */
#define PE_GT_FATU_IVA_1972_TO_WGS_1984_1                     15772
/*      French Polynesia - Marquises Islands - Hiva Oa                       */
#define PE_GT_IGN63_HIVA_OA_TO_WGS_1984_1                     15773
/*      French Polynesia - Marquises Islands - Tahuata                       */
#define PE_GT_IGN63_HIVA_OA_TO_WGS_1984_2                     15774
/*      French Polynesia - Marquises Islands - Nuku Hiva                     */
#define PE_GT_IGN72_NUKU_HIVA_TO_WGS_1984_2                   15775
/*      French Polynesia - Marquises Islands - Ua Huka                       */
#define PE_GT_IGN72_NUKU_HIVA_TO_WGS_1984_3                   15776
/*      French Polynesia - Marquises Islands - Ua Pou                        */
#define PE_GT_IGN72_NUKU_HIVA_TO_WGS_1984_4                   15777
/*      Libya - Sirte Basin licence NC192                                    */
#define PE_GT_ELD_1979_TO_WGS_1984_7                          15778
/*      Bangladesh - onshore and offshore                                    */
#define PE_GT_GULSHAN_303_TO_WGS_1984_1                       15779
/*      Argentina - onshore and offshore - was 15780                         */
#define PE_GT_POSGAR_1994_TO_WGS_1984_1                        1210
/*      Argentina - onshore and offshore                                     */
#define PE_GT_CAMPO_INCHAUSPE_TO_POSGAR_1994_1                15782
/*      New Caledonia - Mare                                                 */
#define PE_GT_IGN53_MARE_TO_WGS_1984_2                        15783
/*      The Democratic Republic of the Congo (Zaire) - Lower Congo (Bas      */
/*      Congo)                                                               */
#define PE_GT_IGCB_1955_TO_WGS_1984_1                         15787
/*      Australia - Australian Capital Territory, New South Wales, Northern  */
/*      Territories, Queensland, South Australia, Tasmania, Western          */
/*      Australia, Victoria                                                  */
#define PE_GT_AGD_1966_TO_WGS_1984_16                         15788
/*      Australia - Australian Capital Territory, New South Wales, Northern  */
/*      Territories, Queensland, South Australia, Tasmania, Western          */
/*      Australia, Victoria                                                  */
#define PE_GT_AGD_1984_TO_WGS_1984_8                          15789
/*      Africa - Angola (Cabinda) - offshore; The Democratic Republic of the */
/*      Congo (Zaire) - offshore                                             */
#define PE_GT_MHAST_OFFSHORE_TO_WGS_1972_BE_1                 15790
/*      Africa - Angola (Cabinda) - onshore and offshore; The Democratic     */
/*      Republic of the Congo (Zaire) - onshore coastal area and offshore    */
#define PE_GT_MALONGO_1987_TO_WGS_1984_3                      15791
/*      Egypt - Gulf of Suez                                                 */
#define PE_GT_EGYPT_GULF_SUEZ_S_650_TL_TO_WGS_1972_BE_1       15792
/*      Barbados - onshore and offshore                                      */
#define PE_GT_BARBADOS_1938_TO_WGS_1984_1                     15793
/*      Tern Island                                                          */
#define PE_GT_TERN_ISLAND_1961_TO_WGS_1984                    15795
/*      Ascension Island                                                     */
#define PE_GT_ASCENSION_ISLAND_1958_TO_WGS_1984               15797
/*      Djibouti                                                             */
#define PE_GT_AYABELLE_TO_WGS_1984                            15800
/*      Efate & Erromango Islands                                            */
#define PE_GT_BELLEVUE_TO_WGS_1984                            15801
/*      Antarctica - McMurdo Base                                            */
#define PE_GT_CAMP_AREA_TO_WGS_1984                           15802
/*      Florida & the Bahamas                                                */
#define PE_GT_CAPE_CANAVERAL_TO_WGS_1984                      15804
/*      Easter Island                                                        */
#define PE_GT_EASTER_ISLAND_1967_TO_WGS_1984                  15806
/*      Johnston Island                                                      */
#define PE_GT_JOHNSTON_ISLAND_1961_TO_WGS_1984                15809
/*      Fed. States of Micronesia - Caroline Islands                         */
#define PE_GT_KUSAIE_1951_TO_WGS_1984                         15810
/*      Leeward Islands - Antigua Island                                     */
#define PE_GT_ANTIGUA_1943_TO_WGS_1984_NGA                    15811
/*      Antarctica - Deception Island                                        */
#define PE_GT_DECEPTION_ISLAND_TO_WGS_1984                    15812
/*      Canary Islands                                                       */
#define PE_GT_PICO_DE_LAS_NIEVES_TO_WGS_1984                  15815
/*      Tristan da Cunha                                                     */
#define PE_GT_TRISTAN_1968_TO_WGS_1984                        15816
/*      Pitcairn Island                                                      */
#define PE_GT_PITCAIRN_1967_TO_WGS_1984                       15819
/*      Espirito Santo Island                                                */
#define PE_GT_SANTO_DOS_1965_TO_WGS_1984                      15820
/*      Fiji Islands - Viti Levu                                             */
#define PE_GT_VITI_LEVU_1916_TO_WGS_1984                      15821
/*      Wake Island                                                          */
#define PE_GT_WAKE_ISLAND_1952_TO_WGS_1984                    15823
/*      Cayman Islands - Little Cayman and Cayman Brac                       */
#define PE_GT_LITTLE_CAYMAN_1961_TO_WGS_1984_1                15814
/*      Cayman Islands - Little Cayman and Cayman Brac                       */
#define PE_GT_LITTLE_CAYMAN_1961_TO_WGS_1984_2                15829
/*      Cayman Islands - Grand Cayman                                        */
#define PE_GT_GRAND_CAYMAN_1959_TO_WGS_1984_1                 15830
/*      Republic of Korea (South Korea) - onshore and offshore               */
#define PE_GT_KOREA_2000_TO_WGS_1984_1                        15831
/*      French Polynesia - onshore and offshore. Includes Society and        */
/*      Tuamotu archipelagos, Marquezas, Gambier, Austral Islands, and       */
/*      Clipperton Island                                                    */
#define PE_GT_RGPF_TO_WGS_1984_1                              15832
/*      French Polynesia - onshore and offshore. Includes Society and        */
/*      Tuamotu archipelagos, Marquezas, Gambier, Austral Islands, and       */
/*      Clipperton Island                                                    */
#define PE_GT_RGPF_TO_WGS_1984_2                              15833

/*      Hong Kong                                                            */
#define PE_GT_HONG_KONG_1963_67_TO_WGS_1984_1                 15842
/*      Russian Federation - onshore and offshore                            */
#define PE_GT_PULKOVO_1942_TO_PZ_1990_1                       15844
/*      Argentina - Comodoro Rivadavia area                                  */
#define PE_GT_PAMPA_DEL_CASTILLO_TO_WGS_1984_1                15845
/*      Egypt - Gulf of Suez                                                 */
#define PE_GT_EGYPT_GULF_SUEZ_S_650_TL_TO_WGS_1984_2          15846
/*      Wallis and Futuna - Wallis                                           */
#define PE_GT_MOP78_TO_WGS_1984_2                             15847
/*      New Caledonia - Ile des Pins                                         */
#define PE_GT_ST84_ILE_DES_PINS_TO_WGS_1984_2                 15848
/*      Niger - south east                                                   */
#define PE_GT_BEDUARAM_TO_WGS_1984_2                          15849
/*      French Southern Territories - Kerguelen Is.                          */
#define PE_GT_KERGUELEN_ISLAND_1949_TO_WGS_1984_1             15850
/*      Belgium - onshore and offshore                                       */
#define PE_GT_BELGE_1972_TO_ETRS_1989_2                       15928
/*      Belgium - onshore and offshore                                       */
#define PE_GT_BELGE_1972_TO_WGS_1984_3                        15929

/*      Netherlands                                                          */
#define PE_GT_AMERSFOORT_TO_WGS_1984_3                        15934
/*      Netherlands                                                          */
#define PE_GT_AMERSFOORT_TO_WGS_1984_4X                      108237
/*      Russia - was 108238                                                  */
#define PE_GT_PZ_1990_TO_WGS_1984_GOST                         1244
/*      Russia - was 108239                                                  */
#define PE_GT_PULKOVO_1995_TO_PZ_1990_GOST                     1257

/*      Cocos Islands                                                        */
#define PE_GT_ANNA_1_1965_TO_WGS_1984                         15794
/*      Marcus Island                                                        */
#define PE_GT_ASTRO_1952_TO_WGS_1984                          15799
/*      Iwo Jima                                                             */
#define PE_GT_BEACON_E_1945_TO_WGS_1984                       15796
/*      Phoenix Islands                                                      */
#define PE_GT_CANTON_1966_TO_WGS_1984                         15803
/*      New Georgia Islands - Gizo                                           */
#define PE_GT_DOS_1968_TO_WGS_1984                           108259
/*      St. Helena Island                                                    */
#define PE_GT_DOS_71_4_TO_WGS_1984                            15798
/*      Estonia                                                              */
#define PE_GT_ESTONIA_1937_TO_WGS_1984_NGA                   108261
/*      Leeward Islands - Nevis & St. Kitts                                  */
#define PE_GT_FORT_THOMAS_1955_TO_WGS_1984                   108262
/*      Guadalcanal Island                                                   */
#define PE_GT_GUX_1_TO_WGS_1984                              108263
/*      Bosnia & Herzegovina, Croatia, Serbia, Slovenia, & Yugoslavia (prior */
/*      to 1990)                                                             */
#define PE_GT_HERMANNSKOGEL_TO_WGS_1984                      108264
/*      South Georgia Islands                                                */
#define PE_GT_ISTS_061_1968_TO_WGS_1984                       15813
/*      Diego Garcia                                                         */
#define PE_GT_ISTS_073_1969_TO_WGS_1984                       15808
/*      Cayman Brac Island                                                   */
#define PE_GT_LC5_1961_TO_WGS_1984                           108268
/*      Singapore                                                            */
#define PE_GT_S_ASIA_SINGAPORE_TO_WGS_1984                   108269
/*      Czechoslovakia (prior to 1993)                                       */
#define PE_GT_S_JTSK_TO_WGS_1984_NGA                         108270
/*      Marshall Islands                                                     */
#define PE_GT_WAKE_ENIWETOK_1960_TO_WGS_1984                  15822
/*      Estonia                                                              */
#define PE_GT_ESTONIA_1937_TO_ETRS_1989                      108272

/*      Slovenia                                                             */
#define PE_GT_D48_TO_ETRS_1989                               108276
/*      Slovenia                                                             */
#define PE_GT_D48_TO_WGS_1984                                108277

/*      Morocco                                                              */
#define PE_GT_MERCHICH_DEGREE_TO_WGS_1984                    108279

/*      United States                                                        */
#define PE_GT_ITRF_2000_TO_WGS_1984                          108280
/*      United States- CORS96                                                */
#define PE_GT_ITRF_2000_TO_NAD_1983_HARN                     108281
/*      United States- CORS96                                                */
#define PE_GT_WGS_1984_ITRF00_TO_NAD_1983_HARN               108282
/*      Costa Rica (Registro Nacional)                                       */
#define PE_GT_OCOTEPEQUE_1935_TO_WGS_1984_RN                 108283
/*      Costa Rica 3 param (Stentz, NIMA)                                    */
#define PE_GT_OCOTEPEQUE_1935_TO_WGS_1984_3PAR               108284

/*      Jamaica                                                              */
#define PE_GT_JAD_2001_TO_WGS_1984                            15925

/*      Mongolian 1997 to Mongolian (Pulkovo) 1942                           */
#define PE_GT_MONREF_1997_TO_MSK_1942_1                      108286
/*      Mongolian 1997 to Mongolian (Pulkovo) 1942                           */
#define PE_GT_MONREF_1997_TO_MSK_1942_2                      108287
/*      Mongolian 1997 to Pulkovo 1942                                       */
#define PE_GT_MONREF_1997_TO_PULKOVO_1942_1                  108288
/*      Mongolian 1997 to Pulkovo 1942                                       */
#define PE_GT_MONREF_1997_TO_PULKOVO_1942_2                  108289

/*      Colombia                                                             */
#define PE_GT_MAGNA_TO_SIRGAS                                108290

/*      Saipan Island - Northern Mariana Islands                             */
#define PE_GT_GUAM_1963_TO_WGS_1984_SAIPAN                   108299
/*      Saipan Island - Northern Mariana Islands                             */
#define PE_GT_NAD_1983_HARN_TO_WGS_1984_SAIPAN               108300
/*      Pohnpei - Fed. States of Micronesia                                  */
#define PE_GT_POHNPEI_TO_WGS_1984                            108303

/*      NAD 1983 HARN Pacific Plate and Marianas Plate 2000 to WGS_1984      */
#define PE_GT_NAD_1983_HARN_PACP00_MARP00_TO_WGS_1984        108307

/* END of NEW GT's Post 9.0 (Geocen, Coord, Pos, MB ) ---------------------- */


/* NEW GT's at 9.0 (Geocen Trans, Coord Frame, Pos Vector, MB) -----         */
/* (Geocentric Translation, Coordinate Frame, Position Vector,               */
/* Molodenksy-Badekas)                                                       */

/*      Australia - ACT                                                      */
#define PE_GT_AGD_1966_TO_WGS_1984_12                          1665
/*      Australia - NSW & Victoria                                           */
#define PE_GT_AGD_1966_TO_WGS_1984_13                          1666
/*      Australia - Tasmania                                                 */
#define PE_GT_AGD_1966_TO_WGS_1984_14                          1667
/*      Australia - Northern Territory                                       */
#define PE_GT_AGD_1966_TO_WGS_1984_15                          1668
/*      Australia                                                            */
#define PE_GT_AGD_1984_TO_WGS_1984_7                           1669
/*      Netherlands                                                          */
#define PE_GT_AMERSFOORT_TO_WGS_1984_2                         1672
/*      Greenland - Ammassalik area                                          */
#define PE_GT_AMMASSALIK_1958_TO_WGS_1984_1                    1800
/*      Antarctica                                                           */
#define PE_GT_AUSTRALIAN_ANTARCTIC_1998_TO_WGS_1984_1          1890
/*      Portugal - Graciosa, Terceira, Sao Jorge, Pico, Faial                */
#define PE_GT_AZORES_CENTRAL_1948_TO_WGS_1984_1                1886
/*      Azores - Faial, Graciosa, Pico, Sao Jorge, and Terceira islands      */
#define PE_GT_AZORES_CENTRAL_1995_TO_WGS_1984_10               1980
/*      Azores - Faial, Graciosa, Pico, Sao Jorge, and Terceira islands      */
#define PE_GT_AZORES_CENTRAL_1995_TO_WGS_1984_11               1981
/*      Azores - central, Terceira island                                    */
#define PE_GT_AZORES_CENTRAL_1995_TO_WGS_1984_2                1972
/*      Azores - central, Terceira island                                    */
#define PE_GT_AZORES_CENTRAL_1995_TO_WGS_1984_3                1973
/*      Azores - central, Faial island                                       */
#define PE_GT_AZORES_CENTRAL_1995_TO_WGS_1984_4                1974
/*      Azores - central, Terceira island                                    */
#define PE_GT_AZORES_CENTRAL_1995_TO_WGS_1984_5                1975
/*      Azores - central, Pico island                                        */
#define PE_GT_AZORES_CENTRAL_1995_TO_WGS_1984_6                1976
/*      Azores - central, Pico island                                        */
#define PE_GT_AZORES_CENTRAL_1995_TO_WGS_1984_7                1977
/*      Azores - central, Sao Jorge island                                   */
#define PE_GT_AZORES_CENTRAL_1995_TO_WGS_1984_8                1978
/*      Azores - central, Sao Jorge island                                   */
#define PE_GT_AZORES_CENTRAL_1995_TO_WGS_1984_9                1979
/*      Portugal - Flores, Corvo                                             */
#define PE_GT_AZORES_OCCIDENTAL_1939_TO_WGS_1984_1             1887
/*      Azores - Flores, Corvo islands                                       */
#define PE_GT_AZORES_OCCIDENTAL_1939_TO_WGS_1984_2             1982
/*      Portugal - Sao Miguel and Santa Maria                                */
#define PE_GT_AZORES_ORIENTAL_1940_TO_WGS_1984_1               1885
/*      Azores - Sao Miguel island                                           */
#define PE_GT_AZORES_ORIENTAL_1995_TO_WGS_1984_2               1968
/*      Azores - Sao Miguel island                                           */
#define PE_GT_AZORES_ORIENTAL_1995_TO_WGS_1984_3               1969
/*      Azores - Santa Maria and Sao Miguel islands                          */
#define PE_GT_AZORES_ORIENTAL_1995_TO_WGS_1984_4               1970
/*      Azores - Santa Maria and Sao Miguel islands                          */
#define PE_GT_AZORES_ORIENTAL_1995_TO_WGS_1984_5               1971
/*      Indonesia - Java Sea - offshore northwest Java                       */
#define PE_GT_BATAVIA_TO_WGS_1984_2                            1813
/*      Indonesia - eastern Java Sea                                         */
#define PE_GT_BATAVIA_TO_WGS_1984_3                            1814
/*      Nigeria - southeast                                                  */
#define PE_GT_BEDUARAM_TO_WGS_1972_BE_1                        1839
/*      Belgium                                                              */
#define PE_GT_BELGE_1972_TO_ETRS_1989_1                        1652
/*      Switzerland                                                          */
#define PE_GT_CH1903_PLUS_TO_ETRS_1989_1                       1647
/*      Switzerland                                                          */
#define PE_GT_CH1903_PLUS_TO_WGS_1984_1                        1676
/*      Switzerland                                                          */
#define PE_GT_CH1903_TO_ETRS_1989_1                            1646
/*      Mayotte                                                              */
#define PE_GT_COMBANI_1950_TO_WGS_1984_1                       1916
/*      French Guiana                                                        */
#define PE_GT_CSG_1967_TO_RGFG_1995_1                          1908
/*      French Guiana                                                        */
#define PE_GT_CSG_1967_TO_WGS_1984_1                           1906
/*      Portugal                                                             */
#define PE_GT_DATUM_73_TO_ETRS_1989_1                          1657
/*      Portugal                                                             */
#define PE_GT_DATUM_73_TO_ETRS_1989_3                          1992
/*      Portugal                                                             */
#define PE_GT_DATUM_73_TO_WGS_1984_3                           1983
/*      Portugal                                                             */
#define PE_GT_DATUM_73_TO_WGS_1984_4                           1987
/*      Romania                                                              */
#define PE_GT_DEALUL_PISCULUI_1933_TO_WGS_1984_1               1995
/*      Romania                                                              */
#define PE_GT_DEALUL_PISCULUI_1970_TO_WGS_1984_1               1996
/*      Romania                                                              */
#define PE_GT_DEALUL_PISCULUI_1970_TO_WGS_1984_2               1097
/*      Germany - West                                                       */
#define PE_GT_DHDN_TO_ETRS_1989_2                              1776
/*      Germany - S of 50 20 N                                               */
#define PE_GT_DHDN_TO_ETRS_1989_3                              1778
/*      Germany - between 50 20 N and 52 20 N                                */
#define PE_GT_DHDN_TO_ETRS_1989_4                              1779
/*      Germany - N of 52 20 N                                               */
#define PE_GT_DHDN_TO_ETRS_1989_5                              1780
/*      Germany - Thuringen                                                  */
#define PE_GT_DHDN_TO_ETRS_1989_6                              1781
/*      Germany - Sachsen                                                    */
#define PE_GT_DHDN_TO_ETRS_1989_7                              1782
/*      Germany - West                                                       */
#define PE_GT_DHDN_TO_WGS_1984_1                               1673
/*      Germany - West                                                       */
#define PE_GT_DHDN_TO_WGS_1984_2                               1777
/*      Iran - South Pars field blocks 2 & 3                                 */
#define PE_GT_ED_1950_ED77_TO_WGS_1984_3                       1856
/*      Iran - Lavan Island & Balal field                                    */
#define PE_GT_ED_1950_ED77_TO_WGS_1984_4                       1857
/*      Iran - Kharg Island                                                  */
#define PE_GT_ED_1950_ED77_TO_WGS_1984_5                       1858
/*      France                                                               */
#define PE_GT_ED_1950_TO_ETRS_1989_10                          1650
/*      Denmark                                                              */
#define PE_GT_ED_1950_TO_ETRS_1989_4                           1626
/*      Gibraltar                                                            */
#define PE_GT_ED_1950_TO_ETRS_1989_5                           1628
/*      Spain - Balearic Islands                                             */
#define PE_GT_ED_1950_TO_ETRS_1989_6                           1630
/*      Spain - mainland except NW (N of 41.5N, W of 4.5W)                   */
#define PE_GT_ED_1950_TO_ETRS_1989_7                           1632
/*      Spain - Northwest (N of 41.5N, W of 4.5W)                            */
#define PE_GT_ED_1950_TO_ETRS_1989_8                           1634
/*      Turkey                                                               */
#define PE_GT_ED_1950_TO_ETRS_1989_9                           1783
/*      Denmark                                                              */
#define PE_GT_ED_1950_TO_WGS_1984_25                           1627
/*      Gibraltar                                                            */
#define PE_GT_ED_1950_TO_WGS_1984_26                           1629
/*      Spain - Balearic Islands                                             */
#define PE_GT_ED_1950_TO_WGS_1984_27                           1631
/*      Spain - mainland except NW (N of 41.5N, W of 4.5W)                   */
#define PE_GT_ED_1950_TO_WGS_1984_28                           1633
/*      Spain - Northwest (N of 41.5N, W of 4.5W)                            */
#define PE_GT_ED_1950_TO_WGS_1984_29                           1635
/*      Turkey                                                               */
#define PE_GT_ED_1950_TO_WGS_1984_30                           1784
/*      Egypt - western desert                                               */
#define PE_GT_ED_1950_TO_WGS_1984_31                           1810
/*      Netherlands - offshore, North Sea                                    */
#define PE_GT_ED_1950_TO_WGS_1984_32                         108857
/*      Portugal                                                             */
#define PE_GT_ED_1950_TO_WGS_1984_33                           1985
/*      Portugal                                                             */
#define PE_GT_ED_1950_TO_WGS_1984_34                           1989
/*      Germany - offshore, North Sea                                        */
#define PE_GT_ED_1950_TO_WGS_1984_36                           1998
/*      Europe - west                                                        */
#define PE_GT_ED_1987_TO_WGS_1984_2                          108856
/*      Libya - Murzuq field                                                 */
#define PE_GT_ELD_1979_TO_WGS_1984_1                           1859
/*      Libya - Murzuq field                                                 */
#define PE_GT_ELD_1979_TO_WGS_1984_2                           1860
/*      Libya - Mabruk field                                                 */
#define PE_GT_ELD_1979_TO_WGS_1984_3                           1861
/*      Libya - Mabruk field                                                 */
#define PE_GT_ELD_1979_TO_WGS_1984_4                           1862
/*      Libya - Mabruk field                                                 */
#define PE_GT_ELD_1979_TO_WGS_1984_5                           1863
/*      Estonia                                                              */
#define PE_GT_ESTONIA_1997_TO_ETRS_1989_1                      1648
/*      Estonia                                                              */
#define PE_GT_ESTONIA_1997_TO_WGS_1984_1                       1649
/*      Lavan Island & Balal field                                           */
#define PE_GT_FD_1958_TO_WGS_1984_2                            1854
/*      Kharg Island                                                         */
#define PE_GT_FD_1958_TO_WGS_1984_3                            1855
/*      Martinique                                                           */
#define PE_GT_FORT_DESAIX_TO_WGS_1984_1                        1909
/*      Martinique                                                           */
#define PE_GT_FORT_DESAIX_TO_WGS_1984_2                        1910
/*      Guadeloupe - St. Martin & St. Barthelemy islands                     */
#define PE_GT_FORT_MARIGOT_TO_WGS_1984_1                       1903

/*      Maldives (DEPRECATED - use PE_GT_GAN_197_TO_WGS_1984_1)              */
#define PE_GT_GANDAJIKA_1970_TO_WGS_1984_1                     1894

/*      Cameroon - Garoua area                                               */
#define PE_GT_GAROUA_TO_WGS_1972_BE_1                          1805
/*      Indonesia - Kalimantan                                               */
#define PE_GT_GUNUNG_SEGARA_TO_WGS_1984_1                      1897
/*      Indonesia - east Kalimantan                                          */
#define PE_GT_GUNUNG_SEGARA_TO_WGS_1984_2                      1898
/*      Indonesia - northeast Kalimantan                                     */
#define PE_GT_GUNUNG_SEGARA_TO_WGS_1984_3                      1899
/*      Indonesia - east Kalimantan - Mahakam delta area                     */
#define PE_GT_GUNUNG_SEGARA_TO_WGS_1984_4                      1838
/*      Jan Mayen (Norway)                                                   */
#define PE_GT_HELLE_1954_TO_WGS_1984_1                         1957
/*      Chile - Tierra del Fuego                                             */
#define PE_GT_HITO_XVIII_1963_TO_WGS_1984_2                    1892
/*      China - Hong Kong                                                    */
#define PE_GT_HONG_KONG_1980_TO_WGS_1984_1                     1825
/*      Hungary                                                              */
#define PE_GT_HUNGARIAN_1972_TO_WGS_1984_1                     1830
/*      Hungary                                                              */
#define PE_GT_HUNGARIAN_1972_TO_WGS_1984_2                     1831
/*      Italy                                                                */
#define PE_GT_IGM_1995_TO_ETRS_1989_1                          1098
/*      Italy                                                                */
#define PE_GT_IGM_1995_TO_WGS_1984_1                           1099
/*      New Caledonia - Mare                                                 */
#define PE_GT_IGN53_MARE_TO_WGS_1984_1                         1928
/*      New Caledonia - Lifou                                                */
#define PE_GT_IGN56_LIFOU_TO_WGS_1984_1                        1917
/*      New Caledonia - Lifou                                                */
#define PE_GT_IGN56_LIFOU_TO_WGS_1984_2                        1927
/*      New Caledonia - Grande Terre                                         */
#define PE_GT_IGN72_GRANDE_TERRE_TO_WGS_1984_1                 1962
/*      New Caledonia - Grande Terre                                         */
#define PE_GT_IGN72_GRANDE_TERRE_TO_WGS_1984_2                 1963
/*      French Polynesia - Marquises - Nuku Hiva                             */
#define PE_GT_IGN72_NUKU_HIVA_TO_WGS_1984_1                    1914
/*      Iraq-Kuwait Boundary                                                 */
#define PE_GT_IKBD_1992_TO_WGS_1984_1                          1993
/*      Thailand                                                             */
#define PE_GT_INDIAN_1975_TO_WGS_1984_4                        1812
/*      Indonesia                                                            */
#define PE_GT_INDONESIAN_1974_TO_WGS_1984_2                    1832
/*      Indonesia                                                            */
#define PE_GT_INDONESIAN_1974_TO_WGS_1984_3                    1833
/*      Ireland                                                              */
#define PE_GT_IRENET95_TO_WGS_1984_1                           1678
/*      Iceland                                                              */
#define PE_GT_ISN_1993_TO_WGS_1984_1                           1952
/*      World                                                                */
#define PE_GT_ITRF_1988_TO_ITRF_2000_1                         1943
/*      World                                                                */
#define PE_GT_ITRF_1989_TO_ITRF_2000_1                         1942
/*      World                                                                */
#define PE_GT_ITRF_1990_TO_ITRF_2000_1                         1941
/*      World                                                                */
#define PE_GT_ITRF_1991_TO_ITRF_2000_1                         1940
/*      World                                                                */
#define PE_GT_ITRF_1992_TO_ITRF_2000_1                         1939
/*      World                                                                */
#define PE_GT_ITRF_1993_TO_ITRF_2000_1                         1938
/*      World                                                                */
#define PE_GT_ITRF_1994_TO_ITRF_2000_1                         1937
/*      World                                                                */
#define PE_GT_ITRF_1996_TO_ITRF_2000_1                         1936
/*      World                                                                */
#define PE_GT_ITRF_1997_TO_ITRF_2000_1                         1935
/*      Japan                                                                */
#define PE_GT_JGD_2000_TO_WGS_1984_1                           1826

/*      Finland                                                              */
#define PE_GT_KKJ_TO_ETRS_1989_1                               1638
/*      Finland                                                              */
#define PE_GT_KKJ_TO_WGS_1984_1                                1639
/*      Cameroon - N'Djamena area                                            */
#define PE_GT_KOUSSERI_TO_WGS_1972_BE_1                        1806
/*      Venezuela                                                            */
#define PE_GT_LA_CANOA_TO_REGVEN_1                             1771
/*      Venezuela                                                            */
#define PE_GT_LA_CANOA_TO_WGS_1984_2                           1096
/*      Portugal                                                             */
#define PE_GT_LISBON_1890_TO_WGS_1984_1                        1986
/*      Portugal                                                             */
#define PE_GT_LISBON_1890_TO_WGS_1984_2                        1990
/*      Portugal                                                             */
#define PE_GT_LISBON_TO_ETRS_1989_1                            1655
/*      Portugal                                                             */
#define PE_GT_LISBON_TO_ETRS_1989_2                            1997
/*      Portugal - onshore                                                   */
#define PE_GT_LISBON_TO_WGS_1984_2                             1944
/*      Portugal                                                             */
#define PE_GT_LISBON_TO_WGS_1984_3                             1984
/*      Portugal                                                             */
#define PE_GT_LISBON_TO_WGS_1984_4                             1988
/*      Latvia                                                               */
#define PE_GT_LKS_1992_TO_WGS_1984_1                           1958
/*      Luxembourg                                                           */
#define PE_GT_LUXEMBOURG_1930_TO_ETRS_1989_1                   1642
/*      Luxembourg                                                           */
#define PE_GT_LUXEMBOURG_1930_TO_WGS_1984_1                    1643
/*      Indonesia - southwest Sulawesi                                       */
#define PE_GT_MAKASSAR_TO_WGS_1984_1                           1837
/*      Cameroon                                                             */
#define PE_GT_MANOCA_1962_TO_WGS_1972_BE_1                     1902
/*      Cameroon - coastal area                                              */
#define PE_GT_MANOCA_1962_TO_WGS_1984_1                        1796
/*      Austria                                                              */
#define PE_GT_MGI_TO_ETRS_1989_1                               1619
/*      Croatia                                                              */
#define PE_GT_MGI_TO_ETRS_1989_2                               1620
/*      Slovenia                                                             */
#define PE_GT_MGI_TO_ETRS_1989_3                               1785
/*      Croatia                                                              */
#define PE_GT_MGI_TO_WGS_1984_4                                1621
/*      Slovenia                                                             */
#define PE_GT_MGI_TO_WGS_1984_5                                1786
/*      Former Yugoslavia - Montenegro                                       */
#define PE_GT_MGI_TO_WGS_1984_6                                1794
/*      Yugoslavia - Montenegro                                              */
#define PE_GT_MGI_TO_WGS_1984_7                                1795
/*      Nigeria - south                                                      */
#define PE_GT_MINNA_TO_WGS_1984_10                             1824
/*      Nigeria - offshore beyond continental shelf                          */
#define PE_GT_MINNA_TO_WGS_1984_4                              1818
/*      Nigeria - offshore beyond continental shelf                          */
#define PE_GT_MINNA_TO_WGS_1984_6                              1820
/*      Nigeria - offshore beyond continental shelf                          */
#define PE_GT_MINNA_TO_WGS_1984_7                              1821
/*      Nigeria - offshore beyond continental shelf                          */
#define PE_GT_MINNA_TO_WGS_1984_8                              1822
/*      Nigeria - offshore beyond continental shelf                          */
#define PE_GT_MINNA_TO_WGS_1984_9                              1823
/*      Italy - mainland                                                     */
#define PE_GT_MONTE_MARIO_TO_ETRS_1989_1                       1659
/*      Italy - Sardinia                                                     */
#define PE_GT_MONTE_MARIO_TO_ETRS_1989_2                       1661
/*      Italy - Sicily                                                       */
#define PE_GT_MONTE_MARIO_TO_ETRS_1989_3                       1663
/*      Italy - Sardinia                                                     */
#define PE_GT_MONTE_MARIO_TO_WGS_1984_2                        1662
/*      Italy - Sicily                                                       */
#define PE_GT_MONTE_MARIO_TO_WGS_1984_3                        1664
/*      Italy - mainland                                                     */
#define PE_GT_MONTE_MARIO_TO_WGS_1984_4                        1660
/*      Wallis and Futuna - Wallis                                           */
#define PE_GT_MOP78_TO_WGS_1984_1                              1925
/*      Canada                                                               */
#define PE_GT_NAD_1983_CSRS_TO_WGS_1984_1                      1842
/*      Canada                                                               */
#define PE_GT_NAD_1983_CSRS_TO_WGS_1984_2                      1946
/*      Contiguous United States                                             */
#define PE_GT_NAD_1983_HARN_TO_WGS_1984_2                      1900
/*      Contiguous United States                                             */
#define PE_GT_NAD_1983_HARN_TO_WGS_1984_3                      1901
/*      Canada - Newfoundland, New Brunswick, & Nova Scotia offshore         */
#define PE_GT_NAD_1983_TO_NAD_1983_CSRS_4                      1950
/*      New Caledonia - Noumea district on Grande Terre                      */
#define PE_GT_NEA74_NOUMEA_TO_WGS_1984_1                       1932
/*      Norway - onshore                                                     */
#define PE_GT_NGO_1948_TO_ETRS_1989_1                          1653
/*      Algeria - District 3 (In Salah)                                      */
#define PE_GT_NORD_SAHARA_1959_TO_WGS_1984_4                   1815
/*      Algeria - In Amenas block                                            */
#define PE_GT_NORD_SAHARA_1959_TO_WGS_1984_5                   1816
/*      Algeria - Hassi Bir Reikaz                                           */
#define PE_GT_NORD_SAHARA_1959_TO_WGS_1984_6                   1817
/*      France                                                               */
#define PE_GT_NTF_TO_ETRS_1989_1                               1651
/*      Ireland, Northern Ireland                                            */
#define PE_GT_OSNI_1952_TO_WGS_1984_1                          1955
/*      Antarctica - Terre Adelie                                            */
#define PE_GT_PETRELS_1972_TO_WGS_1984_1                       1921
/*      Reunion                                                              */
#define PE_GT_REUNION_1947_TO_RGR_1992_1                       1926
/*      Reunion (DEPRECATED)                                                 */
#define PE_GT_PITON_DES_NEIGES_TO_WGS_1984_1                   1911
/*      Burkina Faso - central, Niger - SW, near 12N                         */
#define PE_GT_POINT58_TO_WGS_1984_1                            1880
/*      Antarctica - Terre Adelie                                            */
#define PE_GT_POINTE_GEOLOGIE_PERROUD_1950_TO_WGS_1984_1       1922
/*      Congo - coastal area & offshore                                      */
#define PE_GT_POINTE_NOIRE_TO_WGS_1984_2                       1801
/*      Congo - coastal area and offshore                                    */
#define PE_GT_POINTE_NOIRE_TO_WGS_1984_3                       1802
/*      Madeira and Porto Santo islands                                      */
#define PE_GT_PORTO_SANTO_1995_TO_WGS_1984_2                   1966
/*      Madeira and Porto Santo islands                                      */
#define PE_GT_PORTO_SANTO_1995_TO_WGS_1984_3                   1967
/*      Argentina                                                            */
#define PE_GT_POSGAR_1998_TO_SIRGAS_1                          1774
/*      Argentina                                                            */
#define PE_GT_POSGAR_1998_TO_WGS_1984_1                        1773
/*      Venezuela                                                            */
#define PE_GT_PSAD_1956_TO_REGVEN_1                            1769
/*      Brazil - offshore Amazon cone                                        */
#define PE_GT_PSAD_1956_TO_WGS_1984_12                         1811
/*      Venezuela                                                            */
#define PE_GT_PSAD_1956_TO_WGS_1984_13                         1095
/*      Puerto Rico and Virgin Islands                                       */
#define PE_GT_PUERTO_RICO_TO_WGS_1984_3                        1893
/*      Poland                                                               */
#define PE_GT_PULKOVO_1942_ADJ_1958_TO_ETRS_1989_1             1644
/*      Poland                                                               */
#define PE_GT_PULKOVO_1942_ADJ_1958_TO_WGS_1984_1              1645
/*      Germany - Brandenburg, Mecklenburg-Vorpommern, Sachsen,              */
/*      Sachsen-Anhalt, Thuringen                                            */
#define PE_GT_PULKOVO_1942_ADJ_1983_TO_ETRS_1989_1             1674
/*      Germany - Brandenburg, Mecklenburg-Vorpommern, Sachsen,              */
/*      Sachsen-Anhalt, Thuringen                                            */
#define PE_GT_PULKOVO_1942_ADJ_1983_TO_ETRS_1989_2             1775
/*      Germany - Brandenburg, Mecklenburg-Vorpommern, Sachsen,              */
/*      Sachsen-Anhalt, Thuringen                                            */
#define PE_GT_PULKOVO_1942_ADJ_1983_TO_WGS_1984_1              1675
/*      Azerbaijan                                                           */
#define PE_GT_PULKOVO_1942_TO_WGS_1984_13                      1807
/*      Azerbaijan and Georgia                                               */
#define PE_GT_PULKOVO_1942_TO_WGS_1984_14                      1808
/*      Azerbaijan - coastal area Baku to Astara                             */
#define PE_GT_PULKOVO_1942_TO_WGS_1984_15                      1809
/*      Lithuania                                                            */
#define PE_GT_PULKOVO_1942_TO_WGS_1984_2                       1679
/*      Qatar                                                                */
#define PE_GT_QND_1995_TO_WGS_1984_1                           1840
/*      Greenland - south                                                    */
#define PE_GT_QORNOQ_1927_TO_WGS_1984_1                        1797
/*      Greenland                                                            */
#define PE_GT_QORNOQ_1927_TO_WGS_1984_2                        1798
/*      Venezuela                                                            */
#define PE_GT_REGVEN_TO_WGS_1984_1                             1768
/*      Iceland                                                              */
#define PE_GT_REYKJAVIK_1900_TO_WGS_1984_1                     1994
/*      French Guiana                                                        */
#define PE_GT_RGFG_1995_TO_WGS_1984_1                          1907
/*      France                                                               */
#define PE_GT_RGF_1993_TO_WGS_1984_1                           1671
/*      New Caledonia                                                        */
#define PE_GT_RGNC_1991_TO_WGS_1984_1                          1920
/*      Reunion                                                              */
#define PE_GT_RGR_1992_TO_REUNION_1947_1                       1964
/*      Reunion                                                              */
#define PE_GT_RGR_1992_TO_WGS_1984_1                           1912
/*      Antilles - Guadeloupe and Martinique                                 */
#define PE_GT_RRAF_1991_TO_WGS_1984_1                          1934
/*      Sweden                                                               */
#define PE_GT_RT90_TO_ETRS_1989_2                              1787
/*      Sweden                                                               */
#define PE_GT_RT90_TO_WGS_1984_2                               1896
/*      Guadeloupe - Basse-Terre, Grande-Terre, Desiride, Marie-Galante, Les */
/*      Saintes                                                              */
#define PE_GT_SAINTE_ANNE_TO_WGS_1984_1                        1904
/*      Gaudeloupe - Basse-Terre, Grande-Terre, Desiride, Marie-Galante, Les */
/*      Saintes                                                              */
#define PE_GT_SAINTE_ANNE_TO_WGS_1984_2                        1905
/*      Saint Pierre and Miquelon                                            */
#define PE_GT_SAINT_PIERRE_ET_MIQUELON_1950_TO_WGS_1984_1      1923
/*      Greenland - Scoresbysund area                                        */
#define PE_GT_SCORESBYSUND_1952_TO_WGS_1984_1                  1799
/*      Portugal - Selvagens islands                                         */
#define PE_GT_SELVAGEM_GRANDE_1938_TO_WGS_1984_1               1965
/*      South Yemen                                                          */
#define PE_GT_SOUTH_YEMEN_TO_WGS_1984_1                        1682
/*      New Caledonia - Belep                                                */
#define PE_GT_ST71_BELEP_TO_WGS_1984_1                         1931
/*      New Caledonia - Ile des Pins                                         */
#define PE_GT_ST84_ILE_DES_PINS_TO_WGS_1984_1                  1930
/*      St. Vincent and the Grenadines                                       */
#define PE_GT_ST_VINCENT_1945_TO_WGS_1984_1                    1959
/*      Sweden                                                               */
#define PE_GT_SWEREF99_TO_ETRS_1989_1                          1878
/*      Sweden                                                               */
#define PE_GT_SWEREF99_TO_WGS_1984_1                           1879
/*      Czech Republic                                                       */
#define PE_GT_S_JTSK_TO_ETRS_1989_1                            1622
/*      Slovak Republic                                                      */
#define PE_GT_S_JTSK_TO_ETRS_1989_2                            1624
/*      Czech Republic                                                       */
#define PE_GT_S_JTSK_TO_WGS_1984_1                             1623
/*      Slovak Republic                                                      */
#define PE_GT_S_JTSK_TO_WGS_1984_2                             1625

/*      Society Islands - Bora Bora, Huahin, Raiatea, Tahaa                  */
#define PE_GT_TAHAA_1954_TO_WGS_1984_1                         1913

/*      Society Islands - Moorea and Tahiti                                  */
#define PE_GT_TAHITI_1952_TO_WGS_1984_1                        1924

/*      Mozambique                                                           */
#define PE_GT_TETE_TO_WGS_1984_1                               1683
/*      Mozambique - Maputo and southern part of Gaza (S of 24S)             */
#define PE_GT_TETE_TO_WGS_1984_2                               1684
/*      Mozambique - Gaza, Inhambane, and southern parts of Sofala & Manhica */
/*      (between 24S and 20S)                                                */
#define PE_GT_TETE_TO_WGS_1984_3                               1685
/*      Mozambique - Sofala N of Beira corridor, Manhica, Tete & Zambezia    */
/*      (between 20S and 16S)                                                */
#define PE_GT_TETE_TO_WGS_1984_4                               1686
/*      Mozambique - Nampula, Niassa, and Cabo Delgado (N of 16S)            */
#define PE_GT_TETE_TO_WGS_1984_5                               1687
/*      Malaysia - East Malaysia (Sabah, Sarawak) offshore                   */
#define PE_GT_TIMBALAI_1948_TO_WGS_1984_4                      1852
/*      Republic of Ireland and Northern Ireland                             */
#define PE_GT_TM65_TO_ETRS_1989_1                              1640
/*      Republic of Ireland and Northern Ireland                             */
#define PE_GT_TM65_TO_WGS_1984_2                               1641
/*      Ireland, Northern Ireland                                            */
#define PE_GT_TM75_TO_ETRS_1989_2                              1953
/*      Ireland, Northern Ireland                                            */
#define PE_GT_TM75_TO_WGS_1984_2                               1954
/*      Ireland, Northern Ireland                                            */
#define PE_GT_TM75_TO_WGS_1984_3                               1956
/*      Senegal                                                              */
#define PE_GT_YOFF_TO_WGS_1972_1                               1828

/*      Netherlands                                                          */
#define PE_GT_AMERSFOORT_TO_ETRS_1989_MB                       1066
/*      Chatham Islands                                                      */
#define PE_GT_CHATHAM_ISLANDS_1979_TO_NZGD_2000_1              1082
/*      Chatham Islands                                                      */
#define PE_GT_CHATHAM_ISLANDS_1979_TO_WGS_1984_1               1081
/*      Chatham Island                                                       */
#define PE_GT_CHATHAM_ISLAND_1971_TO_WGS_1984                  1080
/*      Germany - S of 50 20 N                                               */
#define PE_GT_DHDN_TO_WGS_1984_3X                            108206
/*      Germany - between 50 20 N and 52 20 N                                */
#define PE_GT_DHDN_TO_WGS_1984_4X                            108207
/*      Germany - N of 52 20 N                                               */
#define PE_GT_DHDN_TO_WGS_1984_5X                            108208
/*      Germany - Thuringen                                                  */
#define PE_GT_DHDN_TO_WGS_1984_6X                            108209
/*      Germany - Sachsen                                                    */
#define PE_GT_DHDN_TO_WGS_1984_7X                            108210
/*      Finland                                                              */
#define PE_GT_EUREF_FIN_TO_ETRS_1989                         108226
/*      Finland                                                              */
#define PE_GT_EUREF_FIN_TO_WGS_1984                          108227
/*      Japan                                                                */
#define PE_GT_JGD_2000_TO_WGS_1984                           108107
/*      Finland - onshore and offshore                                       */
#define PE_GT_KKJ_TO_ETRS_1989_2                              10098
/*      Finland                                                              */
#define PE_GT_KKJ_TO_EUREF_FIN                               108229
/*      Finland - onshore and offshore (JHS153)                              */
#define PE_GT_KKJ_TO_WGS_1984_2                               10099
/*      Jordan                                                               */
#define PE_GT_JORDAN_TO_WGS_1984                             108233
/*      Venezuela                                                            */
#define PE_GT_LA_CANOA_TO_SIRGAS                             108217
/*      Portugal 3 Param                                                     */
#define PE_GT_LISBOA_HAYFORD_TO_DATUM_73_1                   108222
/*      Portugal 7 Param                                                     */
#define PE_GT_LISBOA_HAYFORD_TO_DATUM_73_2                   108223
/*      Portugal 3 Param                                                     */
#define PE_GT_LISBOA_HAYFORD_TO_LISBOA_BESSEL_1              108224
/*      Portugal 7 Param                                                     */
#define PE_GT_LISBOA_HAYFORD_TO_LISBOA_BESSEL_2              108225
/*      Midway Is.                                                           */
#define PE_GT_MIDWAY_1961_TO_WGS_1984                         15818
/*      Midway Is.                                                           */
#define PE_GT_MIDWAY_1961_TO_WGS_1984_OLD                     15817
/*      Macau                                                                */
#define PE_GT_OBSERV_METEOR_1965_TO_WGS_1984_2               108234
/*      Palestine                                                            */
#define PE_GT_PALESTINE_1923_TO_WGS_1984_1X                  108220
/*      Palestine                                                            */
#define PE_GT_PALESTINE_1923_TO_WGS_1984_2X                  108232
/*      Sweden                                                               */
#define PE_GT_SWEREF99_TO_RT90                               108212
/*      Czech Republic                                                       */
#define PE_GT_S_JTSK_TO_PULKOVO_1942                         108202
/*      Macau                                                                */
#define PE_GT_WGS_1984_TO_OBSERV_METEOR_1965_1               108211
/*      Macau                                                                */
#define PE_GT_WGS_1984_TO_OBSERV_METEOR_1965_2               108235
/*      Sweden                                                               */
#define PE_GT_WGS_1984_TO_RT90                               108213

/* END of NEW GT's at 9.0 (Geocen, Coord, Pos, MB ) ------------------------ */

/*      Cote d'Ivoire                                                        */
#define PE_GT_ABIDJAN_1987_TO_WGS_1984                         1470
/*      Ghana - offshore                                                     */
#define PE_GT_ACCRA_TO_WGS_1972_BE                             1570
/*      Ghana                                                                */
#define PE_GT_ACCRA_TO_WGS_1984                                1569
/*      Mean for Ethiopia and                                                */
#define PE_GT_ADINDAN_TO_WGS_1984_1                            1100
/*      Burkina Faso                                                         */
#define PE_GT_ADINDAN_TO_WGS_1984_2                            1101
/*      Cameroon                                                             */
#define PE_GT_ADINDAN_TO_WGS_1984_3                            1102
/*      Ethiopia                                                             */
#define PE_GT_ADINDAN_TO_WGS_1984_4                            1103
/*      Mali                                                                 */
#define PE_GT_ADINDAN_TO_WGS_1984_5                            1104
/*      Senegal                                                              */
#define PE_GT_ADINDAN_TO_WGS_1984_6                            1105
/*      Sudan                                                                */
#define PE_GT_ADINDAN_TO_WGS_1984_7                            1106
/*      Somalia                                                              */
#define PE_GT_AFGOOYE_TO_WGS_1984                              1107
/*      Australia                                                            */
#define PE_GT_AGD_1966_TO_GDA_1994                             1278
/*      Australia - ACT                                                      */
#define PE_GT_AGD_1966_TO_GDA_1994_2                           1458
/*      Australia - Tasmania                                                 */
#define PE_GT_AGD_1966_TO_GDA_1994_3                           1459
/*      Australia - New South Wales & Victoria                               */
#define PE_GT_AGD_1966_TO_GDA_1994_4                           1460
/*      Australia - Tasmania                                                 */
#define PE_GT_AGD_1966_TO_GDA_1994_8                           1594
/*      Australia - Northern Terr                                            */
#define PE_GT_AGD_1966_TO_GDA_1994_9                           1595
/*      Australia                                                            */
#define PE_GT_AGD_1966_TO_WGS_1984                             1108
/*      Australia                                                            */
#define PE_GT_AGD_1984_TO_GDA_1994                             1279
/*      Australia                                                            */
#define PE_GT_AGD_1984_TO_GDA_1994_2                           1280
/*      Australia                                                            */
#define PE_GT_AGD_1984_TO_WGS_1984_1                           1109
/*      Australia                                                            */
#define PE_GT_AGD_1984_TO_WGS_1984_2                           1236
/*      Bahrain                                                              */
#define PE_GT_AIN_EL_ABD_TO_WGS_1984_1                         1110
/*      Saudi Arabia                                                         */
#define PE_GT_AIN_EL_ABD_TO_WGS_1984_2                         1111
/*      Netherlands                                                          */
#define PE_GT_AMERSFOORT_TO_ETRS_1989                          1751
/*      Mean for Botswana, Malawi, Swaziland, Zaire, Zambia, and Zimbabwe    */
#define PE_GT_ARC_1950_TO_WGS_1984_1                           1113
/*      Netherlands                                                          */
#define PE_GT_AMERSFOORT_TO_WGS_1984                           1112
/*      Antigua                                                              */
#define PE_GT_ANTIGUA_1943_TO_WGS_1984                         1441
/*      Brazil - Campos, Espiritu Santo, Santos basin - was 1549             */
#define PE_GT_ARATU_TO_WGS_1984_1                             15754
/*      Brazil - Tucano basin north                                          */
#define PE_GT_ARATU_TO_WGS_1984_2                              1550
/*      Brazil - Tucano basin central                                        */
#define PE_GT_ARATU_TO_WGS_1984_3                              1551
/*      Brazil - Tucano basin south                                          */
#define PE_GT_ARATU_TO_WGS_1984_4                              1552
/*      Botswana                                                             */
#define PE_GT_ARC_1950_TO_WGS_1984_2                           1114
/*      Burundi                                                              */
#define PE_GT_ARC_1950_TO_WGS_1984_3                           1115
/*      Lesotho                                                              */
#define PE_GT_ARC_1950_TO_WGS_1984_4                           1116
/*      Malawi                                                               */
#define PE_GT_ARC_1950_TO_WGS_1984_5                           1117
/*      Swaziland                                                            */
#define PE_GT_ARC_1950_TO_WGS_1984_6                           1118
/*      Zaire                                                                */
#define PE_GT_ARC_1950_TO_WGS_1984_7                           1119
/*      Zambia                                                               */
#define PE_GT_ARC_1950_TO_WGS_1984_8                           1120
/*      Zimbabwe                                                             */
#define PE_GT_ARC_1950_TO_WGS_1984_9                           1121
/*      Mean for Kenya and Tanzania                                          */
#define PE_GT_ARC_1960_TO_WGS_1984                             1122
/*      Kenya                                                                */
#define PE_GT_ARC_1960_TO_WGS_1984_2                           1284
/*      Tanzania                                                             */
#define PE_GT_ARC_1960_TO_WGS_1984_3                           1285
/*      Batavia(Jakarta) to WGS84                                            */
#define PE_GT_BATAVIA_JAKARTA_TO_WGS_1984                      8178
/*      Indonesia (Sumatra)                                                  */
#define PE_GT_BATAVIA_TO_WGS_1984                              1123
/*      Belgium                                                              */
#define PE_GT_BELGE_1972_TO_WGS_1984_1                         1609
/*      Belgium                                                              */
#define PE_GT_BELGE_1972_TO_WGS_1984_2                         1610
/*      Bermuda                                                              */
#define PE_GT_BERMUDA_1957_TO_WGS_1984                         1124
/*      Guinea-Bissau                                                        */
#define PE_GT_BISSAU_TO_WGS_1984                               1547
/*      Bogota (Bogota) to WGS84                                             */
#define PE_GT_BOGOTA_BOGOTA_TO_WGS_1984                        8174
/*      Colombia                                                             */
#define PE_GT_BOGOTA_TO_WGS_1984                               1125
/*      Colombia - Casanare, BP Cusiana/Cupiagua field areas                 */
#define PE_GT_BOGOTA_TO_WGS_1984_2                             1597
/*      Indonesia (Bangka and Belitung Islands                               */
#define PE_GT_BUKIT_RIMPAH_TO_WGS_1984                         1126
/*      Angola - offshore                                                    */
#define PE_GT_CAMACUPA_TO_WGS_1972_BE_1                        1317
/*      Angola - offshore block 5                                            */
#define PE_GT_CAMACUPA_TO_WGS_1984_1                           1318
/*      Angola - offshore block 2                                            */
#define PE_GT_CAMACUPA_TO_WGS_1984_2                           1319
/*      Angola - offshore block 1 & 16                                       */
#define PE_GT_CAMACUPA_TO_WGS_1984_3                           1320
/*      Angola - offshore block 7 & 8                                        */
#define PE_GT_CAMACUPA_TO_WGS_1984_4                           1321
/*      Angola - offshore block 3                                            */
#define PE_GT_CAMACUPA_TO_WGS_1984_5                           1322
/*      Angola - offshore block 7                                            */
#define PE_GT_CAMACUPA_TO_WGS_1984_6                           1323
/*      Angola - offshore block 3, 7, 15, & 17                               */
#define PE_GT_CAMACUPA_TO_WGS_1984_7                           1324
/*      Angola - offshore block 2                                            */
#define PE_GT_CAMACUPA_TO_WGS_1984_8                           1325
/*      Angola - offshore block 1 & 16                                       */
#define PE_GT_CAMACUPA_TO_WGS_1984_9                           1326
/*      Angola - offshore block 2, 3, & 17                                   */
#define PE_GT_CAMACUPA_TO_WGS_1984_10                          1327
/*      Argentina                                                            */
#define PE_GT_CAMPO_INCHAUSPE_TO_WGS_1984                      1127
/*      Argentina - Neuquen province, Chos Malal area                        */
#define PE_GT_CAMPO_INCHAUSPE_TO_WGS_1984_2                    1527
/*      South Africa                                                         */
#define PE_GT_CAPE_TO_HARTEBEESTHOEK94                         1504
/*      South Africa                                                         */
#define PE_GT_CAPE_TO_WGS_1984_1                               1128
/*      South Africa                                                         */
#define PE_GT_CAPE_TO_WGS_1984_2                               1129
/*      Tunisia                                                              */
#define PE_GT_CARTHAGE_TO_WGS_1984                             1130
/*      Tunisia - offshore                                                   */
#define PE_GT_CARTHAGE_TO_WGS_1984_2                           1538
/*      Liechtenstein, Switzerland                                           */
#define PE_GT_CH1903_PLUS_TO_CHTRF_1995                        1509
/*      Liechtenstein, Switzerland                                           */
#define PE_GT_CH1903_TO_WGS_1984_1                             1753
/*      Liechtenstein, Switzerland - was 1510                                */
#define PE_GT_CH1903_TO_WGS_1984_2                             1766
/*      Argentina - Neuquen province, Chos Malal area                        */
#define PE_GT_CHOS_MALAL_1914_TO_CAMPO_INCHAUSPE               1528
/*      Argentina - Neuquen province, Chos Malal area                        */
#define PE_GT_CHOS_MALAL_1914_TO_WGS_1984                      8517
/*      Liechtenstein, Switzerland                                           */
#define PE_GT_CHTRF_1995_TO_WGS_1984                           1511
/*      Paraguay                                                             */
#define PE_GT_CHUA_TO_WGS_1984                                 1131
/*      Guinea                                                               */
#define PE_GT_CONAKRY_1905_TO_WGS_1984                         1517
/*      Brazil                                                               */
#define PE_GT_CORREGO_ALEGRE_TO_WGS_1984                       1132
/*      Guinea                                                               */
#define PE_GT_DABOLA_1981_TO_WGS_1984                          1518
/*      Syrian Arab Republic - Deir area (35 22 N, 40 06 E)                  */
#define PE_GT_DEIR_EZ_ZOR_TO_WGS_1972_BE                       1584
/*      Syrian Arab Republic - Al Whaleed area                               */
#define PE_GT_DEIR_EZ_ZOR_TO_WGS_1984_3                        1586
/*      Syrian Arab Republic - Shaddadeh area (36 N, 41 E)                   */
#define PE_GT_DEIR_EZ_ZOR_TO_WGS_1984_4                        1587
/*      Germany - former W Germany                                           */
#define PE_GT_DHDN_TO_ETRF_1989                              108192
/*      Germany - former W Germany                                           */
#define PE_GT_DHDN_TO_ETRS_1989                                1309
/*      Dominica                                                             */
#define PE_GT_DOMINICA_1945_TO_WGS_1984                        1442
/*      Iran                                                                 */
#define PE_GT_ED_1950_ED77_TO_WGS_1984                         1514
/*      Norway (offshore north of 65 deg N)                                  */
#define PE_GT_ED_1950_TO_ED_1987_2                             1147
/*      Norway -offshore N of 65N Svalbard and Jan Mayen Islands             */
#define PE_GT_ED_1950_TO_ETRF_1989_1                         108193
/*      Norway -offshore N of 65N Svalbard and Jan Mayen Islands             */
#define PE_GT_ED_1950_TO_ETRS_1989_1                           1588
/*      Mean for Austria, Belgium, Denmark, Finland, France, Germany (West), */
/*      Gibraltar, Greece, Italy, Luxembourg, Netherlands, Norway, Spain,    */
/*      Sweden, Switzerland, and Portugal                                    */
#define PE_GT_ED_1950_TO_WGS_1984_1                            1133
/*      Mean for Austria, Denmark, France, Germany (West), Netherlands, and  */
/*      Switzerland                                                          */
#define PE_GT_ED_1950_TO_WGS_1984_2                            1134
/*      Mean for Iraq, Israel, Jordan, Kuwait, Lebanon, Saudi Arabia, and    */
/*      Syria                                                                */
#define PE_GT_ED_1950_TO_WGS_1984_3                            1135
/*      Cyprus                                                               */
#define PE_GT_ED_1950_TO_WGS_1984_4                            1136
/*      Egypt                                                                */
#define PE_GT_ED_1950_TO_WGS_1984_5                            1137
/*      Ireland, United Kingdom                                              */
#define PE_GT_ED_1950_TO_WGS_1984_6                            1138
/*      Finland, Norway                                                      */
#define PE_GT_ED_1950_TO_WGS_1984_7                            1139
/*      Greece                                                               */
#define PE_GT_ED_1950_TO_WGS_1984_8                            1140
/*      Iran                                                                 */
#define PE_GT_ED_1950_TO_WGS_1984_9                          108275
/*      Italy (Sardinia)                                                     */
#define PE_GT_ED_1950_TO_WGS_1984_10                           1142
/*      Italy (Sicily)                                                       */
#define PE_GT_ED_1950_TO_WGS_1984_11                           1143
/*      Malta                                                                */
#define PE_GT_ED_1950_TO_WGS_1984_12                           1144
/*      Portugal, Spain                                                      */
#define PE_GT_ED_1950_TO_WGS_1984_13                           1145
/*      Tunisia                                                              */
#define PE_GT_ED_1950_TO_WGS_1984_16                           1245
/*      France                                                               */
#define PE_GT_ED_1950_TO_WGS_1984_17                           1275
/*      UK - offshore E of 6W                                                */
#define PE_GT_ED_1950_TO_WGS_1984_18                           1311
/*      Greece                                                               */
#define PE_GT_ED_1950_TO_WGS_1984_19                           1440
/*      Norway -offshore N of 62N Svalbard and Jan Mayen Islands             */
#define PE_GT_ED_1950_TO_WGS_1984_23                           1612
/*      Norway -offshore S of 62N                                            */
#define PE_GT_ED_1950_TO_WGS_1984_24                           1613
/*      North Sea south of 62 deg N (UK,Denmark,Germany, Norway) and         */
/*      Netherlands (offshore)                                               */
#define PE_GT_ED_1987_TO_WGS_1984_1                            1146
/*      Egypt                                                                */
#define PE_GT_EGYPT_1907_TO_WGS_1972                           1545
/*      Egypt                                                                */
#define PE_GT_EGYPT_1907_TO_WGS_1984                           1148
/*      Egypt - Gulf of Suez                                                 */
#define PE_GT_EGYPT_1907_TO_WGS_1984_3                         1546
/*      Estonia                                                              */
#define PE_GT_ESTONIA_1992_TO_ETRF_1989                      108194
/*      Estonia                                                              */
#define PE_GT_ESTONIA_1992_TO_ETRS_1989                        1331
/*      Estonia                                                              */
#define PE_GT_ESTONIA_1992_TO_WGS_1984                         1333
/*      Europe                                                               */
#define PE_GT_ETRF_1989_TO_WGS_1984                          108195
/*      Europe                                                               */
#define PE_GT_ETRS_1989_TO_WGS_1984                            1149
/*      Oman                                                                 */
#define PE_GT_FAHUD_TO_WGS_1984                                1256
/*      Oman                                                                 */
#define PE_GT_FAHUD_TO_WGS_1984_2                              1438
/*      Iran - Kangan District                                               */
#define PE_GT_FD_1958_TO_WGS_1984                              1513
/*      Greek GRS                                                            */
#define PE_GT_GGRS_1987_TO_WGS_1984                            1272
/*      Australia                                                            */
#define PE_GT_GDA_1994_TO_WGS_1984                             1150
/*      Grenada                                                              */
#define PE_GT_GRENADA_1953_TO_WGS_1984                         1443
/*      Vietnam - Meekong delta                                              */
#define PE_GT_HANOI_1972_TO_WGS_1984                           1544
/*      South Africa                                                         */
#define PE_GT_HARTEBEESTHOEK94_TO_WGS_1984                     1505
/*      Afghanistan                                                          */
#define PE_GT_HERAT_NORTH_TO_WGS_1984                          1246
/*      Argentina - Tierra del Fuego                                         */
#define PE_GT_HITO_XVIII_1963_TO_WGS_1984                      1529
/*      Hungarian to ETRF 1989                                               */
#define PE_GT_HUNGARIAN_1972_TO_ETRF_1989_1                  108196
/*      Hungarian to ETRF 1989                                               */
#define PE_GT_HUNGARIAN_1972_TO_ETRS_1989_1                    1829
/*      Taiwan                                                               */
#define PE_GT_HU_TZU_SHAN_TO_WGS_1984                          1152
/*      Thailand, Vietnam                                                    */
#define PE_GT_INDIAN_1954_TO_WGS_1984                          1153
/*      Vietnam - offshore                                                   */
#define PE_GT_INDIAN_1960_TO_WGS_1972_BE                       1541
/*      Vietnam - offshore                                                   */
#define PE_GT_INDIAN_1960_TO_WGS_1984_1                        8532
/*      Vietnam near 16N                                                     */
#define PE_GT_INDIAN_1960_TO_WGS_1984_2                        1542
/*      Vietnam - Con Son island                                             */
#define PE_GT_INDIAN_1960_TO_WGS_1984_3                        1543
/*      Thailand                                                             */
#define PE_GT_INDIAN_1975_TO_WGS_1984                          1154
/*      Thailand                                                             */
#define PE_GT_INDIAN_1975_TO_WGS_1984_2                        1304
/*      Thailand - Bongkot field                                             */
#define PE_GT_INDIAN_1975_TO_WGS_1984_3                        1537
/*      Indonesia                                                            */
#define PE_GT_INDONESIAN_1974_TO_WGS_1984                      1248
/*      Northern Ireland                                                     */
#define PE_GT_IRENET95_TO_ETRF_1989                          108197
/*      Northern Ireland                                                     */
#define PE_GT_IRENET95_TO_ETRS_1989                            1611
/*      Bangladesh                                                           */
#define PE_GT_KALIANPUR_1937_TO_WGS_1984_1                     1155
/*      Myanmar - Moattama area                                              */
#define PE_GT_KALIANPUR_1937_TO_WGS_1984_2                     1533
/*      Pakistan                                                             */
#define PE_GT_KALIANPUR_1962_TO_WGS_1984_1                     1247
/*      India, Nepal                                                         */
#define PE_GT_KALIANPUR_1975_TO_WGS_1984_1                     1156
/*      Sri Lanka                                                            */
#define PE_GT_KANDAWALA_TO_WGS_1984                            1157
/*      West Malaysia, Singapore                                             */
#define PE_GT_KERTAU_TO_WGS_1984                               1158
/*      Republic of Korea                                                    */
#define PE_GT_KOREAN_1995_TO_WGS_1984_1                        1558
/*      Venezuela - Delta Amacuro, Anzoategui, Bolivar, Monagas, Sucre       */
/*      States                                                               */
#define PE_GT_LA_CANOA_TO_WGS_1984                             1516
/*      Ghana                                                                */
#define PE_GT_LEIGON_TO_WGS_1984                               1159
/*      Liberia                                                              */
#define PE_GT_LIBERIA_1964_TO_WGS_1984                         1160
/*      Lithuania                                                            */
#define PE_GT_LKS_1994_TO_WGS_1984                             1283
/*      Cote d'Ivoire                                                        */
#define PE_GT_LOCODJO_1965_TO_WGS_1984                         1469
/*      Philippines (excluding Mindanao)                                     */
#define PE_GT_LUZON_1911_TO_WGS_1984_1                         1161
/*      Philippines (Mindanao)                                               */
#define PE_GT_LUZON_1911_TO_WGS_1984_2                         1162
/*      Mahe Island                                                          */
#define PE_GT_MAHE_1971_TO_WGS_1984                            1164
/*      Angola - Cabinda offshore                                            */
#define PE_GT_MALONGO_1987_TO_MHAST_1                          1328
/*      Angola - Cabinda offshore                                            */
#define PE_GT_MALONGO_1987_TO_WGS_1984_1                       1330
/*      Angola - Cabinda offshore                                            */
#define PE_GT_MALONGO_1987_TO_WGS_1984_2                       1557
/*      Cameroon                                                             */
#define PE_GT_MANOCA_TO_WGS_1984_1                             1316
/*      Ethiopia (Eritrea)                                                   */
#define PE_GT_MASSAWA_TO_WGS_1984                              1165
/*      Morocco                                                              */
#define PE_GT_MERCHICH_TO_WGS_1984                             1166
/*      Mean for Croatia, Slovenia, Bosnia and Herzegovina, & Serbia         */
#define PE_GT_MGI_FERRO_TO_WGS_1984                            8263
/*      Boznia and Herzegovina, Croatia, Serbia, Slovenia                    */
#define PE_GT_MGI_TO_WGS_1984                                  1306
/*      Austria                                                              */
#define PE_GT_MGI_TO_WGS_1984_2                                8415
/*      Austria                                                              */
#define PE_GT_MGI_TO_WGS_1984_3                                1618
/*      Angola - Cabinda offshore                                            */
#define PE_GT_MHAST_TO_WGS_1984_1                              1329
/*      Cameroon                                                             */
#define PE_GT_MINNA_TO_WGS_1984_1                              1167
/*      Nigeria                                                              */
#define PE_GT_MINNA_TO_WGS_1984_2                              1168
/*      Nigeria - south                                                      */
#define PE_GT_MINNA_TO_WGS_1984_3                              1754
/*      Monte Mario (Rome) to WGS84                                          */
#define PE_GT_MONTE_MARIO_ROME_TO_WGS_1984                     8175
/*      Italy (Sardinia)                                                     */
#define PE_GT_MONTE_MARIO_TO_WGS_1984                          1169
/*      Montserrat                                                           */
#define PE_GT_MONTSERRAT_1958_TO_WGS_1984                      1444
/*      Mozambique                                                           */
#define PE_GT_MOZNET_TO_WGS_1984                               1302
/*      Gabon                                                                */
#define PE_GT_MPORALOKO_TO_WGS_1984                            1163
/*      Gabon                                                                */
#define PE_GT_MPORALOKO_TO_WGS_1984_2                          1532

/*      Mean for Antigua, Barbados Barbuda, Caicos Islands, Cuba, Dominican  */
/*      Republic, Grand Cayman, Jamaica, and Turks Islands                   */
#define PE_GT_NAD_1927_TO_WGS_1984_1                           1170
/*      Mean for Belize, Costa Rica, El Salvador, Guatemala, Honduras, and   */
/*      Nicaragua                                                            */
#define PE_GT_NAD_1927_TO_WGS_1984_2                           1171
/*      Mean for Canada                                                      */
#define PE_GT_NAD_1927_TO_WGS_1984_3                           1172
/*      Mean for United States (CONUS)                                       */
#define PE_GT_NAD_1927_TO_WGS_1984_4                           1173
/*      Mean for United States (CONUS East of Mississippi River including    */
/*      MN, MO, and LA)                                                      */
#define PE_GT_NAD_1927_TO_WGS_1984_5                           1174
/*      Mean for United States (CONUS West of Mississippi River)             */
#define PE_GT_NAD_1927_TO_WGS_1984_6                           1175
/*      United States (Alaska)                                               */
#define PE_GT_NAD_1927_TO_WGS_1984_7                           1176
/*      Bahamas (except San Salvador Island)                                 */
#define PE_GT_NAD_1927_TO_WGS_1984_8                           1177
/*      Bahamas (San Salvador Island)                                        */
#define PE_GT_NAD_1927_TO_WGS_1984_9                           1178
/*      Canada (Alberta, British Columbia)                                   */
#define PE_GT_NAD_1927_TO_WGS_1984_10                          1179
/*      Canada (Manitoba, Ontario)                                           */
#define PE_GT_NAD_1927_TO_WGS_1984_11                          1180
/*      Canada (New Brunswick, Newfoundland, Nova Scotia, and Quebec)        */
#define PE_GT_NAD_1927_TO_WGS_1984_12                          1181
/*      Canada (Northwest Territories, Saskatchewan)                         */
#define PE_GT_NAD_1927_TO_WGS_1984_13                          1182
/*      Canada (Yukon)                                                       */
#define PE_GT_NAD_1927_TO_WGS_1984_14                          1183
/*      Panama (Canal Zone)                                                  */
#define PE_GT_NAD_1927_TO_WGS_1984_15                          1184
/*      Cuba                                                                 */
#define PE_GT_NAD_1927_TO_WGS_1984_16                          1185
/*      Greenland (Hayes Peninsula)                                          */
#define PE_GT_NAD_1927_TO_WGS_1984_17                          1186
/*      Mexico                                                               */
#define PE_GT_NAD_1927_TO_WGS_1984_18                          1187

/*      United States (Alaska - Aleutians East of 180E)                      */
#define PE_GT_NAD_1927_TO_WGS_1984_21                          1249
/*      United States (Alaska - Aleutians West of 180E)                      */
#define PE_GT_NAD_1927_TO_WGS_1984_22                          1250
/*      Cuba                                                                 */
#define PE_GT_NAD_1927_TO_WGS_1984_30                          1530

/*      Canada - New Brunswick                                               */
#define PE_GT_NAD_1983_CSRS_TO_WGS_1984                        1473
/*      United States                                                        */
#define PE_GT_NAD_1983_HARN_TO_WGS_1984                        1580
/*      Canada, Central America, Mexico, and United States (Alaska, CONUS)   */
#define PE_GT_NAD_1983_TO_WGS_1984_1                           1188
/*      United States (Alaska - Aleutians)                                   */
#define PE_GT_NAD_1983_TO_WGS_1984_2                           1251
/*      United States (Hawaii)                                               */
#define PE_GT_NAD_1983_TO_WGS_1984_3                           1252
/*      United States- CORS ITRF94                                           */
#define PE_GT_NAD_1983_TO_WGS_1984_4                           1308
/*      United States- CORS ITRF96                                           */
#define PE_GT_NAD_1983_TO_WGS_1984_5                           1515
/*      Oman (Nasirah Island)                                                */
#define PE_GT_NAHRWAN_1967_TO_WGS_1984_1                       1189
/*      Saudi Arabia                                                         */
#define PE_GT_NAHRWAN_1967_TO_WGS_1984_2                       1190
/*      United Arab Emirates                                                 */
#define PE_GT_NAHRWAN_1967_TO_WGS_1984_3                       1191
/*      UAE - Abu al Bu Koosh                                                */
#define PE_GT_NAHRWAN_1967_TO_WGS_1984_4                       1531
/*      Qatar                                                                */
#define PE_GT_NAHRWAN_1967_TO_WGS_1984_5                       1536
/*      Trinidad                                                             */
#define PE_GT_NAPARIMA_1955_TO_WGS_1984_2                      1555
/*      Trinidad                                                             */
#define PE_GT_NAPARIMA_1955_TO_WGS_1984_3                      1556
/*      Trinidad & Tobago                                                    */
#define PE_GT_NAPARIMA_1972_TO_WGS_1984                        1192
/*      Trinidad and Tobago                                                  */
#define PE_GT_NAPARIMA_1972_TO_WGS_1984_2                      8212
/*      Trinidad and Tobago                                                  */
#define PE_GT_NAPARIMA_1972_TO_WGS_1984_3                      1307
/*      Algeria - Hassi Messaoud area                                        */
#define PE_GT_NORD_SAHARA_1959_TO_WGS_1972_BE                  1560
/*      Algeria                                                              */
#define PE_GT_NORD_SAHARA_1959_TO_WGS_1984                     1253
/*      Algeria - Hassi Messaoud                                             */
#define PE_GT_NORD_SAHARA_1959_TO_WGS_1984_3                   8562
/*      NTF (Paris) to ED 1950                                               */
#define PE_GT_NTF_PARIS_TO_ED_1950                             8186
/*      NTF (Paris) to WGS 1972                                              */
#define PE_GT_NTF_PARIS_TO_WGS_1972                            8188
/*      NTF (Paris) to WGS 1984                                              */
#define PE_GT_NTF_PARIS_TO_WGS_1984                            8094
/*      France                                                               */
#define PE_GT_NTF_TO_ED_1950                                   1276
/*      France                                                               */
#define PE_GT_NTF_TO_WGS_1972                                  1277
/*      France                                                               */
#define PE_GT_NTF_TO_WGS_1984                                  1193
/*      New Zealand                                                          */
#define PE_GT_NZGD_1949_TO_WGS_1984                            1151
/*      New Zealand                                                          */
#define PE_GT_NZGD_1949_TO_WGS_1984_2                          1564
/*      New Zealand                                                          */
#define PE_GT_NZGD_2000_TO_WGS_1984_1                          1565
/*      UK - England, Scotland, Wales, N Sea                                 */
#define PE_GT_OSGB_1936_TO_ED_1950_UKOOA                       1315
/*      Mean for UK (England, Scotland, Wales, and Isle of Man)              */
#define PE_GT_OSGB_1936_TO_WGS_1984_1                          1195
/*      UK (England)                                                         */
#define PE_GT_OSGB_1936_TO_WGS_1984_2                          1196
/*      UK (England, Wales, and Isle of Man)                                 */
#define PE_GT_OSGB_1936_TO_WGS_1984_3                          1197
/*      UK (Scotland, including Shetland Islands)                            */
#define PE_GT_OSGB_1936_TO_WGS_1984_4                          1198
/*      UK (Wales)                                                           */
#define PE_GT_OSGB_1936_TO_WGS_1984_5                          1199
/*      UK - England, Scotland, Wales, N Sea                                 */
#define PE_GT_OSGB_1936_TO_WGS_1984_PETROL                     1314
/*      Oman                                                                 */
#define PE_GT_PDO_1993_TO_WGS_1972                             1616
/*      Oman                                                                 */
#define PE_GT_PDO_1993_TO_WGS_1984                             1439
/*      Oman - Block 4                                                       */
#define PE_GT_PDO_1993_TO_WGS_1984_3                           1617
/*      Congo                                                                */
#define PE_GT_POINTE_NOIRE_TO_WGS_1984                         1200
/*      South America                                                        */
#define PE_GT_POSGAR_TO_WGS_1984_1                             1598
/*      Mean for Bolivia, Chile, Colombia, Ecuador, Guyana, Peru, and        */
/*      Venezuela                                                            */
#define PE_GT_PSAD_1956_TO_WGS_1984_1                          1201
/*      Bolivia                                                              */
#define PE_GT_PSAD_1956_TO_WGS_1984_2                          1202
/*      Chile (Northern, near 19 deg S                                       */
#define PE_GT_PSAD_1956_TO_WGS_1984_3                          1203
/*      Chile (Southern, near 43 deg S                                       */
#define PE_GT_PSAD_1956_TO_WGS_1984_4                          1204
/*      Colombia                                                             */
#define PE_GT_PSAD_1956_TO_WGS_1984_5                          1205
/*      Ecuador                                                              */
#define PE_GT_PSAD_1956_TO_WGS_1984_6                          1206
/*      Guyana                                                               */
#define PE_GT_PSAD_1956_TO_WGS_1984_7                          1207
/*      Peru                                                                 */
#define PE_GT_PSAD_1956_TO_WGS_1984_8                          1208
/*      Venezuela                                                            */
#define PE_GT_PSAD_1956_TO_WGS_1984_9                          1209
/*      Bolivia - Madidi                                                     */
#define PE_GT_PSAD_1956_TO_WGS_1984_10                         1582
/*      Bolivia - Block 20                                                   */
#define PE_GT_PSAD_1956_TO_WGS_1984_11                         1583
/*      Estonia                                                              */
#define PE_GT_PULKOVO_1942_TO_ESTONIA_1992                     1332
/*      Germany - former E Germany                                           */
#define PE_GT_PULKOVO_1942_TO_ETRF_1989                      108198
/*      Germany - former E Germany                                           */
#define PE_GT_PULKOVO_1942_TO_ETRS_1989                        1310
/*      Lithuania                                                            */
#define PE_GT_PULKOVO_1942_TO_LKS_1994                         1274
/*      Russia                                                               */
#define PE_GT_PULKOVO_1942_TO_WGS_1984                         1254
/*      Hungary                                                              */
#define PE_GT_PULKOVO_1942_TO_WGS_1984_3                       1287
/*      Poland                                                               */
#define PE_GT_PULKOVO_1942_TO_WGS_1984_4                       1288
/*      Czech Republic                                                       */
#define PE_GT_PULKOVO_1942_TO_WGS_1984_5                       1289
/*      Latvia                                                               */
#define PE_GT_PULKOVO_1942_TO_WGS_1984_6                       1290
/*      Kazakhstan                                                           */
#define PE_GT_PULKOVO_1942_TO_WGS_1984_7                       1291
/*      Albania                                                              */
#define PE_GT_PULKOVO_1942_TO_WGS_1984_8                       1292
/*      Romania                                                              */
#define PE_GT_PULKOVO_1942_TO_WGS_1984_9                       1293
/*      Kazakhstan - Caspian                                                 */
#define PE_GT_PULKOVO_1942_TO_WGS_1984_10                      1303
/*      Estonia                                                              */
#define PE_GT_PULKOVO_1942_TO_WGS_1984_12                      1334
/*      Qatar                                                                */
#define PE_GT_QATAR_1974_TO_WGS_1984_1                         1561
/*      Qatar - offshore                                                     */
#define PE_GT_QATAR_1974_TO_WGS_1984_2                         1562
/*      Qatar - onshore                                                      */
#define PE_GT_QATAR_1974_TO_WGS_1984_3                         1563
/*      Greenland (South)                                                    */
#define PE_GT_QORNOQ_TO_WGS_1984                               8111
/*      Iran - Tehari Refinery                                               */
#define PE_GT_RASSADIRAN_TO_WGS_1984                           1512
/*      France                                                               */
#define PE_GT_RGF_1993_TO_ETRF_1989_1                        108199
/*      France                                                               */
#define PE_GT_RGF_1993_TO_ETRS_1989_1                          1591
/*      Sweden                                                               */
#define PE_GT_RT90_TO_WGS_1984                                 1680
/*      Mean for Argentina, Bolivia, Brazil, Chile, Colombia, Ecuador,       */
/*      Guyana, Paraguay, Peru, Trinidad & Tobago, and Venezuela             */
#define PE_GT_SAD_1969_TO_WGS_1984_1                           1864
/*      Argentina                                                            */
#define PE_GT_SAD_1969_TO_WGS_1984_2                           1865
/*      Bolivia                                                              */
#define PE_GT_SAD_1969_TO_WGS_1984_3                           1866
/*      Brazil                                                               */
#define PE_GT_SAD_1969_TO_WGS_1984_4                           1867
/*      Chile                                                                */
#define PE_GT_SAD_1969_TO_WGS_1984_5                           1868
/*      Colombia                                                             */
#define PE_GT_SAD_1969_TO_WGS_1984_6                           1869
/*      Ecuador                                                              */
#define PE_GT_SAD_1969_TO_WGS_1984_7                           1870
/*      Ecuador (Baltra, Galapagos)                                          */
#define PE_GT_SAD_1969_TO_WGS_1984_8                           1871
/*      Guyana                                                               */
#define PE_GT_SAD_1969_TO_WGS_1984_9                           1872
/*      Paraguay                                                             */
#define PE_GT_SAD_1969_TO_WGS_1984_10                          1873
/*      Peru                                                                 */
#define PE_GT_SAD_1969_TO_WGS_1984_11                          1874
/*      Trinidad & Tobago                                                    */
#define PE_GT_SAD_1969_TO_WGS_1984_12                          1875
/*      Venezuela                                                            */
#define PE_GT_SAD_1969_TO_WGS_1984_13                          1876
/*      Brazil                                                               */
#define PE_GT_SAD_1969_TO_WGS_1984_14                          1877
/*      Indonesia - E Kalimantan Mahakam delta area                          */
#define PE_GT_SAMBOJA_TO_WGS_1984                              1282
/*      American Samoa                                                       */
#define PE_GT_SAMOA_1962_TO_WGS_1984                           1577
/*      Falkland Islands (East Falkland Island)                              */
#define PE_GT_SAPPER_HILL_1943_TO_WGS_1984                     1225
/*      Namibia                                                              */
#define PE_GT_SCHWARZECK_TO_WGS_1984                           1226
/*      Namibia                                                              */
#define PE_GT_SCHWARZECK_TO_WGS_1984_2                         1271
/*      Indonesia - Kalimantan                                               */
#define PE_GT_SEGORA_TO_WGS_1984                               1286
/*      Sierra Leone                                                         */
#define PE_GT_SIERRA_LEONE_1968_TO_WGS_1984                    1614
/*      South America                                                        */
#define PE_GT_SIRGAS_TO_WGS_1984_1                             1581
/*      South Yemen                                                          */
#define PE_GT_SOUTH_YEMEN_TO_YEMEN_NGN_1996                    1539
/*      St. Lucia                                                            */
#define PE_GT_ST_LUCIA_1955_TO_WGS_1984                        1446
/*      St. Kitts and Nevis                                                  */
#define PE_GT_ST_KITTS_1955_TO_WGS_1984                        1445
/*      Tananarive (Paris) to WGS84                                          */
#define PE_GT_TANANARIVE_1925_PARIS_TO_WGS_1984                8176
/*      Madagascar                                                           */
#define PE_GT_TANANARIVE_1925_TO_WGS_1984                      1227
/*      Mozambique                                                           */
#define PE_GT_TETE_TO_MOZNET_1                                 1297
/*      Mozambique - Maputo & S Gaza province, S of approx. 24S              */
#define PE_GT_TETE_TO_MOZNET_2                                 1298
/*      Mozambique - Gaza, Inhambane, S Sofala and S Manhica, betwn 20S-24S  */
#define PE_GT_TETE_TO_MOZNET_3                                 1299
/*      Mozambique - Sofala N of Beira corridor, Manhica, Tete & Zambezia,   */
/*      16S-20S                                                              */
#define PE_GT_TETE_TO_MOZNET_4                                 1300
/*      Mozambique - Nampula, Niassa and Cabo Delgado, N of 16S              */
#define PE_GT_TETE_TO_MOZNET_5                                 1301
/*      Brunei, Malaysia (Sabah, Sarawak)                                    */
#define PE_GT_TIMBALAI_1948_TO_WGS_1984                        1228
/*      Brunei Darussalam offshore                                           */
#define PE_GT_TIMBALAI_1948_TO_WGS_1984_2                      1592
/*      Brunei Darussalam onshore                                            */
#define PE_GT_TIMBALAI_1948_TO_WGS_1984_3                      1615
/*      Ireland                                                              */
#define PE_GT_TM65_TO_WGS_1984                                 1229
/*      Mean for Japan, Korea, and Okinawa                                   */
#define PE_GT_TOKYO_TO_WGS_1984_1                              1230
/*      Japan                                                                */
#define PE_GT_TOKYO_TO_WGS_1984_2                              1231
/*      Korea                                                                */
#define PE_GT_TOKYO_TO_WGS_1984_3                              1232
/*      Okinawa                                                              */
#define PE_GT_TOKYO_TO_WGS_1984_4                              1233
/*      South Korea                                                          */
#define PE_GT_TOKYO_TO_WGS_1984_5                              1305
/*      Trinidad and Tobago                                                  */
#define PE_GT_TRINIDAD_1903_TO_WGS_1984                        1296
/*      Voirol 1875 (Paris) to WGS84                                         */
#define PE_GT_VOIROL_1875_PARIS_TO_WGS_1984                    8211
/*      Algeria - N of 35g (31 30') N                                        */
#define PE_GT_VOIROL_1875_TO_WGS_1984                          1294
/*      Voirol Unifie (Paris) to WGS84                                       */
#define PE_GT_VOIROL_UNIFIE_1960_PARIS_TO_WGS_1984             8177
/*      Algeria                                                              */
#define PE_GT_VOIROL_UNIFIE_1960_TO_WGS_1984                   8158
/*      World                                                                */
#define PE_GT_WGS_1972_TO_WGS_1984_1                           1237
/*      World                                                                */
#define PE_GT_WGS_1972_TO_WGS_1984_2                           1238
/*      Uruguay                                                              */
#define PE_GT_YACARE_TO_WGS_1984                               1234
/*      Yemen                                                                */
#define PE_GT_YEMEN_NGN_1996_TO_WGS_1984                       1540
/*      Suriname                                                             */
#define PE_GT_ZANDERIJ_TO_WGS_1984                             1235


/*      Old Hawaiian to WGS 1984 (1 - OHA_M - Mean)                          */
#define PE_GT_OLD_HAWAIIAN_TO_WGS_1984_1                      15824
/*      Old Hawaiian to WGS 1984 (2 - OHA_A - Hawaii)                        */
#define PE_GT_OLD_HAWAIIAN_TO_WGS_1984_2                      15825
/*      Old Hawaiian to WGS 1984 (3 - OHA_B - Kauai)                         */
#define PE_GT_OLD_HAWAIIAN_TO_WGS_1984_3                      15826
/*      Old Hawaiian to WGS 1984 (4 - OHA_C - Maui)                          */
#define PE_GT_OLD_HAWAIIAN_TO_WGS_1984_4                      15827
/*      Old Hawaiian to WGS 1984 (5 - OHA_D - Oahu)                          */
#define PE_GT_OLD_HAWAIIAN_TO_WGS_1984_5                      15828

/*      Jamaica                                                              */
#define PE_GT_JAMAICA_1969_TO_WGS_1984_1                       1084
/*      France                                                               */
#define PE_GT_NTF_PARIS_TO_RGF_1993_1                        108102
/*      Japan was 108103                                                     */
#define PE_GT_TOKYO_TO_JGD_2000_1                             15483
/*      Venezuela                                                            */
#define PE_GT_REGVEN_TO_SIRGAS_1                               1767
/*      Iceland                                                              */
#define PE_GT_HJORSEY_1955_TO_WGS_1984                         1951
/*      Japan                                                                */
#define PE_GT_TOKYO_TO_WGS_1984_2001                         108106

/*      Portugal                                                             */
#define PE_GT_DATUM_73_TO_WGS_1984_1                         108110
/*      Portugal                                                             */
#define PE_GT_DATUM_73_TO_WGS_1984_2                         108120
/*      Portugal                                                             */
#define PE_GT_ED_1950_TO_WGS_1984_PT3                        108111
/*      Portugal                                                             */
#define PE_GT_ED_1950_TO_WGS_1984_PT7                        108121
/*      Faial, Graciosa, Pico, Sao Jorge, & Terceira Islands (Azores)        */
#define PE_GT_GRACIOSA_1948_TO_WGS_1984_1                    108112
/*      Faial, Graciosa, Pico, Sao Jorge, & Terceira Islands (Azores)        */
#define PE_GT_GRACIOSA_1948_TO_WGS_1984_2                    108122
/*      Portugal                                                             */
#define PE_GT_LISBOA_BESSEL_TO_WGS_1984_1                    108113
/*      Portugal                                                             */
#define PE_GT_LISBOA_BESSEL_TO_WGS_1984_2                    108123
/*      Portugal                                                             */
#define PE_GT_LISBOA_HAYFORD_TO_WGS_1984_1                   108114
/*      Portugal                                                             */
#define PE_GT_LISBOA_HAYFORD_TO_WGS_1984_2                   108124
/*      Porto Santo & Madeira Islands                                        */
#define PE_GT_PORTO_SANTO_1936_TO_WGS_1984_1                 108115
/*      Porto Santo & Madeira Islands                                        */
#define PE_GT_PORTO_SANTO_1936_TO_WGS_1984_2                 108125
/*      Corvo & Flores Islands (Azores)                                      */
#define PE_GT_OBSERV_METEOR_1939_TO_WGS_1984_1               108116
/*      Sao Miguel and Santa Maria Islands (Azores)                          */
#define PE_GT_SAO_BRAZ_TO_WGS_1984_1                         108117
/*      Sao Miguel and Santa Maria Islands (Azores)                          */
#define PE_GT_SAO_BRAZ_TO_WGS_1984_2                         108127

/*      France                                                               */
#define PE_GT_NTF_TO_RGF_1993_1                              108130

/*      New Zealand                                                          */
#define PE_GT_NZGD_1949_TO_NZGD_2000_1                         1566
/*      New Zealand                                                          */
#define PE_GT_NZGD_1949_TO_NZGD_2000_2                         1701

/*      Pohnpei - Fed. States of Micronesia                                  */
#define PE_GT_POHNPEI_TO_NAD_1983                            108133
/*      Bablethuap Island - Republic of Palau                                */
#define PE_GT_BAB_SOUTH_TO_NAD_1983                          108134
/*      Majuro - Republic of Marshall Islands                                */
#define PE_GT_MAJURO_TO_NAD_1983                             108135

/*      Rota Island - Northern Mariana Islands                               */
#define PE_GT_GUAM_1963_TO_HARN_MP_ROTA                      108137
/*      Saipan Island - Northern Mariana Islands                             */
#define PE_GT_GUAM_1963_TO_HARN_MP_SAIPAN                    108138
/*      Tinian and Aguijan Island Northern Mariana Islands                   */
#define PE_GT_GUAM_1963_TO_HARN_MP_TINIAN_AGUIJAN            108139

/*      Norway                                                               */
#define PE_GT_NGO_1948_TO_WGS_1984                           108201
/*      Norway                                                               */
#define PE_GT_NGO_1948_TO_WGS_1984_1                           1654

/* ------------------------------------------------------------------------- */
/* Transforms by Longitude Rotation Method                                   */
/* Prime Meridians of (non-Greenwich) to Greenwich                           */
/* ------------------------------------------------------------------------- */

/* NEW Longitude Rotation based GT's at 9.3 -----------------------          */

/*      World                                                                */
#define PE_GT_SPHERE_WGS_1984_TO_WGS_1984                    108100

/* NEW Longitude Rotation based GT's at 9.0 -----------------------          */

/*      Carthage (Paris) to Carthage                                         */
#define PE_GT_CARTHAGE_PARIS_TO_CARTHAGE                       1881
/*      Gunung Segara (Jakarta) to Gunung Segara                             */
#define PE_GT_GUNUNG_SEGARA_JAKARTA_TO_GUNUNG_SEGARA           1883
/*      Lisbon 1890 Lisbon to Lisbon 1890                                    */
#define PE_GT_LISBON_1890_LISBON_TO_LISBON_1890                1991
/*      Nord Sahara 1959 (Paris) to Nord Sahara 1959                         */
#define PE_GT_NORD_SAHARA_1959_PARIS_TO_NORD_SAHARA_1959       1882
/*      S-JTSK (Ferro) to S-JTSK                                             */
#define PE_GT_S_JTSK_FERRO_TO_S_JTSK                           1884

/* END of NEW Longitude Rotation based GT's at 9.0 -----------------------   */

/*      Batavia (Jakarta) to Batavia                                         */
#define PE_GT_BATAVIA_JAKARTA_TO_BATAVIA                       1759
/*      Belge 1950 (Brussels) to Belge 1950                                  */
#define PE_GT_BELGE_1950_BRUSSELS_TO_BELGE_1950                1264
/*      Bern 1898 (Bern) to Bern 1898                                        */
#define PE_GT_BERN_1898_BERN_TO_BERN_1898                      8161
/*      Bern 1898 (Bern) to CH1903 (Greenwich)                               */
#define PE_GT_BERN_1898_BERN_TO_CH1903                         1765
/*      Bogota (Bogota) to Bogota                                            */
#define PE_GT_BOGOTA_BOGOTA_TO_BOGOTA                          1755
/*      Greek (Athens) to Greek                                              */
#define PE_GT_GREEK_ATHENS_TO_GREEK                            1761
/*      Lisbon (Lisbon) to Lisbon                                            */
#define PE_GT_LISBON_LISBON_TO_LISBON                          1756
/*      Makassar (Jakarta) to Makassar                                       */
#define PE_GT_MAKASSAR_JAKARTA_TO_MAKASSAR                     1260
/*      MGI (Ferro) to MGI                                                   */
#define PE_GT_MGI_FERRO_TO_MGI                                 1757
/*      Monte Mario (Rome) to Monte Mario                                    */
#define PE_GT_MONTE_MARIO_ROME_TO_MONTE_MARIO                  1262
/*      NGO 1948 (Oslo) to NGO 1948                                          */
#define PE_GT_NGO_1948_OSLO_TO_NGO_1948                        1762
/*      NTF (Paris) to NTF                                                   */
#define PE_GT_NTF_PARIS_TO_NTF                                 1764
/*      Padang 1884 (Jakarta) to Padang 1884                                 */
#define PE_GT_PADANG_1884_JAKARTA_TO_PADANG_1884               1758
/*      RT38 (Stockholm) to RT38                                             */
#define PE_GT_RT38_STOCKHOLM_TO_RT38                           1760
/*      Tananarive 1925 (Paris) to Tananarive 1925                           */
#define PE_GT_TANANARIVE_1925_PARIS_TO_TANANARIVE_1925         1265
/*      Voirol 1875 (Paris) to Voirol 1875                                   */
#define PE_GT_VOIROL_1875_PARIS_TO_VOIROL_1875                 1266
/*      Voirol Unifie 1960 (Paris) to Voirol Unifie 1960                     */
#define PE_GT_VOIROL_UNIFIE_1960_PARIS_TO_VOIROL_UNIFIE_1960   8171

/* ------------------------------------------------------------------------- */
/* Transforms by NADCON/HARN Grid Method                                     */
/* ------------------------------------------------------------------------- */

/* NEW NADCON/HARN based GT's (Post 9.0) -------------------                 */

/*      Guam - HARN                                                          */
#define PE_GT_GUAM_1963_TO_WGS_1984_2                          1069
/*      American Samoa - HARN Ofu, Olesega and Ta'u islands                  */
#define PE_GT_SAMOA_1962_TO_WGS_1984_3                         1695
/*      American Samoa - HARN Tutuila and Aunu'u islands                     */
#define PE_GT_SAMOA_1962_TO_WGS_1984_2                         1694
/*      Alaska - NADCON - St. George I.                                      */
#define PE_GT_ST_GEORGE_TO_WGS_1984_1                          1698
/*      Alaska - NADCON - St. Lawrence I.                                    */
#define PE_GT_ST_LAWRENCE_TO_WGS_1984_1                        1699
/*      Alaska - NADCON - St. Paul I.                                        */
#define PE_GT_ST_PAUL_TO_WGS_1984_1                            1700


/*      North Carolina                                                       */
#define PE_GT_NAD_1983_TO_HARN_NC                             15834
/*      Pennsylvania HARN                                                    */
#define PE_GT_NAD_1983_TO_HARN_PA                             15838
/*      South Carolina HARN                                                  */
#define PE_GT_NAD_1983_TO_HARN_SC                             15836

/*      Hawai'i                                                              */
#define PE_GT_OLD_HAWAIIAN_TO_WGS_1984_8                      15840
/*      Puerto Rico, Virgin Islands                                          */
#define PE_GT_PUERTO_RICO_TO_WGS_1984_4                       15841

/*      Saipan Is. (HARN method) N. Mariana Islands                          */
#define PE_GT_GUAM_1963_TO_NAD_1983_HARN_SAIPAN              108304
/*      Rota Is. (HARN method) N. Mariana Islands                            */
#define PE_GT_GUAM_1963_TO_NAD_1983_HARN_ROTA                108305

/*      Old Hawaiian to NAD83 HARN Hawaii                                    */
#define PE_GT_OLD_HAWAIIAN_TO_NAD_1983_HARN_HI               108306

/* END of NEW NADCON/HARN based GT's (Post 9.0) ------------                 */

/* NEW NADCON/HARN based GT's at 9.0 -----------------------                 */

/*      Puerto Rico and US Virgin Islands                                    */
#define PE_GT_PUERTO_RICO_TO_NAD_1983                          1461

/* END of NEW NADCON/HARN based GT's at 9.0 ----------------                 */

/* NAD27 - NAD83 grid-based transformations                                  */

/*      NAD27 to NAD83 - CONUS                                               */
#define PE_GT_NAD_1927_TO_NAD_1983_NADCON                      1241
/*      NAD27 to NAD83 - Alaska                                              */
#define PE_GT_NAD_1927_TO_NAD_1983_AK                          1243
/*      NAD27 to NAD83 - Puerto Rico-Virgin I.                               */
#define PE_GT_NAD_1927_TO_NAD_1983_PRVI                      108003
/* Old non-NAD27 - NAD83 grid-based transformations                          */
/*      Old Hawaiian to NAD83                                                */
#define PE_GT_OLD_HAWAIIAN_TO_NAD_1983                         1454
/*      St. George I. to NAD83                                               */
#define PE_GT_ST_GEORGE_TO_NAD_1983                            1457
/*      St. Lawrence I. to NAD83                                             */
#define PE_GT_ST_LAWRENCE_TO_NAD_1983                          1455
/*      St. Paul I. to NAD83                                                 */
#define PE_GT_ST_PAUL_TO_NAD_1983                              1456

/* HARN - HPGN grid-based transformations                                    */
/*      Alabama HARN                                                         */
#define PE_GT_NAD_1983_TO_HARN_AL                              1474
/*      Arizona HARN                                                         */
#define PE_GT_NAD_1983_TO_HARN_AZ                              1475
/*      Arkansas HARN                                                        */
#define PE_GT_NAD_1983_TO_HARN_AR                              1704
/*      California North HARN -above 36N                                     */
#define PE_GT_NAD_1983_TO_HARN_CN                              1476
/*      California South HARN -below 37N                                     */
#define PE_GT_NAD_1983_TO_HARN_CS                              1477
/*      Colorado HARN                                                        */
#define PE_GT_NAD_1983_TO_HARN_CO                              1478
/*      Florida HARN                                                         */
#define PE_GT_NAD_1983_TO_HARN_FL                              1480
/*      Georgia HARN                                                         */
#define PE_GT_NAD_1983_TO_HARN_GA                              1479
/*      Hawaii HARN                                                          */
#define PE_GT_NAD_1983_TO_HARN_HI                              1520
/*      Iowa HARN                                                            */
#define PE_GT_NAD_1983_TO_HARN_IA                              1705
/*      Illinois HARN                                                        */
#define PE_GT_NAD_1983_TO_HARN_IL                              1553
/*      Indiana HARN                                                         */
#define PE_GT_NAD_1983_TO_HARN_IN                              1521
/*      Kansas HARN                                                          */
#define PE_GT_NAD_1983_TO_HARN_KS                              1522
/*      Kentucky HARN                                                        */
#define PE_GT_NAD_1983_TO_HARN_KY                              1483
/*      Louisiana HARN                                                       */
#define PE_GT_NAD_1983_TO_HARN_LA                              1484
/*      Maryland & Delaware HARN                                             */
#define PE_GT_NAD_1983_TO_HARN_MD                              1485
/*      Maine HARN                                                           */
#define PE_GT_NAD_1983_TO_HARN_ME                              1486
/*      Michigan HARN                                                        */
#define PE_GT_NAD_1983_TO_HARN_MI                              1487
/*      Minnesota HARN                                                       */
#define PE_GT_NAD_1983_TO_HARN_MN                              1706
/*      Mississippi HARN                                                     */
#define PE_GT_NAD_1983_TO_HARN_MS                              1488
/*      Missouri HARN                                                        */
#define PE_GT_NAD_1983_TO_HARN_MO                              1707
/*      Montana & Idaho HARN - E of 113W                                     */
#define PE_GT_NAD_1983_TO_HARN_EM                              1481
/*      Montana & Idaho HARN - W of 113W                                     */
#define PE_GT_NAD_1983_TO_HARN_WM                              1482
/*      Nebraska HARN                                                        */
#define PE_GT_NAD_1983_TO_HARN_NB                              1489
/*      Nevada HARN                                                          */
#define PE_GT_NAD_1983_TO_HARN_NV                              1523
/*      New England -CT,MA,NH,RI,VT HARN                                     */
#define PE_GT_NAD_1983_TO_HARN_NE                              1490
/*      New Jersey HARN                                                      */
#define PE_GT_NAD_1983_TO_HARN_NJ                              1554
/*      New Mexico HARN                                                      */
#define PE_GT_NAD_1983_TO_HARN_NM                              1491
/*      New York HARN                                                        */
#define PE_GT_NAD_1983_TO_HARN_NY                              1492
/*      North Dakota HARN                                                    */
#define PE_GT_NAD_1983_TO_HARN_ND                              1493
/*      Ohio HARN                                                            */
#define PE_GT_NAD_1983_TO_HARN_OH                              1524
/*      Oklahoma HARN                                                        */
#define PE_GT_NAD_1983_TO_HARN_OK                              1494
/*      Puerto Rico & Virgin Islnds HARN                                     */
#define PE_GT_NAD_1983_TO_HARN_PV                              1495
/*      South Dakota HARN                                                    */
#define PE_GT_NAD_1983_TO_HARN_SD                              1496
/*      Tennessee HARN                                                       */
#define PE_GT_NAD_1983_TO_HARN_TN                              1497
/*      Texas HARN - E of 100W                                               */
#define PE_GT_NAD_1983_TO_HARN_ET                              1498
/*      Texas HARN - W of 100W                                               */
#define PE_GT_NAD_1983_TO_HARN_WT                              1499
/*      Utah HARN                                                            */
#define PE_GT_NAD_1983_TO_HARN_UT                              1525
/*      Virginia HARN                                                        */
#define PE_GT_NAD_1983_TO_HARN_VA                              1500
/*      Washington & Oregon HARN                                             */
#define PE_GT_NAD_1983_TO_HARN_WO                              1501
/*      Washington & Oregon HARN                                             */
#define PE_GT_NAD_1983_TO_HARN_OW                            108291
/*      West Virginia HARN                                                   */
#define PE_GT_NAD_1983_TO_HARN_WV                              1526
/*      Wisconsin HARN                                                       */
#define PE_GT_NAD_1983_TO_HARN_WI                              1502
/*      Wyoming HARN                                                         */
#define PE_GT_NAD_1983_TO_HARN_WY                              1503

/*      American Samoa 1962 to NAD 1983 HARN American Samoa East - Ofu,      */
/*      Olosega, & Ta'u islands                                              */
#define PE_GT_SAMOA_1962_TO_HARN_ES                            1579
/*      American Samoa 1962 to NAD 1983 HARN American Samoa West - Tutuila & */
/*      Aunu'u islands                                                       */
#define PE_GT_SAMOA_1962_TO_HARN_WS                            1578

/*      Guam 1963 to NAD 1983 HARN Guam                                      */
#define PE_GT_GUAM_1963_TO_HARN_GU                             1068


/* ------------------------------------------------------------------------- */
/* Transforms by NTv2 Grid Method                                            */
/* ------------------------------------------------------------------------- */
/* NTv2 method grid-based transformations - various countries and GCS's      */

/*      Canada - New Brunswick                                               */
#define PE_GT_ATS_1977_TO_WGS_1984_1                           1688
/*      Canada - Prince Edward Is                                            */
#define PE_GT_ATS_1977_TO_WGS_1984_2                           1689
/*      Canada - Ontario                                                     */
#define PE_GT_NAD_1927_DEF_1976_TO_WGS_1984_1                  1690
/*      Canada - Quebec                                                      */
#define PE_GT_NAD_1927_CGQ77_TO_WGS_1984_3                     1691
/*      Canada - Quebec                                                      */
#define PE_GT_NAD_1927_TO_WGS_1984_34                          1692
/*      Canada                                                               */
#define PE_GT_NAD_1927_TO_WGS_1984_33                          1693
/*      Canada - Quebec                                                      */
#define PE_GT_NAD_1983_TO_WGS_1984_6                           1696
/*      Canada - Saskatchewan                                                */
#define PE_GT_NAD_1983_TO_WGS_1984_7                           1697
/*      Canada - Alberta                                                     */
#define PE_GT_NAD_1983_TO_WGS_1984_8                           1702
/*      Canada - Saskatchewan                                                */
#define PE_GT_NAD_1927_TO_WGS_1984_32                          1703
/*      Canada - Nova Scotia                                                 */
#define PE_GT_ATS_1977_TO_WGS_1984_3                           1851

/*      France - was 108473                                                  */
#define PE_GT_WGS_1984_TO_NTF_NTV2                            15960

/* NEW Ntv2 based GT's at 9.0 -----------------------                        */

/* Australia                                                                 */
/*      Australia nationl                                                    */
#define PE_GT_AGD_1966_TO_GDA_1994_11_NTV2                     1803
/*      Australia nationl                                                    */
#define PE_GT_AGD_1984_TO_GDA_1994_5_NTV2                      1804

/* New Zealand                                                               */
/*      New Zealand                                                          */
#define PE_GT_NZGD_1949_TO_WGS_1984_3_NTV2                     1670

/* France                                                                    */
/*      France - was 108470                                                  */
#define PE_GT_RGF_1993_TO_NTF_NTV2                            15958
/* France (New Caledonia)                                                    */
/*      New Caledonia                                                        */
#define PE_GT_RGNC_1991_TO_IGN72_GRANDE_TERRE_NTV2           108471
/*      New Caledonia                                                        */
#define PE_GT_RGNC_1991_TO_NEA74_NOUMEA_NTV2                 108472

/* END of NEW Ntv2 based GT's at 9.0 -----------------------                 */

/* Canada                                                                    */
/*      New Brunswick                                                        */
#define PE_GT_ATS_1977_TO_NAD_1983_CSRS_NTV2_NB                1841
/*      Canada - PEI                                                         */
#define PE_GT_ATS_1977_TO_NAD_1983_CSRS_2                      1846
/*      Nova Scotia                                                          */
#define PE_GT_ATS_1977_TO_NAD_1983_CSRS_NTV2_NS                1850
/*      Maritimes                                                            */
#define PE_GT_ATS_1977_TO_NAD_1983_CSRS_NTV2_MARITIMES       108302

/*      Canada - Quebec                                                      */
#define PE_GT_NAD_1927_CGQ77_TO_NAD_1983_2                     1575
/*      Canada - Quebec                                                      */
#define PE_GT_NAD_1927_CGQ77_TO_NAD_1983_CSRS                  1845
/*      NAD27 Def76 to NAD83 Ontario                                         */
#define PE_GT_NAD_1927_DEF_1976_TO_NAD_1983_NTV2_ONTARIO       1463
/*      Canada - Quebec                                                      */
#define PE_GT_NAD_1927_TO_NAD_1983_6                           1573
/*      Canada - Quebec                                                      */
#define PE_GT_NAD_1927_TO_NAD_1983_CSRS_1                      1844
/*      Canada - Saskatchewan                                                */
#define PE_GT_NAD_1927_TO_NAD_1983_CSRS_2                      1847
/*      NAD27 to NAD83 Canada                                                */
#define PE_GT_NAD_1927_TO_NAD_1983_NTV2_CANADA                 1313

/*      Canada - Quebec                                                      */
#define PE_GT_NAD_1983_TO_NAD_1983_CSRS_1                      1843
/*      Canada - Saskatchewan                                                */
#define PE_GT_NAD_1983_TO_NAD_1983_CSRS_2                      1848
/*      Canada - Alberta                                                     */
#define PE_GT_NAD_1983_TO_NAD_1983_CSRS_3                      1849


/* Australia AGD66 or AGD84 to GDA94                                         */
/*      Victoria                                                             */
#define PE_GT_AGD_1966_TO_GDA_1994_NTV2_VICTORIA               1464
/*      Tasmania                                                             */
#define PE_GT_AGD_1966_TO_GDA_1994_NTV2_TASMANIA               1506
/*      Northern Territory                                                   */
#define PE_GT_AGD_1966_TO_GDA_1994_NTV2_NORTH_TERR             1507
/*      Queensland                                                           */
#define PE_GT_AGD_1984_TO_GDA_1994_NTV2_QUEENSLAND           108453
/*      Western Australia                                                    */
#define PE_GT_AGD_1984_TO_GDA_1994_3                           1559
/*      Western Australia                                                    */
#define PE_GT_AGD_1984_TO_GDA_1994_4                           1593
/*      New South Wales, Victoria, & ACT                                     */
#define PE_GT_AGD_1966_TO_GDA_1994_10                          1596

/* New Zealand                                                               */
/*      New Zealand                                                          */
#define PE_GT_NZGD_1949_TO_NZGD_2000_3                         1568

/* Geographic 2D Offsets                                                     */

/*      Anguilla - onshore and offshore                                      */
#define PE_GT_ANGUILLA_1957_TO_WGS_1984_1                      1447

/*      Greece - onshore and offshore                                        */
#define PE_GT_GREEK_TO_GGRS_1987                               1891
/* ------------------------------------------------------------------------- */
/* deprecated geogtran macros                                                */
/* ------------------------------------------------------------------------- */

#define PE_GT_AGD_1966_TO_GDA_1994_NTV2_SOUTHEAST \
        PE_GT_AGD_1966_TO_GDA_1994_10

#define PE_GT_AGD_1984_TO_GDA_1994_NTV2_WESTERN \
        PE_GT_AGD_1984_TO_GDA_1994_4

#define PE_GT_AMERSFOORT_TO_ETRF_1989 \
        PE_GT_AMERSFOORT_TO_ETRS_1989

#define PE_GT_AMERSFOORT_TO_WGS_1984_3X \
        PE_GT_AMERSFOORT_TO_WGS_1984_3

#define PE_GT_ATS_1977_TO_NAD_1983_CSRS98_2 \
        PE_GT_ATS_1977_TO_NAD_1983_CSRS_2

#define PE_GT_ATS_1977_TO_NAD_1983_CSRS98_NTV2_MARITIMES \
        PE_GT_ATS_1977_TO_NAD_1983_CSRS_NTV2_MARITIMES

#define PE_GT_ATS_1977_TO_NAD_1983_CSRS98_NTV2_NB \
        PE_GT_ATS_1977_TO_NAD_1983_CSRS_NTV2_NB

#define PE_GT_ATS_1977_TO_NAD_1983_CSRS98_NTV2_NS \
        PE_GT_ATS_1977_TO_NAD_1983_CSRS_NTV2_NS

#define PE_GT_ATS_1977_TO_NAD_1983_CSRS98_NTV2_PEI \
        PE_GT_ATS_1977_TO_NAD_1983_CSRS_2

#define PE_GT_ATS_1977_TO_NAD_1983_CSRS_NTV2_PEI \
        PE_GT_ATS_1977_TO_NAD_1983_CSRS_2

#define PE_GT_K0_1949_TO_WGS_1984_1 \
        PE_GT_KERGUELEN_ISLAND_1949_TO_WGS_1984_1

#define PE_GT_NAD_1927_CGQ77_TO_NAD_1983_CSRS98 \
        PE_GT_NAD_1927_CGQ77_TO_NAD_1983_CSRS

#define PE_GT_NAD_1927_TO_NAD_1983_CSRS98_1 \
        PE_GT_NAD_1927_TO_NAD_1983_CSRS_1

#define PE_GT_NAD_1927_TO_NAD_1983_CSRS98_2 \
        PE_GT_NAD_1927_TO_NAD_1983_CSRS_2

#define PE_GT_NAD_1983_CSRS98_TO_WGS_1984 \
        PE_GT_NAD_1983_CSRS_TO_WGS_1984

#define PE_GT_NAD_1983_CSRS98_TO_WGS_1984_1 \
        PE_GT_NAD_1983_CSRS_TO_WGS_1984_1

#define PE_GT_NAD_1983_CSRS98_TO_WGS_1984_2 \
        PE_GT_NAD_1983_CSRS_TO_WGS_1984_2

#define PE_GT_NAD_1983_TO_NAD_1983_CSRS98_1 \
        PE_GT_NAD_1983_TO_NAD_1983_CSRS_1

#define PE_GT_NAD_1983_TO_NAD_1983_CSRS98_2 \
        PE_GT_NAD_1983_TO_NAD_1983_CSRS_2

#define PE_GT_NAD_1983_TO_NAD_1983_CSRS98_3 \
        PE_GT_NAD_1983_TO_NAD_1983_CSRS_3

#define PE_GT_NAD_1983_TO_NAD_1983_CSRS98_4 \
        PE_GT_NAD_1983_TO_NAD_1983_CSRS_4

#define PE_GT_NZGD_1949_TO_NZGD_2000_3PAR \
        PE_GT_NZGD_1949_TO_NZGD_2000_1

#define PE_GT_NZGD_1949_TO_NZGD_2000_7PAR \
        PE_GT_NZGD_1949_TO_NZGD_2000_2

#define PE_GT_NZGD_1949_TO_NZGD_2000_NTV2 \
        PE_GT_NZGD_1949_TO_NZGD_2000_3

#define PE_GT_PITON_DES_NEIGES_TO_RGR_1992_1 \
        PE_GT_REUNION_1947_TO_RGR_1992_1

#define PE_GT_PRS_1992_To_WGS_1984_1 \
        PE_GT_PRS_1992_TO_WGS_1984_1

#define PE_GT_QATAR_TO_WGS_1984 \
        PE_GT_QATAR_1974_TO_WGS_1984_1

#define PE_GT_REUNION_TO_WGS_1984_NGA \
        PE_GT_REUNION_1947_TO_WGS_1984_2

#define PE_GT_RGR_1992_TO_PITON_DES_NEIGES_1 \
        PE_GT_RGR_1992_TO_REUNION_1947_1

#define PE_GT_TAHAA_TO_WGS_1984_1 \
        PE_GT_TAHAA_1954_TO_WGS_1984_1

#define PE_GT_TAHITI_TO_WGS_1984_1 \
        PE_GT_TAHITI_1952_TO_WGS_1984_1


/* ------------------------------------------------------------------------- */
/* V E R T I C A L   T R A N S F O R M A T I O N S                           */
/* ------------------------------------------------------------------------- */

/* Vertical Offset                                                           */

/*      Baltic to Caspian (1)                                                */
#define PE_VT_BALTIC_TO_CASPIAN_1                              5400
/*      Baltic to AIOC95 (1)                                                 */
#define PE_VT_BALTIC_TO_AIOC95_DEPTH_1                         5402
/*      AIOC95 to Caspian (1)                                                */
#define PE_VT_AIOC95_DEPTH_TO_CASPIAN_1                        5403
/*      Baltic to Black Sea (1)                                              */
#define PE_VT_BALTIC_TO_BLACK_SEA_1                            5404
/*      Hong Kong Principal height to Hong Kong Chart depth (1)              */
#define PE_VT_HONG_KONG_PRINCIPAL_TO_HONG_KONG_CHART_1         5405
/*      Belfast to Malin Head (1)                                            */
#define PE_VT_BELFAST_TO_MALIN_HEAD_1                          5406
/*      Poolbeg to Malin Head (1)                                            */
#define PE_VT_POOLBEG_TO_MALIN_HEAD_1                          5407
/*      Poolbeg to Belfast (1)                                               */
#define PE_VT_POOLBEG_TO_BELFAST_1                             5408
/*      KOC CD to Kuwait PWD (1)                                             */
#define PE_VT_KOC_CD_TO_KUWAIT_PWD_1                           5412
/*      KOC CD to KOC WD (1)                                                 */
#define PE_VT_KOC_CD_TO_KOC_WD_1                               5413
/*      KOC WD to Kuwait PWD (1)                                             */
#define PE_VT_KOC_WD_TO_KUWAIT_PWD_1                           5414
/*      NGF IGN69 to EVRS2000 (1)                                            */
#define PE_VT_NGF_IGN69_TO_EVRS_2000_1                         5419
/*      NAP to EVRS2000 (1)                                                  */
#define PE_VT_NAP_TO_EVRS_2000_1                               5425
/*      Cascais to EVRS2000 (1)                                              */
#define PE_VT_CASCAIS_TO_EVRS_2000_1                           5427
/*      N60 to EVRS2000 (1)                                                  */
#define PE_VT_N60_TO_EVRS_2000_1                               5432

/*      NZVD2009 to One Tree Point 1964 (height) (1)                         */
#define PE_VT_NZVD2009_TO_ONE_TREE_POINT_1                   110086
/*      NZVD2009 to Auckland 1946 (height) (1)                               */
#define PE_VT_NZVD2009_TO_AUCKLAND_1                         110087
/*      NZVD2009 to Moturiki 1953 (height) (1)                               */
#define PE_VT_NZVD2009_TO_MOTURIKI_1                         110088
/*      NZVD2009 to Nelson 1955 (height) (1)                                 */
#define PE_VT_NZVD2009_TO_NELSON_1                           110089
/*      NZVD2009 to Gisborne 1926 (height) (1)                               */
#define PE_VT_NZVD2009_TO_GISBORNE_1                         110090
/*      NZVD2009 to Napier 1962 (height) (1)                                 */
#define PE_VT_NZVD2009_TO_NAPIER_1                           110091
/*      NZVD2009 to Taranaki 1970 (height) (1)                               */
#define PE_VT_NZVD2009_TO_TARANAKI_1                         110092
/*      NZVD2009 to Wellington 1953 (height) (1)                             */
#define PE_VT_NZVD2009_TO_WELLINGTON_1                       110093
/*      NZVD2009 to Lyttelton 1937 (height) (1)                              */
#define PE_VT_NZVD2009_TO_LYTTLETON_1                        110094
/*      NZVD2009 to Dunedin 1958 (height) (1)                                */
#define PE_VT_NZVD2009_TO_DUNEDIN_1                          110095
/*      NZVD2009 to Bluff 1955 (height) (1)                                  */
#define PE_VT_NZVD2009_TO_BLUFF_1                            110096
/*      NZVD2009 to Stewart ISland 1977 (height) (1)                         */
#define PE_VT_NZVD2009_TO_STEWART_ISLAND_1                   110097
/*      NZVD2009 to Dunedin-Bluff 1960 (height) (1)                          */
#define PE_VT_NZVD2009_TO_DUNEDIN_BLUFF_1960_1               110098

/*      Newlyn to EVRS 2000 (1)                                              */
#define PE_VT_NEWLYN_TO_EVRS_2000_1                          110083

/* Vertical Offset and Slope                                                 */

/*      GHA to EVRS 2000 (1)                                                 */
#define PE_VT_GHA_TO_EVRS_2000_1                               5415
/*      Baltic 1982 to EVRS 2000 (1)                                         */
#define PE_VT_BALTIC_1982_TO_EVRS_2000_1                       5416
/*      DNN to EVRS 2000 (1)                                                 */
#define PE_VT_DNN_TO_EVRS_2000_1                               5417
/*      Baltic to EVRS 2000 (1)                                              */
#define PE_VT_BALTIC_TO_EVRS_2000_1                            5418
/*      DHHN92 to EVRS 2000 (1)                                              */
#define PE_VT_DHHN92_TO_EVRS_2000_1                            5420
/*      DHHN85 to EVRS 2000 (1)                                              */
#define PE_VT_DHHN85_TO_EVRS_2000_1                            5421
/*      SNN76 to EVRS 2000 (1)                                               */
#define PE_VT_SNN76_TO_EVRS_2000_1                             5422
/*      EOMA 1980 to EVRS 2000 (1)                                           */
#define PE_VT_EOMA_1980_TO_EVRS_2000_1                         5424
/*      NN54 to EVRS 2000 (1)                                                */
#define PE_VT_NN54_TO_EVRS_2000_1                              5426
/*      NVN99 to EVRS 2000 (1)                                               */
#define PE_VT_NVN99_TO_EVRS_2000_1                             5428
/*      Alicante to EVRS 2000 (1)                                            */
#define PE_VT_ALICANTE_TO_EVRS_2000_1                          5429
/*      RH70 to EVRS 2000 (1)                                                */
#define PE_VT_RH70_TO_EVRS_2000_1                              5430
/*      LN02 to EVRS 2000 (1)                                                */
#define PE_VT_LN_1902_TO_EVRS_2000_1                           5431
/*      Baltic to EVRS 2000 (2)                                              */
#define PE_VT_BALTIC_TO_EVRS_2000_2                            5434
/*      Baltic to EVRS 2000 (3)                                              */
#define PE_VT_BALTIC_TO_EVRS_2000_3                            5435

/* EGM                                                                       */

/*      WGS84 EH to EGM96 GH Bilin                                           */
#define PE_VT_WGS_1984_TO_EGM_1996_GEOID_1                    10084
/*      WGS84 EH to EGM84 GH Bilin                                           */
#define PE_VT_WGS_1984_TO_EGM_1984_GEOID_1                    15781
/*      WGS84 EH to EGM96 GH Nat Spline                                      */
#define PE_VT_WGS_1984_TO_EGM_1996_GEOID_2                   110084
/*      WGS84 EH to EGM84 GH Nat Spline                                      */
#define PE_VT_WGS_1984_TO_EGM_1984_GEOID_2                   110085

/* VERTCON                                                                   */

/*      NGVD29 to NAVD88 (NAD27) East CON USA                                */
#define PE_VT_NGVD29_TO_NAVD88_NAD27_3_EAST                    5411
/*      NGVD29 to NAVD88 (NAD27) East, Central, West CON USA                 */
#define PE_VT_NGVD29_TO_NAVD88_NAD27_ECW                     110009
/*      NGVD29 to NAVD88 (NAD27) Central CON USA                             */
#define PE_VT_NGVD29_TO_NAVD88_NAD27_2_CENTRAL                 5410
/*      NGVD29 to NAVD88 (NAD27) West CON USA                                */
#define PE_VT_NGVD29_TO_NAVD88_NAD27_1_WEST                    5409

/*      NGVD29 to NAVD88 (NAD83) East CON USA                                */
#define PE_VT_NGVD29_TO_NAVD88_NAD83_EAST                    110010
/*      NGVD29 to NAVD88 (NAD83) East, Central, West CON USA                 */
#define PE_VT_NGVD29_TO_NAVD88_NAD83_ECW                     110011
/*      NGVD29 to NAVD88 (NAD83) Central CON USA                             */
#define PE_VT_NGVD29_TO_NAVD88_NAD83_CENTRAL                 110012
/*      NGVD29 to NAVD88 (NAD83) West CON USA                                */
#define PE_VT_NGVD29_TO_NAVD88_NAD83_WEST                    110013

/*      NGVD29 to NAVD88 (HARN) East CON USA                                 */
#define PE_VT_NGVD29_TO_NAVD88_HARN_EAST                     110014
/*      NGVD29 to NAVD88 (HARN) East, Central, West CON USA                  */
#define PE_VT_NGVD29_TO_NAVD88_HARN_ECW                      110015
/*      NGVD29 to NAVD88 (HARN) Central CON USA                              */
#define PE_VT_NGVD29_TO_NAVD88_HARN_CENTRAL                  110016
/*      NGVD29 to NAVD88 (HARN) West CON USA                                 */
#define PE_VT_NGVD29_TO_NAVD88_HARN_WEST                     110017

/* ------------------------------------------------------------------------- */
/* L I N E A R   U N I T S   O F   M E A S U R E                             */
/* ------------------------------------------------------------------------- */

/*      International meter                                                  */
#define PE_U_METER                                             9001
/*      International foot                                                   */
#define PE_U_FOOT                                              9002
/*      US survey foot                                                       */
#define PE_U_FOOT_US                                           9003
/*      Clarke's foot                                                        */
#define PE_U_FOOT_CLARKE                                       9005
/*      Fathom                                                               */
#define PE_U_FATHOM                                            9014
/*      International nautical mile                                          */
#define PE_U_NAUTICAL_MILE                                     9030
/*      German legal meter                                                   */
#define PE_U_METER_GERMAN                                      9031
/*      US survey chain                                                      */
#define PE_U_CHAIN_US                                          9033
/*      US survey link                                                       */
#define PE_U_LINK_US                                           9034
/*      US survey mile                                                       */
#define PE_U_MILE_US                                           9035
/*      Kilometer                                                            */
#define PE_U_KILOMETER                                         9036
/*      Yard (Clarke)                                                        */
#define PE_U_YARD_CLARKE                                       9037
/*      Chain (Clarke)                                                       */
#define PE_U_CHAIN_CLARKE                                      9038
/*      Link (Clarke's ratio) (was PE_U_LINK 9007)                           */
#define PE_U_LINK_CLARKE                                       9039
/*      Yard (Sears) (was 9012)                                              */
#define PE_U_YARD_SEARS                                        9040
/*      Sears' foot (was 9032)                                               */
#define PE_U_FOOT_SEARS                                        9041
/*      Chain (Sears) (was 9011)                                             */
#define PE_U_CHAIN_SEARS                                       9042
/*      Link (Sears) (was 9009)                                              */
#define PE_U_LINK_SEARS                                        9043
/*      Yard (Benoit 1895 A)                                                 */
#define PE_U_YARD_BENOIT_A                                     9050
/*      Foot (Benoit 1895 A)                                                 */
#define PE_U_FOOT_BENOIT_A                                     9051
/*      Chain (Benoit 1895 A)                                                */
#define PE_U_CHAIN_BENOIT_A                                    9052
/*      Link (Benoit 1895 A)                                                 */
#define PE_U_LINK_BENOIT_A                                     9053
/*      Yard (Benoit 1895 B)                                                 */
#define PE_U_YARD_BENOIT_B                                     9060
/*      Foot (Benoit 1895 B)                                                 */
#define PE_U_FOOT_BENOIT_B                                     9061
/*      Chain (Benoit 1895 B) (was PE_U_CHAIN_BENOIT 9010)                   */
#define PE_U_CHAIN_BENOIT_B                                    9062
/*      Link (Benoit 1895 B) (was PE_U_LINK_BENOIT 9008)                     */
#define PE_U_LINK_BENOIT_B                                     9063
/*      Foot (1865)                                                          */
#define PE_U_FOOT_1865                                         9070
/*      Indian geodetic foot (was 9006)                                      */
#define PE_U_FOOT_INDIAN                                       9080
/*      Indian foot (1937)                                                   */
#define PE_U_FOOT_INDIAN_1937                                  9081
/*      Indian foot (1962)                                                   */
#define PE_U_FOOT_INDIAN_1962                                  9082
/*      Indian foot (1975)                                                   */
#define PE_U_FOOT_INDIAN_1975                                  9083
/*      Indian yard (was 9013)                                               */
#define PE_U_YARD_INDIAN                                       9084
/*      Indian yard (1937)                                                   */
#define PE_U_YARD_INDIAN_1937                                  9085
/*      Indian yard (1962)                                                   */
#define PE_U_YARD_INDIAN_1962                                  9086
/*      Indian yard (1975)                                                   */
#define PE_U_YARD_INDIAN_1975                                  9087
/*      Statute mile                                                         */
#define PE_U_MILE_STATUTE                                      9093
/*      Gold Coast Foot                                                      */
#define PE_U_FOOT_GOLD_COAST                                   9094
/*      British Foot (1936)                                                  */
#define PE_U_FOOT_BRITISH_1936                                 9095
/*      International Yard                                                   */
#define PE_U_YARD                                              9096
/*      US survey yard                                                       */
#define PE_U_YARD_US                                         109002
/*      International Chain                                                  */
#define PE_U_CHAIN                                             9097
/*      International Link                                                   */
#define PE_U_LINK                                              9098
/*      Yard (Sears 1922 Truncated)                                          */
#define PE_U_YARD_SEARS_1922_TRUNC                             9099
/*      Foot (Sears 1922 Truncated)                                          */
#define PE_U_FOOT_SEARS_1922_TRUNC                             9300
/*      Chain (Sears 1922 Truncated)                                         */
#define PE_U_CHAIN_SEARS_1922_TRUNC                            9301
/*      Link (Sears 1922 Truncated)                                          */
#define PE_U_LINK_SEARS_1922_TRUNC                             9302
/*      Decimeter                                                            */
#define PE_U_DECIMETER                                       109005
/*      Centimeter                                                           */
#define PE_U_CENTIMETER                                      109006
/*      Millimeter                                                           */
#define PE_U_MILLIMETER                                      109007
/*      International inch                                                   */
#define PE_U_INCH                                            109008
/*      US survey inch                                                       */
#define PE_U_INCH_US                                         109009
/*      International rod                                                    */
#define PE_U_ROD                                             109010
/*      US survey rod                                                        */
#define PE_U_ROD_US                                          109011
/*      US nautical mile (pre-1954)                                          */
#define PE_U_NAUTICAL_MILE_US                                109012
/*      UK nautical mile (pre-1970)                                          */
#define PE_U_NAUTICAL_MILE_UK                                109013
/*      50 kilometer length                                                  */
#define PE_U_KM50                                            109030
/*      150 kilometer length                                                 */
#define PE_U_KM150                                           109031

/* ------------------------------------------------------------------------- */
/* A N G U L A R   U N I T S   O F   M E A S U R E                           */
/* ------------------------------------------------------------------------- */

/*      Radian                                                               */
#define PE_U_RADIAN                                            9101
/*      Degree                                                               */
#define PE_U_DEGREE                                            9102
/*      Arc-minute                                                           */
#define PE_U_MINUTE                                            9103
/*      Arc-second                                                           */
#define PE_U_SECOND                                            9104
/*      Grad (angle subtended by 1/400 circle)                               */
#define PE_U_GRAD                                              9105
/*      Gon (angle subtended by 1/400 circle)                                */
#define PE_U_GON                                               9106
/*      Microradian ( 1e-6 radian )                                          */
#define PE_U_MICRORADIAN                                       9109
/*      Centesimal minute (1/100th Gon (Grad))                               */
#define PE_U_MINUTE_CENTESIMAL                                 9112
/*      Centesimal second (1/10000th Gon (Grad))                             */
#define PE_U_SECOND_CENTESIMAL                                 9113
/*      Mil (angle subtended by 1/6400 circle)                               */
#define PE_U_MIL_6400                                          9114

/* ------------------------------------------------------------------------- */
/* P R I M E   M E R I D I A N S                                             */
/* ------------------------------------------------------------------------- */

/*      0~ 00' 00''     E                                                    */
#define PE_PM_GREENWICH                                        8901
/*      23~ 42' 58''.815 E                                                   */
#define PE_PM_ATHENS                                           8912
/*      7~ 26' 22''.5   E                                                    */
#define PE_PM_BERN                                             8907
/*      74~ 04' 51''.3   W                                                   */
#define PE_PM_BOGOTA                                           8904
/*      4~ 22' 04''.71  E                                                    */
#define PE_PM_BRUSSELS                                         8910
/*      17~ 40' 00''     W                                                   */
#define PE_PM_FERRO                                            8909
/*      106~ 48' 27''.79  E                                                  */
#define PE_PM_JAKARTA                                          8908
/*      9~ 07' 54''.862 W                                                    */
#define PE_PM_LISBON                                           8902
/*      3~ 41' 16''.58  W                                                    */
#define PE_PM_MADRID                                           8905
/*      10~ 43' 22''.5   E                                                   */
#define PE_PM_OSLO                                             8913
/*      2~ 20' 14''.025 E                                                    */
#define PE_PM_PARIS                                            8903
/*      2~ 20' 13''.95  E                                                    */
#define PE_PM_PARIS_RGS                                        8914
/*      12~ 27' 08''.4   E                                                   */
#define PE_PM_ROME                                             8906
/*      18~ 03' 29''.8   E                                                   */
#define PE_PM_STOCKHOLM                                        8911

/*      Generic meridian origin                                              */
#define PE_PM_REFERENCE                                      108900

/* ------------------------------------------------------------------------- */
/* G E O D E T I C   S P H E R O I D S                                       */
/* ------------------------------------------------------------------------- */

/*      Airy 1830                                                            */
#define PE_S_AIRY_1830                                         7001
/*      Airy modified                                                        */
#define PE_S_AIRY_MOD                                          7002
/*      Average Terrestrial System 1977                                      */
#define PE_S_ATS_1977                                          7041
/*      Australian National                                                  */
#define PE_S_AUSTRALIAN                                        7003
/*      Bessel 1841                                                          */
#define PE_S_BESSEL_1841                                       7004
/*      Bessel modified                                                      */
#define PE_S_BESSEL_MOD                                        7005
/*      Bessel Namibia                                                       */
#define PE_S_BESSEL_NAMIBIA                                    7006
/*      Clarke 1858                                                          */
#define PE_S_CLARKE_1858                                       7007
/*      Clarke 1866                                                          */
#define PE_S_CLARKE_1866                                       7008
/*      Clarke 1866 Michigan                                                 */
#define PE_S_CLARKE_1866_MICH                                  7009
/*      Clarke 1880                                                          */
#define PE_S_CLARKE_1880                                       7034
/*      Clarke 1880 (Arc)                                                    */
#define PE_S_CLARKE_1880_ARC                                   7013
/*      Clarke 1880 (Benoit)                                                 */
#define PE_S_CLARKE_1880_BENOIT                                7010
/*      Clarke 1880 definition assumed to be international feet              */
#define PE_S_CLARKE_1880_IFT                                   7055
/*      Clarke 1880 (IGN)                                                    */
#define PE_S_CLARKE_1880_IGN                                   7011
/*      Clarke 1880 (RGS)                                                    */
#define PE_S_CLARKE_1880_RGS                                   7012
/*      Clarke 1880 (SGA)                                                    */
#define PE_S_CLARKE_1880_SGA                                   7014
/*      Danish 1876                                                          */
#define PE_S_DANISH_1876                                       7051
/*      Everest 1830 (definition)                                            */
#define PE_S_EVEREST_1830                                      7042
/*      Everest 1830 (modified)                                              */
#define PE_S_EVEREST_MOD                                       7018
/*      Everest (adjustment 1937)                                            */
#define PE_S_EVEREST_ADJ_1937                                  7015
/*      Everest (definition 1962)                                            */
#define PE_S_EVEREST_DEF_1962                                  7044
/*      Everest (definition 1967)                                            */
#define PE_S_EVEREST_DEF_1967                                  7016
/*      Everest (definition 1975) (was 7017)                                 */
#define PE_S_EVEREST_DEF_1975                                  7045
/*      GEM gravity potential model                                          */
#define PE_S_GEM_10C                                           7031
/*      GRS 1967 = International 1967                                        */
#define PE_S_GRS_1967                                          7036
/*      GRS 1980                                                             */
#define PE_S_GRS_1980                                          7019
/*      Helmert 1906                                                         */
#define PE_S_HELMERT_1906                                      7020
/*      Hough 1960                                                           */
#define PE_S_HOUGH_1960                                        7053
/*      Hughes 1980                                                          */
#define PE_S_HUGHES_1980                                       7058
/*      Indonesian National                                                  */
#define PE_S_INDONESIAN                                        7021
/*      International 1924                                                   */
#define PE_S_INTERNATIONAL_1924                                7022
/*      International 1967                                                   */
#define PE_S_INTERNATIONAL_1967                                7023
/*      Krasovsky 1940                                                       */
#define PE_S_KRASOVSKY_1940                                    7024
/*      Transit precise ephemeris                                            */
#define PE_S_NWL_9D                                            7025
/*      OSU 1986 geoidal model                                               */
#define PE_S_OSU_86F                                           7032
/*      OSU 1991 geoidal model                                               */
#define PE_S_OSU_91A                                           7033
/*      Plessis 1817                                                         */
#define PE_S_PLESSIS_1817                                      7027
/*      PZ 1990                                                              */
#define PE_S_PZ_1990                                           7054
/*      Authalic sphere                                                      */
#define PE_S_SPHERE                                            7035
/*      Authalic Sphere based on Clarke 1866                                 */
#define PE_S_SPHERE_CLARKE_1866_AUTHALIC                       7052
/*      Authalic Sphere based on GRS80                                       */
#define PE_S_SPHERE_GRS_1980_AUTHALIC                          7048
/*      Authalic sphere based on International 1924                          */
#define PE_S_SPHERE_INTL_1924_AUTHALIC                         7057
/*      Struve 1860                                                          */
#define PE_S_STRUVE_1860                                       7028
/*      War Office                                                           */
#define PE_S_WAR_OFFICE                                        7029
/*      NWL-10D == WGS 1972                                                  */
#define PE_S_NWL_10D                                           7026
/*      WGS 1972                                                             */
#define PE_S_WGS_1972                                          7043
/*      WGS 1984                                                             */
#define PE_S_WGS_1984                                          7030
/*      Xian 1980                                                            */
#define PE_S_XIAN_1980                                         7049
/*      GRS 1967 Truncated - was 107036, called GRS67 Modified in EPSG       */
#define PE_S_GRS_1967_TRUNC                                    7050
/*      Everest modified 1969 - 107006, called Everest 1830 (RSO 1969) in    */
/*      EPSG                                                                 */
#define PE_S_EVEREST_MOD_1969                                  7056

/*      WGS 1966                                                             */
#define PE_S_WGS_1966                                        107001
/*      Fischer 1960                                                         */
#define PE_S_FISCHER_1960                                    107002
/*      Fischer 1968                                                         */
#define PE_S_FISCHER_1968                                    107003
/*      Fischer modified                                                     */
#define PE_S_FISCHER_MOD                                     107004
/*      Walbeck                                                              */
#define PE_S_WALBECK                                         107007
/*      Authalic sphere (ARC/INFO)                                           */
#define PE_S_SPHERE_AI                                       107008
/*      EMEP Sphere of 6370000 m                                             */
#define PE_S_SPHERE_EMEP                                     107009
/*      Major auxiliary sphere based on WGS 1984                             */
#define PE_S_SPHERE_WGS_1984_MAJOR_AUXILIARY                 107037
/*      CGCS2000                                                             */
#define PE_S_CGCS2000                                        107038

/*      GRS 1980 Adj. Minnesota Anoka                                        */
#define PE_S_GRS_1980_ADJ_MN_ANOKA                           107700
/*      GRS 1980 Adj. Minnesota Becker                                       */
#define PE_S_GRS_1980_ADJ_MN_BECKER                          107701
/*      GRS 1980 Adj. Minnesota Beltrami North                               */
#define PE_S_GRS_1980_ADJ_MN_BELTRAMI_N                      107702
/*      GRS 1980 Adj. Minnesota Beltrami South                               */
#define PE_S_GRS_1980_ADJ_MN_BELTRAMI_S                      107703
/*      GRS 1980 Adj. Minnesota Benton                                       */
#define PE_S_GRS_1980_ADJ_MN_BENTON                          107704
/*      GRS 1980 Adj. Minnesota Big Stone                                    */
#define PE_S_GRS_1980_ADJ_MN_BIG_STONE                       107705
/*      GRS 1980 Adj. Minnesota Blue Earth                                   */
#define PE_S_GRS_1980_ADJ_MN_BLUE_EARTH                      107706
/*      GRS 1980 Adj. Minnesota Brown                                        */
#define PE_S_GRS_1980_ADJ_MN_BROWN                           107707
/*      GRS 1980 Adj. Minnesota Carlton                                      */
#define PE_S_GRS_1980_ADJ_MN_CARLTON                         107708
/*      GRS 1980 Adj. Minnesota Carver                                       */
#define PE_S_GRS_1980_ADJ_MN_CARVER                          107709
/*      GRS 1980 Adj. Minnesota Cass North                                   */
#define PE_S_GRS_1980_ADJ_MN_CASS_N                          107710
/*      GRS 1980 Adj. Minnesota Cass South                                   */
#define PE_S_GRS_1980_ADJ_MN_CASS_S                          107711
/*      GRS 1980 Adj. Minnesota Chippewa                                     */
#define PE_S_GRS_1980_ADJ_MN_CHIPPEWA                        107712
/*      GRS 1980 Adj. Minnesota Chisago                                      */
#define PE_S_GRS_1980_ADJ_MN_CHISAGO                         107713
/*      GRS 1980 Adj. Minnesota Cook North                                   */
#define PE_S_GRS_1980_ADJ_MN_COOK_N                          107714
/*      GRS 1980 Adj. Minnesota Cook South                                   */
#define PE_S_GRS_1980_ADJ_MN_COOK_S                          107715
/*      GRS 1980 Adj. Minnesota Cottonwood                                   */
#define PE_S_GRS_1980_ADJ_MN_COTTONWOOD                      107716
/*      GRS 1980 Adj. Minnesota Crow Wing                                    */
#define PE_S_GRS_1980_ADJ_MN_CROW_WING                       107717
/*      GRS 1980 Adj. Minnesota Dakota                                       */
#define PE_S_GRS_1980_ADJ_MN_DAKOTA                          107718
/*      GRS 1980 Adj. Minnesota Dodge                                        */
#define PE_S_GRS_1980_ADJ_MN_DODGE                           107719
/*      GRS 1980 Adj. Minnesota Douglas                                      */
#define PE_S_GRS_1980_ADJ_MN_DOUGLAS                         107720
/*      GRS 1980 Adj. Minnesota Faribault                                    */
#define PE_S_GRS_1980_ADJ_MN_FARIBAULT                       107721
/*      GRS 1980 Adj. Minnesota Fillmore                                     */
#define PE_S_GRS_1980_ADJ_MN_FILLMORE                        107722
/*      GRS 1980 Adj. Minnesota Freeborn                                     */
#define PE_S_GRS_1980_ADJ_MN_FREEBORN                        107723
/*      GRS 1980 Adj. Minnesota Goodhue                                      */
#define PE_S_GRS_1980_ADJ_MN_GOODHUE                         107724
/*      GRS 1980 Adj. Minnesota Grant                                        */
#define PE_S_GRS_1980_ADJ_MN_GRANT                           107725
/*      GRS 1980 Adj. Minnesota Hennepin                                     */
#define PE_S_GRS_1980_ADJ_MN_HENNEPIN                        107726
/*      GRS 1980 Adj. Minnesota Houston                                      */
#define PE_S_GRS_1980_ADJ_MN_HOUSTON                         107727
/*      GRS 1980 Adj. Minnesota Isanti                                       */
#define PE_S_GRS_1980_ADJ_MN_ISANTI                          107728
/*      GRS 1980 Adj. Minnesota Itasca North                                 */
#define PE_S_GRS_1980_ADJ_MN_ITASCA_N                        107729
/*      GRS 1980 Adj. Minnesota Itasca South                                 */
#define PE_S_GRS_1980_ADJ_MN_ITASCA_S                        107730
/*      GRS 1980 Adj. Minnesota Jackson                                      */
#define PE_S_GRS_1980_ADJ_MN_JACKSON                         107731
/*      GRS 1980 Adj. Minnesota Kanabec                                      */
#define PE_S_GRS_1980_ADJ_MN_KANABEC                         107732
/*      GRS 1980 Adj. Minnesota Kandiyohi                                    */
#define PE_S_GRS_1980_ADJ_MN_KANDIYOHI                       107733
/*      GRS 1980 Adj. Minnesota Kittson                                      */
#define PE_S_GRS_1980_ADJ_MN_KITTSON                         107734
/*      GRS 1980 Adj. Minnesota Koochiching                                  */
#define PE_S_GRS_1980_ADJ_MN_KOOCHICHING                     107735
/*      GRS 1980 Adj. Minnesota Lac Qui Parle                                */
#define PE_S_GRS_1980_ADJ_MN_LAC_QUI_PARLE                   107736
/*      GRS 1980 Adj. Minnesota Lake of the Woods North                      */
#define PE_S_GRS_1980_ADJ_MN_LAKE_OF_THE_WOODS_N             107737
/*      GRS 1980 Adj. Minnesota Lake of the Woods South                      */
#define PE_S_GRS_1980_ADJ_MN_LAKE_OF_THE_WOODS_S             107738
/*      GRS 1980 Adj. Minnesota Le Sueur                                     */
#define PE_S_GRS_1980_ADJ_MN_LE_SUEUR                        107739
/*      GRS 1980 Adj. Minnesota Lincoln                                      */
#define PE_S_GRS_1980_ADJ_MN_LINCOLN                         107740
/*      GRS 1980 Adj. Minnesota Lyon                                         */
#define PE_S_GRS_1980_ADJ_MN_LYON                            107741
/*      GRS 1980 Adj. Minnesota McLeod                                       */
#define PE_S_GRS_1980_ADJ_MN_MCLEOD                          107742
/*      GRS 1980 Adj. Minnesota Mahnomen                                     */
#define PE_S_GRS_1980_ADJ_MN_MAHNOMEN                        107743
/*      GRS 1980 Adj. Minnesota Marshall                                     */
#define PE_S_GRS_1980_ADJ_MN_MARSHALL                        107744
/*      GRS 1980 Adj. Minnesota Martin                                       */
#define PE_S_GRS_1980_ADJ_MN_MARTIN                          107745
/*      GRS 1980 Adj. Minnesota Meeker                                       */
#define PE_S_GRS_1980_ADJ_MN_MEEKER                          107746
/*      GRS 1980 Adj. Minnesota Morrison                                     */
#define PE_S_GRS_1980_ADJ_MN_MORRISON                        107747
/*      GRS 1980 Adj. Minnesota Mower                                        */
#define PE_S_GRS_1980_ADJ_MN_MOWER                           107748
/*      GRS 1980 Adj. Minnesota Murray                                       */
#define PE_S_GRS_1980_ADJ_MN_MURRAY                          107749
/*      GRS 1980 Adj. Minnesota Nicollet                                     */
#define PE_S_GRS_1980_ADJ_MN_NICOLLET                        107750
/*      GRS 1980 Adj. Minnesota Nobles                                       */
#define PE_S_GRS_1980_ADJ_MN_NOBLES                          107751
/*      GRS 1980 Adj. Minnesota Norman                                       */
#define PE_S_GRS_1980_ADJ_MN_NORMAN                          107752
/*      GRS 1980 Adj. Minnesota Olmsted                                      */
#define PE_S_GRS_1980_ADJ_MN_OLMSTED                         107753
/*      GRS 1980 Adj. Minnesota Ottertail                                    */
#define PE_S_GRS_1980_ADJ_MN_OTTERTAIL                       107754
/*      GRS 1980 Adj. Minnesota Pennington                                   */
#define PE_S_GRS_1980_ADJ_MN_PENNINGTON                      107755
/*      GRS 1980 Adj. Minnesota Pine                                         */
#define PE_S_GRS_1980_ADJ_MN_PINE                            107756
/*      GRS 1980 Adj. Minnesota Pipestone                                    */
#define PE_S_GRS_1980_ADJ_MN_PIPESTONE                       107757
/*      GRS 1980 Adj. Minnesota Polk                                         */
#define PE_S_GRS_1980_ADJ_MN_POLK                            107758
/*      GRS 1980 Adj. Minnesota Pope                                         */
#define PE_S_GRS_1980_ADJ_MN_POPE                            107759
/*      GRS 1980 Adj. Minnesota Ramsey                                       */
#define PE_S_GRS_1980_ADJ_MN_RAMSEY                          107760
/*      GRS 1980 Adj. Minnesota Red Lake                                     */
#define PE_S_GRS_1980_ADJ_MN_RED_LAKE                        107761
/*      GRS 1980 Adj. Minnesota Redwood                                      */
#define PE_S_GRS_1980_ADJ_MN_REDWOOD                         107762
/*      GRS 1980 Adj. Minnesota Renville                                     */
#define PE_S_GRS_1980_ADJ_MN_RENVILLE                        107763
/*      GRS 1980 Adj. Minnesota Rice                                         */
#define PE_S_GRS_1980_ADJ_MN_RICE                            107764
/*      GRS 1980 Adj. Minnesota Rock                                         */
#define PE_S_GRS_1980_ADJ_MN_ROCK                            107765
/*      GRS 1980 Adj. Minnesota Roseau                                       */
#define PE_S_GRS_1980_ADJ_MN_ROSEAU                          107766
/*      GRS 1980 Adj. Minnesota St Louis North                               */
#define PE_S_GRS_1980_ADJ_MN_ST_LOUIS_N                      107767
/*      GRS 1980 Adj. Minnesota St Louis Central                             */
#define PE_S_GRS_1980_ADJ_MN_ST_LOUIS_C                      107768
/*      GRS 1980 Adj. Minnesota St Louis South                               */
#define PE_S_GRS_1980_ADJ_MN_ST_LOUIS_S                      107769
/*      GRS 1980 Adj. Minnesota Scott                                        */
#define PE_S_GRS_1980_ADJ_MN_SCOTT                           107770
/*      GRS 1980 Adj. Minnesota Sherburne                                    */
#define PE_S_GRS_1980_ADJ_MN_SHERBURNE                       107771
/*      GRS 1980 Adj. Minnesota Sibley                                       */
#define PE_S_GRS_1980_ADJ_MN_SIBLEY                          107772
/*      GRS 1980 Adj. Minnesota Stearns                                      */
#define PE_S_GRS_1980_ADJ_MN_STEARNS                         107773
/*      GRS 1980 Adj. Minnesota Steele                                       */
#define PE_S_GRS_1980_ADJ_MN_STEELE                          107774
/*      GRS 1980 Adj. Minnesota Stevens                                      */
#define PE_S_GRS_1980_ADJ_MN_STEVENS                         107775
/*      GRS 1980 Adj. Minnesota Swift                                        */
#define PE_S_GRS_1980_ADJ_MN_SWIFT                           107776
/*      GRS 1980 Adj. Minnesota Todd                                         */
#define PE_S_GRS_1980_ADJ_MN_TODD                            107777
/*      GRS 1980 Adj. Minnesota Traverse                                     */
#define PE_S_GRS_1980_ADJ_MN_TRAVERSE                        107778
/*      GRS 1980 Adj. Minnesota Wabasha                                      */
#define PE_S_GRS_1980_ADJ_MN_WABASHA                         107779
/*      GRS 1980 Adj. Minnesota Wadena                                       */
#define PE_S_GRS_1980_ADJ_MN_WADENA                          107780
/*      GRS 1980 Adj. Minnesota Waseca                                       */
#define PE_S_GRS_1980_ADJ_MN_WASECA                          107781
/*      GRS 1980 Adj. Minnesota Watonwan                                     */
#define PE_S_GRS_1980_ADJ_MN_WATONWAN                        107782
/*      GRS 1980 Adj. Minnesota Winona                                       */
#define PE_S_GRS_1980_ADJ_MN_WINONA                          107783
/*      GRS 1980 Adj. Minnesota Wright                                       */
#define PE_S_GRS_1980_ADJ_MN_WRIGHT                          107784
/*      GRS 1980 Adj. Minnesota Yellow Medicine                              */
#define PE_S_GRS_1980_ADJ_MN_YELLOW_MEDICINE                 107785

/*      GRS 1980 Adj. Wisconsin Ashland                                      */
#define PE_S_GRS_1980_ADJ_WI_AL                              107800
/*      GRS 1980 Adj. Wisconsin Barron                                       */
#define PE_S_GRS_1980_ADJ_WI_BA                              107801
/*      GRS 1980 Adj. Wisconsin Bayfield                                     */
#define PE_S_GRS_1980_ADJ_WI_BF                              107802
/*      GRS 1980 Adj. Wisconsin Brown                                        */
#define PE_S_GRS_1980_ADJ_WI_BR                              107803
/*      GRS 1980 Adj. Wisconsin Buffalo                                      */
#define PE_S_GRS_1980_ADJ_WI_BU                              107804
/*      GRS 1980 Adj. Wisconsin Burnett                                      */
#define PE_S_GRS_1980_ADJ_WI_BN                              107805
/*      GRS 1980 Adj. Wisconsin Chippewa                                     */
#define PE_S_GRS_1980_ADJ_WI_CP                              107806
/*      GRS 1980 Adj. Wisconsin Clark                                        */
#define PE_S_GRS_1980_ADJ_WI_CK                              107807
/*      GRS 1980 Adj. Wisconsin Columbia                                     */
#define PE_S_GRS_1980_ADJ_WI_CO                              107808
/*      GRS 1980 Adj. Wisconsin Crawford                                     */
#define PE_S_GRS_1980_ADJ_WI_CR                              107809
/*      GRS 1980 Adj. Wisconsin Dane                                         */
#define PE_S_GRS_1980_ADJ_WI_DN                              107810
/*      GRS 1980 Adj. Wisconsin Door                                         */
#define PE_S_GRS_1980_ADJ_WI_DR                              107811
/*      GRS 1980 Adj. Wisconsin Douglas                                      */
#define PE_S_GRS_1980_ADJ_WI_DG                              107812
/*      GRS 1980 Adj. Wisconsin Dunn                                         */
#define PE_S_GRS_1980_ADJ_WI_DU                              107813
/*      GRS 1980 Adj. Wisconsin EauClaire                                    */
#define PE_S_GRS_1980_ADJ_WI_EC                              107814
/*      GRS 1980 Adj. Wisconsin Florence                                     */
#define PE_S_GRS_1980_ADJ_WI_FN                              107815
/*      GRS 1980 Adj. Wisconsin Forest                                       */
#define PE_S_GRS_1980_ADJ_WI_FR                              107816
/*      GRS 1980 Adj. Wisconsin Grant                                        */
#define PE_S_GRS_1980_ADJ_WI_GT                              107817
/*      GRS 1980 Adj. Wisconsin Iowa                                         */
#define PE_S_GRS_1980_ADJ_WI_IA                              107818
/*      GRS 1980 Adj. Wisconsin Iron                                         */
#define PE_S_GRS_1980_ADJ_WI_IR                              107819
/*      GRS 1980 Adj. Wisconsin Jackson                                      */
#define PE_S_GRS_1980_ADJ_WI_JA                              107820
/*      GRS 1980 Adj. Wisconsin LaCrosse                                     */
#define PE_S_GRS_1980_ADJ_WI_LC                              107821
/*      GRS 1980 Adj. Wisconsin Langlade                                     */
#define PE_S_GRS_1980_ADJ_WI_LG                              107822
/*      GRS 1980 Adj. Wisconsin Lincoln                                      */
#define PE_S_GRS_1980_ADJ_WI_LN                              107823
/*      GRS 1980 Adj. Wisconsin Marathon                                     */
#define PE_S_GRS_1980_ADJ_WI_MA                              107824
/*      GRS 1980 Adj. Wisconsin Marinette                                    */
#define PE_S_GRS_1980_ADJ_WI_MN                              107825
/*      GRS 1980 Adj. Wisconsin Menominee                                    */
#define PE_S_GRS_1980_ADJ_WI_ME                              107826
/*      GRS 1980 Adj. Wisconsin Monroe                                       */
#define PE_S_GRS_1980_ADJ_WI_MR                              107827
/*      GRS 1980 Adj. Wisconsin Oconto                                       */
#define PE_S_GRS_1980_ADJ_WI_OC                              107828
/*      GRS 1980 Adj. Wisconsin Oneida                                       */
#define PE_S_GRS_1980_ADJ_WI_ON                              107829
/*      GRS 1980 Adj. Wisconsin Polk                                         */
#define PE_S_GRS_1980_ADJ_WI_PK                              107830
/*      GRS 1980 Adj. Wisconsin Portage                                      */
#define PE_S_GRS_1980_ADJ_WI_PT                              107831
/*      GRS 1980 Adj. Wisconsin Price                                        */
#define PE_S_GRS_1980_ADJ_WI_PR                              107832
/*      GRS 1980 Adj. Wisconsin Richland                                     */
#define PE_S_GRS_1980_ADJ_WI_RC                              107833
/*      GRS 1980 Adj. Wisconsin Rock                                         */
#define PE_S_GRS_1980_ADJ_WI_RK                              107834
/*      GRS 1980 Adj. Wisconsin Rusk                                         */
#define PE_S_GRS_1980_ADJ_WI_RS                              107835
/*      GRS 1980 Adj. Wisconsin StCroix                                      */
#define PE_S_GRS_1980_ADJ_WI_SC                              107836
/*      GRS 1980 Adj. Wisconsin Sauk                                         */
#define PE_S_GRS_1980_ADJ_WI_SK                              107837
/*      GRS 1980 Adj. Wisconsin Sawyer                                       */
#define PE_S_GRS_1980_ADJ_WI_SW                              107838
/*      GRS 1980 Adj. Wisconsin Shawano                                      */
#define PE_S_GRS_1980_ADJ_WI_SH                              107839
/*      GRS 1980 Adj. Wisconsin Taylor                                       */
#define PE_S_GRS_1980_ADJ_WI_TA                              107840
/*      GRS 1980 Adj. Wisconsin Trempealeau                                  */
#define PE_S_GRS_1980_ADJ_WI_TR                              107841
/*      GRS 1980 Adj. Wisconsin Vernon                                       */
#define PE_S_GRS_1980_ADJ_WI_VR                              107842
/*      GRS 1980 Adj. Wisconsin Vilas                                        */
#define PE_S_GRS_1980_ADJ_WI_VI                              107843
/*      GRS 1980 Adj. Wisconsin Walworth                                     */
#define PE_S_GRS_1980_ADJ_WI_WW                              107844
/*      GRS 1980 Adj. Wisconsin Washburn                                     */
#define PE_S_GRS_1980_ADJ_WI_WB                              107845
/*      GRS 1980 Adj. Wisconsin Washington                                   */
#define PE_S_GRS_1980_ADJ_WI_WA                              107846
/*      GRS 1980 Adj. Wisconsin Waukesha                                     */
#define PE_S_GRS_1980_ADJ_WI_WK                              107847
/*      GRS 1980 Adj. Wisconsin Waupaca                                      */
#define PE_S_GRS_1980_ADJ_WI_WP                              107848
/*      GRS 1980 Adj. Wisconsin Waushara                                     */
#define PE_S_GRS_1980_ADJ_WI_WS                              107849
/*      GRS 1980 Adj. Wisconsin Wood                                         */
#define PE_S_GRS_1980_ADJ_WI_WD                              107850
/*      GRS 1980 Adj. Wisconsin Adams and Juneau                             */
#define PE_S_GRS_1980_ADJ_WI_AD_JN                           107851
/*      GRS 1980 Adj. Wisconsin Green and Lafayette                          */
#define PE_S_GRS_1980_ADJ_WI_GR_LF                           107852
/*      GRS 1980 Adj. Wisconsin Green Lake and Marquette                     */
#define PE_S_GRS_1980_ADJ_WI_GL_MQ                           107853
/*      GRS 1980 Adj. Wisconsin Dodge and Jefferson                          */
#define PE_S_GRS_1980_ADJ_WI_DD_JF                           107854
/*      GRS 1980 Adj. Wisconsin Pepin and Pierce                             */
#define PE_S_GRS_1980_ADJ_WI_PP_PC                           107855
/*      GRS 1980 Adj. Wisconsin Calumet, Fond du Lac, Outagamie, and         */
/*      Winnebago                                                            */
#define PE_S_GRS_1980_ADJ_WI_CL_FL_OG_WN                     107856
/*      GRS 1980 Adj. Wisconsin Kenosha, Milwaukee, Ozaukee, and Racine      */
#define PE_S_GRS_1980_ADJ_WI_KN_MW_OZ_RA                     107857
/*      GRS 1980 Adj. Wisconsin Kewaunee, Manitowoc, and Sheboygan           */
#define PE_S_GRS_1980_ADJ_WI_KW_MT_SG                        107858

/*      GRS 1980 Adj. Minnesota St. Louis                                    */
#define PE_S_GRS_1980_ADJ_MN_ST_LOUIS                        107786

/*      Mercury                                                              */
#define PE_S_XT_MERCURY_2000                                 107900
/*      Venus 1985                                                           */
#define PE_S_XT_VENUS_1985                                   107901
/*      Venus 2000                                                           */
#define PE_S_XT_VENUS_2000                                   107902
/*      The Moon                                                             */
#define PE_S_XT_MOON_2000                                    107903
/*      Mars 1979                                                            */
#define PE_S_XT_MARS_1979                                    107904
/*      Mars 2000                                                            */
#define PE_S_XT_MARS_2000                                    107905
/*      Mars - Deimos                                                        */
#define PE_S_XT_DEIMOS_2000                                  107906
/*      Mars - Phobos                                                        */
#define PE_S_XT_PHOBOS_2000                                  107907
/*      Jupiter                                                              */
#define PE_S_XT_JUPITER_2000                                 107908
/*      Jupiter - Adrastea                                                   */
#define PE_S_XT_ADRASTEA_2000                                107909
/*      Jupiter - Amalthea                                                   */
#define PE_S_XT_AMALTHEA_2000                                107910
/*      Jupiter - Ananke                                                     */
#define PE_S_XT_ANANKE_2000                                  107911
/*      Jupiter - Callisto                                                   */
#define PE_S_XT_CALLISTO_2000                                107912
/*      Jupiter - Carme                                                      */
#define PE_S_XT_CARME_2000                                   107913
/*      Jupiter - Elara                                                      */
#define PE_S_XT_ELARA_2000                                   107914
/*      Jupiter - Europa                                                     */
#define PE_S_XT_EUROPA_2000                                  107915
/*      Jupiter - Ganymede                                                   */
#define PE_S_XT_GANYMEDE_2000                                107916
/*      Jupiter - Himalia                                                    */
#define PE_S_XT_HIMALIA_2000                                 107917
/*      Jupiter - Io                                                         */
#define PE_S_XT_IO_2000                                      107918
/*      Jupiter - Leda                                                       */
#define PE_S_XT_LEDA_2000                                    107919
/*      Jupiter - Lysithea                                                   */
#define PE_S_XT_LYSITHEA_2000                                107920
/*      Jupiter - Metis                                                      */
#define PE_S_XT_METIS_2000                                   107921
/*      Jupiter - Pasiphae                                                   */
#define PE_S_XT_PASIPHAE_2000                                107922
/*      Jupiter - Sinope                                                     */
#define PE_S_XT_SINOPE_2000                                  107923
/*      Jupiter - Thebe                                                      */
#define PE_S_XT_THEBE_2000                                   107924
/*      Saturn                                                               */
#define PE_S_XT_SATURN_2000                                  107925
/*      Saturn - Atlas                                                       */
#define PE_S_XT_ATLAS_2000                                   107926
/*      Saturn - Calypso                                                     */
#define PE_S_XT_CALYPSO_2000                                 107927
/*      Saturn - Dione                                                       */
#define PE_S_XT_DIONE_2000                                   107928
/*      Saturn - Enceladus                                                   */
#define PE_S_XT_ENCELADUS_2000                               107929
/*      Saturn - Epimetheus                                                  */
#define PE_S_XT_EPIMETHEUS_2000                              107930
/*      Saturn - Helene                                                      */
#define PE_S_XT_HELENE_2000                                  107931
/*      Saturn - Hyperion                                                    */
#define PE_S_XT_HYPERION_2000                                107932
/*      Saturn - Iapetus                                                     */
#define PE_S_XT_IAPETUS_2000                                 107933
/*      Saturn - Janus                                                       */
#define PE_S_XT_JANUS_2000                                   107934
/*      Saturn - Mimas                                                       */
#define PE_S_XT_MIMAS_2000                                   107935
/*      Saturn - Pan                                                         */
#define PE_S_XT_PAN_2000                                     107936
/*      Saturn - Pandora                                                     */
#define PE_S_XT_PANDORA_2000                                 107937
/*      Saturn - Phoebe                                                      */
#define PE_S_XT_PHOEBE_2000                                  107938
/*      Saturn - Prometheus                                                  */
#define PE_S_XT_PROMETHEUS_2000                              107939
/*      Saturn - Rhea                                                        */
#define PE_S_XT_RHEA_2000                                    107940
/*      Saturn - Telesto                                                     */
#define PE_S_XT_TELESTO_2000                                 107941
/*      Saturn - Tethys                                                      */
#define PE_S_XT_TETHYS_2000                                  107942
/*      Saturn - Titan                                                       */
#define PE_S_XT_TITAN_2000                                   107943
/*      Uranus                                                               */
#define PE_S_XT_URANUS_2000                                  107944
/*      Uranus - Ariel                                                       */
#define PE_S_XT_ARIEL_2000                                   107945
/*      Uranus - Belinda                                                     */
#define PE_S_XT_BELINDA_2000                                 107946
/*      Uranus - Bianca                                                      */
#define PE_S_XT_BIANCA_2000                                  107947
/*      Uranus - Cordelia                                                    */
#define PE_S_XT_CORDELIA_2000                                107948
/*      Uranus - Cressida                                                    */
#define PE_S_XT_CRESSIDA_2000                                107949
/*      Uranus - Desdemona                                                   */
#define PE_S_XT_DESDEMONA_2000                               107950
/*      Uranus - Juliet                                                      */
#define PE_S_XT_JULIET_2000                                  107951
/*      Uranus - Miranda                                                     */
#define PE_S_XT_MIRANDA_2000                                 107952
/*      Uranus - Oberon                                                      */
#define PE_S_XT_OBERON_2000                                  107953
/*      Uranus - Ophelia                                                     */
#define PE_S_XT_OPHELIA_2000                                 107954
/*      Uranus - Portia                                                      */
#define PE_S_XT_PORTIA_2000                                  107955
/*      Uranus - Puck                                                        */
#define PE_S_XT_PUCK_2000                                    107956
/*      Uranus - Rosalind                                                    */
#define PE_S_XT_ROSALIND_2000                                107957
/*      Uranus - Titania                                                     */
#define PE_S_XT_TITANIA_2000                                 107958
/*      Uranus - Umbriel                                                     */
#define PE_S_XT_UMBRIEL_2000                                 107959
/*      Neptune                                                              */
#define PE_S_XT_NEPTUNE_2000                                 107960
/*      Neptune - Despina                                                    */
#define PE_S_XT_DESPINA_2000                                 107961
/*      Neptune - Galatea                                                    */
#define PE_S_XT_GALATEA_2000                                 107962
/*      Neptune - Larissa                                                    */
#define PE_S_XT_LARISSA_2000                                 107963
/*      Neptune - Naiad                                                      */
#define PE_S_XT_NAIAD_2000                                   107964
/*      Neptune - Nereid                                                     */
#define PE_S_XT_NEREID_2000                                  107965
/*      Neptune - Proteus                                                    */
#define PE_S_XT_PROTEUS_2000                                 107966
/*      Neptune - Thalassa                                                   */
#define PE_S_XT_THALASSA_2000                                107967
/*      Neptune - Triton                                                     */
#define PE_S_XT_TRITON_2000                                  107968
/*      Pluto                                                                */
#define PE_S_XT_PLUTO_2000                                   107969
/*      Pluto - Charon                                                       */
#define PE_S_XT_CHARON_2000                                  107970

/* ------------------------------------------------------------------------- */
/* (Geographic Transformation) M E T H O D S                                 */
/* ------------------------------------------------------------------------- */

/*      NULL transformation                                                  */
#define PE_MTH_NULL                                          109600
/*      Units change only                                                    */
#define PE_MTH_UNIT_CHANGE                                   109601
/*      Longitude Rotation                                                   */
#define PE_MTH_LONGITUDE_ROTATION                              9601
/*      Geocentric Translation (3-parameter)                                 */
#define PE_MTH_GEOCENTRIC_TRANSLATION                          9603
/*      Molodensky                                                           */
#define PE_MTH_MOLODENSKY                                      9604
/*      Abridged Molodensky                                                  */
#define PE_MTH_MOLODENSKY_ABRIDGED                             9605
/*      Position Vector (7-parameter)                                        */
#define PE_MTH_POSITION_VECTOR                                 9606
/*      Coordinate Frame (7-parameter)                                       */
#define PE_MTH_COORDINATE_FRAME                                9607
/*      Bursa-Wolf                                                           */
#define PE_MTH_BURSA_WOLF                                    109607
/*      NADCON                                                               */
#define PE_MTH_NADCON                                          9613
/*      NTv2                                                                 */
#define PE_MTH_NTV2                                            9615
/*      Geographic 2D Offset                                                 */
#define PE_MTH_GEOGRAPHIC_2D_OFFSET                            9619
/*      HARN (HPGN)                                                          */
#define PE_MTH_HARN                                          109613
/*      Molodensky-Badekas                                                   */
#define PE_MTH_MOLODENSKY_BADEKAS                              9636

/* ------------------------------------------------------------------------- */
/* H O R I Z O N T A L   T R A N S F O R M   M E T H O D S                   */
/* ------------------------------------------------------------------------- */

/*      Affine Parametric                                                    */
#define PE_HTMTH_AFFINE_PARAMETRIC                           119624
/*      2D Projective Parametric                                             */
#define PE_HTMTH_2D_PROJECTIVE_PARAMETRIC                    119625

/* ------------------------------------------------------------------------- */
/* V E R T I C A L   T R A N S F O R M   M E T H O D S                       */
/* ------------------------------------------------------------------------- */

/*      VERTCON                                                              */
#define PE_VTMTH_VERTCON                                     129658
/*      GEOID99, GEOID03, and GEOID06                                        */
#define PE_VTMTH_GEOID                                       129665

/*      EGM96 bilinear interpolation                                         */
#define PE_VTMTH_EGM96                                       129661
/*      EGM96 natural spline interpolation                                   */
#define PE_VTMTH_EGM96_NS                                    129761

/*      EGM84 bilinear interpolation                                         */
#define PE_VTMTH_EGM84                                       129861
/*      EGM84 natural spline interpolation                                   */
#define PE_VTMTH_EGM84_NS                                    129961

/*      Vertical Offset                                                      */
#define PE_VTMTH_VERTICAL_OFFSET                             129616
/*      Vertical Offset and Slope                                            */
#define PE_VTMTH_VERTICAL_OFFSET_SLOPE                       129657

/*      Generic vertical transform grid file                                 */
#define PE_VTMTH_VTGRIDFILE                                  129600

/* ------------------------------------------------------------------------- */
/* M A P   P R O J E C T I O N S                                             */
/* ------------------------------------------------------------------------- */

/*      Plate Carree                                                         */
#define PE_PRJ_PLATE_CARREE                                   43001
/*      Equidistant Cylindrical                                              */
#define PE_PRJ_EQUIDISTANT_CYLINDRICAL                        43002
/*      Miller Cylindrical                                                   */
#define PE_PRJ_MILLER_CYLINDRICAL                             43003
/*      Mercator                                                             */
#define PE_PRJ_MERCATOR                                       43004
/*      Gauss-Kruger                                                         */
#define PE_PRJ_GAUSS_KRUGER                                   43005
/*      Transverse Mercator = Gauss Kruger                                   */
#define PE_PRJ_TRANSVERSE_MERCATOR                            43006
/*      Albers                                                               */
#define PE_PRJ_ALBERS                                         43007
/*      Sinusoidal                                                           */
#define PE_PRJ_SINUSOIDAL                                     43008
/*      Mollweide                                                            */
#define PE_PRJ_MOLLWEIDE                                      43009
/*      Eckert VI                                                            */
#define PE_PRJ_ECKERT_VI                                      43010
/*      Eckert V                                                             */
#define PE_PRJ_ECKERT_V                                       43011
/*      Eckert IV                                                            */
#define PE_PRJ_ECKERT_IV                                      43012
/*      Eckert III                                                           */
#define PE_PRJ_ECKERT_III                                     43013
/*      Eckert II                                                            */
#define PE_PRJ_ECKERT_II                                      43014
/*      Eckert I                                                             */
#define PE_PRJ_ECKERT_I                                       43015
/*      Gall Stereographic                                                   */
#define PE_PRJ_GALL_STEREOGRAPHIC                             43016
/*      Behrmann                                                             */
#define PE_PRJ_BEHRMANN                                       43017
/*      Winkel I                                                             */
#define PE_PRJ_WINKEL_I                                       43018
/*      Winkel II                                                            */
#define PE_PRJ_WINKEL_II                                      43019
/*      Lambert Conformal Conic                                              */
#define PE_PRJ_LAMBERT_CONFORMAL_CONIC                        43020
/*      Polyconic                                                            */
#define PE_PRJ_POLYCONIC                                      43021
/*      Quartic Authalic                                                     */
#define PE_PRJ_QUARTIC_AUTHALIC                               43022
/*      Loximuthal                                                           */
#define PE_PRJ_LOXIMUTHAL                                     43023
/*      Bonne                                                                */
#define PE_PRJ_BONNE                                          43024
/*      Hotine 2 Point Natural Origin                                        */
#define PE_PRJ_HOTINE_TWO_POINT_NATORIGIN                     43025
/*      Stereographic                                                        */
#define PE_PRJ_STEREOGRAPHIC                                  43026
/*      Equidistant Conic                                                    */
#define PE_PRJ_EQUIDISTANT_CONIC                              43027
/*      Cassini                                                              */
#define PE_PRJ_CASSINI                                        43028
/*      Van der Grinten I                                                    */
#define PE_PRJ_VAN_DER_GRINTEN_I                              43029
/*      Robinson                                                             */
#define PE_PRJ_ROBINSON                                       43030
/*      Two-Point Equidistant                                                */
#define PE_PRJ_TWO_POINT_EQUIDISTANT                          43031
/*      Azimuthal Equidistant                                                */
#define PE_PRJ_AZIMUTHAL_EQUIDISTANT                          43032
/*      Lambert Azimuthal Equal Area                                         */
#define PE_PRJ_LAMBERT_AZIMUTHAL_EQAREA                       43033
/*      Cylindrical Equal Area                                               */
#define PE_PRJ_CYLINDRICAL_EQAREA                             43034
/*      Hotine 2 Point Center                                                */
#define PE_PRJ_HOTINE_TWO_POINT_CENTER                        43035
/*      Hotine Azimuth Natural Origin                                        */
#define PE_PRJ_HOTINE_AZIMUTH_NATORIGIN                       43036
/*      Hotine Azimuth Center                                                */
#define PE_PRJ_HOTINE_AZIMUTH_CENTER                          43037
/*      Double Stereographic                                                 */
#define PE_PRJ_DOUBLE_STEREOGRAPHIC                           43038
/*      Krovak Oblique Lambert Conformal Conic                               */
#define PE_PRJ_KROVAK                                         43039
/*      New Zealand Map Grid                                                 */
#define PE_PRJ_NEW_ZEALAND_MAP_GRID                           43040
/*      Orthographic                                                         */
#define PE_PRJ_ORTHOGRAPHIC                                   43041
/*      Winkel Tripel                                                        */
#define PE_PRJ_WINKEL_TRIPEL                                  43042
/*      Aitoff                                                               */
#define PE_PRJ_AITOFF                                         43043
/*      Hammer Aitoff                                                        */
#define PE_PRJ_HAMMER_AITOFF                                  43044
/*      Flat Polar Quartic                                                   */
#define PE_PRJ_FLAT_POLAR_QUARTIC                             43045
/*      Craster Parabolic                                                    */
#define PE_PRJ_CRASTER_PARABOLIC                              43046
/*      Gnomonic                                                             */
#define PE_PRJ_GNOMONIC                                       43047
/*      Bartholomew Times                                                    */
#define PE_PRJ_TIMES                                          43048
/*      Vertical Near-Side Perspective                                       */
#define PE_PRJ_VERTICAL_NEAR_SIDE_PERSPECTIVE                 43049
/*      Stereographic - North Pole                                           */
#define PE_PRJ_STEREOGRAPHIC_NORTH_POLE                       43050
/*      Stereographic - South Pole                                           */
#define PE_PRJ_STEREOGRAPHIC_SOUTH_POLE                       43051
/*      Fuller                                                               */
#define PE_PRJ_FULLER                                         43052
/*      Rectified Skew Orthomorphic - Natural Origin                         */
#define PE_PRJ_RSO_NATORIGIN                                  43053
/*      Rectified Skew Orthomorphic - Center                                 */
#define PE_PRJ_RSO_CENTER                                     43054
/*      World on a Cube                                                      */
#define PE_PRJ_CUBE                                           43055
/*      Trans. Mercator Complex                                              */
#define PE_PRJ_TRANSVERSE_MERCATOR_COMPLEX                    43056
/*      Robinson from Arc/INFO Workstation                                   */
#define PE_PRJ_ROBINSON_AI                                    43057
/*      Local                                                                */
#define PE_PRJ_LOCAL                                          43058
/*      Goode Homolosine                                                     */
#define PE_PRJ_GOODE_HOMOLOSINE                               43059
/*      Berghaus Star                                                        */
#define PE_PRJ_BERGHAUS_STAR                                  43060
/*      Equidistant Cylindrical Ellipsoidal                                  */
#define PE_PRJ_EQUIDISTANT_CYLINDRICAL_ELLIPSOIDAL            43061
/*      Ney Modified Conic                                                   */
#define PE_PRJ_NEY                                            43062
/*      Laborde Oblique Mercator                                             */
#define PE_PRJ_LABORDE                                        43063

/* Auxiliary Spheres                                                         */

/*      Equidistant Cylindrical (Auxiliary Sphere)                           */
#define PE_PRJ_EQUIDISTANT_CYLINDRICAL_AUXS                   43102
/*      Miller Cylindrical (Auxiliary Sphere)                                */
#define PE_PRJ_MILLER_CYLINDRICAL_AUXS                        43103
/*      Mercator (Auxiliary Sphere)                                          */
#define PE_PRJ_MERCATOR_AUXS                                  43104
/*      Mollweide (Auxiliary Sphere)                                         */
#define PE_PRJ_MOLLWEIDE_AUXS                                 43109
/*      Eckert VI (Auxiliary Sphere)                                         */
#define PE_PRJ_ECKERT_VI_AUXS                                 43110
/*      Eckert IV (Auxiliary Sphere)                                         */
#define PE_PRJ_ECKERT_IV_AUXS                                 43112
/*      Stereographic (Auxiliary Sphere)                                     */
#define PE_PRJ_STEREOGRAPHIC_AUXS                             43126
/*      Van der Grinten I (Auxiliary Sphere)                                 */
#define PE_PRJ_VAN_DER_GRINTEN_I_AUXS                         43129
/*      Azimuthal Equidistant (Auxiliary Sphere)                             */
#define PE_PRJ_AZIMUTHAL_EQUIDISTANT_AUXS                     43132
/*      Lambert Azimuthal Equal Area (Auxiliary Sphere)                      */
#define PE_PRJ_LAMBERT_AZIMUTHAL_EQAREA_AUXS                  43133
/*      Orthographic (Auxiliary Sphere)                                      */
#define PE_PRJ_ORTHOGRAPHIC_AUXS                              43141
/*      Gnomonic (Auxiliary Sphere)                                          */
#define PE_PRJ_GNOMONIC_AUXS                                  43147

/* ------------------------------------------------------------------------- */
/* P A R A M E T E R S                                                       */
/* ------------------------------------------------------------------------- */

/*      X0                                                                   */
#define PE_PAR_FALSE_EASTING                                 100001
/*      Y0                                                                   */
#define PE_PAR_FALSE_NORTHING                                100002
/*      K0                                                                   */
#define PE_PAR_SCALE_FACTOR                                  100003
/*      ALPHA                                                                */
#define PE_PAR_AZIMUTH                                       100004
/*      HEIGHT                                                               */
#define PE_PAR_HEIGHT                                        100005

/*      Z0                                                                   */
#define PE_PAR_VERTICAL_SHIFT                                100006
/*      DIR (Height +, Depth -)                                              */
#define PE_PAR_DIRECTION                                     100007

/*      LAM0                                                                 */
#define PE_PAR_CENTRAL_MERIDIAN                              100010
/*      LAM0                                                                 */
#define PE_PAR_LONGITUDE_OF_ORIGIN                           100011
/*      LAMC                                                                 */
#define PE_PAR_LONGITUDE_OF_CENTER                           100012
/*      LAM1                                                                 */
#define PE_PAR_LONGITUDE_OF_1ST                              100013
/*      LAM2                                                                 */
#define PE_PAR_LONGITUDE_OF_2ND                              100014

/*      PHI0                                                                 */
#define PE_PAR_CENTRAL_PARALLEL                              100020
/*      PHI0                                                                 */
#define PE_PAR_LATITUDE_OF_ORIGIN                            100021
/*      PHIC                                                                 */
#define PE_PAR_LATITUDE_OF_CENTER                            100022
/*      PHI1                                                                 */
#define PE_PAR_LATITUDE_OF_1ST                               100023
/*      PHI2                                                                 */
#define PE_PAR_LATITUDE_OF_2ND                               100024
/*      PHI1                                                                 */
#define PE_PAR_STANDARD_PARALLEL_1                           100025
/*      PHI2                                                                 */
#define PE_PAR_STANDARD_PARALLEL_2                           100026
/*      PHI1                                                                 */
#define PE_PAR_PSEUDO_STANDARD_PARALLEL_1                    100027

/*      AUXS                                                                 */
#define PE_PAR_AUXILIARY_SPHERE_TYPE                         100035
/*      OPTION                                                               */
#define PE_PAR_OPTION                                        100036
/*      XS                                                                   */
#define PE_PAR_X_SCALE                                       100037
/*      YS                                                                   */
#define PE_PAR_Y_SCALE                                       100038
/*      XYR                                                                  */
#define PE_PAR_XY_PLANE_ROTATION                             100039

/*      DX                                                                   */
#define PE_PAR_X_AXIS_TRANSLATION                            100040
/*      DY                                                                   */
#define PE_PAR_Y_AXIS_TRANSLATION                            100041
/*      DZ                                                                   */
#define PE_PAR_Z_AXIS_TRANSLATION                            100042
/*      RX                                                                   */
#define PE_PAR_X_AXIS_ROTATION                               100043
/*      RY                                                                   */
#define PE_PAR_Y_AXIS_ROTATION                               100044
/*      RZ                                                                   */
#define PE_PAR_Z_AXIS_ROTATION                               100045
/*      DS                                                                   */
#define PE_PAR_SCALE_DIFFERENCE                              100046
/*      ND                                                                   */
#define PE_PAR_NAME_DATASET                                  100047
/*      XCR                                                                  */
#define PE_PAR_X_COORD_OF_ROTATION_ORIGIN                    100048
/*      YCR                                                                  */
#define PE_PAR_Y_COORD_OF_ROTATION_ORIGIN                    100049
/*      ZCR                                                                  */
#define PE_PAR_Z_COORD_OF_ROTATION_ORIGIN                    100050
/*      DLON                                                                 */
#define PE_PAR_LONGITUDE_OFFSET                              100051
/*      DLAT                                                                 */
#define PE_PAR_LATITUDE_OFFSET                               100052

/*      VO                                                                   */
#define PE_PAR_VERTICAL_OFFSET                               100060
/*      PHI0                                                                 */
#define PE_PAR_LATITUDE_OF_EVALUATION                        100061
/*      LAM0                                                                 */
#define PE_PAR_LONGITUDE_OF_EVALUATION                       100062
/*      INCN                                                                 */
#define PE_PAR_INCLINATION_NORTH                             100063
/*      INCE                                                                 */
#define PE_PAR_INCLINATION_EAST                              100064
/*      INTERP                                                               */
#define PE_PAR_INTERPOLATION_TYPE                            100065

#endif /* PEDEF_INCLUDED */
